#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8662
#define LARGE_STATE_COUNT 2336
#define SYMBOL_COUNT 544
#define ALIAS_COUNT 5
#define TOKEN_COUNT 223
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 220

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym___attribute = 48,
  anon_sym_COLON_COLON = 49,
  anon_sym_LBRACK_LBRACK = 50,
  anon_sym_RBRACK_RBRACK = 51,
  anon_sym___declspec = 52,
  anon_sym___based = 53,
  anon_sym___cdecl = 54,
  anon_sym___clrcall = 55,
  anon_sym___stdcall = 56,
  anon_sym___fastcall = 57,
  anon_sym___thiscall = 58,
  anon_sym___vectorcall = 59,
  sym_ms_restrict_modifier = 60,
  sym_ms_unsigned_ptr_modifier = 61,
  sym_ms_signed_ptr_modifier = 62,
  anon_sym__unaligned = 63,
  anon_sym___unaligned = 64,
  anon_sym_LBRACE = 65,
  anon_sym_RBRACE = 66,
  anon_sym_signed = 67,
  anon_sym_unsigned = 68,
  anon_sym_long = 69,
  anon_sym_short = 70,
  anon_sym_LBRACK = 71,
  anon_sym_static = 72,
  anon_sym_RBRACK = 73,
  anon_sym_EQ = 74,
  anon_sym_register = 75,
  anon_sym_inline = 76,
  anon_sym___inline = 77,
  anon_sym___inline__ = 78,
  anon_sym___forceinline = 79,
  anon_sym_thread_local = 80,
  anon_sym___thread = 81,
  anon_sym_const = 82,
  anon_sym_constexpr = 83,
  anon_sym_volatile = 84,
  anon_sym_restrict = 85,
  anon_sym___restrict__ = 86,
  anon_sym__Atomic = 87,
  anon_sym__Noreturn = 88,
  anon_sym_noreturn = 89,
  anon_sym__Nonnull = 90,
  anon_sym_mutable = 91,
  anon_sym_constinit = 92,
  anon_sym_consteval = 93,
  anon_sym_PROGMEM = 94,
  anon_sym_alignas = 95,
  anon_sym__Alignas = 96,
  aux_sym_primitive_type_token1 = 97,
  anon_sym_byte = 98,
  anon_sym_word = 99,
  anon_sym_enum = 100,
  anon_sym_class = 101,
  anon_sym_struct = 102,
  anon_sym_union = 103,
  anon_sym_COLON = 104,
  anon_sym_if = 105,
  anon_sym_else = 106,
  anon_sym_switch = 107,
  anon_sym_case = 108,
  anon_sym_default = 109,
  anon_sym_while = 110,
  anon_sym_do = 111,
  anon_sym_for = 112,
  anon_sym_return = 113,
  anon_sym_break = 114,
  anon_sym_continue = 115,
  anon_sym_goto = 116,
  anon_sym___try = 117,
  anon_sym___except = 118,
  anon_sym___finally = 119,
  anon_sym___leave = 120,
  anon_sym_QMARK = 121,
  anon_sym_STAR_EQ = 122,
  anon_sym_SLASH_EQ = 123,
  anon_sym_PERCENT_EQ = 124,
  anon_sym_PLUS_EQ = 125,
  anon_sym_DASH_EQ = 126,
  anon_sym_LT_LT_EQ = 127,
  anon_sym_GT_GT_EQ = 128,
  anon_sym_AMP_EQ = 129,
  anon_sym_CARET_EQ = 130,
  anon_sym_PIPE_EQ = 131,
  anon_sym_and_eq = 132,
  anon_sym_or_eq = 133,
  anon_sym_xor_eq = 134,
  anon_sym_not = 135,
  anon_sym_compl = 136,
  anon_sym_LT_EQ_GT = 137,
  anon_sym_or = 138,
  anon_sym_and = 139,
  anon_sym_bitor = 140,
  anon_sym_xor = 141,
  anon_sym_bitand = 142,
  anon_sym_not_eq = 143,
  anon_sym_DASH_DASH = 144,
  anon_sym_PLUS_PLUS = 145,
  anon_sym_sizeof = 146,
  anon_sym___alignof__ = 147,
  anon_sym___alignof = 148,
  anon_sym__alignof = 149,
  anon_sym_alignof = 150,
  anon_sym__Alignof = 151,
  anon_sym_offsetof = 152,
  anon_sym__Generic = 153,
  anon_sym_asm = 154,
  anon_sym___asm__ = 155,
  anon_sym___asm = 156,
  anon_sym___volatile__ = 157,
  anon_sym_DOT = 158,
  anon_sym_DOT_STAR = 159,
  anon_sym_DASH_GT = 160,
  aux_sym_number_literal_token1 = 161,
  aux_sym_number_literal_token2 = 162,
  anon_sym_L_SQUOTE = 163,
  anon_sym_u_SQUOTE = 164,
  anon_sym_U_SQUOTE = 165,
  anon_sym_u8_SQUOTE = 166,
  anon_sym_SQUOTE = 167,
  aux_sym_char_literal_token1 = 168,
  anon_sym_L_DQUOTE = 169,
  anon_sym_u_DQUOTE = 170,
  anon_sym_U_DQUOTE = 171,
  anon_sym_u8_DQUOTE = 172,
  anon_sym_DQUOTE = 173,
  aux_sym_string_literal_token1 = 174,
  sym_escape_sequence = 175,
  sym_system_lib_string = 176,
  sym_true = 177,
  sym_false = 178,
  anon_sym_NULL = 179,
  anon_sym_nullptr = 180,
  sym_comment = 181,
  sym_auto = 182,
  anon_sym_decltype = 183,
  anon_sym_final = 184,
  anon_sym_override = 185,
  anon_sym_explicit = 186,
  anon_sym_typename = 187,
  anon_sym_template = 188,
  anon_sym_GT2 = 189,
  anon_sym_operator = 190,
  anon_sym_try = 191,
  anon_sym_delete = 192,
  aux_sym_pure_virtual_clause_token1 = 193,
  anon_sym_friend = 194,
  anon_sym_public = 195,
  anon_sym_private = 196,
  anon_sym_protected = 197,
  anon_sym_noexcept = 198,
  anon_sym_throw = 199,
  anon_sym_namespace = 200,
  anon_sym_using = 201,
  anon_sym_static_assert = 202,
  anon_sym_concept = 203,
  anon_sym_co_return = 204,
  anon_sym_co_yield = 205,
  anon_sym_catch = 206,
  anon_sym_R_DQUOTE = 207,
  anon_sym_LR_DQUOTE = 208,
  anon_sym_uR_DQUOTE = 209,
  anon_sym_UR_DQUOTE = 210,
  anon_sym_u8R_DQUOTE = 211,
  anon_sym_co_await = 212,
  anon_sym_new = 213,
  anon_sym_requires = 214,
  anon_sym_DASH_GT_STAR = 215,
  anon_sym_LPAREN_RPAREN = 216,
  anon_sym_LBRACK_RBRACK = 217,
  anon_sym_DQUOTE_DQUOTE = 218,
  sym_this = 219,
  sym_literal_suffix = 220,
  sym_raw_string_delimiter = 221,
  sym_raw_string_content = 222,
  sym_translation_unit = 223,
  sym__top_level_item = 224,
  sym__block_item = 225,
  sym_preproc_include = 226,
  sym_preproc_def = 227,
  sym_preproc_function_def = 228,
  sym_preproc_params = 229,
  sym_preproc_call = 230,
  sym_preproc_if = 231,
  sym_preproc_ifdef = 232,
  sym_preproc_else = 233,
  sym_preproc_elif = 234,
  sym_preproc_elifdef = 235,
  sym_preproc_if_in_field_declaration_list = 236,
  sym_preproc_ifdef_in_field_declaration_list = 237,
  sym_preproc_else_in_field_declaration_list = 238,
  sym_preproc_elif_in_field_declaration_list = 239,
  sym_preproc_elifdef_in_field_declaration_list = 240,
  sym_preproc_if_in_enumerator_list = 241,
  sym_preproc_ifdef_in_enumerator_list = 242,
  sym_preproc_else_in_enumerator_list = 243,
  sym_preproc_elif_in_enumerator_list = 244,
  sym_preproc_elifdef_in_enumerator_list = 245,
  sym_preproc_if_in_enumerator_list_no_comma = 246,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 247,
  sym_preproc_else_in_enumerator_list_no_comma = 248,
  sym_preproc_elif_in_enumerator_list_no_comma = 249,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 250,
  sym__preproc_expression = 251,
  sym_preproc_parenthesized_expression = 252,
  sym_preproc_defined = 253,
  sym_preproc_unary_expression = 254,
  sym_preproc_call_expression = 255,
  sym_preproc_argument_list = 256,
  sym_preproc_binary_expression = 257,
  sym_function_definition = 258,
  sym_declaration = 259,
  sym_type_definition = 260,
  sym__type_definition_type = 261,
  sym__type_definition_declarators = 262,
  sym__declaration_modifiers = 263,
  sym__declaration_specifiers = 264,
  sym_linkage_specification = 265,
  sym_attribute_specifier = 266,
  sym_attribute = 267,
  sym_attribute_declaration = 268,
  sym_ms_declspec_modifier = 269,
  sym_ms_based_modifier = 270,
  sym_ms_call_modifier = 271,
  sym_ms_unaligned_ptr_modifier = 272,
  sym_ms_pointer_modifier = 273,
  sym_declaration_list = 274,
  sym__declarator = 275,
  sym__field_declarator = 276,
  sym__type_declarator = 277,
  sym__abstract_declarator = 278,
  sym_parenthesized_declarator = 279,
  sym_parenthesized_field_declarator = 280,
  sym_parenthesized_type_declarator = 281,
  sym_abstract_parenthesized_declarator = 282,
  sym_attributed_declarator = 283,
  sym_attributed_field_declarator = 284,
  sym_attributed_type_declarator = 285,
  sym_pointer_declarator = 286,
  sym_pointer_field_declarator = 287,
  sym_pointer_type_declarator = 288,
  sym_abstract_pointer_declarator = 289,
  sym_function_declarator = 290,
  sym_function_field_declarator = 291,
  sym_function_type_declarator = 292,
  sym_abstract_function_declarator = 293,
  sym_array_declarator = 294,
  sym_array_field_declarator = 295,
  sym_array_type_declarator = 296,
  sym_abstract_array_declarator = 297,
  sym_init_declarator = 298,
  sym_compound_statement = 299,
  sym_storage_class_specifier = 300,
  sym_type_qualifier = 301,
  sym_alignas_qualifier = 302,
  sym_type_specifier = 303,
  sym_sized_type_specifier = 304,
  sym_primitive_type = 305,
  sym_enum_specifier = 306,
  sym_enumerator_list = 307,
  sym_struct_specifier = 308,
  sym_union_specifier = 309,
  sym_field_declaration_list = 310,
  sym__field_declaration_list_item = 311,
  sym_field_declaration = 312,
  sym_bitfield_clause = 313,
  sym_enumerator = 314,
  sym_parameter_list = 315,
  sym_parameter_declaration = 316,
  sym_attributed_statement = 317,
  sym_statement = 318,
  sym__top_level_statement = 319,
  sym_labeled_statement = 320,
  sym__top_level_expression_statement = 321,
  sym_expression_statement = 322,
  sym_if_statement = 323,
  sym_else_clause = 324,
  sym_switch_statement = 325,
  sym_case_statement = 326,
  sym_while_statement = 327,
  sym_do_statement = 328,
  sym_for_statement = 329,
  sym__for_statement_body = 330,
  sym_return_statement = 331,
  sym_break_statement = 332,
  sym_continue_statement = 333,
  sym_goto_statement = 334,
  sym_seh_try_statement = 335,
  sym_seh_except_clause = 336,
  sym_seh_finally_clause = 337,
  sym_seh_leave_statement = 338,
  sym_expression = 339,
  sym__string = 340,
  sym_comma_expression = 341,
  sym_conditional_expression = 342,
  sym_assignment_expression = 343,
  sym_pointer_expression = 344,
  sym_unary_expression = 345,
  sym_binary_expression = 346,
  sym_update_expression = 347,
  sym_cast_expression = 348,
  sym_type_descriptor = 349,
  sym_sizeof_expression = 350,
  sym_alignof_expression = 351,
  sym_offsetof_expression = 352,
  sym_generic_expression = 353,
  sym_subscript_expression = 354,
  sym_call_expression = 355,
  sym_gnu_asm_expression = 356,
  sym_gnu_asm_qualifier = 357,
  sym_gnu_asm_output_operand_list = 358,
  sym_gnu_asm_output_operand = 359,
  sym_gnu_asm_input_operand_list = 360,
  sym_gnu_asm_input_operand = 361,
  sym_gnu_asm_clobber_list = 362,
  sym_gnu_asm_goto_list = 363,
  sym_extension_expression = 364,
  sym_argument_list = 365,
  sym_field_expression = 366,
  sym_compound_literal_expression = 367,
  sym_parenthesized_expression = 368,
  sym_initializer_list = 369,
  sym_initializer_pair = 370,
  sym_subscript_designator = 371,
  sym_subscript_range_designator = 372,
  sym_field_designator = 373,
  sym_number_literal = 374,
  sym_char_literal = 375,
  sym_concatenated_string = 376,
  sym_string_literal = 377,
  sym_null = 378,
  sym__empty_declaration = 379,
  sym_placeholder_type_specifier = 380,
  sym_decltype_auto = 381,
  sym_decltype = 382,
  sym__class_declaration = 383,
  sym__class_declaration_item = 384,
  sym_class_specifier = 385,
  sym__class_name = 386,
  sym_virtual_specifier = 387,
  sym_explicit_function_specifier = 388,
  sym_base_class_clause = 389,
  sym__enum_base_clause = 390,
  sym_dependent_type = 391,
  sym_template_declaration = 392,
  sym_template_instantiation = 393,
  sym_template_parameter_list = 394,
  sym_type_parameter_declaration = 395,
  sym_variadic_type_parameter_declaration = 396,
  sym_optional_type_parameter_declaration = 397,
  sym_template_template_parameter_declaration = 398,
  sym_optional_parameter_declaration = 399,
  sym_variadic_parameter_declaration = 400,
  sym_variadic_declarator = 401,
  sym_variadic_reference_declarator = 402,
  sym_operator_cast = 403,
  sym_field_initializer_list = 404,
  sym_field_initializer = 405,
  sym_inline_method_definition = 406,
  sym__constructor_specifiers = 407,
  sym_operator_cast_definition = 408,
  sym_operator_cast_declaration = 409,
  sym_constructor_try_statement = 410,
  sym_constructor_or_destructor_definition = 411,
  sym_constructor_or_destructor_declaration = 412,
  sym_default_method_clause = 413,
  sym_delete_method_clause = 414,
  sym_pure_virtual_clause = 415,
  sym_friend_declaration = 416,
  sym_access_specifier = 417,
  sym_reference_declarator = 418,
  sym_reference_field_declarator = 419,
  sym_reference_type_declarator = 420,
  sym_abstract_reference_declarator = 421,
  sym_structured_binding_declarator = 422,
  sym_ref_qualifier = 423,
  sym__function_declarator_seq = 424,
  sym__function_attributes_start = 425,
  sym__function_exception_specification = 426,
  sym__function_attributes_end = 427,
  sym__function_postfix = 428,
  sym_trailing_return_type = 429,
  sym_noexcept = 430,
  sym_throw_specifier = 431,
  sym_template_type = 432,
  sym_template_method = 433,
  sym_template_function = 434,
  sym_template_argument_list = 435,
  sym_namespace_definition = 436,
  sym_namespace_alias_definition = 437,
  sym__namespace_specifier = 438,
  sym_nested_namespace_specifier = 439,
  sym_using_declaration = 440,
  sym_alias_declaration = 441,
  sym_static_assert_declaration = 442,
  sym_concept_definition = 443,
  sym_for_range_loop = 444,
  sym__for_range_loop_body = 445,
  sym_init_statement = 446,
  sym_condition_clause = 447,
  sym_condition_declaration = 448,
  sym_co_return_statement = 449,
  sym_co_yield_statement = 450,
  sym_throw_statement = 451,
  sym_try_statement = 452,
  sym_catch_clause = 453,
  sym_raw_string_literal = 454,
  sym_subscript_argument_list = 455,
  sym_co_await_expression = 456,
  sym_new_expression = 457,
  sym_new_declarator = 458,
  sym_delete_expression = 459,
  sym_type_requirement = 460,
  sym_compound_requirement = 461,
  sym__requirement = 462,
  sym_requirement_seq = 463,
  sym_constraint_conjunction = 464,
  sym_constraint_disjunction = 465,
  sym__requirement_clause_constraint = 466,
  sym_requires_clause = 467,
  sym_requires_parameter_list = 468,
  sym_requires_expression = 469,
  sym_lambda_expression = 470,
  sym_lambda_capture_specifier = 471,
  sym_lambda_default_capture = 472,
  sym__lambda_capture_identifier = 473,
  sym_lambda_capture_initializer = 474,
  sym__lambda_capture = 475,
  sym__fold_operator = 476,
  sym__binary_fold_operator = 477,
  sym__unary_left_fold = 478,
  sym__unary_right_fold = 479,
  sym__binary_fold = 480,
  sym_fold_expression = 481,
  sym_parameter_pack_expansion = 482,
  sym_type_parameter_pack_expansion = 483,
  sym_identifier_parameter_pack_expansion = 484,
  sym_destructor_name = 485,
  sym_dependent_identifier = 486,
  sym_dependent_field_identifier = 487,
  sym_dependent_type_identifier = 488,
  sym__scope_resolution = 489,
  sym_qualified_field_identifier = 490,
  sym_qualified_identifier = 491,
  sym_qualified_type_identifier = 492,
  sym_qualified_operator_cast_identifier = 493,
  sym__assignment_expression_lhs = 494,
  sym_operator_name = 495,
  sym_user_defined_literal = 496,
  aux_sym_translation_unit_repeat1 = 497,
  aux_sym_preproc_params_repeat1 = 498,
  aux_sym_preproc_if_repeat1 = 499,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 500,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 501,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 502,
  aux_sym_preproc_argument_list_repeat1 = 503,
  aux_sym_declaration_repeat1 = 504,
  aux_sym_type_definition_repeat1 = 505,
  aux_sym__type_definition_type_repeat1 = 506,
  aux_sym__type_definition_declarators_repeat1 = 507,
  aux_sym__declaration_specifiers_repeat1 = 508,
  aux_sym_attribute_declaration_repeat1 = 509,
  aux_sym_attributed_declarator_repeat1 = 510,
  aux_sym_pointer_declarator_repeat1 = 511,
  aux_sym_array_declarator_repeat1 = 512,
  aux_sym_sized_type_specifier_repeat1 = 513,
  aux_sym_enumerator_list_repeat1 = 514,
  aux_sym_field_declaration_repeat1 = 515,
  aux_sym_parameter_list_repeat1 = 516,
  aux_sym_case_statement_repeat1 = 517,
  aux_sym_generic_expression_repeat1 = 518,
  aux_sym_gnu_asm_expression_repeat1 = 519,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 520,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 521,
  aux_sym_gnu_asm_clobber_list_repeat1 = 522,
  aux_sym_gnu_asm_goto_list_repeat1 = 523,
  aux_sym_argument_list_repeat1 = 524,
  aux_sym_initializer_list_repeat1 = 525,
  aux_sym_initializer_pair_repeat1 = 526,
  aux_sym_char_literal_repeat1 = 527,
  aux_sym_concatenated_string_repeat1 = 528,
  aux_sym_string_literal_repeat1 = 529,
  aux_sym__class_declaration_repeat1 = 530,
  aux_sym_base_class_clause_repeat1 = 531,
  aux_sym_template_parameter_list_repeat1 = 532,
  aux_sym_field_initializer_list_repeat1 = 533,
  aux_sym_operator_cast_definition_repeat1 = 534,
  aux_sym_constructor_try_statement_repeat1 = 535,
  aux_sym_structured_binding_declarator_repeat1 = 536,
  aux_sym__function_postfix_repeat1 = 537,
  aux_sym_throw_specifier_repeat1 = 538,
  aux_sym_template_argument_list_repeat1 = 539,
  aux_sym_subscript_argument_list_repeat1 = 540,
  aux_sym_requirement_seq_repeat1 = 541,
  aux_sym_requires_parameter_list_repeat1 = 542,
  aux_sym_lambda_capture_specifier_repeat1 = 543,
  alias_sym_field_identifier = 544,
  alias_sym_namespace_identifier = 545,
  alias_sym_simple_requirement = 546,
  alias_sym_statement_identifier = 547,
  alias_sym_type_identifier = 548,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_PROGMEM] = "PROGMEM",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [aux_sym_primitive_type_token1] = "primitive_type_token1",
  [anon_sym_byte] = "byte",
  [anon_sym_word] = "word",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [aux_sym_number_literal_token1] = "number_literal_token1",
  [aux_sym_number_literal_token2] = "number_literal_token2",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_primitive_type] = "primitive_type",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_number_literal] = "number_literal",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__lambda_capture_identifier] = "_lambda_capture_identifier",
  [sym_lambda_capture_initializer] = "lambda_capture_initializer",
  [sym__lambda_capture] = "_lambda_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_identifier_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_PROGMEM] = anon_sym_PROGMEM,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_word] = anon_sym_word,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [aux_sym_number_literal_token1] = aux_sym_number_literal_token1,
  [aux_sym_number_literal_token2] = aux_sym_number_literal_token2,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_primitive_type] = sym_primitive_type,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_number_literal] = sym_number_literal,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__lambda_capture_identifier] = sym__lambda_capture_identifier,
  [sym_lambda_capture_initializer] = sym_lambda_capture_initializer,
  [sym__lambda_capture] = sym__lambda_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_identifier_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PROGMEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_word] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_capture_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_capture] = {
    .visible = false,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 0, .length = 1},
  [18] = {.index = 17, .length = 1},
  [19] = {.index = 18, .length = 1},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 1},
  [22] = {.index = 21, .length = 2},
  [23] = {.index = 23, .length = 2},
  [24] = {.index = 25, .length = 1},
  [25] = {.index = 26, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 14, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 17, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 52, .length = 1},
  [76] = {.index = 103, .length = 2},
  [77] = {.index = 105, .length = 2},
  [78] = {.index = 107, .length = 2},
  [79] = {.index = 109, .length = 1},
  [80] = {.index = 110, .length = 2},
  [81] = {.index = 112, .length = 2},
  [82] = {.index = 114, .length = 2},
  [83] = {.index = 116, .length = 3},
  [84] = {.index = 119, .length = 2},
  [85] = {.index = 121, .length = 1},
  [86] = {.index = 122, .length = 2},
  [87] = {.index = 124, .length = 2},
  [88] = {.index = 126, .length = 2},
  [89] = {.index = 128, .length = 2},
  [90] = {.index = 130, .length = 2},
  [91] = {.index = 132, .length = 2},
  [92] = {.index = 134, .length = 2},
  [93] = {.index = 136, .length = 2},
  [94] = {.index = 138, .length = 1},
  [95] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 1},
  [109] = {.index = 156, .length = 3},
  [110] = {.index = 159, .length = 3},
  [111] = {.index = 162, .length = 3},
  [112] = {.index = 165, .length = 3},
  [113] = {.index = 168, .length = 2},
  [114] = {.index = 170, .length = 3},
  [115] = {.index = 173, .length = 3},
  [116] = {.index = 176, .length = 2},
  [117] = {.index = 178, .length = 3},
  [118] = {.index = 181, .length = 2},
  [119] = {.index = 15, .length = 2},
  [120] = {.index = 39, .length = 2},
  [121] = {.index = 183, .length = 2},
  [122] = {.index = 185, .length = 2},
  [123] = {.index = 187, .length = 1},
  [124] = {.index = 188, .length = 4},
  [125] = {.index = 192, .length = 4},
  [126] = {.index = 196, .length = 2},
  [127] = {.index = 198, .length = 3},
  [128] = {.index = 201, .length = 2},
  [129] = {.index = 203, .length = 2},
  [130] = {.index = 205, .length = 1},
  [131] = {.index = 206, .length = 2},
  [132] = {.index = 208, .length = 2},
  [133] = {.index = 210, .length = 3},
  [134] = {.index = 213, .length = 3},
  [135] = {.index = 216, .length = 3},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 2},
  [153] = {.index = 256, .length = 2},
  [154] = {.index = 258, .length = 1},
  [155] = {.index = 259, .length = 1},
  [156] = {.index = 260, .length = 2},
  [157] = {.index = 262, .length = 1},
  [159] = {.index = 263, .length = 1},
  [160] = {.index = 264, .length = 2},
  [161] = {.index = 266, .length = 2},
  [162] = {.index = 7, .length = 1},
  [163] = {.index = 7, .length = 1},
  [164] = {.index = 268, .length = 2},
  [165] = {.index = 270, .length = 1},
  [166] = {.index = 271, .length = 1},
  [167] = {.index = 272, .length = 4},
  [168] = {.index = 276, .length = 2},
  [169] = {.index = 278, .length = 4},
  [170] = {.index = 282, .length = 1},
  [171] = {.index = 283, .length = 3},
  [172] = {.index = 286, .length = 2},
  [173] = {.index = 288, .length = 3},
  [174] = {.index = 291, .length = 1},
  [175] = {.index = 292, .length = 5},
  [176] = {.index = 297, .length = 2},
  [177] = {.index = 299, .length = 2},
  [178] = {.index = 301, .length = 4},
  [179] = {.index = 305, .length = 2},
  [180] = {.index = 307, .length = 2},
  [181] = {.index = 309, .length = 3},
  [182] = {.index = 312, .length = 4},
  [183] = {.index = 316, .length = 4},
  [184] = {.index = 320, .length = 3},
  [185] = {.index = 323, .length = 2},
  [186] = {.index = 325, .length = 3},
  [187] = {.index = 328, .length = 3},
  [188] = {.index = 331, .length = 2},
  [189] = {.index = 333, .length = 2},
  [190] = {.index = 335, .length = 2},
  [191] = {.index = 337, .length = 2},
  [192] = {.index = 339, .length = 3},
  [193] = {.index = 342, .length = 2},
  [194] = {.index = 344, .length = 2},
  [195] = {.index = 346, .length = 3},
  [196] = {.index = 349, .length = 2},
  [197] = {.index = 351, .length = 2},
  [198] = {.index = 353, .length = 4},
  [199] = {.index = 357, .length = 5},
  [200] = {.index = 362, .length = 3},
  [201] = {.index = 365, .length = 4},
  [202] = {.index = 369, .length = 2},
  [203] = {.index = 371, .length = 2},
  [204] = {.index = 373, .length = 1},
  [205] = {.index = 374, .length = 4},
  [206] = {.index = 378, .length = 3},
  [207] = {.index = 381, .length = 2},
  [208] = {.index = 383, .length = 1},
  [209] = {.index = 384, .length = 5},
  [210] = {.index = 389, .length = 2},
  [211] = {.index = 391, .length = 2},
  [212] = {.index = 65, .length = 1},
  [213] = {.index = 393, .length = 5},
  [214] = {.index = 398, .length = 4},
  [215] = {.index = 402, .length = 2},
  [216] = {.index = 404, .length = 2},
  [217] = {.index = 406, .length = 5},
  [218] = {.index = 411, .length = 2},
  [219] = {.index = 413, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_body, 0},
  [9] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [11] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [13] =
    {field_value, 1},
  [14] =
    {field_scope, 0},
  [15] =
    {field_arguments, 1},
    {field_name, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_requirements, 1},
  [19] =
    {field_constraint, 1},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [23] =
    {field_body, 1},
    {field_declarator, 0},
  [25] =
    {field_declarator, 0},
  [26] =
    {field_constraint, 0},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_type, 0},
    {field_value, 1},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_left, 1},
    {field_right, 3},
  [221] =
    {field_body, 4},
    {field_name, 3},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_designator, 0},
    {field_value, 2},
  [258] =
    {field_value, 3},
  [259] =
    {field_operand, 1},
  [260] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [262] =
    {field_assembly_code, 3},
  [263] =
    {field_default_type, 2},
  [264] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [266] =
    {field_body, 2},
    {field_parameters, 1},
  [268] =
    {field_name, 1},
    {field_type, 3},
  [270] =
    {field_condition, 2},
  [271] =
    {field_length, 1},
  [272] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
  [278] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [282] =
    {field_declarator, 4},
  [283] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [286] =
    {field_declarator, 0},
    {field_size, 3},
  [288] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [291] =
    {field_size, 2},
  [292] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [297] =
    {field_declarator, 1},
    {field_default_value, 3},
  [299] =
    {field_alternative, 4},
    {field_condition, 1},
  [301] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [305] =
    {field_body, 2},
    {field_filter, 1},
  [307] =
    {field_left, 2},
    {field_right, 4},
  [309] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [316] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [320] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [323] =
    {field_condition, 1},
    {field_update, 3},
  [325] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [328] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [331] =
    {field_initializer, 0},
    {field_update, 3},
  [333] =
    {field_condition, 2},
    {field_initializer, 0},
  [335] =
    {field_member, 4},
    {field_type, 2},
  [337] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [339] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [342] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [344] =
    {field_default_type, 3},
    {field_name, 1},
  [346] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [349] =
    {field_name, 1},
    {field_type, 4},
  [351] =
    {field_declarator, 1},
    {field_default_value, 2},
  [353] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [357] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [362] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [365] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [369] =
    {field_end, 3},
    {field_start, 1},
  [371] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [373] =
    {field_register, 1},
  [374] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [378] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [381] =
    {field_condition, 2},
    {field_message, 4},
  [383] =
    {field_delimiter, 1},
  [384] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [389] =
    {field_constraint, 0},
    {field_value, 2},
  [391] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [393] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [398] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [402] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [404] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [406] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [411] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [413] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [13] = {
    [0] = alias_sym_namespace_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [17] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [75] = {
    [2] = alias_sym_type_identifier,
  },
  [93] = {
    [2] = alias_sym_namespace_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_field_identifier,
  },
  [108] = {
    [1] = alias_sym_type_identifier,
  },
  [119] = {
    [0] = alias_sym_field_identifier,
  },
  [120] = {
    [1] = alias_sym_field_identifier,
  },
  [137] = {
    [3] = alias_sym_namespace_identifier,
  },
  [152] = {
    [0] = alias_sym_field_identifier,
  },
  [158] = {
    [2] = alias_sym_type_identifier,
  },
  [162] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [163] = {
    [1] = alias_sym_namespace_identifier,
  },
  [164] = {
    [1] = alias_sym_type_identifier,
  },
  [190] = {
    [4] = alias_sym_field_identifier,
  },
  [194] = {
    [1] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 14,
  [20] = 17,
  [21] = 16,
  [22] = 22,
  [23] = 23,
  [24] = 15,
  [25] = 16,
  [26] = 15,
  [27] = 17,
  [28] = 15,
  [29] = 14,
  [30] = 17,
  [31] = 14,
  [32] = 16,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 37,
  [38] = 37,
  [39] = 39,
  [40] = 34,
  [41] = 35,
  [42] = 35,
  [43] = 35,
  [44] = 37,
  [45] = 35,
  [46] = 35,
  [47] = 37,
  [48] = 37,
  [49] = 39,
  [50] = 35,
  [51] = 37,
  [52] = 37,
  [53] = 37,
  [54] = 37,
  [55] = 55,
  [56] = 35,
  [57] = 37,
  [58] = 35,
  [59] = 39,
  [60] = 35,
  [61] = 37,
  [62] = 34,
  [63] = 37,
  [64] = 35,
  [65] = 37,
  [66] = 37,
  [67] = 35,
  [68] = 68,
  [69] = 39,
  [70] = 35,
  [71] = 35,
  [72] = 37,
  [73] = 34,
  [74] = 35,
  [75] = 33,
  [76] = 35,
  [77] = 33,
  [78] = 37,
  [79] = 37,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 86,
  [88] = 82,
  [89] = 82,
  [90] = 85,
  [91] = 82,
  [92] = 84,
  [93] = 83,
  [94] = 85,
  [95] = 84,
  [96] = 85,
  [97] = 86,
  [98] = 84,
  [99] = 83,
  [100] = 83,
  [101] = 86,
  [102] = 102,
  [103] = 103,
  [104] = 84,
  [105] = 103,
  [106] = 86,
  [107] = 103,
  [108] = 82,
  [109] = 103,
  [110] = 103,
  [111] = 85,
  [112] = 83,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 114,
  [119] = 114,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 121,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 124,
  [129] = 129,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 136,
  [138] = 135,
  [139] = 136,
  [140] = 135,
  [141] = 136,
  [142] = 136,
  [143] = 135,
  [144] = 135,
  [145] = 136,
  [146] = 135,
  [147] = 136,
  [148] = 136,
  [149] = 135,
  [150] = 135,
  [151] = 132,
  [152] = 135,
  [153] = 135,
  [154] = 135,
  [155] = 135,
  [156] = 136,
  [157] = 136,
  [158] = 136,
  [159] = 135,
  [160] = 136,
  [161] = 136,
  [162] = 132,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 163,
  [168] = 168,
  [169] = 168,
  [170] = 170,
  [171] = 164,
  [172] = 172,
  [173] = 168,
  [174] = 168,
  [175] = 175,
  [176] = 175,
  [177] = 172,
  [178] = 175,
  [179] = 165,
  [180] = 166,
  [181] = 164,
  [182] = 164,
  [183] = 170,
  [184] = 165,
  [185] = 170,
  [186] = 166,
  [187] = 165,
  [188] = 188,
  [189] = 164,
  [190] = 164,
  [191] = 132,
  [192] = 172,
  [193] = 163,
  [194] = 168,
  [195] = 166,
  [196] = 165,
  [197] = 170,
  [198] = 188,
  [199] = 188,
  [200] = 165,
  [201] = 163,
  [202] = 188,
  [203] = 166,
  [204] = 175,
  [205] = 175,
  [206] = 166,
  [207] = 172,
  [208] = 170,
  [209] = 188,
  [210] = 175,
  [211] = 172,
  [212] = 163,
  [213] = 163,
  [214] = 170,
  [215] = 172,
  [216] = 168,
  [217] = 217,
  [218] = 217,
  [219] = 132,
  [220] = 217,
  [221] = 132,
  [222] = 217,
  [223] = 223,
  [224] = 224,
  [225] = 132,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 229,
  [231] = 229,
  [232] = 229,
  [233] = 229,
  [234] = 229,
  [235] = 134,
  [236] = 236,
  [237] = 229,
  [238] = 238,
  [239] = 229,
  [240] = 229,
  [241] = 241,
  [242] = 242,
  [243] = 229,
  [244] = 229,
  [245] = 229,
  [246] = 133,
  [247] = 229,
  [248] = 229,
  [249] = 229,
  [250] = 229,
  [251] = 229,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 217,
  [264] = 217,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 217,
  [269] = 217,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 217,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 217,
  [291] = 281,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 223,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 223,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 224,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 313,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 224,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 313,
  [339] = 313,
  [340] = 313,
  [341] = 313,
  [342] = 313,
  [343] = 313,
  [344] = 309,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 313,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 313,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 224,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 223,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 313,
  [390] = 313,
  [391] = 391,
  [392] = 392,
  [393] = 391,
  [394] = 394,
  [395] = 227,
  [396] = 396,
  [397] = 397,
  [398] = 394,
  [399] = 399,
  [400] = 394,
  [401] = 226,
  [402] = 391,
  [403] = 403,
  [404] = 404,
  [405] = 404,
  [406] = 403,
  [407] = 227,
  [408] = 404,
  [409] = 403,
  [410] = 226,
  [411] = 228,
  [412] = 133,
  [413] = 236,
  [414] = 242,
  [415] = 133,
  [416] = 134,
  [417] = 236,
  [418] = 236,
  [419] = 228,
  [420] = 242,
  [421] = 134,
  [422] = 228,
  [423] = 242,
  [424] = 280,
  [425] = 293,
  [426] = 270,
  [427] = 299,
  [428] = 253,
  [429] = 267,
  [430] = 274,
  [431] = 294,
  [432] = 296,
  [433] = 275,
  [434] = 271,
  [435] = 289,
  [436] = 265,
  [437] = 288,
  [438] = 287,
  [439] = 285,
  [440] = 293,
  [441] = 279,
  [442] = 278,
  [443] = 279,
  [444] = 294,
  [445] = 293,
  [446] = 292,
  [447] = 259,
  [448] = 261,
  [449] = 276,
  [450] = 257,
  [451] = 285,
  [452] = 259,
  [453] = 292,
  [454] = 270,
  [455] = 286,
  [456] = 280,
  [457] = 287,
  [458] = 286,
  [459] = 288,
  [460] = 265,
  [461] = 279,
  [462] = 285,
  [463] = 287,
  [464] = 288,
  [465] = 289,
  [466] = 289,
  [467] = 261,
  [468] = 258,
  [469] = 292,
  [470] = 296,
  [471] = 297,
  [472] = 298,
  [473] = 254,
  [474] = 274,
  [475] = 227,
  [476] = 296,
  [477] = 260,
  [478] = 295,
  [479] = 297,
  [480] = 258,
  [481] = 260,
  [482] = 298,
  [483] = 278,
  [484] = 257,
  [485] = 277,
  [486] = 294,
  [487] = 262,
  [488] = 256,
  [489] = 255,
  [490] = 272,
  [491] = 299,
  [492] = 254,
  [493] = 267,
  [494] = 275,
  [495] = 276,
  [496] = 273,
  [497] = 266,
  [498] = 274,
  [499] = 266,
  [500] = 226,
  [501] = 271,
  [502] = 253,
  [503] = 262,
  [504] = 256,
  [505] = 255,
  [506] = 255,
  [507] = 256,
  [508] = 262,
  [509] = 273,
  [510] = 260,
  [511] = 282,
  [512] = 261,
  [513] = 259,
  [514] = 267,
  [515] = 278,
  [516] = 266,
  [517] = 273,
  [518] = 272,
  [519] = 282,
  [520] = 265,
  [521] = 295,
  [522] = 298,
  [523] = 297,
  [524] = 270,
  [525] = 272,
  [526] = 299,
  [527] = 277,
  [528] = 254,
  [529] = 275,
  [530] = 253,
  [531] = 286,
  [532] = 271,
  [533] = 277,
  [534] = 276,
  [535] = 257,
  [536] = 258,
  [537] = 295,
  [538] = 282,
  [539] = 280,
  [540] = 381,
  [541] = 359,
  [542] = 369,
  [543] = 370,
  [544] = 345,
  [545] = 358,
  [546] = 359,
  [547] = 360,
  [548] = 376,
  [549] = 378,
  [550] = 379,
  [551] = 382,
  [552] = 361,
  [553] = 362,
  [554] = 385,
  [555] = 387,
  [556] = 363,
  [557] = 364,
  [558] = 365,
  [559] = 265,
  [560] = 366,
  [561] = 346,
  [562] = 347,
  [563] = 327,
  [564] = 321,
  [565] = 367,
  [566] = 308,
  [567] = 310,
  [568] = 568,
  [569] = 388,
  [570] = 314,
  [571] = 336,
  [572] = 335,
  [573] = 317,
  [574] = 381,
  [575] = 333,
  [576] = 332,
  [577] = 319,
  [578] = 380,
  [579] = 377,
  [580] = 331,
  [581] = 330,
  [582] = 318,
  [583] = 326,
  [584] = 325,
  [585] = 320,
  [586] = 375,
  [587] = 374,
  [588] = 332,
  [589] = 320,
  [590] = 318,
  [591] = 317,
  [592] = 314,
  [593] = 310,
  [594] = 308,
  [595] = 307,
  [596] = 306,
  [597] = 305,
  [598] = 304,
  [599] = 303,
  [600] = 335,
  [601] = 361,
  [602] = 372,
  [603] = 301,
  [604] = 329,
  [605] = 371,
  [606] = 368,
  [607] = 357,
  [608] = 315,
  [609] = 316,
  [610] = 319,
  [611] = 355,
  [612] = 321,
  [613] = 322,
  [614] = 300,
  [615] = 324,
  [616] = 362,
  [617] = 327,
  [618] = 311,
  [619] = 363,
  [620] = 364,
  [621] = 329,
  [622] = 365,
  [623] = 337,
  [624] = 366,
  [625] = 367,
  [626] = 376,
  [627] = 352,
  [628] = 380,
  [629] = 385,
  [630] = 380,
  [631] = 351,
  [632] = 375,
  [633] = 372,
  [634] = 301,
  [635] = 368,
  [636] = 357,
  [637] = 351,
  [638] = 386,
  [639] = 383,
  [640] = 351,
  [641] = 311,
  [642] = 324,
  [643] = 300,
  [644] = 386,
  [645] = 383,
  [646] = 322,
  [647] = 316,
  [648] = 315,
  [649] = 337,
  [650] = 303,
  [651] = 305,
  [652] = 306,
  [653] = 307,
  [654] = 325,
  [655] = 326,
  [656] = 330,
  [657] = 331,
  [658] = 354,
  [659] = 353,
  [660] = 354,
  [661] = 353,
  [662] = 333,
  [663] = 336,
  [664] = 345,
  [665] = 304,
  [666] = 346,
  [667] = 347,
  [668] = 358,
  [669] = 360,
  [670] = 350,
  [671] = 349,
  [672] = 369,
  [673] = 350,
  [674] = 352,
  [675] = 370,
  [676] = 378,
  [677] = 349,
  [678] = 379,
  [679] = 382,
  [680] = 355,
  [681] = 371,
  [682] = 387,
  [683] = 374,
  [684] = 388,
  [685] = 377,
  [686] = 132,
  [687] = 374,
  [688] = 325,
  [689] = 388,
  [690] = 329,
  [691] = 386,
  [692] = 347,
  [693] = 346,
  [694] = 345,
  [695] = 695,
  [696] = 383,
  [697] = 336,
  [698] = 335,
  [699] = 333,
  [700] = 354,
  [701] = 332,
  [702] = 370,
  [703] = 331,
  [704] = 330,
  [705] = 369,
  [706] = 326,
  [707] = 707,
  [708] = 320,
  [709] = 376,
  [710] = 318,
  [711] = 317,
  [712] = 353,
  [713] = 314,
  [714] = 378,
  [715] = 310,
  [716] = 350,
  [717] = 358,
  [718] = 359,
  [719] = 311,
  [720] = 308,
  [721] = 379,
  [722] = 307,
  [723] = 327,
  [724] = 306,
  [725] = 305,
  [726] = 377,
  [727] = 360,
  [728] = 382,
  [729] = 361,
  [730] = 362,
  [731] = 304,
  [732] = 303,
  [733] = 363,
  [734] = 324,
  [735] = 300,
  [736] = 355,
  [737] = 737,
  [738] = 322,
  [739] = 364,
  [740] = 321,
  [741] = 319,
  [742] = 316,
  [743] = 367,
  [744] = 315,
  [745] = 365,
  [746] = 366,
  [747] = 381,
  [748] = 349,
  [749] = 375,
  [750] = 337,
  [751] = 372,
  [752] = 357,
  [753] = 301,
  [754] = 371,
  [755] = 368,
  [756] = 385,
  [757] = 387,
  [758] = 132,
  [759] = 132,
  [760] = 760,
  [761] = 760,
  [762] = 762,
  [763] = 568,
  [764] = 760,
  [765] = 762,
  [766] = 762,
  [767] = 762,
  [768] = 568,
  [769] = 769,
  [770] = 760,
  [771] = 762,
  [772] = 760,
  [773] = 760,
  [774] = 762,
  [775] = 762,
  [776] = 760,
  [777] = 762,
  [778] = 760,
  [779] = 760,
  [780] = 762,
  [781] = 762,
  [782] = 760,
  [783] = 783,
  [784] = 132,
  [785] = 132,
  [786] = 132,
  [787] = 787,
  [788] = 309,
  [789] = 309,
  [790] = 309,
  [791] = 791,
  [792] = 791,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 797,
  [800] = 796,
  [801] = 801,
  [802] = 797,
  [803] = 796,
  [804] = 804,
  [805] = 796,
  [806] = 806,
  [807] = 807,
  [808] = 801,
  [809] = 809,
  [810] = 797,
  [811] = 807,
  [812] = 795,
  [813] = 801,
  [814] = 814,
  [815] = 797,
  [816] = 797,
  [817] = 809,
  [818] = 818,
  [819] = 801,
  [820] = 818,
  [821] = 821,
  [822] = 797,
  [823] = 823,
  [824] = 823,
  [825] = 309,
  [826] = 823,
  [827] = 823,
  [828] = 823,
  [829] = 823,
  [830] = 823,
  [831] = 309,
  [832] = 309,
  [833] = 833,
  [834] = 223,
  [835] = 224,
  [836] = 133,
  [837] = 837,
  [838] = 236,
  [839] = 837,
  [840] = 134,
  [841] = 242,
  [842] = 228,
  [843] = 282,
  [844] = 297,
  [845] = 267,
  [846] = 256,
  [847] = 794,
  [848] = 273,
  [849] = 292,
  [850] = 266,
  [851] = 293,
  [852] = 295,
  [853] = 294,
  [854] = 278,
  [855] = 299,
  [856] = 833,
  [857] = 255,
  [858] = 858,
  [859] = 286,
  [860] = 272,
  [861] = 274,
  [862] = 280,
  [863] = 259,
  [864] = 793,
  [865] = 298,
  [866] = 277,
  [867] = 296,
  [868] = 289,
  [869] = 288,
  [870] = 287,
  [871] = 285,
  [872] = 279,
  [873] = 262,
  [874] = 254,
  [875] = 275,
  [876] = 253,
  [877] = 271,
  [878] = 261,
  [879] = 276,
  [880] = 257,
  [881] = 258,
  [882] = 270,
  [883] = 260,
  [884] = 884,
  [885] = 884,
  [886] = 884,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 890,
  [892] = 892,
  [893] = 893,
  [894] = 889,
  [895] = 890,
  [896] = 893,
  [897] = 890,
  [898] = 893,
  [899] = 893,
  [900] = 893,
  [901] = 893,
  [902] = 890,
  [903] = 890,
  [904] = 889,
  [905] = 905,
  [906] = 893,
  [907] = 890,
  [908] = 893,
  [909] = 889,
  [910] = 893,
  [911] = 889,
  [912] = 890,
  [913] = 889,
  [914] = 890,
  [915] = 915,
  [916] = 916,
  [917] = 915,
  [918] = 916,
  [919] = 915,
  [920] = 916,
  [921] = 916,
  [922] = 916,
  [923] = 916,
  [924] = 915,
  [925] = 915,
  [926] = 915,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 930,
  [932] = 930,
  [933] = 930,
  [934] = 934,
  [935] = 930,
  [936] = 930,
  [937] = 934,
  [938] = 934,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 940,
  [944] = 940,
  [945] = 939,
  [946] = 939,
  [947] = 941,
  [948] = 939,
  [949] = 949,
  [950] = 940,
  [951] = 940,
  [952] = 941,
  [953] = 941,
  [954] = 939,
  [955] = 940,
  [956] = 939,
  [957] = 939,
  [958] = 940,
  [959] = 939,
  [960] = 960,
  [961] = 960,
  [962] = 960,
  [963] = 939,
  [964] = 941,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 965,
  [969] = 969,
  [970] = 965,
  [971] = 965,
  [972] = 967,
  [973] = 967,
  [974] = 965,
  [975] = 965,
  [976] = 967,
  [977] = 967,
  [978] = 965,
  [979] = 967,
  [980] = 965,
  [981] = 967,
  [982] = 982,
  [983] = 969,
  [984] = 969,
  [985] = 965,
  [986] = 967,
  [987] = 967,
  [988] = 967,
  [989] = 967,
  [990] = 965,
  [991] = 965,
  [992] = 965,
  [993] = 993,
  [994] = 967,
  [995] = 995,
  [996] = 996,
  [997] = 967,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 965,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1009,
  [1013] = 1009,
  [1014] = 1014,
  [1015] = 1011,
  [1016] = 1009,
  [1017] = 1006,
  [1018] = 1009,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1006,
  [1022] = 1011,
  [1023] = 1023,
  [1024] = 1011,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1006,
  [1033] = 1033,
  [1034] = 1009,
  [1035] = 1011,
  [1036] = 1009,
  [1037] = 1011,
  [1038] = 1009,
  [1039] = 1011,
  [1040] = 1009,
  [1041] = 1009,
  [1042] = 1042,
  [1043] = 1006,
  [1044] = 1044,
  [1045] = 1006,
  [1046] = 1009,
  [1047] = 1011,
  [1048] = 1011,
  [1049] = 1009,
  [1050] = 1011,
  [1051] = 1011,
  [1052] = 1009,
  [1053] = 1011,
  [1054] = 1006,
  [1055] = 1011,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1060,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1062,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1057,
  [1077] = 1077,
  [1078] = 1066,
  [1079] = 1061,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1061,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1061,
  [1089] = 1068,
  [1090] = 1067,
  [1091] = 1071,
  [1092] = 1085,
  [1093] = 1093,
  [1094] = 1072,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1095,
  [1098] = 1093,
  [1099] = 1093,
  [1100] = 1100,
  [1101] = 1073,
  [1102] = 1102,
  [1103] = 1074,
  [1104] = 1057,
  [1105] = 1058,
  [1106] = 1106,
  [1107] = 1063,
  [1108] = 1061,
  [1109] = 1109,
  [1110] = 1093,
  [1111] = 1056,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1057,
  [1115] = 1061,
  [1116] = 1116,
  [1117] = 1080,
  [1118] = 1061,
  [1119] = 1065,
  [1120] = 1087,
  [1121] = 1061,
  [1122] = 1061,
  [1123] = 1057,
  [1124] = 1087,
  [1125] = 1081,
  [1126] = 1057,
  [1127] = 1112,
  [1128] = 1128,
  [1129] = 1075,
  [1130] = 1082,
  [1131] = 1113,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1057,
  [1135] = 1057,
  [1136] = 1083,
  [1137] = 1137,
  [1138] = 1065,
  [1139] = 1061,
  [1140] = 1116,
  [1141] = 1133,
  [1142] = 1128,
  [1143] = 1057,
  [1144] = 1065,
  [1145] = 1145,
  [1146] = 1095,
  [1147] = 1061,
  [1148] = 1087,
  [1149] = 1061,
  [1150] = 1096,
  [1151] = 1100,
  [1152] = 1102,
  [1153] = 1109,
  [1154] = 1075,
  [1155] = 1106,
  [1156] = 1095,
  [1157] = 1057,
  [1158] = 1065,
  [1159] = 1061,
  [1160] = 1087,
  [1161] = 1059,
  [1162] = 1145,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1168,
  [1175] = 1175,
  [1176] = 1165,
  [1177] = 1171,
  [1178] = 1166,
  [1179] = 1163,
  [1180] = 1180,
  [1181] = 1165,
  [1182] = 1175,
  [1183] = 1172,
  [1184] = 1169,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1166,
  [1188] = 1169,
  [1189] = 1168,
  [1190] = 1190,
  [1191] = 1180,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1186,
  [1195] = 1195,
  [1196] = 1193,
  [1197] = 1173,
  [1198] = 1168,
  [1199] = 1172,
  [1200] = 1175,
  [1201] = 1165,
  [1202] = 1202,
  [1203] = 1173,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1170,
  [1207] = 1170,
  [1208] = 1165,
  [1209] = 1175,
  [1210] = 1205,
  [1211] = 1205,
  [1212] = 1212,
  [1213] = 1170,
  [1214] = 1172,
  [1215] = 1170,
  [1216] = 1212,
  [1217] = 1163,
  [1218] = 1218,
  [1219] = 1169,
  [1220] = 1185,
  [1221] = 1166,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1212,
  [1225] = 1163,
  [1226] = 1180,
  [1227] = 1218,
  [1228] = 1170,
  [1229] = 1229,
  [1230] = 1204,
  [1231] = 1165,
  [1232] = 1186,
  [1233] = 1192,
  [1234] = 1202,
  [1235] = 1218,
  [1236] = 1180,
  [1237] = 1237,
  [1238] = 1190,
  [1239] = 1204,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1195,
  [1243] = 1186,
  [1244] = 1163,
  [1245] = 1193,
  [1246] = 1205,
  [1247] = 1193,
  [1248] = 1248,
  [1249] = 1218,
  [1250] = 1202,
  [1251] = 1251,
  [1252] = 1190,
  [1253] = 1186,
  [1254] = 1175,
  [1255] = 1240,
  [1256] = 1180,
  [1257] = 1192,
  [1258] = 1204,
  [1259] = 1259,
  [1260] = 1240,
  [1261] = 1251,
  [1262] = 1262,
  [1263] = 1190,
  [1264] = 1192,
  [1265] = 1168,
  [1266] = 1170,
  [1267] = 1172,
  [1268] = 1173,
  [1269] = 1173,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1168,
  [1273] = 1273,
  [1274] = 1240,
  [1275] = 1185,
  [1276] = 1204,
  [1277] = 1173,
  [1278] = 1259,
  [1279] = 1173,
  [1280] = 1271,
  [1281] = 1168,
  [1282] = 1175,
  [1283] = 1212,
  [1284] = 1169,
  [1285] = 1204,
  [1286] = 1168,
  [1287] = 1287,
  [1288] = 1173,
  [1289] = 1204,
  [1290] = 1166,
  [1291] = 1163,
  [1292] = 1204,
  [1293] = 1164,
  [1294] = 1185,
  [1295] = 1295,
  [1296] = 1212,
  [1297] = 1240,
  [1298] = 1248,
  [1299] = 1241,
  [1300] = 1300,
  [1301] = 1212,
  [1302] = 1271,
  [1303] = 1180,
  [1304] = 1186,
  [1305] = 1205,
  [1306] = 1171,
  [1307] = 1170,
  [1308] = 1164,
  [1309] = 1193,
  [1310] = 1171,
  [1311] = 1205,
  [1312] = 1193,
  [1313] = 1259,
  [1314] = 1205,
  [1315] = 1193,
  [1316] = 1192,
  [1317] = 1171,
  [1318] = 1165,
  [1319] = 1170,
  [1320] = 1262,
  [1321] = 1165,
  [1322] = 1241,
  [1323] = 1175,
  [1324] = 1190,
  [1325] = 1180,
  [1326] = 1190,
  [1327] = 1172,
  [1328] = 1171,
  [1329] = 1171,
  [1330] = 1171,
  [1331] = 1271,
  [1332] = 1332,
  [1333] = 1205,
  [1334] = 1193,
  [1335] = 1186,
  [1336] = 1180,
  [1337] = 1163,
  [1338] = 1338,
  [1339] = 1212,
  [1340] = 1166,
  [1341] = 1259,
  [1342] = 1271,
  [1343] = 1175,
  [1344] = 1185,
  [1345] = 1169,
  [1346] = 1346,
  [1347] = 1172,
  [1348] = 1172,
  [1349] = 1175,
  [1350] = 1350,
  [1351] = 1165,
  [1352] = 1205,
  [1353] = 1190,
  [1354] = 1354,
  [1355] = 1168,
  [1356] = 1204,
  [1357] = 1169,
  [1358] = 1240,
  [1359] = 1186,
  [1360] = 1180,
  [1361] = 1163,
  [1362] = 1218,
  [1363] = 1195,
  [1364] = 1180,
  [1365] = 1166,
  [1366] = 1186,
  [1367] = 1195,
  [1368] = 1173,
  [1369] = 1170,
  [1370] = 1171,
  [1371] = 1172,
  [1372] = 1271,
  [1373] = 1163,
  [1374] = 1248,
  [1375] = 1218,
  [1376] = 1163,
  [1377] = 1240,
  [1378] = 1186,
  [1379] = 1166,
  [1380] = 1222,
  [1381] = 1193,
  [1382] = 1205,
  [1383] = 1223,
  [1384] = 1240,
  [1385] = 1251,
  [1386] = 1271,
  [1387] = 1251,
  [1388] = 1350,
  [1389] = 1202,
  [1390] = 1204,
  [1391] = 1241,
  [1392] = 1240,
  [1393] = 1212,
  [1394] = 1218,
  [1395] = 1241,
  [1396] = 1202,
  [1397] = 1166,
  [1398] = 1164,
  [1399] = 1173,
  [1400] = 1173,
  [1401] = 1248,
  [1402] = 1212,
  [1403] = 1168,
  [1404] = 1295,
  [1405] = 1169,
  [1406] = 1172,
  [1407] = 1185,
  [1408] = 1204,
  [1409] = 1204,
  [1410] = 1175,
  [1411] = 1251,
  [1412] = 1271,
  [1413] = 1165,
  [1414] = 1218,
  [1415] = 1170,
  [1416] = 1218,
  [1417] = 1173,
  [1418] = 1418,
  [1419] = 1193,
  [1420] = 1240,
  [1421] = 1421,
  [1422] = 1241,
  [1423] = 1350,
  [1424] = 1271,
  [1425] = 1248,
  [1426] = 1218,
  [1427] = 1248,
  [1428] = 1185,
  [1429] = 1240,
  [1430] = 1169,
  [1431] = 1173,
  [1432] = 1168,
  [1433] = 1164,
  [1434] = 1251,
  [1435] = 1166,
  [1436] = 1212,
  [1437] = 1170,
  [1438] = 1171,
  [1439] = 1271,
  [1440] = 1171,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1166,
  [1444] = 1193,
  [1445] = 1195,
  [1446] = 1212,
  [1447] = 1447,
  [1448] = 1168,
  [1449] = 1218,
  [1450] = 1171,
  [1451] = 1169,
  [1452] = 1218,
  [1453] = 1453,
  [1454] = 1169,
  [1455] = 1172,
  [1456] = 1175,
  [1457] = 1168,
  [1458] = 1171,
  [1459] = 1204,
  [1460] = 1271,
  [1461] = 1205,
  [1462] = 1193,
  [1463] = 1251,
  [1464] = 1186,
  [1465] = 1180,
  [1466] = 1240,
  [1467] = 1170,
  [1468] = 1163,
  [1469] = 1165,
  [1470] = 1164,
  [1471] = 1259,
  [1472] = 1166,
  [1473] = 1175,
  [1474] = 1169,
  [1475] = 1172,
  [1476] = 1175,
  [1477] = 1241,
  [1478] = 1240,
  [1479] = 1165,
  [1480] = 1172,
  [1481] = 1169,
  [1482] = 1166,
  [1483] = 1212,
  [1484] = 1259,
  [1485] = 1271,
  [1486] = 1163,
  [1487] = 1186,
  [1488] = 1180,
  [1489] = 1180,
  [1490] = 1186,
  [1491] = 1193,
  [1492] = 1205,
  [1493] = 1163,
  [1494] = 1192,
  [1495] = 1271,
  [1496] = 1212,
  [1497] = 1218,
  [1498] = 1205,
  [1499] = 1165,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1503,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 329,
  [1511] = 1511,
  [1512] = 319,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1514,
  [1516] = 1514,
  [1517] = 1514,
  [1518] = 1509,
  [1519] = 1519,
  [1520] = 1511,
  [1521] = 1509,
  [1522] = 1522,
  [1523] = 1507,
  [1524] = 1508,
  [1525] = 1500,
  [1526] = 1507,
  [1527] = 1501,
  [1528] = 1502,
  [1529] = 1506,
  [1530] = 1508,
  [1531] = 1504,
  [1532] = 1501,
  [1533] = 1506,
  [1534] = 1500,
  [1535] = 1502,
  [1536] = 1509,
  [1537] = 1511,
  [1538] = 1504,
  [1539] = 1511,
  [1540] = 1540,
  [1541] = 934,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 934,
  [1546] = 1546,
  [1547] = 1546,
  [1548] = 1544,
  [1549] = 1500,
  [1550] = 1502,
  [1551] = 1506,
  [1552] = 1504,
  [1553] = 1501,
  [1554] = 934,
  [1555] = 1507,
  [1556] = 1508,
  [1557] = 1511,
  [1558] = 1544,
  [1559] = 1546,
  [1560] = 1560,
  [1561] = 1508,
  [1562] = 1502,
  [1563] = 1504,
  [1564] = 1507,
  [1565] = 1546,
  [1566] = 1501,
  [1567] = 1500,
  [1568] = 1506,
  [1569] = 1544,
  [1570] = 1560,
  [1571] = 1571,
  [1572] = 1571,
  [1573] = 1571,
  [1574] = 1511,
  [1575] = 1571,
  [1576] = 1519,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1578,
  [1580] = 1578,
  [1581] = 1546,
  [1582] = 1582,
  [1583] = 1578,
  [1584] = 1582,
  [1585] = 1582,
  [1586] = 1578,
  [1587] = 1578,
  [1588] = 1544,
  [1589] = 1582,
  [1590] = 1582,
  [1591] = 1582,
  [1592] = 1578,
  [1593] = 1519,
  [1594] = 1582,
  [1595] = 1595,
  [1596] = 1519,
  [1597] = 1560,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1540,
  [1612] = 1612,
  [1613] = 1519,
  [1614] = 1540,
  [1615] = 1543,
  [1616] = 1542,
  [1617] = 1560,
  [1618] = 1618,
  [1619] = 1519,
  [1620] = 1618,
  [1621] = 1621,
  [1622] = 1542,
  [1623] = 1543,
  [1624] = 1542,
  [1625] = 1543,
  [1626] = 1540,
  [1627] = 1540,
  [1628] = 1560,
  [1629] = 1629,
  [1630] = 1542,
  [1631] = 1511,
  [1632] = 1632,
  [1633] = 226,
  [1634] = 1629,
  [1635] = 1542,
  [1636] = 227,
  [1637] = 224,
  [1638] = 1629,
  [1639] = 1543,
  [1640] = 223,
  [1641] = 1543,
  [1642] = 1629,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1502,
  [1646] = 1646,
  [1647] = 1507,
  [1648] = 1504,
  [1649] = 1506,
  [1650] = 1500,
  [1651] = 1511,
  [1652] = 1501,
  [1653] = 1653,
  [1654] = 1508,
  [1655] = 1502,
  [1656] = 1508,
  [1657] = 1500,
  [1658] = 1658,
  [1659] = 1506,
  [1660] = 1507,
  [1661] = 265,
  [1662] = 1662,
  [1663] = 133,
  [1664] = 134,
  [1665] = 265,
  [1666] = 1504,
  [1667] = 236,
  [1668] = 1501,
  [1669] = 329,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 357,
  [1675] = 361,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1508,
  [1682] = 314,
  [1683] = 1546,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 349,
  [1687] = 1687,
  [1688] = 295,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 317,
  [1692] = 1502,
  [1693] = 1693,
  [1694] = 1542,
  [1695] = 1695,
  [1696] = 354,
  [1697] = 353,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 364,
  [1702] = 371,
  [1703] = 1703,
  [1704] = 318,
  [1705] = 320,
  [1706] = 325,
  [1707] = 310,
  [1708] = 383,
  [1709] = 386,
  [1710] = 1543,
  [1711] = 1544,
  [1712] = 363,
  [1713] = 1501,
  [1714] = 1504,
  [1715] = 337,
  [1716] = 1506,
  [1717] = 326,
  [1718] = 375,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 270,
  [1723] = 327,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1500,
  [1727] = 1727,
  [1728] = 324,
  [1729] = 300,
  [1730] = 1730,
  [1731] = 297,
  [1732] = 322,
  [1733] = 298,
  [1734] = 385,
  [1735] = 1735,
  [1736] = 335,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 319,
  [1741] = 1507,
  [1742] = 1546,
  [1743] = 1743,
  [1744] = 301,
  [1745] = 368,
  [1746] = 332,
  [1747] = 308,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 331,
  [1751] = 1751,
  [1752] = 376,
  [1753] = 365,
  [1754] = 277,
  [1755] = 366,
  [1756] = 367,
  [1757] = 272,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 380,
  [1761] = 261,
  [1762] = 262,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1544,
  [1767] = 1767,
  [1768] = 256,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 255,
  [1772] = 1772,
  [1773] = 330,
  [1774] = 370,
  [1775] = 350,
  [1776] = 362,
  [1777] = 369,
  [1778] = 351,
  [1779] = 372,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 321,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 223,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 226,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 224,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1509,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 227,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1511,
  [1821] = 223,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 226,
  [1828] = 227,
  [1829] = 1829,
  [1830] = 224,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1833,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1836,
  [1839] = 1833,
  [1840] = 1834,
  [1841] = 1836,
  [1842] = 1834,
  [1843] = 1509,
  [1844] = 1834,
  [1845] = 1833,
  [1846] = 1836,
  [1847] = 1836,
  [1848] = 1833,
  [1849] = 1836,
  [1850] = 1836,
  [1851] = 1833,
  [1852] = 1833,
  [1853] = 236,
  [1854] = 265,
  [1855] = 1855,
  [1856] = 236,
  [1857] = 1509,
  [1858] = 265,
  [1859] = 1519,
  [1860] = 1860,
  [1861] = 265,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 265,
  [1865] = 134,
  [1866] = 1855,
  [1867] = 1577,
  [1868] = 1855,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 134,
  [1872] = 1540,
  [1873] = 1511,
  [1874] = 133,
  [1875] = 1855,
  [1876] = 133,
  [1877] = 364,
  [1878] = 1511,
  [1879] = 317,
  [1880] = 261,
  [1881] = 318,
  [1882] = 320,
  [1883] = 1695,
  [1884] = 298,
  [1885] = 297,
  [1886] = 1738,
  [1887] = 1703,
  [1888] = 331,
  [1889] = 330,
  [1890] = 386,
  [1891] = 1684,
  [1892] = 386,
  [1893] = 383,
  [1894] = 297,
  [1895] = 298,
  [1896] = 310,
  [1897] = 324,
  [1898] = 1737,
  [1899] = 326,
  [1900] = 300,
  [1901] = 349,
  [1902] = 270,
  [1903] = 1749,
  [1904] = 322,
  [1905] = 1735,
  [1906] = 300,
  [1907] = 1672,
  [1908] = 1727,
  [1909] = 372,
  [1910] = 321,
  [1911] = 325,
  [1912] = 1546,
  [1913] = 320,
  [1914] = 1680,
  [1915] = 301,
  [1916] = 1772,
  [1917] = 1725,
  [1918] = 1678,
  [1919] = 1703,
  [1920] = 332,
  [1921] = 337,
  [1922] = 308,
  [1923] = 1689,
  [1924] = 335,
  [1925] = 1719,
  [1926] = 1769,
  [1927] = 272,
  [1928] = 1767,
  [1929] = 370,
  [1930] = 353,
  [1931] = 349,
  [1932] = 1721,
  [1933] = 1700,
  [1934] = 380,
  [1935] = 1699,
  [1936] = 325,
  [1937] = 301,
  [1938] = 1698,
  [1939] = 375,
  [1940] = 369,
  [1941] = 357,
  [1942] = 1671,
  [1943] = 326,
  [1944] = 1699,
  [1945] = 324,
  [1946] = 262,
  [1947] = 1759,
  [1948] = 256,
  [1949] = 1724,
  [1950] = 1693,
  [1951] = 255,
  [1952] = 372,
  [1953] = 380,
  [1954] = 330,
  [1955] = 1670,
  [1956] = 1690,
  [1957] = 1749,
  [1958] = 318,
  [1959] = 1763,
  [1960] = 1748,
  [1961] = 331,
  [1962] = 366,
  [1963] = 1764,
  [1964] = 1738,
  [1965] = 262,
  [1966] = 256,
  [1967] = 335,
  [1968] = 255,
  [1969] = 1737,
  [1970] = 1970,
  [1971] = 351,
  [1972] = 1735,
  [1973] = 1727,
  [1974] = 365,
  [1975] = 1975,
  [1976] = 277,
  [1977] = 364,
  [1978] = 354,
  [1979] = 1676,
  [1980] = 363,
  [1981] = 369,
  [1982] = 1725,
  [1983] = 370,
  [1984] = 1769,
  [1985] = 362,
  [1986] = 319,
  [1987] = 329,
  [1988] = 1988,
  [1989] = 317,
  [1990] = 321,
  [1991] = 1770,
  [1992] = 1685,
  [1993] = 371,
  [1994] = 368,
  [1995] = 357,
  [1996] = 295,
  [1997] = 1684,
  [1998] = 1680,
  [1999] = 361,
  [2000] = 327,
  [2001] = 1673,
  [2002] = 261,
  [2003] = 1678,
  [2004] = 353,
  [2005] = 354,
  [2006] = 319,
  [2007] = 270,
  [2008] = 1748,
  [2009] = 383,
  [2010] = 1824,
  [2011] = 295,
  [2012] = 385,
  [2013] = 1673,
  [2014] = 1676,
  [2015] = 2015,
  [2016] = 1687,
  [2017] = 1509,
  [2018] = 361,
  [2019] = 362,
  [2020] = 363,
  [2021] = 375,
  [2022] = 1685,
  [2023] = 365,
  [2024] = 366,
  [2025] = 371,
  [2026] = 327,
  [2027] = 1544,
  [2028] = 376,
  [2029] = 368,
  [2030] = 337,
  [2031] = 1772,
  [2032] = 314,
  [2033] = 1743,
  [2034] = 350,
  [2035] = 1719,
  [2036] = 385,
  [2037] = 329,
  [2038] = 332,
  [2039] = 308,
  [2040] = 322,
  [2041] = 1724,
  [2042] = 376,
  [2043] = 2043,
  [2044] = 1721,
  [2045] = 1560,
  [2046] = 1690,
  [2047] = 1693,
  [2048] = 350,
  [2049] = 1560,
  [2050] = 1695,
  [2051] = 367,
  [2052] = 1698,
  [2053] = 277,
  [2054] = 351,
  [2055] = 1687,
  [2056] = 1662,
  [2057] = 1759,
  [2058] = 1672,
  [2059] = 1689,
  [2060] = 1671,
  [2061] = 1743,
  [2062] = 367,
  [2063] = 1767,
  [2064] = 1700,
  [2065] = 1770,
  [2066] = 272,
  [2067] = 1670,
  [2068] = 1763,
  [2069] = 1764,
  [2070] = 314,
  [2071] = 310,
  [2072] = 1540,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 1970,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2043,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 1810,
  [2093] = 1511,
  [2094] = 1577,
  [2095] = 1508,
  [2096] = 1507,
  [2097] = 1677,
  [2098] = 1829,
  [2099] = 1500,
  [2100] = 1781,
  [2101] = 1501,
  [2102] = 2015,
  [2103] = 133,
  [2104] = 1546,
  [2105] = 2105,
  [2106] = 1542,
  [2107] = 1975,
  [2108] = 1739,
  [2109] = 1502,
  [2110] = 1506,
  [2111] = 2015,
  [2112] = 793,
  [2113] = 1810,
  [2114] = 2114,
  [2115] = 1975,
  [2116] = 134,
  [2117] = 1504,
  [2118] = 1739,
  [2119] = 1860,
  [2120] = 1677,
  [2121] = 2121,
  [2122] = 794,
  [2123] = 1544,
  [2124] = 1780,
  [2125] = 1780,
  [2126] = 1543,
  [2127] = 1781,
  [2128] = 2128,
  [2129] = 1679,
  [2130] = 1739,
  [2131] = 1677,
  [2132] = 1662,
  [2133] = 1829,
  [2134] = 2134,
  [2135] = 2134,
  [2136] = 2128,
  [2137] = 2137,
  [2138] = 1781,
  [2139] = 1751,
  [2140] = 1829,
  [2141] = 2134,
  [2142] = 2142,
  [2143] = 2105,
  [2144] = 1662,
  [2145] = 1730,
  [2146] = 1662,
  [2147] = 1780,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 1751,
  [2155] = 2155,
  [2156] = 1758,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 1765,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2148,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 1720,
  [2168] = 2168,
  [2169] = 1679,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 1662,
  [2173] = 2173,
  [2174] = 2151,
  [2175] = 2151,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2151,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 1662,
  [2184] = 2142,
  [2185] = 2151,
  [2186] = 2186,
  [2187] = 2151,
  [2188] = 1730,
  [2189] = 1560,
  [2190] = 2149,
  [2191] = 1799,
  [2192] = 2192,
  [2193] = 1975,
  [2194] = 1796,
  [2195] = 2195,
  [2196] = 2075,
  [2197] = 2197,
  [2198] = 2090,
  [2199] = 1795,
  [2200] = 1805,
  [2201] = 1800,
  [2202] = 2076,
  [2203] = 2073,
  [2204] = 2204,
  [2205] = 1794,
  [2206] = 1860,
  [2207] = 2207,
  [2208] = 1662,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 1793,
  [2213] = 1784,
  [2214] = 1791,
  [2215] = 2164,
  [2216] = 1788,
  [2217] = 1787,
  [2218] = 2090,
  [2219] = 2219,
  [2220] = 1785,
  [2221] = 1662,
  [2222] = 1988,
  [2223] = 2223,
  [2224] = 2105,
  [2225] = 1863,
  [2226] = 2226,
  [2227] = 1540,
  [2228] = 2181,
  [2229] = 2161,
  [2230] = 2153,
  [2231] = 2155,
  [2232] = 2158,
  [2233] = 2083,
  [2234] = 2234,
  [2235] = 1509,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 1679,
  [2239] = 2081,
  [2240] = 1802,
  [2241] = 1803,
  [2242] = 2242,
  [2243] = 2075,
  [2244] = 2074,
  [2245] = 1807,
  [2246] = 1808,
  [2247] = 1869,
  [2248] = 2084,
  [2249] = 2249,
  [2250] = 1832,
  [2251] = 1831,
  [2252] = 1751,
  [2253] = 1870,
  [2254] = 1783,
  [2255] = 1823,
  [2256] = 1822,
  [2257] = 2159,
  [2258] = 1819,
  [2259] = 1662,
  [2260] = 2081,
  [2261] = 2261,
  [2262] = 2079,
  [2263] = 1816,
  [2264] = 2264,
  [2265] = 1814,
  [2266] = 1813,
  [2267] = 1804,
  [2268] = 1797,
  [2269] = 1662,
  [2270] = 1730,
  [2271] = 2084,
  [2272] = 2078,
  [2273] = 2177,
  [2274] = 2176,
  [2275] = 2171,
  [2276] = 2170,
  [2277] = 1824,
  [2278] = 2078,
  [2279] = 2079,
  [2280] = 2085,
  [2281] = 1811,
  [2282] = 2087,
  [2283] = 1826,
  [2284] = 2073,
  [2285] = 1789,
  [2286] = 2076,
  [2287] = 2088,
  [2288] = 2087,
  [2289] = 2085,
  [2290] = 2074,
  [2291] = 2088,
  [2292] = 1862,
  [2293] = 2293,
  [2294] = 1825,
  [2295] = 2168,
  [2296] = 1818,
  [2297] = 1806,
  [2298] = 2015,
  [2299] = 1801,
  [2300] = 2165,
  [2301] = 1817,
  [2302] = 1786,
  [2303] = 1790,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 1511,
  [2307] = 2307,
  [2308] = 2088,
  [2309] = 2309,
  [2310] = 2087,
  [2311] = 2076,
  [2312] = 2105,
  [2313] = 2074,
  [2314] = 1870,
  [2315] = 2078,
  [2316] = 1869,
  [2317] = 2085,
  [2318] = 1758,
  [2319] = 2084,
  [2320] = 2079,
  [2321] = 2321,
  [2322] = 1765,
  [2323] = 2081,
  [2324] = 1720,
  [2325] = 2325,
  [2326] = 1863,
  [2327] = 2090,
  [2328] = 2075,
  [2329] = 2083,
  [2330] = 1862,
  [2331] = 2331,
  [2332] = 1810,
  [2333] = 2333,
  [2334] = 2073,
  [2335] = 1560,
  [2336] = 1818,
  [2337] = 1860,
  [2338] = 2083,
  [2339] = 2339,
  [2340] = 1814,
  [2341] = 1870,
  [2342] = 1813,
  [2343] = 1793,
  [2344] = 2105,
  [2345] = 1794,
  [2346] = 1751,
  [2347] = 2347,
  [2348] = 1869,
  [2349] = 1795,
  [2350] = 1804,
  [2351] = 2351,
  [2352] = 1797,
  [2353] = 1862,
  [2354] = 2354,
  [2355] = 1863,
  [2356] = 1796,
  [2357] = 1679,
  [2358] = 1819,
  [2359] = 1860,
  [2360] = 1801,
  [2361] = 1862,
  [2362] = 1823,
  [2363] = 2142,
  [2364] = 1800,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 1544,
  [2368] = 1810,
  [2369] = 1822,
  [2370] = 1825,
  [2371] = 793,
  [2372] = 1805,
  [2373] = 1802,
  [2374] = 1791,
  [2375] = 2142,
  [2376] = 1970,
  [2377] = 1784,
  [2378] = 1788,
  [2379] = 1799,
  [2380] = 1807,
  [2381] = 1730,
  [2382] = 1832,
  [2383] = 1816,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 1863,
  [2387] = 1806,
  [2388] = 2388,
  [2389] = 1783,
  [2390] = 2390,
  [2391] = 1546,
  [2392] = 2392,
  [2393] = 1826,
  [2394] = 1831,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2043,
  [2400] = 1787,
  [2401] = 1870,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 1790,
  [2405] = 1785,
  [2406] = 2406,
  [2407] = 794,
  [2408] = 1803,
  [2409] = 1869,
  [2410] = 2410,
  [2411] = 1786,
  [2412] = 2412,
  [2413] = 1789,
  [2414] = 1811,
  [2415] = 1808,
  [2416] = 1817,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 1609,
  [2422] = 2422,
  [2423] = 2114,
  [2424] = 1577,
  [2425] = 134,
  [2426] = 1502,
  [2427] = 1870,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 133,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 1869,
  [2439] = 2439,
  [2440] = 1863,
  [2441] = 1862,
  [2442] = 1610,
  [2443] = 2443,
  [2444] = 2142,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 1607,
  [2453] = 2453,
  [2454] = 2148,
  [2455] = 2455,
  [2456] = 1608,
  [2457] = 2331,
  [2458] = 1506,
  [2459] = 1504,
  [2460] = 1501,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 1781,
  [2467] = 2467,
  [2468] = 1605,
  [2469] = 1601,
  [2470] = 1603,
  [2471] = 2333,
  [2472] = 2472,
  [2473] = 1500,
  [2474] = 1508,
  [2475] = 1507,
  [2476] = 2476,
  [2477] = 1606,
  [2478] = 2149,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 1862,
  [2483] = 1595,
  [2484] = 2436,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 1604,
  [2490] = 1612,
  [2491] = 2491,
  [2492] = 2121,
  [2493] = 1602,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 1599,
  [2497] = 2436,
  [2498] = 2498,
  [2499] = 2436,
  [2500] = 1780,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 1869,
  [2506] = 1870,
  [2507] = 2507,
  [2508] = 1598,
  [2509] = 1677,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 1600,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 1860,
  [2522] = 1863,
  [2523] = 1739,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2177,
  [2529] = 2176,
  [2530] = 2074,
  [2531] = 1502,
  [2532] = 2075,
  [2533] = 2079,
  [2534] = 2090,
  [2535] = 2164,
  [2536] = 1506,
  [2537] = 1504,
  [2538] = 2181,
  [2539] = 1501,
  [2540] = 1500,
  [2541] = 1508,
  [2542] = 1765,
  [2543] = 1781,
  [2544] = 1540,
  [2545] = 1502,
  [2546] = 2076,
  [2547] = 2073,
  [2548] = 1829,
  [2549] = 1863,
  [2550] = 2078,
  [2551] = 2551,
  [2552] = 2043,
  [2553] = 1739,
  [2554] = 2554,
  [2555] = 2088,
  [2556] = 2087,
  [2557] = 2085,
  [2558] = 2084,
  [2559] = 2081,
  [2560] = 1506,
  [2561] = 2105,
  [2562] = 1870,
  [2563] = 2161,
  [2564] = 1507,
  [2565] = 2153,
  [2566] = 1758,
  [2567] = 2159,
  [2568] = 278,
  [2569] = 2569,
  [2570] = 1970,
  [2571] = 1500,
  [2572] = 1508,
  [2573] = 1507,
  [2574] = 2155,
  [2575] = 1577,
  [2576] = 2078,
  [2577] = 2165,
  [2578] = 2168,
  [2579] = 1780,
  [2580] = 1677,
  [2581] = 266,
  [2582] = 2582,
  [2583] = 2158,
  [2584] = 1720,
  [2585] = 2090,
  [2586] = 1869,
  [2587] = 1829,
  [2588] = 2079,
  [2589] = 2170,
  [2590] = 2073,
  [2591] = 2088,
  [2592] = 2075,
  [2593] = 2171,
  [2594] = 1862,
  [2595] = 2087,
  [2596] = 2085,
  [2597] = 2084,
  [2598] = 2081,
  [2599] = 1501,
  [2600] = 1504,
  [2601] = 2601,
  [2602] = 2074,
  [2603] = 2076,
  [2604] = 1785,
  [2605] = 1805,
  [2606] = 1811,
  [2607] = 1788,
  [2608] = 1791,
  [2609] = 1784,
  [2610] = 1793,
  [2611] = 2510,
  [2612] = 1780,
  [2613] = 1677,
  [2614] = 2159,
  [2615] = 1794,
  [2616] = 1795,
  [2617] = 1824,
  [2618] = 1832,
  [2619] = 1796,
  [2620] = 2043,
  [2621] = 1831,
  [2622] = 1825,
  [2623] = 1783,
  [2624] = 1739,
  [2625] = 2074,
  [2626] = 1870,
  [2627] = 2075,
  [2628] = 1808,
  [2629] = 1807,
  [2630] = 1803,
  [2631] = 2510,
  [2632] = 1802,
  [2633] = 1577,
  [2634] = 2090,
  [2635] = 1823,
  [2636] = 1822,
  [2637] = 1800,
  [2638] = 2142,
  [2639] = 1819,
  [2640] = 1816,
  [2641] = 2081,
  [2642] = 2084,
  [2643] = 1787,
  [2644] = 2331,
  [2645] = 1860,
  [2646] = 1814,
  [2647] = 2511,
  [2648] = 1781,
  [2649] = 2085,
  [2650] = 2087,
  [2651] = 1813,
  [2652] = 1810,
  [2653] = 2088,
  [2654] = 1804,
  [2655] = 1869,
  [2656] = 1797,
  [2657] = 1730,
  [2658] = 2076,
  [2659] = 2073,
  [2660] = 2079,
  [2661] = 1863,
  [2662] = 2078,
  [2663] = 1970,
  [2664] = 1751,
  [2665] = 1988,
  [2666] = 1679,
  [2667] = 1862,
  [2668] = 1826,
  [2669] = 2083,
  [2670] = 1789,
  [2671] = 1818,
  [2672] = 1806,
  [2673] = 1799,
  [2674] = 1988,
  [2675] = 1790,
  [2676] = 1786,
  [2677] = 1817,
  [2678] = 1824,
  [2679] = 2511,
  [2680] = 2333,
  [2681] = 1801,
  [2682] = 1560,
  [2683] = 1810,
  [2684] = 2083,
  [2685] = 1829,
  [2686] = 2686,
  [2687] = 2503,
  [2688] = 2514,
  [2689] = 2689,
  [2690] = 2686,
  [2691] = 2686,
  [2692] = 1543,
  [2693] = 1863,
  [2694] = 1870,
  [2695] = 1869,
  [2696] = 2526,
  [2697] = 1739,
  [2698] = 2686,
  [2699] = 2686,
  [2700] = 2686,
  [2701] = 1577,
  [2702] = 1677,
  [2703] = 1780,
  [2704] = 1577,
  [2705] = 1577,
  [2706] = 2686,
  [2707] = 1781,
  [2708] = 1862,
  [2709] = 2331,
  [2710] = 2333,
  [2711] = 1829,
  [2712] = 2142,
  [2713] = 2078,
  [2714] = 1970,
  [2715] = 2159,
  [2716] = 2086,
  [2717] = 2149,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2718,
  [2721] = 2075,
  [2722] = 2719,
  [2723] = 2718,
  [2724] = 2043,
  [2725] = 2082,
  [2726] = 2073,
  [2727] = 2718,
  [2728] = 2719,
  [2729] = 2148,
  [2730] = 2079,
  [2731] = 2091,
  [2732] = 2719,
  [2733] = 2149,
  [2734] = 2083,
  [2735] = 2076,
  [2736] = 2719,
  [2737] = 2719,
  [2738] = 2718,
  [2739] = 2088,
  [2740] = 2080,
  [2741] = 2087,
  [2742] = 2085,
  [2743] = 2084,
  [2744] = 2718,
  [2745] = 2719,
  [2746] = 2074,
  [2747] = 2081,
  [2748] = 2090,
  [2749] = 2148,
  [2750] = 2718,
  [2751] = 2751,
  [2752] = 1829,
  [2753] = 2333,
  [2754] = 2148,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2331,
  [2758] = 1863,
  [2759] = 2080,
  [2760] = 2760,
  [2761] = 1781,
  [2762] = 1862,
  [2763] = 2763,
  [2764] = 2445,
  [2765] = 2763,
  [2766] = 1870,
  [2767] = 2181,
  [2768] = 2091,
  [2769] = 2769,
  [2770] = 2082,
  [2771] = 1810,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2510,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2447,
  [2782] = 2448,
  [2783] = 2449,
  [2784] = 2451,
  [2785] = 2158,
  [2786] = 2786,
  [2787] = 2755,
  [2788] = 2453,
  [2789] = 1739,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2086,
  [2793] = 2793,
  [2794] = 2776,
  [2795] = 2755,
  [2796] = 2164,
  [2797] = 2464,
  [2798] = 2755,
  [2799] = 2755,
  [2800] = 2511,
  [2801] = 1506,
  [2802] = 2763,
  [2803] = 1504,
  [2804] = 2776,
  [2805] = 2760,
  [2806] = 2755,
  [2807] = 2807,
  [2808] = 2161,
  [2809] = 2177,
  [2810] = 2176,
  [2811] = 1677,
  [2812] = 1780,
  [2813] = 2763,
  [2814] = 2814,
  [2815] = 1869,
  [2816] = 2171,
  [2817] = 2817,
  [2818] = 2755,
  [2819] = 2170,
  [2820] = 2153,
  [2821] = 2155,
  [2822] = 2165,
  [2823] = 2149,
  [2824] = 1501,
  [2825] = 2825,
  [2826] = 1500,
  [2827] = 1508,
  [2828] = 1507,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2168,
  [2832] = 1502,
  [2833] = 2159,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2837,
  [2839] = 2839,
  [2840] = 2839,
  [2841] = 2835,
  [2842] = 2171,
  [2843] = 2177,
  [2844] = 2760,
  [2845] = 2168,
  [2846] = 2839,
  [2847] = 2835,
  [2848] = 1511,
  [2849] = 1970,
  [2850] = 1511,
  [2851] = 2837,
  [2852] = 2837,
  [2853] = 2158,
  [2854] = 2158,
  [2855] = 2760,
  [2856] = 2760,
  [2857] = 1829,
  [2858] = 2858,
  [2859] = 2689,
  [2860] = 2155,
  [2861] = 2164,
  [2862] = 2760,
  [2863] = 2760,
  [2864] = 1816,
  [2865] = 2865,
  [2866] = 2858,
  [2867] = 2839,
  [2868] = 1832,
  [2869] = 2165,
  [2870] = 794,
  [2871] = 2168,
  [2872] = 2155,
  [2873] = 2839,
  [2874] = 2170,
  [2875] = 2835,
  [2876] = 2858,
  [2877] = 2877,
  [2878] = 2181,
  [2879] = 2164,
  [2880] = 2153,
  [2881] = 2858,
  [2882] = 1796,
  [2883] = 793,
  [2884] = 2858,
  [2885] = 2165,
  [2886] = 2837,
  [2887] = 1793,
  [2888] = 2888,
  [2889] = 2181,
  [2890] = 2170,
  [2891] = 2839,
  [2892] = 2839,
  [2893] = 2176,
  [2894] = 2161,
  [2895] = 1801,
  [2896] = 2835,
  [2897] = 1823,
  [2898] = 2837,
  [2899] = 2835,
  [2900] = 2835,
  [2901] = 2043,
  [2902] = 2177,
  [2903] = 2171,
  [2904] = 2837,
  [2905] = 2176,
  [2906] = 2858,
  [2907] = 2083,
  [2908] = 2858,
  [2909] = 2161,
  [2910] = 2153,
  [2911] = 2911,
  [2912] = 2760,
  [2913] = 1758,
  [2914] = 2751,
  [2915] = 1511,
  [2916] = 2487,
  [2917] = 2790,
  [2918] = 2760,
  [2919] = 2182,
  [2920] = 2786,
  [2921] = 2166,
  [2922] = 1509,
  [2923] = 1796,
  [2924] = 2333,
  [2925] = 2090,
  [2926] = 2079,
  [2927] = 2760,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2159,
  [2931] = 2865,
  [2932] = 1542,
  [2933] = 2073,
  [2934] = 2076,
  [2935] = 2417,
  [2936] = 2148,
  [2937] = 2078,
  [2938] = 2082,
  [2939] = 2939,
  [2940] = 2929,
  [2941] = 1765,
  [2942] = 1793,
  [2943] = 2498,
  [2944] = 2807,
  [2945] = 2091,
  [2946] = 2929,
  [2947] = 2081,
  [2948] = 2084,
  [2949] = 2085,
  [2950] = 2087,
  [2951] = 2088,
  [2952] = 1816,
  [2953] = 1801,
  [2954] = 2760,
  [2955] = 2760,
  [2956] = 2152,
  [2957] = 2180,
  [2958] = 2760,
  [2959] = 2773,
  [2960] = 2888,
  [2961] = 2075,
  [2962] = 2074,
  [2963] = 2760,
  [2964] = 2774,
  [2965] = 2814,
  [2966] = 2769,
  [2967] = 2149,
  [2968] = 2775,
  [2969] = 2777,
  [2970] = 2083,
  [2971] = 2780,
  [2972] = 2179,
  [2973] = 2793,
  [2974] = 2825,
  [2975] = 1823,
  [2976] = 2080,
  [2977] = 1509,
  [2978] = 2978,
  [2979] = 2830,
  [2980] = 2760,
  [2981] = 1860,
  [2982] = 2834,
  [2983] = 2817,
  [2984] = 1720,
  [2985] = 2760,
  [2986] = 2772,
  [2987] = 2331,
  [2988] = 2760,
  [2989] = 2086,
  [2990] = 2836,
  [2991] = 1832,
  [2992] = 2911,
  [2993] = 1988,
  [2994] = 2760,
  [2995] = 2791,
  [2996] = 1800,
  [2997] = 2997,
  [2998] = 2772,
  [2999] = 2834,
  [3000] = 2830,
  [3001] = 2786,
  [3002] = 2751,
  [3003] = 2790,
  [3004] = 2997,
  [3005] = 2807,
  [3006] = 1822,
  [3007] = 2760,
  [3008] = 2182,
  [3009] = 2773,
  [3010] = 1789,
  [3011] = 1805,
  [3012] = 2226,
  [3013] = 1826,
  [3014] = 1970,
  [3015] = 1806,
  [3016] = 1758,
  [3017] = 2204,
  [3018] = 2165,
  [3019] = 1824,
  [3020] = 1811,
  [3021] = 2261,
  [3022] = 2168,
  [3023] = 1785,
  [3024] = 2166,
  [3025] = 1797,
  [3026] = 2793,
  [3027] = 2780,
  [3028] = 1799,
  [3029] = 2760,
  [3030] = 1787,
  [3031] = 1788,
  [3032] = 1791,
  [3033] = 2158,
  [3034] = 2997,
  [3035] = 1784,
  [3036] = 2293,
  [3037] = 2043,
  [3038] = 1794,
  [3039] = 2817,
  [3040] = 1795,
  [3041] = 1804,
  [3042] = 2774,
  [3043] = 2155,
  [3044] = 2769,
  [3045] = 1831,
  [3046] = 2152,
  [3047] = 1783,
  [3048] = 2153,
  [3049] = 2161,
  [3050] = 2775,
  [3051] = 2105,
  [3052] = 1870,
  [3053] = 1813,
  [3054] = 1814,
  [3055] = 2777,
  [3056] = 2997,
  [3057] = 1825,
  [3058] = 1511,
  [3059] = 2829,
  [3060] = 1808,
  [3061] = 1807,
  [3062] = 1803,
  [3063] = 2791,
  [3064] = 2825,
  [3065] = 1802,
  [3066] = 1988,
  [3067] = 2181,
  [3068] = 2164,
  [3069] = 2179,
  [3070] = 2180,
  [3071] = 3071,
  [3072] = 1765,
  [3073] = 2997,
  [3074] = 1819,
  [3075] = 1509,
  [3076] = 2207,
  [3077] = 2170,
  [3078] = 2171,
  [3079] = 2176,
  [3080] = 2195,
  [3081] = 1817,
  [3082] = 1863,
  [3083] = 2997,
  [3084] = 1786,
  [3085] = 2814,
  [3086] = 3086,
  [3087] = 1790,
  [3088] = 1720,
  [3089] = 1818,
  [3090] = 2177,
  [3091] = 2780,
  [3092] = 3092,
  [3093] = 2760,
  [3094] = 3092,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3092,
  [3098] = 2309,
  [3099] = 3095,
  [3100] = 3095,
  [3101] = 3095,
  [3102] = 2814,
  [3103] = 2331,
  [3104] = 1811,
  [3105] = 1788,
  [3106] = 3095,
  [3107] = 1806,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 2790,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3112,
  [3114] = 3108,
  [3115] = 1818,
  [3116] = 3092,
  [3117] = 3117,
  [3118] = 3096,
  [3119] = 2791,
  [3120] = 3092,
  [3121] = 2760,
  [3122] = 2142,
  [3123] = 2226,
  [3124] = 1797,
  [3125] = 3111,
  [3126] = 3126,
  [3127] = 3111,
  [3128] = 3117,
  [3129] = 1825,
  [3130] = 1793,
  [3131] = 2207,
  [3132] = 3112,
  [3133] = 1790,
  [3134] = 3096,
  [3135] = 3117,
  [3136] = 3111,
  [3137] = 2351,
  [3138] = 3092,
  [3139] = 3096,
  [3140] = 3095,
  [3141] = 1796,
  [3142] = 3117,
  [3143] = 3112,
  [3144] = 3117,
  [3145] = 1786,
  [3146] = 3092,
  [3147] = 1804,
  [3148] = 2834,
  [3149] = 3095,
  [3150] = 3092,
  [3151] = 2406,
  [3152] = 1813,
  [3153] = 2105,
  [3154] = 3109,
  [3155] = 1789,
  [3156] = 1826,
  [3157] = 3108,
  [3158] = 2261,
  [3159] = 1814,
  [3160] = 1801,
  [3161] = 2751,
  [3162] = 1819,
  [3163] = 3109,
  [3164] = 2773,
  [3165] = 3109,
  [3166] = 3112,
  [3167] = 2774,
  [3168] = 3096,
  [3169] = 1822,
  [3170] = 2775,
  [3171] = 2777,
  [3172] = 2793,
  [3173] = 3108,
  [3174] = 2825,
  [3175] = 1808,
  [3176] = 2410,
  [3177] = 2772,
  [3178] = 1799,
  [3179] = 2397,
  [3180] = 2396,
  [3181] = 1783,
  [3182] = 3095,
  [3183] = 2830,
  [3184] = 3096,
  [3185] = 2304,
  [3186] = 3111,
  [3187] = 1807,
  [3188] = 1831,
  [3189] = 3095,
  [3190] = 2769,
  [3191] = 2760,
  [3192] = 2398,
  [3193] = 2817,
  [3194] = 2339,
  [3195] = 2365,
  [3196] = 1988,
  [3197] = 2911,
  [3198] = 1803,
  [3199] = 3108,
  [3200] = 3095,
  [3201] = 1817,
  [3202] = 2888,
  [3203] = 3111,
  [3204] = 1816,
  [3205] = 3117,
  [3206] = 2351,
  [3207] = 1802,
  [3208] = 1860,
  [3209] = 2351,
  [3210] = 2333,
  [3211] = 2293,
  [3212] = 1823,
  [3213] = 1679,
  [3214] = 2807,
  [3215] = 3112,
  [3216] = 1511,
  [3217] = 1832,
  [3218] = 1509,
  [3219] = 1805,
  [3220] = 3220,
  [3221] = 2366,
  [3222] = 1800,
  [3223] = 1791,
  [3224] = 3095,
  [3225] = 2195,
  [3226] = 1784,
  [3227] = 3109,
  [3228] = 3108,
  [3229] = 3095,
  [3230] = 3095,
  [3231] = 2760,
  [3232] = 2836,
  [3233] = 3095,
  [3234] = 3234,
  [3235] = 3117,
  [3236] = 1751,
  [3237] = 2043,
  [3238] = 3238,
  [3239] = 3096,
  [3240] = 2339,
  [3241] = 3112,
  [3242] = 2760,
  [3243] = 1787,
  [3244] = 3112,
  [3245] = 3117,
  [3246] = 1970,
  [3247] = 3109,
  [3248] = 3117,
  [3249] = 2204,
  [3250] = 1795,
  [3251] = 1794,
  [3252] = 2351,
  [3253] = 2351,
  [3254] = 2307,
  [3255] = 1824,
  [3256] = 3092,
  [3257] = 3095,
  [3258] = 3096,
  [3259] = 3112,
  [3260] = 1730,
  [3261] = 3096,
  [3262] = 2786,
  [3263] = 2760,
  [3264] = 1785,
  [3265] = 3095,
  [3266] = 2448,
  [3267] = 2351,
  [3268] = 2396,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 2385,
  [3272] = 3272,
  [3273] = 1598,
  [3274] = 794,
  [3275] = 1609,
  [3276] = 2397,
  [3277] = 3277,
  [3278] = 3270,
  [3279] = 2817,
  [3280] = 2769,
  [3281] = 2366,
  [3282] = 2365,
  [3283] = 2351,
  [3284] = 3270,
  [3285] = 3285,
  [3286] = 2807,
  [3287] = 2786,
  [3288] = 1610,
  [3289] = 2366,
  [3290] = 3272,
  [3291] = 3277,
  [3292] = 1810,
  [3293] = 3277,
  [3294] = 2786,
  [3295] = 2830,
  [3296] = 3270,
  [3297] = 2825,
  [3298] = 3298,
  [3299] = 2304,
  [3300] = 2417,
  [3301] = 2347,
  [3302] = 3298,
  [3303] = 3303,
  [3304] = 1720,
  [3305] = 2491,
  [3306] = 793,
  [3307] = 3277,
  [3308] = 3270,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3303,
  [3312] = 2354,
  [3313] = 3270,
  [3314] = 2793,
  [3315] = 3272,
  [3316] = 2491,
  [3317] = 2159,
  [3318] = 2760,
  [3319] = 2760,
  [3320] = 3277,
  [3321] = 1600,
  [3322] = 3277,
  [3323] = 2777,
  [3324] = 2772,
  [3325] = 2410,
  [3326] = 2830,
  [3327] = 2775,
  [3328] = 2911,
  [3329] = 2774,
  [3330] = 2773,
  [3331] = 2751,
  [3332] = 2406,
  [3333] = 2834,
  [3334] = 2790,
  [3335] = 2791,
  [3336] = 2814,
  [3337] = 2410,
  [3338] = 2772,
  [3339] = 2397,
  [3340] = 3270,
  [3341] = 2807,
  [3342] = 3270,
  [3343] = 3270,
  [3344] = 2445,
  [3345] = 2447,
  [3346] = 2825,
  [3347] = 2793,
  [3348] = 2780,
  [3349] = 2449,
  [3350] = 2307,
  [3351] = 2502,
  [3352] = 2451,
  [3353] = 2777,
  [3354] = 3277,
  [3355] = 2775,
  [3356] = 2453,
  [3357] = 2774,
  [3358] = 2773,
  [3359] = 1599,
  [3360] = 3270,
  [3361] = 2780,
  [3362] = 2351,
  [3363] = 2769,
  [3364] = 3277,
  [3365] = 2365,
  [3366] = 2339,
  [3367] = 3277,
  [3368] = 3368,
  [3369] = 133,
  [3370] = 2817,
  [3371] = 2159,
  [3372] = 2398,
  [3373] = 3303,
  [3374] = 2396,
  [3375] = 2836,
  [3376] = 3270,
  [3377] = 2210,
  [3378] = 2237,
  [3379] = 2211,
  [3380] = 2219,
  [3381] = 3270,
  [3382] = 2402,
  [3383] = 2209,
  [3384] = 2751,
  [3385] = 2888,
  [3386] = 1604,
  [3387] = 2223,
  [3388] = 2234,
  [3389] = 2236,
  [3390] = 2406,
  [3391] = 2834,
  [3392] = 3270,
  [3393] = 1612,
  [3394] = 3270,
  [3395] = 1602,
  [3396] = 2504,
  [3397] = 3397,
  [3398] = 3270,
  [3399] = 134,
  [3400] = 3400,
  [3401] = 2309,
  [3402] = 1519,
  [3403] = 1595,
  [3404] = 1603,
  [3405] = 1758,
  [3406] = 3285,
  [3407] = 1605,
  [3408] = 2760,
  [3409] = 2502,
  [3410] = 2814,
  [3411] = 1606,
  [3412] = 2249,
  [3413] = 1607,
  [3414] = 1511,
  [3415] = 3270,
  [3416] = 2464,
  [3417] = 1601,
  [3418] = 2148,
  [3419] = 3270,
  [3420] = 2791,
  [3421] = 1765,
  [3422] = 1509,
  [3423] = 2192,
  [3424] = 2242,
  [3425] = 3285,
  [3426] = 3270,
  [3427] = 1608,
  [3428] = 2504,
  [3429] = 2398,
  [3430] = 2325,
  [3431] = 2149,
  [3432] = 2417,
  [3433] = 2790,
  [3434] = 2142,
  [3435] = 2760,
  [3436] = 2465,
  [3437] = 1869,
  [3438] = 1595,
  [3439] = 1606,
  [3440] = 2402,
  [3441] = 2518,
  [3442] = 2351,
  [3443] = 2176,
  [3444] = 2177,
  [3445] = 2450,
  [3446] = 1540,
  [3447] = 2105,
  [3448] = 2354,
  [3449] = 2428,
  [3450] = 2155,
  [3451] = 2153,
  [3452] = 2464,
  [3453] = 2161,
  [3454] = 2164,
  [3455] = 2181,
  [3456] = 2472,
  [3457] = 2479,
  [3458] = 2485,
  [3459] = 2488,
  [3460] = 2171,
  [3461] = 1546,
  [3462] = 2159,
  [3463] = 1604,
  [3464] = 1612,
  [3465] = 2204,
  [3466] = 2121,
  [3467] = 1602,
  [3468] = 2078,
  [3469] = 2384,
  [3470] = 2388,
  [3471] = 1831,
  [3472] = 1783,
  [3473] = 2390,
  [3474] = 2392,
  [3475] = 2429,
  [3476] = 2079,
  [3477] = 1822,
  [3478] = 1819,
  [3479] = 1608,
  [3480] = 2073,
  [3481] = 1607,
  [3482] = 1814,
  [3483] = 1813,
  [3484] = 2219,
  [3485] = 1804,
  [3486] = 2211,
  [3487] = 1797,
  [3488] = 2210,
  [3489] = 2088,
  [3490] = 2076,
  [3491] = 1544,
  [3492] = 2209,
  [3493] = 1600,
  [3494] = 1730,
  [3495] = 1811,
  [3496] = 2507,
  [3497] = 2087,
  [3498] = 2085,
  [3499] = 2439,
  [3500] = 2435,
  [3501] = 2084,
  [3502] = 2501,
  [3503] = 2293,
  [3504] = 2195,
  [3505] = 2431,
  [3506] = 2081,
  [3507] = 2432,
  [3508] = 2446,
  [3509] = 2090,
  [3510] = 2168,
  [3511] = 793,
  [3512] = 1810,
  [3513] = 2455,
  [3514] = 2486,
  [3515] = 2075,
  [3516] = 2462,
  [3517] = 1599,
  [3518] = 2074,
  [3519] = 1751,
  [3520] = 1598,
  [3521] = 2524,
  [3522] = 2165,
  [3523] = 2515,
  [3524] = 2525,
  [3525] = 2520,
  [3526] = 2519,
  [3527] = 2517,
  [3528] = 2516,
  [3529] = 2170,
  [3530] = 2395,
  [3531] = 2158,
  [3532] = 2495,
  [3533] = 2494,
  [3534] = 2481,
  [3535] = 1785,
  [3536] = 2476,
  [3537] = 2461,
  [3538] = 2443,
  [3539] = 2207,
  [3540] = 2437,
  [3541] = 2339,
  [3542] = 1787,
  [3543] = 1817,
  [3544] = 1786,
  [3545] = 2403,
  [3546] = 1790,
  [3547] = 1970,
  [3548] = 1603,
  [3549] = 1799,
  [3550] = 1788,
  [3551] = 1806,
  [3552] = 1818,
  [3553] = 1791,
  [3554] = 1784,
  [3555] = 1601,
  [3556] = 1605,
  [3557] = 2491,
  [3558] = 1794,
  [3559] = 1824,
  [3560] = 2242,
  [3561] = 1795,
  [3562] = 2043,
  [3563] = 2502,
  [3564] = 2385,
  [3565] = 134,
  [3566] = 1610,
  [3567] = 2419,
  [3568] = 2503,
  [3569] = 2418,
  [3570] = 2433,
  [3571] = 2453,
  [3572] = 2434,
  [3573] = 2451,
  [3574] = 2422,
  [3575] = 2449,
  [3576] = 2448,
  [3577] = 2447,
  [3578] = 2420,
  [3579] = 2445,
  [3580] = 2513,
  [3581] = 2192,
  [3582] = 2249,
  [3583] = 2351,
  [3584] = 2504,
  [3585] = 2114,
  [3586] = 1789,
  [3587] = 1870,
  [3588] = 1826,
  [3589] = 1825,
  [3590] = 1609,
  [3591] = 2836,
  [3592] = 1863,
  [3593] = 2829,
  [3594] = 2412,
  [3595] = 1679,
  [3596] = 2463,
  [3597] = 2417,
  [3598] = 2467,
  [3599] = 2347,
  [3600] = 1808,
  [3601] = 1807,
  [3602] = 2236,
  [3603] = 1803,
  [3604] = 1802,
  [3605] = 2234,
  [3606] = 2223,
  [3607] = 2888,
  [3608] = 2526,
  [3609] = 794,
  [3610] = 2514,
  [3611] = 133,
  [3612] = 1800,
  [3613] = 1988,
  [3614] = 2237,
  [3615] = 2911,
  [3616] = 1862,
  [3617] = 1805,
  [3618] = 2417,
  [3619] = 2325,
  [3620] = 2351,
  [3621] = 2519,
  [3622] = 2504,
  [3623] = 2437,
  [3624] = 2461,
  [3625] = 2467,
  [3626] = 2476,
  [3627] = 1502,
  [3628] = 1612,
  [3629] = 1607,
  [3630] = 2488,
  [3631] = 3272,
  [3632] = 2494,
  [3633] = 2495,
  [3634] = 2463,
  [3635] = 2485,
  [3636] = 1500,
  [3637] = 1508,
  [3638] = 1507,
  [3639] = 1608,
  [3640] = 1502,
  [3641] = 2516,
  [3642] = 2517,
  [3643] = 2432,
  [3644] = 3644,
  [3645] = 2455,
  [3646] = 2446,
  [3647] = 2435,
  [3648] = 3648,
  [3649] = 1781,
  [3650] = 2439,
  [3651] = 2472,
  [3652] = 3652,
  [3653] = 2351,
  [3654] = 1501,
  [3655] = 2465,
  [3656] = 1609,
  [3657] = 2479,
  [3658] = 2814,
  [3659] = 2431,
  [3660] = 1507,
  [3661] = 2978,
  [3662] = 1504,
  [3663] = 2420,
  [3664] = 2309,
  [3665] = 2422,
  [3666] = 2939,
  [3667] = 2434,
  [3668] = 1511,
  [3669] = 2513,
  [3670] = 1610,
  [3671] = 2433,
  [3672] = 2445,
  [3673] = 2418,
  [3674] = 2447,
  [3675] = 2448,
  [3676] = 2449,
  [3677] = 2419,
  [3678] = 2451,
  [3679] = 3679,
  [3680] = 2453,
  [3681] = 2817,
  [3682] = 2514,
  [3683] = 2412,
  [3684] = 2403,
  [3685] = 2121,
  [3686] = 2807,
  [3687] = 1508,
  [3688] = 2392,
  [3689] = 1605,
  [3690] = 1601,
  [3691] = 1603,
  [3692] = 1511,
  [3693] = 2501,
  [3694] = 2786,
  [3695] = 1500,
  [3696] = 2417,
  [3697] = 1604,
  [3698] = 1501,
  [3699] = 1602,
  [3700] = 2384,
  [3701] = 2388,
  [3702] = 2390,
  [3703] = 1506,
  [3704] = 2429,
  [3705] = 2366,
  [3706] = 1810,
  [3707] = 2395,
  [3708] = 2507,
  [3709] = 1504,
  [3710] = 2462,
  [3711] = 2309,
  [3712] = 1506,
  [3713] = 2417,
  [3714] = 133,
  [3715] = 2491,
  [3716] = 2526,
  [3717] = 2486,
  [3718] = 1869,
  [3719] = 2518,
  [3720] = 2331,
  [3721] = 2428,
  [3722] = 2417,
  [3723] = 2502,
  [3724] = 2525,
  [3725] = 2503,
  [3726] = 2417,
  [3727] = 2830,
  [3728] = 2825,
  [3729] = 2793,
  [3730] = 2780,
  [3731] = 2777,
  [3732] = 2524,
  [3733] = 2775,
  [3734] = 2774,
  [3735] = 1598,
  [3736] = 2773,
  [3737] = 2751,
  [3738] = 1600,
  [3739] = 2406,
  [3740] = 2834,
  [3741] = 1862,
  [3742] = 1780,
  [3743] = 1677,
  [3744] = 1739,
  [3745] = 1511,
  [3746] = 2333,
  [3747] = 2450,
  [3748] = 2365,
  [3749] = 2769,
  [3750] = 2443,
  [3751] = 2790,
  [3752] = 2481,
  [3753] = 1863,
  [3754] = 134,
  [3755] = 2791,
  [3756] = 3285,
  [3757] = 1870,
  [3758] = 2520,
  [3759] = 2396,
  [3760] = 2397,
  [3761] = 1595,
  [3762] = 1606,
  [3763] = 2515,
  [3764] = 2772,
  [3765] = 2410,
  [3766] = 2464,
  [3767] = 1599,
  [3768] = 2114,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3272,
  [3772] = 3285,
  [3773] = 3770,
  [3774] = 3769,
  [3775] = 2366,
  [3776] = 3769,
  [3777] = 3769,
  [3778] = 2836,
  [3779] = 2888,
  [3780] = 3770,
  [3781] = 2365,
  [3782] = 3770,
  [3783] = 3770,
  [3784] = 3769,
  [3785] = 2397,
  [3786] = 2520,
  [3787] = 2406,
  [3788] = 2402,
  [3789] = 2105,
  [3790] = 1543,
  [3791] = 2396,
  [3792] = 2410,
  [3793] = 3793,
  [3794] = 3793,
  [3795] = 2911,
  [3796] = 3796,
  [3797] = 3769,
  [3798] = 3770,
  [3799] = 1870,
  [3800] = 3800,
  [3801] = 1862,
  [3802] = 3800,
  [3803] = 2043,
  [3804] = 2083,
  [3805] = 3800,
  [3806] = 3793,
  [3807] = 3800,
  [3808] = 2465,
  [3809] = 2928,
  [3810] = 3793,
  [3811] = 3793,
  [3812] = 3800,
  [3813] = 3769,
  [3814] = 3770,
  [3815] = 3285,
  [3816] = 1509,
  [3817] = 1829,
  [3818] = 2402,
  [3819] = 2518,
  [3820] = 3793,
  [3821] = 3800,
  [3822] = 1863,
  [3823] = 2431,
  [3824] = 3800,
  [3825] = 3272,
  [3826] = 2829,
  [3827] = 1869,
  [3828] = 1542,
  [3829] = 1970,
  [3830] = 3793,
  [3831] = 2142,
  [3832] = 3832,
  [3833] = 1870,
  [3834] = 2463,
  [3835] = 2472,
  [3836] = 2331,
  [3837] = 2333,
  [3838] = 1863,
  [3839] = 2149,
  [3840] = 1546,
  [3841] = 3841,
  [3842] = 2525,
  [3843] = 2437,
  [3844] = 2333,
  [3845] = 1544,
  [3846] = 2485,
  [3847] = 2479,
  [3848] = 3285,
  [3849] = 2472,
  [3850] = 2434,
  [3851] = 1604,
  [3852] = 2121,
  [3853] = 1602,
  [3854] = 3854,
  [3855] = 2494,
  [3856] = 3841,
  [3857] = 3832,
  [3858] = 2422,
  [3859] = 3841,
  [3860] = 2420,
  [3861] = 1605,
  [3862] = 2526,
  [3863] = 3841,
  [3864] = 2082,
  [3865] = 1612,
  [3866] = 2432,
  [3867] = 1608,
  [3868] = 2080,
  [3869] = 1607,
  [3870] = 2446,
  [3871] = 2495,
  [3872] = 133,
  [3873] = 2455,
  [3874] = 2428,
  [3875] = 3272,
  [3876] = 2428,
  [3877] = 2481,
  [3878] = 134,
  [3879] = 1601,
  [3880] = 2450,
  [3881] = 2476,
  [3882] = 1869,
  [3883] = 2486,
  [3884] = 2439,
  [3885] = 3841,
  [3886] = 2461,
  [3887] = 3854,
  [3888] = 1862,
  [3889] = 2514,
  [3890] = 2435,
  [3891] = 2516,
  [3892] = 2467,
  [3893] = 2463,
  [3894] = 2465,
  [3895] = 1860,
  [3896] = 1511,
  [3897] = 1609,
  [3898] = 2420,
  [3899] = 2422,
  [3900] = 2434,
  [3901] = 2431,
  [3902] = 1610,
  [3903] = 2450,
  [3904] = 2517,
  [3905] = 2495,
  [3906] = 2086,
  [3907] = 2437,
  [3908] = 3832,
  [3909] = 3854,
  [3910] = 2432,
  [3911] = 2443,
  [3912] = 2443,
  [3913] = 3854,
  [3914] = 2494,
  [3915] = 2518,
  [3916] = 2331,
  [3917] = 1603,
  [3918] = 2515,
  [3919] = 2439,
  [3920] = 2503,
  [3921] = 3854,
  [3922] = 2435,
  [3923] = 2488,
  [3924] = 2519,
  [3925] = 3854,
  [3926] = 2525,
  [3927] = 2524,
  [3928] = 1598,
  [3929] = 2446,
  [3930] = 1600,
  [3931] = 2520,
  [3932] = 2455,
  [3933] = 2515,
  [3934] = 2461,
  [3935] = 2091,
  [3936] = 2476,
  [3937] = 3832,
  [3938] = 3841,
  [3939] = 3832,
  [3940] = 1599,
  [3941] = 2486,
  [3942] = 2481,
  [3943] = 2488,
  [3944] = 3832,
  [3945] = 2516,
  [3946] = 2148,
  [3947] = 2524,
  [3948] = 3841,
  [3949] = 1595,
  [3950] = 2479,
  [3951] = 3832,
  [3952] = 1606,
  [3953] = 3854,
  [3954] = 2114,
  [3955] = 2517,
  [3956] = 2467,
  [3957] = 2519,
  [3958] = 2485,
  [3959] = 319,
  [3960] = 3960,
  [3961] = 1870,
  [3962] = 2177,
  [3963] = 3285,
  [3964] = 2153,
  [3965] = 3965,
  [3966] = 3960,
  [3967] = 2171,
  [3968] = 2082,
  [3969] = 1540,
  [3970] = 2091,
  [3971] = 1513,
  [3972] = 2161,
  [3973] = 2170,
  [3974] = 2168,
  [3975] = 2158,
  [3976] = 3272,
  [3977] = 3285,
  [3978] = 3978,
  [3979] = 1863,
  [3980] = 2165,
  [3981] = 3285,
  [3982] = 2086,
  [3983] = 2181,
  [3984] = 2155,
  [3985] = 329,
  [3986] = 3272,
  [3987] = 3987,
  [3988] = 2164,
  [3989] = 3978,
  [3990] = 261,
  [3991] = 295,
  [3992] = 3965,
  [3993] = 3960,
  [3994] = 3272,
  [3995] = 3272,
  [3996] = 1862,
  [3997] = 3978,
  [3998] = 2176,
  [3999] = 3285,
  [4000] = 298,
  [4001] = 1560,
  [4002] = 297,
  [4003] = 2159,
  [4004] = 2080,
  [4005] = 1869,
  [4006] = 2159,
  [4007] = 2043,
  [4008] = 2305,
  [4009] = 2321,
  [4010] = 3285,
  [4011] = 1544,
  [4012] = 3272,
  [4013] = 1832,
  [4014] = 2142,
  [4015] = 2293,
  [4016] = 2204,
  [4017] = 2159,
  [4018] = 1801,
  [4019] = 1970,
  [4020] = 3272,
  [4021] = 1970,
  [4022] = 1546,
  [4023] = 1509,
  [4024] = 2043,
  [4025] = 3310,
  [4026] = 2195,
  [4027] = 1816,
  [4028] = 3309,
  [4029] = 1796,
  [4030] = 3285,
  [4031] = 1823,
  [4032] = 2207,
  [4033] = 1519,
  [4034] = 1793,
  [4035] = 1758,
  [4036] = 3987,
  [4037] = 1765,
  [4038] = 1720,
  [4039] = 1544,
  [4040] = 3272,
  [4041] = 2333,
  [4042] = 2333,
  [4043] = 2331,
  [4044] = 3960,
  [4045] = 3285,
  [4046] = 1546,
  [4047] = 2331,
  [4048] = 4048,
  [4049] = 3978,
  [4050] = 1802,
  [4051] = 1560,
  [4052] = 1822,
  [4053] = 1808,
  [4054] = 1783,
  [4055] = 2082,
  [4056] = 1807,
  [4057] = 4057,
  [4058] = 1803,
  [4059] = 1831,
  [4060] = 3960,
  [4061] = 4061,
  [4062] = 1509,
  [4063] = 4063,
  [4064] = 3978,
  [4065] = 1800,
  [4066] = 1805,
  [4067] = 3272,
  [4068] = 1817,
  [4069] = 1786,
  [4070] = 1790,
  [4071] = 3285,
  [4072] = 1799,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4057,
  [4076] = 1811,
  [4077] = 1806,
  [4078] = 4063,
  [4079] = 2086,
  [4080] = 1818,
  [4081] = 3960,
  [4082] = 1519,
  [4083] = 1819,
  [4084] = 4084,
  [4085] = 1789,
  [4086] = 1814,
  [4087] = 1826,
  [4088] = 2080,
  [4089] = 1825,
  [4090] = 4090,
  [4091] = 1540,
  [4092] = 4092,
  [4093] = 1785,
  [4094] = 1813,
  [4095] = 1787,
  [4096] = 1804,
  [4097] = 4090,
  [4098] = 4074,
  [4099] = 4084,
  [4100] = 3272,
  [4101] = 1788,
  [4102] = 1791,
  [4103] = 1784,
  [4104] = 3978,
  [4105] = 1797,
  [4106] = 2091,
  [4107] = 4073,
  [4108] = 1794,
  [4109] = 4090,
  [4110] = 4073,
  [4111] = 4092,
  [4112] = 1795,
  [4113] = 4074,
  [4114] = 4061,
  [4115] = 3285,
  [4116] = 4092,
  [4117] = 2079,
  [4118] = 4118,
  [4119] = 2073,
  [4120] = 4120,
  [4121] = 2527,
  [4122] = 3285,
  [4123] = 2091,
  [4124] = 2076,
  [4125] = 2159,
  [4126] = 2793,
  [4127] = 2082,
  [4128] = 2088,
  [4129] = 2087,
  [4130] = 2085,
  [4131] = 2333,
  [4132] = 4132,
  [4133] = 2084,
  [4134] = 2081,
  [4135] = 2078,
  [4136] = 2083,
  [4137] = 4137,
  [4138] = 2086,
  [4139] = 2090,
  [4140] = 2293,
  [4141] = 2195,
  [4142] = 2791,
  [4143] = 2814,
  [4144] = 2080,
  [4145] = 2526,
  [4146] = 2207,
  [4147] = 2790,
  [4148] = 1543,
  [4149] = 3978,
  [4150] = 4150,
  [4151] = 2834,
  [4152] = 2769,
  [4153] = 2480,
  [4154] = 2075,
  [4155] = 2074,
  [4156] = 2772,
  [4157] = 2204,
  [4158] = 2514,
  [4159] = 2751,
  [4160] = 2498,
  [4161] = 4161,
  [4162] = 2773,
  [4163] = 2331,
  [4164] = 1542,
  [4165] = 2817,
  [4166] = 3285,
  [4167] = 2807,
  [4168] = 2786,
  [4169] = 3272,
  [4170] = 2830,
  [4171] = 2774,
  [4172] = 2775,
  [4173] = 2503,
  [4174] = 2825,
  [4175] = 4175,
  [4176] = 3960,
  [4177] = 2142,
  [4178] = 2777,
  [4179] = 3272,
  [4180] = 2780,
  [4181] = 4181,
  [4182] = 3978,
  [4183] = 2888,
  [4184] = 3960,
  [4185] = 3978,
  [4186] = 2836,
  [4187] = 3960,
  [4188] = 3960,
  [4189] = 4189,
  [4190] = 2385,
  [4191] = 4092,
  [4192] = 2354,
  [4193] = 3978,
  [4194] = 4074,
  [4195] = 1810,
  [4196] = 2121,
  [4197] = 4073,
  [4198] = 1970,
  [4199] = 4189,
  [4200] = 2114,
  [4201] = 2347,
  [4202] = 1560,
  [4203] = 2911,
  [4204] = 1511,
  [4205] = 4189,
  [4206] = 4090,
  [4207] = 2043,
  [4208] = 3960,
  [4209] = 1860,
  [4210] = 3978,
  [4211] = 2142,
  [4212] = 4212,
  [4213] = 2836,
  [4214] = 4214,
  [4215] = 3272,
  [4216] = 1609,
  [4217] = 4217,
  [4218] = 4090,
  [4219] = 4217,
  [4220] = 1560,
  [4221] = 4217,
  [4222] = 1600,
  [4223] = 4217,
  [4224] = 4214,
  [4225] = 4212,
  [4226] = 2114,
  [4227] = 4217,
  [4228] = 4092,
  [4229] = 1543,
  [4230] = 4161,
  [4231] = 2159,
  [4232] = 4161,
  [4233] = 3285,
  [4234] = 1595,
  [4235] = 4074,
  [4236] = 2121,
  [4237] = 1860,
  [4238] = 4212,
  [4239] = 1606,
  [4240] = 4132,
  [4241] = 4074,
  [4242] = 1601,
  [4243] = 4090,
  [4244] = 4073,
  [4245] = 4217,
  [4246] = 2888,
  [4247] = 4212,
  [4248] = 4212,
  [4249] = 4214,
  [4250] = 4073,
  [4251] = 4214,
  [4252] = 2333,
  [4253] = 1604,
  [4254] = 4214,
  [4255] = 1612,
  [4256] = 1602,
  [4257] = 1542,
  [4258] = 134,
  [4259] = 4214,
  [4260] = 4212,
  [4261] = 1599,
  [4262] = 3978,
  [4263] = 2911,
  [4264] = 3978,
  [4265] = 1610,
  [4266] = 1603,
  [4267] = 2331,
  [4268] = 1608,
  [4269] = 1607,
  [4270] = 3960,
  [4271] = 3960,
  [4272] = 133,
  [4273] = 4092,
  [4274] = 4212,
  [4275] = 4217,
  [4276] = 1598,
  [4277] = 1824,
  [4278] = 4118,
  [4279] = 4214,
  [4280] = 1605,
  [4281] = 1860,
  [4282] = 2774,
  [4283] = 2773,
  [4284] = 2751,
  [4285] = 2834,
  [4286] = 1500,
  [4287] = 4073,
  [4288] = 1501,
  [4289] = 1504,
  [4290] = 1506,
  [4291] = 1508,
  [4292] = 4292,
  [4293] = 4090,
  [4294] = 2830,
  [4295] = 2142,
  [4296] = 1507,
  [4297] = 4092,
  [4298] = 2825,
  [4299] = 2793,
  [4300] = 2780,
  [4301] = 2777,
  [4302] = 2775,
  [4303] = 1970,
  [4304] = 4181,
  [4305] = 2775,
  [4306] = 1502,
  [4307] = 1577,
  [4308] = 4308,
  [4309] = 2074,
  [4310] = 2075,
  [4311] = 2790,
  [4312] = 2090,
  [4313] = 2769,
  [4314] = 2791,
  [4315] = 2081,
  [4316] = 2769,
  [4317] = 2084,
  [4318] = 2085,
  [4319] = 2087,
  [4320] = 4074,
  [4321] = 3960,
  [4322] = 2814,
  [4323] = 2088,
  [4324] = 2076,
  [4325] = 2786,
  [4326] = 2073,
  [4327] = 2079,
  [4328] = 2043,
  [4329] = 2078,
  [4330] = 2772,
  [4331] = 2814,
  [4332] = 2791,
  [4333] = 2807,
  [4334] = 3978,
  [4335] = 2083,
  [4336] = 2149,
  [4337] = 2830,
  [4338] = 2817,
  [4339] = 2825,
  [4340] = 2786,
  [4341] = 2807,
  [4342] = 4342,
  [4343] = 2817,
  [4344] = 2793,
  [4345] = 2148,
  [4346] = 2834,
  [4347] = 1781,
  [4348] = 1780,
  [4349] = 1677,
  [4350] = 2751,
  [4351] = 2772,
  [4352] = 2777,
  [4353] = 2773,
  [4354] = 2790,
  [4355] = 1739,
  [4356] = 2780,
  [4357] = 2774,
  [4358] = 4358,
  [4359] = 2293,
  [4360] = 2165,
  [4361] = 1970,
  [4362] = 4358,
  [4363] = 2168,
  [4364] = 4358,
  [4365] = 2333,
  [4366] = 1720,
  [4367] = 4367,
  [4368] = 4073,
  [4369] = 4369,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 3960,
  [4373] = 4371,
  [4374] = 2331,
  [4375] = 2043,
  [4376] = 2159,
  [4377] = 2195,
  [4378] = 2170,
  [4379] = 4358,
  [4380] = 2888,
  [4381] = 4369,
  [4382] = 2171,
  [4383] = 2836,
  [4384] = 2176,
  [4385] = 4370,
  [4386] = 2177,
  [4387] = 1829,
  [4388] = 4358,
  [4389] = 4074,
  [4390] = 2158,
  [4391] = 4090,
  [4392] = 4371,
  [4393] = 4358,
  [4394] = 1810,
  [4395] = 4092,
  [4396] = 4358,
  [4397] = 2155,
  [4398] = 4398,
  [4399] = 4074,
  [4400] = 4400,
  [4401] = 4092,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 2911,
  [4405] = 4398,
  [4406] = 4090,
  [4407] = 2153,
  [4408] = 4074,
  [4409] = 4398,
  [4410] = 4358,
  [4411] = 4358,
  [4412] = 4370,
  [4413] = 2161,
  [4414] = 1546,
  [4415] = 2043,
  [4416] = 4090,
  [4417] = 4417,
  [4418] = 4358,
  [4419] = 4398,
  [4420] = 1970,
  [4421] = 4370,
  [4422] = 4358,
  [4423] = 4398,
  [4424] = 4090,
  [4425] = 4074,
  [4426] = 2207,
  [4427] = 4398,
  [4428] = 4371,
  [4429] = 4092,
  [4430] = 4430,
  [4431] = 4358,
  [4432] = 4370,
  [4433] = 4371,
  [4434] = 4369,
  [4435] = 1544,
  [4436] = 4358,
  [4437] = 4073,
  [4438] = 4358,
  [4439] = 4370,
  [4440] = 4073,
  [4441] = 4371,
  [4442] = 2204,
  [4443] = 2181,
  [4444] = 4092,
  [4445] = 4358,
  [4446] = 3978,
  [4447] = 4073,
  [4448] = 4358,
  [4449] = 4358,
  [4450] = 4371,
  [4451] = 2164,
  [4452] = 4452,
  [4453] = 1816,
  [4454] = 4454,
  [4455] = 4092,
  [4456] = 2772,
  [4457] = 4457,
  [4458] = 4457,
  [4459] = 2365,
  [4460] = 4460,
  [4461] = 2786,
  [4462] = 4161,
  [4463] = 2396,
  [4464] = 2397,
  [4465] = 1818,
  [4466] = 1806,
  [4467] = 4454,
  [4468] = 1799,
  [4469] = 4454,
  [4470] = 1790,
  [4471] = 4471,
  [4472] = 1786,
  [4473] = 1817,
  [4474] = 1801,
  [4475] = 4475,
  [4476] = 2410,
  [4477] = 4477,
  [4478] = 2807,
  [4479] = 2331,
  [4480] = 4480,
  [4481] = 2790,
  [4482] = 2791,
  [4483] = 4483,
  [4484] = 2817,
  [4485] = 4090,
  [4486] = 4486,
  [4487] = 3978,
  [4488] = 2142,
  [4489] = 1826,
  [4490] = 4490,
  [4491] = 2366,
  [4492] = 4492,
  [4493] = 4074,
  [4494] = 4074,
  [4495] = 2769,
  [4496] = 4475,
  [4497] = 4497,
  [4498] = 4454,
  [4499] = 4092,
  [4500] = 2773,
  [4501] = 4501,
  [4502] = 4475,
  [4503] = 4090,
  [4504] = 2774,
  [4505] = 4505,
  [4506] = 1789,
  [4507] = 2365,
  [4508] = 4073,
  [4509] = 3960,
  [4510] = 2775,
  [4511] = 2309,
  [4512] = 4475,
  [4513] = 2814,
  [4514] = 2814,
  [4515] = 4515,
  [4516] = 1811,
  [4517] = 3978,
  [4518] = 2769,
  [4519] = 2830,
  [4520] = 4454,
  [4521] = 4521,
  [4522] = 1797,
  [4523] = 4454,
  [4524] = 2825,
  [4525] = 3960,
  [4526] = 4526,
  [4527] = 3298,
  [4528] = 2793,
  [4529] = 4529,
  [4530] = 2780,
  [4531] = 4515,
  [4532] = 2777,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 2396,
  [4536] = 4454,
  [4537] = 1804,
  [4538] = 2775,
  [4539] = 1813,
  [4540] = 2397,
  [4541] = 4515,
  [4542] = 4515,
  [4543] = 1814,
  [4544] = 2774,
  [4545] = 2751,
  [4546] = 4460,
  [4547] = 4547,
  [4548] = 2773,
  [4549] = 2751,
  [4550] = 4454,
  [4551] = 1819,
  [4552] = 2772,
  [4553] = 1511,
  [4554] = 4137,
  [4555] = 1822,
  [4556] = 4515,
  [4557] = 4073,
  [4558] = 2814,
  [4559] = 1823,
  [4560] = 2406,
  [4561] = 4457,
  [4562] = 2817,
  [4563] = 2791,
  [4564] = 4533,
  [4565] = 4475,
  [4566] = 2807,
  [4567] = 1783,
  [4568] = 2786,
  [4569] = 2817,
  [4570] = 1831,
  [4571] = 1832,
  [4572] = 4400,
  [4573] = 4454,
  [4574] = 1805,
  [4575] = 2791,
  [4576] = 4454,
  [4577] = 2366,
  [4578] = 4578,
  [4579] = 2807,
  [4580] = 1785,
  [4581] = 4581,
  [4582] = 2786,
  [4583] = 1787,
  [4584] = 2830,
  [4585] = 4534,
  [4586] = 2830,
  [4587] = 2825,
  [4588] = 2793,
  [4589] = 2780,
  [4590] = 4454,
  [4591] = 2777,
  [4592] = 2775,
  [4593] = 2774,
  [4594] = 1788,
  [4595] = 1791,
  [4596] = 2773,
  [4597] = 4454,
  [4598] = 1784,
  [4599] = 2751,
  [4600] = 1793,
  [4601] = 2406,
  [4602] = 4454,
  [4603] = 1794,
  [4604] = 2834,
  [4605] = 1795,
  [4606] = 2772,
  [4607] = 2834,
  [4608] = 1796,
  [4609] = 4457,
  [4610] = 2410,
  [4611] = 4611,
  [4612] = 1825,
  [4613] = 2825,
  [4614] = 2790,
  [4615] = 4615,
  [4616] = 4457,
  [4617] = 2769,
  [4618] = 4618,
  [4619] = 4515,
  [4620] = 2790,
  [4621] = 2834,
  [4622] = 2793,
  [4623] = 2333,
  [4624] = 4475,
  [4625] = 1808,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4515,
  [4629] = 1807,
  [4630] = 4630,
  [4631] = 1803,
  [4632] = 1802,
  [4633] = 4633,
  [4634] = 2780,
  [4635] = 2777,
  [4636] = 1800,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4641,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4641,
  [4647] = 4645,
  [4648] = 4641,
  [4649] = 4649,
  [4650] = 4641,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4644,
  [4655] = 4640,
  [4656] = 4639,
  [4657] = 2911,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4637,
  [4661] = 4638,
  [4662] = 4659,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4637,
  [4668] = 4639,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4670,
  [4673] = 4673,
  [4674] = 4673,
  [4675] = 4653,
  [4676] = 4640,
  [4677] = 4653,
  [4678] = 4673,
  [4679] = 4673,
  [4680] = 4639,
  [4681] = 4643,
  [4682] = 4645,
  [4683] = 4683,
  [4684] = 4659,
  [4685] = 2836,
  [4686] = 4665,
  [4687] = 4670,
  [4688] = 4638,
  [4689] = 4653,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4638,
  [4695] = 4695,
  [4696] = 2149,
  [4697] = 4670,
  [4698] = 4659,
  [4699] = 4637,
  [4700] = 4669,
  [4701] = 4673,
  [4702] = 4653,
  [4703] = 4639,
  [4704] = 4669,
  [4705] = 4639,
  [4706] = 4653,
  [4707] = 4073,
  [4708] = 4670,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4673,
  [4712] = 4643,
  [4713] = 4713,
  [4714] = 4637,
  [4715] = 4669,
  [4716] = 4090,
  [4717] = 2402,
  [4718] = 4669,
  [4719] = 4092,
  [4720] = 4673,
  [4721] = 4669,
  [4722] = 4639,
  [4723] = 4723,
  [4724] = 4074,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4637,
  [4728] = 4670,
  [4729] = 4729,
  [4730] = 4695,
  [4731] = 4652,
  [4732] = 2148,
  [4733] = 4638,
  [4734] = 4734,
  [4735] = 4638,
  [4736] = 4683,
  [4737] = 4695,
  [4738] = 4637,
  [4739] = 4695,
  [4740] = 4641,
  [4741] = 4741,
  [4742] = 4638,
  [4743] = 4670,
  [4744] = 4665,
  [4745] = 4745,
  [4746] = 4734,
  [4747] = 4640,
  [4748] = 4643,
  [4749] = 4638,
  [4750] = 4750,
  [4751] = 4637,
  [4752] = 4645,
  [4753] = 4723,
  [4754] = 4754,
  [4755] = 4638,
  [4756] = 4665,
  [4757] = 4638,
  [4758] = 4640,
  [4759] = 2888,
  [4760] = 4643,
  [4761] = 4638,
  [4762] = 4669,
  [4763] = 4638,
  [4764] = 4637,
  [4765] = 4645,
  [4766] = 4665,
  [4767] = 2159,
  [4768] = 2176,
  [4769] = 4769,
  [4770] = 4683,
  [4771] = 2121,
  [4772] = 2472,
  [4773] = 2428,
  [4774] = 2450,
  [4775] = 1720,
  [4776] = 2331,
  [4777] = 4074,
  [4778] = 4073,
  [4779] = 4769,
  [4780] = 4090,
  [4781] = 4092,
  [4782] = 2524,
  [4783] = 4683,
  [4784] = 2181,
  [4785] = 4074,
  [4786] = 2164,
  [4787] = 2168,
  [4788] = 2331,
  [4789] = 2525,
  [4790] = 2165,
  [4791] = 2518,
  [4792] = 2467,
  [4793] = 2439,
  [4794] = 2161,
  [4795] = 4769,
  [4796] = 2153,
  [4797] = 2435,
  [4798] = 3960,
  [4799] = 4683,
  [4800] = 3978,
  [4801] = 2155,
  [4802] = 2434,
  [4803] = 2422,
  [4804] = 2420,
  [4805] = 2114,
  [4806] = 4806,
  [4807] = 2514,
  [4808] = 2333,
  [4809] = 4090,
  [4810] = 2463,
  [4811] = 1758,
  [4812] = 2437,
  [4813] = 2431,
  [4814] = 2432,
  [4815] = 4806,
  [4816] = 4683,
  [4817] = 2158,
  [4818] = 2503,
  [4819] = 4819,
  [4820] = 2446,
  [4821] = 4821,
  [4822] = 4819,
  [4823] = 2443,
  [4824] = 2455,
  [4825] = 4769,
  [4826] = 2461,
  [4827] = 2465,
  [4828] = 4828,
  [4829] = 1765,
  [4830] = 2479,
  [4831] = 4831,
  [4832] = 2515,
  [4833] = 4769,
  [4834] = 1546,
  [4835] = 4835,
  [4836] = 4769,
  [4837] = 2520,
  [4838] = 2170,
  [4839] = 4683,
  [4840] = 2476,
  [4841] = 2481,
  [4842] = 2148,
  [4843] = 2333,
  [4844] = 2486,
  [4845] = 2494,
  [4846] = 2495,
  [4847] = 2519,
  [4848] = 2171,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4831,
  [4852] = 1544,
  [4853] = 2516,
  [4854] = 2149,
  [4855] = 2177,
  [4856] = 4683,
  [4857] = 2517,
  [4858] = 2488,
  [4859] = 2526,
  [4860] = 4769,
  [4861] = 2485,
  [4862] = 4683,
  [4863] = 1804,
  [4864] = 4864,
  [4865] = 4683,
  [4866] = 2079,
  [4867] = 4867,
  [4868] = 2078,
  [4869] = 4074,
  [4870] = 1825,
  [4871] = 4683,
  [4872] = 4090,
  [4873] = 4074,
  [4874] = 2073,
  [4875] = 4073,
  [4876] = 4864,
  [4877] = 4090,
  [4878] = 2076,
  [4879] = 4683,
  [4880] = 1787,
  [4881] = 1785,
  [4882] = 1791,
  [4883] = 1784,
  [4884] = 1793,
  [4885] = 4864,
  [4886] = 1560,
  [4887] = 4092,
  [4888] = 1808,
  [4889] = 1794,
  [4890] = 1826,
  [4891] = 1789,
  [4892] = 1807,
  [4893] = 1795,
  [4894] = 4894,
  [4895] = 1818,
  [4896] = 4864,
  [4897] = 4683,
  [4898] = 4683,
  [4899] = 2088,
  [4900] = 1988,
  [4901] = 4867,
  [4902] = 4867,
  [4903] = 2087,
  [4904] = 2081,
  [4905] = 4073,
  [4906] = 2084,
  [4907] = 4907,
  [4908] = 1824,
  [4909] = 4909,
  [4910] = 4092,
  [4911] = 1806,
  [4912] = 1832,
  [4913] = 1831,
  [4914] = 2090,
  [4915] = 1783,
  [4916] = 1803,
  [4917] = 4867,
  [4918] = 1802,
  [4919] = 4683,
  [4920] = 2075,
  [4921] = 1796,
  [4922] = 2074,
  [4923] = 4683,
  [4924] = 1799,
  [4925] = 1823,
  [4926] = 2159,
  [4927] = 1822,
  [4928] = 4864,
  [4929] = 1790,
  [4930] = 1819,
  [4931] = 4931,
  [4932] = 4683,
  [4933] = 4867,
  [4934] = 1816,
  [4935] = 1814,
  [4936] = 2085,
  [4937] = 4864,
  [4938] = 4867,
  [4939] = 4864,
  [4940] = 1813,
  [4941] = 4867,
  [4942] = 4683,
  [4943] = 4864,
  [4944] = 1786,
  [4945] = 4867,
  [4946] = 1805,
  [4947] = 1788,
  [4948] = 4864,
  [4949] = 1800,
  [4950] = 1797,
  [4951] = 1811,
  [4952] = 4867,
  [4953] = 1801,
  [4954] = 1817,
  [4955] = 2176,
  [4956] = 4956,
  [4957] = 2153,
  [4958] = 2165,
  [4959] = 4959,
  [4960] = 2333,
  [4961] = 2168,
  [4962] = 4683,
  [4963] = 2170,
  [4964] = 2171,
  [4965] = 4683,
  [4966] = 4956,
  [4967] = 2177,
  [4968] = 4959,
  [4969] = 2487,
  [4970] = 2158,
  [4971] = 2155,
  [4972] = 2331,
  [4973] = 2161,
  [4974] = 2164,
  [4975] = 2181,
  [4976] = 2928,
  [4977] = 4956,
  [4978] = 4959,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4956,
  [4982] = 4979,
  [4983] = 4980,
  [4984] = 4980,
  [4985] = 4980,
  [4986] = 4979,
  [4987] = 4959,
  [4988] = 4988,
  [4989] = 4683,
  [4990] = 4959,
  [4991] = 4988,
  [4992] = 4956,
  [4993] = 4979,
  [4994] = 4956,
  [4995] = 4980,
  [4996] = 4683,
  [4997] = 4988,
  [4998] = 4980,
  [4999] = 4988,
  [5000] = 4988,
  [5001] = 5001,
  [5002] = 4959,
  [5003] = 4683,
  [5004] = 4956,
  [5005] = 4683,
  [5006] = 4979,
  [5007] = 4988,
  [5008] = 4980,
  [5009] = 4980,
  [5010] = 5010,
  [5011] = 4683,
  [5012] = 4959,
  [5013] = 4683,
  [5014] = 4980,
  [5015] = 4979,
  [5016] = 4980,
  [5017] = 4073,
  [5018] = 4980,
  [5019] = 4988,
  [5020] = 4979,
  [5021] = 4979,
  [5022] = 4074,
  [5023] = 4980,
  [5024] = 4988,
  [5025] = 4959,
  [5026] = 4980,
  [5027] = 4980,
  [5028] = 4988,
  [5029] = 4980,
  [5030] = 4956,
  [5031] = 4980,
  [5032] = 4980,
  [5033] = 4980,
  [5034] = 4980,
  [5035] = 4090,
  [5036] = 4980,
  [5037] = 4092,
  [5038] = 4979,
  [5039] = 4683,
  [5040] = 5040,
  [5041] = 4959,
  [5042] = 4959,
  [5043] = 4956,
  [5044] = 4959,
  [5045] = 2083,
  [5046] = 4956,
  [5047] = 2487,
  [5048] = 4683,
  [5049] = 4959,
  [5050] = 4956,
  [5051] = 4956,
  [5052] = 4683,
  [5053] = 5053,
  [5054] = 4959,
  [5055] = 4956,
  [5056] = 4959,
  [5057] = 4956,
  [5058] = 4956,
  [5059] = 1560,
  [5060] = 4959,
  [5061] = 4959,
  [5062] = 4956,
  [5063] = 4956,
  [5064] = 4959,
  [5065] = 4956,
  [5066] = 4959,
  [5067] = 4683,
  [5068] = 2487,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5070,
  [5077] = 5071,
  [5078] = 5073,
  [5079] = 5079,
  [5080] = 5072,
  [5081] = 5074,
  [5082] = 5079,
  [5083] = 5074,
  [5084] = 5084,
  [5085] = 5069,
  [5086] = 5084,
  [5087] = 5073,
  [5088] = 5069,
  [5089] = 5079,
  [5090] = 5073,
  [5091] = 5069,
  [5092] = 5070,
  [5093] = 5069,
  [5094] = 5075,
  [5095] = 5073,
  [5096] = 5072,
  [5097] = 5079,
  [5098] = 5069,
  [5099] = 5084,
  [5100] = 5071,
  [5101] = 5072,
  [5102] = 5074,
  [5103] = 5070,
  [5104] = 5074,
  [5105] = 5071,
  [5106] = 5084,
  [5107] = 5070,
  [5108] = 5069,
  [5109] = 5073,
  [5110] = 5084,
  [5111] = 5075,
  [5112] = 5069,
  [5113] = 5073,
  [5114] = 5084,
  [5115] = 5069,
  [5116] = 5073,
  [5117] = 5084,
  [5118] = 5072,
  [5119] = 5069,
  [5120] = 5073,
  [5121] = 5073,
  [5122] = 5069,
  [5123] = 5073,
  [5124] = 5084,
  [5125] = 5071,
  [5126] = 5069,
  [5127] = 5069,
  [5128] = 5084,
  [5129] = 5073,
  [5130] = 5084,
  [5131] = 5084,
  [5132] = 5074,
  [5133] = 5072,
  [5134] = 5075,
  [5135] = 5073,
  [5136] = 5069,
  [5137] = 5079,
  [5138] = 5079,
  [5139] = 5084,
  [5140] = 5073,
  [5141] = 5070,
  [5142] = 5074,
  [5143] = 5075,
  [5144] = 5072,
  [5145] = 5079,
  [5146] = 5084,
  [5147] = 5084,
  [5148] = 5069,
  [5149] = 5073,
  [5150] = 5073,
  [5151] = 4959,
  [5152] = 4956,
  [5153] = 5069,
  [5154] = 5073,
  [5155] = 5071,
  [5156] = 5084,
  [5157] = 5071,
  [5158] = 5070,
  [5159] = 5075,
  [5160] = 5069,
  [5161] = 5084,
  [5162] = 4959,
  [5163] = 5084,
  [5164] = 5084,
  [5165] = 4956,
  [5166] = 5075,
  [5167] = 2226,
  [5168] = 5073,
  [5169] = 5069,
  [5170] = 4956,
  [5171] = 5171,
  [5172] = 4956,
  [5173] = 5173,
  [5174] = 4959,
  [5175] = 3310,
  [5176] = 5171,
  [5177] = 5177,
  [5178] = 4956,
  [5179] = 4959,
  [5180] = 4959,
  [5181] = 5171,
  [5182] = 4959,
  [5183] = 5171,
  [5184] = 5171,
  [5185] = 5185,
  [5186] = 5171,
  [5187] = 5171,
  [5188] = 5188,
  [5189] = 5171,
  [5190] = 5188,
  [5191] = 5171,
  [5192] = 3309,
  [5193] = 4956,
  [5194] = 5171,
  [5195] = 5171,
  [5196] = 4959,
  [5197] = 5171,
  [5198] = 5171,
  [5199] = 5171,
  [5200] = 4956,
  [5201] = 5171,
  [5202] = 4959,
  [5203] = 5171,
  [5204] = 5188,
  [5205] = 5171,
  [5206] = 5188,
  [5207] = 4956,
  [5208] = 5171,
  [5209] = 5188,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 4956,
  [5214] = 4956,
  [5215] = 5215,
  [5216] = 4959,
  [5217] = 4959,
  [5218] = 4956,
  [5219] = 4956,
  [5220] = 5211,
  [5221] = 5221,
  [5222] = 4959,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5211,
  [5228] = 5225,
  [5229] = 5226,
  [5230] = 5224,
  [5231] = 5231,
  [5232] = 5225,
  [5233] = 2978,
  [5234] = 5224,
  [5235] = 5223,
  [5236] = 4959,
  [5237] = 5224,
  [5238] = 5225,
  [5239] = 5226,
  [5240] = 5211,
  [5241] = 5223,
  [5242] = 5223,
  [5243] = 5225,
  [5244] = 5244,
  [5245] = 5211,
  [5246] = 5223,
  [5247] = 5226,
  [5248] = 5225,
  [5249] = 5231,
  [5250] = 5223,
  [5251] = 5223,
  [5252] = 5211,
  [5253] = 5211,
  [5254] = 5225,
  [5255] = 5210,
  [5256] = 5244,
  [5257] = 5210,
  [5258] = 5244,
  [5259] = 5210,
  [5260] = 5244,
  [5261] = 5244,
  [5262] = 5231,
  [5263] = 2939,
  [5264] = 5231,
  [5265] = 5231,
  [5266] = 5231,
  [5267] = 5244,
  [5268] = 5210,
  [5269] = 5244,
  [5270] = 5210,
  [5271] = 5210,
  [5272] = 5244,
  [5273] = 5231,
  [5274] = 5231,
  [5275] = 5210,
  [5276] = 5231,
  [5277] = 5210,
  [5278] = 5210,
  [5279] = 5244,
  [5280] = 5231,
  [5281] = 5244,
  [5282] = 5231,
  [5283] = 5210,
  [5284] = 5210,
  [5285] = 5231,
  [5286] = 5244,
  [5287] = 5231,
  [5288] = 5244,
  [5289] = 5210,
  [5290] = 5231,
  [5291] = 5244,
  [5292] = 5231,
  [5293] = 5244,
  [5294] = 5231,
  [5295] = 5210,
  [5296] = 5210,
  [5297] = 5244,
  [5298] = 5210,
  [5299] = 5210,
  [5300] = 5210,
  [5301] = 5231,
  [5302] = 5244,
  [5303] = 5244,
  [5304] = 5231,
  [5305] = 5244,
  [5306] = 5244,
  [5307] = 5231,
  [5308] = 5210,
  [5309] = 5244,
  [5310] = 5231,
  [5311] = 5210,
  [5312] = 5231,
  [5313] = 5231,
  [5314] = 5314,
  [5315] = 5210,
  [5316] = 5231,
  [5317] = 5244,
  [5318] = 5231,
  [5319] = 5314,
  [5320] = 5320,
  [5321] = 5210,
  [5322] = 5244,
  [5323] = 5314,
  [5324] = 5244,
  [5325] = 5314,
  [5326] = 5320,
  [5327] = 5210,
  [5328] = 5231,
  [5329] = 5231,
  [5330] = 5244,
  [5331] = 5210,
  [5332] = 5314,
  [5333] = 5314,
  [5334] = 5314,
  [5335] = 5244,
  [5336] = 5210,
  [5337] = 5210,
  [5338] = 5320,
  [5339] = 5244,
  [5340] = 5210,
  [5341] = 5210,
  [5342] = 5244,
  [5343] = 5231,
  [5344] = 5244,
  [5345] = 5345,
  [5346] = 5210,
  [5347] = 5231,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5210,
  [5351] = 5351,
  [5352] = 5231,
  [5353] = 5231,
  [5354] = 5345,
  [5355] = 5345,
  [5356] = 5244,
  [5357] = 5244,
  [5358] = 5358,
  [5359] = 5358,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5358,
  [5363] = 5361,
  [5364] = 5360,
  [5365] = 5360,
  [5366] = 5360,
  [5367] = 5320,
  [5368] = 5361,
  [5369] = 5360,
  [5370] = 5360,
  [5371] = 5360,
  [5372] = 5358,
  [5373] = 5358,
  [5374] = 5358,
  [5375] = 5358,
  [5376] = 5360,
  [5377] = 5358,
  [5378] = 5358,
  [5379] = 5379,
  [5380] = 5360,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 2114,
  [5385] = 5320,
  [5386] = 5386,
  [5387] = 5348,
  [5388] = 5388,
  [5389] = 5349,
  [5390] = 5386,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5396,
  [5398] = 5381,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5381,
  [5403] = 5403,
  [5404] = 5386,
  [5405] = 5405,
  [5406] = 5396,
  [5407] = 5381,
  [5408] = 5396,
  [5409] = 5396,
  [5410] = 5396,
  [5411] = 5381,
  [5412] = 5381,
  [5413] = 5383,
  [5414] = 5383,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5383,
  [5420] = 5420,
  [5421] = 5383,
  [5422] = 5381,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5424,
  [5427] = 5381,
  [5428] = 5417,
  [5429] = 5417,
  [5430] = 5396,
  [5431] = 5383,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5381,
  [5437] = 5417,
  [5438] = 5386,
  [5439] = 5396,
  [5440] = 5396,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5381,
  [5445] = 5445,
  [5446] = 5388,
  [5447] = 5391,
  [5448] = 5392,
  [5449] = 5393,
  [5450] = 5394,
  [5451] = 5451,
  [5452] = 5381,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5396,
  [5458] = 2121,
  [5459] = 5320,
  [5460] = 5456,
  [5461] = 5454,
  [5462] = 5453,
  [5463] = 5451,
  [5464] = 5445,
  [5465] = 5443,
  [5466] = 5442,
  [5467] = 5417,
  [5468] = 5423,
  [5469] = 5441,
  [5470] = 5434,
  [5471] = 5433,
  [5472] = 5417,
  [5473] = 5424,
  [5474] = 5423,
  [5475] = 5396,
  [5476] = 5381,
  [5477] = 5381,
  [5478] = 5396,
  [5479] = 5383,
  [5480] = 5381,
  [5481] = 5396,
  [5482] = 5482,
  [5483] = 5381,
  [5484] = 5399,
  [5485] = 5396,
  [5486] = 5417,
  [5487] = 5435,
  [5488] = 5396,
  [5489] = 5383,
  [5490] = 5482,
  [5491] = 5435,
  [5492] = 5396,
  [5493] = 5381,
  [5494] = 5423,
  [5495] = 5383,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5496,
  [5501] = 5496,
  [5502] = 5499,
  [5503] = 5498,
  [5504] = 5504,
  [5505] = 5497,
  [5506] = 5320,
  [5507] = 5497,
  [5508] = 5504,
  [5509] = 5509,
  [5510] = 5496,
  [5511] = 5498,
  [5512] = 5504,
  [5513] = 5496,
  [5514] = 5499,
  [5515] = 5504,
  [5516] = 5497,
  [5517] = 5498,
  [5518] = 5498,
  [5519] = 5499,
  [5520] = 5496,
  [5521] = 5499,
  [5522] = 5498,
  [5523] = 5509,
  [5524] = 5388,
  [5525] = 5499,
  [5526] = 5497,
  [5527] = 5504,
  [5528] = 5496,
  [5529] = 5499,
  [5530] = 5498,
  [5531] = 5509,
  [5532] = 5391,
  [5533] = 5392,
  [5534] = 5497,
  [5535] = 5393,
  [5536] = 5394,
  [5537] = 5504,
  [5538] = 5496,
  [5539] = 5394,
  [5540] = 5540,
  [5541] = 5499,
  [5542] = 5498,
  [5543] = 5509,
  [5544] = 5497,
  [5545] = 5504,
  [5546] = 5496,
  [5547] = 5499,
  [5548] = 5498,
  [5549] = 5496,
  [5550] = 5393,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5496,
  [5554] = 5497,
  [5555] = 5504,
  [5556] = 5509,
  [5557] = 5499,
  [5558] = 5498,
  [5559] = 5504,
  [5560] = 5497,
  [5561] = 5497,
  [5562] = 5504,
  [5563] = 5496,
  [5564] = 5499,
  [5565] = 5498,
  [5566] = 5497,
  [5567] = 5504,
  [5568] = 5498,
  [5569] = 5499,
  [5570] = 2114,
  [5571] = 5504,
  [5572] = 5497,
  [5573] = 5496,
  [5574] = 5392,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 1604,
  [5578] = 1602,
  [5579] = 5499,
  [5580] = 5498,
  [5581] = 5497,
  [5582] = 1609,
  [5583] = 5504,
  [5584] = 1610,
  [5585] = 5498,
  [5586] = 1605,
  [5587] = 1601,
  [5588] = 1603,
  [5589] = 5496,
  [5590] = 5499,
  [5591] = 5499,
  [5592] = 2121,
  [5593] = 1598,
  [5594] = 5498,
  [5595] = 5595,
  [5596] = 5497,
  [5597] = 134,
  [5598] = 5499,
  [5599] = 133,
  [5600] = 1600,
  [5601] = 5498,
  [5602] = 5504,
  [5603] = 5603,
  [5604] = 5496,
  [5605] = 1595,
  [5606] = 5391,
  [5607] = 1606,
  [5608] = 5496,
  [5609] = 5497,
  [5610] = 5504,
  [5611] = 5504,
  [5612] = 5497,
  [5613] = 1612,
  [5614] = 5497,
  [5615] = 1608,
  [5616] = 1607,
  [5617] = 5496,
  [5618] = 5498,
  [5619] = 5619,
  [5620] = 1599,
  [5621] = 5499,
  [5622] = 5619,
  [5623] = 5619,
  [5624] = 5624,
  [5625] = 5388,
  [5626] = 5626,
  [5627] = 5504,
  [5628] = 5497,
  [5629] = 5595,
  [5630] = 5595,
  [5631] = 5631,
  [5632] = 5509,
  [5633] = 5509,
  [5634] = 5498,
  [5635] = 5499,
  [5636] = 5504,
  [5637] = 5455,
  [5638] = 5496,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 5320,
  [5644] = 5642,
  [5645] = 5645,
  [5646] = 5416,
  [5647] = 5642,
  [5648] = 5648,
  [5649] = 5642,
  [5650] = 5642,
  [5651] = 5651,
  [5652] = 5651,
  [5653] = 5653,
  [5654] = 5320,
  [5655] = 5642,
  [5656] = 5639,
  [5657] = 5651,
  [5658] = 5639,
  [5659] = 5659,
  [5660] = 2911,
  [5661] = 2836,
  [5662] = 5648,
  [5663] = 5653,
  [5664] = 5645,
  [5665] = 5641,
  [5666] = 5645,
  [5667] = 5642,
  [5668] = 5642,
  [5669] = 5651,
  [5670] = 5670,
  [5671] = 5671,
  [5672] = 5642,
  [5673] = 5382,
  [5674] = 5641,
  [5675] = 5653,
  [5676] = 5648,
  [5677] = 5639,
  [5678] = 5645,
  [5679] = 5651,
  [5680] = 5645,
  [5681] = 5641,
  [5682] = 5639,
  [5683] = 5641,
  [5684] = 5653,
  [5685] = 5645,
  [5686] = 5648,
  [5687] = 5648,
  [5688] = 5653,
  [5689] = 5651,
  [5690] = 5690,
  [5691] = 5320,
  [5692] = 5641,
  [5693] = 5693,
  [5694] = 5405,
  [5695] = 5641,
  [5696] = 5645,
  [5697] = 5320,
  [5698] = 5641,
  [5699] = 5642,
  [5700] = 5645,
  [5701] = 5653,
  [5702] = 5702,
  [5703] = 5645,
  [5704] = 5704,
  [5705] = 5645,
  [5706] = 5645,
  [5707] = 5641,
  [5708] = 5642,
  [5709] = 5642,
  [5710] = 5648,
  [5711] = 2226,
  [5712] = 5642,
  [5713] = 5713,
  [5714] = 5641,
  [5715] = 5645,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5642,
  [5719] = 5641,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5641,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5641,
  [5730] = 5730,
  [5731] = 5639,
  [5732] = 5732,
  [5733] = 5645,
  [5734] = 5734,
  [5735] = 5734,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5716,
  [5739] = 5734,
  [5740] = 1970,
  [5741] = 5736,
  [5742] = 5742,
  [5743] = 5320,
  [5744] = 5736,
  [5745] = 5690,
  [5746] = 5737,
  [5747] = 5736,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5671,
  [5753] = 5753,
  [5754] = 5736,
  [5755] = 5755,
  [5756] = 2911,
  [5757] = 5757,
  [5758] = 5736,
  [5759] = 5736,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5736,
  [5764] = 5764,
  [5765] = 5670,
  [5766] = 5766,
  [5767] = 5693,
  [5768] = 5734,
  [5769] = 5736,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 2836,
  [5776] = 5766,
  [5777] = 5320,
  [5778] = 5778,
  [5779] = 5704,
  [5780] = 5702,
  [5781] = 5781,
  [5782] = 5736,
  [5783] = 5737,
  [5784] = 5784,
  [5785] = 5736,
  [5786] = 5734,
  [5787] = 5787,
  [5788] = 5736,
  [5789] = 5766,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5781,
  [5794] = 5794,
  [5795] = 5736,
  [5796] = 5734,
  [5797] = 5721,
  [5798] = 5737,
  [5799] = 5736,
  [5800] = 5736,
  [5801] = 2043,
  [5802] = 5736,
  [5803] = 5803,
  [5804] = 2339,
  [5805] = 5722,
  [5806] = 5724,
  [5807] = 5734,
  [5808] = 5736,
  [5809] = 5725,
  [5810] = 5727,
  [5811] = 5811,
  [5812] = 5736,
  [5813] = 5813,
  [5814] = 5732,
  [5815] = 5640,
  [5816] = 5730,
  [5817] = 5736,
  [5818] = 5728,
  [5819] = 5819,
  [5820] = 5726,
  [5821] = 5821,
  [5822] = 5720,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5393,
  [5826] = 5639,
  [5827] = 5827,
  [5828] = 5320,
  [5829] = 5603,
  [5830] = 1595,
  [5831] = 5831,
  [5832] = 2114,
  [5833] = 1610,
  [5834] = 5388,
  [5835] = 2179,
  [5836] = 5831,
  [5837] = 5391,
  [5838] = 1605,
  [5839] = 2152,
  [5840] = 2180,
  [5841] = 5624,
  [5842] = 5842,
  [5843] = 5392,
  [5844] = 2166,
  [5845] = 2121,
  [5846] = 133,
  [5847] = 1601,
  [5848] = 1603,
  [5849] = 5393,
  [5850] = 1609,
  [5851] = 2182,
  [5852] = 1598,
  [5853] = 1600,
  [5854] = 134,
  [5855] = 5855,
  [5856] = 5394,
  [5857] = 1606,
  [5858] = 1604,
  [5859] = 2226,
  [5860] = 1612,
  [5861] = 1602,
  [5862] = 2351,
  [5863] = 5831,
  [5864] = 794,
  [5865] = 5392,
  [5866] = 1608,
  [5867] = 5653,
  [5868] = 5868,
  [5869] = 5648,
  [5870] = 5831,
  [5871] = 5391,
  [5872] = 5648,
  [5873] = 5639,
  [5874] = 2491,
  [5875] = 5875,
  [5876] = 2504,
  [5877] = 5651,
  [5878] = 5831,
  [5879] = 5653,
  [5880] = 793,
  [5881] = 1607,
  [5882] = 5394,
  [5883] = 5651,
  [5884] = 1599,
  [5885] = 5388,
  [5886] = 5653,
  [5887] = 5887,
  [5888] = 2502,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5648,
  [5892] = 5892,
  [5893] = 5890,
  [5894] = 5890,
  [5895] = 5889,
  [5896] = 5890,
  [5897] = 5897,
  [5898] = 5653,
  [5899] = 5651,
  [5900] = 5639,
  [5901] = 5648,
  [5902] = 5320,
  [5903] = 2261,
  [5904] = 5890,
  [5905] = 5889,
  [5906] = 5892,
  [5907] = 5651,
  [5908] = 5908,
  [5909] = 5890,
  [5910] = 5889,
  [5911] = 5639,
  [5912] = 5889,
  [5913] = 5913,
  [5914] = 5651,
  [5915] = 5648,
  [5916] = 5916,
  [5917] = 5653,
  [5918] = 1751,
  [5919] = 5890,
  [5920] = 5889,
  [5921] = 5889,
  [5922] = 5889,
  [5923] = 5890,
  [5924] = 5924,
  [5925] = 5320,
  [5926] = 5926,
  [5927] = 5890,
  [5928] = 1511,
  [5929] = 5890,
  [5930] = 5653,
  [5931] = 5889,
  [5932] = 5648,
  [5933] = 5933,
  [5934] = 5639,
  [5935] = 5889,
  [5936] = 1679,
  [5937] = 5651,
  [5938] = 1730,
  [5939] = 5639,
  [5940] = 5651,
  [5941] = 5648,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5392,
  [5948] = 5945,
  [5949] = 5949,
  [5950] = 5393,
  [5951] = 5394,
  [5952] = 5392,
  [5953] = 5391,
  [5954] = 5388,
  [5955] = 5764,
  [5956] = 5762,
  [5957] = 5761,
  [5958] = 5757,
  [5959] = 5946,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5803,
  [5963] = 5393,
  [5964] = 5320,
  [5965] = 5394,
  [5966] = 5791,
  [5967] = 5944,
  [5968] = 2121,
  [5969] = 5811,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 2464,
  [5973] = 5973,
  [5974] = 2210,
  [5975] = 2211,
  [5976] = 5753,
  [5977] = 2219,
  [5978] = 5770,
  [5979] = 5749,
  [5980] = 5943,
  [5981] = 5773,
  [5982] = 5391,
  [5983] = 5942,
  [5984] = 5790,
  [5985] = 2453,
  [5986] = 5821,
  [5987] = 2451,
  [5988] = 5988,
  [5989] = 5989,
  [5990] = 2449,
  [5991] = 5748,
  [5992] = 2448,
  [5993] = 2447,
  [5994] = 2114,
  [5995] = 5995,
  [5996] = 5750,
  [5997] = 5792,
  [5998] = 2445,
  [5999] = 5774,
  [6000] = 5751,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 5320,
  [6004] = 2237,
  [6005] = 5651,
  [6006] = 6006,
  [6007] = 5653,
  [6008] = 5949,
  [6009] = 6002,
  [6010] = 6010,
  [6011] = 2223,
  [6012] = 5772,
  [6013] = 6006,
  [6014] = 6002,
  [6015] = 2234,
  [6016] = 5653,
  [6017] = 6017,
  [6018] = 6006,
  [6019] = 2209,
  [6020] = 2236,
  [6021] = 5942,
  [6022] = 5943,
  [6023] = 5944,
  [6024] = 2242,
  [6025] = 5639,
  [6026] = 5648,
  [6027] = 2249,
  [6028] = 5819,
  [6029] = 5771,
  [6030] = 2192,
  [6031] = 5946,
  [6032] = 5388,
  [6033] = 5945,
  [6034] = 5949,
  [6035] = 6035,
  [6036] = 5639,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 5653,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6037,
  [6043] = 6037,
  [6044] = 5639,
  [6045] = 6040,
  [6046] = 5651,
  [6047] = 5653,
  [6048] = 6048,
  [6049] = 2105,
  [6050] = 6050,
  [6051] = 6037,
  [6052] = 6052,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 5648,
  [6056] = 6038,
  [6057] = 5651,
  [6058] = 6058,
  [6059] = 5653,
  [6060] = 6060,
  [6061] = 6058,
  [6062] = 5648,
  [6063] = 5639,
  [6064] = 5651,
  [6065] = 6048,
  [6066] = 6048,
  [6067] = 6060,
  [6068] = 5653,
  [6069] = 5648,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6058,
  [6073] = 6038,
  [6074] = 6048,
  [6075] = 6070,
  [6076] = 6076,
  [6077] = 6050,
  [6078] = 5639,
  [6079] = 5639,
  [6080] = 6040,
  [6081] = 5648,
  [6082] = 6037,
  [6083] = 6058,
  [6084] = 6053,
  [6085] = 6038,
  [6086] = 6058,
  [6087] = 6038,
  [6088] = 6088,
  [6089] = 6040,
  [6090] = 6041,
  [6091] = 6038,
  [6092] = 5648,
  [6093] = 5651,
  [6094] = 5651,
  [6095] = 6040,
  [6096] = 6037,
  [6097] = 5651,
  [6098] = 6040,
  [6099] = 6040,
  [6100] = 5639,
  [6101] = 6038,
  [6102] = 6058,
  [6103] = 5651,
  [6104] = 6058,
  [6105] = 5653,
  [6106] = 6038,
  [6107] = 6107,
  [6108] = 5639,
  [6109] = 5648,
  [6110] = 5653,
  [6111] = 5648,
  [6112] = 5639,
  [6113] = 6038,
  [6114] = 5639,
  [6115] = 5653,
  [6116] = 6037,
  [6117] = 5648,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 5653,
  [6121] = 6038,
  [6122] = 5651,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 2152,
  [6126] = 5648,
  [6127] = 6127,
  [6128] = 5394,
  [6129] = 1870,
  [6130] = 2121,
  [6131] = 5651,
  [6132] = 6132,
  [6133] = 5391,
  [6134] = 5639,
  [6135] = 5648,
  [6136] = 5653,
  [6137] = 5388,
  [6138] = 1862,
  [6139] = 5392,
  [6140] = 5393,
  [6141] = 5651,
  [6142] = 6142,
  [6143] = 2179,
  [6144] = 5639,
  [6145] = 5394,
  [6146] = 5648,
  [6147] = 2114,
  [6148] = 2180,
  [6149] = 5393,
  [6150] = 6132,
  [6151] = 6151,
  [6152] = 5653,
  [6153] = 6132,
  [6154] = 6132,
  [6155] = 6132,
  [6156] = 6156,
  [6157] = 2182,
  [6158] = 6127,
  [6159] = 5320,
  [6160] = 6156,
  [6161] = 5392,
  [6162] = 6127,
  [6163] = 6132,
  [6164] = 6132,
  [6165] = 6132,
  [6166] = 6132,
  [6167] = 6132,
  [6168] = 6156,
  [6169] = 2179,
  [6170] = 2166,
  [6171] = 5393,
  [6172] = 6156,
  [6173] = 5391,
  [6174] = 6174,
  [6175] = 6156,
  [6176] = 6132,
  [6177] = 6127,
  [6178] = 5388,
  [6179] = 2166,
  [6180] = 2182,
  [6181] = 6127,
  [6182] = 5392,
  [6183] = 5651,
  [6184] = 2121,
  [6185] = 5391,
  [6186] = 6132,
  [6187] = 6132,
  [6188] = 6132,
  [6189] = 5392,
  [6190] = 5393,
  [6191] = 5394,
  [6192] = 2114,
  [6193] = 2180,
  [6194] = 5651,
  [6195] = 6132,
  [6196] = 5639,
  [6197] = 5648,
  [6198] = 6127,
  [6199] = 6132,
  [6200] = 6156,
  [6201] = 6006,
  [6202] = 1863,
  [6203] = 6002,
  [6204] = 5942,
  [6205] = 5943,
  [6206] = 6206,
  [6207] = 5944,
  [6208] = 6127,
  [6209] = 2152,
  [6210] = 5653,
  [6211] = 5946,
  [6212] = 5945,
  [6213] = 5949,
  [6214] = 5394,
  [6215] = 6132,
  [6216] = 5653,
  [6217] = 6132,
  [6218] = 6206,
  [6219] = 5391,
  [6220] = 1869,
  [6221] = 6132,
  [6222] = 5388,
  [6223] = 5388,
  [6224] = 6132,
  [6225] = 6156,
  [6226] = 6226,
  [6227] = 5639,
  [6228] = 6060,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6050,
  [6233] = 6233,
  [6234] = 6233,
  [6235] = 6235,
  [6236] = 6233,
  [6237] = 2261,
  [6238] = 6233,
  [6239] = 5944,
  [6240] = 5946,
  [6241] = 2261,
  [6242] = 5943,
  [6243] = 6243,
  [6244] = 6233,
  [6245] = 6245,
  [6246] = 5924,
  [6247] = 5945,
  [6248] = 6243,
  [6249] = 6243,
  [6250] = 6231,
  [6251] = 6251,
  [6252] = 5651,
  [6253] = 6233,
  [6254] = 6233,
  [6255] = 6245,
  [6256] = 5653,
  [6257] = 6257,
  [6258] = 6230,
  [6259] = 5648,
  [6260] = 6251,
  [6261] = 6261,
  [6262] = 5949,
  [6263] = 6070,
  [6264] = 5653,
  [6265] = 5946,
  [6266] = 6041,
  [6267] = 5639,
  [6268] = 6231,
  [6269] = 6002,
  [6270] = 5949,
  [6271] = 6251,
  [6272] = 5648,
  [6273] = 5942,
  [6274] = 5651,
  [6275] = 6002,
  [6276] = 6006,
  [6277] = 6006,
  [6278] = 5943,
  [6279] = 5944,
  [6280] = 6280,
  [6281] = 5639,
  [6282] = 6230,
  [6283] = 6231,
  [6284] = 6231,
  [6285] = 6231,
  [6286] = 6286,
  [6287] = 6231,
  [6288] = 6230,
  [6289] = 6251,
  [6290] = 6231,
  [6291] = 6053,
  [6292] = 6251,
  [6293] = 6233,
  [6294] = 5945,
  [6295] = 6243,
  [6296] = 6231,
  [6297] = 6233,
  [6298] = 6298,
  [6299] = 6231,
  [6300] = 6233,
  [6301] = 5942,
  [6302] = 6302,
  [6303] = 6302,
  [6304] = 6304,
  [6305] = 6302,
  [6306] = 5651,
  [6307] = 6302,
  [6308] = 6308,
  [6309] = 5949,
  [6310] = 6302,
  [6311] = 6302,
  [6312] = 5639,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6302,
  [6317] = 6302,
  [6318] = 6002,
  [6319] = 6302,
  [6320] = 6302,
  [6321] = 6321,
  [6322] = 6302,
  [6323] = 6302,
  [6324] = 6302,
  [6325] = 5648,
  [6326] = 6326,
  [6327] = 5943,
  [6328] = 6302,
  [6329] = 6302,
  [6330] = 5944,
  [6331] = 6302,
  [6332] = 5651,
  [6333] = 5653,
  [6334] = 5945,
  [6335] = 5653,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 5648,
  [6339] = 6302,
  [6340] = 6302,
  [6341] = 6341,
  [6342] = 6302,
  [6343] = 2392,
  [6344] = 5946,
  [6345] = 6302,
  [6346] = 6006,
  [6347] = 5639,
  [6348] = 3368,
  [6349] = 5942,
  [6350] = 6350,
  [6351] = 5393,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6352,
  [6355] = 6355,
  [6356] = 5944,
  [6357] = 6357,
  [6358] = 5943,
  [6359] = 6352,
  [6360] = 1506,
  [6361] = 6361,
  [6362] = 6006,
  [6363] = 6070,
  [6364] = 1504,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 5391,
  [6369] = 2333,
  [6370] = 6370,
  [6371] = 6050,
  [6372] = 2121,
  [6373] = 5949,
  [6374] = 6374,
  [6375] = 2114,
  [6376] = 6376,
  [6377] = 6006,
  [6378] = 1501,
  [6379] = 6379,
  [6380] = 1500,
  [6381] = 5945,
  [6382] = 6382,
  [6383] = 6366,
  [6384] = 5946,
  [6385] = 6366,
  [6386] = 6352,
  [6387] = 6041,
  [6388] = 6353,
  [6389] = 6361,
  [6390] = 1508,
  [6391] = 5945,
  [6392] = 6353,
  [6393] = 6366,
  [6394] = 6002,
  [6395] = 6395,
  [6396] = 1507,
  [6397] = 5944,
  [6398] = 5942,
  [6399] = 5943,
  [6400] = 5949,
  [6401] = 6361,
  [6402] = 5942,
  [6403] = 6002,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6353,
  [6407] = 5946,
  [6408] = 6352,
  [6409] = 5944,
  [6410] = 6410,
  [6411] = 6411,
  [6412] = 5388,
  [6413] = 5943,
  [6414] = 6352,
  [6415] = 6060,
  [6416] = 5391,
  [6417] = 6053,
  [6418] = 6418,
  [6419] = 6353,
  [6420] = 6361,
  [6421] = 5393,
  [6422] = 2331,
  [6423] = 6423,
  [6424] = 6006,
  [6425] = 6366,
  [6426] = 5392,
  [6427] = 6352,
  [6428] = 6002,
  [6429] = 6353,
  [6430] = 5392,
  [6431] = 5942,
  [6432] = 6006,
  [6433] = 6361,
  [6434] = 1502,
  [6435] = 6366,
  [6436] = 5943,
  [6437] = 5944,
  [6438] = 6353,
  [6439] = 5942,
  [6440] = 6002,
  [6441] = 5949,
  [6442] = 6442,
  [6443] = 5946,
  [6444] = 6361,
  [6445] = 6361,
  [6446] = 5945,
  [6447] = 5394,
  [6448] = 5949,
  [6449] = 6366,
  [6450] = 6450,
  [6451] = 5946,
  [6452] = 5394,
  [6453] = 6453,
  [6454] = 5388,
  [6455] = 6455,
  [6456] = 5945,
  [6457] = 5949,
  [6458] = 6458,
  [6459] = 6002,
  [6460] = 5944,
  [6461] = 6461,
  [6462] = 6006,
  [6463] = 6461,
  [6464] = 6461,
  [6465] = 6461,
  [6466] = 5943,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6002,
  [6470] = 6461,
  [6471] = 6471,
  [6472] = 5945,
  [6473] = 5942,
  [6474] = 6474,
  [6475] = 5949,
  [6476] = 5943,
  [6477] = 6461,
  [6478] = 6471,
  [6479] = 6461,
  [6480] = 6461,
  [6481] = 5946,
  [6482] = 6461,
  [6483] = 5944,
  [6484] = 6002,
  [6485] = 6461,
  [6486] = 6461,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 5946,
  [6490] = 6490,
  [6491] = 6006,
  [6492] = 6461,
  [6493] = 6461,
  [6494] = 5949,
  [6495] = 6495,
  [6496] = 5942,
  [6497] = 6497,
  [6498] = 5942,
  [6499] = 5946,
  [6500] = 5945,
  [6501] = 5945,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6502,
  [6505] = 6060,
  [6506] = 6502,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6503,
  [6510] = 6507,
  [6511] = 6508,
  [6512] = 6507,
  [6513] = 6507,
  [6514] = 6507,
  [6515] = 6507,
  [6516] = 5742,
  [6517] = 6507,
  [6518] = 5946,
  [6519] = 6507,
  [6520] = 6502,
  [6521] = 6070,
  [6522] = 5784,
  [6523] = 5944,
  [6524] = 6507,
  [6525] = 6525,
  [6526] = 2114,
  [6527] = 5943,
  [6528] = 6507,
  [6529] = 6502,
  [6530] = 6502,
  [6531] = 6503,
  [6532] = 6507,
  [6533] = 6502,
  [6534] = 6508,
  [6535] = 6507,
  [6536] = 6507,
  [6537] = 5942,
  [6538] = 6050,
  [6539] = 6053,
  [6540] = 6041,
  [6541] = 6525,
  [6542] = 6507,
  [6543] = 6006,
  [6544] = 6507,
  [6545] = 2121,
  [6546] = 6503,
  [6547] = 5949,
  [6548] = 6508,
  [6549] = 6525,
  [6550] = 6507,
  [6551] = 6507,
  [6552] = 6002,
  [6553] = 6525,
  [6554] = 6507,
  [6555] = 6507,
  [6556] = 6507,
  [6557] = 6507,
  [6558] = 5946,
  [6559] = 6050,
  [6560] = 6006,
  [6561] = 6561,
  [6562] = 6054,
  [6563] = 5784,
  [6564] = 5949,
  [6565] = 5942,
  [6566] = 6566,
  [6567] = 6119,
  [6568] = 6568,
  [6569] = 5949,
  [6570] = 6570,
  [6571] = 6568,
  [6572] = 6088,
  [6573] = 5945,
  [6574] = 6574,
  [6575] = 6002,
  [6576] = 6576,
  [6577] = 6577,
  [6578] = 5946,
  [6579] = 6568,
  [6580] = 6576,
  [6581] = 5742,
  [6582] = 6582,
  [6583] = 2351,
  [6584] = 6568,
  [6585] = 6002,
  [6586] = 5942,
  [6587] = 6587,
  [6588] = 6588,
  [6589] = 6568,
  [6590] = 6002,
  [6591] = 6591,
  [6592] = 6118,
  [6593] = 5944,
  [6594] = 5946,
  [6595] = 6582,
  [6596] = 5943,
  [6597] = 6002,
  [6598] = 5942,
  [6599] = 5949,
  [6600] = 6060,
  [6601] = 6601,
  [6602] = 6602,
  [6603] = 6576,
  [6604] = 6041,
  [6605] = 6568,
  [6606] = 6582,
  [6607] = 6607,
  [6608] = 6608,
  [6609] = 5949,
  [6610] = 6070,
  [6611] = 6076,
  [6612] = 5946,
  [6613] = 6576,
  [6614] = 6582,
  [6615] = 5942,
  [6616] = 6053,
  [6617] = 6568,
  [6618] = 6618,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6625,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6621,
  [6629] = 5944,
  [6630] = 6630,
  [6631] = 6625,
  [6632] = 6006,
  [6633] = 5946,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6620,
  [6637] = 5945,
  [6638] = 6627,
  [6639] = 5945,
  [6640] = 6640,
  [6641] = 2162,
  [6642] = 6642,
  [6643] = 5943,
  [6644] = 6644,
  [6645] = 2152,
  [6646] = 6623,
  [6647] = 6647,
  [6648] = 6648,
  [6649] = 6649,
  [6650] = 6640,
  [6651] = 2179,
  [6652] = 2173,
  [6653] = 6644,
  [6654] = 6654,
  [6655] = 2351,
  [6656] = 2157,
  [6657] = 6644,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 6660,
  [6661] = 5943,
  [6662] = 6662,
  [6663] = 6002,
  [6664] = 5949,
  [6665] = 6640,
  [6666] = 5949,
  [6667] = 2180,
  [6668] = 5946,
  [6669] = 5942,
  [6670] = 6006,
  [6671] = 6002,
  [6672] = 6644,
  [6673] = 6627,
  [6674] = 6627,
  [6675] = 6634,
  [6676] = 6634,
  [6677] = 6623,
  [6678] = 6625,
  [6679] = 5944,
  [6680] = 6625,
  [6681] = 6681,
  [6682] = 6634,
  [6683] = 2166,
  [6684] = 6634,
  [6685] = 6634,
  [6686] = 6623,
  [6687] = 6625,
  [6688] = 5942,
  [6689] = 6625,
  [6690] = 6690,
  [6691] = 2182,
  [6692] = 6640,
  [6693] = 6634,
  [6694] = 6625,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6697,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6702,
  [6706] = 6706,
  [6707] = 6706,
  [6708] = 6257,
  [6709] = 6709,
  [6710] = 6701,
  [6711] = 6704,
  [6712] = 6712,
  [6713] = 6713,
  [6714] = 2351,
  [6715] = 6712,
  [6716] = 6702,
  [6717] = 6704,
  [6718] = 6703,
  [6719] = 6712,
  [6720] = 6720,
  [6721] = 6721,
  [6722] = 6712,
  [6723] = 6697,
  [6724] = 6712,
  [6725] = 6280,
  [6726] = 2351,
  [6727] = 6703,
  [6728] = 6728,
  [6729] = 6703,
  [6730] = 6261,
  [6731] = 6699,
  [6732] = 6698,
  [6733] = 6703,
  [6734] = 6734,
  [6735] = 6709,
  [6736] = 6699,
  [6737] = 6703,
  [6738] = 6703,
  [6739] = 6698,
  [6740] = 6740,
  [6741] = 6712,
  [6742] = 6709,
  [6743] = 6706,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 2261,
  [6748] = 6748,
  [6749] = 6701,
  [6750] = 6750,
  [6751] = 6712,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 5944,
  [6756] = 6756,
  [6757] = 5942,
  [6758] = 6753,
  [6759] = 6002,
  [6760] = 6754,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6754,
  [6764] = 6764,
  [6765] = 6765,
  [6766] = 6753,
  [6767] = 6753,
  [6768] = 6768,
  [6769] = 6765,
  [6770] = 2351,
  [6771] = 6754,
  [6772] = 6756,
  [6773] = 5945,
  [6774] = 6753,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6754,
  [6779] = 6779,
  [6780] = 6768,
  [6781] = 6781,
  [6782] = 6768,
  [6783] = 6756,
  [6784] = 6754,
  [6785] = 5943,
  [6786] = 6761,
  [6787] = 6754,
  [6788] = 6788,
  [6789] = 6789,
  [6790] = 6756,
  [6791] = 6765,
  [6792] = 6776,
  [6793] = 6768,
  [6794] = 6756,
  [6795] = 6765,
  [6796] = 6754,
  [6797] = 6768,
  [6798] = 6753,
  [6799] = 6799,
  [6800] = 6756,
  [6801] = 6753,
  [6802] = 2351,
  [6803] = 5784,
  [6804] = 6768,
  [6805] = 6006,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6768,
  [6809] = 6756,
  [6810] = 6753,
  [6811] = 6765,
  [6812] = 6768,
  [6813] = 6779,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 2307,
  [6817] = 5949,
  [6818] = 6756,
  [6819] = 6753,
  [6820] = 6754,
  [6821] = 6821,
  [6822] = 6768,
  [6823] = 5946,
  [6824] = 6776,
  [6825] = 6756,
  [6826] = 6776,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6829,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 5784,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 6829,
  [6843] = 6840,
  [6844] = 6844,
  [6845] = 6844,
  [6846] = 6827,
  [6847] = 6847,
  [6848] = 6848,
  [6849] = 6831,
  [6850] = 6829,
  [6851] = 6851,
  [6852] = 6844,
  [6853] = 6829,
  [6854] = 6854,
  [6855] = 6836,
  [6856] = 6831,
  [6857] = 6857,
  [6858] = 6830,
  [6859] = 6859,
  [6860] = 6834,
  [6861] = 6861,
  [6862] = 6827,
  [6863] = 6834,
  [6864] = 6864,
  [6865] = 6865,
  [6866] = 6866,
  [6867] = 6827,
  [6868] = 6830,
  [6869] = 6869,
  [6870] = 6827,
  [6871] = 6829,
  [6872] = 6844,
  [6873] = 6847,
  [6874] = 6827,
  [6875] = 6875,
  [6876] = 6875,
  [6877] = 6838,
  [6878] = 6841,
  [6879] = 6875,
  [6880] = 6828,
  [6881] = 6841,
  [6882] = 6827,
  [6883] = 6829,
  [6884] = 6875,
  [6885] = 6840,
  [6886] = 6875,
  [6887] = 6836,
  [6888] = 6841,
  [6889] = 6857,
  [6890] = 6844,
  [6891] = 6834,
  [6892] = 6839,
  [6893] = 6859,
  [6894] = 6829,
  [6895] = 6839,
  [6896] = 6875,
  [6897] = 6865,
  [6898] = 6841,
  [6899] = 6857,
  [6900] = 6859,
  [6901] = 6834,
  [6902] = 6902,
  [6903] = 6829,
  [6904] = 6830,
  [6905] = 6905,
  [6906] = 6875,
  [6907] = 6907,
  [6908] = 6847,
  [6909] = 6836,
  [6910] = 6834,
  [6911] = 6839,
  [6912] = 6841,
  [6913] = 6836,
  [6914] = 6914,
  [6915] = 6830,
  [6916] = 6875,
  [6917] = 6875,
  [6918] = 6838,
  [6919] = 6838,
  [6920] = 2351,
  [6921] = 6828,
  [6922] = 6828,
  [6923] = 6841,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6828,
  [6927] = 6829,
  [6928] = 6875,
  [6929] = 6847,
  [6930] = 6930,
  [6931] = 6841,
  [6932] = 6859,
  [6933] = 6841,
  [6934] = 6839,
  [6935] = 6864,
  [6936] = 6829,
  [6937] = 6875,
  [6938] = 6938,
  [6939] = 6851,
  [6940] = 6836,
  [6941] = 6828,
  [6942] = 6828,
  [6943] = 6841,
  [6944] = 6838,
  [6945] = 6875,
  [6946] = 6946,
  [6947] = 6859,
  [6948] = 6851,
  [6949] = 6949,
  [6950] = 6950,
  [6951] = 6847,
  [6952] = 6839,
  [6953] = 6829,
  [6954] = 6875,
  [6955] = 6830,
  [6956] = 6841,
  [6957] = 6864,
  [6958] = 6838,
  [6959] = 6859,
  [6960] = 6857,
  [6961] = 6828,
  [6962] = 6875,
  [6963] = 6838,
  [6964] = 6859,
  [6965] = 6839,
  [6966] = 6831,
  [6967] = 6841,
  [6968] = 6829,
  [6969] = 6969,
  [6970] = 6970,
  [6971] = 6840,
  [6972] = 6875,
  [6973] = 6827,
  [6974] = 6838,
  [6975] = 6864,
  [6976] = 6841,
  [6977] = 6875,
  [6978] = 6829,
  [6979] = 6838,
  [6980] = 6859,
  [6981] = 6857,
  [6982] = 6839,
  [6983] = 6851,
  [6984] = 6831,
  [6985] = 6834,
  [6986] = 6841,
  [6987] = 6859,
  [6988] = 6829,
  [6989] = 6827,
  [6990] = 6841,
  [6991] = 6865,
  [6992] = 6834,
  [6993] = 6847,
  [6994] = 6844,
  [6995] = 6857,
  [6996] = 6996,
  [6997] = 6841,
  [6998] = 6851,
  [6999] = 6830,
  [7000] = 6875,
  [7001] = 6838,
  [7002] = 6831,
  [7003] = 6828,
  [7004] = 6827,
  [7005] = 6864,
  [7006] = 6828,
  [7007] = 6828,
  [7008] = 6857,
  [7009] = 6857,
  [7010] = 6875,
  [7011] = 6857,
  [7012] = 6865,
  [7013] = 6841,
  [7014] = 6847,
  [7015] = 6830,
  [7016] = 7016,
  [7017] = 7017,
  [7018] = 6830,
  [7019] = 7019,
  [7020] = 6851,
  [7021] = 6847,
  [7022] = 6857,
  [7023] = 6864,
  [7024] = 6840,
  [7025] = 6831,
  [7026] = 6851,
  [7027] = 7027,
  [7028] = 6834,
  [7029] = 6841,
  [7030] = 7030,
  [7031] = 6841,
  [7032] = 7032,
  [7033] = 7033,
  [7034] = 6839,
  [7035] = 7035,
  [7036] = 6827,
  [7037] = 6829,
  [7038] = 6836,
  [7039] = 6827,
  [7040] = 7040,
  [7041] = 6838,
  [7042] = 6834,
  [7043] = 6829,
  [7044] = 6844,
  [7045] = 6830,
  [7046] = 6847,
  [7047] = 6828,
  [7048] = 6840,
  [7049] = 6838,
  [7050] = 6875,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 7057,
  [7058] = 7058,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 7071,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 7073,
  [7075] = 7075,
  [7076] = 7065,
  [7077] = 7064,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7052,
  [7081] = 7061,
  [7082] = 7061,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 7059,
  [7087] = 7087,
  [7088] = 7088,
  [7089] = 7089,
  [7090] = 7068,
  [7091] = 7053,
  [7092] = 7088,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7095,
  [7096] = 7052,
  [7097] = 7078,
  [7098] = 7098,
  [7099] = 7099,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7098,
  [7104] = 7104,
  [7105] = 7105,
  [7106] = 7106,
  [7107] = 7099,
  [7108] = 7108,
  [7109] = 7057,
  [7110] = 7110,
  [7111] = 7056,
  [7112] = 7112,
  [7113] = 7059,
  [7114] = 7114,
  [7115] = 7051,
  [7116] = 7116,
  [7117] = 7117,
  [7118] = 7112,
  [7119] = 7119,
  [7120] = 7055,
  [7121] = 7094,
  [7122] = 7095,
  [7123] = 7123,
  [7124] = 7124,
  [7125] = 2479,
  [7126] = 7069,
  [7127] = 7127,
  [7128] = 7128,
  [7129] = 7063,
  [7130] = 7069,
  [7131] = 7066,
  [7132] = 7059,
  [7133] = 7052,
  [7134] = 7095,
  [7135] = 7094,
  [7136] = 7063,
  [7137] = 7137,
  [7138] = 7068,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7059,
  [7143] = 7104,
  [7144] = 7088,
  [7145] = 7112,
  [7146] = 7146,
  [7147] = 7147,
  [7148] = 7069,
  [7149] = 7128,
  [7150] = 7061,
  [7151] = 7151,
  [7152] = 7099,
  [7153] = 7062,
  [7154] = 7087,
  [7155] = 7155,
  [7156] = 7073,
  [7157] = 7065,
  [7158] = 7158,
  [7159] = 7064,
  [7160] = 7084,
  [7161] = 7161,
  [7162] = 7123,
  [7163] = 7117,
  [7164] = 7087,
  [7165] = 7137,
  [7166] = 7055,
  [7167] = 7062,
  [7168] = 7056,
  [7169] = 7104,
  [7170] = 7117,
  [7171] = 7094,
  [7172] = 7095,
  [7173] = 7052,
  [7174] = 7054,
  [7175] = 7052,
  [7176] = 7176,
  [7177] = 7065,
  [7178] = 7064,
  [7179] = 7179,
  [7180] = 7054,
  [7181] = 7073,
  [7182] = 7182,
  [7183] = 7117,
  [7184] = 7098,
  [7185] = 2455,
  [7186] = 7061,
  [7187] = 2517,
  [7188] = 7062,
  [7189] = 2516,
  [7190] = 7088,
  [7191] = 7089,
  [7192] = 2495,
  [7193] = 7059,
  [7194] = 2494,
  [7195] = 7119,
  [7196] = 7196,
  [7197] = 2476,
  [7198] = 2461,
  [7199] = 7128,
  [7200] = 7064,
  [7201] = 7094,
  [7202] = 7095,
  [7203] = 7052,
  [7204] = 2437,
  [7205] = 7137,
  [7206] = 7057,
  [7207] = 7088,
  [7208] = 7062,
  [7209] = 7055,
  [7210] = 7210,
  [7211] = 7095,
  [7212] = 7094,
  [7213] = 7061,
  [7214] = 7099,
  [7215] = 7119,
  [7216] = 2351,
  [7217] = 7217,
  [7218] = 7051,
  [7219] = 7059,
  [7220] = 7117,
  [7221] = 7221,
  [7222] = 7063,
  [7223] = 7059,
  [7224] = 7112,
  [7225] = 7064,
  [7226] = 7094,
  [7227] = 7095,
  [7228] = 7052,
  [7229] = 7056,
  [7230] = 7069,
  [7231] = 7231,
  [7232] = 7123,
  [7233] = 2446,
  [7234] = 7073,
  [7235] = 7065,
  [7236] = 7236,
  [7237] = 7123,
  [7238] = 7128,
  [7239] = 7239,
  [7240] = 7106,
  [7241] = 7128,
  [7242] = 7052,
  [7243] = 7059,
  [7244] = 7095,
  [7245] = 7245,
  [7246] = 7088,
  [7247] = 7064,
  [7248] = 7094,
  [7249] = 7095,
  [7250] = 7052,
  [7251] = 7251,
  [7252] = 7137,
  [7253] = 7059,
  [7254] = 7094,
  [7255] = 7053,
  [7256] = 7256,
  [7257] = 7128,
  [7258] = 7084,
  [7259] = 7117,
  [7260] = 7062,
  [7261] = 7128,
  [7262] = 7119,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7059,
  [7266] = 7051,
  [7267] = 7267,
  [7268] = 7089,
  [7269] = 7064,
  [7270] = 7094,
  [7271] = 7095,
  [7272] = 7052,
  [7273] = 6588,
  [7274] = 7106,
  [7275] = 7112,
  [7276] = 7276,
  [7277] = 7095,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7059,
  [7281] = 7123,
  [7282] = 7112,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7059,
  [7287] = 7061,
  [7288] = 7059,
  [7289] = 7064,
  [7290] = 7094,
  [7291] = 7095,
  [7292] = 7052,
  [7293] = 7106,
  [7294] = 7073,
  [7295] = 7065,
  [7296] = 7217,
  [7297] = 7057,
  [7298] = 7089,
  [7299] = 7078,
  [7300] = 7123,
  [7301] = 7060,
  [7302] = 7063,
  [7303] = 7066,
  [7304] = 7117,
  [7305] = 7069,
  [7306] = 7059,
  [7307] = 7062,
  [7308] = 7068,
  [7309] = 7064,
  [7310] = 7094,
  [7311] = 7095,
  [7312] = 7052,
  [7313] = 7313,
  [7314] = 7314,
  [7315] = 7056,
  [7316] = 7316,
  [7317] = 7099,
  [7318] = 7052,
  [7319] = 7095,
  [7320] = 7098,
  [7321] = 7094,
  [7322] = 7063,
  [7323] = 7323,
  [7324] = 7069,
  [7325] = 7051,
  [7326] = 7059,
  [7327] = 7137,
  [7328] = 7328,
  [7329] = 7064,
  [7330] = 7094,
  [7331] = 7095,
  [7332] = 7052,
  [7333] = 7106,
  [7334] = 7051,
  [7335] = 7335,
  [7336] = 7087,
  [7337] = 7084,
  [7338] = 7059,
  [7339] = 7052,
  [7340] = 7095,
  [7341] = 7094,
  [7342] = 7089,
  [7343] = 7119,
  [7344] = 7059,
  [7345] = 7051,
  [7346] = 7059,
  [7347] = 7128,
  [7348] = 7119,
  [7349] = 7084,
  [7350] = 7055,
  [7351] = 7123,
  [7352] = 7094,
  [7353] = 7078,
  [7354] = 7094,
  [7355] = 7089,
  [7356] = 7095,
  [7357] = 7056,
  [7358] = 7358,
  [7359] = 7087,
  [7360] = 7064,
  [7361] = 7084,
  [7362] = 7071,
  [7363] = 7052,
  [7364] = 7084,
  [7365] = 7072,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7089,
  [7369] = 7084,
  [7370] = 7084,
  [7371] = 7371,
  [7372] = 7073,
  [7373] = 7373,
  [7374] = 7084,
  [7375] = 7072,
  [7376] = 7072,
  [7377] = 7377,
  [7378] = 7098,
  [7379] = 7071,
  [7380] = 7380,
  [7381] = 7099,
  [7382] = 7084,
  [7383] = 7105,
  [7384] = 7279,
  [7385] = 7385,
  [7386] = 7057,
  [7387] = 7105,
  [7388] = 7057,
  [7389] = 7059,
  [7390] = 7119,
  [7391] = 7054,
  [7392] = 7392,
  [7393] = 7147,
  [7394] = 7137,
  [7395] = 7065,
  [7396] = 7055,
  [7397] = 7056,
  [7398] = 7217,
  [7399] = 7399,
  [7400] = 7068,
  [7401] = 7106,
  [7402] = 7057,
  [7403] = 7137,
  [7404] = 7055,
  [7405] = 7064,
  [7406] = 7056,
  [7407] = 7071,
  [7408] = 228,
  [7409] = 7104,
  [7410] = 7068,
  [7411] = 7064,
  [7412] = 7072,
  [7413] = 7413,
  [7414] = 7071,
  [7415] = 7415,
  [7416] = 7112,
  [7417] = 7060,
  [7418] = 7063,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7064,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7059,
  [7428] = 242,
  [7429] = 7429,
  [7430] = 7053,
  [7431] = 7064,
  [7432] = 7098,
  [7433] = 7072,
  [7434] = 7099,
  [7435] = 7071,
  [7436] = 7436,
  [7437] = 7068,
  [7438] = 7055,
  [7439] = 7084,
  [7440] = 7137,
  [7441] = 7123,
  [7442] = 7087,
  [7443] = 7098,
  [7444] = 7066,
  [7445] = 7059,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7069,
  [7449] = 7064,
  [7450] = 7112,
  [7451] = 7071,
  [7452] = 7099,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7465,
  [7467] = 7465,
  [7468] = 7465,
  [7469] = 7465,
  [7470] = 7465,
  [7471] = 7465,
  [7472] = 7465,
  [7473] = 7465,
  [7474] = 7465,
  [7475] = 7465,
  [7476] = 7465,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7465,
  [7480] = 7480,
  [7481] = 7465,
  [7482] = 7454,
  [7483] = 7465,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7465,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7490,
  [7491] = 7453,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7499,
  [7500] = 7500,
  [7501] = 7453,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7502,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7485,
  [7515] = 7515,
  [7516] = 7508,
  [7517] = 7462,
  [7518] = 7480,
  [7519] = 7478,
  [7520] = 7462,
  [7521] = 7521,
  [7522] = 7453,
  [7523] = 7489,
  [7524] = 7463,
  [7525] = 7503,
  [7526] = 7526,
  [7527] = 7527,
  [7528] = 7499,
  [7529] = 7465,
  [7530] = 7530,
  [7531] = 7497,
  [7532] = 7496,
  [7533] = 7489,
  [7534] = 7488,
  [7535] = 7526,
  [7536] = 7502,
  [7537] = 7513,
  [7538] = 7526,
  [7539] = 7496,
  [7540] = 7493,
  [7541] = 7502,
  [7542] = 7492,
  [7543] = 7461,
  [7544] = 7480,
  [7545] = 7454,
  [7546] = 7480,
  [7547] = 7461,
  [7548] = 7454,
  [7549] = 7505,
  [7550] = 7498,
  [7551] = 7492,
  [7552] = 7499,
  [7553] = 7502,
  [7554] = 7462,
  [7555] = 7453,
  [7556] = 7454,
  [7557] = 7489,
  [7558] = 7526,
  [7559] = 7559,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7526,
  [7563] = 7493,
  [7564] = 7460,
  [7565] = 7505,
  [7566] = 7461,
  [7567] = 7498,
  [7568] = 7492,
  [7569] = 7460,
  [7570] = 7454,
  [7571] = 7453,
  [7572] = 7572,
  [7573] = 7477,
  [7574] = 7454,
  [7575] = 7462,
  [7576] = 7494,
  [7577] = 7515,
  [7578] = 7484,
  [7579] = 7579,
  [7580] = 7486,
  [7581] = 7462,
  [7582] = 7497,
  [7583] = 7502,
  [7584] = 7489,
  [7585] = 7477,
  [7586] = 7453,
  [7587] = 7453,
  [7588] = 7489,
  [7589] = 7488,
  [7590] = 7504,
  [7591] = 7454,
  [7592] = 7506,
  [7593] = 7593,
  [7594] = 7507,
  [7595] = 7454,
  [7596] = 7526,
  [7597] = 7504,
  [7598] = 7598,
  [7599] = 7512,
  [7600] = 7502,
  [7601] = 7515,
  [7602] = 7462,
  [7603] = 7603,
  [7604] = 7499,
  [7605] = 7605,
  [7606] = 7497,
  [7607] = 7488,
  [7608] = 7486,
  [7609] = 7513,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7461,
  [7613] = 7613,
  [7614] = 7614,
  [7615] = 7615,
  [7616] = 7462,
  [7617] = 7502,
  [7618] = 7526,
  [7619] = 7496,
  [7620] = 7515,
  [7621] = 7484,
  [7622] = 7622,
  [7623] = 7493,
  [7624] = 7526,
  [7625] = 7493,
  [7626] = 7484,
  [7627] = 7486,
  [7628] = 7503,
  [7629] = 7498,
  [7630] = 7460,
  [7631] = 7492,
  [7632] = 7477,
  [7633] = 7633,
  [7634] = 7498,
  [7635] = 7454,
  [7636] = 7489,
  [7637] = 7486,
  [7638] = 7489,
  [7639] = 7639,
  [7640] = 7486,
  [7641] = 7502,
  [7642] = 7453,
  [7643] = 7489,
  [7644] = 7515,
  [7645] = 7508,
  [7646] = 7454,
  [7647] = 7454,
  [7648] = 7502,
  [7649] = 7526,
  [7650] = 7504,
  [7651] = 7651,
  [7652] = 7652,
  [7653] = 7512,
  [7654] = 7654,
  [7655] = 7505,
  [7656] = 7656,
  [7657] = 7657,
  [7658] = 7508,
  [7659] = 7659,
  [7660] = 7502,
  [7661] = 7513,
  [7662] = 7457,
  [7663] = 7515,
  [7664] = 7508,
  [7665] = 7485,
  [7666] = 7499,
  [7667] = 7462,
  [7668] = 7668,
  [7669] = 7463,
  [7670] = 7515,
  [7671] = 7458,
  [7672] = 7512,
  [7673] = 7673,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7676,
  [7677] = 7457,
  [7678] = 7657,
  [7679] = 7506,
  [7680] = 7507,
  [7681] = 7453,
  [7682] = 7459,
  [7683] = 7489,
  [7684] = 7508,
  [7685] = 7507,
  [7686] = 7515,
  [7687] = 7486,
  [7688] = 7507,
  [7689] = 7485,
  [7690] = 7462,
  [7691] = 7463,
  [7692] = 7457,
  [7693] = 7454,
  [7694] = 7498,
  [7695] = 7526,
  [7696] = 7499,
  [7697] = 7697,
  [7698] = 7513,
  [7699] = 7459,
  [7700] = 7458,
  [7701] = 7457,
  [7702] = 7702,
  [7703] = 7498,
  [7704] = 7704,
  [7705] = 7508,
  [7706] = 7461,
  [7707] = 7454,
  [7708] = 7492,
  [7709] = 7485,
  [7710] = 7463,
  [7711] = 7502,
  [7712] = 7712,
  [7713] = 7459,
  [7714] = 7458,
  [7715] = 7715,
  [7716] = 7460,
  [7717] = 7457,
  [7718] = 7526,
  [7719] = 7657,
  [7720] = 7498,
  [7721] = 7463,
  [7722] = 7460,
  [7723] = 7723,
  [7724] = 7478,
  [7725] = 7477,
  [7726] = 7480,
  [7727] = 7504,
  [7728] = 7503,
  [7729] = 7508,
  [7730] = 7485,
  [7731] = 7499,
  [7732] = 7454,
  [7733] = 7458,
  [7734] = 7485,
  [7735] = 7478,
  [7736] = 7462,
  [7737] = 7502,
  [7738] = 7463,
  [7739] = 7486,
  [7740] = 7489,
  [7741] = 7453,
  [7742] = 7506,
  [7743] = 7515,
  [7744] = 7508,
  [7745] = 7503,
  [7746] = 7506,
  [7747] = 7496,
  [7748] = 7459,
  [7749] = 7458,
  [7750] = 7462,
  [7751] = 7499,
  [7752] = 7752,
  [7753] = 7515,
  [7754] = 7507,
  [7755] = 7506,
  [7756] = 7457,
  [7757] = 7657,
  [7758] = 7513,
  [7759] = 7496,
  [7760] = 7503,
  [7761] = 7508,
  [7762] = 7502,
  [7763] = 7460,
  [7764] = 7461,
  [7765] = 7485,
  [7766] = 7480,
  [7767] = 7478,
  [7768] = 7454,
  [7769] = 7657,
  [7770] = 7459,
  [7771] = 7453,
  [7772] = 7477,
  [7773] = 7463,
  [7774] = 7457,
  [7775] = 7506,
  [7776] = 7477,
  [7777] = 7486,
  [7778] = 7486,
  [7779] = 7498,
  [7780] = 7780,
  [7781] = 7489,
  [7782] = 7502,
  [7783] = 7526,
  [7784] = 7502,
  [7785] = 7458,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 7796,
  [7797] = 7797,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7810,
  [7811] = 7811,
  [7812] = 7812,
  [7813] = 7813,
  [7814] = 7814,
  [7815] = 7815,
  [7816] = 7802,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7797,
  [7821] = 7821,
  [7822] = 7822,
  [7823] = 7823,
  [7824] = 7824,
  [7825] = 7825,
  [7826] = 7826,
  [7827] = 7827,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7830,
  [7831] = 7831,
  [7832] = 7832,
  [7833] = 7833,
  [7834] = 7834,
  [7835] = 7835,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7841,
  [7842] = 7842,
  [7843] = 7843,
  [7844] = 7844,
  [7845] = 7825,
  [7846] = 7846,
  [7847] = 7847,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 7850,
  [7851] = 7851,
  [7852] = 7852,
  [7853] = 7853,
  [7854] = 7854,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7858,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7863,
  [7864] = 7864,
  [7865] = 7865,
  [7866] = 7856,
  [7867] = 7855,
  [7868] = 7868,
  [7869] = 7869,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7865,
  [7877] = 7877,
  [7878] = 7828,
  [7879] = 7863,
  [7880] = 7880,
  [7881] = 7881,
  [7882] = 7862,
  [7883] = 7869,
  [7884] = 7788,
  [7885] = 7789,
  [7886] = 7790,
  [7887] = 7787,
  [7888] = 7840,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7891,
  [7892] = 7872,
  [7893] = 7795,
  [7894] = 7872,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 7899,
  [7900] = 7852,
  [7901] = 7901,
  [7902] = 5690,
  [7903] = 7903,
  [7904] = 7897,
  [7905] = 7806,
  [7906] = 7906,
  [7907] = 7843,
  [7908] = 7872,
  [7909] = 5670,
  [7910] = 7910,
  [7911] = 7889,
  [7912] = 7814,
  [7913] = 7815,
  [7914] = 7875,
  [7915] = 7915,
  [7916] = 7846,
  [7917] = 7791,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7792,
  [7921] = 7921,
  [7922] = 7799,
  [7923] = 7923,
  [7924] = 7800,
  [7925] = 7925,
  [7926] = 7899,
  [7927] = 7927,
  [7928] = 7817,
  [7929] = 7929,
  [7930] = 7819,
  [7931] = 7840,
  [7932] = 7932,
  [7933] = 7933,
  [7934] = 7934,
  [7935] = 7889,
  [7936] = 7847,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7824,
  [7940] = 7940,
  [7941] = 7875,
  [7942] = 7854,
  [7943] = 7854,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7891,
  [7949] = 7847,
  [7950] = 7825,
  [7951] = 7859,
  [7952] = 7952,
  [7953] = 7890,
  [7954] = 7787,
  [7955] = 7955,
  [7956] = 7827,
  [7957] = 7865,
  [7958] = 7958,
  [7959] = 7870,
  [7960] = 7915,
  [7961] = 7961,
  [7962] = 7846,
  [7963] = 7874,
  [7964] = 7790,
  [7965] = 7855,
  [7966] = 7966,
  [7967] = 7791,
  [7968] = 7841,
  [7969] = 7969,
  [7970] = 7795,
  [7971] = 7971,
  [7972] = 7915,
  [7973] = 7870,
  [7974] = 7974,
  [7975] = 7975,
  [7976] = 7864,
  [7977] = 7834,
  [7978] = 7835,
  [7979] = 7806,
  [7980] = 7980,
  [7981] = 7836,
  [7982] = 7871,
  [7983] = 7839,
  [7984] = 7984,
  [7985] = 7814,
  [7986] = 7815,
  [7987] = 7855,
  [7988] = 7840,
  [7989] = 7856,
  [7990] = 7864,
  [7991] = 7870,
  [7992] = 7861,
  [7993] = 7824,
  [7994] = 7994,
  [7995] = 7854,
  [7996] = 7996,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 8001,
  [8002] = 8002,
  [8003] = 8003,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 8006,
  [8007] = 8007,
  [8008] = 8008,
  [8009] = 7865,
  [8010] = 8010,
  [8011] = 7861,
  [8012] = 7864,
  [8013] = 7856,
  [8014] = 7855,
  [8015] = 7790,
  [8016] = 8016,
  [8017] = 7809,
  [8018] = 7871,
  [8019] = 7795,
  [8020] = 8020,
  [8021] = 7795,
  [8022] = 8022,
  [8023] = 7874,
  [8024] = 7839,
  [8025] = 7792,
  [8026] = 7836,
  [8027] = 7835,
  [8028] = 7787,
  [8029] = 7890,
  [8030] = 7806,
  [8031] = 7891,
  [8032] = 7834,
  [8033] = 7856,
  [8034] = 7896,
  [8035] = 8035,
  [8036] = 7814,
  [8037] = 7815,
  [8038] = 8038,
  [8039] = 7840,
  [8040] = 7958,
  [8041] = 8041,
  [8042] = 7824,
  [8043] = 8043,
  [8044] = 7899,
  [8045] = 7897,
  [8046] = 7854,
  [8047] = 7919,
  [8048] = 7819,
  [8049] = 7817,
  [8050] = 8050,
  [8051] = 7861,
  [8052] = 7872,
  [8053] = 8053,
  [8054] = 8054,
  [8055] = 8055,
  [8056] = 7799,
  [8057] = 7889,
  [8058] = 7800,
  [8059] = 7865,
  [8060] = 7875,
  [8061] = 7874,
  [8062] = 7915,
  [8063] = 7846,
  [8064] = 8064,
  [8065] = 7791,
  [8066] = 7799,
  [8067] = 7825,
  [8068] = 7795,
  [8069] = 8069,
  [8070] = 7875,
  [8071] = 8071,
  [8072] = 7792,
  [8073] = 7799,
  [8074] = 8074,
  [8075] = 7923,
  [8076] = 7800,
  [8077] = 7790,
  [8078] = 7923,
  [8079] = 7800,
  [8080] = 7814,
  [8081] = 7815,
  [8082] = 7889,
  [8083] = 8083,
  [8084] = 7897,
  [8085] = 8085,
  [8086] = 7891,
  [8087] = 8087,
  [8088] = 7925,
  [8089] = 7865,
  [8090] = 7787,
  [8091] = 7870,
  [8092] = 7789,
  [8093] = 7795,
  [8094] = 8094,
  [8095] = 7788,
  [8096] = 7815,
  [8097] = 7925,
  [8098] = 7856,
  [8099] = 8099,
  [8100] = 7839,
  [8101] = 8101,
  [8102] = 7865,
  [8103] = 7897,
  [8104] = 7836,
  [8105] = 7795,
  [8106] = 8106,
  [8107] = 7815,
  [8108] = 7835,
  [8109] = 7834,
  [8110] = 7827,
  [8111] = 7899,
  [8112] = 7865,
  [8113] = 7795,
  [8114] = 7815,
  [8115] = 7824,
  [8116] = 7897,
  [8117] = 7795,
  [8118] = 7815,
  [8119] = 7819,
  [8120] = 7899,
  [8121] = 7795,
  [8122] = 7815,
  [8123] = 7795,
  [8124] = 7815,
  [8125] = 7795,
  [8126] = 7815,
  [8127] = 7795,
  [8128] = 7815,
  [8129] = 7795,
  [8130] = 7815,
  [8131] = 7795,
  [8132] = 7815,
  [8133] = 7817,
  [8134] = 7817,
  [8135] = 7819,
  [8136] = 8136,
  [8137] = 7824,
  [8138] = 8138,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 7932,
  [8142] = 7823,
  [8143] = 8143,
  [8144] = 7890,
  [8145] = 8145,
  [8146] = 8146,
  [8147] = 7859,
  [8148] = 8148,
  [8149] = 7839,
  [8150] = 7800,
  [8151] = 8151,
  [8152] = 7827,
  [8153] = 8153,
  [8154] = 6799,
  [8155] = 1870,
  [8156] = 7940,
  [8157] = 7853,
  [8158] = 7827,
  [8159] = 7958,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8163,
  [8164] = 8161,
  [8165] = 7817,
  [8166] = 7944,
  [8167] = 8167,
  [8168] = 8168,
  [8169] = 8163,
  [8170] = 8170,
  [8171] = 7799,
  [8172] = 7859,
  [8173] = 7864,
  [8174] = 7870,
  [8175] = 7971,
  [8176] = 7819,
  [8177] = 7875,
  [8178] = 7889,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 7897,
  [8182] = 8106,
  [8183] = 7800,
  [8184] = 8074,
  [8185] = 7974,
  [8186] = 7834,
  [8187] = 7835,
  [8188] = 7836,
  [8189] = 7889,
  [8190] = 7839,
  [8191] = 8006,
  [8192] = 7843,
  [8193] = 1863,
  [8194] = 7852,
  [8195] = 8195,
  [8196] = 8007,
  [8197] = 7861,
  [8198] = 7971,
  [8199] = 8180,
  [8200] = 8200,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 8203,
  [8204] = 7891,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 7889,
  [8208] = 7861,
  [8209] = 7864,
  [8210] = 7856,
  [8211] = 8099,
  [8212] = 7855,
  [8213] = 7870,
  [8214] = 7871,
  [8215] = 7787,
  [8216] = 7870,
  [8217] = 8217,
  [8218] = 7874,
  [8219] = 7824,
  [8220] = 7856,
  [8221] = 8179,
  [8222] = 7819,
  [8223] = 8223,
  [8224] = 7890,
  [8225] = 7891,
  [8226] = 8151,
  [8227] = 7817,
  [8228] = 7875,
  [8229] = 7896,
  [8230] = 8038,
  [8231] = 8231,
  [8232] = 7899,
  [8233] = 7897,
  [8234] = 7815,
  [8235] = 7814,
  [8236] = 7839,
  [8237] = 8237,
  [8238] = 8238,
  [8239] = 8239,
  [8240] = 8240,
  [8241] = 7862,
  [8242] = 7872,
  [8243] = 7824,
  [8244] = 7889,
  [8245] = 7875,
  [8246] = 7819,
  [8247] = 7998,
  [8248] = 7915,
  [8249] = 7915,
  [8250] = 7846,
  [8251] = 8251,
  [8252] = 7791,
  [8253] = 8253,
  [8254] = 7834,
  [8255] = 7792,
  [8256] = 7799,
  [8257] = 7835,
  [8258] = 7923,
  [8259] = 7800,
  [8260] = 7787,
  [8261] = 7836,
  [8262] = 7890,
  [8263] = 7891,
  [8264] = 7925,
  [8265] = 7839,
  [8266] = 8266,
  [8267] = 7799,
  [8268] = 7800,
  [8269] = 7825,
  [8270] = 7846,
  [8271] = 5693,
  [8272] = 7958,
  [8273] = 8010,
  [8274] = 7974,
  [8275] = 7875,
  [8276] = 7817,
  [8277] = 7791,
  [8278] = 7859,
  [8279] = 7819,
  [8280] = 7937,
  [8281] = 7824,
  [8282] = 7889,
  [8283] = 7897,
  [8284] = 8284,
  [8285] = 7998,
  [8286] = 7787,
  [8287] = 7825,
  [8288] = 7859,
  [8289] = 7856,
  [8290] = 8290,
  [8291] = 7819,
  [8292] = 8292,
  [8293] = 7827,
  [8294] = 8294,
  [8295] = 8240,
  [8296] = 7865,
  [8297] = 8161,
  [8298] = 7787,
  [8299] = 8163,
  [8300] = 7856,
  [8301] = 8206,
  [8302] = 7971,
  [8303] = 8180,
  [8304] = 7871,
  [8305] = 7974,
  [8306] = 8038,
  [8307] = 8307,
  [8308] = 7834,
  [8309] = 7819,
  [8310] = 7835,
  [8311] = 7836,
  [8312] = 7839,
  [8313] = 7800,
  [8314] = 7787,
  [8315] = 7843,
  [8316] = 8284,
  [8317] = 7856,
  [8318] = 8318,
  [8319] = 8319,
  [8320] = 7843,
  [8321] = 8168,
  [8322] = 8322,
  [8323] = 8167,
  [8324] = 7827,
  [8325] = 8200,
  [8326] = 8202,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8200,
  [8330] = 8202,
  [8331] = 8331,
  [8332] = 8205,
  [8333] = 8205,
  [8334] = 8334,
  [8335] = 8136,
  [8336] = 8139,
  [8337] = 8140,
  [8338] = 8143,
  [8339] = 7787,
  [8340] = 8145,
  [8341] = 7856,
  [8342] = 7839,
  [8343] = 8202,
  [8344] = 7958,
  [8345] = 8200,
  [8346] = 8160,
  [8347] = 8205,
  [8348] = 8162,
  [8349] = 7787,
  [8350] = 7856,
  [8351] = 8160,
  [8352] = 8167,
  [8353] = 8168,
  [8354] = 8284,
  [8355] = 7800,
  [8356] = 8074,
  [8357] = 7843,
  [8358] = 7792,
  [8359] = 7856,
  [8360] = 8201,
  [8361] = 8206,
  [8362] = 7839,
  [8363] = 7836,
  [8364] = 8136,
  [8365] = 8139,
  [8366] = 8143,
  [8367] = 7835,
  [8368] = 8145,
  [8369] = 7834,
  [8370] = 8239,
  [8371] = 8160,
  [8372] = 7974,
  [8373] = 8162,
  [8374] = 7861,
  [8375] = 8007,
  [8376] = 8167,
  [8377] = 8168,
  [8378] = 8074,
  [8379] = 8006,
  [8380] = 7864,
  [8381] = 7944,
  [8382] = 8201,
  [8383] = 8206,
  [8384] = 7940,
  [8385] = 8136,
  [8386] = 8139,
  [8387] = 8143,
  [8388] = 7937,
  [8389] = 8145,
  [8390] = 8162,
  [8391] = 8161,
  [8392] = 8160,
  [8393] = 8162,
  [8394] = 7932,
  [8395] = 8163,
  [8396] = 8167,
  [8397] = 8168,
  [8398] = 8074,
  [8399] = 7919,
  [8400] = 7958,
  [8401] = 7855,
  [8402] = 8201,
  [8403] = 8206,
  [8404] = 7839,
  [8405] = 8136,
  [8406] = 8139,
  [8407] = 8143,
  [8408] = 7823,
  [8409] = 8145,
  [8410] = 7787,
  [8411] = 7787,
  [8412] = 8162,
  [8413] = 7797,
  [8414] = 7802,
  [8415] = 8167,
  [8416] = 8168,
  [8417] = 8074,
  [8418] = 7869,
  [8419] = 7828,
  [8420] = 7870,
  [8421] = 8201,
  [8422] = 8206,
  [8423] = 7856,
  [8424] = 8136,
  [8425] = 8139,
  [8426] = 7871,
  [8427] = 8145,
  [8428] = 8010,
  [8429] = 8180,
  [8430] = 7874,
  [8431] = 8085,
  [8432] = 8167,
  [8433] = 8168,
  [8434] = 7971,
  [8435] = 7874,
  [8436] = 8179,
  [8437] = 8201,
  [8438] = 8085,
  [8439] = 8136,
  [8440] = 8139,
  [8441] = 8145,
  [8442] = 7856,
  [8443] = 8168,
  [8444] = 8444,
  [8445] = 7787,
  [8446] = 8201,
  [8447] = 7817,
  [8448] = 8136,
  [8449] = 8139,
  [8450] = 8145,
  [8451] = 7891,
  [8452] = 8168,
  [8453] = 8151,
  [8454] = 8201,
  [8455] = 8136,
  [8456] = 8139,
  [8457] = 8145,
  [8458] = 8168,
  [8459] = 8201,
  [8460] = 8139,
  [8461] = 8168,
  [8462] = 8201,
  [8463] = 8139,
  [8464] = 8168,
  [8465] = 8201,
  [8466] = 8168,
  [8467] = 8201,
  [8468] = 8168,
  [8469] = 8201,
  [8470] = 8168,
  [8471] = 8201,
  [8472] = 8168,
  [8473] = 8201,
  [8474] = 8168,
  [8475] = 8201,
  [8476] = 8476,
  [8477] = 7896,
  [8478] = 8140,
  [8479] = 8479,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 7787,
  [8483] = 7856,
  [8484] = 8163,
  [8485] = 7896,
  [8486] = 7840,
  [8487] = 8161,
  [8488] = 8488,
  [8489] = 8489,
  [8490] = 7971,
  [8491] = 8180,
  [8492] = 7841,
  [8493] = 8038,
  [8494] = 8494,
  [8495] = 8495,
  [8496] = 8106,
  [8497] = 8020,
  [8498] = 8498,
  [8499] = 8499,
  [8500] = 8500,
  [8501] = 8148,
  [8502] = 7915,
  [8503] = 7847,
  [8504] = 7809,
  [8505] = 7899,
  [8506] = 7897,
  [8507] = 7815,
  [8508] = 7814,
  [8509] = 8509,
  [8510] = 7974,
  [8511] = 7854,
  [8512] = 7852,
  [8513] = 8513,
  [8514] = 7862,
  [8515] = 8239,
  [8516] = 7872,
  [8517] = 7834,
  [8518] = 7835,
  [8519] = 7836,
  [8520] = 7843,
  [8521] = 8521,
  [8522] = 7839,
  [8523] = 8240,
  [8524] = 7806,
  [8525] = 7889,
  [8526] = 7875,
  [8527] = 8179,
  [8528] = 7788,
  [8529] = 7889,
  [8530] = 7799,
  [8531] = 7846,
  [8532] = 7791,
  [8533] = 7896,
  [8534] = 7806,
  [8535] = 8153,
  [8536] = 7792,
  [8537] = 7799,
  [8538] = 8284,
  [8539] = 8038,
  [8540] = 8540,
  [8541] = 7923,
  [8542] = 7800,
  [8543] = 5671,
  [8544] = 7925,
  [8545] = 7789,
  [8546] = 7788,
  [8547] = 7854,
  [8548] = 8548,
  [8549] = 8151,
  [8550] = 7865,
  [8551] = 7891,
  [8552] = 8480,
  [8553] = 8479,
  [8554] = 8148,
  [8555] = 7817,
  [8556] = 7788,
  [8557] = 7819,
  [8558] = 7789,
  [8559] = 7889,
  [8560] = 8145,
  [8561] = 7890,
  [8562] = 8140,
  [8563] = 8479,
  [8564] = 8480,
  [8565] = 8201,
  [8566] = 7824,
  [8567] = 7787,
  [8568] = 8568,
  [8569] = 8106,
  [8570] = 8020,
  [8571] = 8571,
  [8572] = 8143,
  [8573] = 7847,
  [8574] = 8200,
  [8575] = 8140,
  [8576] = 8479,
  [8577] = 8480,
  [8578] = 8578,
  [8579] = 8202,
  [8580] = 8106,
  [8581] = 8020,
  [8582] = 8140,
  [8583] = 7925,
  [8584] = 8205,
  [8585] = 8479,
  [8586] = 8480,
  [8587] = 8266,
  [8588] = 8588,
  [8589] = 8106,
  [8590] = 8020,
  [8591] = 7998,
  [8592] = 8592,
  [8593] = 8479,
  [8594] = 8480,
  [8595] = 8595,
  [8596] = 8139,
  [8597] = 8106,
  [8598] = 8020,
  [8599] = 7825,
  [8600] = 8479,
  [8601] = 8480,
  [8602] = 8602,
  [8603] = 8106,
  [8604] = 8020,
  [8605] = 8605,
  [8606] = 8106,
  [8607] = 8020,
  [8608] = 8608,
  [8609] = 8020,
  [8610] = 8610,
  [8611] = 8020,
  [8612] = 8612,
  [8613] = 8020,
  [8614] = 8614,
  [8615] = 8020,
  [8616] = 8616,
  [8617] = 8020,
  [8618] = 8618,
  [8619] = 8020,
  [8620] = 8500,
  [8621] = 8020,
  [8622] = 7923,
  [8623] = 8020,
  [8624] = 8624,
  [8625] = 8020,
  [8626] = 8571,
  [8627] = 8322,
  [8628] = 7853,
  [8629] = 8571,
  [8630] = 8322,
  [8631] = 8138,
  [8632] = 8571,
  [8633] = 8322,
  [8634] = 7800,
  [8635] = 8571,
  [8636] = 8322,
  [8637] = 7859,
  [8638] = 8571,
  [8639] = 8322,
  [8640] = 8136,
  [8641] = 8322,
  [8642] = 8322,
  [8643] = 8322,
  [8644] = 8322,
  [8645] = 8322,
  [8646] = 8322,
  [8647] = 8322,
  [8648] = 8322,
  [8649] = 8322,
  [8650] = 8322,
  [8651] = 8322,
  [8652] = 7790,
  [8653] = 7795,
  [8654] = 7841,
  [8655] = 7789,
  [8656] = 7840,
  [8657] = 8568,
  [8658] = 8568,
  [8659] = 8568,
  [8660] = 8568,
  [8661] = 8568,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 341,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 346,
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 416,
        '-', 406,
        '/', 425,
        '<', 451,
        '=', 271,
        '>', 442,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(434);
      if (lookahead == '|') ADVANCE(433);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(531);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(534);
      if (lookahead != 0) ADVANCE(535);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '\r') ADVANCE(536);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(325);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(539);
      if (lookahead != 0) ADVANCE(536);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(521);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(523);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(525);
      if (lookahead != 0) ADVANCE(522);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '(') ADVANCE(341);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(339);
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(640);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 408,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 119,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 409,
        '.', 488,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 145,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 16,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 408,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 18,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 409,
        '.', 488,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 121,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 433,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 404,
        '"', 234,
        '%', 428,
        '&', 438,
        '(', 250,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '[', 280,
        '\\', 26,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 404,
        '"', 234,
        '%', 428,
        '&', 438,
        '(', 250,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '[', 281,
        '\\', 80,
        '^', 435,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 283,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '<', 269,
        '>', 272,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 6,
        ']', 282,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 431,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 287,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 4,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 306,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 291,
        '&', 436,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        '-', 410,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '>', 274,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 10,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 285,
        '&', 437,
        '\'', 521,
        '(', 402,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '>', 441,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 8,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 12,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '&', 436,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 252,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 462,
        '\\', 14,
        ']', 466,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 403,
        '\'', 521,
        '(', 402,
        ')', 344,
        '+', 421,
        '-', 414,
        '.', 312,
        '/', 252,
        '0', 495,
        'B', 636,
        'L', 565,
        'U', 566,
        '\\', 96,
        'u', 567,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 44,
        ']', 466,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 58,
        ']', 466,
        '^', 435,
        'u', 555,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 58,
        ']', 466,
        '^', 435,
        'u', 661,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 133,
        ']', 466,
        '^', 434,
        'u', 555,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 133,
        ']', 466,
        '^', 434,
        'u', 661,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 463,
        '\\', 30,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 40,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 66,
        '^', 435,
        'u', 555,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 66,
        '^', 435,
        'u', 661,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 463,
        '\\', 28,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 268,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 42,
        '^', 435,
        'u', 555,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 70,
        '^', 435,
        'u', 555,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 70,
        '^', 435,
        'u', 661,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'L', 548,
        'R', 550,
        'U', 552,
        '[', 462,
        '\\', 137,
        '^', 434,
        'u', 555,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 270,
        '"', 530,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        'L', 658,
        'R', 659,
        'U', 660,
        '[', 462,
        '\\', 137,
        '^', 434,
        'u', 661,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 270,
        '#', 303,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 268,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 36,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 270,
        '#', 288,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 416,
        ',', 343,
        '-', 406,
        '/', 425,
        ':', 268,
        ';', 456,
        '<', 451,
        '=', 271,
        '>', 442,
        '[', 463,
        '\\', 22,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '0', 648,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 32,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 48,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 463,
        '\\', 157,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 34,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 125,
        ']', 466,
        '^', 435,
        '{', 460,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 139,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 139,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 465,
        '\\', 72,
        ']', 466,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 60,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 123,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 147,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 151,
        ']', 466,
        '^', 434,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 151,
        ']', 466,
        '^', 434,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 52,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        ':', 471,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 129,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 464,
        '\\', 86,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 46,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 143,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 462,
        '\\', 143,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 411,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 465,
        '\\', 155,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 472,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 54,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ':', 471,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 149,
        '^', 435,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 443,
        '?', 473,
        '[', 464,
        '\\', 84,
        '^', 435,
        '|', 432,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 463,
        '\\', 82,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 50,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 153,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 153,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '(', 402,
        '*', 424,
        '+', 420,
        ',', 343,
        '-', 412,
        '.', 487,
        '/', 426,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        '[', 465,
        '\\', 141,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 270,
        '%', 428,
        '&', 438,
        '*', 424,
        '+', 422,
        ',', 343,
        '-', 415,
        '.', 251,
        '/', 426,
        '<', 449,
        '=', 468,
        '>', 443,
        '\\', 92,
        '^', 435,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 468,
        '>', 442,
        '?', 473,
        '[', 463,
        '\\', 38,
        ']', 466,
        '^', 434,
        '{', 460,
        '|', 433,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 56,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 268,
        ';', 456,
        '<', 450,
        '=', 271,
        '>', 442,
        '?', 473,
        '[', 462,
        '\\', 131,
        ']', 282,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
        '}', 461,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 472,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 135,
        '^', 434,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        ':', 471,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 68,
        '^', 434,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 127,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 159,
        '^', 434,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 402,
        '*', 423,
        '+', 417,
        ',', 343,
        '-', 413,
        '.', 487,
        '/', 425,
        '<', 450,
        '=', 271,
        '>', 647,
        '?', 473,
        '[', 462,
        '\\', 159,
        '^', 434,
        '|', 433,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '"', 530,
        '&', 437,
        '(', 402,
        '*', 423,
        '/', 252,
        ':', 268,
        'L', 549,
        'U', 553,
        '[', 463,
        '\\', 74,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 556,
        'v', 616,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 530,
        ')', 344,
        ',', 343,
        '/', 252,
        ':', 471,
        'L', 548,
        'R', 550,
        'U', 552,
        '\\', 105,
        'u', 555,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(549);
      if (lookahead == 'U') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(530);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(657);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 292,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 62,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 284,
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 416,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 20,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 286,
        '&', 437,
        '(', 402,
        '*', 423,
        ',', 343,
        '/', 252,
        ':', 268,
        ';', 456,
        '[', 463,
        '\\', 24,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 64,
        ']', 466,
        '{', 460,
        '|', 306,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 78,
        ']', 466,
        '{', 460,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '-', 275,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 463,
        '\\', 76,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 456,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 90,
        '{', 460,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 437,
        '(', 402,
        ')', 344,
        '*', 423,
        ',', 343,
        '/', 252,
        ';', 456,
        '=', 467,
        '>', 647,
        '[', 462,
        '\\', 88,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 611,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        'u', 604,
        'v', 616,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 436,
        '*', 423,
        '.', 257,
        '/', 252,
        ':', 268,
        '=', 467,
        '\\', 101,
        ']', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(521);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 402,
        ')', 344,
        ',', 343,
        '/', 252,
        ':', 471,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        '[', 464,
        '\\', 103,
        ']', 466,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 402,
        '/', 252,
        ':', 268,
        'F', 573,
        'T', 577,
        '[', 462,
        '\\', 94,
        'f', 583,
        't', 624,
        '{', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(402);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(655);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(654);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(638);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(342);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(367);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 269:
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(273);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(543);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 279:
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(459);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(292);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(347);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(355);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(357);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(298);
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 306:
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 307:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 308:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 309:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 310:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(637);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(542);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(331);
      END_STATE();
    case 334:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(369);
      END_STATE();
    case 335:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 404,
        '"', 530,
        '#', 283,
        '%', 428,
        '&', 438,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 424,
        '+', 418,
        ',', 343,
        '-', 407,
        '.', 488,
        '/', 426,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 448,
        '=', 468,
        '>', 647,
        '?', 473,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 464,
        '\\', 2,
        ']', 466,
        '^', 435,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 432,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 336:
      if (eof) ADVANCE(337);
      ADVANCE_MAP(
        '!', 403,
        '"', 530,
        '#', 287,
        '%', 427,
        '&', 437,
        '\'', 521,
        '(', 402,
        ')', 344,
        '*', 423,
        '+', 419,
        ',', 343,
        '-', 410,
        '.', 489,
        '/', 425,
        '0', 495,
        ':', 472,
        ';', 456,
        '<', 447,
        '=', 467,
        '>', 647,
        'B', 636,
        'F', 573,
        'L', 547,
        'R', 550,
        'T', 577,
        'U', 551,
        '[', 463,
        '\\', 4,
        ']', 466,
        '^', 434,
        'b', 619,
        'c', 598,
        'd', 615,
        'f', 582,
        'i', 612,
        'm', 584,
        'n', 632,
        'p', 629,
        's', 599,
        't', 624,
        'u', 554,
        'v', 616,
        '{', 460,
        '|', 306,
        '}', 461,
        '~', 405,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(336);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(637);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(380);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(382);
      if (lookahead == 'n') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(645);
      if (lookahead == '\r') ADVANCE(639);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(363);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(370);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(368);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(644);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(369);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(360);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(369);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(369);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(338);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 's') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(394);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(401);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(478);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(483);
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(429);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(430);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(430);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(444);
      if (lookahead == '>') ADVANCE(455);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(484);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(453);
      if (lookahead == '=') ADVANCE(446);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(453);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(446);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(458);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(656);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '1') ADVANCE(572);
      if (lookahead == '3') ADVANCE(570);
      if (lookahead == '6') ADVANCE(571);
      if (lookahead == '8') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(457);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(654);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 312,
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 309,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 311,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'B') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        '\'', 316,
        '.', 308,
        'L', 503,
        'l', 506,
        'P', 307,
        'p', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      ADVANCE_MAP(
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_number_literal_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(516);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(509);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(510);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(512);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(514);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_number_literal_token2);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(537);
      if (lookahead == '\r') ADVANCE(536);
      if (lookahead == 'U') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(325);
      if (lookahead == 'x') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(539);
      if (lookahead != 0) ADVANCE(536);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(645);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(533);
      if (lookahead == '/') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(532);
      if (lookahead == '/') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(533);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(532);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(533);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(531);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(534);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(535);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(536);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(538);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(536);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(540);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(541);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(543);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(649);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == '\'') ADVANCE(519);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == 'R') ADVANCE(559);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '8') ADVANCE(560);
      if (lookahead == 'R') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(561);
      if (lookahead == 'R') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == '\'') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == 'R') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(517);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(518);
      if (lookahead == '8') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(572);
      if (lookahead == '3') ADVANCE(570);
      if (lookahead == '6') ADVANCE(571);
      if (lookahead == '8') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(581);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(546);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(578);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(579);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(574);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(627);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(605);
      if (lookahead == 'l') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(634);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(627);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'b') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(545);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(546);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'g') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'h') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(635);
      if (lookahead == 's') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(635);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(625);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(626);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(631);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(618);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(630);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(633);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 's') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(470);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'z') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(515);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(645);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(646);
      if (lookahead == '\\') ADVANCE(640);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(644);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(641);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(645);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(643);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(643);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(645);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(526);
      if (lookahead == 'R') ADVANCE(662);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(649);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(528);
      if (lookahead == 'R') ADVANCE(663);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(527);
      if (lookahead == '8') ADVANCE(664);
      if (lookahead == 'R') ADVANCE(665);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(529);
      if (lookahead == 'R') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(637);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == 'P') ADVANCE(2);
      if (lookahead == '\\') SKIP(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'u') ADVANCE(21);
      if (lookahead == 'v') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(23);
      if (lookahead == 'x') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'R') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 4:
      if (lookahead == 'A') ADVANCE(28);
      if (lookahead == 'G') ADVANCE(29);
      if (lookahead == 'N') ADVANCE(30);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(58);
      if (lookahead == 'o') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'f') ADVANCE(61);
      if (lookahead == 'p') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'v') ADVANCE(64);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      if (lookahead == 'w') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(72);
      if (lookahead == 'h') ADVANCE(73);
      if (lookahead == 'r') ADVANCE(74);
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(78);
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'h') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(83);
      END_STATE();
    case 26:
      if (lookahead == 'O') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        'a', 89,
        'b', 90,
        'c', 91,
        'd', 92,
        'e', 93,
        'f', 94,
        'i', 95,
        'l', 96,
        'r', 97,
        's', 98,
        't', 99,
        'u', 100,
        'v', 101,
      );
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(106);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(111);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 43:
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(117);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(121);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 57:
      if (lookahead == 'm') ADVANCE(131);
      END_STATE();
    case 58:
      if (lookahead == 'w') ADVANCE(132);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(133);
      if (lookahead == 'r') ADVANCE(134);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 'f') ADVANCE(137);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(139);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(141);
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(143);
      END_STATE();
    case 67:
      if (lookahead == 'g') ADVANCE(144);
      if (lookahead == 'q') ADVANCE(145);
      if (lookahead == 's') ADVANCE(146);
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(149);
      if (lookahead == 'z') ADVANCE(150);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(151);
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 75:
      if (lookahead == 'p') ADVANCE(158);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(159);
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(164);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 83:
      if (lookahead == 'L') ADVANCE(167);
      END_STATE();
    case 84:
      if (lookahead == 'G') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(174);
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 'l') ADVANCE(179);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 93:
      if (lookahead == 'x') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(183);
      if (lookahead == 'o') ADVANCE(184);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(188);
      if (lookahead == 't') ADVANCE(189);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(190);
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(192);
      if (lookahead == 'p') ADVANCE(193);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == 'o') ADVANCE(195);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(196);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(198);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(199);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(200);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'o') ADVANCE(202);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(208);
      if (lookahead == 'r') ADVANCE(209);
      if (lookahead == 'y') ADVANCE(210);
      END_STATE();
    case 115:
      if (lookahead == 'p') ADVANCE(211);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(212);
      if (lookahead == 's') ADVANCE(213);
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(216);
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 121:
      if (lookahead == 'm') ADVANCE(220);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(223);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(225);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 129:
      if (lookahead == 'g') ADVANCE(227);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 133:
      if (lookahead == 'x') ADVANCE(230);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 138:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 141:
      if (lookahead == 'v') ADVANCE(238);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 145:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 147:
      if (lookahead == 'u') ADVANCE(244);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(249);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(250);
      END_STATE();
    case 154:
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(252);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(253);
      if (lookahead == 'o') ADVANCE(254);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 164:
      if (lookahead == 'l') ADVANCE(261);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(263);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 168:
      if (lookahead == 'M') ADVANCE(264);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(265);
      END_STATE();
    case 170:
      if (lookahead == 'm') ADVANCE(266);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 175:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 177:
      if (lookahead == 's') ADVANCE(273);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(275);
      END_STATE();
    case 180:
      if (lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 181:
      if (lookahead == 'c') ADVANCE(277);
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(283);
      END_STATE();
    case 187:
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 189:
      if (lookahead == 'd') ADVANCE(286);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(287);
      if (lookahead == 'r') ADVANCE(288);
      END_STATE();
    case 191:
      if (lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 195:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 196:
      if (lookahead == 'g') ADVANCE(294);
      END_STATE();
    case 197:
      if (lookahead == 'l') ADVANCE(295);
      END_STATE();
    case 198:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 201:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 202:
      if (lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 203:
      if (lookahead == 'k') ADVANCE(300);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 206:
      if (lookahead == 'h') ADVANCE(301);
      END_STATE();
    case 207:
      if (lookahead == 's') ADVANCE(302);
      END_STATE();
    case 208:
      if (lookahead == 'w') ADVANCE(303);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 211:
      if (lookahead == 'l') ADVANCE(306);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 216:
      if (lookahead == 'u') ADVANCE(311);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(312);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(316);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 226:
      if (lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(319);
      END_STATE();
    case 229:
      if (lookahead == 's') ADVANCE(320);
      END_STATE();
    case 230:
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 231:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 233:
      if (lookahead == 'p') ADVANCE(324);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 236:
      if (lookahead == 'q') ADVANCE(327);
      END_STATE();
    case 237:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(329);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(331);
      END_STATE();
    case 241:
      if (lookahead == 's') ADVANCE(332);
      END_STATE();
    case 242:
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 243:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 244:
      if (lookahead == 'r') ADVANCE(335);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 247:
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(340);
      END_STATE();
    case 250:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(342);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 253:
      if (lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 254:
      if (lookahead == 'w') ADVANCE(344);
      END_STATE();
    case 255:
      if (lookahead == 'd') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 257:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(349);
      END_STATE();
    case 259:
      if (lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 260:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(352);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_word);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 264:
      if (lookahead == 'E') ADVANCE(354);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(355);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 267:
      if (lookahead == 'r') ADVANCE(357);
      END_STATE();
    case 268:
      if (lookahead == 'u') ADVANCE(358);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 270:
      if (lookahead == 'g') ADVANCE(360);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(361);
      END_STATE();
    case 272:
      if (lookahead == 'r') ADVANCE(362);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(364);
      END_STATE();
    case 275:
      if (lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 280:
      if (lookahead == 'a') ADVANCE(370);
      END_STATE();
    case 281:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 283:
      if (lookahead == 'v') ADVANCE(373);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 286:
      if (lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 287:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(381);
      END_STATE();
    case 293:
      if (lookahead == 'a') ADVANCE(382);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 296:
      if (lookahead == 'a') ADVANCE(385);
      if (lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 297:
      if (lookahead == 'q') ADVANCE(387);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(388);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 303:
      if (lookahead == 'a') ADVANCE(389);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(390);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 310:
      if (lookahead == 'y') ADVANCE(396);
      END_STATE();
    case 311:
      if (lookahead == 'l') ADVANCE(397);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(398);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 314:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 319:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 320:
      if (lookahead == 'p') ADVANCE(405);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 322:
      if (lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 323:
      if (lookahead == 'q') ADVANCE(408);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(409);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(410);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 328:
      if (lookahead == 'i') ADVANCE(412);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 330:
      if (lookahead == 'c') ADVANCE(414);
      END_STATE();
    case 331:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 333:
      if (lookahead == 'r') ADVANCE(417);
      END_STATE();
    case 334:
      if (lookahead == 'i') ADVANCE(418);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(420);
      END_STATE();
    case 338:
      if (lookahead == 'f') ADVANCE(421);
      END_STATE();
    case 339:
      if (lookahead == 'c') ADVANCE(422);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(423);
      END_STATE();
    case 341:
      if (lookahead == 'h') ADVANCE(424);
      END_STATE();
    case 342:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(426);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 345:
      if (lookahead == 'e') ADVANCE(427);
      END_STATE();
    case 346:
      if (lookahead == 'a') ADVANCE(428);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 350:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 351:
      if (lookahead == 'i') ADVANCE(431);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 353:
      if (lookahead == 'q') ADVANCE(432);
      END_STATE();
    case 354:
      if (lookahead == 'M') ADVANCE(433);
      END_STATE();
    case 355:
      if (lookahead == 'a') ADVANCE(434);
      if (lookahead == 'o') ADVANCE(435);
      END_STATE();
    case 356:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 357:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 359:
      if (lookahead == 'u') ADVANCE(439);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(440);
      END_STATE();
    case 361:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 363:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(444);
      END_STATE();
    case 365:
      if (lookahead == 'a') ADVANCE(445);
      END_STATE();
    case 366:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 367:
      if (lookahead == 'p') ADVANCE(447);
      END_STATE();
    case 368:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 369:
      if (lookahead == 'c') ADVANCE(449);
      END_STATE();
    case 370:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 373:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 374:
      if (lookahead == 'r') ADVANCE(454);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 376:
      if (lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 377:
      if (lookahead == 'c') ADVANCE(456);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 379:
      if (lookahead == 'i') ADVANCE(458);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 381:
      if (lookahead == 'o') ADVANCE(459);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(460);
      END_STATE();
    case 383:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 384:
      if (lookahead == 'g') ADVANCE(462);
      END_STATE();
    case 385:
      if (lookahead == 's') ADVANCE(463);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(464);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 389:
      if (lookahead == 'i') ADVANCE(465);
      END_STATE();
    case 390:
      if (lookahead == 'u') ADVANCE(466);
      END_STATE();
    case 391:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 393:
      if (lookahead == 'v') ADVANCE(469);
      if (lookahead == 'x') ADVANCE(470);
      END_STATE();
    case 394:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 395:
      if (lookahead == 'u') ADVANCE(472);
      END_STATE();
    case 396:
      if (lookahead == 'p') ADVANCE(473);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 398:
      if (lookahead == 'd') ADVANCE(475);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 400:
      if (lookahead == 'i') ADVANCE(476);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 404:
      if (lookahead == 'e') ADVANCE(477);
      END_STATE();
    case 405:
      if (lookahead == 'a') ADVANCE(478);
      END_STATE();
    case 406:
      if (lookahead == 'p') ADVANCE(479);
      END_STATE();
    case 407:
      if (lookahead == 'r') ADVANCE(480);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 409:
      if (lookahead == 'r') ADVANCE(481);
      END_STATE();
    case 410:
      if (lookahead == 'o') ADVANCE(482);
      END_STATE();
    case 411:
      if (lookahead == 'o') ADVANCE(483);
      END_STATE();
    case 412:
      if (lookahead == 'd') ADVANCE(484);
      END_STATE();
    case 413:
      if (lookahead == 'e') ADVANCE(485);
      END_STATE();
    case 414:
      if (lookahead == 't') ADVANCE(486);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 416:
      if (lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 418:
      if (lookahead == 'c') ADVANCE(489);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(490);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 425:
      if (lookahead == 't') ADVANCE(491);
      END_STATE();
    case 426:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 427:
      if (lookahead == 'f') ADVANCE(493);
      END_STATE();
    case 428:
      if (lookahead == 'm') ADVANCE(494);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(495);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(496);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_PROGMEM);
      END_STATE();
    case 434:
      if (lookahead == 's') ADVANCE(498);
      END_STATE();
    case 435:
      if (lookahead == 'f') ADVANCE(499);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 437:
      if (lookahead == 'c') ADVANCE(500);
      END_STATE();
    case 438:
      if (lookahead == 'l') ADVANCE(501);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(502);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 442:
      if (lookahead == 'b') ADVANCE(504);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 445:
      if (lookahead == 'l') ADVANCE(505);
      END_STATE();
    case 446:
      if (lookahead == 'p') ADVANCE(506);
      END_STATE();
    case 447:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 448:
      if (lookahead == 's') ADVANCE(508);
      END_STATE();
    case 449:
      if (lookahead == 'a') ADVANCE(509);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(510);
      END_STATE();
    case 451:
      if (lookahead == 'i') ADVANCE(511);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 454:
      if (lookahead == 'i') ADVANCE(513);
      END_STATE();
    case 455:
      if (lookahead == 'l') ADVANCE(514);
      END_STATE();
    case 456:
      if (lookahead == 'a') ADVANCE(515);
      END_STATE();
    case 457:
      if (lookahead == 'd') ADVANCE(516);
      END_STATE();
    case 458:
      if (lookahead == 'g') ADVANCE(517);
      END_STATE();
    case 459:
      if (lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 460:
      if (lookahead == 'i') ADVANCE(519);
      END_STATE();
    case 461:
      if (lookahead == 'f') ADVANCE(520);
      END_STATE();
    case 462:
      if (lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 465:
      if (lookahead == 't') ADVANCE(522);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(523);
      END_STATE();
    case 467:
      if (lookahead == 'd') ADVANCE(524);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(525);
      END_STATE();
    case 470:
      if (lookahead == 'p') ADVANCE(526);
      END_STATE();
    case 471:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(529);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 476:
      if (lookahead == 't') ADVANCE(530);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 478:
      if (lookahead == 'c') ADVANCE(531);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(533);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 482:
      if (lookahead == 'f') ADVANCE(534);
      END_STATE();
    case 483:
      if (lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 486:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 487:
      if (lookahead == 'r') ADVANCE(538);
      END_STATE();
    case 488:
      if (lookahead == 's') ADVANCE(539);
      END_STATE();
    case 489:
      if (lookahead == 't') ADVANCE(540);
      END_STATE();
    case 490:
      if (lookahead == 'a') ADVANCE(541);
      END_STATE();
    case 491:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(543);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 494:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 495:
      if (lookahead == 'd') ADVANCE(545);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 497:
      if (lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 502:
      if (lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 503:
      if (lookahead == 'f') ADVANCE(548);
      END_STATE();
    case 504:
      if (lookahead == 'u') ADVANCE(549);
      END_STATE();
    case 505:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(551);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 508:
      if (lookahead == 'i') ADVANCE(552);
      END_STATE();
    case 509:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 510:
      if (lookahead == 'y') ADVANCE(554);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(556);
      END_STATE();
    case 513:
      if (lookahead == 'c') ADVANCE(557);
      END_STATE();
    case 514:
      if (lookahead == 'l') ADVANCE(558);
      END_STATE();
    case 515:
      if (lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 517:
      if (lookahead == 'n') ADVANCE(560);
      END_STATE();
    case 518:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 519:
      if (lookahead == 'l') ADVANCE(562);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 521:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 523:
      if (lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 525:
      if (lookahead == 'l') ADVANCE(565);
      END_STATE();
    case 526:
      if (lookahead == 'r') ADVANCE(566);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(567);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 531:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(569);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 541:
      if (lookahead == 's') ADVANCE(570);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 543:
      if (lookahead == 'o') ADVANCE(571);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(573);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 551:
      if (lookahead == 'c') ADVANCE(574);
      END_STATE();
    case 552:
      if (lookahead == 'o') ADVANCE(575);
      END_STATE();
    case 553:
      if (lookahead == 'l') ADVANCE(576);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 555:
      if (lookahead == 'l') ADVANCE(577);
      END_STATE();
    case 556:
      if (lookahead == '_') ADVANCE(578);
      END_STATE();
    case 557:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 559:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(582);
      END_STATE();
    case 562:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 563:
      if (lookahead == 'd') ADVANCE(584);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 570:
      if (lookahead == 's') ADVANCE(585);
      END_STATE();
    case 571:
      if (lookahead == 'c') ADVANCE(586);
      END_STATE();
    case 572:
      if (lookahead == '_') ADVANCE(587);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(588);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 575:
      if (lookahead == 'n') ADVANCE(589);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 577:
      if (lookahead == 'i') ADVANCE(590);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(591);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 581:
      if (lookahead == 'd') ADVANCE(592);
      END_STATE();
    case 582:
      if (lookahead == 'l') ADVANCE(593);
      END_STATE();
    case 583:
      if (lookahead == '_') ADVANCE(594);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 585:
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 586:
      if (lookahead == 'a') ADVANCE(596);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(597);
      END_STATE();
    case 589:
      if (lookahead == '_') ADVANCE(598);
      END_STATE();
    case 590:
      if (lookahead == 'n') ADVANCE(599);
      END_STATE();
    case 591:
      if (lookahead == '_') ADVANCE(600);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 593:
      if (lookahead == 'l') ADVANCE(601);
      END_STATE();
    case 594:
      if (lookahead == '_') ADVANCE(602);
      END_STATE();
    case 595:
      if (lookahead == 'r') ADVANCE(603);
      END_STATE();
    case 596:
      if (lookahead == 'l') ADVANCE(604);
      END_STATE();
    case 597:
      if (lookahead == '_') ADVANCE(605);
      END_STATE();
    case 598:
      if (lookahead == '_') ADVANCE(606);
      END_STATE();
    case 599:
      if (lookahead == 'e') ADVANCE(607);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 603:
      if (lookahead == 't') ADVANCE(608);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 336},
  [2] = {.lex_state = 336},
  [3] = {.lex_state = 336},
  [4] = {.lex_state = 336},
  [5] = {.lex_state = 336},
  [6] = {.lex_state = 336},
  [7] = {.lex_state = 336},
  [8] = {.lex_state = 336},
  [9] = {.lex_state = 336},
  [10] = {.lex_state = 336},
  [11] = {.lex_state = 336},
  [12] = {.lex_state = 336},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 336},
  [35] = {.lex_state = 336},
  [36] = {.lex_state = 336},
  [37] = {.lex_state = 336},
  [38] = {.lex_state = 336},
  [39] = {.lex_state = 336},
  [40] = {.lex_state = 336},
  [41] = {.lex_state = 336},
  [42] = {.lex_state = 336},
  [43] = {.lex_state = 336},
  [44] = {.lex_state = 336},
  [45] = {.lex_state = 336},
  [46] = {.lex_state = 336},
  [47] = {.lex_state = 336},
  [48] = {.lex_state = 336},
  [49] = {.lex_state = 336},
  [50] = {.lex_state = 336},
  [51] = {.lex_state = 336},
  [52] = {.lex_state = 336},
  [53] = {.lex_state = 336},
  [54] = {.lex_state = 336},
  [55] = {.lex_state = 172},
  [56] = {.lex_state = 336},
  [57] = {.lex_state = 336},
  [58] = {.lex_state = 336},
  [59] = {.lex_state = 336},
  [60] = {.lex_state = 336},
  [61] = {.lex_state = 336},
  [62] = {.lex_state = 336},
  [63] = {.lex_state = 336},
  [64] = {.lex_state = 336},
  [65] = {.lex_state = 336},
  [66] = {.lex_state = 336},
  [67] = {.lex_state = 336},
  [68] = {.lex_state = 172},
  [69] = {.lex_state = 336},
  [70] = {.lex_state = 336},
  [71] = {.lex_state = 336},
  [72] = {.lex_state = 336},
  [73] = {.lex_state = 336},
  [74] = {.lex_state = 336},
  [75] = {.lex_state = 336},
  [76] = {.lex_state = 336},
  [77] = {.lex_state = 172},
  [78] = {.lex_state = 336},
  [79] = {.lex_state = 336},
  [80] = {.lex_state = 336},
  [81] = {.lex_state = 336},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 336},
  [88] = {.lex_state = 336},
  [89] = {.lex_state = 336},
  [90] = {.lex_state = 336},
  [91] = {.lex_state = 172},
  [92] = {.lex_state = 336},
  [93] = {.lex_state = 172},
  [94] = {.lex_state = 336},
  [95] = {.lex_state = 172},
  [96] = {.lex_state = 172},
  [97] = {.lex_state = 172},
  [98] = {.lex_state = 336},
  [99] = {.lex_state = 336},
  [100] = {.lex_state = 336},
  [101] = {.lex_state = 336},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 171},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 171},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 173},
  [122] = {.lex_state = 173},
  [123] = {.lex_state = 173},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 171},
  [126] = {.lex_state = 171},
  [127] = {.lex_state = 171},
  [128] = {.lex_state = 171},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 171},
  [131] = {.lex_state = 171},
  [132] = {.lex_state = 162},
  [133] = {.lex_state = 336},
  [134] = {.lex_state = 336},
  [135] = {.lex_state = 174},
  [136] = {.lex_state = 174},
  [137] = {.lex_state = 174},
  [138] = {.lex_state = 174},
  [139] = {.lex_state = 174},
  [140] = {.lex_state = 174},
  [141] = {.lex_state = 174},
  [142] = {.lex_state = 174},
  [143] = {.lex_state = 174},
  [144] = {.lex_state = 174},
  [145] = {.lex_state = 174},
  [146] = {.lex_state = 174},
  [147] = {.lex_state = 174},
  [148] = {.lex_state = 174},
  [149] = {.lex_state = 174},
  [150] = {.lex_state = 174},
  [151] = {.lex_state = 162},
  [152] = {.lex_state = 174},
  [153] = {.lex_state = 174},
  [154] = {.lex_state = 174},
  [155] = {.lex_state = 174},
  [156] = {.lex_state = 174},
  [157] = {.lex_state = 174},
  [158] = {.lex_state = 174},
  [159] = {.lex_state = 174},
  [160] = {.lex_state = 174},
  [161] = {.lex_state = 174},
  [162] = {.lex_state = 162},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 171},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 171},
  [169] = {.lex_state = 171},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 171},
  [173] = {.lex_state = 171},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 171},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 171},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 164},
  [192] = {.lex_state = 171},
  [193] = {.lex_state = 171},
  [194] = {.lex_state = 171},
  [195] = {.lex_state = 171},
  [196] = {.lex_state = 171},
  [197] = {.lex_state = 171},
  [198] = {.lex_state = 171},
  [199] = {.lex_state = 171},
  [200] = {.lex_state = 171},
  [201] = {.lex_state = 171},
  [202] = {.lex_state = 171},
  [203] = {.lex_state = 171},
  [204] = {.lex_state = 171},
  [205] = {.lex_state = 171},
  [206] = {.lex_state = 171},
  [207] = {.lex_state = 171},
  [208] = {.lex_state = 171},
  [209] = {.lex_state = 171},
  [210] = {.lex_state = 171},
  [211] = {.lex_state = 171},
  [212] = {.lex_state = 171},
  [213] = {.lex_state = 171},
  [214] = {.lex_state = 171},
  [215] = {.lex_state = 171},
  [216] = {.lex_state = 171},
  [217] = {.lex_state = 336},
  [218] = {.lex_state = 336},
  [219] = {.lex_state = 162},
  [220] = {.lex_state = 336},
  [221] = {.lex_state = 165},
  [222] = {.lex_state = 336},
  [223] = {.lex_state = 169},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 164},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 169},
  [229] = {.lex_state = 174},
  [230] = {.lex_state = 174},
  [231] = {.lex_state = 174},
  [232] = {.lex_state = 174},
  [233] = {.lex_state = 174},
  [234] = {.lex_state = 174},
  [235] = {.lex_state = 169},
  [236] = {.lex_state = 169},
  [237] = {.lex_state = 174},
  [238] = {.lex_state = 171},
  [239] = {.lex_state = 174},
  [240] = {.lex_state = 174},
  [241] = {.lex_state = 171},
  [242] = {.lex_state = 169},
  [243] = {.lex_state = 174},
  [244] = {.lex_state = 174},
  [245] = {.lex_state = 174},
  [246] = {.lex_state = 169},
  [247] = {.lex_state = 174},
  [248] = {.lex_state = 174},
  [249] = {.lex_state = 174},
  [250] = {.lex_state = 174},
  [251] = {.lex_state = 174},
  [252] = {.lex_state = 171},
  [253] = {.lex_state = 169},
  [254] = {.lex_state = 169},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 169},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 171},
  [264] = {.lex_state = 171},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 171},
  [269] = {.lex_state = 171},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 169},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 169},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 173},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 174},
  [284] = {.lex_state = 171},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 169},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 169},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 171},
  [291] = {.lex_state = 173},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 169},
  [294] = {.lex_state = 169},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 169},
  [299] = {.lex_state = 169},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 336},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 169},
  [307] = {.lex_state = 169},
  [308] = {.lex_state = 169},
  [309] = {.lex_state = 171},
  [310] = {.lex_state = 169},
  [311] = {.lex_state = 169},
  [312] = {.lex_state = 336},
  [313] = {.lex_state = 174},
  [314] = {.lex_state = 169},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 169},
  [317] = {.lex_state = 169},
  [318] = {.lex_state = 169},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 169},
  [321] = {.lex_state = 169},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 336},
  [324] = {.lex_state = 169},
  [325] = {.lex_state = 169},
  [326] = {.lex_state = 169},
  [327] = {.lex_state = 169},
  [328] = {.lex_state = 174},
  [329] = {.lex_state = 169},
  [330] = {.lex_state = 169},
  [331] = {.lex_state = 169},
  [332] = {.lex_state = 169},
  [333] = {.lex_state = 169},
  [334] = {.lex_state = 336},
  [335] = {.lex_state = 169},
  [336] = {.lex_state = 169},
  [337] = {.lex_state = 169},
  [338] = {.lex_state = 174},
  [339] = {.lex_state = 174},
  [340] = {.lex_state = 174},
  [341] = {.lex_state = 174},
  [342] = {.lex_state = 174},
  [343] = {.lex_state = 174},
  [344] = {.lex_state = 171},
  [345] = {.lex_state = 169},
  [346] = {.lex_state = 169},
  [347] = {.lex_state = 169},
  [348] = {.lex_state = 174},
  [349] = {.lex_state = 169},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 169},
  [352] = {.lex_state = 169},
  [353] = {.lex_state = 169},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 169},
  [356] = {.lex_state = 174},
  [357] = {.lex_state = 169},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 169},
  [360] = {.lex_state = 169},
  [361] = {.lex_state = 169},
  [362] = {.lex_state = 169},
  [363] = {.lex_state = 169},
  [364] = {.lex_state = 169},
  [365] = {.lex_state = 169},
  [366] = {.lex_state = 169},
  [367] = {.lex_state = 169},
  [368] = {.lex_state = 169},
  [369] = {.lex_state = 169},
  [370] = {.lex_state = 169},
  [371] = {.lex_state = 169},
  [372] = {.lex_state = 169},
  [373] = {.lex_state = 172},
  [374] = {.lex_state = 169},
  [375] = {.lex_state = 169},
  [376] = {.lex_state = 169},
  [377] = {.lex_state = 169},
  [378] = {.lex_state = 169},
  [379] = {.lex_state = 169},
  [380] = {.lex_state = 169},
  [381] = {.lex_state = 169},
  [382] = {.lex_state = 169},
  [383] = {.lex_state = 169},
  [384] = {.lex_state = 172},
  [385] = {.lex_state = 169},
  [386] = {.lex_state = 169},
  [387] = {.lex_state = 169},
  [388] = {.lex_state = 169},
  [389] = {.lex_state = 174},
  [390] = {.lex_state = 174},
  [391] = {.lex_state = 236},
  [392] = {.lex_state = 236},
  [393] = {.lex_state = 236},
  [394] = {.lex_state = 236},
  [395] = {.lex_state = 336},
  [396] = {.lex_state = 236},
  [397] = {.lex_state = 236},
  [398] = {.lex_state = 236},
  [399] = {.lex_state = 236},
  [400] = {.lex_state = 236},
  [401] = {.lex_state = 172},
  [402] = {.lex_state = 236},
  [403] = {.lex_state = 236},
  [404] = {.lex_state = 236},
  [405] = {.lex_state = 236},
  [406] = {.lex_state = 236},
  [407] = {.lex_state = 172},
  [408] = {.lex_state = 236},
  [409] = {.lex_state = 236},
  [410] = {.lex_state = 336},
  [411] = {.lex_state = 336},
  [412] = {.lex_state = 336},
  [413] = {.lex_state = 172},
  [414] = {.lex_state = 172},
  [415] = {.lex_state = 172},
  [416] = {.lex_state = 336},
  [417] = {.lex_state = 336},
  [418] = {.lex_state = 336},
  [419] = {.lex_state = 172},
  [420] = {.lex_state = 336},
  [421] = {.lex_state = 172},
  [422] = {.lex_state = 336},
  [423] = {.lex_state = 336},
  [424] = {.lex_state = 172},
  [425] = {.lex_state = 172},
  [426] = {.lex_state = 336},
  [427] = {.lex_state = 336},
  [428] = {.lex_state = 336},
  [429] = {.lex_state = 172},
  [430] = {.lex_state = 172},
  [431] = {.lex_state = 336},
  [432] = {.lex_state = 172},
  [433] = {.lex_state = 172},
  [434] = {.lex_state = 336},
  [435] = {.lex_state = 172},
  [436] = {.lex_state = 336},
  [437] = {.lex_state = 172},
  [438] = {.lex_state = 172},
  [439] = {.lex_state = 172},
  [440] = {.lex_state = 336},
  [441] = {.lex_state = 172},
  [442] = {.lex_state = 172},
  [443] = {.lex_state = 336},
  [444] = {.lex_state = 336},
  [445] = {.lex_state = 336},
  [446] = {.lex_state = 336},
  [447] = {.lex_state = 336},
  [448] = {.lex_state = 336},
  [449] = {.lex_state = 336},
  [450] = {.lex_state = 336},
  [451] = {.lex_state = 336},
  [452] = {.lex_state = 172},
  [453] = {.lex_state = 336},
  [454] = {.lex_state = 336},
  [455] = {.lex_state = 336},
  [456] = {.lex_state = 336},
  [457] = {.lex_state = 336},
  [458] = {.lex_state = 172},
  [459] = {.lex_state = 336},
  [460] = {.lex_state = 172},
  [461] = {.lex_state = 336},
  [462] = {.lex_state = 336},
  [463] = {.lex_state = 336},
  [464] = {.lex_state = 336},
  [465] = {.lex_state = 336},
  [466] = {.lex_state = 336},
  [467] = {.lex_state = 172},
  [468] = {.lex_state = 336},
  [469] = {.lex_state = 172},
  [470] = {.lex_state = 336},
  [471] = {.lex_state = 336},
  [472] = {.lex_state = 336},
  [473] = {.lex_state = 172},
  [474] = {.lex_state = 336},
  [475] = {.lex_state = 336},
  [476] = {.lex_state = 336},
  [477] = {.lex_state = 336},
  [478] = {.lex_state = 172},
  [479] = {.lex_state = 336},
  [480] = {.lex_state = 172},
  [481] = {.lex_state = 172},
  [482] = {.lex_state = 336},
  [483] = {.lex_state = 336},
  [484] = {.lex_state = 172},
  [485] = {.lex_state = 172},
  [486] = {.lex_state = 172},
  [487] = {.lex_state = 336},
  [488] = {.lex_state = 336},
  [489] = {.lex_state = 336},
  [490] = {.lex_state = 172},
  [491] = {.lex_state = 172},
  [492] = {.lex_state = 336},
  [493] = {.lex_state = 336},
  [494] = {.lex_state = 336},
  [495] = {.lex_state = 172},
  [496] = {.lex_state = 172},
  [497] = {.lex_state = 336},
  [498] = {.lex_state = 336},
  [499] = {.lex_state = 172},
  [500] = {.lex_state = 336},
  [501] = {.lex_state = 172},
  [502] = {.lex_state = 172},
  [503] = {.lex_state = 336},
  [504] = {.lex_state = 336},
  [505] = {.lex_state = 336},
  [506] = {.lex_state = 172},
  [507] = {.lex_state = 172},
  [508] = {.lex_state = 172},
  [509] = {.lex_state = 336},
  [510] = {.lex_state = 336},
  [511] = {.lex_state = 172},
  [512] = {.lex_state = 336},
  [513] = {.lex_state = 336},
  [514] = {.lex_state = 336},
  [515] = {.lex_state = 336},
  [516] = {.lex_state = 336},
  [517] = {.lex_state = 336},
  [518] = {.lex_state = 336},
  [519] = {.lex_state = 336},
  [520] = {.lex_state = 336},
  [521] = {.lex_state = 336},
  [522] = {.lex_state = 172},
  [523] = {.lex_state = 172},
  [524] = {.lex_state = 172},
  [525] = {.lex_state = 336},
  [526] = {.lex_state = 336},
  [527] = {.lex_state = 336},
  [528] = {.lex_state = 336},
  [529] = {.lex_state = 336},
  [530] = {.lex_state = 336},
  [531] = {.lex_state = 336},
  [532] = {.lex_state = 336},
  [533] = {.lex_state = 336},
  [534] = {.lex_state = 336},
  [535] = {.lex_state = 336},
  [536] = {.lex_state = 336},
  [537] = {.lex_state = 336},
  [538] = {.lex_state = 336},
  [539] = {.lex_state = 336},
  [540] = {.lex_state = 172},
  [541] = {.lex_state = 172},
  [542] = {.lex_state = 336},
  [543] = {.lex_state = 336},
  [544] = {.lex_state = 336},
  [545] = {.lex_state = 336},
  [546] = {.lex_state = 336},
  [547] = {.lex_state = 336},
  [548] = {.lex_state = 336},
  [549] = {.lex_state = 336},
  [550] = {.lex_state = 336},
  [551] = {.lex_state = 336},
  [552] = {.lex_state = 336},
  [553] = {.lex_state = 336},
  [554] = {.lex_state = 336},
  [555] = {.lex_state = 336},
  [556] = {.lex_state = 336},
  [557] = {.lex_state = 336},
  [558] = {.lex_state = 336},
  [559] = {.lex_state = 336},
  [560] = {.lex_state = 336},
  [561] = {.lex_state = 336},
  [562] = {.lex_state = 336},
  [563] = {.lex_state = 172},
  [564] = {.lex_state = 172},
  [565] = {.lex_state = 336},
  [566] = {.lex_state = 172},
  [567] = {.lex_state = 172},
  [568] = {.lex_state = 236},
  [569] = {.lex_state = 336},
  [570] = {.lex_state = 172},
  [571] = {.lex_state = 336},
  [572] = {.lex_state = 336},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 336},
  [575] = {.lex_state = 336},
  [576] = {.lex_state = 336},
  [577] = {.lex_state = 172},
  [578] = {.lex_state = 336},
  [579] = {.lex_state = 336},
  [580] = {.lex_state = 336},
  [581] = {.lex_state = 336},
  [582] = {.lex_state = 172},
  [583] = {.lex_state = 336},
  [584] = {.lex_state = 336},
  [585] = {.lex_state = 172},
  [586] = {.lex_state = 336},
  [587] = {.lex_state = 336},
  [588] = {.lex_state = 172},
  [589] = {.lex_state = 336},
  [590] = {.lex_state = 336},
  [591] = {.lex_state = 336},
  [592] = {.lex_state = 336},
  [593] = {.lex_state = 336},
  [594] = {.lex_state = 336},
  [595] = {.lex_state = 336},
  [596] = {.lex_state = 336},
  [597] = {.lex_state = 336},
  [598] = {.lex_state = 336},
  [599] = {.lex_state = 336},
  [600] = {.lex_state = 172},
  [601] = {.lex_state = 172},
  [602] = {.lex_state = 336},
  [603] = {.lex_state = 336},
  [604] = {.lex_state = 172},
  [605] = {.lex_state = 336},
  [606] = {.lex_state = 336},
  [607] = {.lex_state = 336},
  [608] = {.lex_state = 336},
  [609] = {.lex_state = 336},
  [610] = {.lex_state = 336},
  [611] = {.lex_state = 336},
  [612] = {.lex_state = 336},
  [613] = {.lex_state = 336},
  [614] = {.lex_state = 336},
  [615] = {.lex_state = 336},
  [616] = {.lex_state = 172},
  [617] = {.lex_state = 336},
  [618] = {.lex_state = 336},
  [619] = {.lex_state = 172},
  [620] = {.lex_state = 172},
  [621] = {.lex_state = 336},
  [622] = {.lex_state = 172},
  [623] = {.lex_state = 336},
  [624] = {.lex_state = 172},
  [625] = {.lex_state = 172},
  [626] = {.lex_state = 172},
  [627] = {.lex_state = 172},
  [628] = {.lex_state = 336},
  [629] = {.lex_state = 172},
  [630] = {.lex_state = 172},
  [631] = {.lex_state = 336},
  [632] = {.lex_state = 172},
  [633] = {.lex_state = 172},
  [634] = {.lex_state = 172},
  [635] = {.lex_state = 172},
  [636] = {.lex_state = 172},
  [637] = {.lex_state = 172},
  [638] = {.lex_state = 172},
  [639] = {.lex_state = 172},
  [640] = {.lex_state = 336},
  [641] = {.lex_state = 172},
  [642] = {.lex_state = 172},
  [643] = {.lex_state = 172},
  [644] = {.lex_state = 336},
  [645] = {.lex_state = 336},
  [646] = {.lex_state = 172},
  [647] = {.lex_state = 172},
  [648] = {.lex_state = 172},
  [649] = {.lex_state = 172},
  [650] = {.lex_state = 172},
  [651] = {.lex_state = 172},
  [652] = {.lex_state = 172},
  [653] = {.lex_state = 172},
  [654] = {.lex_state = 172},
  [655] = {.lex_state = 172},
  [656] = {.lex_state = 172},
  [657] = {.lex_state = 172},
  [658] = {.lex_state = 336},
  [659] = {.lex_state = 336},
  [660] = {.lex_state = 172},
  [661] = {.lex_state = 172},
  [662] = {.lex_state = 172},
  [663] = {.lex_state = 172},
  [664] = {.lex_state = 172},
  [665] = {.lex_state = 172},
  [666] = {.lex_state = 172},
  [667] = {.lex_state = 172},
  [668] = {.lex_state = 172},
  [669] = {.lex_state = 172},
  [670] = {.lex_state = 172},
  [671] = {.lex_state = 172},
  [672] = {.lex_state = 172},
  [673] = {.lex_state = 336},
  [674] = {.lex_state = 336},
  [675] = {.lex_state = 172},
  [676] = {.lex_state = 172},
  [677] = {.lex_state = 336},
  [678] = {.lex_state = 172},
  [679] = {.lex_state = 172},
  [680] = {.lex_state = 172},
  [681] = {.lex_state = 172},
  [682] = {.lex_state = 172},
  [683] = {.lex_state = 172},
  [684] = {.lex_state = 172},
  [685] = {.lex_state = 172},
  [686] = {.lex_state = 163},
  [687] = {.lex_state = 336},
  [688] = {.lex_state = 336},
  [689] = {.lex_state = 336},
  [690] = {.lex_state = 336},
  [691] = {.lex_state = 336},
  [692] = {.lex_state = 336},
  [693] = {.lex_state = 336},
  [694] = {.lex_state = 336},
  [695] = {.lex_state = 336},
  [696] = {.lex_state = 336},
  [697] = {.lex_state = 336},
  [698] = {.lex_state = 336},
  [699] = {.lex_state = 336},
  [700] = {.lex_state = 336},
  [701] = {.lex_state = 336},
  [702] = {.lex_state = 336},
  [703] = {.lex_state = 336},
  [704] = {.lex_state = 336},
  [705] = {.lex_state = 336},
  [706] = {.lex_state = 336},
  [707] = {.lex_state = 336},
  [708] = {.lex_state = 336},
  [709] = {.lex_state = 336},
  [710] = {.lex_state = 336},
  [711] = {.lex_state = 336},
  [712] = {.lex_state = 336},
  [713] = {.lex_state = 336},
  [714] = {.lex_state = 336},
  [715] = {.lex_state = 336},
  [716] = {.lex_state = 336},
  [717] = {.lex_state = 336},
  [718] = {.lex_state = 336},
  [719] = {.lex_state = 336},
  [720] = {.lex_state = 336},
  [721] = {.lex_state = 336},
  [722] = {.lex_state = 336},
  [723] = {.lex_state = 336},
  [724] = {.lex_state = 336},
  [725] = {.lex_state = 336},
  [726] = {.lex_state = 336},
  [727] = {.lex_state = 336},
  [728] = {.lex_state = 336},
  [729] = {.lex_state = 336},
  [730] = {.lex_state = 336},
  [731] = {.lex_state = 336},
  [732] = {.lex_state = 336},
  [733] = {.lex_state = 336},
  [734] = {.lex_state = 336},
  [735] = {.lex_state = 336},
  [736] = {.lex_state = 336},
  [737] = {.lex_state = 336},
  [738] = {.lex_state = 336},
  [739] = {.lex_state = 336},
  [740] = {.lex_state = 336},
  [741] = {.lex_state = 336},
  [742] = {.lex_state = 336},
  [743] = {.lex_state = 336},
  [744] = {.lex_state = 336},
  [745] = {.lex_state = 336},
  [746] = {.lex_state = 336},
  [747] = {.lex_state = 336},
  [748] = {.lex_state = 336},
  [749] = {.lex_state = 336},
  [750] = {.lex_state = 336},
  [751] = {.lex_state = 336},
  [752] = {.lex_state = 336},
  [753] = {.lex_state = 336},
  [754] = {.lex_state = 336},
  [755] = {.lex_state = 336},
  [756] = {.lex_state = 336},
  [757] = {.lex_state = 336},
  [758] = {.lex_state = 163},
  [759] = {.lex_state = 163},
  [760] = {.lex_state = 192},
  [761] = {.lex_state = 192},
  [762] = {.lex_state = 192},
  [763] = {.lex_state = 237},
  [764] = {.lex_state = 192},
  [765] = {.lex_state = 192},
  [766] = {.lex_state = 192},
  [767] = {.lex_state = 192},
  [768] = {.lex_state = 192},
  [769] = {.lex_state = 237},
  [770] = {.lex_state = 192},
  [771] = {.lex_state = 192},
  [772] = {.lex_state = 192},
  [773] = {.lex_state = 192},
  [774] = {.lex_state = 192},
  [775] = {.lex_state = 192},
  [776] = {.lex_state = 192},
  [777] = {.lex_state = 192},
  [778] = {.lex_state = 192},
  [779] = {.lex_state = 192},
  [780] = {.lex_state = 192},
  [781] = {.lex_state = 192},
  [782] = {.lex_state = 192},
  [783] = {.lex_state = 237},
  [784] = {.lex_state = 163},
  [785] = {.lex_state = 163},
  [786] = {.lex_state = 166},
  [787] = {.lex_state = 163},
  [788] = {.lex_state = 174},
  [789] = {.lex_state = 174},
  [790] = {.lex_state = 174},
  [791] = {.lex_state = 167},
  [792] = {.lex_state = 167},
  [793] = {.lex_state = 336},
  [794] = {.lex_state = 336},
  [795] = {.lex_state = 174},
  [796] = {.lex_state = 174},
  [797] = {.lex_state = 236},
  [798] = {.lex_state = 174},
  [799] = {.lex_state = 236},
  [800] = {.lex_state = 174},
  [801] = {.lex_state = 174},
  [802] = {.lex_state = 236},
  [803] = {.lex_state = 174},
  [804] = {.lex_state = 174},
  [805] = {.lex_state = 174},
  [806] = {.lex_state = 174},
  [807] = {.lex_state = 174},
  [808] = {.lex_state = 174},
  [809] = {.lex_state = 174},
  [810] = {.lex_state = 236},
  [811] = {.lex_state = 174},
  [812] = {.lex_state = 174},
  [813] = {.lex_state = 174},
  [814] = {.lex_state = 174},
  [815] = {.lex_state = 236},
  [816] = {.lex_state = 236},
  [817] = {.lex_state = 174},
  [818] = {.lex_state = 174},
  [819] = {.lex_state = 174},
  [820] = {.lex_state = 174},
  [821] = {.lex_state = 174},
  [822] = {.lex_state = 236},
  [823] = {.lex_state = 236},
  [824] = {.lex_state = 236},
  [825] = {.lex_state = 173},
  [826] = {.lex_state = 236},
  [827] = {.lex_state = 236},
  [828] = {.lex_state = 236},
  [829] = {.lex_state = 236},
  [830] = {.lex_state = 236},
  [831] = {.lex_state = 173},
  [832] = {.lex_state = 174},
  [833] = {.lex_state = 336},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 171},
  [836] = {.lex_state = 171},
  [837] = {.lex_state = 173},
  [838] = {.lex_state = 171},
  [839] = {.lex_state = 173},
  [840] = {.lex_state = 171},
  [841] = {.lex_state = 171},
  [842] = {.lex_state = 171},
  [843] = {.lex_state = 171},
  [844] = {.lex_state = 171},
  [845] = {.lex_state = 171},
  [846] = {.lex_state = 171},
  [847] = {.lex_state = 171},
  [848] = {.lex_state = 171},
  [849] = {.lex_state = 171},
  [850] = {.lex_state = 171},
  [851] = {.lex_state = 171},
  [852] = {.lex_state = 171},
  [853] = {.lex_state = 171},
  [854] = {.lex_state = 171},
  [855] = {.lex_state = 171},
  [856] = {.lex_state = 171},
  [857] = {.lex_state = 171},
  [858] = {.lex_state = 185},
  [859] = {.lex_state = 171},
  [860] = {.lex_state = 171},
  [861] = {.lex_state = 171},
  [862] = {.lex_state = 171},
  [863] = {.lex_state = 171},
  [864] = {.lex_state = 171},
  [865] = {.lex_state = 171},
  [866] = {.lex_state = 171},
  [867] = {.lex_state = 171},
  [868] = {.lex_state = 171},
  [869] = {.lex_state = 171},
  [870] = {.lex_state = 171},
  [871] = {.lex_state = 171},
  [872] = {.lex_state = 171},
  [873] = {.lex_state = 171},
  [874] = {.lex_state = 171},
  [875] = {.lex_state = 171},
  [876] = {.lex_state = 171},
  [877] = {.lex_state = 171},
  [878] = {.lex_state = 171},
  [879] = {.lex_state = 171},
  [880] = {.lex_state = 171},
  [881] = {.lex_state = 171},
  [882] = {.lex_state = 171},
  [883] = {.lex_state = 171},
  [884] = {.lex_state = 185},
  [885] = {.lex_state = 185},
  [886] = {.lex_state = 185},
  [887] = {.lex_state = 236},
  [888] = {.lex_state = 185},
  [889] = {.lex_state = 174},
  [890] = {.lex_state = 174},
  [891] = {.lex_state = 174},
  [892] = {.lex_state = 174},
  [893] = {.lex_state = 174},
  [894] = {.lex_state = 174},
  [895] = {.lex_state = 174},
  [896] = {.lex_state = 174},
  [897] = {.lex_state = 174},
  [898] = {.lex_state = 174},
  [899] = {.lex_state = 174},
  [900] = {.lex_state = 174},
  [901] = {.lex_state = 174},
  [902] = {.lex_state = 174},
  [903] = {.lex_state = 174},
  [904] = {.lex_state = 174},
  [905] = {.lex_state = 174},
  [906] = {.lex_state = 174},
  [907] = {.lex_state = 174},
  [908] = {.lex_state = 174},
  [909] = {.lex_state = 174},
  [910] = {.lex_state = 174},
  [911] = {.lex_state = 174},
  [912] = {.lex_state = 174},
  [913] = {.lex_state = 174},
  [914] = {.lex_state = 174},
  [915] = {.lex_state = 174},
  [916] = {.lex_state = 174},
  [917] = {.lex_state = 174},
  [918] = {.lex_state = 174},
  [919] = {.lex_state = 174},
  [920] = {.lex_state = 174},
  [921] = {.lex_state = 174},
  [922] = {.lex_state = 174},
  [923] = {.lex_state = 174},
  [924] = {.lex_state = 174},
  [925] = {.lex_state = 174},
  [926] = {.lex_state = 174},
  [927] = {.lex_state = 174},
  [928] = {.lex_state = 174},
  [929] = {.lex_state = 174},
  [930] = {.lex_state = 185},
  [931] = {.lex_state = 185},
  [932] = {.lex_state = 185},
  [933] = {.lex_state = 185},
  [934] = {.lex_state = 181},
  [935] = {.lex_state = 185},
  [936] = {.lex_state = 185},
  [937] = {.lex_state = 185},
  [938] = {.lex_state = 185},
  [939] = {.lex_state = 174},
  [940] = {.lex_state = 174},
  [941] = {.lex_state = 174},
  [942] = {.lex_state = 174},
  [943] = {.lex_state = 174},
  [944] = {.lex_state = 174},
  [945] = {.lex_state = 174},
  [946] = {.lex_state = 174},
  [947] = {.lex_state = 174},
  [948] = {.lex_state = 174},
  [949] = {.lex_state = 174},
  [950] = {.lex_state = 174},
  [951] = {.lex_state = 174},
  [952] = {.lex_state = 174},
  [953] = {.lex_state = 174},
  [954] = {.lex_state = 174},
  [955] = {.lex_state = 174},
  [956] = {.lex_state = 174},
  [957] = {.lex_state = 174},
  [958] = {.lex_state = 174},
  [959] = {.lex_state = 174},
  [960] = {.lex_state = 174},
  [961] = {.lex_state = 174},
  [962] = {.lex_state = 174},
  [963] = {.lex_state = 174},
  [964] = {.lex_state = 174},
  [965] = {.lex_state = 173},
  [966] = {.lex_state = 174},
  [967] = {.lex_state = 173},
  [968] = {.lex_state = 173},
  [969] = {.lex_state = 174},
  [970] = {.lex_state = 173},
  [971] = {.lex_state = 173},
  [972] = {.lex_state = 173},
  [973] = {.lex_state = 173},
  [974] = {.lex_state = 173},
  [975] = {.lex_state = 173},
  [976] = {.lex_state = 173},
  [977] = {.lex_state = 173},
  [978] = {.lex_state = 173},
  [979] = {.lex_state = 173},
  [980] = {.lex_state = 173},
  [981] = {.lex_state = 173},
  [982] = {.lex_state = 174},
  [983] = {.lex_state = 174},
  [984] = {.lex_state = 174},
  [985] = {.lex_state = 173},
  [986] = {.lex_state = 173},
  [987] = {.lex_state = 173},
  [988] = {.lex_state = 173},
  [989] = {.lex_state = 173},
  [990] = {.lex_state = 173},
  [991] = {.lex_state = 173},
  [992] = {.lex_state = 173},
  [993] = {.lex_state = 174},
  [994] = {.lex_state = 173},
  [995] = {.lex_state = 174},
  [996] = {.lex_state = 174},
  [997] = {.lex_state = 173},
  [998] = {.lex_state = 174},
  [999] = {.lex_state = 174},
  [1000] = {.lex_state = 174},
  [1001] = {.lex_state = 174},
  [1002] = {.lex_state = 174},
  [1003] = {.lex_state = 173},
  [1004] = {.lex_state = 174},
  [1005] = {.lex_state = 174},
  [1006] = {.lex_state = 174},
  [1007] = {.lex_state = 174},
  [1008] = {.lex_state = 174},
  [1009] = {.lex_state = 174},
  [1010] = {.lex_state = 174},
  [1011] = {.lex_state = 174},
  [1012] = {.lex_state = 174},
  [1013] = {.lex_state = 174},
  [1014] = {.lex_state = 174},
  [1015] = {.lex_state = 174},
  [1016] = {.lex_state = 174},
  [1017] = {.lex_state = 174},
  [1018] = {.lex_state = 174},
  [1019] = {.lex_state = 174},
  [1020] = {.lex_state = 174},
  [1021] = {.lex_state = 174},
  [1022] = {.lex_state = 174},
  [1023] = {.lex_state = 174},
  [1024] = {.lex_state = 174},
  [1025] = {.lex_state = 174},
  [1026] = {.lex_state = 174},
  [1027] = {.lex_state = 174},
  [1028] = {.lex_state = 174},
  [1029] = {.lex_state = 174},
  [1030] = {.lex_state = 174},
  [1031] = {.lex_state = 174},
  [1032] = {.lex_state = 174},
  [1033] = {.lex_state = 174},
  [1034] = {.lex_state = 174},
  [1035] = {.lex_state = 174},
  [1036] = {.lex_state = 174},
  [1037] = {.lex_state = 174},
  [1038] = {.lex_state = 174},
  [1039] = {.lex_state = 174},
  [1040] = {.lex_state = 174},
  [1041] = {.lex_state = 174},
  [1042] = {.lex_state = 174},
  [1043] = {.lex_state = 174},
  [1044] = {.lex_state = 174},
  [1045] = {.lex_state = 174},
  [1046] = {.lex_state = 174},
  [1047] = {.lex_state = 174},
  [1048] = {.lex_state = 174},
  [1049] = {.lex_state = 174},
  [1050] = {.lex_state = 174},
  [1051] = {.lex_state = 174},
  [1052] = {.lex_state = 174},
  [1053] = {.lex_state = 174},
  [1054] = {.lex_state = 174},
  [1055] = {.lex_state = 174},
  [1056] = {.lex_state = 174},
  [1057] = {.lex_state = 174},
  [1058] = {.lex_state = 174},
  [1059] = {.lex_state = 174},
  [1060] = {.lex_state = 174},
  [1061] = {.lex_state = 174},
  [1062] = {.lex_state = 174},
  [1063] = {.lex_state = 174},
  [1064] = {.lex_state = 174},
  [1065] = {.lex_state = 174},
  [1066] = {.lex_state = 174},
  [1067] = {.lex_state = 174},
  [1068] = {.lex_state = 174},
  [1069] = {.lex_state = 174},
  [1070] = {.lex_state = 174},
  [1071] = {.lex_state = 174},
  [1072] = {.lex_state = 174},
  [1073] = {.lex_state = 174},
  [1074] = {.lex_state = 174},
  [1075] = {.lex_state = 174},
  [1076] = {.lex_state = 174},
  [1077] = {.lex_state = 174},
  [1078] = {.lex_state = 174},
  [1079] = {.lex_state = 174},
  [1080] = {.lex_state = 174},
  [1081] = {.lex_state = 174},
  [1082] = {.lex_state = 174},
  [1083] = {.lex_state = 174},
  [1084] = {.lex_state = 174},
  [1085] = {.lex_state = 174},
  [1086] = {.lex_state = 174},
  [1087] = {.lex_state = 174},
  [1088] = {.lex_state = 174},
  [1089] = {.lex_state = 174},
  [1090] = {.lex_state = 174},
  [1091] = {.lex_state = 174},
  [1092] = {.lex_state = 174},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 174},
  [1096] = {.lex_state = 174},
  [1097] = {.lex_state = 174},
  [1098] = {.lex_state = 174},
  [1099] = {.lex_state = 174},
  [1100] = {.lex_state = 174},
  [1101] = {.lex_state = 174},
  [1102] = {.lex_state = 174},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 174},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 174},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 174},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 174},
  [1126] = {.lex_state = 174},
  [1127] = {.lex_state = 174},
  [1128] = {.lex_state = 174},
  [1129] = {.lex_state = 174},
  [1130] = {.lex_state = 174},
  [1131] = {.lex_state = 174},
  [1132] = {.lex_state = 174},
  [1133] = {.lex_state = 174},
  [1134] = {.lex_state = 174},
  [1135] = {.lex_state = 174},
  [1136] = {.lex_state = 174},
  [1137] = {.lex_state = 174},
  [1138] = {.lex_state = 174},
  [1139] = {.lex_state = 174},
  [1140] = {.lex_state = 174},
  [1141] = {.lex_state = 174},
  [1142] = {.lex_state = 174},
  [1143] = {.lex_state = 174},
  [1144] = {.lex_state = 174},
  [1145] = {.lex_state = 174},
  [1146] = {.lex_state = 174},
  [1147] = {.lex_state = 174},
  [1148] = {.lex_state = 174},
  [1149] = {.lex_state = 174},
  [1150] = {.lex_state = 174},
  [1151] = {.lex_state = 174},
  [1152] = {.lex_state = 174},
  [1153] = {.lex_state = 174},
  [1154] = {.lex_state = 174},
  [1155] = {.lex_state = 174},
  [1156] = {.lex_state = 174},
  [1157] = {.lex_state = 174},
  [1158] = {.lex_state = 174},
  [1159] = {.lex_state = 174},
  [1160] = {.lex_state = 174},
  [1161] = {.lex_state = 174},
  [1162] = {.lex_state = 174},
  [1163] = {.lex_state = 174},
  [1164] = {.lex_state = 174},
  [1165] = {.lex_state = 174},
  [1166] = {.lex_state = 174},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 174},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 174},
  [1173] = {.lex_state = 174},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 174},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 174},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 174},
  [1207] = {.lex_state = 174},
  [1208] = {.lex_state = 174},
  [1209] = {.lex_state = 174},
  [1210] = {.lex_state = 174},
  [1211] = {.lex_state = 174},
  [1212] = {.lex_state = 174},
  [1213] = {.lex_state = 174},
  [1214] = {.lex_state = 174},
  [1215] = {.lex_state = 174},
  [1216] = {.lex_state = 174},
  [1217] = {.lex_state = 174},
  [1218] = {.lex_state = 174},
  [1219] = {.lex_state = 174},
  [1220] = {.lex_state = 174},
  [1221] = {.lex_state = 174},
  [1222] = {.lex_state = 174},
  [1223] = {.lex_state = 174},
  [1224] = {.lex_state = 174},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 174},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 174},
  [1262] = {.lex_state = 174},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 174},
  [1267] = {.lex_state = 174},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 174},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 174},
  [1273] = {.lex_state = 174},
  [1274] = {.lex_state = 174},
  [1275] = {.lex_state = 174},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 174},
  [1278] = {.lex_state = 174},
  [1279] = {.lex_state = 174},
  [1280] = {.lex_state = 174},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 174},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 174},
  [1292] = {.lex_state = 174},
  [1293] = {.lex_state = 174},
  [1294] = {.lex_state = 174},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 174},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 174},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 174},
  [1310] = {.lex_state = 174},
  [1311] = {.lex_state = 174},
  [1312] = {.lex_state = 174},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 174},
  [1316] = {.lex_state = 174},
  [1317] = {.lex_state = 174},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 174},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 174},
  [1333] = {.lex_state = 174},
  [1334] = {.lex_state = 174},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 174},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 174},
  [1352] = {.lex_state = 174},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 174},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 174},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 174},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 174},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 174},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 174},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 174},
  [1498] = {.lex_state = 174},
  [1499] = {.lex_state = 174},
  [1500] = {.lex_state = 193},
  [1501] = {.lex_state = 193},
  [1502] = {.lex_state = 193},
  [1503] = {.lex_state = 236},
  [1504] = {.lex_state = 193},
  [1505] = {.lex_state = 236},
  [1506] = {.lex_state = 193},
  [1507] = {.lex_state = 193},
  [1508] = {.lex_state = 193},
  [1509] = {.lex_state = 193},
  [1510] = {.lex_state = 171},
  [1511] = {.lex_state = 193},
  [1512] = {.lex_state = 171},
  [1513] = {.lex_state = 171},
  [1514] = {.lex_state = 236},
  [1515] = {.lex_state = 236},
  [1516] = {.lex_state = 236},
  [1517] = {.lex_state = 236},
  [1518] = {.lex_state = 193},
  [1519] = {.lex_state = 196},
  [1520] = {.lex_state = 193},
  [1521] = {.lex_state = 191},
  [1522] = {.lex_state = 181},
  [1523] = {.lex_state = 191},
  [1524] = {.lex_state = 222},
  [1525] = {.lex_state = 222},
  [1526] = {.lex_state = 222},
  [1527] = {.lex_state = 191},
  [1528] = {.lex_state = 191},
  [1529] = {.lex_state = 222},
  [1530] = {.lex_state = 191},
  [1531] = {.lex_state = 222},
  [1532] = {.lex_state = 222},
  [1533] = {.lex_state = 191},
  [1534] = {.lex_state = 191},
  [1535] = {.lex_state = 222},
  [1536] = {.lex_state = 193},
  [1537] = {.lex_state = 191},
  [1538] = {.lex_state = 191},
  [1539] = {.lex_state = 193},
  [1540] = {.lex_state = 196},
  [1541] = {.lex_state = 182},
  [1542] = {.lex_state = 196},
  [1543] = {.lex_state = 196},
  [1544] = {.lex_state = 196},
  [1545] = {.lex_state = 186},
  [1546] = {.lex_state = 196},
  [1547] = {.lex_state = 196},
  [1548] = {.lex_state = 196},
  [1549] = {.lex_state = 191},
  [1550] = {.lex_state = 191},
  [1551] = {.lex_state = 191},
  [1552] = {.lex_state = 191},
  [1553] = {.lex_state = 191},
  [1554] = {.lex_state = 176},
  [1555] = {.lex_state = 191},
  [1556] = {.lex_state = 191},
  [1557] = {.lex_state = 191},
  [1558] = {.lex_state = 209},
  [1559] = {.lex_state = 209},
  [1560] = {.lex_state = 196},
  [1561] = {.lex_state = 194},
  [1562] = {.lex_state = 194},
  [1563] = {.lex_state = 194},
  [1564] = {.lex_state = 194},
  [1565] = {.lex_state = 217},
  [1566] = {.lex_state = 194},
  [1567] = {.lex_state = 194},
  [1568] = {.lex_state = 194},
  [1569] = {.lex_state = 217},
  [1570] = {.lex_state = 196},
  [1571] = {.lex_state = 236},
  [1572] = {.lex_state = 236},
  [1573] = {.lex_state = 236},
  [1574] = {.lex_state = 222},
  [1575] = {.lex_state = 236},
  [1576] = {.lex_state = 209},
  [1577] = {.lex_state = 236},
  [1578] = {.lex_state = 236},
  [1579] = {.lex_state = 236},
  [1580] = {.lex_state = 236},
  [1581] = {.lex_state = 209},
  [1582] = {.lex_state = 236},
  [1583] = {.lex_state = 236},
  [1584] = {.lex_state = 236},
  [1585] = {.lex_state = 236},
  [1586] = {.lex_state = 236},
  [1587] = {.lex_state = 236},
  [1588] = {.lex_state = 209},
  [1589] = {.lex_state = 236},
  [1590] = {.lex_state = 236},
  [1591] = {.lex_state = 236},
  [1592] = {.lex_state = 236},
  [1593] = {.lex_state = 217},
  [1594] = {.lex_state = 236},
  [1595] = {.lex_state = 236},
  [1596] = {.lex_state = 236},
  [1597] = {.lex_state = 209},
  [1598] = {.lex_state = 236},
  [1599] = {.lex_state = 236},
  [1600] = {.lex_state = 236},
  [1601] = {.lex_state = 236},
  [1602] = {.lex_state = 236},
  [1603] = {.lex_state = 236},
  [1604] = {.lex_state = 236},
  [1605] = {.lex_state = 236},
  [1606] = {.lex_state = 236},
  [1607] = {.lex_state = 236},
  [1608] = {.lex_state = 236},
  [1609] = {.lex_state = 236},
  [1610] = {.lex_state = 236},
  [1611] = {.lex_state = 209},
  [1612] = {.lex_state = 236},
  [1613] = {.lex_state = 202},
  [1614] = {.lex_state = 217},
  [1615] = {.lex_state = 209},
  [1616] = {.lex_state = 209},
  [1617] = {.lex_state = 217},
  [1618] = {.lex_state = 236},
  [1619] = {.lex_state = 209},
  [1620] = {.lex_state = 236},
  [1621] = {.lex_state = 236},
  [1622] = {.lex_state = 217},
  [1623] = {.lex_state = 217},
  [1624] = {.lex_state = 236},
  [1625] = {.lex_state = 236},
  [1626] = {.lex_state = 209},
  [1627] = {.lex_state = 202},
  [1628] = {.lex_state = 209},
  [1629] = {.lex_state = 236},
  [1630] = {.lex_state = 202},
  [1631] = {.lex_state = 222},
  [1632] = {.lex_state = 174},
  [1633] = {.lex_state = 236},
  [1634] = {.lex_state = 236},
  [1635] = {.lex_state = 209},
  [1636] = {.lex_state = 236},
  [1637] = {.lex_state = 236},
  [1638] = {.lex_state = 236},
  [1639] = {.lex_state = 209},
  [1640] = {.lex_state = 236},
  [1641] = {.lex_state = 202},
  [1642] = {.lex_state = 236},
  [1643] = {.lex_state = 171},
  [1644] = {.lex_state = 171},
  [1645] = {.lex_state = 206},
  [1646] = {.lex_state = 236},
  [1647] = {.lex_state = 206},
  [1648] = {.lex_state = 206},
  [1649] = {.lex_state = 206},
  [1650] = {.lex_state = 206},
  [1651] = {.lex_state = 222},
  [1652] = {.lex_state = 206},
  [1653] = {.lex_state = 236},
  [1654] = {.lex_state = 206},
  [1655] = {.lex_state = 213},
  [1656] = {.lex_state = 213},
  [1657] = {.lex_state = 213},
  [1658] = {.lex_state = 236},
  [1659] = {.lex_state = 213},
  [1660] = {.lex_state = 213},
  [1661] = {.lex_state = 236},
  [1662] = {.lex_state = 176},
  [1663] = {.lex_state = 236},
  [1664] = {.lex_state = 236},
  [1665] = {.lex_state = 236},
  [1666] = {.lex_state = 213},
  [1667] = {.lex_state = 236},
  [1668] = {.lex_state = 213},
  [1669] = {.lex_state = 236},
  [1670] = {.lex_state = 236},
  [1671] = {.lex_state = 236},
  [1672] = {.lex_state = 236},
  [1673] = {.lex_state = 236},
  [1674] = {.lex_state = 236},
  [1675] = {.lex_state = 236},
  [1676] = {.lex_state = 236},
  [1677] = {.lex_state = 223},
  [1678] = {.lex_state = 236},
  [1679] = {.lex_state = 178},
  [1680] = {.lex_state = 236},
  [1681] = {.lex_state = 223},
  [1682] = {.lex_state = 236},
  [1683] = {.lex_state = 202},
  [1684] = {.lex_state = 236},
  [1685] = {.lex_state = 236},
  [1686] = {.lex_state = 236},
  [1687] = {.lex_state = 236},
  [1688] = {.lex_state = 236},
  [1689] = {.lex_state = 236},
  [1690] = {.lex_state = 236},
  [1691] = {.lex_state = 236},
  [1692] = {.lex_state = 223},
  [1693] = {.lex_state = 236},
  [1694] = {.lex_state = 174},
  [1695] = {.lex_state = 236},
  [1696] = {.lex_state = 236},
  [1697] = {.lex_state = 236},
  [1698] = {.lex_state = 236},
  [1699] = {.lex_state = 236},
  [1700] = {.lex_state = 236},
  [1701] = {.lex_state = 236},
  [1702] = {.lex_state = 236},
  [1703] = {.lex_state = 236},
  [1704] = {.lex_state = 236},
  [1705] = {.lex_state = 236},
  [1706] = {.lex_state = 236},
  [1707] = {.lex_state = 236},
  [1708] = {.lex_state = 236},
  [1709] = {.lex_state = 236},
  [1710] = {.lex_state = 174},
  [1711] = {.lex_state = 202},
  [1712] = {.lex_state = 236},
  [1713] = {.lex_state = 223},
  [1714] = {.lex_state = 223},
  [1715] = {.lex_state = 236},
  [1716] = {.lex_state = 223},
  [1717] = {.lex_state = 236},
  [1718] = {.lex_state = 236},
  [1719] = {.lex_state = 236},
  [1720] = {.lex_state = 202},
  [1721] = {.lex_state = 236},
  [1722] = {.lex_state = 236},
  [1723] = {.lex_state = 236},
  [1724] = {.lex_state = 236},
  [1725] = {.lex_state = 236},
  [1726] = {.lex_state = 223},
  [1727] = {.lex_state = 236},
  [1728] = {.lex_state = 236},
  [1729] = {.lex_state = 236},
  [1730] = {.lex_state = 178},
  [1731] = {.lex_state = 236},
  [1732] = {.lex_state = 236},
  [1733] = {.lex_state = 236},
  [1734] = {.lex_state = 236},
  [1735] = {.lex_state = 236},
  [1736] = {.lex_state = 236},
  [1737] = {.lex_state = 236},
  [1738] = {.lex_state = 236},
  [1739] = {.lex_state = 223},
  [1740] = {.lex_state = 236},
  [1741] = {.lex_state = 223},
  [1742] = {.lex_state = 202},
  [1743] = {.lex_state = 236},
  [1744] = {.lex_state = 236},
  [1745] = {.lex_state = 236},
  [1746] = {.lex_state = 236},
  [1747] = {.lex_state = 236},
  [1748] = {.lex_state = 236},
  [1749] = {.lex_state = 236},
  [1750] = {.lex_state = 236},
  [1751] = {.lex_state = 178},
  [1752] = {.lex_state = 236},
  [1753] = {.lex_state = 236},
  [1754] = {.lex_state = 236},
  [1755] = {.lex_state = 236},
  [1756] = {.lex_state = 236},
  [1757] = {.lex_state = 236},
  [1758] = {.lex_state = 223},
  [1759] = {.lex_state = 236},
  [1760] = {.lex_state = 236},
  [1761] = {.lex_state = 236},
  [1762] = {.lex_state = 236},
  [1763] = {.lex_state = 236},
  [1764] = {.lex_state = 236},
  [1765] = {.lex_state = 223},
  [1766] = {.lex_state = 202},
  [1767] = {.lex_state = 236},
  [1768] = {.lex_state = 236},
  [1769] = {.lex_state = 236},
  [1770] = {.lex_state = 236},
  [1771] = {.lex_state = 236},
  [1772] = {.lex_state = 236},
  [1773] = {.lex_state = 236},
  [1774] = {.lex_state = 236},
  [1775] = {.lex_state = 236},
  [1776] = {.lex_state = 236},
  [1777] = {.lex_state = 236},
  [1778] = {.lex_state = 236},
  [1779] = {.lex_state = 236},
  [1780] = {.lex_state = 223},
  [1781] = {.lex_state = 223},
  [1782] = {.lex_state = 236},
  [1783] = {.lex_state = 202},
  [1784] = {.lex_state = 202},
  [1785] = {.lex_state = 202},
  [1786] = {.lex_state = 202},
  [1787] = {.lex_state = 202},
  [1788] = {.lex_state = 202},
  [1789] = {.lex_state = 202},
  [1790] = {.lex_state = 202},
  [1791] = {.lex_state = 202},
  [1792] = {.lex_state = 192},
  [1793] = {.lex_state = 202},
  [1794] = {.lex_state = 202},
  [1795] = {.lex_state = 202},
  [1796] = {.lex_state = 202},
  [1797] = {.lex_state = 202},
  [1798] = {.lex_state = 192},
  [1799] = {.lex_state = 202},
  [1800] = {.lex_state = 202},
  [1801] = {.lex_state = 202},
  [1802] = {.lex_state = 202},
  [1803] = {.lex_state = 202},
  [1804] = {.lex_state = 202},
  [1805] = {.lex_state = 202},
  [1806] = {.lex_state = 202},
  [1807] = {.lex_state = 202},
  [1808] = {.lex_state = 202},
  [1809] = {.lex_state = 237},
  [1810] = {.lex_state = 202},
  [1811] = {.lex_state = 202},
  [1812] = {.lex_state = 191},
  [1813] = {.lex_state = 202},
  [1814] = {.lex_state = 202},
  [1815] = {.lex_state = 192},
  [1816] = {.lex_state = 202},
  [1817] = {.lex_state = 202},
  [1818] = {.lex_state = 202},
  [1819] = {.lex_state = 202},
  [1820] = {.lex_state = 191},
  [1821] = {.lex_state = 237},
  [1822] = {.lex_state = 202},
  [1823] = {.lex_state = 202},
  [1824] = {.lex_state = 236},
  [1825] = {.lex_state = 202},
  [1826] = {.lex_state = 202},
  [1827] = {.lex_state = 237},
  [1828] = {.lex_state = 237},
  [1829] = {.lex_state = 202},
  [1830] = {.lex_state = 192},
  [1831] = {.lex_state = 202},
  [1832] = {.lex_state = 202},
  [1833] = {.lex_state = 222},
  [1834] = {.lex_state = 222},
  [1835] = {.lex_state = 222},
  [1836] = {.lex_state = 236},
  [1837] = {.lex_state = 236},
  [1838] = {.lex_state = 236},
  [1839] = {.lex_state = 222},
  [1840] = {.lex_state = 222},
  [1841] = {.lex_state = 236},
  [1842] = {.lex_state = 222},
  [1843] = {.lex_state = 206},
  [1844] = {.lex_state = 222},
  [1845] = {.lex_state = 222},
  [1846] = {.lex_state = 236},
  [1847] = {.lex_state = 236},
  [1848] = {.lex_state = 222},
  [1849] = {.lex_state = 236},
  [1850] = {.lex_state = 236},
  [1851] = {.lex_state = 222},
  [1852] = {.lex_state = 222},
  [1853] = {.lex_state = 192},
  [1854] = {.lex_state = 237},
  [1855] = {.lex_state = 236},
  [1856] = {.lex_state = 237},
  [1857] = {.lex_state = 213},
  [1858] = {.lex_state = 237},
  [1859] = {.lex_state = 227},
  [1860] = {.lex_state = 197},
  [1861] = {.lex_state = 192},
  [1862] = {.lex_state = 178},
  [1863] = {.lex_state = 178},
  [1864] = {.lex_state = 192},
  [1865] = {.lex_state = 192},
  [1866] = {.lex_state = 236},
  [1867] = {.lex_state = 201},
  [1868] = {.lex_state = 236},
  [1869] = {.lex_state = 178},
  [1870] = {.lex_state = 178},
  [1871] = {.lex_state = 237},
  [1872] = {.lex_state = 236},
  [1873] = {.lex_state = 206},
  [1874] = {.lex_state = 192},
  [1875] = {.lex_state = 236},
  [1876] = {.lex_state = 237},
  [1877] = {.lex_state = 192},
  [1878] = {.lex_state = 213},
  [1879] = {.lex_state = 192},
  [1880] = {.lex_state = 237},
  [1881] = {.lex_state = 192},
  [1882] = {.lex_state = 192},
  [1883] = {.lex_state = 237},
  [1884] = {.lex_state = 192},
  [1885] = {.lex_state = 192},
  [1886] = {.lex_state = 237},
  [1887] = {.lex_state = 192},
  [1888] = {.lex_state = 237},
  [1889] = {.lex_state = 237},
  [1890] = {.lex_state = 192},
  [1891] = {.lex_state = 237},
  [1892] = {.lex_state = 237},
  [1893] = {.lex_state = 237},
  [1894] = {.lex_state = 237},
  [1895] = {.lex_state = 237},
  [1896] = {.lex_state = 192},
  [1897] = {.lex_state = 237},
  [1898] = {.lex_state = 237},
  [1899] = {.lex_state = 237},
  [1900] = {.lex_state = 237},
  [1901] = {.lex_state = 237},
  [1902] = {.lex_state = 237},
  [1903] = {.lex_state = 237},
  [1904] = {.lex_state = 237},
  [1905] = {.lex_state = 237},
  [1906] = {.lex_state = 192},
  [1907] = {.lex_state = 192},
  [1908] = {.lex_state = 237},
  [1909] = {.lex_state = 237},
  [1910] = {.lex_state = 237},
  [1911] = {.lex_state = 237},
  [1912] = {.lex_state = 227},
  [1913] = {.lex_state = 237},
  [1914] = {.lex_state = 237},
  [1915] = {.lex_state = 237},
  [1916] = {.lex_state = 192},
  [1917] = {.lex_state = 237},
  [1918] = {.lex_state = 237},
  [1919] = {.lex_state = 237},
  [1920] = {.lex_state = 192},
  [1921] = {.lex_state = 237},
  [1922] = {.lex_state = 237},
  [1923] = {.lex_state = 192},
  [1924] = {.lex_state = 192},
  [1925] = {.lex_state = 237},
  [1926] = {.lex_state = 192},
  [1927] = {.lex_state = 192},
  [1928] = {.lex_state = 192},
  [1929] = {.lex_state = 192},
  [1930] = {.lex_state = 192},
  [1931] = {.lex_state = 192},
  [1932] = {.lex_state = 237},
  [1933] = {.lex_state = 237},
  [1934] = {.lex_state = 192},
  [1935] = {.lex_state = 237},
  [1936] = {.lex_state = 192},
  [1937] = {.lex_state = 192},
  [1938] = {.lex_state = 237},
  [1939] = {.lex_state = 192},
  [1940] = {.lex_state = 192},
  [1941] = {.lex_state = 192},
  [1942] = {.lex_state = 192},
  [1943] = {.lex_state = 192},
  [1944] = {.lex_state = 192},
  [1945] = {.lex_state = 192},
  [1946] = {.lex_state = 237},
  [1947] = {.lex_state = 192},
  [1948] = {.lex_state = 237},
  [1949] = {.lex_state = 237},
  [1950] = {.lex_state = 237},
  [1951] = {.lex_state = 237},
  [1952] = {.lex_state = 192},
  [1953] = {.lex_state = 237},
  [1954] = {.lex_state = 192},
  [1955] = {.lex_state = 192},
  [1956] = {.lex_state = 237},
  [1957] = {.lex_state = 192},
  [1958] = {.lex_state = 237},
  [1959] = {.lex_state = 192},
  [1960] = {.lex_state = 192},
  [1961] = {.lex_state = 192},
  [1962] = {.lex_state = 237},
  [1963] = {.lex_state = 192},
  [1964] = {.lex_state = 192},
  [1965] = {.lex_state = 192},
  [1966] = {.lex_state = 192},
  [1967] = {.lex_state = 237},
  [1968] = {.lex_state = 192},
  [1969] = {.lex_state = 192},
  [1970] = {.lex_state = 236},
  [1971] = {.lex_state = 192},
  [1972] = {.lex_state = 192},
  [1973] = {.lex_state = 192},
  [1974] = {.lex_state = 237},
  [1975] = {.lex_state = 235},
  [1976] = {.lex_state = 192},
  [1977] = {.lex_state = 237},
  [1978] = {.lex_state = 192},
  [1979] = {.lex_state = 237},
  [1980] = {.lex_state = 237},
  [1981] = {.lex_state = 237},
  [1982] = {.lex_state = 192},
  [1983] = {.lex_state = 237},
  [1984] = {.lex_state = 237},
  [1985] = {.lex_state = 237},
  [1986] = {.lex_state = 192},
  [1987] = {.lex_state = 237},
  [1988] = {.lex_state = 203},
  [1989] = {.lex_state = 237},
  [1990] = {.lex_state = 192},
  [1991] = {.lex_state = 192},
  [1992] = {.lex_state = 192},
  [1993] = {.lex_state = 237},
  [1994] = {.lex_state = 237},
  [1995] = {.lex_state = 237},
  [1996] = {.lex_state = 237},
  [1997] = {.lex_state = 192},
  [1998] = {.lex_state = 192},
  [1999] = {.lex_state = 237},
  [2000] = {.lex_state = 192},
  [2001] = {.lex_state = 237},
  [2002] = {.lex_state = 192},
  [2003] = {.lex_state = 192},
  [2004] = {.lex_state = 237},
  [2005] = {.lex_state = 237},
  [2006] = {.lex_state = 237},
  [2007] = {.lex_state = 192},
  [2008] = {.lex_state = 237},
  [2009] = {.lex_state = 192},
  [2010] = {.lex_state = 203},
  [2011] = {.lex_state = 192},
  [2012] = {.lex_state = 192},
  [2013] = {.lex_state = 192},
  [2014] = {.lex_state = 192},
  [2015] = {.lex_state = 235},
  [2016] = {.lex_state = 192},
  [2017] = {.lex_state = 194},
  [2018] = {.lex_state = 192},
  [2019] = {.lex_state = 192},
  [2020] = {.lex_state = 192},
  [2021] = {.lex_state = 237},
  [2022] = {.lex_state = 237},
  [2023] = {.lex_state = 192},
  [2024] = {.lex_state = 192},
  [2025] = {.lex_state = 192},
  [2026] = {.lex_state = 237},
  [2027] = {.lex_state = 227},
  [2028] = {.lex_state = 237},
  [2029] = {.lex_state = 192},
  [2030] = {.lex_state = 192},
  [2031] = {.lex_state = 237},
  [2032] = {.lex_state = 192},
  [2033] = {.lex_state = 192},
  [2034] = {.lex_state = 192},
  [2035] = {.lex_state = 192},
  [2036] = {.lex_state = 237},
  [2037] = {.lex_state = 192},
  [2038] = {.lex_state = 237},
  [2039] = {.lex_state = 192},
  [2040] = {.lex_state = 192},
  [2041] = {.lex_state = 192},
  [2042] = {.lex_state = 192},
  [2043] = {.lex_state = 236},
  [2044] = {.lex_state = 192},
  [2045] = {.lex_state = 202},
  [2046] = {.lex_state = 192},
  [2047] = {.lex_state = 192},
  [2048] = {.lex_state = 237},
  [2049] = {.lex_state = 202},
  [2050] = {.lex_state = 192},
  [2051] = {.lex_state = 192},
  [2052] = {.lex_state = 192},
  [2053] = {.lex_state = 237},
  [2054] = {.lex_state = 237},
  [2055] = {.lex_state = 237},
  [2056] = {.lex_state = 176},
  [2057] = {.lex_state = 237},
  [2058] = {.lex_state = 237},
  [2059] = {.lex_state = 237},
  [2060] = {.lex_state = 237},
  [2061] = {.lex_state = 237},
  [2062] = {.lex_state = 237},
  [2063] = {.lex_state = 237},
  [2064] = {.lex_state = 192},
  [2065] = {.lex_state = 237},
  [2066] = {.lex_state = 237},
  [2067] = {.lex_state = 237},
  [2068] = {.lex_state = 237},
  [2069] = {.lex_state = 237},
  [2070] = {.lex_state = 237},
  [2071] = {.lex_state = 237},
  [2072] = {.lex_state = 227},
  [2073] = {.lex_state = 203},
  [2074] = {.lex_state = 203},
  [2075] = {.lex_state = 203},
  [2076] = {.lex_state = 203},
  [2077] = {.lex_state = 194},
  [2078] = {.lex_state = 203},
  [2079] = {.lex_state = 203},
  [2080] = {.lex_state = 197},
  [2081] = {.lex_state = 203},
  [2082] = {.lex_state = 197},
  [2083] = {.lex_state = 203},
  [2084] = {.lex_state = 203},
  [2085] = {.lex_state = 203},
  [2086] = {.lex_state = 197},
  [2087] = {.lex_state = 203},
  [2088] = {.lex_state = 203},
  [2089] = {.lex_state = 194},
  [2090] = {.lex_state = 203},
  [2091] = {.lex_state = 197},
  [2092] = {.lex_state = 197},
  [2093] = {.lex_state = 194},
  [2094] = {.lex_state = 194},
  [2095] = {.lex_state = 236},
  [2096] = {.lex_state = 236},
  [2097] = {.lex_state = 236},
  [2098] = {.lex_state = 236},
  [2099] = {.lex_state = 236},
  [2100] = {.lex_state = 236},
  [2101] = {.lex_state = 236},
  [2102] = {.lex_state = 235},
  [2103] = {.lex_state = 236},
  [2104] = {.lex_state = 236},
  [2105] = {.lex_state = 178},
  [2106] = {.lex_state = 227},
  [2107] = {.lex_state = 201},
  [2108] = {.lex_state = 236},
  [2109] = {.lex_state = 236},
  [2110] = {.lex_state = 236},
  [2111] = {.lex_state = 201},
  [2112] = {.lex_state = 238},
  [2113] = {.lex_state = 238},
  [2114] = {.lex_state = 236},
  [2115] = {.lex_state = 235},
  [2116] = {.lex_state = 236},
  [2117] = {.lex_state = 236},
  [2118] = {.lex_state = 194},
  [2119] = {.lex_state = 203},
  [2120] = {.lex_state = 194},
  [2121] = {.lex_state = 236},
  [2122] = {.lex_state = 238},
  [2123] = {.lex_state = 236},
  [2124] = {.lex_state = 236},
  [2125] = {.lex_state = 194},
  [2126] = {.lex_state = 227},
  [2127] = {.lex_state = 194},
  [2128] = {.lex_state = 185},
  [2129] = {.lex_state = 178},
  [2130] = {.lex_state = 238},
  [2131] = {.lex_state = 238},
  [2132] = {.lex_state = 176},
  [2133] = {.lex_state = 238},
  [2134] = {.lex_state = 185},
  [2135] = {.lex_state = 181},
  [2136] = {.lex_state = 181},
  [2137] = {.lex_state = 176},
  [2138] = {.lex_state = 238},
  [2139] = {.lex_state = 178},
  [2140] = {.lex_state = 197},
  [2141] = {.lex_state = 185},
  [2142] = {.lex_state = 194},
  [2143] = {.lex_state = 178},
  [2144] = {.lex_state = 176},
  [2145] = {.lex_state = 178},
  [2146] = {.lex_state = 176},
  [2147] = {.lex_state = 238},
  [2148] = {.lex_state = 197},
  [2149] = {.lex_state = 197},
  [2150] = {.lex_state = 176},
  [2151] = {.lex_state = 176},
  [2152] = {.lex_state = 195},
  [2153] = {.lex_state = 197},
  [2154] = {.lex_state = 184},
  [2155] = {.lex_state = 197},
  [2156] = {.lex_state = 194},
  [2157] = {.lex_state = 236},
  [2158] = {.lex_state = 197},
  [2159] = {.lex_state = 194},
  [2160] = {.lex_state = 194},
  [2161] = {.lex_state = 197},
  [2162] = {.lex_state = 236},
  [2163] = {.lex_state = 203},
  [2164] = {.lex_state = 197},
  [2165] = {.lex_state = 197},
  [2166] = {.lex_state = 195},
  [2167] = {.lex_state = 197},
  [2168] = {.lex_state = 197},
  [2169] = {.lex_state = 184},
  [2170] = {.lex_state = 197},
  [2171] = {.lex_state = 197},
  [2172] = {.lex_state = 182},
  [2173] = {.lex_state = 236},
  [2174] = {.lex_state = 176},
  [2175] = {.lex_state = 176},
  [2176] = {.lex_state = 197},
  [2177] = {.lex_state = 197},
  [2178] = {.lex_state = 176},
  [2179] = {.lex_state = 195},
  [2180] = {.lex_state = 195},
  [2181] = {.lex_state = 197},
  [2182] = {.lex_state = 195},
  [2183] = {.lex_state = 182},
  [2184] = {.lex_state = 194},
  [2185] = {.lex_state = 176},
  [2186] = {.lex_state = 176},
  [2187] = {.lex_state = 176},
  [2188] = {.lex_state = 184},
  [2189] = {.lex_state = 227},
  [2190] = {.lex_state = 203},
  [2191] = {.lex_state = 197},
  [2192] = {.lex_state = 195},
  [2193] = {.lex_state = 201},
  [2194] = {.lex_state = 197},
  [2195] = {.lex_state = 197},
  [2196] = {.lex_state = 194},
  [2197] = {.lex_state = 176},
  [2198] = {.lex_state = 194},
  [2199] = {.lex_state = 197},
  [2200] = {.lex_state = 197},
  [2201] = {.lex_state = 197},
  [2202] = {.lex_state = 226},
  [2203] = {.lex_state = 226},
  [2204] = {.lex_state = 197},
  [2205] = {.lex_state = 197},
  [2206] = {.lex_state = 226},
  [2207] = {.lex_state = 197},
  [2208] = {.lex_state = 186},
  [2209] = {.lex_state = 195},
  [2210] = {.lex_state = 195},
  [2211] = {.lex_state = 195},
  [2212] = {.lex_state = 197},
  [2213] = {.lex_state = 197},
  [2214] = {.lex_state = 197},
  [2215] = {.lex_state = 203},
  [2216] = {.lex_state = 197},
  [2217] = {.lex_state = 197},
  [2218] = {.lex_state = 226},
  [2219] = {.lex_state = 195},
  [2220] = {.lex_state = 197},
  [2221] = {.lex_state = 176},
  [2222] = {.lex_state = 197},
  [2223] = {.lex_state = 195},
  [2224] = {.lex_state = 178},
  [2225] = {.lex_state = 178},
  [2226] = {.lex_state = 195},
  [2227] = {.lex_state = 194},
  [2228] = {.lex_state = 203},
  [2229] = {.lex_state = 203},
  [2230] = {.lex_state = 203},
  [2231] = {.lex_state = 203},
  [2232] = {.lex_state = 203},
  [2233] = {.lex_state = 226},
  [2234] = {.lex_state = 195},
  [2235] = {.lex_state = 194},
  [2236] = {.lex_state = 195},
  [2237] = {.lex_state = 195},
  [2238] = {.lex_state = 188},
  [2239] = {.lex_state = 194},
  [2240] = {.lex_state = 197},
  [2241] = {.lex_state = 197},
  [2242] = {.lex_state = 195},
  [2243] = {.lex_state = 226},
  [2244] = {.lex_state = 226},
  [2245] = {.lex_state = 197},
  [2246] = {.lex_state = 197},
  [2247] = {.lex_state = 178},
  [2248] = {.lex_state = 194},
  [2249] = {.lex_state = 195},
  [2250] = {.lex_state = 197},
  [2251] = {.lex_state = 197},
  [2252] = {.lex_state = 188},
  [2253] = {.lex_state = 178},
  [2254] = {.lex_state = 197},
  [2255] = {.lex_state = 197},
  [2256] = {.lex_state = 197},
  [2257] = {.lex_state = 194},
  [2258] = {.lex_state = 197},
  [2259] = {.lex_state = 186},
  [2260] = {.lex_state = 226},
  [2261] = {.lex_state = 195},
  [2262] = {.lex_state = 226},
  [2263] = {.lex_state = 197},
  [2264] = {.lex_state = 176},
  [2265] = {.lex_state = 197},
  [2266] = {.lex_state = 197},
  [2267] = {.lex_state = 197},
  [2268] = {.lex_state = 197},
  [2269] = {.lex_state = 176},
  [2270] = {.lex_state = 188},
  [2271] = {.lex_state = 226},
  [2272] = {.lex_state = 226},
  [2273] = {.lex_state = 203},
  [2274] = {.lex_state = 203},
  [2275] = {.lex_state = 203},
  [2276] = {.lex_state = 203},
  [2277] = {.lex_state = 197},
  [2278] = {.lex_state = 194},
  [2279] = {.lex_state = 194},
  [2280] = {.lex_state = 226},
  [2281] = {.lex_state = 197},
  [2282] = {.lex_state = 226},
  [2283] = {.lex_state = 197},
  [2284] = {.lex_state = 194},
  [2285] = {.lex_state = 197},
  [2286] = {.lex_state = 194},
  [2287] = {.lex_state = 194},
  [2288] = {.lex_state = 194},
  [2289] = {.lex_state = 194},
  [2290] = {.lex_state = 194},
  [2291] = {.lex_state = 226},
  [2292] = {.lex_state = 178},
  [2293] = {.lex_state = 197},
  [2294] = {.lex_state = 197},
  [2295] = {.lex_state = 203},
  [2296] = {.lex_state = 197},
  [2297] = {.lex_state = 197},
  [2298] = {.lex_state = 201},
  [2299] = {.lex_state = 197},
  [2300] = {.lex_state = 203},
  [2301] = {.lex_state = 197},
  [2302] = {.lex_state = 197},
  [2303] = {.lex_state = 197},
  [2304] = {.lex_state = 194},
  [2305] = {.lex_state = 238},
  [2306] = {.lex_state = 194},
  [2307] = {.lex_state = 194},
  [2308] = {.lex_state = 197},
  [2309] = {.lex_state = 197},
  [2310] = {.lex_state = 197},
  [2311] = {.lex_state = 197},
  [2312] = {.lex_state = 184},
  [2313] = {.lex_state = 197},
  [2314] = {.lex_state = 178},
  [2315] = {.lex_state = 197},
  [2316] = {.lex_state = 178},
  [2317] = {.lex_state = 197},
  [2318] = {.lex_state = 238},
  [2319] = {.lex_state = 197},
  [2320] = {.lex_state = 197},
  [2321] = {.lex_state = 238},
  [2322] = {.lex_state = 238},
  [2323] = {.lex_state = 197},
  [2324] = {.lex_state = 238},
  [2325] = {.lex_state = 194},
  [2326] = {.lex_state = 178},
  [2327] = {.lex_state = 197},
  [2328] = {.lex_state = 197},
  [2329] = {.lex_state = 197},
  [2330] = {.lex_state = 178},
  [2331] = {.lex_state = 197},
  [2332] = {.lex_state = 226},
  [2333] = {.lex_state = 197},
  [2334] = {.lex_state = 197},
  [2335] = {.lex_state = 236},
  [2336] = {.lex_state = 238},
  [2337] = {.lex_state = 238},
  [2338] = {.lex_state = 194},
  [2339] = {.lex_state = 200},
  [2340] = {.lex_state = 238},
  [2341] = {.lex_state = 178},
  [2342] = {.lex_state = 238},
  [2343] = {.lex_state = 238},
  [2344] = {.lex_state = 188},
  [2345] = {.lex_state = 238},
  [2346] = {.lex_state = 184},
  [2347] = {.lex_state = 195},
  [2348] = {.lex_state = 178},
  [2349] = {.lex_state = 238},
  [2350] = {.lex_state = 238},
  [2351] = {.lex_state = 197},
  [2352] = {.lex_state = 238},
  [2353] = {.lex_state = 184},
  [2354] = {.lex_state = 195},
  [2355] = {.lex_state = 184},
  [2356] = {.lex_state = 238},
  [2357] = {.lex_state = 184},
  [2358] = {.lex_state = 238},
  [2359] = {.lex_state = 207},
  [2360] = {.lex_state = 238},
  [2361] = {.lex_state = 178},
  [2362] = {.lex_state = 238},
  [2363] = {.lex_state = 238},
  [2364] = {.lex_state = 238},
  [2365] = {.lex_state = 194},
  [2366] = {.lex_state = 194},
  [2367] = {.lex_state = 236},
  [2368] = {.lex_state = 195},
  [2369] = {.lex_state = 238},
  [2370] = {.lex_state = 238},
  [2371] = {.lex_state = 195},
  [2372] = {.lex_state = 238},
  [2373] = {.lex_state = 238},
  [2374] = {.lex_state = 238},
  [2375] = {.lex_state = 206},
  [2376] = {.lex_state = 174},
  [2377] = {.lex_state = 238},
  [2378] = {.lex_state = 238},
  [2379] = {.lex_state = 238},
  [2380] = {.lex_state = 238},
  [2381] = {.lex_state = 184},
  [2382] = {.lex_state = 238},
  [2383] = {.lex_state = 238},
  [2384] = {.lex_state = 197},
  [2385] = {.lex_state = 195},
  [2386] = {.lex_state = 178},
  [2387] = {.lex_state = 238},
  [2388] = {.lex_state = 197},
  [2389] = {.lex_state = 238},
  [2390] = {.lex_state = 197},
  [2391] = {.lex_state = 236},
  [2392] = {.lex_state = 197},
  [2393] = {.lex_state = 238},
  [2394] = {.lex_state = 238},
  [2395] = {.lex_state = 197},
  [2396] = {.lex_state = 194},
  [2397] = {.lex_state = 194},
  [2398] = {.lex_state = 194},
  [2399] = {.lex_state = 174},
  [2400] = {.lex_state = 238},
  [2401] = {.lex_state = 184},
  [2402] = {.lex_state = 197},
  [2403] = {.lex_state = 197},
  [2404] = {.lex_state = 238},
  [2405] = {.lex_state = 238},
  [2406] = {.lex_state = 194},
  [2407] = {.lex_state = 195},
  [2408] = {.lex_state = 238},
  [2409] = {.lex_state = 184},
  [2410] = {.lex_state = 194},
  [2411] = {.lex_state = 238},
  [2412] = {.lex_state = 197},
  [2413] = {.lex_state = 238},
  [2414] = {.lex_state = 238},
  [2415] = {.lex_state = 238},
  [2416] = {.lex_state = 238},
  [2417] = {.lex_state = 197},
  [2418] = {.lex_state = 197},
  [2419] = {.lex_state = 197},
  [2420] = {.lex_state = 197},
  [2421] = {.lex_state = 197},
  [2422] = {.lex_state = 197},
  [2423] = {.lex_state = 197},
  [2424] = {.lex_state = 225},
  [2425] = {.lex_state = 197},
  [2426] = {.lex_state = 225},
  [2427] = {.lex_state = 184},
  [2428] = {.lex_state = 197},
  [2429] = {.lex_state = 197},
  [2430] = {.lex_state = 197},
  [2431] = {.lex_state = 197},
  [2432] = {.lex_state = 197},
  [2433] = {.lex_state = 197},
  [2434] = {.lex_state = 197},
  [2435] = {.lex_state = 197},
  [2436] = {.lex_state = 230},
  [2437] = {.lex_state = 197},
  [2438] = {.lex_state = 188},
  [2439] = {.lex_state = 197},
  [2440] = {.lex_state = 188},
  [2441] = {.lex_state = 188},
  [2442] = {.lex_state = 197},
  [2443] = {.lex_state = 197},
  [2444] = {.lex_state = 213},
  [2445] = {.lex_state = 197},
  [2446] = {.lex_state = 197},
  [2447] = {.lex_state = 197},
  [2448] = {.lex_state = 197},
  [2449] = {.lex_state = 197},
  [2450] = {.lex_state = 197},
  [2451] = {.lex_state = 197},
  [2452] = {.lex_state = 197},
  [2453] = {.lex_state = 197},
  [2454] = {.lex_state = 226},
  [2455] = {.lex_state = 197},
  [2456] = {.lex_state = 197},
  [2457] = {.lex_state = 197},
  [2458] = {.lex_state = 225},
  [2459] = {.lex_state = 225},
  [2460] = {.lex_state = 225},
  [2461] = {.lex_state = 197},
  [2462] = {.lex_state = 197},
  [2463] = {.lex_state = 197},
  [2464] = {.lex_state = 197},
  [2465] = {.lex_state = 197},
  [2466] = {.lex_state = 225},
  [2467] = {.lex_state = 197},
  [2468] = {.lex_state = 197},
  [2469] = {.lex_state = 197},
  [2470] = {.lex_state = 197},
  [2471] = {.lex_state = 197},
  [2472] = {.lex_state = 197},
  [2473] = {.lex_state = 225},
  [2474] = {.lex_state = 225},
  [2475] = {.lex_state = 225},
  [2476] = {.lex_state = 197},
  [2477] = {.lex_state = 197},
  [2478] = {.lex_state = 226},
  [2479] = {.lex_state = 197},
  [2480] = {.lex_state = 238},
  [2481] = {.lex_state = 197},
  [2482] = {.lex_state = 184},
  [2483] = {.lex_state = 197},
  [2484] = {.lex_state = 230},
  [2485] = {.lex_state = 197},
  [2486] = {.lex_state = 197},
  [2487] = {.lex_state = 238},
  [2488] = {.lex_state = 197},
  [2489] = {.lex_state = 197},
  [2490] = {.lex_state = 197},
  [2491] = {.lex_state = 197},
  [2492] = {.lex_state = 197},
  [2493] = {.lex_state = 197},
  [2494] = {.lex_state = 197},
  [2495] = {.lex_state = 197},
  [2496] = {.lex_state = 197},
  [2497] = {.lex_state = 230},
  [2498] = {.lex_state = 238},
  [2499] = {.lex_state = 230},
  [2500] = {.lex_state = 225},
  [2501] = {.lex_state = 197},
  [2502] = {.lex_state = 197},
  [2503] = {.lex_state = 197},
  [2504] = {.lex_state = 197},
  [2505] = {.lex_state = 184},
  [2506] = {.lex_state = 188},
  [2507] = {.lex_state = 197},
  [2508] = {.lex_state = 197},
  [2509] = {.lex_state = 225},
  [2510] = {.lex_state = 235},
  [2511] = {.lex_state = 235},
  [2512] = {.lex_state = 197},
  [2513] = {.lex_state = 197},
  [2514] = {.lex_state = 197},
  [2515] = {.lex_state = 197},
  [2516] = {.lex_state = 197},
  [2517] = {.lex_state = 197},
  [2518] = {.lex_state = 197},
  [2519] = {.lex_state = 197},
  [2520] = {.lex_state = 197},
  [2521] = {.lex_state = 214},
  [2522] = {.lex_state = 184},
  [2523] = {.lex_state = 225},
  [2524] = {.lex_state = 197},
  [2525] = {.lex_state = 197},
  [2526] = {.lex_state = 197},
  [2527] = {.lex_state = 238},
  [2528] = {.lex_state = 226},
  [2529] = {.lex_state = 226},
  [2530] = {.lex_state = 206},
  [2531] = {.lex_state = 238},
  [2532] = {.lex_state = 206},
  [2533] = {.lex_state = 238},
  [2534] = {.lex_state = 238},
  [2535] = {.lex_state = 226},
  [2536] = {.lex_state = 174},
  [2537] = {.lex_state = 174},
  [2538] = {.lex_state = 226},
  [2539] = {.lex_state = 174},
  [2540] = {.lex_state = 174},
  [2541] = {.lex_state = 174},
  [2542] = {.lex_state = 225},
  [2543] = {.lex_state = 174},
  [2544] = {.lex_state = 238},
  [2545] = {.lex_state = 174},
  [2546] = {.lex_state = 238},
  [2547] = {.lex_state = 238},
  [2548] = {.lex_state = 174},
  [2549] = {.lex_state = 188},
  [2550] = {.lex_state = 238},
  [2551] = {.lex_state = 174},
  [2552] = {.lex_state = 206},
  [2553] = {.lex_state = 174},
  [2554] = {.lex_state = 174},
  [2555] = {.lex_state = 238},
  [2556] = {.lex_state = 238},
  [2557] = {.lex_state = 238},
  [2558] = {.lex_state = 238},
  [2559] = {.lex_state = 238},
  [2560] = {.lex_state = 238},
  [2561] = {.lex_state = 184},
  [2562] = {.lex_state = 188},
  [2563] = {.lex_state = 226},
  [2564] = {.lex_state = 174},
  [2565] = {.lex_state = 226},
  [2566] = {.lex_state = 225},
  [2567] = {.lex_state = 206},
  [2568] = {.lex_state = 174},
  [2569] = {.lex_state = 174},
  [2570] = {.lex_state = 206},
  [2571] = {.lex_state = 238},
  [2572] = {.lex_state = 238},
  [2573] = {.lex_state = 238},
  [2574] = {.lex_state = 226},
  [2575] = {.lex_state = 174},
  [2576] = {.lex_state = 206},
  [2577] = {.lex_state = 226},
  [2578] = {.lex_state = 226},
  [2579] = {.lex_state = 174},
  [2580] = {.lex_state = 174},
  [2581] = {.lex_state = 174},
  [2582] = {.lex_state = 174},
  [2583] = {.lex_state = 226},
  [2584] = {.lex_state = 226},
  [2585] = {.lex_state = 206},
  [2586] = {.lex_state = 188},
  [2587] = {.lex_state = 226},
  [2588] = {.lex_state = 206},
  [2589] = {.lex_state = 226},
  [2590] = {.lex_state = 206},
  [2591] = {.lex_state = 206},
  [2592] = {.lex_state = 238},
  [2593] = {.lex_state = 226},
  [2594] = {.lex_state = 188},
  [2595] = {.lex_state = 206},
  [2596] = {.lex_state = 206},
  [2597] = {.lex_state = 206},
  [2598] = {.lex_state = 206},
  [2599] = {.lex_state = 238},
  [2600] = {.lex_state = 238},
  [2601] = {.lex_state = 174},
  [2602] = {.lex_state = 238},
  [2603] = {.lex_state = 206},
  [2604] = {.lex_state = 226},
  [2605] = {.lex_state = 226},
  [2606] = {.lex_state = 226},
  [2607] = {.lex_state = 226},
  [2608] = {.lex_state = 226},
  [2609] = {.lex_state = 226},
  [2610] = {.lex_state = 226},
  [2611] = {.lex_state = 235},
  [2612] = {.lex_state = 206},
  [2613] = {.lex_state = 206},
  [2614] = {.lex_state = 213},
  [2615] = {.lex_state = 226},
  [2616] = {.lex_state = 226},
  [2617] = {.lex_state = 226},
  [2618] = {.lex_state = 226},
  [2619] = {.lex_state = 226},
  [2620] = {.lex_state = 213},
  [2621] = {.lex_state = 226},
  [2622] = {.lex_state = 226},
  [2623] = {.lex_state = 226},
  [2624] = {.lex_state = 206},
  [2625] = {.lex_state = 213},
  [2626] = {.lex_state = 184},
  [2627] = {.lex_state = 213},
  [2628] = {.lex_state = 226},
  [2629] = {.lex_state = 226},
  [2630] = {.lex_state = 226},
  [2631] = {.lex_state = 201},
  [2632] = {.lex_state = 226},
  [2633] = {.lex_state = 206},
  [2634] = {.lex_state = 213},
  [2635] = {.lex_state = 226},
  [2636] = {.lex_state = 226},
  [2637] = {.lex_state = 226},
  [2638] = {.lex_state = 206},
  [2639] = {.lex_state = 226},
  [2640] = {.lex_state = 226},
  [2641] = {.lex_state = 213},
  [2642] = {.lex_state = 213},
  [2643] = {.lex_state = 226},
  [2644] = {.lex_state = 207},
  [2645] = {.lex_state = 207},
  [2646] = {.lex_state = 226},
  [2647] = {.lex_state = 235},
  [2648] = {.lex_state = 206},
  [2649] = {.lex_state = 213},
  [2650] = {.lex_state = 213},
  [2651] = {.lex_state = 226},
  [2652] = {.lex_state = 206},
  [2653] = {.lex_state = 213},
  [2654] = {.lex_state = 226},
  [2655] = {.lex_state = 184},
  [2656] = {.lex_state = 226},
  [2657] = {.lex_state = 180},
  [2658] = {.lex_state = 213},
  [2659] = {.lex_state = 213},
  [2660] = {.lex_state = 213},
  [2661] = {.lex_state = 184},
  [2662] = {.lex_state = 213},
  [2663] = {.lex_state = 213},
  [2664] = {.lex_state = 180},
  [2665] = {.lex_state = 226},
  [2666] = {.lex_state = 180},
  [2667] = {.lex_state = 184},
  [2668] = {.lex_state = 226},
  [2669] = {.lex_state = 238},
  [2670] = {.lex_state = 226},
  [2671] = {.lex_state = 226},
  [2672] = {.lex_state = 226},
  [2673] = {.lex_state = 226},
  [2674] = {.lex_state = 240},
  [2675] = {.lex_state = 226},
  [2676] = {.lex_state = 226},
  [2677] = {.lex_state = 226},
  [2678] = {.lex_state = 238},
  [2679] = {.lex_state = 201},
  [2680] = {.lex_state = 207},
  [2681] = {.lex_state = 226},
  [2682] = {.lex_state = 236},
  [2683] = {.lex_state = 213},
  [2684] = {.lex_state = 206},
  [2685] = {.lex_state = 207},
  [2686] = {.lex_state = 222},
  [2687] = {.lex_state = 224},
  [2688] = {.lex_state = 224},
  [2689] = {.lex_state = 238},
  [2690] = {.lex_state = 222},
  [2691] = {.lex_state = 222},
  [2692] = {.lex_state = 238},
  [2693] = {.lex_state = 184},
  [2694] = {.lex_state = 184},
  [2695] = {.lex_state = 184},
  [2696] = {.lex_state = 224},
  [2697] = {.lex_state = 213},
  [2698] = {.lex_state = 222},
  [2699] = {.lex_state = 222},
  [2700] = {.lex_state = 222},
  [2701] = {.lex_state = 238},
  [2702] = {.lex_state = 213},
  [2703] = {.lex_state = 213},
  [2704] = {.lex_state = 206},
  [2705] = {.lex_state = 213},
  [2706] = {.lex_state = 222},
  [2707] = {.lex_state = 213},
  [2708] = {.lex_state = 184},
  [2709] = {.lex_state = 214},
  [2710] = {.lex_state = 214},
  [2711] = {.lex_state = 214},
  [2712] = {.lex_state = 238},
  [2713] = {.lex_state = 206},
  [2714] = {.lex_state = 206},
  [2715] = {.lex_state = 206},
  [2716] = {.lex_state = 206},
  [2717] = {.lex_state = 238},
  [2718] = {.lex_state = 222},
  [2719] = {.lex_state = 222},
  [2720] = {.lex_state = 222},
  [2721] = {.lex_state = 206},
  [2722] = {.lex_state = 222},
  [2723] = {.lex_state = 222},
  [2724] = {.lex_state = 206},
  [2725] = {.lex_state = 206},
  [2726] = {.lex_state = 206},
  [2727] = {.lex_state = 222},
  [2728] = {.lex_state = 222},
  [2729] = {.lex_state = 238},
  [2730] = {.lex_state = 206},
  [2731] = {.lex_state = 206},
  [2732] = {.lex_state = 222},
  [2733] = {.lex_state = 206},
  [2734] = {.lex_state = 213},
  [2735] = {.lex_state = 206},
  [2736] = {.lex_state = 222},
  [2737] = {.lex_state = 222},
  [2738] = {.lex_state = 222},
  [2739] = {.lex_state = 206},
  [2740] = {.lex_state = 206},
  [2741] = {.lex_state = 206},
  [2742] = {.lex_state = 206},
  [2743] = {.lex_state = 206},
  [2744] = {.lex_state = 222},
  [2745] = {.lex_state = 222},
  [2746] = {.lex_state = 206},
  [2747] = {.lex_state = 206},
  [2748] = {.lex_state = 206},
  [2749] = {.lex_state = 206},
  [2750] = {.lex_state = 222},
  [2751] = {.lex_state = 194},
  [2752] = {.lex_state = 239},
  [2753] = {.lex_state = 207},
  [2754] = {.lex_state = 213},
  [2755] = {.lex_state = 236},
  [2756] = {.lex_state = 174},
  [2757] = {.lex_state = 207},
  [2758] = {.lex_state = 180},
  [2759] = {.lex_state = 213},
  [2760] = {.lex_state = 239},
  [2761] = {.lex_state = 206},
  [2762] = {.lex_state = 180},
  [2763] = {.lex_state = 236},
  [2764] = {.lex_state = 195},
  [2765] = {.lex_state = 236},
  [2766] = {.lex_state = 180},
  [2767] = {.lex_state = 206},
  [2768] = {.lex_state = 213},
  [2769] = {.lex_state = 194},
  [2770] = {.lex_state = 213},
  [2771] = {.lex_state = 206},
  [2772] = {.lex_state = 194},
  [2773] = {.lex_state = 194},
  [2774] = {.lex_state = 194},
  [2775] = {.lex_state = 194},
  [2776] = {.lex_state = 236},
  [2777] = {.lex_state = 194},
  [2778] = {.lex_state = 201},
  [2779] = {.lex_state = 238},
  [2780] = {.lex_state = 194},
  [2781] = {.lex_state = 195},
  [2782] = {.lex_state = 195},
  [2783] = {.lex_state = 195},
  [2784] = {.lex_state = 195},
  [2785] = {.lex_state = 206},
  [2786] = {.lex_state = 194},
  [2787] = {.lex_state = 236},
  [2788] = {.lex_state = 195},
  [2789] = {.lex_state = 206},
  [2790] = {.lex_state = 194},
  [2791] = {.lex_state = 194},
  [2792] = {.lex_state = 213},
  [2793] = {.lex_state = 194},
  [2794] = {.lex_state = 236},
  [2795] = {.lex_state = 236},
  [2796] = {.lex_state = 206},
  [2797] = {.lex_state = 195},
  [2798] = {.lex_state = 236},
  [2799] = {.lex_state = 236},
  [2800] = {.lex_state = 201},
  [2801] = {.lex_state = 206},
  [2802] = {.lex_state = 236},
  [2803] = {.lex_state = 206},
  [2804] = {.lex_state = 236},
  [2805] = {.lex_state = 239},
  [2806] = {.lex_state = 236},
  [2807] = {.lex_state = 194},
  [2808] = {.lex_state = 206},
  [2809] = {.lex_state = 206},
  [2810] = {.lex_state = 206},
  [2811] = {.lex_state = 206},
  [2812] = {.lex_state = 206},
  [2813] = {.lex_state = 236},
  [2814] = {.lex_state = 194},
  [2815] = {.lex_state = 180},
  [2816] = {.lex_state = 206},
  [2817] = {.lex_state = 194},
  [2818] = {.lex_state = 236},
  [2819] = {.lex_state = 206},
  [2820] = {.lex_state = 206},
  [2821] = {.lex_state = 206},
  [2822] = {.lex_state = 206},
  [2823] = {.lex_state = 213},
  [2824] = {.lex_state = 206},
  [2825] = {.lex_state = 194},
  [2826] = {.lex_state = 206},
  [2827] = {.lex_state = 206},
  [2828] = {.lex_state = 206},
  [2829] = {.lex_state = 238},
  [2830] = {.lex_state = 194},
  [2831] = {.lex_state = 206},
  [2832] = {.lex_state = 206},
  [2833] = {.lex_state = 238},
  [2834] = {.lex_state = 194},
  [2835] = {.lex_state = 201},
  [2836] = {.lex_state = 198},
  [2837] = {.lex_state = 201},
  [2838] = {.lex_state = 201},
  [2839] = {.lex_state = 201},
  [2840] = {.lex_state = 201},
  [2841] = {.lex_state = 201},
  [2842] = {.lex_state = 213},
  [2843] = {.lex_state = 213},
  [2844] = {.lex_state = 238},
  [2845] = {.lex_state = 238},
  [2846] = {.lex_state = 201},
  [2847] = {.lex_state = 201},
  [2848] = {.lex_state = 193},
  [2849] = {.lex_state = 238},
  [2850] = {.lex_state = 225},
  [2851] = {.lex_state = 201},
  [2852] = {.lex_state = 201},
  [2853] = {.lex_state = 238},
  [2854] = {.lex_state = 213},
  [2855] = {.lex_state = 238},
  [2856] = {.lex_state = 239},
  [2857] = {.lex_state = 207},
  [2858] = {.lex_state = 201},
  [2859] = {.lex_state = 236},
  [2860] = {.lex_state = 238},
  [2861] = {.lex_state = 238},
  [2862] = {.lex_state = 239},
  [2863] = {.lex_state = 239},
  [2864] = {.lex_state = 206},
  [2865] = {.lex_state = 236},
  [2866] = {.lex_state = 201},
  [2867] = {.lex_state = 201},
  [2868] = {.lex_state = 206},
  [2869] = {.lex_state = 213},
  [2870] = {.lex_state = 236},
  [2871] = {.lex_state = 213},
  [2872] = {.lex_state = 213},
  [2873] = {.lex_state = 201},
  [2874] = {.lex_state = 213},
  [2875] = {.lex_state = 201},
  [2876] = {.lex_state = 201},
  [2877] = {.lex_state = 236},
  [2878] = {.lex_state = 238},
  [2879] = {.lex_state = 213},
  [2880] = {.lex_state = 213},
  [2881] = {.lex_state = 201},
  [2882] = {.lex_state = 206},
  [2883] = {.lex_state = 236},
  [2884] = {.lex_state = 201},
  [2885] = {.lex_state = 238},
  [2886] = {.lex_state = 201},
  [2887] = {.lex_state = 206},
  [2888] = {.lex_state = 198},
  [2889] = {.lex_state = 213},
  [2890] = {.lex_state = 238},
  [2891] = {.lex_state = 201},
  [2892] = {.lex_state = 201},
  [2893] = {.lex_state = 213},
  [2894] = {.lex_state = 213},
  [2895] = {.lex_state = 206},
  [2896] = {.lex_state = 201},
  [2897] = {.lex_state = 206},
  [2898] = {.lex_state = 201},
  [2899] = {.lex_state = 201},
  [2900] = {.lex_state = 201},
  [2901] = {.lex_state = 238},
  [2902] = {.lex_state = 238},
  [2903] = {.lex_state = 238},
  [2904] = {.lex_state = 201},
  [2905] = {.lex_state = 238},
  [2906] = {.lex_state = 201},
  [2907] = {.lex_state = 206},
  [2908] = {.lex_state = 201},
  [2909] = {.lex_state = 238},
  [2910] = {.lex_state = 238},
  [2911] = {.lex_state = 198},
  [2912] = {.lex_state = 239},
  [2913] = {.lex_state = 206},
  [2914] = {.lex_state = 194},
  [2915] = {.lex_state = 201},
  [2916] = {.lex_state = 238},
  [2917] = {.lex_state = 194},
  [2918] = {.lex_state = 238},
  [2919] = {.lex_state = 191},
  [2920] = {.lex_state = 194},
  [2921] = {.lex_state = 191},
  [2922] = {.lex_state = 193},
  [2923] = {.lex_state = 213},
  [2924] = {.lex_state = 222},
  [2925] = {.lex_state = 238},
  [2926] = {.lex_state = 238},
  [2927] = {.lex_state = 238},
  [2928] = {.lex_state = 240},
  [2929] = {.lex_state = 206},
  [2930] = {.lex_state = 238},
  [2931] = {.lex_state = 238},
  [2932] = {.lex_state = 238},
  [2933] = {.lex_state = 238},
  [2934] = {.lex_state = 238},
  [2935] = {.lex_state = 194},
  [2936] = {.lex_state = 206},
  [2937] = {.lex_state = 238},
  [2938] = {.lex_state = 206},
  [2939] = {.lex_state = 238},
  [2940] = {.lex_state = 206},
  [2941] = {.lex_state = 206},
  [2942] = {.lex_state = 213},
  [2943] = {.lex_state = 236},
  [2944] = {.lex_state = 194},
  [2945] = {.lex_state = 206},
  [2946] = {.lex_state = 206},
  [2947] = {.lex_state = 238},
  [2948] = {.lex_state = 238},
  [2949] = {.lex_state = 238},
  [2950] = {.lex_state = 238},
  [2951] = {.lex_state = 238},
  [2952] = {.lex_state = 213},
  [2953] = {.lex_state = 213},
  [2954] = {.lex_state = 222},
  [2955] = {.lex_state = 238},
  [2956] = {.lex_state = 191},
  [2957] = {.lex_state = 191},
  [2958] = {.lex_state = 238},
  [2959] = {.lex_state = 194},
  [2960] = {.lex_state = 198},
  [2961] = {.lex_state = 238},
  [2962] = {.lex_state = 238},
  [2963] = {.lex_state = 238},
  [2964] = {.lex_state = 194},
  [2965] = {.lex_state = 194},
  [2966] = {.lex_state = 194},
  [2967] = {.lex_state = 206},
  [2968] = {.lex_state = 194},
  [2969] = {.lex_state = 194},
  [2970] = {.lex_state = 238},
  [2971] = {.lex_state = 194},
  [2972] = {.lex_state = 191},
  [2973] = {.lex_state = 194},
  [2974] = {.lex_state = 194},
  [2975] = {.lex_state = 213},
  [2976] = {.lex_state = 206},
  [2977] = {.lex_state = 191},
  [2978] = {.lex_state = 238},
  [2979] = {.lex_state = 194},
  [2980] = {.lex_state = 222},
  [2981] = {.lex_state = 239},
  [2982] = {.lex_state = 194},
  [2983] = {.lex_state = 194},
  [2984] = {.lex_state = 206},
  [2985] = {.lex_state = 222},
  [2986] = {.lex_state = 194},
  [2987] = {.lex_state = 222},
  [2988] = {.lex_state = 222},
  [2989] = {.lex_state = 206},
  [2990] = {.lex_state = 198},
  [2991] = {.lex_state = 213},
  [2992] = {.lex_state = 198},
  [2993] = {.lex_state = 238},
  [2994] = {.lex_state = 238},
  [2995] = {.lex_state = 194},
  [2996] = {.lex_state = 206},
  [2997] = {.lex_state = 168},
  [2998] = {.lex_state = 194},
  [2999] = {.lex_state = 194},
  [3000] = {.lex_state = 194},
  [3001] = {.lex_state = 194},
  [3002] = {.lex_state = 194},
  [3003] = {.lex_state = 194},
  [3004] = {.lex_state = 168},
  [3005] = {.lex_state = 194},
  [3006] = {.lex_state = 206},
  [3007] = {.lex_state = 238},
  [3008] = {.lex_state = 216},
  [3009] = {.lex_state = 194},
  [3010] = {.lex_state = 206},
  [3011] = {.lex_state = 206},
  [3012] = {.lex_state = 191},
  [3013] = {.lex_state = 206},
  [3014] = {.lex_state = 238},
  [3015] = {.lex_state = 206},
  [3016] = {.lex_state = 213},
  [3017] = {.lex_state = 206},
  [3018] = {.lex_state = 206},
  [3019] = {.lex_state = 206},
  [3020] = {.lex_state = 206},
  [3021] = {.lex_state = 191},
  [3022] = {.lex_state = 206},
  [3023] = {.lex_state = 206},
  [3024] = {.lex_state = 216},
  [3025] = {.lex_state = 206},
  [3026] = {.lex_state = 194},
  [3027] = {.lex_state = 194},
  [3028] = {.lex_state = 206},
  [3029] = {.lex_state = 238},
  [3030] = {.lex_state = 206},
  [3031] = {.lex_state = 206},
  [3032] = {.lex_state = 206},
  [3033] = {.lex_state = 206},
  [3034] = {.lex_state = 168},
  [3035] = {.lex_state = 206},
  [3036] = {.lex_state = 206},
  [3037] = {.lex_state = 238},
  [3038] = {.lex_state = 206},
  [3039] = {.lex_state = 194},
  [3040] = {.lex_state = 206},
  [3041] = {.lex_state = 206},
  [3042] = {.lex_state = 194},
  [3043] = {.lex_state = 206},
  [3044] = {.lex_state = 194},
  [3045] = {.lex_state = 206},
  [3046] = {.lex_state = 216},
  [3047] = {.lex_state = 206},
  [3048] = {.lex_state = 206},
  [3049] = {.lex_state = 206},
  [3050] = {.lex_state = 194},
  [3051] = {.lex_state = 180},
  [3052] = {.lex_state = 236},
  [3053] = {.lex_state = 206},
  [3054] = {.lex_state = 206},
  [3055] = {.lex_state = 194},
  [3056] = {.lex_state = 168},
  [3057] = {.lex_state = 206},
  [3058] = {.lex_state = 191},
  [3059] = {.lex_state = 238},
  [3060] = {.lex_state = 206},
  [3061] = {.lex_state = 206},
  [3062] = {.lex_state = 206},
  [3063] = {.lex_state = 194},
  [3064] = {.lex_state = 194},
  [3065] = {.lex_state = 206},
  [3066] = {.lex_state = 206},
  [3067] = {.lex_state = 206},
  [3068] = {.lex_state = 206},
  [3069] = {.lex_state = 216},
  [3070] = {.lex_state = 216},
  [3071] = {.lex_state = 236},
  [3072] = {.lex_state = 213},
  [3073] = {.lex_state = 168},
  [3074] = {.lex_state = 206},
  [3075] = {.lex_state = 206},
  [3076] = {.lex_state = 206},
  [3077] = {.lex_state = 206},
  [3078] = {.lex_state = 206},
  [3079] = {.lex_state = 206},
  [3080] = {.lex_state = 206},
  [3081] = {.lex_state = 206},
  [3082] = {.lex_state = 236},
  [3083] = {.lex_state = 168},
  [3084] = {.lex_state = 206},
  [3085] = {.lex_state = 194},
  [3086] = {.lex_state = 238},
  [3087] = {.lex_state = 206},
  [3088] = {.lex_state = 213},
  [3089] = {.lex_state = 206},
  [3090] = {.lex_state = 206},
  [3091] = {.lex_state = 206},
  [3092] = {.lex_state = 236},
  [3093] = {.lex_state = 222},
  [3094] = {.lex_state = 236},
  [3095] = {.lex_state = 236},
  [3096] = {.lex_state = 236},
  [3097] = {.lex_state = 236},
  [3098] = {.lex_state = 206},
  [3099] = {.lex_state = 236},
  [3100] = {.lex_state = 236},
  [3101] = {.lex_state = 236},
  [3102] = {.lex_state = 206},
  [3103] = {.lex_state = 238},
  [3104] = {.lex_state = 213},
  [3105] = {.lex_state = 213},
  [3106] = {.lex_state = 236},
  [3107] = {.lex_state = 213},
  [3108] = {.lex_state = 236},
  [3109] = {.lex_state = 236},
  [3110] = {.lex_state = 206},
  [3111] = {.lex_state = 236},
  [3112] = {.lex_state = 236},
  [3113] = {.lex_state = 236},
  [3114] = {.lex_state = 236},
  [3115] = {.lex_state = 213},
  [3116] = {.lex_state = 236},
  [3117] = {.lex_state = 236},
  [3118] = {.lex_state = 236},
  [3119] = {.lex_state = 206},
  [3120] = {.lex_state = 236},
  [3121] = {.lex_state = 222},
  [3122] = {.lex_state = 201},
  [3123] = {.lex_state = 216},
  [3124] = {.lex_state = 213},
  [3125] = {.lex_state = 236},
  [3126] = {.lex_state = 238},
  [3127] = {.lex_state = 236},
  [3128] = {.lex_state = 236},
  [3129] = {.lex_state = 213},
  [3130] = {.lex_state = 206},
  [3131] = {.lex_state = 213},
  [3132] = {.lex_state = 236},
  [3133] = {.lex_state = 213},
  [3134] = {.lex_state = 236},
  [3135] = {.lex_state = 236},
  [3136] = {.lex_state = 236},
  [3137] = {.lex_state = 193},
  [3138] = {.lex_state = 236},
  [3139] = {.lex_state = 236},
  [3140] = {.lex_state = 236},
  [3141] = {.lex_state = 206},
  [3142] = {.lex_state = 236},
  [3143] = {.lex_state = 236},
  [3144] = {.lex_state = 236},
  [3145] = {.lex_state = 213},
  [3146] = {.lex_state = 236},
  [3147] = {.lex_state = 213},
  [3148] = {.lex_state = 206},
  [3149] = {.lex_state = 236},
  [3150] = {.lex_state = 236},
  [3151] = {.lex_state = 206},
  [3152] = {.lex_state = 213},
  [3153] = {.lex_state = 180},
  [3154] = {.lex_state = 236},
  [3155] = {.lex_state = 213},
  [3156] = {.lex_state = 213},
  [3157] = {.lex_state = 236},
  [3158] = {.lex_state = 216},
  [3159] = {.lex_state = 213},
  [3160] = {.lex_state = 206},
  [3161] = {.lex_state = 206},
  [3162] = {.lex_state = 213},
  [3163] = {.lex_state = 236},
  [3164] = {.lex_state = 206},
  [3165] = {.lex_state = 236},
  [3166] = {.lex_state = 236},
  [3167] = {.lex_state = 206},
  [3168] = {.lex_state = 236},
  [3169] = {.lex_state = 213},
  [3170] = {.lex_state = 206},
  [3171] = {.lex_state = 206},
  [3172] = {.lex_state = 206},
  [3173] = {.lex_state = 236},
  [3174] = {.lex_state = 206},
  [3175] = {.lex_state = 213},
  [3176] = {.lex_state = 206},
  [3177] = {.lex_state = 206},
  [3178] = {.lex_state = 213},
  [3179] = {.lex_state = 206},
  [3180] = {.lex_state = 206},
  [3181] = {.lex_state = 213},
  [3182] = {.lex_state = 236},
  [3183] = {.lex_state = 206},
  [3184] = {.lex_state = 236},
  [3185] = {.lex_state = 206},
  [3186] = {.lex_state = 236},
  [3187] = {.lex_state = 213},
  [3188] = {.lex_state = 213},
  [3189] = {.lex_state = 236},
  [3190] = {.lex_state = 206},
  [3191] = {.lex_state = 238},
  [3192] = {.lex_state = 206},
  [3193] = {.lex_state = 206},
  [3194] = {.lex_state = 215},
  [3195] = {.lex_state = 206},
  [3196] = {.lex_state = 213},
  [3197] = {.lex_state = 198},
  [3198] = {.lex_state = 213},
  [3199] = {.lex_state = 236},
  [3200] = {.lex_state = 236},
  [3201] = {.lex_state = 213},
  [3202] = {.lex_state = 198},
  [3203] = {.lex_state = 236},
  [3204] = {.lex_state = 206},
  [3205] = {.lex_state = 236},
  [3206] = {.lex_state = 191},
  [3207] = {.lex_state = 213},
  [3208] = {.lex_state = 203},
  [3209] = {.lex_state = 193},
  [3210] = {.lex_state = 238},
  [3211] = {.lex_state = 213},
  [3212] = {.lex_state = 206},
  [3213] = {.lex_state = 180},
  [3214] = {.lex_state = 206},
  [3215] = {.lex_state = 236},
  [3216] = {.lex_state = 206},
  [3217] = {.lex_state = 206},
  [3218] = {.lex_state = 213},
  [3219] = {.lex_state = 213},
  [3220] = {.lex_state = 236},
  [3221] = {.lex_state = 206},
  [3222] = {.lex_state = 213},
  [3223] = {.lex_state = 213},
  [3224] = {.lex_state = 236},
  [3225] = {.lex_state = 213},
  [3226] = {.lex_state = 213},
  [3227] = {.lex_state = 236},
  [3228] = {.lex_state = 236},
  [3229] = {.lex_state = 236},
  [3230] = {.lex_state = 236},
  [3231] = {.lex_state = 238},
  [3232] = {.lex_state = 198},
  [3233] = {.lex_state = 236},
  [3234] = {.lex_state = 222},
  [3235] = {.lex_state = 236},
  [3236] = {.lex_state = 180},
  [3237] = {.lex_state = 238},
  [3238] = {.lex_state = 236},
  [3239] = {.lex_state = 236},
  [3240] = {.lex_state = 208},
  [3241] = {.lex_state = 236},
  [3242] = {.lex_state = 238},
  [3243] = {.lex_state = 213},
  [3244] = {.lex_state = 236},
  [3245] = {.lex_state = 236},
  [3246] = {.lex_state = 238},
  [3247] = {.lex_state = 236},
  [3248] = {.lex_state = 236},
  [3249] = {.lex_state = 213},
  [3250] = {.lex_state = 213},
  [3251] = {.lex_state = 213},
  [3252] = {.lex_state = 194},
  [3253] = {.lex_state = 191},
  [3254] = {.lex_state = 206},
  [3255] = {.lex_state = 213},
  [3256] = {.lex_state = 236},
  [3257] = {.lex_state = 236},
  [3258] = {.lex_state = 236},
  [3259] = {.lex_state = 236},
  [3260] = {.lex_state = 180},
  [3261] = {.lex_state = 236},
  [3262] = {.lex_state = 206},
  [3263] = {.lex_state = 238},
  [3264] = {.lex_state = 213},
  [3265] = {.lex_state = 236},
  [3266] = {.lex_state = 191},
  [3267] = {.lex_state = 206},
  [3268] = {.lex_state = 213},
  [3269] = {.lex_state = 194},
  [3270] = {.lex_state = 236},
  [3271] = {.lex_state = 191},
  [3272] = {.lex_state = 238},
  [3273] = {.lex_state = 203},
  [3274] = {.lex_state = 191},
  [3275] = {.lex_state = 203},
  [3276] = {.lex_state = 213},
  [3277] = {.lex_state = 206},
  [3278] = {.lex_state = 236},
  [3279] = {.lex_state = 197},
  [3280] = {.lex_state = 213},
  [3281] = {.lex_state = 213},
  [3282] = {.lex_state = 213},
  [3283] = {.lex_state = 206},
  [3284] = {.lex_state = 236},
  [3285] = {.lex_state = 239},
  [3286] = {.lex_state = 197},
  [3287] = {.lex_state = 197},
  [3288] = {.lex_state = 203},
  [3289] = {.lex_state = 197},
  [3290] = {.lex_state = 239},
  [3291] = {.lex_state = 206},
  [3292] = {.lex_state = 191},
  [3293] = {.lex_state = 206},
  [3294] = {.lex_state = 213},
  [3295] = {.lex_state = 197},
  [3296] = {.lex_state = 236},
  [3297] = {.lex_state = 197},
  [3298] = {.lex_state = 191},
  [3299] = {.lex_state = 213},
  [3300] = {.lex_state = 194},
  [3301] = {.lex_state = 191},
  [3302] = {.lex_state = 193},
  [3303] = {.lex_state = 193},
  [3304] = {.lex_state = 206},
  [3305] = {.lex_state = 193},
  [3306] = {.lex_state = 191},
  [3307] = {.lex_state = 206},
  [3308] = {.lex_state = 236},
  [3309] = {.lex_state = 240},
  [3310] = {.lex_state = 240},
  [3311] = {.lex_state = 191},
  [3312] = {.lex_state = 191},
  [3313] = {.lex_state = 236},
  [3314] = {.lex_state = 197},
  [3315] = {.lex_state = 239},
  [3316] = {.lex_state = 191},
  [3317] = {.lex_state = 238},
  [3318] = {.lex_state = 239},
  [3319] = {.lex_state = 239},
  [3320] = {.lex_state = 206},
  [3321] = {.lex_state = 203},
  [3322] = {.lex_state = 206},
  [3323] = {.lex_state = 197},
  [3324] = {.lex_state = 213},
  [3325] = {.lex_state = 213},
  [3326] = {.lex_state = 213},
  [3327] = {.lex_state = 197},
  [3328] = {.lex_state = 210},
  [3329] = {.lex_state = 197},
  [3330] = {.lex_state = 197},
  [3331] = {.lex_state = 197},
  [3332] = {.lex_state = 197},
  [3333] = {.lex_state = 197},
  [3334] = {.lex_state = 197},
  [3335] = {.lex_state = 197},
  [3336] = {.lex_state = 197},
  [3337] = {.lex_state = 197},
  [3338] = {.lex_state = 197},
  [3339] = {.lex_state = 197},
  [3340] = {.lex_state = 236},
  [3341] = {.lex_state = 213},
  [3342] = {.lex_state = 236},
  [3343] = {.lex_state = 236},
  [3344] = {.lex_state = 191},
  [3345] = {.lex_state = 191},
  [3346] = {.lex_state = 213},
  [3347] = {.lex_state = 213},
  [3348] = {.lex_state = 213},
  [3349] = {.lex_state = 191},
  [3350] = {.lex_state = 213},
  [3351] = {.lex_state = 193},
  [3352] = {.lex_state = 191},
  [3353] = {.lex_state = 213},
  [3354] = {.lex_state = 206},
  [3355] = {.lex_state = 213},
  [3356] = {.lex_state = 191},
  [3357] = {.lex_state = 213},
  [3358] = {.lex_state = 213},
  [3359] = {.lex_state = 203},
  [3360] = {.lex_state = 236},
  [3361] = {.lex_state = 197},
  [3362] = {.lex_state = 206},
  [3363] = {.lex_state = 197},
  [3364] = {.lex_state = 206},
  [3365] = {.lex_state = 197},
  [3366] = {.lex_state = 212},
  [3367] = {.lex_state = 206},
  [3368] = {.lex_state = 236},
  [3369] = {.lex_state = 203},
  [3370] = {.lex_state = 213},
  [3371] = {.lex_state = 201},
  [3372] = {.lex_state = 213},
  [3373] = {.lex_state = 193},
  [3374] = {.lex_state = 197},
  [3375] = {.lex_state = 210},
  [3376] = {.lex_state = 236},
  [3377] = {.lex_state = 191},
  [3378] = {.lex_state = 191},
  [3379] = {.lex_state = 191},
  [3380] = {.lex_state = 191},
  [3381] = {.lex_state = 236},
  [3382] = {.lex_state = 206},
  [3383] = {.lex_state = 191},
  [3384] = {.lex_state = 213},
  [3385] = {.lex_state = 210},
  [3386] = {.lex_state = 203},
  [3387] = {.lex_state = 191},
  [3388] = {.lex_state = 191},
  [3389] = {.lex_state = 191},
  [3390] = {.lex_state = 213},
  [3391] = {.lex_state = 213},
  [3392] = {.lex_state = 236},
  [3393] = {.lex_state = 203},
  [3394] = {.lex_state = 236},
  [3395] = {.lex_state = 203},
  [3396] = {.lex_state = 193},
  [3397] = {.lex_state = 194},
  [3398] = {.lex_state = 236},
  [3399] = {.lex_state = 203},
  [3400] = {.lex_state = 236},
  [3401] = {.lex_state = 213},
  [3402] = {.lex_state = 240},
  [3403] = {.lex_state = 203},
  [3404] = {.lex_state = 203},
  [3405] = {.lex_state = 206},
  [3406] = {.lex_state = 239},
  [3407] = {.lex_state = 203},
  [3408] = {.lex_state = 239},
  [3409] = {.lex_state = 191},
  [3410] = {.lex_state = 213},
  [3411] = {.lex_state = 203},
  [3412] = {.lex_state = 191},
  [3413] = {.lex_state = 203},
  [3414] = {.lex_state = 213},
  [3415] = {.lex_state = 236},
  [3416] = {.lex_state = 191},
  [3417] = {.lex_state = 203},
  [3418] = {.lex_state = 238},
  [3419] = {.lex_state = 236},
  [3420] = {.lex_state = 213},
  [3421] = {.lex_state = 206},
  [3422] = {.lex_state = 238},
  [3423] = {.lex_state = 191},
  [3424] = {.lex_state = 191},
  [3425] = {.lex_state = 238},
  [3426] = {.lex_state = 236},
  [3427] = {.lex_state = 203},
  [3428] = {.lex_state = 191},
  [3429] = {.lex_state = 197},
  [3430] = {.lex_state = 206},
  [3431] = {.lex_state = 238},
  [3432] = {.lex_state = 194},
  [3433] = {.lex_state = 213},
  [3434] = {.lex_state = 201},
  [3435] = {.lex_state = 239},
  [3436] = {.lex_state = 206},
  [3437] = {.lex_state = 180},
  [3438] = {.lex_state = 206},
  [3439] = {.lex_state = 206},
  [3440] = {.lex_state = 213},
  [3441] = {.lex_state = 206},
  [3442] = {.lex_state = 194},
  [3443] = {.lex_state = 238},
  [3444] = {.lex_state = 238},
  [3445] = {.lex_state = 206},
  [3446] = {.lex_state = 201},
  [3447] = {.lex_state = 180},
  [3448] = {.lex_state = 216},
  [3449] = {.lex_state = 206},
  [3450] = {.lex_state = 238},
  [3451] = {.lex_state = 238},
  [3452] = {.lex_state = 206},
  [3453] = {.lex_state = 238},
  [3454] = {.lex_state = 238},
  [3455] = {.lex_state = 238},
  [3456] = {.lex_state = 206},
  [3457] = {.lex_state = 206},
  [3458] = {.lex_state = 206},
  [3459] = {.lex_state = 206},
  [3460] = {.lex_state = 238},
  [3461] = {.lex_state = 240},
  [3462] = {.lex_state = 201},
  [3463] = {.lex_state = 206},
  [3464] = {.lex_state = 206},
  [3465] = {.lex_state = 206},
  [3466] = {.lex_state = 206},
  [3467] = {.lex_state = 206},
  [3468] = {.lex_state = 201},
  [3469] = {.lex_state = 206},
  [3470] = {.lex_state = 206},
  [3471] = {.lex_state = 206},
  [3472] = {.lex_state = 206},
  [3473] = {.lex_state = 206},
  [3474] = {.lex_state = 206},
  [3475] = {.lex_state = 206},
  [3476] = {.lex_state = 201},
  [3477] = {.lex_state = 206},
  [3478] = {.lex_state = 206},
  [3479] = {.lex_state = 206},
  [3480] = {.lex_state = 201},
  [3481] = {.lex_state = 206},
  [3482] = {.lex_state = 206},
  [3483] = {.lex_state = 206},
  [3484] = {.lex_state = 216},
  [3485] = {.lex_state = 206},
  [3486] = {.lex_state = 216},
  [3487] = {.lex_state = 206},
  [3488] = {.lex_state = 216},
  [3489] = {.lex_state = 201},
  [3490] = {.lex_state = 201},
  [3491] = {.lex_state = 240},
  [3492] = {.lex_state = 216},
  [3493] = {.lex_state = 206},
  [3494] = {.lex_state = 190},
  [3495] = {.lex_state = 206},
  [3496] = {.lex_state = 206},
  [3497] = {.lex_state = 201},
  [3498] = {.lex_state = 201},
  [3499] = {.lex_state = 206},
  [3500] = {.lex_state = 206},
  [3501] = {.lex_state = 201},
  [3502] = {.lex_state = 206},
  [3503] = {.lex_state = 206},
  [3504] = {.lex_state = 206},
  [3505] = {.lex_state = 206},
  [3506] = {.lex_state = 201},
  [3507] = {.lex_state = 206},
  [3508] = {.lex_state = 206},
  [3509] = {.lex_state = 201},
  [3510] = {.lex_state = 238},
  [3511] = {.lex_state = 216},
  [3512] = {.lex_state = 216},
  [3513] = {.lex_state = 206},
  [3514] = {.lex_state = 206},
  [3515] = {.lex_state = 201},
  [3516] = {.lex_state = 206},
  [3517] = {.lex_state = 206},
  [3518] = {.lex_state = 201},
  [3519] = {.lex_state = 190},
  [3520] = {.lex_state = 206},
  [3521] = {.lex_state = 206},
  [3522] = {.lex_state = 238},
  [3523] = {.lex_state = 206},
  [3524] = {.lex_state = 206},
  [3525] = {.lex_state = 206},
  [3526] = {.lex_state = 206},
  [3527] = {.lex_state = 206},
  [3528] = {.lex_state = 206},
  [3529] = {.lex_state = 238},
  [3530] = {.lex_state = 206},
  [3531] = {.lex_state = 238},
  [3532] = {.lex_state = 206},
  [3533] = {.lex_state = 206},
  [3534] = {.lex_state = 206},
  [3535] = {.lex_state = 206},
  [3536] = {.lex_state = 206},
  [3537] = {.lex_state = 206},
  [3538] = {.lex_state = 206},
  [3539] = {.lex_state = 206},
  [3540] = {.lex_state = 206},
  [3541] = {.lex_state = 220},
  [3542] = {.lex_state = 206},
  [3543] = {.lex_state = 206},
  [3544] = {.lex_state = 206},
  [3545] = {.lex_state = 206},
  [3546] = {.lex_state = 206},
  [3547] = {.lex_state = 201},
  [3548] = {.lex_state = 206},
  [3549] = {.lex_state = 206},
  [3550] = {.lex_state = 206},
  [3551] = {.lex_state = 206},
  [3552] = {.lex_state = 206},
  [3553] = {.lex_state = 206},
  [3554] = {.lex_state = 206},
  [3555] = {.lex_state = 206},
  [3556] = {.lex_state = 206},
  [3557] = {.lex_state = 206},
  [3558] = {.lex_state = 206},
  [3559] = {.lex_state = 206},
  [3560] = {.lex_state = 216},
  [3561] = {.lex_state = 206},
  [3562] = {.lex_state = 201},
  [3563] = {.lex_state = 206},
  [3564] = {.lex_state = 216},
  [3565] = {.lex_state = 206},
  [3566] = {.lex_state = 206},
  [3567] = {.lex_state = 206},
  [3568] = {.lex_state = 206},
  [3569] = {.lex_state = 206},
  [3570] = {.lex_state = 206},
  [3571] = {.lex_state = 206},
  [3572] = {.lex_state = 206},
  [3573] = {.lex_state = 206},
  [3574] = {.lex_state = 206},
  [3575] = {.lex_state = 206},
  [3576] = {.lex_state = 206},
  [3577] = {.lex_state = 206},
  [3578] = {.lex_state = 206},
  [3579] = {.lex_state = 206},
  [3580] = {.lex_state = 206},
  [3581] = {.lex_state = 216},
  [3582] = {.lex_state = 216},
  [3583] = {.lex_state = 213},
  [3584] = {.lex_state = 206},
  [3585] = {.lex_state = 206},
  [3586] = {.lex_state = 206},
  [3587] = {.lex_state = 180},
  [3588] = {.lex_state = 206},
  [3589] = {.lex_state = 206},
  [3590] = {.lex_state = 206},
  [3591] = {.lex_state = 218},
  [3592] = {.lex_state = 180},
  [3593] = {.lex_state = 238},
  [3594] = {.lex_state = 206},
  [3595] = {.lex_state = 190},
  [3596] = {.lex_state = 206},
  [3597] = {.lex_state = 206},
  [3598] = {.lex_state = 206},
  [3599] = {.lex_state = 216},
  [3600] = {.lex_state = 206},
  [3601] = {.lex_state = 206},
  [3602] = {.lex_state = 216},
  [3603] = {.lex_state = 206},
  [3604] = {.lex_state = 206},
  [3605] = {.lex_state = 216},
  [3606] = {.lex_state = 216},
  [3607] = {.lex_state = 218},
  [3608] = {.lex_state = 206},
  [3609] = {.lex_state = 216},
  [3610] = {.lex_state = 206},
  [3611] = {.lex_state = 206},
  [3612] = {.lex_state = 206},
  [3613] = {.lex_state = 206},
  [3614] = {.lex_state = 216},
  [3615] = {.lex_state = 218},
  [3616] = {.lex_state = 180},
  [3617] = {.lex_state = 206},
  [3618] = {.lex_state = 206},
  [3619] = {.lex_state = 213},
  [3620] = {.lex_state = 213},
  [3621] = {.lex_state = 213},
  [3622] = {.lex_state = 213},
  [3623] = {.lex_state = 213},
  [3624] = {.lex_state = 213},
  [3625] = {.lex_state = 213},
  [3626] = {.lex_state = 213},
  [3627] = {.lex_state = 201},
  [3628] = {.lex_state = 213},
  [3629] = {.lex_state = 213},
  [3630] = {.lex_state = 213},
  [3631] = {.lex_state = 238},
  [3632] = {.lex_state = 213},
  [3633] = {.lex_state = 213},
  [3634] = {.lex_state = 213},
  [3635] = {.lex_state = 213},
  [3636] = {.lex_state = 197},
  [3637] = {.lex_state = 197},
  [3638] = {.lex_state = 197},
  [3639] = {.lex_state = 213},
  [3640] = {.lex_state = 197},
  [3641] = {.lex_state = 213},
  [3642] = {.lex_state = 213},
  [3643] = {.lex_state = 213},
  [3644] = {.lex_state = 194},
  [3645] = {.lex_state = 213},
  [3646] = {.lex_state = 213},
  [3647] = {.lex_state = 213},
  [3648] = {.lex_state = 194},
  [3649] = {.lex_state = 201},
  [3650] = {.lex_state = 213},
  [3651] = {.lex_state = 213},
  [3652] = {.lex_state = 193},
  [3653] = {.lex_state = 194},
  [3654] = {.lex_state = 197},
  [3655] = {.lex_state = 213},
  [3656] = {.lex_state = 213},
  [3657] = {.lex_state = 213},
  [3658] = {.lex_state = 206},
  [3659] = {.lex_state = 213},
  [3660] = {.lex_state = 201},
  [3661] = {.lex_state = 222},
  [3662] = {.lex_state = 197},
  [3663] = {.lex_state = 213},
  [3664] = {.lex_state = 206},
  [3665] = {.lex_state = 213},
  [3666] = {.lex_state = 222},
  [3667] = {.lex_state = 213},
  [3668] = {.lex_state = 201},
  [3669] = {.lex_state = 213},
  [3670] = {.lex_state = 213},
  [3671] = {.lex_state = 213},
  [3672] = {.lex_state = 213},
  [3673] = {.lex_state = 213},
  [3674] = {.lex_state = 213},
  [3675] = {.lex_state = 213},
  [3676] = {.lex_state = 213},
  [3677] = {.lex_state = 213},
  [3678] = {.lex_state = 213},
  [3679] = {.lex_state = 194},
  [3680] = {.lex_state = 213},
  [3681] = {.lex_state = 206},
  [3682] = {.lex_state = 213},
  [3683] = {.lex_state = 213},
  [3684] = {.lex_state = 213},
  [3685] = {.lex_state = 213},
  [3686] = {.lex_state = 206},
  [3687] = {.lex_state = 201},
  [3688] = {.lex_state = 213},
  [3689] = {.lex_state = 213},
  [3690] = {.lex_state = 213},
  [3691] = {.lex_state = 213},
  [3692] = {.lex_state = 222},
  [3693] = {.lex_state = 213},
  [3694] = {.lex_state = 206},
  [3695] = {.lex_state = 201},
  [3696] = {.lex_state = 197},
  [3697] = {.lex_state = 213},
  [3698] = {.lex_state = 201},
  [3699] = {.lex_state = 213},
  [3700] = {.lex_state = 213},
  [3701] = {.lex_state = 213},
  [3702] = {.lex_state = 213},
  [3703] = {.lex_state = 197},
  [3704] = {.lex_state = 213},
  [3705] = {.lex_state = 206},
  [3706] = {.lex_state = 201},
  [3707] = {.lex_state = 213},
  [3708] = {.lex_state = 213},
  [3709] = {.lex_state = 201},
  [3710] = {.lex_state = 213},
  [3711] = {.lex_state = 203},
  [3712] = {.lex_state = 201},
  [3713] = {.lex_state = 213},
  [3714] = {.lex_state = 213},
  [3715] = {.lex_state = 213},
  [3716] = {.lex_state = 213},
  [3717] = {.lex_state = 213},
  [3718] = {.lex_state = 180},
  [3719] = {.lex_state = 213},
  [3720] = {.lex_state = 203},
  [3721] = {.lex_state = 213},
  [3722] = {.lex_state = 194},
  [3723] = {.lex_state = 213},
  [3724] = {.lex_state = 213},
  [3725] = {.lex_state = 213},
  [3726] = {.lex_state = 213},
  [3727] = {.lex_state = 206},
  [3728] = {.lex_state = 206},
  [3729] = {.lex_state = 206},
  [3730] = {.lex_state = 206},
  [3731] = {.lex_state = 206},
  [3732] = {.lex_state = 213},
  [3733] = {.lex_state = 206},
  [3734] = {.lex_state = 206},
  [3735] = {.lex_state = 213},
  [3736] = {.lex_state = 206},
  [3737] = {.lex_state = 206},
  [3738] = {.lex_state = 213},
  [3739] = {.lex_state = 206},
  [3740] = {.lex_state = 206},
  [3741] = {.lex_state = 180},
  [3742] = {.lex_state = 201},
  [3743] = {.lex_state = 201},
  [3744] = {.lex_state = 201},
  [3745] = {.lex_state = 206},
  [3746] = {.lex_state = 203},
  [3747] = {.lex_state = 213},
  [3748] = {.lex_state = 206},
  [3749] = {.lex_state = 206},
  [3750] = {.lex_state = 213},
  [3751] = {.lex_state = 206},
  [3752] = {.lex_state = 213},
  [3753] = {.lex_state = 180},
  [3754] = {.lex_state = 213},
  [3755] = {.lex_state = 206},
  [3756] = {.lex_state = 238},
  [3757] = {.lex_state = 180},
  [3758] = {.lex_state = 213},
  [3759] = {.lex_state = 206},
  [3760] = {.lex_state = 206},
  [3761] = {.lex_state = 213},
  [3762] = {.lex_state = 213},
  [3763] = {.lex_state = 213},
  [3764] = {.lex_state = 206},
  [3765] = {.lex_state = 206},
  [3766] = {.lex_state = 213},
  [3767] = {.lex_state = 213},
  [3768] = {.lex_state = 213},
  [3769] = {.lex_state = 236},
  [3770] = {.lex_state = 236},
  [3771] = {.lex_state = 235},
  [3772] = {.lex_state = 235},
  [3773] = {.lex_state = 236},
  [3774] = {.lex_state = 236},
  [3775] = {.lex_state = 201},
  [3776] = {.lex_state = 236},
  [3777] = {.lex_state = 236},
  [3778] = {.lex_state = 210},
  [3779] = {.lex_state = 210},
  [3780] = {.lex_state = 236},
  [3781] = {.lex_state = 201},
  [3782] = {.lex_state = 236},
  [3783] = {.lex_state = 236},
  [3784] = {.lex_state = 236},
  [3785] = {.lex_state = 201},
  [3786] = {.lex_state = 203},
  [3787] = {.lex_state = 201},
  [3788] = {.lex_state = 203},
  [3789] = {.lex_state = 190},
  [3790] = {.lex_state = 240},
  [3791] = {.lex_state = 201},
  [3792] = {.lex_state = 201},
  [3793] = {.lex_state = 236},
  [3794] = {.lex_state = 236},
  [3795] = {.lex_state = 210},
  [3796] = {.lex_state = 194},
  [3797] = {.lex_state = 236},
  [3798] = {.lex_state = 236},
  [3799] = {.lex_state = 180},
  [3800] = {.lex_state = 236},
  [3801] = {.lex_state = 180},
  [3802] = {.lex_state = 236},
  [3803] = {.lex_state = 201},
  [3804] = {.lex_state = 201},
  [3805] = {.lex_state = 236},
  [3806] = {.lex_state = 236},
  [3807] = {.lex_state = 236},
  [3808] = {.lex_state = 203},
  [3809] = {.lex_state = 235},
  [3810] = {.lex_state = 236},
  [3811] = {.lex_state = 236},
  [3812] = {.lex_state = 236},
  [3813] = {.lex_state = 236},
  [3814] = {.lex_state = 236},
  [3815] = {.lex_state = 239},
  [3816] = {.lex_state = 238},
  [3817] = {.lex_state = 203},
  [3818] = {.lex_state = 206},
  [3819] = {.lex_state = 203},
  [3820] = {.lex_state = 236},
  [3821] = {.lex_state = 236},
  [3822] = {.lex_state = 180},
  [3823] = {.lex_state = 203},
  [3824] = {.lex_state = 236},
  [3825] = {.lex_state = 239},
  [3826] = {.lex_state = 238},
  [3827] = {.lex_state = 180},
  [3828] = {.lex_state = 240},
  [3829] = {.lex_state = 201},
  [3830] = {.lex_state = 236},
  [3831] = {.lex_state = 225},
  [3832] = {.lex_state = 201},
  [3833] = {.lex_state = 190},
  [3834] = {.lex_state = 203},
  [3835] = {.lex_state = 203},
  [3836] = {.lex_state = 203},
  [3837] = {.lex_state = 203},
  [3838] = {.lex_state = 190},
  [3839] = {.lex_state = 201},
  [3840] = {.lex_state = 242},
  [3841] = {.lex_state = 201},
  [3842] = {.lex_state = 203},
  [3843] = {.lex_state = 206},
  [3844] = {.lex_state = 239},
  [3845] = {.lex_state = 242},
  [3846] = {.lex_state = 206},
  [3847] = {.lex_state = 206},
  [3848] = {.lex_state = 222},
  [3849] = {.lex_state = 206},
  [3850] = {.lex_state = 203},
  [3851] = {.lex_state = 206},
  [3852] = {.lex_state = 206},
  [3853] = {.lex_state = 206},
  [3854] = {.lex_state = 201},
  [3855] = {.lex_state = 206},
  [3856] = {.lex_state = 201},
  [3857] = {.lex_state = 201},
  [3858] = {.lex_state = 203},
  [3859] = {.lex_state = 201},
  [3860] = {.lex_state = 203},
  [3861] = {.lex_state = 206},
  [3862] = {.lex_state = 206},
  [3863] = {.lex_state = 201},
  [3864] = {.lex_state = 201},
  [3865] = {.lex_state = 206},
  [3866] = {.lex_state = 203},
  [3867] = {.lex_state = 206},
  [3868] = {.lex_state = 201},
  [3869] = {.lex_state = 206},
  [3870] = {.lex_state = 203},
  [3871] = {.lex_state = 206},
  [3872] = {.lex_state = 206},
  [3873] = {.lex_state = 203},
  [3874] = {.lex_state = 203},
  [3875] = {.lex_state = 222},
  [3876] = {.lex_state = 206},
  [3877] = {.lex_state = 206},
  [3878] = {.lex_state = 206},
  [3879] = {.lex_state = 206},
  [3880] = {.lex_state = 206},
  [3881] = {.lex_state = 206},
  [3882] = {.lex_state = 190},
  [3883] = {.lex_state = 203},
  [3884] = {.lex_state = 206},
  [3885] = {.lex_state = 201},
  [3886] = {.lex_state = 206},
  [3887] = {.lex_state = 201},
  [3888] = {.lex_state = 190},
  [3889] = {.lex_state = 206},
  [3890] = {.lex_state = 206},
  [3891] = {.lex_state = 206},
  [3892] = {.lex_state = 206},
  [3893] = {.lex_state = 206},
  [3894] = {.lex_state = 206},
  [3895] = {.lex_state = 239},
  [3896] = {.lex_state = 238},
  [3897] = {.lex_state = 206},
  [3898] = {.lex_state = 206},
  [3899] = {.lex_state = 206},
  [3900] = {.lex_state = 206},
  [3901] = {.lex_state = 206},
  [3902] = {.lex_state = 206},
  [3903] = {.lex_state = 203},
  [3904] = {.lex_state = 206},
  [3905] = {.lex_state = 203},
  [3906] = {.lex_state = 201},
  [3907] = {.lex_state = 203},
  [3908] = {.lex_state = 201},
  [3909] = {.lex_state = 201},
  [3910] = {.lex_state = 206},
  [3911] = {.lex_state = 203},
  [3912] = {.lex_state = 206},
  [3913] = {.lex_state = 201},
  [3914] = {.lex_state = 203},
  [3915] = {.lex_state = 206},
  [3916] = {.lex_state = 239},
  [3917] = {.lex_state = 206},
  [3918] = {.lex_state = 203},
  [3919] = {.lex_state = 203},
  [3920] = {.lex_state = 206},
  [3921] = {.lex_state = 201},
  [3922] = {.lex_state = 203},
  [3923] = {.lex_state = 206},
  [3924] = {.lex_state = 206},
  [3925] = {.lex_state = 201},
  [3926] = {.lex_state = 206},
  [3927] = {.lex_state = 206},
  [3928] = {.lex_state = 206},
  [3929] = {.lex_state = 206},
  [3930] = {.lex_state = 206},
  [3931] = {.lex_state = 206},
  [3932] = {.lex_state = 206},
  [3933] = {.lex_state = 206},
  [3934] = {.lex_state = 203},
  [3935] = {.lex_state = 201},
  [3936] = {.lex_state = 203},
  [3937] = {.lex_state = 201},
  [3938] = {.lex_state = 201},
  [3939] = {.lex_state = 201},
  [3940] = {.lex_state = 206},
  [3941] = {.lex_state = 206},
  [3942] = {.lex_state = 203},
  [3943] = {.lex_state = 203},
  [3944] = {.lex_state = 201},
  [3945] = {.lex_state = 203},
  [3946] = {.lex_state = 201},
  [3947] = {.lex_state = 203},
  [3948] = {.lex_state = 201},
  [3949] = {.lex_state = 206},
  [3950] = {.lex_state = 203},
  [3951] = {.lex_state = 201},
  [3952] = {.lex_state = 206},
  [3953] = {.lex_state = 201},
  [3954] = {.lex_state = 206},
  [3955] = {.lex_state = 203},
  [3956] = {.lex_state = 203},
  [3957] = {.lex_state = 203},
  [3958] = {.lex_state = 203},
  [3959] = {.lex_state = 236},
  [3960] = {.lex_state = 239},
  [3961] = {.lex_state = 190},
  [3962] = {.lex_state = 201},
  [3963] = {.lex_state = 235},
  [3964] = {.lex_state = 201},
  [3965] = {.lex_state = 235},
  [3966] = {.lex_state = 239},
  [3967] = {.lex_state = 201},
  [3968] = {.lex_state = 201},
  [3969] = {.lex_state = 240},
  [3970] = {.lex_state = 201},
  [3971] = {.lex_state = 236},
  [3972] = {.lex_state = 201},
  [3973] = {.lex_state = 201},
  [3974] = {.lex_state = 201},
  [3975] = {.lex_state = 201},
  [3976] = {.lex_state = 235},
  [3977] = {.lex_state = 201},
  [3978] = {.lex_state = 239},
  [3979] = {.lex_state = 190},
  [3980] = {.lex_state = 201},
  [3981] = {.lex_state = 235},
  [3982] = {.lex_state = 201},
  [3983] = {.lex_state = 201},
  [3984] = {.lex_state = 201},
  [3985] = {.lex_state = 236},
  [3986] = {.lex_state = 201},
  [3987] = {.lex_state = 238},
  [3988] = {.lex_state = 201},
  [3989] = {.lex_state = 238},
  [3990] = {.lex_state = 236},
  [3991] = {.lex_state = 236},
  [3992] = {.lex_state = 235},
  [3993] = {.lex_state = 238},
  [3994] = {.lex_state = 235},
  [3995] = {.lex_state = 201},
  [3996] = {.lex_state = 190},
  [3997] = {.lex_state = 239},
  [3998] = {.lex_state = 201},
  [3999] = {.lex_state = 201},
  [4000] = {.lex_state = 236},
  [4001] = {.lex_state = 240},
  [4002] = {.lex_state = 236},
  [4003] = {.lex_state = 238},
  [4004] = {.lex_state = 201},
  [4005] = {.lex_state = 190},
  [4006] = {.lex_state = 238},
  [4007] = {.lex_state = 225},
  [4008] = {.lex_state = 222},
  [4009] = {.lex_state = 222},
  [4010] = {.lex_state = 235},
  [4011] = {.lex_state = 202},
  [4012] = {.lex_state = 235},
  [4013] = {.lex_state = 201},
  [4014] = {.lex_state = 238},
  [4015] = {.lex_state = 203},
  [4016] = {.lex_state = 203},
  [4017] = {.lex_state = 225},
  [4018] = {.lex_state = 201},
  [4019] = {.lex_state = 225},
  [4020] = {.lex_state = 238},
  [4021] = {.lex_state = 238},
  [4022] = {.lex_state = 202},
  [4023] = {.lex_state = 238},
  [4024] = {.lex_state = 238},
  [4025] = {.lex_state = 235},
  [4026] = {.lex_state = 203},
  [4027] = {.lex_state = 201},
  [4028] = {.lex_state = 235},
  [4029] = {.lex_state = 201},
  [4030] = {.lex_state = 238},
  [4031] = {.lex_state = 201},
  [4032] = {.lex_state = 203},
  [4033] = {.lex_state = 242},
  [4034] = {.lex_state = 201},
  [4035] = {.lex_state = 201},
  [4036] = {.lex_state = 239},
  [4037] = {.lex_state = 201},
  [4038] = {.lex_state = 201},
  [4039] = {.lex_state = 227},
  [4040] = {.lex_state = 239},
  [4041] = {.lex_state = 239},
  [4042] = {.lex_state = 226},
  [4043] = {.lex_state = 226},
  [4044] = {.lex_state = 238},
  [4045] = {.lex_state = 239},
  [4046] = {.lex_state = 227},
  [4047] = {.lex_state = 239},
  [4048] = {.lex_state = 235},
  [4049] = {.lex_state = 238},
  [4050] = {.lex_state = 201},
  [4051] = {.lex_state = 242},
  [4052] = {.lex_state = 201},
  [4053] = {.lex_state = 201},
  [4054] = {.lex_state = 201},
  [4055] = {.lex_state = 203},
  [4056] = {.lex_state = 201},
  [4057] = {.lex_state = 222},
  [4058] = {.lex_state = 201},
  [4059] = {.lex_state = 201},
  [4060] = {.lex_state = 235},
  [4061] = {.lex_state = 222},
  [4062] = {.lex_state = 238},
  [4063] = {.lex_state = 222},
  [4064] = {.lex_state = 239},
  [4065] = {.lex_state = 201},
  [4066] = {.lex_state = 201},
  [4067] = {.lex_state = 203},
  [4068] = {.lex_state = 201},
  [4069] = {.lex_state = 201},
  [4070] = {.lex_state = 201},
  [4071] = {.lex_state = 235},
  [4072] = {.lex_state = 201},
  [4073] = {.lex_state = 239},
  [4074] = {.lex_state = 239},
  [4075] = {.lex_state = 222},
  [4076] = {.lex_state = 201},
  [4077] = {.lex_state = 201},
  [4078] = {.lex_state = 222},
  [4079] = {.lex_state = 203},
  [4080] = {.lex_state = 201},
  [4081] = {.lex_state = 239},
  [4082] = {.lex_state = 235},
  [4083] = {.lex_state = 201},
  [4084] = {.lex_state = 222},
  [4085] = {.lex_state = 201},
  [4086] = {.lex_state = 201},
  [4087] = {.lex_state = 201},
  [4088] = {.lex_state = 203},
  [4089] = {.lex_state = 201},
  [4090] = {.lex_state = 239},
  [4091] = {.lex_state = 242},
  [4092] = {.lex_state = 239},
  [4093] = {.lex_state = 201},
  [4094] = {.lex_state = 201},
  [4095] = {.lex_state = 201},
  [4096] = {.lex_state = 201},
  [4097] = {.lex_state = 239},
  [4098] = {.lex_state = 238},
  [4099] = {.lex_state = 222},
  [4100] = {.lex_state = 235},
  [4101] = {.lex_state = 201},
  [4102] = {.lex_state = 201},
  [4103] = {.lex_state = 201},
  [4104] = {.lex_state = 235},
  [4105] = {.lex_state = 201},
  [4106] = {.lex_state = 203},
  [4107] = {.lex_state = 238},
  [4108] = {.lex_state = 201},
  [4109] = {.lex_state = 238},
  [4110] = {.lex_state = 239},
  [4111] = {.lex_state = 238},
  [4112] = {.lex_state = 201},
  [4113] = {.lex_state = 239},
  [4114] = {.lex_state = 222},
  [4115] = {.lex_state = 203},
  [4116] = {.lex_state = 239},
  [4117] = {.lex_state = 239},
  [4118] = {.lex_state = 238},
  [4119] = {.lex_state = 239},
  [4120] = {.lex_state = 222},
  [4121] = {.lex_state = 222},
  [4122] = {.lex_state = 201},
  [4123] = {.lex_state = 226},
  [4124] = {.lex_state = 239},
  [4125] = {.lex_state = 235},
  [4126] = {.lex_state = 201},
  [4127] = {.lex_state = 226},
  [4128] = {.lex_state = 239},
  [4129] = {.lex_state = 239},
  [4130] = {.lex_state = 239},
  [4131] = {.lex_state = 239},
  [4132] = {.lex_state = 238},
  [4133] = {.lex_state = 239},
  [4134] = {.lex_state = 239},
  [4135] = {.lex_state = 239},
  [4136] = {.lex_state = 239},
  [4137] = {.lex_state = 201},
  [4138] = {.lex_state = 226},
  [4139] = {.lex_state = 239},
  [4140] = {.lex_state = 201},
  [4141] = {.lex_state = 201},
  [4142] = {.lex_state = 201},
  [4143] = {.lex_state = 201},
  [4144] = {.lex_state = 226},
  [4145] = {.lex_state = 203},
  [4146] = {.lex_state = 201},
  [4147] = {.lex_state = 201},
  [4148] = {.lex_state = 242},
  [4149] = {.lex_state = 222},
  [4150] = {.lex_state = 222},
  [4151] = {.lex_state = 201},
  [4152] = {.lex_state = 201},
  [4153] = {.lex_state = 222},
  [4154] = {.lex_state = 239},
  [4155] = {.lex_state = 239},
  [4156] = {.lex_state = 201},
  [4157] = {.lex_state = 201},
  [4158] = {.lex_state = 203},
  [4159] = {.lex_state = 201},
  [4160] = {.lex_state = 222},
  [4161] = {.lex_state = 235},
  [4162] = {.lex_state = 201},
  [4163] = {.lex_state = 239},
  [4164] = {.lex_state = 242},
  [4165] = {.lex_state = 201},
  [4166] = {.lex_state = 235},
  [4167] = {.lex_state = 201},
  [4168] = {.lex_state = 201},
  [4169] = {.lex_state = 235},
  [4170] = {.lex_state = 201},
  [4171] = {.lex_state = 201},
  [4172] = {.lex_state = 201},
  [4173] = {.lex_state = 203},
  [4174] = {.lex_state = 201},
  [4175] = {.lex_state = 222},
  [4176] = {.lex_state = 222},
  [4177] = {.lex_state = 235},
  [4178] = {.lex_state = 201},
  [4179] = {.lex_state = 201},
  [4180] = {.lex_state = 201},
  [4181] = {.lex_state = 238},
  [4182] = {.lex_state = 201},
  [4183] = {.lex_state = 204},
  [4184] = {.lex_state = 201},
  [4185] = {.lex_state = 235},
  [4186] = {.lex_state = 204},
  [4187] = {.lex_state = 235},
  [4188] = {.lex_state = 235},
  [4189] = {.lex_state = 201},
  [4190] = {.lex_state = 239},
  [4191] = {.lex_state = 238},
  [4192] = {.lex_state = 239},
  [4193] = {.lex_state = 235},
  [4194] = {.lex_state = 238},
  [4195] = {.lex_state = 239},
  [4196] = {.lex_state = 203},
  [4197] = {.lex_state = 238},
  [4198] = {.lex_state = 235},
  [4199] = {.lex_state = 201},
  [4200] = {.lex_state = 203},
  [4201] = {.lex_state = 239},
  [4202] = {.lex_state = 202},
  [4203] = {.lex_state = 204},
  [4204] = {.lex_state = 222},
  [4205] = {.lex_state = 201},
  [4206] = {.lex_state = 238},
  [4207] = {.lex_state = 235},
  [4208] = {.lex_state = 201},
  [4209] = {.lex_state = 239},
  [4210] = {.lex_state = 201},
  [4211] = {.lex_state = 235},
  [4212] = {.lex_state = 236},
  [4213] = {.lex_state = 204},
  [4214] = {.lex_state = 236},
  [4215] = {.lex_state = 203},
  [4216] = {.lex_state = 226},
  [4217] = {.lex_state = 236},
  [4218] = {.lex_state = 239},
  [4219] = {.lex_state = 236},
  [4220] = {.lex_state = 227},
  [4221] = {.lex_state = 236},
  [4222] = {.lex_state = 226},
  [4223] = {.lex_state = 236},
  [4224] = {.lex_state = 236},
  [4225] = {.lex_state = 236},
  [4226] = {.lex_state = 201},
  [4227] = {.lex_state = 236},
  [4228] = {.lex_state = 239},
  [4229] = {.lex_state = 235},
  [4230] = {.lex_state = 235},
  [4231] = {.lex_state = 235},
  [4232] = {.lex_state = 201},
  [4233] = {.lex_state = 203},
  [4234] = {.lex_state = 226},
  [4235] = {.lex_state = 239},
  [4236] = {.lex_state = 201},
  [4237] = {.lex_state = 202},
  [4238] = {.lex_state = 236},
  [4239] = {.lex_state = 226},
  [4240] = {.lex_state = 239},
  [4241] = {.lex_state = 235},
  [4242] = {.lex_state = 226},
  [4243] = {.lex_state = 235},
  [4244] = {.lex_state = 235},
  [4245] = {.lex_state = 236},
  [4246] = {.lex_state = 204},
  [4247] = {.lex_state = 236},
  [4248] = {.lex_state = 236},
  [4249] = {.lex_state = 236},
  [4250] = {.lex_state = 239},
  [4251] = {.lex_state = 236},
  [4252] = {.lex_state = 239},
  [4253] = {.lex_state = 226},
  [4254] = {.lex_state = 236},
  [4255] = {.lex_state = 226},
  [4256] = {.lex_state = 226},
  [4257] = {.lex_state = 235},
  [4258] = {.lex_state = 226},
  [4259] = {.lex_state = 236},
  [4260] = {.lex_state = 236},
  [4261] = {.lex_state = 226},
  [4262] = {.lex_state = 235},
  [4263] = {.lex_state = 204},
  [4264] = {.lex_state = 238},
  [4265] = {.lex_state = 226},
  [4266] = {.lex_state = 226},
  [4267] = {.lex_state = 239},
  [4268] = {.lex_state = 226},
  [4269] = {.lex_state = 226},
  [4270] = {.lex_state = 238},
  [4271] = {.lex_state = 235},
  [4272] = {.lex_state = 226},
  [4273] = {.lex_state = 235},
  [4274] = {.lex_state = 236},
  [4275] = {.lex_state = 236},
  [4276] = {.lex_state = 226},
  [4277] = {.lex_state = 239},
  [4278] = {.lex_state = 239},
  [4279] = {.lex_state = 236},
  [4280] = {.lex_state = 226},
  [4281] = {.lex_state = 241},
  [4282] = {.lex_state = 201},
  [4283] = {.lex_state = 201},
  [4284] = {.lex_state = 201},
  [4285] = {.lex_state = 201},
  [4286] = {.lex_state = 235},
  [4287] = {.lex_state = 222},
  [4288] = {.lex_state = 235},
  [4289] = {.lex_state = 235},
  [4290] = {.lex_state = 235},
  [4291] = {.lex_state = 235},
  [4292] = {.lex_state = 201},
  [4293] = {.lex_state = 222},
  [4294] = {.lex_state = 201},
  [4295] = {.lex_state = 235},
  [4296] = {.lex_state = 235},
  [4297] = {.lex_state = 222},
  [4298] = {.lex_state = 201},
  [4299] = {.lex_state = 201},
  [4300] = {.lex_state = 201},
  [4301] = {.lex_state = 201},
  [4302] = {.lex_state = 201},
  [4303] = {.lex_state = 236},
  [4304] = {.lex_state = 239},
  [4305] = {.lex_state = 201},
  [4306] = {.lex_state = 235},
  [4307] = {.lex_state = 235},
  [4308] = {.lex_state = 201},
  [4309] = {.lex_state = 235},
  [4310] = {.lex_state = 235},
  [4311] = {.lex_state = 201},
  [4312] = {.lex_state = 235},
  [4313] = {.lex_state = 201},
  [4314] = {.lex_state = 201},
  [4315] = {.lex_state = 235},
  [4316] = {.lex_state = 201},
  [4317] = {.lex_state = 235},
  [4318] = {.lex_state = 235},
  [4319] = {.lex_state = 235},
  [4320] = {.lex_state = 222},
  [4321] = {.lex_state = 239},
  [4322] = {.lex_state = 201},
  [4323] = {.lex_state = 235},
  [4324] = {.lex_state = 235},
  [4325] = {.lex_state = 201},
  [4326] = {.lex_state = 235},
  [4327] = {.lex_state = 235},
  [4328] = {.lex_state = 236},
  [4329] = {.lex_state = 235},
  [4330] = {.lex_state = 201},
  [4331] = {.lex_state = 201},
  [4332] = {.lex_state = 201},
  [4333] = {.lex_state = 201},
  [4334] = {.lex_state = 239},
  [4335] = {.lex_state = 235},
  [4336] = {.lex_state = 239},
  [4337] = {.lex_state = 201},
  [4338] = {.lex_state = 201},
  [4339] = {.lex_state = 201},
  [4340] = {.lex_state = 201},
  [4341] = {.lex_state = 201},
  [4342] = {.lex_state = 201},
  [4343] = {.lex_state = 201},
  [4344] = {.lex_state = 201},
  [4345] = {.lex_state = 239},
  [4346] = {.lex_state = 201},
  [4347] = {.lex_state = 235},
  [4348] = {.lex_state = 235},
  [4349] = {.lex_state = 235},
  [4350] = {.lex_state = 201},
  [4351] = {.lex_state = 201},
  [4352] = {.lex_state = 201},
  [4353] = {.lex_state = 201},
  [4354] = {.lex_state = 201},
  [4355] = {.lex_state = 235},
  [4356] = {.lex_state = 201},
  [4357] = {.lex_state = 201},
  [4358] = {.lex_state = 226},
  [4359] = {.lex_state = 226},
  [4360] = {.lex_state = 239},
  [4361] = {.lex_state = 235},
  [4362] = {.lex_state = 226},
  [4363] = {.lex_state = 239},
  [4364] = {.lex_state = 226},
  [4365] = {.lex_state = 241},
  [4366] = {.lex_state = 239},
  [4367] = {.lex_state = 201},
  [4368] = {.lex_state = 235},
  [4369] = {.lex_state = 201},
  [4370] = {.lex_state = 201},
  [4371] = {.lex_state = 201},
  [4372] = {.lex_state = 203},
  [4373] = {.lex_state = 201},
  [4374] = {.lex_state = 241},
  [4375] = {.lex_state = 235},
  [4376] = {.lex_state = 235},
  [4377] = {.lex_state = 226},
  [4378] = {.lex_state = 239},
  [4379] = {.lex_state = 226},
  [4380] = {.lex_state = 204},
  [4381] = {.lex_state = 201},
  [4382] = {.lex_state = 239},
  [4383] = {.lex_state = 204},
  [4384] = {.lex_state = 239},
  [4385] = {.lex_state = 201},
  [4386] = {.lex_state = 239},
  [4387] = {.lex_state = 241},
  [4388] = {.lex_state = 226},
  [4389] = {.lex_state = 201},
  [4390] = {.lex_state = 239},
  [4391] = {.lex_state = 235},
  [4392] = {.lex_state = 201},
  [4393] = {.lex_state = 226},
  [4394] = {.lex_state = 235},
  [4395] = {.lex_state = 235},
  [4396] = {.lex_state = 226},
  [4397] = {.lex_state = 239},
  [4398] = {.lex_state = 201},
  [4399] = {.lex_state = 235},
  [4400] = {.lex_state = 201},
  [4401] = {.lex_state = 235},
  [4402] = {.lex_state = 201},
  [4403] = {.lex_state = 201},
  [4404] = {.lex_state = 204},
  [4405] = {.lex_state = 201},
  [4406] = {.lex_state = 235},
  [4407] = {.lex_state = 239},
  [4408] = {.lex_state = 235},
  [4409] = {.lex_state = 201},
  [4410] = {.lex_state = 226},
  [4411] = {.lex_state = 226},
  [4412] = {.lex_state = 201},
  [4413] = {.lex_state = 239},
  [4414] = {.lex_state = 236},
  [4415] = {.lex_state = 235},
  [4416] = {.lex_state = 201},
  [4417] = {.lex_state = 221},
  [4418] = {.lex_state = 226},
  [4419] = {.lex_state = 201},
  [4420] = {.lex_state = 235},
  [4421] = {.lex_state = 201},
  [4422] = {.lex_state = 226},
  [4423] = {.lex_state = 201},
  [4424] = {.lex_state = 201},
  [4425] = {.lex_state = 201},
  [4426] = {.lex_state = 226},
  [4427] = {.lex_state = 201},
  [4428] = {.lex_state = 201},
  [4429] = {.lex_state = 201},
  [4430] = {.lex_state = 201},
  [4431] = {.lex_state = 226},
  [4432] = {.lex_state = 201},
  [4433] = {.lex_state = 201},
  [4434] = {.lex_state = 201},
  [4435] = {.lex_state = 236},
  [4436] = {.lex_state = 226},
  [4437] = {.lex_state = 201},
  [4438] = {.lex_state = 226},
  [4439] = {.lex_state = 201},
  [4440] = {.lex_state = 201},
  [4441] = {.lex_state = 201},
  [4442] = {.lex_state = 226},
  [4443] = {.lex_state = 239},
  [4444] = {.lex_state = 201},
  [4445] = {.lex_state = 226},
  [4446] = {.lex_state = 203},
  [4447] = {.lex_state = 235},
  [4448] = {.lex_state = 226},
  [4449] = {.lex_state = 226},
  [4450] = {.lex_state = 201},
  [4451] = {.lex_state = 239},
  [4452] = {.lex_state = 201},
  [4453] = {.lex_state = 239},
  [4454] = {.lex_state = 203},
  [4455] = {.lex_state = 235},
  [4456] = {.lex_state = 201},
  [4457] = {.lex_state = 201},
  [4458] = {.lex_state = 201},
  [4459] = {.lex_state = 203},
  [4460] = {.lex_state = 226},
  [4461] = {.lex_state = 226},
  [4462] = {.lex_state = 201},
  [4463] = {.lex_state = 203},
  [4464] = {.lex_state = 203},
  [4465] = {.lex_state = 239},
  [4466] = {.lex_state = 239},
  [4467] = {.lex_state = 203},
  [4468] = {.lex_state = 239},
  [4469] = {.lex_state = 203},
  [4470] = {.lex_state = 239},
  [4471] = {.lex_state = 226},
  [4472] = {.lex_state = 239},
  [4473] = {.lex_state = 239},
  [4474] = {.lex_state = 239},
  [4475] = {.lex_state = 201},
  [4476] = {.lex_state = 203},
  [4477] = {.lex_state = 201},
  [4478] = {.lex_state = 226},
  [4479] = {.lex_state = 202},
  [4480] = {.lex_state = 201},
  [4481] = {.lex_state = 201},
  [4482] = {.lex_state = 201},
  [4483] = {.lex_state = 201},
  [4484] = {.lex_state = 226},
  [4485] = {.lex_state = 235},
  [4486] = {.lex_state = 201},
  [4487] = {.lex_state = 235},
  [4488] = {.lex_state = 236},
  [4489] = {.lex_state = 239},
  [4490] = {.lex_state = 201},
  [4491] = {.lex_state = 226},
  [4492] = {.lex_state = 201},
  [4493] = {.lex_state = 235},
  [4494] = {.lex_state = 238},
  [4495] = {.lex_state = 201},
  [4496] = {.lex_state = 201},
  [4497] = {.lex_state = 201},
  [4498] = {.lex_state = 203},
  [4499] = {.lex_state = 238},
  [4500] = {.lex_state = 201},
  [4501] = {.lex_state = 201},
  [4502] = {.lex_state = 201},
  [4503] = {.lex_state = 238},
  [4504] = {.lex_state = 201},
  [4505] = {.lex_state = 201},
  [4506] = {.lex_state = 239},
  [4507] = {.lex_state = 226},
  [4508] = {.lex_state = 238},
  [4509] = {.lex_state = 235},
  [4510] = {.lex_state = 201},
  [4511] = {.lex_state = 226},
  [4512] = {.lex_state = 201},
  [4513] = {.lex_state = 226},
  [4514] = {.lex_state = 201},
  [4515] = {.lex_state = 201},
  [4516] = {.lex_state = 239},
  [4517] = {.lex_state = 201},
  [4518] = {.lex_state = 226},
  [4519] = {.lex_state = 226},
  [4520] = {.lex_state = 203},
  [4521] = {.lex_state = 201},
  [4522] = {.lex_state = 239},
  [4523] = {.lex_state = 203},
  [4524] = {.lex_state = 226},
  [4525] = {.lex_state = 201},
  [4526] = {.lex_state = 201},
  [4527] = {.lex_state = 222},
  [4528] = {.lex_state = 226},
  [4529] = {.lex_state = 201},
  [4530] = {.lex_state = 226},
  [4531] = {.lex_state = 201},
  [4532] = {.lex_state = 226},
  [4533] = {.lex_state = 201},
  [4534] = {.lex_state = 201},
  [4535] = {.lex_state = 226},
  [4536] = {.lex_state = 203},
  [4537] = {.lex_state = 239},
  [4538] = {.lex_state = 226},
  [4539] = {.lex_state = 239},
  [4540] = {.lex_state = 226},
  [4541] = {.lex_state = 201},
  [4542] = {.lex_state = 201},
  [4543] = {.lex_state = 239},
  [4544] = {.lex_state = 226},
  [4545] = {.lex_state = 201},
  [4546] = {.lex_state = 201},
  [4547] = {.lex_state = 201},
  [4548] = {.lex_state = 226},
  [4549] = {.lex_state = 226},
  [4550] = {.lex_state = 203},
  [4551] = {.lex_state = 239},
  [4552] = {.lex_state = 226},
  [4553] = {.lex_state = 225},
  [4554] = {.lex_state = 201},
  [4555] = {.lex_state = 239},
  [4556] = {.lex_state = 201},
  [4557] = {.lex_state = 235},
  [4558] = {.lex_state = 203},
  [4559] = {.lex_state = 239},
  [4560] = {.lex_state = 226},
  [4561] = {.lex_state = 201},
  [4562] = {.lex_state = 203},
  [4563] = {.lex_state = 226},
  [4564] = {.lex_state = 226},
  [4565] = {.lex_state = 201},
  [4566] = {.lex_state = 203},
  [4567] = {.lex_state = 239},
  [4568] = {.lex_state = 203},
  [4569] = {.lex_state = 201},
  [4570] = {.lex_state = 239},
  [4571] = {.lex_state = 239},
  [4572] = {.lex_state = 203},
  [4573] = {.lex_state = 203},
  [4574] = {.lex_state = 239},
  [4575] = {.lex_state = 203},
  [4576] = {.lex_state = 203},
  [4577] = {.lex_state = 203},
  [4578] = {.lex_state = 201},
  [4579] = {.lex_state = 201},
  [4580] = {.lex_state = 239},
  [4581] = {.lex_state = 201},
  [4582] = {.lex_state = 201},
  [4583] = {.lex_state = 239},
  [4584] = {.lex_state = 201},
  [4585] = {.lex_state = 226},
  [4586] = {.lex_state = 203},
  [4587] = {.lex_state = 203},
  [4588] = {.lex_state = 203},
  [4589] = {.lex_state = 203},
  [4590] = {.lex_state = 203},
  [4591] = {.lex_state = 203},
  [4592] = {.lex_state = 203},
  [4593] = {.lex_state = 203},
  [4594] = {.lex_state = 239},
  [4595] = {.lex_state = 239},
  [4596] = {.lex_state = 203},
  [4597] = {.lex_state = 203},
  [4598] = {.lex_state = 239},
  [4599] = {.lex_state = 203},
  [4600] = {.lex_state = 239},
  [4601] = {.lex_state = 203},
  [4602] = {.lex_state = 203},
  [4603] = {.lex_state = 239},
  [4604] = {.lex_state = 203},
  [4605] = {.lex_state = 239},
  [4606] = {.lex_state = 203},
  [4607] = {.lex_state = 226},
  [4608] = {.lex_state = 239},
  [4609] = {.lex_state = 201},
  [4610] = {.lex_state = 226},
  [4611] = {.lex_state = 201},
  [4612] = {.lex_state = 239},
  [4613] = {.lex_state = 201},
  [4614] = {.lex_state = 226},
  [4615] = {.lex_state = 239},
  [4616] = {.lex_state = 201},
  [4617] = {.lex_state = 203},
  [4618] = {.lex_state = 201},
  [4619] = {.lex_state = 201},
  [4620] = {.lex_state = 203},
  [4621] = {.lex_state = 201},
  [4622] = {.lex_state = 201},
  [4623] = {.lex_state = 202},
  [4624] = {.lex_state = 201},
  [4625] = {.lex_state = 239},
  [4626] = {.lex_state = 201},
  [4627] = {.lex_state = 201},
  [4628] = {.lex_state = 201},
  [4629] = {.lex_state = 239},
  [4630] = {.lex_state = 201},
  [4631] = {.lex_state = 239},
  [4632] = {.lex_state = 239},
  [4633] = {.lex_state = 201},
  [4634] = {.lex_state = 201},
  [4635] = {.lex_state = 201},
  [4636] = {.lex_state = 239},
  [4637] = {.lex_state = 201},
  [4638] = {.lex_state = 201},
  [4639] = {.lex_state = 201},
  [4640] = {.lex_state = 201},
  [4641] = {.lex_state = 201},
  [4642] = {.lex_state = 201},
  [4643] = {.lex_state = 201},
  [4644] = {.lex_state = 201},
  [4645] = {.lex_state = 201},
  [4646] = {.lex_state = 201},
  [4647] = {.lex_state = 201},
  [4648] = {.lex_state = 201},
  [4649] = {.lex_state = 201},
  [4650] = {.lex_state = 201},
  [4651] = {.lex_state = 201},
  [4652] = {.lex_state = 201},
  [4653] = {.lex_state = 201},
  [4654] = {.lex_state = 201},
  [4655] = {.lex_state = 201},
  [4656] = {.lex_state = 201},
  [4657] = {.lex_state = 228},
  [4658] = {.lex_state = 201},
  [4659] = {.lex_state = 201},
  [4660] = {.lex_state = 201},
  [4661] = {.lex_state = 201},
  [4662] = {.lex_state = 201},
  [4663] = {.lex_state = 201},
  [4664] = {.lex_state = 236},
  [4665] = {.lex_state = 203},
  [4666] = {.lex_state = 201},
  [4667] = {.lex_state = 201},
  [4668] = {.lex_state = 201},
  [4669] = {.lex_state = 201},
  [4670] = {.lex_state = 201},
  [4671] = {.lex_state = 201},
  [4672] = {.lex_state = 201},
  [4673] = {.lex_state = 201},
  [4674] = {.lex_state = 201},
  [4675] = {.lex_state = 201},
  [4676] = {.lex_state = 201},
  [4677] = {.lex_state = 201},
  [4678] = {.lex_state = 201},
  [4679] = {.lex_state = 201},
  [4680] = {.lex_state = 201},
  [4681] = {.lex_state = 201},
  [4682] = {.lex_state = 201},
  [4683] = {.lex_state = 239},
  [4684] = {.lex_state = 201},
  [4685] = {.lex_state = 228},
  [4686] = {.lex_state = 203},
  [4687] = {.lex_state = 201},
  [4688] = {.lex_state = 201},
  [4689] = {.lex_state = 201},
  [4690] = {.lex_state = 201},
  [4691] = {.lex_state = 201},
  [4692] = {.lex_state = 201},
  [4693] = {.lex_state = 201},
  [4694] = {.lex_state = 201},
  [4695] = {.lex_state = 201},
  [4696] = {.lex_state = 235},
  [4697] = {.lex_state = 201},
  [4698] = {.lex_state = 201},
  [4699] = {.lex_state = 201},
  [4700] = {.lex_state = 201},
  [4701] = {.lex_state = 201},
  [4702] = {.lex_state = 201},
  [4703] = {.lex_state = 201},
  [4704] = {.lex_state = 201},
  [4705] = {.lex_state = 201},
  [4706] = {.lex_state = 201},
  [4707] = {.lex_state = 239},
  [4708] = {.lex_state = 201},
  [4709] = {.lex_state = 201},
  [4710] = {.lex_state = 201},
  [4711] = {.lex_state = 201},
  [4712] = {.lex_state = 201},
  [4713] = {.lex_state = 201},
  [4714] = {.lex_state = 201},
  [4715] = {.lex_state = 201},
  [4716] = {.lex_state = 239},
  [4717] = {.lex_state = 226},
  [4718] = {.lex_state = 201},
  [4719] = {.lex_state = 239},
  [4720] = {.lex_state = 201},
  [4721] = {.lex_state = 201},
  [4722] = {.lex_state = 201},
  [4723] = {.lex_state = 201},
  [4724] = {.lex_state = 239},
  [4725] = {.lex_state = 201},
  [4726] = {.lex_state = 201},
  [4727] = {.lex_state = 201},
  [4728] = {.lex_state = 201},
  [4729] = {.lex_state = 201},
  [4730] = {.lex_state = 201},
  [4731] = {.lex_state = 201},
  [4732] = {.lex_state = 235},
  [4733] = {.lex_state = 201},
  [4734] = {.lex_state = 201},
  [4735] = {.lex_state = 201},
  [4736] = {.lex_state = 239},
  [4737] = {.lex_state = 201},
  [4738] = {.lex_state = 201},
  [4739] = {.lex_state = 201},
  [4740] = {.lex_state = 201},
  [4741] = {.lex_state = 201},
  [4742] = {.lex_state = 201},
  [4743] = {.lex_state = 201},
  [4744] = {.lex_state = 203},
  [4745] = {.lex_state = 201},
  [4746] = {.lex_state = 201},
  [4747] = {.lex_state = 201},
  [4748] = {.lex_state = 201},
  [4749] = {.lex_state = 201},
  [4750] = {.lex_state = 201},
  [4751] = {.lex_state = 201},
  [4752] = {.lex_state = 201},
  [4753] = {.lex_state = 201},
  [4754] = {.lex_state = 201},
  [4755] = {.lex_state = 201},
  [4756] = {.lex_state = 203},
  [4757] = {.lex_state = 201},
  [4758] = {.lex_state = 201},
  [4759] = {.lex_state = 228},
  [4760] = {.lex_state = 201},
  [4761] = {.lex_state = 201},
  [4762] = {.lex_state = 201},
  [4763] = {.lex_state = 201},
  [4764] = {.lex_state = 201},
  [4765] = {.lex_state = 201},
  [4766] = {.lex_state = 203},
  [4767] = {.lex_state = 238},
  [4768] = {.lex_state = 235},
  [4769] = {.lex_state = 201},
  [4770] = {.lex_state = 239},
  [4771] = {.lex_state = 226},
  [4772] = {.lex_state = 226},
  [4773] = {.lex_state = 226},
  [4774] = {.lex_state = 226},
  [4775] = {.lex_state = 235},
  [4776] = {.lex_state = 203},
  [4777] = {.lex_state = 235},
  [4778] = {.lex_state = 203},
  [4779] = {.lex_state = 201},
  [4780] = {.lex_state = 203},
  [4781] = {.lex_state = 203},
  [4782] = {.lex_state = 226},
  [4783] = {.lex_state = 238},
  [4784] = {.lex_state = 235},
  [4785] = {.lex_state = 203},
  [4786] = {.lex_state = 235},
  [4787] = {.lex_state = 235},
  [4788] = {.lex_state = 226},
  [4789] = {.lex_state = 226},
  [4790] = {.lex_state = 235},
  [4791] = {.lex_state = 226},
  [4792] = {.lex_state = 226},
  [4793] = {.lex_state = 226},
  [4794] = {.lex_state = 235},
  [4795] = {.lex_state = 201},
  [4796] = {.lex_state = 235},
  [4797] = {.lex_state = 226},
  [4798] = {.lex_state = 203},
  [4799] = {.lex_state = 238},
  [4800] = {.lex_state = 203},
  [4801] = {.lex_state = 235},
  [4802] = {.lex_state = 226},
  [4803] = {.lex_state = 226},
  [4804] = {.lex_state = 226},
  [4805] = {.lex_state = 226},
  [4806] = {.lex_state = 222},
  [4807] = {.lex_state = 226},
  [4808] = {.lex_state = 203},
  [4809] = {.lex_state = 235},
  [4810] = {.lex_state = 226},
  [4811] = {.lex_state = 235},
  [4812] = {.lex_state = 226},
  [4813] = {.lex_state = 226},
  [4814] = {.lex_state = 226},
  [4815] = {.lex_state = 222},
  [4816] = {.lex_state = 239},
  [4817] = {.lex_state = 235},
  [4818] = {.lex_state = 226},
  [4819] = {.lex_state = 222},
  [4820] = {.lex_state = 226},
  [4821] = {.lex_state = 201},
  [4822] = {.lex_state = 222},
  [4823] = {.lex_state = 226},
  [4824] = {.lex_state = 226},
  [4825] = {.lex_state = 201},
  [4826] = {.lex_state = 226},
  [4827] = {.lex_state = 226},
  [4828] = {.lex_state = 201},
  [4829] = {.lex_state = 235},
  [4830] = {.lex_state = 226},
  [4831] = {.lex_state = 222},
  [4832] = {.lex_state = 226},
  [4833] = {.lex_state = 201},
  [4834] = {.lex_state = 236},
  [4835] = {.lex_state = 204},
  [4836] = {.lex_state = 201},
  [4837] = {.lex_state = 226},
  [4838] = {.lex_state = 235},
  [4839] = {.lex_state = 239},
  [4840] = {.lex_state = 226},
  [4841] = {.lex_state = 226},
  [4842] = {.lex_state = 236},
  [4843] = {.lex_state = 226},
  [4844] = {.lex_state = 226},
  [4845] = {.lex_state = 226},
  [4846] = {.lex_state = 226},
  [4847] = {.lex_state = 226},
  [4848] = {.lex_state = 235},
  [4849] = {.lex_state = 222},
  [4850] = {.lex_state = 201},
  [4851] = {.lex_state = 222},
  [4852] = {.lex_state = 236},
  [4853] = {.lex_state = 226},
  [4854] = {.lex_state = 236},
  [4855] = {.lex_state = 235},
  [4856] = {.lex_state = 239},
  [4857] = {.lex_state = 226},
  [4858] = {.lex_state = 226},
  [4859] = {.lex_state = 226},
  [4860] = {.lex_state = 201},
  [4861] = {.lex_state = 226},
  [4862] = {.lex_state = 238},
  [4863] = {.lex_state = 235},
  [4864] = {.lex_state = 236},
  [4865] = {.lex_state = 238},
  [4866] = {.lex_state = 236},
  [4867] = {.lex_state = 236},
  [4868] = {.lex_state = 236},
  [4869] = {.lex_state = 201},
  [4870] = {.lex_state = 235},
  [4871] = {.lex_state = 222},
  [4872] = {.lex_state = 235},
  [4873] = {.lex_state = 235},
  [4874] = {.lex_state = 236},
  [4875] = {.lex_state = 201},
  [4876] = {.lex_state = 236},
  [4877] = {.lex_state = 201},
  [4878] = {.lex_state = 236},
  [4879] = {.lex_state = 238},
  [4880] = {.lex_state = 235},
  [4881] = {.lex_state = 235},
  [4882] = {.lex_state = 235},
  [4883] = {.lex_state = 235},
  [4884] = {.lex_state = 235},
  [4885] = {.lex_state = 236},
  [4886] = {.lex_state = 236},
  [4887] = {.lex_state = 235},
  [4888] = {.lex_state = 235},
  [4889] = {.lex_state = 235},
  [4890] = {.lex_state = 235},
  [4891] = {.lex_state = 235},
  [4892] = {.lex_state = 235},
  [4893] = {.lex_state = 235},
  [4894] = {.lex_state = 201},
  [4895] = {.lex_state = 235},
  [4896] = {.lex_state = 236},
  [4897] = {.lex_state = 238},
  [4898] = {.lex_state = 222},
  [4899] = {.lex_state = 236},
  [4900] = {.lex_state = 235},
  [4901] = {.lex_state = 236},
  [4902] = {.lex_state = 236},
  [4903] = {.lex_state = 236},
  [4904] = {.lex_state = 236},
  [4905] = {.lex_state = 235},
  [4906] = {.lex_state = 236},
  [4907] = {.lex_state = 238},
  [4908] = {.lex_state = 235},
  [4909] = {.lex_state = 236},
  [4910] = {.lex_state = 201},
  [4911] = {.lex_state = 235},
  [4912] = {.lex_state = 235},
  [4913] = {.lex_state = 235},
  [4914] = {.lex_state = 236},
  [4915] = {.lex_state = 235},
  [4916] = {.lex_state = 235},
  [4917] = {.lex_state = 236},
  [4918] = {.lex_state = 235},
  [4919] = {.lex_state = 238},
  [4920] = {.lex_state = 236},
  [4921] = {.lex_state = 235},
  [4922] = {.lex_state = 236},
  [4923] = {.lex_state = 238},
  [4924] = {.lex_state = 235},
  [4925] = {.lex_state = 235},
  [4926] = {.lex_state = 236},
  [4927] = {.lex_state = 235},
  [4928] = {.lex_state = 236},
  [4929] = {.lex_state = 235},
  [4930] = {.lex_state = 235},
  [4931] = {.lex_state = 236},
  [4932] = {.lex_state = 222},
  [4933] = {.lex_state = 236},
  [4934] = {.lex_state = 235},
  [4935] = {.lex_state = 235},
  [4936] = {.lex_state = 236},
  [4937] = {.lex_state = 236},
  [4938] = {.lex_state = 236},
  [4939] = {.lex_state = 236},
  [4940] = {.lex_state = 235},
  [4941] = {.lex_state = 236},
  [4942] = {.lex_state = 222},
  [4943] = {.lex_state = 236},
  [4944] = {.lex_state = 235},
  [4945] = {.lex_state = 236},
  [4946] = {.lex_state = 235},
  [4947] = {.lex_state = 235},
  [4948] = {.lex_state = 236},
  [4949] = {.lex_state = 235},
  [4950] = {.lex_state = 235},
  [4951] = {.lex_state = 235},
  [4952] = {.lex_state = 236},
  [4953] = {.lex_state = 235},
  [4954] = {.lex_state = 235},
  [4955] = {.lex_state = 236},
  [4956] = {.lex_state = 239},
  [4957] = {.lex_state = 236},
  [4958] = {.lex_state = 236},
  [4959] = {.lex_state = 239},
  [4960] = {.lex_state = 239},
  [4961] = {.lex_state = 236},
  [4962] = {.lex_state = 238},
  [4963] = {.lex_state = 236},
  [4964] = {.lex_state = 236},
  [4965] = {.lex_state = 238},
  [4966] = {.lex_state = 239},
  [4967] = {.lex_state = 236},
  [4968] = {.lex_state = 239},
  [4969] = {.lex_state = 235},
  [4970] = {.lex_state = 236},
  [4971] = {.lex_state = 236},
  [4972] = {.lex_state = 239},
  [4973] = {.lex_state = 236},
  [4974] = {.lex_state = 236},
  [4975] = {.lex_state = 236},
  [4976] = {.lex_state = 203},
  [4977] = {.lex_state = 239},
  [4978] = {.lex_state = 239},
  [4979] = {.lex_state = 236},
  [4980] = {.lex_state = 236},
  [4981] = {.lex_state = 239},
  [4982] = {.lex_state = 236},
  [4983] = {.lex_state = 236},
  [4984] = {.lex_state = 236},
  [4985] = {.lex_state = 236},
  [4986] = {.lex_state = 236},
  [4987] = {.lex_state = 239},
  [4988] = {.lex_state = 236},
  [4989] = {.lex_state = 222},
  [4990] = {.lex_state = 238},
  [4991] = {.lex_state = 236},
  [4992] = {.lex_state = 239},
  [4993] = {.lex_state = 236},
  [4994] = {.lex_state = 238},
  [4995] = {.lex_state = 236},
  [4996] = {.lex_state = 238},
  [4997] = {.lex_state = 236},
  [4998] = {.lex_state = 236},
  [4999] = {.lex_state = 236},
  [5000] = {.lex_state = 236},
  [5001] = {.lex_state = 236},
  [5002] = {.lex_state = 239},
  [5003] = {.lex_state = 222},
  [5004] = {.lex_state = 239},
  [5005] = {.lex_state = 238},
  [5006] = {.lex_state = 236},
  [5007] = {.lex_state = 236},
  [5008] = {.lex_state = 236},
  [5009] = {.lex_state = 236},
  [5010] = {.lex_state = 236},
  [5011] = {.lex_state = 238},
  [5012] = {.lex_state = 239},
  [5013] = {.lex_state = 238},
  [5014] = {.lex_state = 236},
  [5015] = {.lex_state = 236},
  [5016] = {.lex_state = 236},
  [5017] = {.lex_state = 203},
  [5018] = {.lex_state = 236},
  [5019] = {.lex_state = 236},
  [5020] = {.lex_state = 236},
  [5021] = {.lex_state = 236},
  [5022] = {.lex_state = 203},
  [5023] = {.lex_state = 236},
  [5024] = {.lex_state = 236},
  [5025] = {.lex_state = 238},
  [5026] = {.lex_state = 236},
  [5027] = {.lex_state = 236},
  [5028] = {.lex_state = 236},
  [5029] = {.lex_state = 236},
  [5030] = {.lex_state = 238},
  [5031] = {.lex_state = 236},
  [5032] = {.lex_state = 236},
  [5033] = {.lex_state = 236},
  [5034] = {.lex_state = 236},
  [5035] = {.lex_state = 203},
  [5036] = {.lex_state = 236},
  [5037] = {.lex_state = 203},
  [5038] = {.lex_state = 236},
  [5039] = {.lex_state = 239},
  [5040] = {.lex_state = 236},
  [5041] = {.lex_state = 238},
  [5042] = {.lex_state = 238},
  [5043] = {.lex_state = 238},
  [5044] = {.lex_state = 193},
  [5045] = {.lex_state = 236},
  [5046] = {.lex_state = 238},
  [5047] = {.lex_state = 201},
  [5048] = {.lex_state = 239},
  [5049] = {.lex_state = 238},
  [5050] = {.lex_state = 238},
  [5051] = {.lex_state = 193},
  [5052] = {.lex_state = 239},
  [5053] = {.lex_state = 236},
  [5054] = {.lex_state = 238},
  [5055] = {.lex_state = 238},
  [5056] = {.lex_state = 193},
  [5057] = {.lex_state = 193},
  [5058] = {.lex_state = 193},
  [5059] = {.lex_state = 236},
  [5060] = {.lex_state = 238},
  [5061] = {.lex_state = 193},
  [5062] = {.lex_state = 238},
  [5063] = {.lex_state = 238},
  [5064] = {.lex_state = 193},
  [5065] = {.lex_state = 193},
  [5066] = {.lex_state = 238},
  [5067] = {.lex_state = 239},
  [5068] = {.lex_state = 201},
  [5069] = {.lex_state = 193},
  [5070] = {.lex_state = 193},
  [5071] = {.lex_state = 193},
  [5072] = {.lex_state = 193},
  [5073] = {.lex_state = 193},
  [5074] = {.lex_state = 193},
  [5075] = {.lex_state = 193},
  [5076] = {.lex_state = 193},
  [5077] = {.lex_state = 193},
  [5078] = {.lex_state = 193},
  [5079] = {.lex_state = 193},
  [5080] = {.lex_state = 193},
  [5081] = {.lex_state = 193},
  [5082] = {.lex_state = 193},
  [5083] = {.lex_state = 193},
  [5084] = {.lex_state = 193},
  [5085] = {.lex_state = 193},
  [5086] = {.lex_state = 193},
  [5087] = {.lex_state = 193},
  [5088] = {.lex_state = 193},
  [5089] = {.lex_state = 193},
  [5090] = {.lex_state = 193},
  [5091] = {.lex_state = 193},
  [5092] = {.lex_state = 193},
  [5093] = {.lex_state = 193},
  [5094] = {.lex_state = 193},
  [5095] = {.lex_state = 193},
  [5096] = {.lex_state = 193},
  [5097] = {.lex_state = 193},
  [5098] = {.lex_state = 193},
  [5099] = {.lex_state = 193},
  [5100] = {.lex_state = 193},
  [5101] = {.lex_state = 193},
  [5102] = {.lex_state = 193},
  [5103] = {.lex_state = 193},
  [5104] = {.lex_state = 193},
  [5105] = {.lex_state = 193},
  [5106] = {.lex_state = 193},
  [5107] = {.lex_state = 193},
  [5108] = {.lex_state = 193},
  [5109] = {.lex_state = 193},
  [5110] = {.lex_state = 193},
  [5111] = {.lex_state = 193},
  [5112] = {.lex_state = 193},
  [5113] = {.lex_state = 193},
  [5114] = {.lex_state = 193},
  [5115] = {.lex_state = 193},
  [5116] = {.lex_state = 193},
  [5117] = {.lex_state = 193},
  [5118] = {.lex_state = 193},
  [5119] = {.lex_state = 193},
  [5120] = {.lex_state = 193},
  [5121] = {.lex_state = 193},
  [5122] = {.lex_state = 193},
  [5123] = {.lex_state = 193},
  [5124] = {.lex_state = 193},
  [5125] = {.lex_state = 193},
  [5126] = {.lex_state = 193},
  [5127] = {.lex_state = 193},
  [5128] = {.lex_state = 193},
  [5129] = {.lex_state = 193},
  [5130] = {.lex_state = 193},
  [5131] = {.lex_state = 193},
  [5132] = {.lex_state = 193},
  [5133] = {.lex_state = 193},
  [5134] = {.lex_state = 193},
  [5135] = {.lex_state = 193},
  [5136] = {.lex_state = 193},
  [5137] = {.lex_state = 193},
  [5138] = {.lex_state = 193},
  [5139] = {.lex_state = 193},
  [5140] = {.lex_state = 193},
  [5141] = {.lex_state = 193},
  [5142] = {.lex_state = 193},
  [5143] = {.lex_state = 193},
  [5144] = {.lex_state = 193},
  [5145] = {.lex_state = 193},
  [5146] = {.lex_state = 193},
  [5147] = {.lex_state = 193},
  [5148] = {.lex_state = 193},
  [5149] = {.lex_state = 193},
  [5150] = {.lex_state = 193},
  [5151] = {.lex_state = 238},
  [5152] = {.lex_state = 238},
  [5153] = {.lex_state = 193},
  [5154] = {.lex_state = 193},
  [5155] = {.lex_state = 193},
  [5156] = {.lex_state = 193},
  [5157] = {.lex_state = 193},
  [5158] = {.lex_state = 193},
  [5159] = {.lex_state = 193},
  [5160] = {.lex_state = 193},
  [5161] = {.lex_state = 193},
  [5162] = {.lex_state = 238},
  [5163] = {.lex_state = 193},
  [5164] = {.lex_state = 193},
  [5165] = {.lex_state = 238},
  [5166] = {.lex_state = 193},
  [5167] = {.lex_state = 238},
  [5168] = {.lex_state = 193},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 238},
  [5171] = {.lex_state = 193},
  [5172] = {.lex_state = 238},
  [5173] = {.lex_state = 201},
  [5174] = {.lex_state = 238},
  [5175] = {.lex_state = 203},
  [5176] = {.lex_state = 193},
  [5177] = {.lex_state = 201},
  [5178] = {.lex_state = 238},
  [5179] = {.lex_state = 238},
  [5180] = {.lex_state = 238},
  [5181] = {.lex_state = 193},
  [5182] = {.lex_state = 193},
  [5183] = {.lex_state = 193},
  [5184] = {.lex_state = 193},
  [5185] = {.lex_state = 201},
  [5186] = {.lex_state = 193},
  [5187] = {.lex_state = 193},
  [5188] = {.lex_state = 201},
  [5189] = {.lex_state = 193},
  [5190] = {.lex_state = 201},
  [5191] = {.lex_state = 193},
  [5192] = {.lex_state = 203},
  [5193] = {.lex_state = 238},
  [5194] = {.lex_state = 193},
  [5195] = {.lex_state = 193},
  [5196] = {.lex_state = 238},
  [5197] = {.lex_state = 193},
  [5198] = {.lex_state = 193},
  [5199] = {.lex_state = 193},
  [5200] = {.lex_state = 193},
  [5201] = {.lex_state = 193},
  [5202] = {.lex_state = 193},
  [5203] = {.lex_state = 193},
  [5204] = {.lex_state = 201},
  [5205] = {.lex_state = 193},
  [5206] = {.lex_state = 201},
  [5207] = {.lex_state = 193},
  [5208] = {.lex_state = 193},
  [5209] = {.lex_state = 201},
  [5210] = {.lex_state = 239},
  [5211] = {.lex_state = 201},
  [5212] = {.lex_state = 201},
  [5213] = {.lex_state = 195},
  [5214] = {.lex_state = 195},
  [5215] = {.lex_state = 201},
  [5216] = {.lex_state = 195},
  [5217] = {.lex_state = 195},
  [5218] = {.lex_state = 195},
  [5219] = {.lex_state = 195},
  [5220] = {.lex_state = 201},
  [5221] = {.lex_state = 201},
  [5222] = {.lex_state = 195},
  [5223] = {.lex_state = 201},
  [5224] = {.lex_state = 201},
  [5225] = {.lex_state = 201},
  [5226] = {.lex_state = 236},
  [5227] = {.lex_state = 201},
  [5228] = {.lex_state = 201},
  [5229] = {.lex_state = 236},
  [5230] = {.lex_state = 201},
  [5231] = {.lex_state = 239},
  [5232] = {.lex_state = 201},
  [5233] = {.lex_state = 235},
  [5234] = {.lex_state = 201},
  [5235] = {.lex_state = 201},
  [5236] = {.lex_state = 195},
  [5237] = {.lex_state = 201},
  [5238] = {.lex_state = 201},
  [5239] = {.lex_state = 236},
  [5240] = {.lex_state = 201},
  [5241] = {.lex_state = 201},
  [5242] = {.lex_state = 201},
  [5243] = {.lex_state = 201},
  [5244] = {.lex_state = 239},
  [5245] = {.lex_state = 201},
  [5246] = {.lex_state = 201},
  [5247] = {.lex_state = 236},
  [5248] = {.lex_state = 201},
  [5249] = {.lex_state = 239},
  [5250] = {.lex_state = 201},
  [5251] = {.lex_state = 201},
  [5252] = {.lex_state = 201},
  [5253] = {.lex_state = 201},
  [5254] = {.lex_state = 201},
  [5255] = {.lex_state = 239},
  [5256] = {.lex_state = 239},
  [5257] = {.lex_state = 238},
  [5258] = {.lex_state = 239},
  [5259] = {.lex_state = 239},
  [5260] = {.lex_state = 239},
  [5261] = {.lex_state = 239},
  [5262] = {.lex_state = 239},
  [5263] = {.lex_state = 235},
  [5264] = {.lex_state = 238},
  [5265] = {.lex_state = 239},
  [5266] = {.lex_state = 238},
  [5267] = {.lex_state = 238},
  [5268] = {.lex_state = 239},
  [5269] = {.lex_state = 238},
  [5270] = {.lex_state = 239},
  [5271] = {.lex_state = 238},
  [5272] = {.lex_state = 239},
  [5273] = {.lex_state = 239},
  [5274] = {.lex_state = 239},
  [5275] = {.lex_state = 239},
  [5276] = {.lex_state = 238},
  [5277] = {.lex_state = 238},
  [5278] = {.lex_state = 238},
  [5279] = {.lex_state = 238},
  [5280] = {.lex_state = 193},
  [5281] = {.lex_state = 193},
  [5282] = {.lex_state = 238},
  [5283] = {.lex_state = 193},
  [5284] = {.lex_state = 238},
  [5285] = {.lex_state = 193},
  [5286] = {.lex_state = 238},
  [5287] = {.lex_state = 238},
  [5288] = {.lex_state = 193},
  [5289] = {.lex_state = 193},
  [5290] = {.lex_state = 238},
  [5291] = {.lex_state = 238},
  [5292] = {.lex_state = 193},
  [5293] = {.lex_state = 193},
  [5294] = {.lex_state = 193},
  [5295] = {.lex_state = 238},
  [5296] = {.lex_state = 238},
  [5297] = {.lex_state = 238},
  [5298] = {.lex_state = 193},
  [5299] = {.lex_state = 193},
  [5300] = {.lex_state = 238},
  [5301] = {.lex_state = 238},
  [5302] = {.lex_state = 238},
  [5303] = {.lex_state = 238},
  [5304] = {.lex_state = 238},
  [5305] = {.lex_state = 193},
  [5306] = {.lex_state = 238},
  [5307] = {.lex_state = 238},
  [5308] = {.lex_state = 238},
  [5309] = {.lex_state = 238},
  [5310] = {.lex_state = 238},
  [5311] = {.lex_state = 238},
  [5312] = {.lex_state = 238},
  [5313] = {.lex_state = 193},
  [5314] = {.lex_state = 248},
  [5315] = {.lex_state = 193},
  [5316] = {.lex_state = 238},
  [5317] = {.lex_state = 193},
  [5318] = {.lex_state = 238},
  [5319] = {.lex_state = 248},
  [5320] = {.lex_state = 238},
  [5321] = {.lex_state = 238},
  [5322] = {.lex_state = 238},
  [5323] = {.lex_state = 248},
  [5324] = {.lex_state = 238},
  [5325] = {.lex_state = 248},
  [5326] = {.lex_state = 239},
  [5327] = {.lex_state = 238},
  [5328] = {.lex_state = 193},
  [5329] = {.lex_state = 238},
  [5330] = {.lex_state = 238},
  [5331] = {.lex_state = 238},
  [5332] = {.lex_state = 248},
  [5333] = {.lex_state = 248},
  [5334] = {.lex_state = 248},
  [5335] = {.lex_state = 193},
  [5336] = {.lex_state = 193},
  [5337] = {.lex_state = 238},
  [5338] = {.lex_state = 239},
  [5339] = {.lex_state = 238},
  [5340] = {.lex_state = 195},
  [5341] = {.lex_state = 195},
  [5342] = {.lex_state = 195},
  [5343] = {.lex_state = 195},
  [5344] = {.lex_state = 195},
  [5345] = {.lex_state = 239},
  [5346] = {.lex_state = 195},
  [5347] = {.lex_state = 195},
  [5348] = {.lex_state = 238},
  [5349] = {.lex_state = 238},
  [5350] = {.lex_state = 195},
  [5351] = {.lex_state = 222},
  [5352] = {.lex_state = 195},
  [5353] = {.lex_state = 195},
  [5354] = {.lex_state = 239},
  [5355] = {.lex_state = 239},
  [5356] = {.lex_state = 195},
  [5357] = {.lex_state = 195},
  [5358] = {.lex_state = 236},
  [5359] = {.lex_state = 236},
  [5360] = {.lex_state = 236},
  [5361] = {.lex_state = 175},
  [5362] = {.lex_state = 236},
  [5363] = {.lex_state = 175},
  [5364] = {.lex_state = 236},
  [5365] = {.lex_state = 236},
  [5366] = {.lex_state = 236},
  [5367] = {.lex_state = 238},
  [5368] = {.lex_state = 175},
  [5369] = {.lex_state = 236},
  [5370] = {.lex_state = 236},
  [5371] = {.lex_state = 236},
  [5372] = {.lex_state = 236},
  [5373] = {.lex_state = 236},
  [5374] = {.lex_state = 236},
  [5375] = {.lex_state = 236},
  [5376] = {.lex_state = 236},
  [5377] = {.lex_state = 236},
  [5378] = {.lex_state = 236},
  [5379] = {.lex_state = 239},
  [5380] = {.lex_state = 236},
  [5381] = {.lex_state = 248},
  [5382] = {.lex_state = 238},
  [5383] = {.lex_state = 248},
  [5384] = {.lex_state = 238},
  [5385] = {.lex_state = 235},
  [5386] = {.lex_state = 236},
  [5387] = {.lex_state = 239},
  [5388] = {.lex_state = 238},
  [5389] = {.lex_state = 239},
  [5390] = {.lex_state = 236},
  [5391] = {.lex_state = 238},
  [5392] = {.lex_state = 238},
  [5393] = {.lex_state = 238},
  [5394] = {.lex_state = 238},
  [5395] = {.lex_state = 175},
  [5396] = {.lex_state = 248},
  [5397] = {.lex_state = 248},
  [5398] = {.lex_state = 248},
  [5399] = {.lex_state = 175},
  [5400] = {.lex_state = 175},
  [5401] = {.lex_state = 175},
  [5402] = {.lex_state = 248},
  [5403] = {.lex_state = 175},
  [5404] = {.lex_state = 236},
  [5405] = {.lex_state = 238},
  [5406] = {.lex_state = 248},
  [5407] = {.lex_state = 248},
  [5408] = {.lex_state = 248},
  [5409] = {.lex_state = 248},
  [5410] = {.lex_state = 248},
  [5411] = {.lex_state = 248},
  [5412] = {.lex_state = 248},
  [5413] = {.lex_state = 248},
  [5414] = {.lex_state = 248},
  [5415] = {.lex_state = 175},
  [5416] = {.lex_state = 238},
  [5417] = {.lex_state = 236},
  [5418] = {.lex_state = 236},
  [5419] = {.lex_state = 248},
  [5420] = {.lex_state = 175},
  [5421] = {.lex_state = 248},
  [5422] = {.lex_state = 248},
  [5423] = {.lex_state = 175},
  [5424] = {.lex_state = 175},
  [5425] = {.lex_state = 175},
  [5426] = {.lex_state = 175},
  [5427] = {.lex_state = 248},
  [5428] = {.lex_state = 236},
  [5429] = {.lex_state = 236},
  [5430] = {.lex_state = 248},
  [5431] = {.lex_state = 248},
  [5432] = {.lex_state = 175},
  [5433] = {.lex_state = 175},
  [5434] = {.lex_state = 175},
  [5435] = {.lex_state = 222},
  [5436] = {.lex_state = 248},
  [5437] = {.lex_state = 236},
  [5438] = {.lex_state = 236},
  [5439] = {.lex_state = 248},
  [5440] = {.lex_state = 248},
  [5441] = {.lex_state = 175},
  [5442] = {.lex_state = 175},
  [5443] = {.lex_state = 175},
  [5444] = {.lex_state = 248},
  [5445] = {.lex_state = 175},
  [5446] = {.lex_state = 238},
  [5447] = {.lex_state = 238},
  [5448] = {.lex_state = 238},
  [5449] = {.lex_state = 238},
  [5450] = {.lex_state = 238},
  [5451] = {.lex_state = 175},
  [5452] = {.lex_state = 248},
  [5453] = {.lex_state = 175},
  [5454] = {.lex_state = 175},
  [5455] = {.lex_state = 192},
  [5456] = {.lex_state = 175},
  [5457] = {.lex_state = 248},
  [5458] = {.lex_state = 238},
  [5459] = {.lex_state = 239},
  [5460] = {.lex_state = 175},
  [5461] = {.lex_state = 175},
  [5462] = {.lex_state = 175},
  [5463] = {.lex_state = 175},
  [5464] = {.lex_state = 175},
  [5465] = {.lex_state = 175},
  [5466] = {.lex_state = 175},
  [5467] = {.lex_state = 236},
  [5468] = {.lex_state = 175},
  [5469] = {.lex_state = 175},
  [5470] = {.lex_state = 175},
  [5471] = {.lex_state = 175},
  [5472] = {.lex_state = 236},
  [5473] = {.lex_state = 175},
  [5474] = {.lex_state = 175},
  [5475] = {.lex_state = 248},
  [5476] = {.lex_state = 248},
  [5477] = {.lex_state = 248},
  [5478] = {.lex_state = 248},
  [5479] = {.lex_state = 248},
  [5480] = {.lex_state = 248},
  [5481] = {.lex_state = 248},
  [5482] = {.lex_state = 175},
  [5483] = {.lex_state = 248},
  [5484] = {.lex_state = 175},
  [5485] = {.lex_state = 248},
  [5486] = {.lex_state = 236},
  [5487] = {.lex_state = 222},
  [5488] = {.lex_state = 248},
  [5489] = {.lex_state = 248},
  [5490] = {.lex_state = 175},
  [5491] = {.lex_state = 222},
  [5492] = {.lex_state = 248},
  [5493] = {.lex_state = 248},
  [5494] = {.lex_state = 175},
  [5495] = {.lex_state = 248},
  [5496] = {.lex_state = 193},
  [5497] = {.lex_state = 193},
  [5498] = {.lex_state = 193},
  [5499] = {.lex_state = 193},
  [5500] = {.lex_state = 193},
  [5501] = {.lex_state = 193},
  [5502] = {.lex_state = 193},
  [5503] = {.lex_state = 193},
  [5504] = {.lex_state = 193},
  [5505] = {.lex_state = 193},
  [5506] = {.lex_state = 222},
  [5507] = {.lex_state = 193},
  [5508] = {.lex_state = 193},
  [5509] = {.lex_state = 238},
  [5510] = {.lex_state = 193},
  [5511] = {.lex_state = 193},
  [5512] = {.lex_state = 193},
  [5513] = {.lex_state = 193},
  [5514] = {.lex_state = 193},
  [5515] = {.lex_state = 193},
  [5516] = {.lex_state = 193},
  [5517] = {.lex_state = 193},
  [5518] = {.lex_state = 193},
  [5519] = {.lex_state = 193},
  [5520] = {.lex_state = 193},
  [5521] = {.lex_state = 193},
  [5522] = {.lex_state = 193},
  [5523] = {.lex_state = 238},
  [5524] = {.lex_state = 239},
  [5525] = {.lex_state = 193},
  [5526] = {.lex_state = 193},
  [5527] = {.lex_state = 193},
  [5528] = {.lex_state = 193},
  [5529] = {.lex_state = 193},
  [5530] = {.lex_state = 193},
  [5531] = {.lex_state = 238},
  [5532] = {.lex_state = 239},
  [5533] = {.lex_state = 239},
  [5534] = {.lex_state = 193},
  [5535] = {.lex_state = 239},
  [5536] = {.lex_state = 239},
  [5537] = {.lex_state = 193},
  [5538] = {.lex_state = 193},
  [5539] = {.lex_state = 239},
  [5540] = {.lex_state = 239},
  [5541] = {.lex_state = 193},
  [5542] = {.lex_state = 193},
  [5543] = {.lex_state = 238},
  [5544] = {.lex_state = 193},
  [5545] = {.lex_state = 193},
  [5546] = {.lex_state = 193},
  [5547] = {.lex_state = 193},
  [5548] = {.lex_state = 193},
  [5549] = {.lex_state = 193},
  [5550] = {.lex_state = 239},
  [5551] = {.lex_state = 239},
  [5552] = {.lex_state = 239},
  [5553] = {.lex_state = 193},
  [5554] = {.lex_state = 193},
  [5555] = {.lex_state = 193},
  [5556] = {.lex_state = 238},
  [5557] = {.lex_state = 193},
  [5558] = {.lex_state = 193},
  [5559] = {.lex_state = 193},
  [5560] = {.lex_state = 193},
  [5561] = {.lex_state = 193},
  [5562] = {.lex_state = 193},
  [5563] = {.lex_state = 193},
  [5564] = {.lex_state = 193},
  [5565] = {.lex_state = 193},
  [5566] = {.lex_state = 193},
  [5567] = {.lex_state = 193},
  [5568] = {.lex_state = 193},
  [5569] = {.lex_state = 193},
  [5570] = {.lex_state = 239},
  [5571] = {.lex_state = 193},
  [5572] = {.lex_state = 193},
  [5573] = {.lex_state = 193},
  [5574] = {.lex_state = 239},
  [5575] = {.lex_state = 239},
  [5576] = {.lex_state = 239},
  [5577] = {.lex_state = 239},
  [5578] = {.lex_state = 239},
  [5579] = {.lex_state = 193},
  [5580] = {.lex_state = 193},
  [5581] = {.lex_state = 193},
  [5582] = {.lex_state = 239},
  [5583] = {.lex_state = 193},
  [5584] = {.lex_state = 239},
  [5585] = {.lex_state = 193},
  [5586] = {.lex_state = 239},
  [5587] = {.lex_state = 239},
  [5588] = {.lex_state = 239},
  [5589] = {.lex_state = 193},
  [5590] = {.lex_state = 193},
  [5591] = {.lex_state = 193},
  [5592] = {.lex_state = 239},
  [5593] = {.lex_state = 239},
  [5594] = {.lex_state = 193},
  [5595] = {.lex_state = 222},
  [5596] = {.lex_state = 193},
  [5597] = {.lex_state = 239},
  [5598] = {.lex_state = 193},
  [5599] = {.lex_state = 239},
  [5600] = {.lex_state = 239},
  [5601] = {.lex_state = 193},
  [5602] = {.lex_state = 193},
  [5603] = {.lex_state = 239},
  [5604] = {.lex_state = 193},
  [5605] = {.lex_state = 239},
  [5606] = {.lex_state = 239},
  [5607] = {.lex_state = 239},
  [5608] = {.lex_state = 193},
  [5609] = {.lex_state = 193},
  [5610] = {.lex_state = 193},
  [5611] = {.lex_state = 193},
  [5612] = {.lex_state = 193},
  [5613] = {.lex_state = 239},
  [5614] = {.lex_state = 193},
  [5615] = {.lex_state = 239},
  [5616] = {.lex_state = 239},
  [5617] = {.lex_state = 193},
  [5618] = {.lex_state = 193},
  [5619] = {.lex_state = 192},
  [5620] = {.lex_state = 239},
  [5621] = {.lex_state = 193},
  [5622] = {.lex_state = 192},
  [5623] = {.lex_state = 192},
  [5624] = {.lex_state = 239},
  [5625] = {.lex_state = 239},
  [5626] = {.lex_state = 239},
  [5627] = {.lex_state = 193},
  [5628] = {.lex_state = 193},
  [5629] = {.lex_state = 222},
  [5630] = {.lex_state = 222},
  [5631] = {.lex_state = 222},
  [5632] = {.lex_state = 238},
  [5633] = {.lex_state = 238},
  [5634] = {.lex_state = 193},
  [5635] = {.lex_state = 193},
  [5636] = {.lex_state = 193},
  [5637] = {.lex_state = 99},
  [5638] = {.lex_state = 193},
  [5639] = {.lex_state = 239},
  [5640] = {.lex_state = 192},
  [5641] = {.lex_state = 243},
  [5642] = {.lex_state = 222},
  [5643] = {.lex_state = 201},
  [5644] = {.lex_state = 222},
  [5645] = {.lex_state = 243},
  [5646] = {.lex_state = 239},
  [5647] = {.lex_state = 222},
  [5648] = {.lex_state = 238},
  [5649] = {.lex_state = 222},
  [5650] = {.lex_state = 222},
  [5651] = {.lex_state = 239},
  [5652] = {.lex_state = 238},
  [5653] = {.lex_state = 238},
  [5654] = {.lex_state = 201},
  [5655] = {.lex_state = 222},
  [5656] = {.lex_state = 238},
  [5657] = {.lex_state = 239},
  [5658] = {.lex_state = 239},
  [5659] = {.lex_state = 243},
  [5660] = {.lex_state = 192},
  [5661] = {.lex_state = 192},
  [5662] = {.lex_state = 239},
  [5663] = {.lex_state = 239},
  [5664] = {.lex_state = 243},
  [5665] = {.lex_state = 243},
  [5666] = {.lex_state = 243},
  [5667] = {.lex_state = 222},
  [5668] = {.lex_state = 222},
  [5669] = {.lex_state = 238},
  [5670] = {.lex_state = 192},
  [5671] = {.lex_state = 192},
  [5672] = {.lex_state = 222},
  [5673] = {.lex_state = 239},
  [5674] = {.lex_state = 243},
  [5675] = {.lex_state = 239},
  [5676] = {.lex_state = 239},
  [5677] = {.lex_state = 239},
  [5678] = {.lex_state = 243},
  [5679] = {.lex_state = 239},
  [5680] = {.lex_state = 243},
  [5681] = {.lex_state = 243},
  [5682] = {.lex_state = 238},
  [5683] = {.lex_state = 243},
  [5684] = {.lex_state = 239},
  [5685] = {.lex_state = 243},
  [5686] = {.lex_state = 239},
  [5687] = {.lex_state = 238},
  [5688] = {.lex_state = 238},
  [5689] = {.lex_state = 239},
  [5690] = {.lex_state = 192},
  [5691] = {.lex_state = 235},
  [5692] = {.lex_state = 243},
  [5693] = {.lex_state = 192},
  [5694] = {.lex_state = 239},
  [5695] = {.lex_state = 243},
  [5696] = {.lex_state = 243},
  [5697] = {.lex_state = 235},
  [5698] = {.lex_state = 243},
  [5699] = {.lex_state = 222},
  [5700] = {.lex_state = 243},
  [5701] = {.lex_state = 239},
  [5702] = {.lex_state = 192},
  [5703] = {.lex_state = 243},
  [5704] = {.lex_state = 192},
  [5705] = {.lex_state = 243},
  [5706] = {.lex_state = 243},
  [5707] = {.lex_state = 243},
  [5708] = {.lex_state = 222},
  [5709] = {.lex_state = 222},
  [5710] = {.lex_state = 239},
  [5711] = {.lex_state = 239},
  [5712] = {.lex_state = 222},
  [5713] = {.lex_state = 192},
  [5714] = {.lex_state = 243},
  [5715] = {.lex_state = 243},
  [5716] = {.lex_state = 192},
  [5717] = {.lex_state = 243},
  [5718] = {.lex_state = 222},
  [5719] = {.lex_state = 243},
  [5720] = {.lex_state = 192},
  [5721] = {.lex_state = 192},
  [5722] = {.lex_state = 192},
  [5723] = {.lex_state = 243},
  [5724] = {.lex_state = 192},
  [5725] = {.lex_state = 192},
  [5726] = {.lex_state = 192},
  [5727] = {.lex_state = 192},
  [5728] = {.lex_state = 192},
  [5729] = {.lex_state = 243},
  [5730] = {.lex_state = 192},
  [5731] = {.lex_state = 239},
  [5732] = {.lex_state = 192},
  [5733] = {.lex_state = 243},
  [5734] = {.lex_state = 222},
  [5735] = {.lex_state = 222},
  [5736] = {.lex_state = 236},
  [5737] = {.lex_state = 99},
  [5738] = {.lex_state = 99},
  [5739] = {.lex_state = 222},
  [5740] = {.lex_state = 235},
  [5741] = {.lex_state = 236},
  [5742] = {.lex_state = 238},
  [5743] = {.lex_state = 235},
  [5744] = {.lex_state = 236},
  [5745] = {.lex_state = 99},
  [5746] = {.lex_state = 99},
  [5747] = {.lex_state = 236},
  [5748] = {.lex_state = 239},
  [5749] = {.lex_state = 239},
  [5750] = {.lex_state = 239},
  [5751] = {.lex_state = 239},
  [5752] = {.lex_state = 99},
  [5753] = {.lex_state = 239},
  [5754] = {.lex_state = 236},
  [5755] = {.lex_state = 99},
  [5756] = {.lex_state = 99},
  [5757] = {.lex_state = 239},
  [5758] = {.lex_state = 236},
  [5759] = {.lex_state = 236},
  [5760] = {.lex_state = 99},
  [5761] = {.lex_state = 239},
  [5762] = {.lex_state = 239},
  [5763] = {.lex_state = 236},
  [5764] = {.lex_state = 239},
  [5765] = {.lex_state = 99},
  [5766] = {.lex_state = 99},
  [5767] = {.lex_state = 99},
  [5768] = {.lex_state = 222},
  [5769] = {.lex_state = 236},
  [5770] = {.lex_state = 239},
  [5771] = {.lex_state = 239},
  [5772] = {.lex_state = 239},
  [5773] = {.lex_state = 239},
  [5774] = {.lex_state = 239},
  [5775] = {.lex_state = 99},
  [5776] = {.lex_state = 99},
  [5777] = {.lex_state = 238},
  [5778] = {.lex_state = 99},
  [5779] = {.lex_state = 99},
  [5780] = {.lex_state = 99},
  [5781] = {.lex_state = 192},
  [5782] = {.lex_state = 236},
  [5783] = {.lex_state = 99},
  [5784] = {.lex_state = 238},
  [5785] = {.lex_state = 236},
  [5786] = {.lex_state = 222},
  [5787] = {.lex_state = 99},
  [5788] = {.lex_state = 236},
  [5789] = {.lex_state = 99},
  [5790] = {.lex_state = 239},
  [5791] = {.lex_state = 239},
  [5792] = {.lex_state = 239},
  [5793] = {.lex_state = 192},
  [5794] = {.lex_state = 99},
  [5795] = {.lex_state = 236},
  [5796] = {.lex_state = 222},
  [5797] = {.lex_state = 99},
  [5798] = {.lex_state = 99},
  [5799] = {.lex_state = 236},
  [5800] = {.lex_state = 236},
  [5801] = {.lex_state = 235},
  [5802] = {.lex_state = 236},
  [5803] = {.lex_state = 239},
  [5804] = {.lex_state = 247},
  [5805] = {.lex_state = 99},
  [5806] = {.lex_state = 99},
  [5807] = {.lex_state = 222},
  [5808] = {.lex_state = 236},
  [5809] = {.lex_state = 99},
  [5810] = {.lex_state = 99},
  [5811] = {.lex_state = 239},
  [5812] = {.lex_state = 236},
  [5813] = {.lex_state = 239},
  [5814] = {.lex_state = 99},
  [5815] = {.lex_state = 99},
  [5816] = {.lex_state = 99},
  [5817] = {.lex_state = 236},
  [5818] = {.lex_state = 99},
  [5819] = {.lex_state = 239},
  [5820] = {.lex_state = 99},
  [5821] = {.lex_state = 239},
  [5822] = {.lex_state = 99},
  [5823] = {.lex_state = 99},
  [5824] = {.lex_state = 99},
  [5825] = {.lex_state = 235},
  [5826] = {.lex_state = 238},
  [5827] = {.lex_state = 193},
  [5828] = {.lex_state = 239},
  [5829] = {.lex_state = 241},
  [5830] = {.lex_state = 235},
  [5831] = {.lex_state = 238},
  [5832] = {.lex_state = 235},
  [5833] = {.lex_state = 235},
  [5834] = {.lex_state = 235},
  [5835] = {.lex_state = 238},
  [5836] = {.lex_state = 238},
  [5837] = {.lex_state = 235},
  [5838] = {.lex_state = 235},
  [5839] = {.lex_state = 238},
  [5840] = {.lex_state = 238},
  [5841] = {.lex_state = 241},
  [5842] = {.lex_state = 193},
  [5843] = {.lex_state = 235},
  [5844] = {.lex_state = 238},
  [5845] = {.lex_state = 235},
  [5846] = {.lex_state = 235},
  [5847] = {.lex_state = 235},
  [5848] = {.lex_state = 235},
  [5849] = {.lex_state = 235},
  [5850] = {.lex_state = 235},
  [5851] = {.lex_state = 238},
  [5852] = {.lex_state = 235},
  [5853] = {.lex_state = 235},
  [5854] = {.lex_state = 235},
  [5855] = {.lex_state = 193},
  [5856] = {.lex_state = 235},
  [5857] = {.lex_state = 235},
  [5858] = {.lex_state = 235},
  [5859] = {.lex_state = 238},
  [5860] = {.lex_state = 235},
  [5861] = {.lex_state = 235},
  [5862] = {.lex_state = 239},
  [5863] = {.lex_state = 238},
  [5864] = {.lex_state = 239},
  [5865] = {.lex_state = 235},
  [5866] = {.lex_state = 235},
  [5867] = {.lex_state = 238},
  [5868] = {.lex_state = 238},
  [5869] = {.lex_state = 238},
  [5870] = {.lex_state = 238},
  [5871] = {.lex_state = 235},
  [5872] = {.lex_state = 238},
  [5873] = {.lex_state = 238},
  [5874] = {.lex_state = 239},
  [5875] = {.lex_state = 193},
  [5876] = {.lex_state = 239},
  [5877] = {.lex_state = 238},
  [5878] = {.lex_state = 238},
  [5879] = {.lex_state = 238},
  [5880] = {.lex_state = 239},
  [5881] = {.lex_state = 235},
  [5882] = {.lex_state = 235},
  [5883] = {.lex_state = 238},
  [5884] = {.lex_state = 235},
  [5885] = {.lex_state = 235},
  [5886] = {.lex_state = 235},
  [5887] = {.lex_state = 243},
  [5888] = {.lex_state = 239},
  [5889] = {.lex_state = 173},
  [5890] = {.lex_state = 201},
  [5891] = {.lex_state = 239},
  [5892] = {.lex_state = 222},
  [5893] = {.lex_state = 201},
  [5894] = {.lex_state = 201},
  [5895] = {.lex_state = 173},
  [5896] = {.lex_state = 201},
  [5897] = {.lex_state = 238},
  [5898] = {.lex_state = 239},
  [5899] = {.lex_state = 235},
  [5900] = {.lex_state = 235},
  [5901] = {.lex_state = 235},
  [5902] = {.lex_state = 235},
  [5903] = {.lex_state = 238},
  [5904] = {.lex_state = 201},
  [5905] = {.lex_state = 173},
  [5906] = {.lex_state = 222},
  [5907] = {.lex_state = 235},
  [5908] = {.lex_state = 231},
  [5909] = {.lex_state = 201},
  [5910] = {.lex_state = 173},
  [5911] = {.lex_state = 235},
  [5912] = {.lex_state = 173},
  [5913] = {.lex_state = 243},
  [5914] = {.lex_state = 239},
  [5915] = {.lex_state = 235},
  [5916] = {.lex_state = 222},
  [5917] = {.lex_state = 235},
  [5918] = {.lex_state = 231},
  [5919] = {.lex_state = 201},
  [5920] = {.lex_state = 173},
  [5921] = {.lex_state = 173},
  [5922] = {.lex_state = 173},
  [5923] = {.lex_state = 201},
  [5924] = {.lex_state = 238},
  [5925] = {.lex_state = 203},
  [5926] = {.lex_state = 193},
  [5927] = {.lex_state = 201},
  [5928] = {.lex_state = 238},
  [5929] = {.lex_state = 201},
  [5930] = {.lex_state = 239},
  [5931] = {.lex_state = 173},
  [5932] = {.lex_state = 239},
  [5933] = {.lex_state = 222},
  [5934] = {.lex_state = 239},
  [5935] = {.lex_state = 173},
  [5936] = {.lex_state = 231},
  [5937] = {.lex_state = 239},
  [5938] = {.lex_state = 231},
  [5939] = {.lex_state = 239},
  [5940] = {.lex_state = 193},
  [5941] = {.lex_state = 193},
  [5942] = {.lex_state = 238},
  [5943] = {.lex_state = 238},
  [5944] = {.lex_state = 238},
  [5945] = {.lex_state = 239},
  [5946] = {.lex_state = 238},
  [5947] = {.lex_state = 197},
  [5948] = {.lex_state = 238},
  [5949] = {.lex_state = 238},
  [5950] = {.lex_state = 197},
  [5951] = {.lex_state = 197},
  [5952] = {.lex_state = 197},
  [5953] = {.lex_state = 197},
  [5954] = {.lex_state = 197},
  [5955] = {.lex_state = 241},
  [5956] = {.lex_state = 241},
  [5957] = {.lex_state = 241},
  [5958] = {.lex_state = 241},
  [5959] = {.lex_state = 239},
  [5960] = {.lex_state = 193},
  [5961] = {.lex_state = 239},
  [5962] = {.lex_state = 241},
  [5963] = {.lex_state = 197},
  [5964] = {.lex_state = 173},
  [5965] = {.lex_state = 197},
  [5966] = {.lex_state = 241},
  [5967] = {.lex_state = 239},
  [5968] = {.lex_state = 197},
  [5969] = {.lex_state = 241},
  [5970] = {.lex_state = 239},
  [5971] = {.lex_state = 239},
  [5972] = {.lex_state = 239},
  [5973] = {.lex_state = 239},
  [5974] = {.lex_state = 239},
  [5975] = {.lex_state = 239},
  [5976] = {.lex_state = 241},
  [5977] = {.lex_state = 239},
  [5978] = {.lex_state = 241},
  [5979] = {.lex_state = 241},
  [5980] = {.lex_state = 239},
  [5981] = {.lex_state = 241},
  [5982] = {.lex_state = 197},
  [5983] = {.lex_state = 239},
  [5984] = {.lex_state = 241},
  [5985] = {.lex_state = 239},
  [5986] = {.lex_state = 241},
  [5987] = {.lex_state = 239},
  [5988] = {.lex_state = 239},
  [5989] = {.lex_state = 239},
  [5990] = {.lex_state = 239},
  [5991] = {.lex_state = 241},
  [5992] = {.lex_state = 239},
  [5993] = {.lex_state = 239},
  [5994] = {.lex_state = 197},
  [5995] = {.lex_state = 239},
  [5996] = {.lex_state = 241},
  [5997] = {.lex_state = 241},
  [5998] = {.lex_state = 239},
  [5999] = {.lex_state = 241},
  [6000] = {.lex_state = 241},
  [6001] = {.lex_state = 239},
  [6002] = {.lex_state = 239},
  [6003] = {.lex_state = 173},
  [6004] = {.lex_state = 239},
  [6005] = {.lex_state = 193},
  [6006] = {.lex_state = 239},
  [6007] = {.lex_state = 193},
  [6008] = {.lex_state = 239},
  [6009] = {.lex_state = 238},
  [6010] = {.lex_state = 239},
  [6011] = {.lex_state = 239},
  [6012] = {.lex_state = 241},
  [6013] = {.lex_state = 239},
  [6014] = {.lex_state = 239},
  [6015] = {.lex_state = 239},
  [6016] = {.lex_state = 193},
  [6017] = {.lex_state = 239},
  [6018] = {.lex_state = 238},
  [6019] = {.lex_state = 239},
  [6020] = {.lex_state = 239},
  [6021] = {.lex_state = 239},
  [6022] = {.lex_state = 239},
  [6023] = {.lex_state = 239},
  [6024] = {.lex_state = 239},
  [6025] = {.lex_state = 193},
  [6026] = {.lex_state = 193},
  [6027] = {.lex_state = 239},
  [6028] = {.lex_state = 241},
  [6029] = {.lex_state = 241},
  [6030] = {.lex_state = 239},
  [6031] = {.lex_state = 239},
  [6032] = {.lex_state = 197},
  [6033] = {.lex_state = 239},
  [6034] = {.lex_state = 239},
  [6035] = {.lex_state = 239},
  [6036] = {.lex_state = 193},
  [6037] = {.lex_state = 185},
  [6038] = {.lex_state = 173},
  [6039] = {.lex_state = 194},
  [6040] = {.lex_state = 185},
  [6041] = {.lex_state = 238},
  [6042] = {.lex_state = 185},
  [6043] = {.lex_state = 185},
  [6044] = {.lex_state = 194},
  [6045] = {.lex_state = 185},
  [6046] = {.lex_state = 194},
  [6047] = {.lex_state = 194},
  [6048] = {.lex_state = 193},
  [6049] = {.lex_state = 178},
  [6050] = {.lex_state = 239},
  [6051] = {.lex_state = 185},
  [6052] = {.lex_state = 193},
  [6053] = {.lex_state = 239},
  [6054] = {.lex_state = 239},
  [6055] = {.lex_state = 194},
  [6056] = {.lex_state = 173},
  [6057] = {.lex_state = 194},
  [6058] = {.lex_state = 185},
  [6059] = {.lex_state = 213},
  [6060] = {.lex_state = 239},
  [6061] = {.lex_state = 185},
  [6062] = {.lex_state = 213},
  [6063] = {.lex_state = 213},
  [6064] = {.lex_state = 213},
  [6065] = {.lex_state = 193},
  [6066] = {.lex_state = 193},
  [6067] = {.lex_state = 238},
  [6068] = {.lex_state = 235},
  [6069] = {.lex_state = 235},
  [6070] = {.lex_state = 238},
  [6071] = {.lex_state = 193},
  [6072] = {.lex_state = 185},
  [6073] = {.lex_state = 173},
  [6074] = {.lex_state = 193},
  [6075] = {.lex_state = 239},
  [6076] = {.lex_state = 239},
  [6077] = {.lex_state = 238},
  [6078] = {.lex_state = 194},
  [6079] = {.lex_state = 194},
  [6080] = {.lex_state = 185},
  [6081] = {.lex_state = 235},
  [6082] = {.lex_state = 185},
  [6083] = {.lex_state = 185},
  [6084] = {.lex_state = 238},
  [6085] = {.lex_state = 173},
  [6086] = {.lex_state = 185},
  [6087] = {.lex_state = 173},
  [6088] = {.lex_state = 239},
  [6089] = {.lex_state = 185},
  [6090] = {.lex_state = 239},
  [6091] = {.lex_state = 173},
  [6092] = {.lex_state = 194},
  [6093] = {.lex_state = 194},
  [6094] = {.lex_state = 235},
  [6095] = {.lex_state = 185},
  [6096] = {.lex_state = 185},
  [6097] = {.lex_state = 235},
  [6098] = {.lex_state = 185},
  [6099] = {.lex_state = 185},
  [6100] = {.lex_state = 235},
  [6101] = {.lex_state = 173},
  [6102] = {.lex_state = 185},
  [6103] = {.lex_state = 213},
  [6104] = {.lex_state = 185},
  [6105] = {.lex_state = 194},
  [6106] = {.lex_state = 173},
  [6107] = {.lex_state = 193},
  [6108] = {.lex_state = 213},
  [6109] = {.lex_state = 213},
  [6110] = {.lex_state = 194},
  [6111] = {.lex_state = 194},
  [6112] = {.lex_state = 235},
  [6113] = {.lex_state = 173},
  [6114] = {.lex_state = 194},
  [6115] = {.lex_state = 235},
  [6116] = {.lex_state = 185},
  [6117] = {.lex_state = 194},
  [6118] = {.lex_state = 239},
  [6119] = {.lex_state = 239},
  [6120] = {.lex_state = 213},
  [6121] = {.lex_state = 173},
  [6122] = {.lex_state = 194},
  [6123] = {.lex_state = 185},
  [6124] = {.lex_state = 193},
  [6125] = {.lex_state = 193},
  [6126] = {.lex_state = 213},
  [6127] = {.lex_state = 239},
  [6128] = {.lex_state = 193},
  [6129] = {.lex_state = 231},
  [6130] = {.lex_state = 193},
  [6131] = {.lex_state = 238},
  [6132] = {.lex_state = 193},
  [6133] = {.lex_state = 193},
  [6134] = {.lex_state = 238},
  [6135] = {.lex_state = 238},
  [6136] = {.lex_state = 238},
  [6137] = {.lex_state = 193},
  [6138] = {.lex_state = 231},
  [6139] = {.lex_state = 193},
  [6140] = {.lex_state = 193},
  [6141] = {.lex_state = 238},
  [6142] = {.lex_state = 193},
  [6143] = {.lex_state = 193},
  [6144] = {.lex_state = 238},
  [6145] = {.lex_state = 213},
  [6146] = {.lex_state = 238},
  [6147] = {.lex_state = 193},
  [6148] = {.lex_state = 239},
  [6149] = {.lex_state = 193},
  [6150] = {.lex_state = 193},
  [6151] = {.lex_state = 193},
  [6152] = {.lex_state = 238},
  [6153] = {.lex_state = 193},
  [6154] = {.lex_state = 193},
  [6155] = {.lex_state = 193},
  [6156] = {.lex_state = 239},
  [6157] = {.lex_state = 193},
  [6158] = {.lex_state = 239},
  [6159] = {.lex_state = 202},
  [6160] = {.lex_state = 239},
  [6161] = {.lex_state = 193},
  [6162] = {.lex_state = 239},
  [6163] = {.lex_state = 193},
  [6164] = {.lex_state = 193},
  [6165] = {.lex_state = 193},
  [6166] = {.lex_state = 193},
  [6167] = {.lex_state = 193},
  [6168] = {.lex_state = 239},
  [6169] = {.lex_state = 239},
  [6170] = {.lex_state = 193},
  [6171] = {.lex_state = 213},
  [6172] = {.lex_state = 239},
  [6173] = {.lex_state = 193},
  [6174] = {.lex_state = 193},
  [6175] = {.lex_state = 239},
  [6176] = {.lex_state = 193},
  [6177] = {.lex_state = 239},
  [6178] = {.lex_state = 213},
  [6179] = {.lex_state = 239},
  [6180] = {.lex_state = 239},
  [6181] = {.lex_state = 239},
  [6182] = {.lex_state = 213},
  [6183] = {.lex_state = 213},
  [6184] = {.lex_state = 213},
  [6185] = {.lex_state = 213},
  [6186] = {.lex_state = 193},
  [6187] = {.lex_state = 193},
  [6188] = {.lex_state = 193},
  [6189] = {.lex_state = 213},
  [6190] = {.lex_state = 213},
  [6191] = {.lex_state = 213},
  [6192] = {.lex_state = 213},
  [6193] = {.lex_state = 193},
  [6194] = {.lex_state = 213},
  [6195] = {.lex_state = 193},
  [6196] = {.lex_state = 213},
  [6197] = {.lex_state = 213},
  [6198] = {.lex_state = 239},
  [6199] = {.lex_state = 193},
  [6200] = {.lex_state = 239},
  [6201] = {.lex_state = 238},
  [6202] = {.lex_state = 231},
  [6203] = {.lex_state = 238},
  [6204] = {.lex_state = 238},
  [6205] = {.lex_state = 238},
  [6206] = {.lex_state = 238},
  [6207] = {.lex_state = 238},
  [6208] = {.lex_state = 239},
  [6209] = {.lex_state = 239},
  [6210] = {.lex_state = 213},
  [6211] = {.lex_state = 238},
  [6212] = {.lex_state = 238},
  [6213] = {.lex_state = 238},
  [6214] = {.lex_state = 193},
  [6215] = {.lex_state = 193},
  [6216] = {.lex_state = 213},
  [6217] = {.lex_state = 193},
  [6218] = {.lex_state = 238},
  [6219] = {.lex_state = 213},
  [6220] = {.lex_state = 231},
  [6221] = {.lex_state = 193},
  [6222] = {.lex_state = 213},
  [6223] = {.lex_state = 193},
  [6224] = {.lex_state = 193},
  [6225] = {.lex_state = 239},
  [6226] = {.lex_state = 193},
  [6227] = {.lex_state = 213},
  [6228] = {.lex_state = 238},
  [6229] = {.lex_state = 173},
  [6230] = {.lex_state = 239},
  [6231] = {.lex_state = 191},
  [6232] = {.lex_state = 238},
  [6233] = {.lex_state = 191},
  [6234] = {.lex_state = 191},
  [6235] = {.lex_state = 193},
  [6236] = {.lex_state = 191},
  [6237] = {.lex_state = 193},
  [6238] = {.lex_state = 191},
  [6239] = {.lex_state = 239},
  [6240] = {.lex_state = 239},
  [6241] = {.lex_state = 239},
  [6242] = {.lex_state = 239},
  [6243] = {.lex_state = 239},
  [6244] = {.lex_state = 191},
  [6245] = {.lex_state = 173},
  [6246] = {.lex_state = 239},
  [6247] = {.lex_state = 239},
  [6248] = {.lex_state = 239},
  [6249] = {.lex_state = 239},
  [6250] = {.lex_state = 191},
  [6251] = {.lex_state = 193},
  [6252] = {.lex_state = 195},
  [6253] = {.lex_state = 191},
  [6254] = {.lex_state = 191},
  [6255] = {.lex_state = 173},
  [6256] = {.lex_state = 195},
  [6257] = {.lex_state = 239},
  [6258] = {.lex_state = 239},
  [6259] = {.lex_state = 195},
  [6260] = {.lex_state = 193},
  [6261] = {.lex_state = 239},
  [6262] = {.lex_state = 235},
  [6263] = {.lex_state = 238},
  [6264] = {.lex_state = 195},
  [6265] = {.lex_state = 235},
  [6266] = {.lex_state = 238},
  [6267] = {.lex_state = 195},
  [6268] = {.lex_state = 191},
  [6269] = {.lex_state = 235},
  [6270] = {.lex_state = 239},
  [6271] = {.lex_state = 193},
  [6272] = {.lex_state = 195},
  [6273] = {.lex_state = 239},
  [6274] = {.lex_state = 195},
  [6275] = {.lex_state = 239},
  [6276] = {.lex_state = 235},
  [6277] = {.lex_state = 239},
  [6278] = {.lex_state = 235},
  [6279] = {.lex_state = 235},
  [6280] = {.lex_state = 239},
  [6281] = {.lex_state = 195},
  [6282] = {.lex_state = 239},
  [6283] = {.lex_state = 191},
  [6284] = {.lex_state = 191},
  [6285] = {.lex_state = 191},
  [6286] = {.lex_state = 193},
  [6287] = {.lex_state = 191},
  [6288] = {.lex_state = 239},
  [6289] = {.lex_state = 193},
  [6290] = {.lex_state = 191},
  [6291] = {.lex_state = 238},
  [6292] = {.lex_state = 193},
  [6293] = {.lex_state = 191},
  [6294] = {.lex_state = 235},
  [6295] = {.lex_state = 239},
  [6296] = {.lex_state = 191},
  [6297] = {.lex_state = 191},
  [6298] = {.lex_state = 193},
  [6299] = {.lex_state = 191},
  [6300] = {.lex_state = 191},
  [6301] = {.lex_state = 235},
  [6302] = {.lex_state = 193},
  [6303] = {.lex_state = 193},
  [6304] = {.lex_state = 239},
  [6305] = {.lex_state = 193},
  [6306] = {.lex_state = 197},
  [6307] = {.lex_state = 193},
  [6308] = {.lex_state = 239},
  [6309] = {.lex_state = 193},
  [6310] = {.lex_state = 193},
  [6311] = {.lex_state = 193},
  [6312] = {.lex_state = 197},
  [6313] = {.lex_state = 239},
  [6314] = {.lex_state = 239},
  [6315] = {.lex_state = 239},
  [6316] = {.lex_state = 193},
  [6317] = {.lex_state = 193},
  [6318] = {.lex_state = 193},
  [6319] = {.lex_state = 193},
  [6320] = {.lex_state = 193},
  [6321] = {.lex_state = 239},
  [6322] = {.lex_state = 193},
  [6323] = {.lex_state = 193},
  [6324] = {.lex_state = 193},
  [6325] = {.lex_state = 197},
  [6326] = {.lex_state = 239},
  [6327] = {.lex_state = 193},
  [6328] = {.lex_state = 193},
  [6329] = {.lex_state = 193},
  [6330] = {.lex_state = 193},
  [6331] = {.lex_state = 193},
  [6332] = {.lex_state = 197},
  [6333] = {.lex_state = 197},
  [6334] = {.lex_state = 193},
  [6335] = {.lex_state = 197},
  [6336] = {.lex_state = 239},
  [6337] = {.lex_state = 0},
  [6338] = {.lex_state = 197},
  [6339] = {.lex_state = 193},
  [6340] = {.lex_state = 193},
  [6341] = {.lex_state = 239},
  [6342] = {.lex_state = 193},
  [6343] = {.lex_state = 239},
  [6344] = {.lex_state = 193},
  [6345] = {.lex_state = 193},
  [6346] = {.lex_state = 193},
  [6347] = {.lex_state = 197},
  [6348] = {.lex_state = 201},
  [6349] = {.lex_state = 193},
  [6350] = {.lex_state = 193},
  [6351] = {.lex_state = 195},
  [6352] = {.lex_state = 193},
  [6353] = {.lex_state = 193},
  [6354] = {.lex_state = 193},
  [6355] = {.lex_state = 193},
  [6356] = {.lex_state = 213},
  [6357] = {.lex_state = 193},
  [6358] = {.lex_state = 213},
  [6359] = {.lex_state = 193},
  [6360] = {.lex_state = 239},
  [6361] = {.lex_state = 193},
  [6362] = {.lex_state = 213},
  [6363] = {.lex_state = 193},
  [6364] = {.lex_state = 239},
  [6365] = {.lex_state = 193},
  [6366] = {.lex_state = 193},
  [6367] = {.lex_state = 191},
  [6368] = {.lex_state = 195},
  [6369] = {.lex_state = 226},
  [6370] = {.lex_state = 193},
  [6371] = {.lex_state = 193},
  [6372] = {.lex_state = 195},
  [6373] = {.lex_state = 235},
  [6374] = {.lex_state = 193},
  [6375] = {.lex_state = 195},
  [6376] = {.lex_state = 193},
  [6377] = {.lex_state = 235},
  [6378] = {.lex_state = 239},
  [6379] = {.lex_state = 193},
  [6380] = {.lex_state = 239},
  [6381] = {.lex_state = 194},
  [6382] = {.lex_state = 193},
  [6383] = {.lex_state = 193},
  [6384] = {.lex_state = 235},
  [6385] = {.lex_state = 193},
  [6386] = {.lex_state = 193},
  [6387] = {.lex_state = 193},
  [6388] = {.lex_state = 193},
  [6389] = {.lex_state = 193},
  [6390] = {.lex_state = 239},
  [6391] = {.lex_state = 213},
  [6392] = {.lex_state = 193},
  [6393] = {.lex_state = 193},
  [6394] = {.lex_state = 194},
  [6395] = {.lex_state = 193},
  [6396] = {.lex_state = 239},
  [6397] = {.lex_state = 194},
  [6398] = {.lex_state = 194},
  [6399] = {.lex_state = 194},
  [6400] = {.lex_state = 213},
  [6401] = {.lex_state = 193},
  [6402] = {.lex_state = 235},
  [6403] = {.lex_state = 235},
  [6404] = {.lex_state = 193},
  [6405] = {.lex_state = 193},
  [6406] = {.lex_state = 193},
  [6407] = {.lex_state = 213},
  [6408] = {.lex_state = 193},
  [6409] = {.lex_state = 194},
  [6410] = {.lex_state = 193},
  [6411] = {.lex_state = 193},
  [6412] = {.lex_state = 195},
  [6413] = {.lex_state = 194},
  [6414] = {.lex_state = 193},
  [6415] = {.lex_state = 193},
  [6416] = {.lex_state = 195},
  [6417] = {.lex_state = 193},
  [6418] = {.lex_state = 193},
  [6419] = {.lex_state = 193},
  [6420] = {.lex_state = 193},
  [6421] = {.lex_state = 195},
  [6422] = {.lex_state = 226},
  [6423] = {.lex_state = 193},
  [6424] = {.lex_state = 194},
  [6425] = {.lex_state = 193},
  [6426] = {.lex_state = 195},
  [6427] = {.lex_state = 193},
  [6428] = {.lex_state = 194},
  [6429] = {.lex_state = 193},
  [6430] = {.lex_state = 195},
  [6431] = {.lex_state = 194},
  [6432] = {.lex_state = 194},
  [6433] = {.lex_state = 193},
  [6434] = {.lex_state = 239},
  [6435] = {.lex_state = 193},
  [6436] = {.lex_state = 235},
  [6437] = {.lex_state = 235},
  [6438] = {.lex_state = 193},
  [6439] = {.lex_state = 213},
  [6440] = {.lex_state = 213},
  [6441] = {.lex_state = 194},
  [6442] = {.lex_state = 193},
  [6443] = {.lex_state = 194},
  [6444] = {.lex_state = 193},
  [6445] = {.lex_state = 193},
  [6446] = {.lex_state = 235},
  [6447] = {.lex_state = 195},
  [6448] = {.lex_state = 194},
  [6449] = {.lex_state = 193},
  [6450] = {.lex_state = 193},
  [6451] = {.lex_state = 194},
  [6452] = {.lex_state = 195},
  [6453] = {.lex_state = 193},
  [6454] = {.lex_state = 195},
  [6455] = {.lex_state = 193},
  [6456] = {.lex_state = 194},
  [6457] = {.lex_state = 235},
  [6458] = {.lex_state = 336},
  [6459] = {.lex_state = 235},
  [6460] = {.lex_state = 213},
  [6461] = {.lex_state = 222},
  [6462] = {.lex_state = 213},
  [6463] = {.lex_state = 222},
  [6464] = {.lex_state = 222},
  [6465] = {.lex_state = 222},
  [6466] = {.lex_state = 213},
  [6467] = {.lex_state = 178},
  [6468] = {.lex_state = 193},
  [6469] = {.lex_state = 238},
  [6470] = {.lex_state = 222},
  [6471] = {.lex_state = 194},
  [6472] = {.lex_state = 213},
  [6473] = {.lex_state = 238},
  [6474] = {.lex_state = 193},
  [6475] = {.lex_state = 213},
  [6476] = {.lex_state = 238},
  [6477] = {.lex_state = 222},
  [6478] = {.lex_state = 213},
  [6479] = {.lex_state = 222},
  [6480] = {.lex_state = 222},
  [6481] = {.lex_state = 213},
  [6482] = {.lex_state = 222},
  [6483] = {.lex_state = 238},
  [6484] = {.lex_state = 213},
  [6485] = {.lex_state = 222},
  [6486] = {.lex_state = 222},
  [6487] = {.lex_state = 193},
  [6488] = {.lex_state = 193},
  [6489] = {.lex_state = 238},
  [6490] = {.lex_state = 193},
  [6491] = {.lex_state = 238},
  [6492] = {.lex_state = 222},
  [6493] = {.lex_state = 222},
  [6494] = {.lex_state = 238},
  [6495] = {.lex_state = 193},
  [6496] = {.lex_state = 213},
  [6497] = {.lex_state = 178},
  [6498] = {.lex_state = 235},
  [6499] = {.lex_state = 235},
  [6500] = {.lex_state = 238},
  [6501] = {.lex_state = 195},
  [6502] = {.lex_state = 193},
  [6503] = {.lex_state = 193},
  [6504] = {.lex_state = 193},
  [6505] = {.lex_state = 336},
  [6506] = {.lex_state = 193},
  [6507] = {.lex_state = 193},
  [6508] = {.lex_state = 193},
  [6509] = {.lex_state = 193},
  [6510] = {.lex_state = 193},
  [6511] = {.lex_state = 193},
  [6512] = {.lex_state = 193},
  [6513] = {.lex_state = 193},
  [6514] = {.lex_state = 193},
  [6515] = {.lex_state = 193},
  [6516] = {.lex_state = 336},
  [6517] = {.lex_state = 193},
  [6518] = {.lex_state = 195},
  [6519] = {.lex_state = 193},
  [6520] = {.lex_state = 193},
  [6521] = {.lex_state = 336},
  [6522] = {.lex_state = 336},
  [6523] = {.lex_state = 195},
  [6524] = {.lex_state = 193},
  [6525] = {.lex_state = 232},
  [6526] = {.lex_state = 201},
  [6527] = {.lex_state = 195},
  [6528] = {.lex_state = 193},
  [6529] = {.lex_state = 193},
  [6530] = {.lex_state = 193},
  [6531] = {.lex_state = 193},
  [6532] = {.lex_state = 193},
  [6533] = {.lex_state = 193},
  [6534] = {.lex_state = 193},
  [6535] = {.lex_state = 193},
  [6536] = {.lex_state = 193},
  [6537] = {.lex_state = 195},
  [6538] = {.lex_state = 336},
  [6539] = {.lex_state = 336},
  [6540] = {.lex_state = 336},
  [6541] = {.lex_state = 232},
  [6542] = {.lex_state = 193},
  [6543] = {.lex_state = 195},
  [6544] = {.lex_state = 193},
  [6545] = {.lex_state = 201},
  [6546] = {.lex_state = 193},
  [6547] = {.lex_state = 195},
  [6548] = {.lex_state = 193},
  [6549] = {.lex_state = 232},
  [6550] = {.lex_state = 193},
  [6551] = {.lex_state = 193},
  [6552] = {.lex_state = 195},
  [6553] = {.lex_state = 232},
  [6554] = {.lex_state = 193},
  [6555] = {.lex_state = 193},
  [6556] = {.lex_state = 193},
  [6557] = {.lex_state = 193},
  [6558] = {.lex_state = 213},
  [6559] = {.lex_state = 195},
  [6560] = {.lex_state = 197},
  [6561] = {.lex_state = 173},
  [6562] = {.lex_state = 336},
  [6563] = {.lex_state = 238},
  [6564] = {.lex_state = 213},
  [6565] = {.lex_state = 235},
  [6566] = {.lex_state = 193},
  [6567] = {.lex_state = 336},
  [6568] = {.lex_state = 336},
  [6569] = {.lex_state = 194},
  [6570] = {.lex_state = 336},
  [6571] = {.lex_state = 336},
  [6572] = {.lex_state = 336},
  [6573] = {.lex_state = 197},
  [6574] = {.lex_state = 336},
  [6575] = {.lex_state = 213},
  [6576] = {.lex_state = 336},
  [6577] = {.lex_state = 195},
  [6578] = {.lex_state = 235},
  [6579] = {.lex_state = 336},
  [6580] = {.lex_state = 336},
  [6581] = {.lex_state = 238},
  [6582] = {.lex_state = 336},
  [6583] = {.lex_state = 240},
  [6584] = {.lex_state = 336},
  [6585] = {.lex_state = 235},
  [6586] = {.lex_state = 194},
  [6587] = {.lex_state = 222},
  [6588] = {.lex_state = 235},
  [6589] = {.lex_state = 336},
  [6590] = {.lex_state = 194},
  [6591] = {.lex_state = 336},
  [6592] = {.lex_state = 336},
  [6593] = {.lex_state = 197},
  [6594] = {.lex_state = 194},
  [6595] = {.lex_state = 336},
  [6596] = {.lex_state = 197},
  [6597] = {.lex_state = 197},
  [6598] = {.lex_state = 213},
  [6599] = {.lex_state = 235},
  [6600] = {.lex_state = 195},
  [6601] = {.lex_state = 193},
  [6602] = {.lex_state = 336},
  [6603] = {.lex_state = 336},
  [6604] = {.lex_state = 195},
  [6605] = {.lex_state = 336},
  [6606] = {.lex_state = 336},
  [6607] = {.lex_state = 173},
  [6608] = {.lex_state = 222},
  [6609] = {.lex_state = 197},
  [6610] = {.lex_state = 195},
  [6611] = {.lex_state = 336},
  [6612] = {.lex_state = 197},
  [6613] = {.lex_state = 336},
  [6614] = {.lex_state = 336},
  [6615] = {.lex_state = 197},
  [6616] = {.lex_state = 195},
  [6617] = {.lex_state = 336},
  [6618] = {.lex_state = 336},
  [6619] = {.lex_state = 235},
  [6620] = {.lex_state = 193},
  [6621] = {.lex_state = 235},
  [6622] = {.lex_state = 193},
  [6623] = {.lex_state = 193},
  [6624] = {.lex_state = 336},
  [6625] = {.lex_state = 193},
  [6626] = {.lex_state = 173},
  [6627] = {.lex_state = 193},
  [6628] = {.lex_state = 235},
  [6629] = {.lex_state = 173},
  [6630] = {.lex_state = 336},
  [6631] = {.lex_state = 193},
  [6632] = {.lex_state = 173},
  [6633] = {.lex_state = 173},
  [6634] = {.lex_state = 193},
  [6635] = {.lex_state = 213},
  [6636] = {.lex_state = 193},
  [6637] = {.lex_state = 173},
  [6638] = {.lex_state = 193},
  [6639] = {.lex_state = 173},
  [6640] = {.lex_state = 336},
  [6641] = {.lex_state = 201},
  [6642] = {.lex_state = 173},
  [6643] = {.lex_state = 173},
  [6644] = {.lex_state = 336},
  [6645] = {.lex_state = 195},
  [6646] = {.lex_state = 193},
  [6647] = {.lex_state = 336},
  [6648] = {.lex_state = 173},
  [6649] = {.lex_state = 173},
  [6650] = {.lex_state = 336},
  [6651] = {.lex_state = 195},
  [6652] = {.lex_state = 201},
  [6653] = {.lex_state = 336},
  [6654] = {.lex_state = 173},
  [6655] = {.lex_state = 238},
  [6656] = {.lex_state = 201},
  [6657] = {.lex_state = 336},
  [6658] = {.lex_state = 193},
  [6659] = {.lex_state = 173},
  [6660] = {.lex_state = 336},
  [6661] = {.lex_state = 173},
  [6662] = {.lex_state = 173},
  [6663] = {.lex_state = 173},
  [6664] = {.lex_state = 173},
  [6665] = {.lex_state = 336},
  [6666] = {.lex_state = 173},
  [6667] = {.lex_state = 195},
  [6668] = {.lex_state = 173},
  [6669] = {.lex_state = 173},
  [6670] = {.lex_state = 173},
  [6671] = {.lex_state = 173},
  [6672] = {.lex_state = 336},
  [6673] = {.lex_state = 193},
  [6674] = {.lex_state = 193},
  [6675] = {.lex_state = 193},
  [6676] = {.lex_state = 193},
  [6677] = {.lex_state = 193},
  [6678] = {.lex_state = 193},
  [6679] = {.lex_state = 173},
  [6680] = {.lex_state = 193},
  [6681] = {.lex_state = 213},
  [6682] = {.lex_state = 193},
  [6683] = {.lex_state = 195},
  [6684] = {.lex_state = 193},
  [6685] = {.lex_state = 193},
  [6686] = {.lex_state = 193},
  [6687] = {.lex_state = 193},
  [6688] = {.lex_state = 173},
  [6689] = {.lex_state = 193},
  [6690] = {.lex_state = 213},
  [6691] = {.lex_state = 195},
  [6692] = {.lex_state = 336},
  [6693] = {.lex_state = 193},
  [6694] = {.lex_state = 193},
  [6695] = {.lex_state = 0},
  [6696] = {.lex_state = 193},
  [6697] = {.lex_state = 193},
  [6698] = {.lex_state = 193},
  [6699] = {.lex_state = 193},
  [6700] = {.lex_state = 193},
  [6701] = {.lex_state = 193},
  [6702] = {.lex_state = 193},
  [6703] = {.lex_state = 235},
  [6704] = {.lex_state = 193},
  [6705] = {.lex_state = 193},
  [6706] = {.lex_state = 193},
  [6707] = {.lex_state = 193},
  [6708] = {.lex_state = 336},
  [6709] = {.lex_state = 193},
  [6710] = {.lex_state = 193},
  [6711] = {.lex_state = 193},
  [6712] = {.lex_state = 235},
  [6713] = {.lex_state = 191},
  [6714] = {.lex_state = 336},
  [6715] = {.lex_state = 235},
  [6716] = {.lex_state = 193},
  [6717] = {.lex_state = 193},
  [6718] = {.lex_state = 235},
  [6719] = {.lex_state = 235},
  [6720] = {.lex_state = 191},
  [6721] = {.lex_state = 191},
  [6722] = {.lex_state = 235},
  [6723] = {.lex_state = 193},
  [6724] = {.lex_state = 235},
  [6725] = {.lex_state = 336},
  [6726] = {.lex_state = 336},
  [6727] = {.lex_state = 235},
  [6728] = {.lex_state = 191},
  [6729] = {.lex_state = 235},
  [6730] = {.lex_state = 336},
  [6731] = {.lex_state = 193},
  [6732] = {.lex_state = 193},
  [6733] = {.lex_state = 235},
  [6734] = {.lex_state = 191},
  [6735] = {.lex_state = 193},
  [6736] = {.lex_state = 193},
  [6737] = {.lex_state = 235},
  [6738] = {.lex_state = 235},
  [6739] = {.lex_state = 193},
  [6740] = {.lex_state = 191},
  [6741] = {.lex_state = 235},
  [6742] = {.lex_state = 193},
  [6743] = {.lex_state = 193},
  [6744] = {.lex_state = 191},
  [6745] = {.lex_state = 191},
  [6746] = {.lex_state = 191},
  [6747] = {.lex_state = 195},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 193},
  [6750] = {.lex_state = 191},
  [6751] = {.lex_state = 235},
  [6752] = {.lex_state = 191},
  [6753] = {.lex_state = 193},
  [6754] = {.lex_state = 193},
  [6755] = {.lex_state = 196},
  [6756] = {.lex_state = 193},
  [6757] = {.lex_state = 196},
  [6758] = {.lex_state = 193},
  [6759] = {.lex_state = 196},
  [6760] = {.lex_state = 193},
  [6761] = {.lex_state = 173},
  [6762] = {.lex_state = 213},
  [6763] = {.lex_state = 193},
  [6764] = {.lex_state = 193},
  [6765] = {.lex_state = 193},
  [6766] = {.lex_state = 193},
  [6767] = {.lex_state = 193},
  [6768] = {.lex_state = 193},
  [6769] = {.lex_state = 193},
  [6770] = {.lex_state = 336},
  [6771] = {.lex_state = 193},
  [6772] = {.lex_state = 193},
  [6773] = {.lex_state = 196},
  [6774] = {.lex_state = 193},
  [6775] = {.lex_state = 193},
  [6776] = {.lex_state = 193},
  [6777] = {.lex_state = 193},
  [6778] = {.lex_state = 193},
  [6779] = {.lex_state = 173},
  [6780] = {.lex_state = 193},
  [6781] = {.lex_state = 193},
  [6782] = {.lex_state = 193},
  [6783] = {.lex_state = 193},
  [6784] = {.lex_state = 193},
  [6785] = {.lex_state = 196},
  [6786] = {.lex_state = 173},
  [6787] = {.lex_state = 193},
  [6788] = {.lex_state = 193},
  [6789] = {.lex_state = 169},
  [6790] = {.lex_state = 193},
  [6791] = {.lex_state = 193},
  [6792] = {.lex_state = 193},
  [6793] = {.lex_state = 193},
  [6794] = {.lex_state = 193},
  [6795] = {.lex_state = 193},
  [6796] = {.lex_state = 193},
  [6797] = {.lex_state = 193},
  [6798] = {.lex_state = 193},
  [6799] = {.lex_state = 193},
  [6800] = {.lex_state = 193},
  [6801] = {.lex_state = 193},
  [6802] = {.lex_state = 336},
  [6803] = {.lex_state = 336},
  [6804] = {.lex_state = 193},
  [6805] = {.lex_state = 196},
  [6806] = {.lex_state = 235},
  [6807] = {.lex_state = 193},
  [6808] = {.lex_state = 193},
  [6809] = {.lex_state = 193},
  [6810] = {.lex_state = 193},
  [6811] = {.lex_state = 193},
  [6812] = {.lex_state = 193},
  [6813] = {.lex_state = 173},
  [6814] = {.lex_state = 213},
  [6815] = {.lex_state = 193},
  [6816] = {.lex_state = 336},
  [6817] = {.lex_state = 196},
  [6818] = {.lex_state = 193},
  [6819] = {.lex_state = 193},
  [6820] = {.lex_state = 193},
  [6821] = {.lex_state = 193},
  [6822] = {.lex_state = 193},
  [6823] = {.lex_state = 196},
  [6824] = {.lex_state = 193},
  [6825] = {.lex_state = 193},
  [6826] = {.lex_state = 193},
  [6827] = {.lex_state = 196},
  [6828] = {.lex_state = 196},
  [6829] = {.lex_state = 0},
  [6830] = {.lex_state = 173},
  [6831] = {.lex_state = 196},
  [6832] = {.lex_state = 0},
  [6833] = {.lex_state = 108},
  [6834] = {.lex_state = 173},
  [6835] = {.lex_state = 110},
  [6836] = {.lex_state = 235},
  [6837] = {.lex_state = 336},
  [6838] = {.lex_state = 110},
  [6839] = {.lex_state = 336},
  [6840] = {.lex_state = 193},
  [6841] = {.lex_state = 108},
  [6842] = {.lex_state = 0},
  [6843] = {.lex_state = 193},
  [6844] = {.lex_state = 336},
  [6845] = {.lex_state = 336},
  [6846] = {.lex_state = 196},
  [6847] = {.lex_state = 336},
  [6848] = {.lex_state = 336},
  [6849] = {.lex_state = 196},
  [6850] = {.lex_state = 0},
  [6851] = {.lex_state = 111},
  [6852] = {.lex_state = 336},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 196},
  [6855] = {.lex_state = 235},
  [6856] = {.lex_state = 196},
  [6857] = {.lex_state = 173},
  [6858] = {.lex_state = 173},
  [6859] = {.lex_state = 336},
  [6860] = {.lex_state = 173},
  [6861] = {.lex_state = 193},
  [6862] = {.lex_state = 196},
  [6863] = {.lex_state = 173},
  [6864] = {.lex_state = 336},
  [6865] = {.lex_state = 336},
  [6866] = {.lex_state = 213},
  [6867] = {.lex_state = 196},
  [6868] = {.lex_state = 173},
  [6869] = {.lex_state = 193},
  [6870] = {.lex_state = 196},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 336},
  [6873] = {.lex_state = 336},
  [6874] = {.lex_state = 196},
  [6875] = {.lex_state = 108},
  [6876] = {.lex_state = 108},
  [6877] = {.lex_state = 110},
  [6878] = {.lex_state = 108},
  [6879] = {.lex_state = 108},
  [6880] = {.lex_state = 196},
  [6881] = {.lex_state = 108},
  [6882] = {.lex_state = 196},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 108},
  [6885] = {.lex_state = 193},
  [6886] = {.lex_state = 108},
  [6887] = {.lex_state = 235},
  [6888] = {.lex_state = 108},
  [6889] = {.lex_state = 173},
  [6890] = {.lex_state = 336},
  [6891] = {.lex_state = 173},
  [6892] = {.lex_state = 336},
  [6893] = {.lex_state = 336},
  [6894] = {.lex_state = 0},
  [6895] = {.lex_state = 336},
  [6896] = {.lex_state = 108},
  [6897] = {.lex_state = 336},
  [6898] = {.lex_state = 108},
  [6899] = {.lex_state = 173},
  [6900] = {.lex_state = 336},
  [6901] = {.lex_state = 173},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 0},
  [6904] = {.lex_state = 173},
  [6905] = {.lex_state = 196},
  [6906] = {.lex_state = 108},
  [6907] = {.lex_state = 196},
  [6908] = {.lex_state = 336},
  [6909] = {.lex_state = 235},
  [6910] = {.lex_state = 173},
  [6911] = {.lex_state = 336},
  [6912] = {.lex_state = 108},
  [6913] = {.lex_state = 235},
  [6914] = {.lex_state = 193},
  [6915] = {.lex_state = 173},
  [6916] = {.lex_state = 108},
  [6917] = {.lex_state = 108},
  [6918] = {.lex_state = 110},
  [6919] = {.lex_state = 110},
  [6920] = {.lex_state = 336},
  [6921] = {.lex_state = 196},
  [6922] = {.lex_state = 196},
  [6923] = {.lex_state = 108},
  [6924] = {.lex_state = 193},
  [6925] = {.lex_state = 196},
  [6926] = {.lex_state = 196},
  [6927] = {.lex_state = 0},
  [6928] = {.lex_state = 108},
  [6929] = {.lex_state = 336},
  [6930] = {.lex_state = 0},
  [6931] = {.lex_state = 108},
  [6932] = {.lex_state = 336},
  [6933] = {.lex_state = 108},
  [6934] = {.lex_state = 336},
  [6935] = {.lex_state = 336},
  [6936] = {.lex_state = 0},
  [6937] = {.lex_state = 108},
  [6938] = {.lex_state = 196},
  [6939] = {.lex_state = 111},
  [6940] = {.lex_state = 235},
  [6941] = {.lex_state = 196},
  [6942] = {.lex_state = 196},
  [6943] = {.lex_state = 108},
  [6944] = {.lex_state = 110},
  [6945] = {.lex_state = 108},
  [6946] = {.lex_state = 193},
  [6947] = {.lex_state = 336},
  [6948] = {.lex_state = 111},
  [6949] = {.lex_state = 193},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 336},
  [6952] = {.lex_state = 336},
  [6953] = {.lex_state = 0},
  [6954] = {.lex_state = 108},
  [6955] = {.lex_state = 173},
  [6956] = {.lex_state = 108},
  [6957] = {.lex_state = 336},
  [6958] = {.lex_state = 110},
  [6959] = {.lex_state = 336},
  [6960] = {.lex_state = 173},
  [6961] = {.lex_state = 196},
  [6962] = {.lex_state = 108},
  [6963] = {.lex_state = 110},
  [6964] = {.lex_state = 336},
  [6965] = {.lex_state = 336},
  [6966] = {.lex_state = 196},
  [6967] = {.lex_state = 108},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 169},
  [6970] = {.lex_state = 196},
  [6971] = {.lex_state = 193},
  [6972] = {.lex_state = 108},
  [6973] = {.lex_state = 196},
  [6974] = {.lex_state = 110},
  [6975] = {.lex_state = 336},
  [6976] = {.lex_state = 108},
  [6977] = {.lex_state = 108},
  [6978] = {.lex_state = 0},
  [6979] = {.lex_state = 110},
  [6980] = {.lex_state = 336},
  [6981] = {.lex_state = 173},
  [6982] = {.lex_state = 336},
  [6983] = {.lex_state = 111},
  [6984] = {.lex_state = 196},
  [6985] = {.lex_state = 173},
  [6986] = {.lex_state = 108},
  [6987] = {.lex_state = 336},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 196},
  [6990] = {.lex_state = 108},
  [6991] = {.lex_state = 336},
  [6992] = {.lex_state = 173},
  [6993] = {.lex_state = 336},
  [6994] = {.lex_state = 336},
  [6995] = {.lex_state = 173},
  [6996] = {.lex_state = 196},
  [6997] = {.lex_state = 108},
  [6998] = {.lex_state = 111},
  [6999] = {.lex_state = 173},
  [7000] = {.lex_state = 108},
  [7001] = {.lex_state = 110},
  [7002] = {.lex_state = 196},
  [7003] = {.lex_state = 196},
  [7004] = {.lex_state = 196},
  [7005] = {.lex_state = 336},
  [7006] = {.lex_state = 196},
  [7007] = {.lex_state = 196},
  [7008] = {.lex_state = 173},
  [7009] = {.lex_state = 173},
  [7010] = {.lex_state = 108},
  [7011] = {.lex_state = 173},
  [7012] = {.lex_state = 336},
  [7013] = {.lex_state = 108},
  [7014] = {.lex_state = 336},
  [7015] = {.lex_state = 173},
  [7016] = {.lex_state = 193},
  [7017] = {.lex_state = 173},
  [7018] = {.lex_state = 173},
  [7019] = {.lex_state = 193},
  [7020] = {.lex_state = 111},
  [7021] = {.lex_state = 336},
  [7022] = {.lex_state = 173},
  [7023] = {.lex_state = 336},
  [7024] = {.lex_state = 193},
  [7025] = {.lex_state = 196},
  [7026] = {.lex_state = 111},
  [7027] = {.lex_state = 196},
  [7028] = {.lex_state = 173},
  [7029] = {.lex_state = 108},
  [7030] = {.lex_state = 235},
  [7031] = {.lex_state = 108},
  [7032] = {.lex_state = 196},
  [7033] = {.lex_state = 0},
  [7034] = {.lex_state = 336},
  [7035] = {.lex_state = 235},
  [7036] = {.lex_state = 196},
  [7037] = {.lex_state = 0},
  [7038] = {.lex_state = 235},
  [7039] = {.lex_state = 196},
  [7040] = {.lex_state = 235},
  [7041] = {.lex_state = 110},
  [7042] = {.lex_state = 173},
  [7043] = {.lex_state = 0},
  [7044] = {.lex_state = 336},
  [7045] = {.lex_state = 173},
  [7046] = {.lex_state = 336},
  [7047] = {.lex_state = 196},
  [7048] = {.lex_state = 193},
  [7049] = {.lex_state = 110},
  [7050] = {.lex_state = 108},
  [7051] = {.lex_state = 196},
  [7052] = {.lex_state = 0},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 0},
  [7057] = {.lex_state = 193},
  [7058] = {.lex_state = 0},
  [7059] = {.lex_state = 193},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 196},
  [7062] = {.lex_state = 196},
  [7063] = {.lex_state = 193},
  [7064] = {.lex_state = 0},
  [7065] = {.lex_state = 196},
  [7066] = {.lex_state = 0},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 193},
  [7069] = {.lex_state = 0},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 196},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 196},
  [7074] = {.lex_state = 196},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 196},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 193},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 196},
  [7082] = {.lex_state = 196},
  [7083] = {.lex_state = 0},
  [7084] = {.lex_state = 110},
  [7085] = {.lex_state = 0},
  [7086] = {.lex_state = 193},
  [7087] = {.lex_state = 193},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 0},
  [7090] = {.lex_state = 193},
  [7091] = {.lex_state = 0},
  [7092] = {.lex_state = 0},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 0},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 0},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 169},
  [7100] = {.lex_state = 196},
  [7101] = {.lex_state = 196},
  [7102] = {.lex_state = 162},
  [7103] = {.lex_state = 0},
  [7104] = {.lex_state = 113},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 169},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 193},
  [7110] = {.lex_state = 0},
  [7111] = {.lex_state = 0},
  [7112] = {.lex_state = 0},
  [7113] = {.lex_state = 193},
  [7114] = {.lex_state = 0},
  [7115] = {.lex_state = 196},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 196},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 196},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 0},
  [7122] = {.lex_state = 0},
  [7123] = {.lex_state = 193},
  [7124] = {.lex_state = 0},
  [7125] = {.lex_state = 193},
  [7126] = {.lex_state = 0},
  [7127] = {.lex_state = 0},
  [7128] = {.lex_state = 169},
  [7129] = {.lex_state = 193},
  [7130] = {.lex_state = 0},
  [7131] = {.lex_state = 0},
  [7132] = {.lex_state = 193},
  [7133] = {.lex_state = 0},
  [7134] = {.lex_state = 0},
  [7135] = {.lex_state = 0},
  [7136] = {.lex_state = 193},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 193},
  [7139] = {.lex_state = 0},
  [7140] = {.lex_state = 196},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 193},
  [7143] = {.lex_state = 113},
  [7144] = {.lex_state = 0},
  [7145] = {.lex_state = 0},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 169},
  [7150] = {.lex_state = 196},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 169},
  [7153] = {.lex_state = 196},
  [7154] = {.lex_state = 193},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 196},
  [7157] = {.lex_state = 196},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 110},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 193},
  [7163] = {.lex_state = 196},
  [7164] = {.lex_state = 193},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 196},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 113},
  [7170] = {.lex_state = 196},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 0},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 196},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 196},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 196},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 193},
  [7186] = {.lex_state = 196},
  [7187] = {.lex_state = 193},
  [7188] = {.lex_state = 196},
  [7189] = {.lex_state = 193},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 193},
  [7193] = {.lex_state = 193},
  [7194] = {.lex_state = 193},
  [7195] = {.lex_state = 196},
  [7196] = {.lex_state = 169},
  [7197] = {.lex_state = 193},
  [7198] = {.lex_state = 193},
  [7199] = {.lex_state = 169},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 193},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 193},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 196},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 196},
  [7214] = {.lex_state = 169},
  [7215] = {.lex_state = 196},
  [7216] = {.lex_state = 336},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 196},
  [7219] = {.lex_state = 193},
  [7220] = {.lex_state = 196},
  [7221] = {.lex_state = 173},
  [7222] = {.lex_state = 193},
  [7223] = {.lex_state = 193},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 193},
  [7233] = {.lex_state = 193},
  [7234] = {.lex_state = 196},
  [7235] = {.lex_state = 196},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 193},
  [7238] = {.lex_state = 169},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 169},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 193},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 0},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 193},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 169},
  [7258] = {.lex_state = 110},
  [7259] = {.lex_state = 196},
  [7260] = {.lex_state = 196},
  [7261] = {.lex_state = 169},
  [7262] = {.lex_state = 196},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 193},
  [7266] = {.lex_state = 196},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 0},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 336},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 193},
  [7281] = {.lex_state = 193},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 196},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 173},
  [7286] = {.lex_state = 193},
  [7287] = {.lex_state = 196},
  [7288] = {.lex_state = 193},
  [7289] = {.lex_state = 0},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 0},
  [7293] = {.lex_state = 0},
  [7294] = {.lex_state = 196},
  [7295] = {.lex_state = 196},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 193},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 193},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 193},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 196},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 193},
  [7307] = {.lex_state = 196},
  [7308] = {.lex_state = 193},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 169},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 193},
  [7323] = {.lex_state = 196},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 196},
  [7326] = {.lex_state = 193},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 196},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 0},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 196},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 193},
  [7337] = {.lex_state = 110},
  [7338] = {.lex_state = 193},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 196},
  [7344] = {.lex_state = 193},
  [7345] = {.lex_state = 196},
  [7346] = {.lex_state = 193},
  [7347] = {.lex_state = 169},
  [7348] = {.lex_state = 196},
  [7349] = {.lex_state = 110},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 193},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 0},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 193},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 110},
  [7362] = {.lex_state = 196},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 110},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 0},
  [7367] = {.lex_state = 213},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 110},
  [7370] = {.lex_state = 110},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 196},
  [7373] = {.lex_state = 0},
  [7374] = {.lex_state = 110},
  [7375] = {.lex_state = 0},
  [7376] = {.lex_state = 0},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 196},
  [7380] = {.lex_state = 336},
  [7381] = {.lex_state = 169},
  [7382] = {.lex_state = 110},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 193},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 193},
  [7389] = {.lex_state = 193},
  [7390] = {.lex_state = 196},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 196},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 193},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 193},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 196},
  [7408] = {.lex_state = 193},
  [7409] = {.lex_state = 113},
  [7410] = {.lex_state = 193},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 196},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 193},
  [7419] = {.lex_state = 196},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 196},
  [7427] = {.lex_state = 193},
  [7428] = {.lex_state = 193},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 0},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 169},
  [7435] = {.lex_state = 196},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 193},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 110},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 193},
  [7442] = {.lex_state = 193},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 193},
  [7446] = {.lex_state = 173},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 0},
  [7451] = {.lex_state = 196},
  [7452] = {.lex_state = 169},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 336},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 336},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 336},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 112},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 193},
  [7464] = {.lex_state = 336},
  [7465] = {.lex_state = 336, .external_lex_state = 2},
  [7466] = {.lex_state = 336, .external_lex_state = 2},
  [7467] = {.lex_state = 336, .external_lex_state = 2},
  [7468] = {.lex_state = 336, .external_lex_state = 2},
  [7469] = {.lex_state = 336, .external_lex_state = 2},
  [7470] = {.lex_state = 336, .external_lex_state = 2},
  [7471] = {.lex_state = 336, .external_lex_state = 2},
  [7472] = {.lex_state = 336, .external_lex_state = 2},
  [7473] = {.lex_state = 336, .external_lex_state = 2},
  [7474] = {.lex_state = 336, .external_lex_state = 2},
  [7475] = {.lex_state = 336, .external_lex_state = 2},
  [7476] = {.lex_state = 336, .external_lex_state = 2},
  [7477] = {.lex_state = 112},
  [7478] = {.lex_state = 336},
  [7479] = {.lex_state = 336, .external_lex_state = 2},
  [7480] = {.lex_state = 336},
  [7481] = {.lex_state = 336, .external_lex_state = 2},
  [7482] = {.lex_state = 336},
  [7483] = {.lex_state = 336, .external_lex_state = 2},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 336, .external_lex_state = 2},
  [7488] = {.lex_state = 336},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 0},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 0},
  [7494] = {.lex_state = 193},
  [7495] = {.lex_state = 193},
  [7496] = {.lex_state = 336},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 0},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 112},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 193},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 336},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 336},
  [7509] = {.lex_state = 193},
  [7510] = {.lex_state = 169},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 336},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 336},
  [7519] = {.lex_state = 336},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 193},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 336, .external_lex_state = 2},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 336},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 336},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 193},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 336},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 193},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 112},
  [7544] = {.lex_state = 336},
  [7545] = {.lex_state = 336},
  [7546] = {.lex_state = 336},
  [7547] = {.lex_state = 112},
  [7548] = {.lex_state = 336},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 193},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 336},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 112},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 336},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 112},
  [7574] = {.lex_state = 336},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 193},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 193},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 112},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 0},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 336},
  [7590] = {.lex_state = 336},
  [7591] = {.lex_state = 336},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 336},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 336},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 193},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 336},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 169},
  [7611] = {.lex_state = 193},
  [7612] = {.lex_state = 112},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 193},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 336},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 0},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 0},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 112},
  [7633] = {.lex_state = 169},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 336},
  [7636] = {.lex_state = 0},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 193},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 0},
  [7645] = {.lex_state = 336},
  [7646] = {.lex_state = 336},
  [7647] = {.lex_state = 336},
  [7648] = {.lex_state = 193},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 336},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 336},
  [7658] = {.lex_state = 336},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 193},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 336},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 336},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 193},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 112},
  [7677] = {.lex_state = 336},
  [7678] = {.lex_state = 336},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 336},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 336},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 193},
  [7692] = {.lex_state = 336},
  [7693] = {.lex_state = 336},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 336},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 336},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 336},
  [7706] = {.lex_state = 112},
  [7707] = {.lex_state = 336},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 193},
  [7711] = {.lex_state = 193},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 336},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 193},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 336},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 336},
  [7720] = {.lex_state = 0},
  [7721] = {.lex_state = 193},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 336},
  [7725] = {.lex_state = 112},
  [7726] = {.lex_state = 336},
  [7727] = {.lex_state = 336},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 336},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 336},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 336},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 193},
  [7738] = {.lex_state = 193},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 336},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 336},
  [7748] = {.lex_state = 336},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 112},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 336},
  [7757] = {.lex_state = 336},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 336},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 336},
  [7762] = {.lex_state = 193},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 112},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 336},
  [7767] = {.lex_state = 336},
  [7768] = {.lex_state = 336},
  [7769] = {.lex_state = 336},
  [7770] = {.lex_state = 336},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 112},
  [7773] = {.lex_state = 193},
  [7774] = {.lex_state = 336},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 112},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 193},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 193},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 171},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 193},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 169},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 169},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 336},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 169},
  [7802] = {.lex_state = 0},
  [7803] = {.lex_state = 169},
  [7804] = {.lex_state = 172},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 193},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 171},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 336},
  [7811] = {.lex_state = 169},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0, .external_lex_state = 2},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 336},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 336},
  [7822] = {.lex_state = 336},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 113},
  [7826] = {.lex_state = 171},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 171},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 236},
  [7838] = {.lex_state = 192},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 193},
  [7841] = {.lex_state = 193},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 113},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 113},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 193},
  [7848] = {.lex_state = 193},
  [7849] = {.lex_state = 336},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 171},
  [7853] = {.lex_state = 193},
  [7854] = {.lex_state = 336},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 336},
  [7860] = {.lex_state = 171},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 171},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 336},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 171},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 113},
  [7873] = {.lex_state = 171},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 193},
  [7876] = {.lex_state = 336},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 171},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 171},
  [7881] = {.lex_state = 171},
  [7882] = {.lex_state = 171},
  [7883] = {.lex_state = 171},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 193},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 193},
  [7889] = {.lex_state = 196},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 113},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 113},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 171},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 171},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 113},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 193},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 113},
  [7908] = {.lex_state = 113},
  [7909] = {.lex_state = 113},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 196},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 0, .external_lex_state = 2},
  [7914] = {.lex_state = 193},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 171},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 171},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 193},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 193},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 193},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 193},
  [7934] = {.lex_state = 193},
  [7935] = {.lex_state = 196},
  [7936] = {.lex_state = 193},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 193},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 193},
  [7942] = {.lex_state = 336},
  [7943] = {.lex_state = 336},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 193},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 193},
  [7950] = {.lex_state = 113},
  [7951] = {.lex_state = 336},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 336},
  [7958] = {.lex_state = 193},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 193},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 171},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 193},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 193},
  [7975] = {.lex_state = 193},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 193},
  [7980] = {.lex_state = 336},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0, .external_lex_state = 2},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 193},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 336},
  [7996] = {.lex_state = 171},
  [7997] = {.lex_state = 171},
  [7998] = {.lex_state = 171},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 171},
  [8002] = {.lex_state = 171},
  [8003] = {.lex_state = 171},
  [8004] = {.lex_state = 171},
  [8005] = {.lex_state = 171},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 193},
  [8009] = {.lex_state = 336},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 0},
  [8015] = {.lex_state = 193},
  [8016] = {.lex_state = 196},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 0, .external_lex_state = 3},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 336},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 193},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 0, .external_lex_state = 2},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 193},
  [8040] = {.lex_state = 193},
  [8041] = {.lex_state = 171},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 171},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 336},
  [8047] = {.lex_state = 171},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 113},
  [8053] = {.lex_state = 171},
  [8054] = {.lex_state = 171},
  [8055] = {.lex_state = 171},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 196},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 336},
  [8060] = {.lex_state = 193},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 171},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 113},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 336},
  [8070] = {.lex_state = 193},
  [8071] = {.lex_state = 336},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 193},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0, .external_lex_state = 2},
  [8082] = {.lex_state = 196},
  [8083] = {.lex_state = 193},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 171},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 193},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 336},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0, .external_lex_state = 2},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 336},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 193},
  [8107] = {.lex_state = 0, .external_lex_state = 2},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 336},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0, .external_lex_state = 2},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0, .external_lex_state = 2},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0, .external_lex_state = 2},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0, .external_lex_state = 2},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 0, .external_lex_state = 2},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 0, .external_lex_state = 2},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0, .external_lex_state = 2},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0, .external_lex_state = 2},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 0},
  [8136] = {.lex_state = 336},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 336},
  [8139] = {.lex_state = 336},
  [8140] = {.lex_state = 336},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 336},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 336},
  [8146] = {.lex_state = 336},
  [8147] = {.lex_state = 336},
  [8148] = {.lex_state = 196},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 336},
  [8154] = {.lex_state = 196},
  [8155] = {.lex_state = 113},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 193},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 193},
  [8160] = {.lex_state = 193},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 336},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 336},
  [8168] = {.lex_state = 0, .external_lex_state = 3},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 193},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 336},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 193},
  [8178] = {.lex_state = 196},
  [8179] = {.lex_state = 171},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 193},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 193},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 196},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 113},
  [8193] = {.lex_state = 113},
  [8194] = {.lex_state = 171},
  [8195] = {.lex_state = 193},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 0},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 193},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 196},
  [8206] = {.lex_state = 196},
  [8207] = {.lex_state = 196},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 193},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 171},
  [8222] = {.lex_state = 0},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 193},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0, .external_lex_state = 2},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 171},
  [8242] = {.lex_state = 113},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 196},
  [8245] = {.lex_state = 193},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 171},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 193},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 336},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 0},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 193},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 113},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 113},
  [8272] = {.lex_state = 193},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 193},
  [8275] = {.lex_state = 193},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 336},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 196},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 113},
  [8285] = {.lex_state = 171},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 113},
  [8288] = {.lex_state = 336},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 336},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 193},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 336},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 196},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 193},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 0},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 113},
  [8316] = {.lex_state = 113},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 113},
  [8321] = {.lex_state = 0, .external_lex_state = 3},
  [8322] = {.lex_state = 336},
  [8323] = {.lex_state = 336},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 0},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 193},
  [8332] = {.lex_state = 196},
  [8333] = {.lex_state = 196},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 336},
  [8336] = {.lex_state = 336},
  [8337] = {.lex_state = 336},
  [8338] = {.lex_state = 336},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 336},
  [8341] = {.lex_state = 0},
  [8342] = {.lex_state = 0},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 193},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 193},
  [8347] = {.lex_state = 196},
  [8348] = {.lex_state = 336},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 193},
  [8352] = {.lex_state = 336},
  [8353] = {.lex_state = 0, .external_lex_state = 3},
  [8354] = {.lex_state = 113},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 113},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 0},
  [8360] = {.lex_state = 0},
  [8361] = {.lex_state = 196},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 0},
  [8364] = {.lex_state = 336},
  [8365] = {.lex_state = 336},
  [8366] = {.lex_state = 336},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 336},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 193},
  [8372] = {.lex_state = 193},
  [8373] = {.lex_state = 336},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 336},
  [8377] = {.lex_state = 0, .external_lex_state = 3},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 196},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 336},
  [8386] = {.lex_state = 336},
  [8387] = {.lex_state = 336},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 336},
  [8390] = {.lex_state = 336},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 193},
  [8393] = {.lex_state = 336},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 0},
  [8396] = {.lex_state = 336},
  [8397] = {.lex_state = 0, .external_lex_state = 3},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 171},
  [8400] = {.lex_state = 193},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 196},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 336},
  [8406] = {.lex_state = 336},
  [8407] = {.lex_state = 336},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 336},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 336},
  [8413] = {.lex_state = 0},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 336},
  [8416] = {.lex_state = 0, .external_lex_state = 3},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 171},
  [8419] = {.lex_state = 171},
  [8420] = {.lex_state = 0},
  [8421] = {.lex_state = 0},
  [8422] = {.lex_state = 196},
  [8423] = {.lex_state = 0},
  [8424] = {.lex_state = 336},
  [8425] = {.lex_state = 336},
  [8426] = {.lex_state = 0},
  [8427] = {.lex_state = 336},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 0},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 171},
  [8432] = {.lex_state = 336},
  [8433] = {.lex_state = 0, .external_lex_state = 3},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 171},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 171},
  [8439] = {.lex_state = 336},
  [8440] = {.lex_state = 336},
  [8441] = {.lex_state = 336},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 0, .external_lex_state = 3},
  [8444] = {.lex_state = 193},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 336},
  [8449] = {.lex_state = 336},
  [8450] = {.lex_state = 336},
  [8451] = {.lex_state = 0},
  [8452] = {.lex_state = 0, .external_lex_state = 3},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 336},
  [8456] = {.lex_state = 336},
  [8457] = {.lex_state = 336},
  [8458] = {.lex_state = 0, .external_lex_state = 3},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 336},
  [8461] = {.lex_state = 0, .external_lex_state = 3},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 336},
  [8464] = {.lex_state = 0, .external_lex_state = 3},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 0, .external_lex_state = 3},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 0, .external_lex_state = 3},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0, .external_lex_state = 3},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 0, .external_lex_state = 3},
  [8473] = {.lex_state = 0},
  [8474] = {.lex_state = 0, .external_lex_state = 3},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 0},
  [8478] = {.lex_state = 336},
  [8479] = {.lex_state = 336},
  [8480] = {.lex_state = 193},
  [8481] = {.lex_state = 193},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 0},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 193},
  [8487] = {.lex_state = 0},
  [8488] = {.lex_state = 193},
  [8489] = {.lex_state = 193},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 0},
  [8492] = {.lex_state = 193},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 171},
  [8495] = {.lex_state = 171},
  [8496] = {.lex_state = 193},
  [8497] = {.lex_state = 0, .external_lex_state = 3},
  [8498] = {.lex_state = 193},
  [8499] = {.lex_state = 336},
  [8500] = {.lex_state = 193},
  [8501] = {.lex_state = 196},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 193},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 0},
  [8506] = {.lex_state = 0},
  [8507] = {.lex_state = 0, .external_lex_state = 2},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 193},
  [8510] = {.lex_state = 193},
  [8511] = {.lex_state = 336},
  [8512] = {.lex_state = 171},
  [8513] = {.lex_state = 336},
  [8514] = {.lex_state = 171},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 113},
  [8517] = {.lex_state = 0},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 0},
  [8520] = {.lex_state = 113},
  [8521] = {.lex_state = 171},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 0},
  [8524] = {.lex_state = 193},
  [8525] = {.lex_state = 196},
  [8526] = {.lex_state = 193},
  [8527] = {.lex_state = 171},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 196},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 193},
  [8535] = {.lex_state = 336},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 113},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 0},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 113},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 336},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 336},
  [8551] = {.lex_state = 0},
  [8552] = {.lex_state = 193},
  [8553] = {.lex_state = 336},
  [8554] = {.lex_state = 196},
  [8555] = {.lex_state = 0},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 196},
  [8560] = {.lex_state = 336},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 336},
  [8563] = {.lex_state = 336},
  [8564] = {.lex_state = 193},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 336},
  [8569] = {.lex_state = 193},
  [8570] = {.lex_state = 0, .external_lex_state = 3},
  [8571] = {.lex_state = 336},
  [8572] = {.lex_state = 336},
  [8573] = {.lex_state = 193},
  [8574] = {.lex_state = 0},
  [8575] = {.lex_state = 336},
  [8576] = {.lex_state = 336},
  [8577] = {.lex_state = 193},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 193},
  [8581] = {.lex_state = 0, .external_lex_state = 3},
  [8582] = {.lex_state = 336},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 196},
  [8585] = {.lex_state = 336},
  [8586] = {.lex_state = 193},
  [8587] = {.lex_state = 193},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 193},
  [8590] = {.lex_state = 0, .external_lex_state = 3},
  [8591] = {.lex_state = 171},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 336},
  [8594] = {.lex_state = 193},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 336},
  [8597] = {.lex_state = 193},
  [8598] = {.lex_state = 0, .external_lex_state = 3},
  [8599] = {.lex_state = 113},
  [8600] = {.lex_state = 336},
  [8601] = {.lex_state = 193},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 193},
  [8604] = {.lex_state = 0, .external_lex_state = 3},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 193},
  [8607] = {.lex_state = 0, .external_lex_state = 3},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0, .external_lex_state = 3},
  [8610] = {.lex_state = 0},
  [8611] = {.lex_state = 0, .external_lex_state = 3},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0, .external_lex_state = 3},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 0, .external_lex_state = 3},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 0, .external_lex_state = 3},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 0, .external_lex_state = 3},
  [8620] = {.lex_state = 193},
  [8621] = {.lex_state = 0, .external_lex_state = 3},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0, .external_lex_state = 3},
  [8624] = {.lex_state = 0},
  [8625] = {.lex_state = 0, .external_lex_state = 3},
  [8626] = {.lex_state = 336},
  [8627] = {.lex_state = 336},
  [8628] = {.lex_state = 193},
  [8629] = {.lex_state = 336},
  [8630] = {.lex_state = 336},
  [8631] = {.lex_state = 336},
  [8632] = {.lex_state = 336},
  [8633] = {.lex_state = 336},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 336},
  [8636] = {.lex_state = 336},
  [8637] = {.lex_state = 336},
  [8638] = {.lex_state = 336},
  [8639] = {.lex_state = 336},
  [8640] = {.lex_state = 336},
  [8641] = {.lex_state = 336},
  [8642] = {.lex_state = 336},
  [8643] = {.lex_state = 336},
  [8644] = {.lex_state = 336},
  [8645] = {.lex_state = 336},
  [8646] = {.lex_state = 336},
  [8647] = {.lex_state = 336},
  [8648] = {.lex_state = 336},
  [8649] = {.lex_state = 336},
  [8650] = {.lex_state = 336},
  [8651] = {.lex_state = 336},
  [8652] = {.lex_state = 193},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 193},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 193},
  [8657] = {.lex_state = 336},
  [8658] = {.lex_state = 336},
  [8659] = {.lex_state = 336},
  [8660] = {.lex_state = 336},
  [8661] = {.lex_state = 336},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_PROGMEM] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_word] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [aux_sym_number_literal_token1] = ACTIONS(1),
    [aux_sym_number_literal_token2] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8548),
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1838),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6288),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2699),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(737),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4828),
    [sym__string] = STATE(4835),
    [sym_conditional_expression] = STATE(4894),
    [sym_assignment_expression] = STATE(4894),
    [sym_pointer_expression] = STATE(3796),
    [sym_unary_expression] = STATE(4894),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(4894),
    [sym_cast_expression] = STATE(4894),
    [sym_sizeof_expression] = STATE(4894),
    [sym_alignof_expression] = STATE(4894),
    [sym_offsetof_expression] = STATE(4894),
    [sym_generic_expression] = STATE(4894),
    [sym_subscript_expression] = STATE(3796),
    [sym_call_expression] = STATE(3796),
    [sym_gnu_asm_expression] = STATE(4894),
    [sym_extension_expression] = STATE(4894),
    [sym_field_expression] = STATE(3796),
    [sym_compound_literal_expression] = STATE(4894),
    [sym_parenthesized_expression] = STATE(3796),
    [sym_number_literal] = STATE(4835),
    [sym_char_literal] = STATE(4835),
    [sym_concatenated_string] = STATE(4835),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(4894),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6719),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4849),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(4894),
    [sym_new_expression] = STATE(4894),
    [sym_delete_expression] = STATE(4894),
    [sym_requires_clause] = STATE(4894),
    [sym_requires_expression] = STATE(4894),
    [sym_lambda_expression] = STATE(4894),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(4894),
    [sym_parameter_pack_expansion] = STATE(4894),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3652),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6719),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3796),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(133),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_using] = ACTIONS(145),
    [anon_sym_static_assert] = ACTIONS(147),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(121),
  },
  [2] = {
    [sym__block_item] = STATE(66),
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(66),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [3] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [4] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [5] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [6] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [7] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [8] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [9] = {
    [sym__block_item] = STATE(66),
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(66),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [10] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [11] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [12] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(163),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [anon_sym_COMMA] = ACTIONS(169),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [13] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8521),
    [sym_preproc_elif] = STATE(8521),
    [sym_preproc_elifdef] = STATE(8521),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8179),
    [sym_preproc_elif] = STATE(8179),
    [sym_preproc_elifdef] = STATE(8179),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [15] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8512),
    [sym_preproc_elif] = STATE(8512),
    [sym_preproc_elifdef] = STATE(8512),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [16] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8514),
    [sym_preproc_elif] = STATE(8514),
    [sym_preproc_elifdef] = STATE(8514),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [17] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(7998),
    [sym_preproc_elif] = STATE(7998),
    [sym_preproc_elifdef] = STATE(7998),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [18] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7860),
    [sym_preproc_elif] = STATE(7860),
    [sym_preproc_elifdef] = STATE(7860),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8527),
    [sym_preproc_elif] = STATE(8527),
    [sym_preproc_elifdef] = STATE(8527),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [20] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(8591),
    [sym_preproc_elif] = STATE(8591),
    [sym_preproc_elifdef] = STATE(8591),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(15),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(15),
    [sym_template_instantiation] = STATE(15),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(15),
    [sym_operator_cast_declaration] = STATE(15),
    [sym_constructor_or_destructor_definition] = STATE(15),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_alias_definition] = STATE(15),
    [sym_using_declaration] = STATE(15),
    [sym_alias_declaration] = STATE(15),
    [sym_static_assert_declaration] = STATE(15),
    [sym_concept_definition] = STATE(15),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [21] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(7882),
    [sym_preproc_elif] = STATE(7882),
    [sym_preproc_elifdef] = STATE(7882),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8053),
    [sym_preproc_elif] = STATE(8053),
    [sym_preproc_elifdef] = STATE(8053),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [23] = {
    [sym__block_item] = STATE(18),
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(8064),
    [sym_preproc_elif] = STATE(8064),
    [sym_preproc_elifdef] = STATE(8064),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(18),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(18),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(18),
    [sym_template_instantiation] = STATE(18),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(18),
    [sym_operator_cast_declaration] = STATE(18),
    [sym_constructor_or_destructor_definition] = STATE(18),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(18),
    [sym_namespace_alias_definition] = STATE(18),
    [sym_using_declaration] = STATE(18),
    [sym_alias_declaration] = STATE(18),
    [sym_static_assert_declaration] = STATE(18),
    [sym_concept_definition] = STATE(18),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [24] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7900),
    [sym_preproc_elif] = STATE(7900),
    [sym_preproc_elifdef] = STATE(7900),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [25] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(7862),
    [sym_preproc_elif] = STATE(7862),
    [sym_preproc_elifdef] = STATE(7862),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8194),
    [sym_preproc_elif] = STATE(8194),
    [sym_preproc_elifdef] = STATE(8194),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [27] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8285),
    [sym_preproc_elif] = STATE(8285),
    [sym_preproc_elifdef] = STATE(8285),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [28] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7852),
    [sym_preproc_elif] = STATE(7852),
    [sym_preproc_elifdef] = STATE(7852),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8436),
    [sym_preproc_elif] = STATE(8436),
    [sym_preproc_elifdef] = STATE(8436),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [30] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8247),
    [sym_preproc_elif] = STATE(8247),
    [sym_preproc_elifdef] = STATE(8247),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [31] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8221),
    [sym_preproc_elif] = STATE(8221),
    [sym_preproc_elifdef] = STATE(8221),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [32] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8241),
    [sym_preproc_elif] = STATE(8241),
    [sym_preproc_elifdef] = STATE(8241),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(261),
    [aux_sym_preproc_include_token1] = ACTIONS(263),
    [aux_sym_preproc_def_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(271),
    [aux_sym_preproc_else_token1] = ACTIONS(273),
    [aux_sym_preproc_elif_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(279),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(283),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(291),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(319),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(325),
    [anon_sym_using] = ACTIONS(327),
    [anon_sym_static_assert] = ACTIONS(329),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6230),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(352),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1842),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1842),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1842),
    [sym_identifier] = ACTIONS(375),
    [aux_sym_preproc_include_token1] = ACTIONS(378),
    [aux_sym_preproc_def_token1] = ACTIONS(381),
    [aux_sym_preproc_if_token1] = ACTIONS(384),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(389),
    [aux_sym_preproc_else_token1] = ACTIONS(387),
    [aux_sym_preproc_elif_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(387),
    [sym_preproc_directive] = ACTIONS(392),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym___extension__] = ACTIONS(419),
    [anon_sym_typedef] = ACTIONS(422),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(428),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(449),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(461),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(485),
    [anon_sym_switch] = ACTIONS(488),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(497),
    [anon_sym_do] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_return] = ACTIONS(506),
    [anon_sym_break] = ACTIONS(509),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_goto] = ACTIONS(515),
    [anon_sym___try] = ACTIONS(518),
    [anon_sym___leave] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(572),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(578),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(587),
    [anon_sym_using] = ACTIONS(590),
    [anon_sym_static_assert] = ACTIONS(593),
    [anon_sym_concept] = ACTIONS(596),
    [anon_sym_co_return] = ACTIONS(599),
    [anon_sym_co_yield] = ACTIONS(602),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [34] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(621),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [35] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [36] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [37] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [38] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [39] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(631),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [40] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [41] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [42] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [43] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [44] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(641),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [45] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [46] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(645),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [47] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(647),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [48] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [49] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [50] = {
    [sym__block_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(44),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [51] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(655),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [52] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(657),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [53] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [54] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [55] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1846),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6258),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2686),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(627),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6741),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6741),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(663),
    [aux_sym_preproc_include_token1] = ACTIONS(665),
    [aux_sym_preproc_def_token1] = ACTIONS(667),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(675),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(679),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(683),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(687),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(715),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(721),
    [anon_sym_using] = ACTIONS(723),
    [anon_sym_static_assert] = ACTIONS(725),
    [anon_sym_concept] = ACTIONS(727),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [56] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(733),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [57] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [58] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [59] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(739),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [60] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [61] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [62] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [63] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [64] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [65] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [66] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [67] = {
    [sym__block_item] = STATE(53),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(53),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [68] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1846),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6258),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2686),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(627),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6741),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6741),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(663),
    [aux_sym_preproc_include_token1] = ACTIONS(665),
    [aux_sym_preproc_def_token1] = ACTIONS(667),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(757),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(675),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(679),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(683),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(687),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(715),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(721),
    [anon_sym_using] = ACTIONS(723),
    [anon_sym_static_assert] = ACTIONS(725),
    [anon_sym_concept] = ACTIONS(727),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [69] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [70] = {
    [sym__block_item] = STATE(66),
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(66),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [71] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [72] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(765),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [73] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(767),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [74] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [75] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(771),
    [aux_sym_preproc_include_token1] = ACTIONS(774),
    [aux_sym_preproc_def_token1] = ACTIONS(777),
    [aux_sym_preproc_if_token1] = ACTIONS(780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(783),
    [sym_preproc_directive] = ACTIONS(786),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(789),
    [anon_sym___extension__] = ACTIONS(792),
    [anon_sym_typedef] = ACTIONS(795),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(798),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(806),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_switch] = ACTIONS(812),
    [anon_sym_case] = ACTIONS(815),
    [anon_sym_default] = ACTIONS(818),
    [anon_sym_while] = ACTIONS(821),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(827),
    [anon_sym_return] = ACTIONS(830),
    [anon_sym_break] = ACTIONS(833),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_goto] = ACTIONS(839),
    [anon_sym___try] = ACTIONS(842),
    [anon_sym___leave] = ACTIONS(845),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(848),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(851),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(854),
    [anon_sym_namespace] = ACTIONS(857),
    [anon_sym_using] = ACTIONS(860),
    [anon_sym_static_assert] = ACTIONS(863),
    [anon_sym_concept] = ACTIONS(866),
    [anon_sym_co_return] = ACTIONS(869),
    [anon_sym_co_yield] = ACTIONS(872),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [76] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [77] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1846),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6258),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2686),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(627),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1834),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6741),
    [sym__constructor_specifiers] = STATE(1834),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6741),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1834),
    [sym_identifier] = ACTIONS(877),
    [aux_sym_preproc_include_token1] = ACTIONS(880),
    [aux_sym_preproc_def_token1] = ACTIONS(883),
    [aux_sym_preproc_if_token1] = ACTIONS(886),
    [aux_sym_preproc_if_token2] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(889),
    [sym_preproc_directive] = ACTIONS(892),
    [anon_sym_LPAREN2] = ACTIONS(395),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(895),
    [anon_sym___extension__] = ACTIONS(898),
    [anon_sym_typedef] = ACTIONS(901),
    [anon_sym_virtual] = ACTIONS(425),
    [anon_sym_extern] = ACTIONS(904),
    [anon_sym___attribute__] = ACTIONS(431),
    [anon_sym___attribute] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(437),
    [anon_sym___declspec] = ACTIONS(440),
    [anon_sym___based] = ACTIONS(443),
    [anon_sym___cdecl] = ACTIONS(446),
    [anon_sym___clrcall] = ACTIONS(446),
    [anon_sym___stdcall] = ACTIONS(446),
    [anon_sym___fastcall] = ACTIONS(446),
    [anon_sym___thiscall] = ACTIONS(446),
    [anon_sym___vectorcall] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_signed] = ACTIONS(452),
    [anon_sym_unsigned] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_LBRACK] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_register] = ACTIONS(458),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym___inline] = ACTIONS(458),
    [anon_sym___inline__] = ACTIONS(458),
    [anon_sym___forceinline] = ACTIONS(458),
    [anon_sym_thread_local] = ACTIONS(458),
    [anon_sym___thread] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_constexpr] = ACTIONS(464),
    [anon_sym_volatile] = ACTIONS(464),
    [anon_sym_restrict] = ACTIONS(464),
    [anon_sym___restrict__] = ACTIONS(464),
    [anon_sym__Atomic] = ACTIONS(464),
    [anon_sym__Noreturn] = ACTIONS(464),
    [anon_sym_noreturn] = ACTIONS(464),
    [anon_sym__Nonnull] = ACTIONS(464),
    [anon_sym_mutable] = ACTIONS(464),
    [anon_sym_constinit] = ACTIONS(464),
    [anon_sym_consteval] = ACTIONS(464),
    [anon_sym_PROGMEM] = ACTIONS(464),
    [anon_sym_alignas] = ACTIONS(467),
    [anon_sym__Alignas] = ACTIONS(467),
    [aux_sym_primitive_type_token1] = ACTIONS(470),
    [anon_sym_byte] = ACTIONS(470),
    [anon_sym_word] = ACTIONS(470),
    [anon_sym_enum] = ACTIONS(473),
    [anon_sym_class] = ACTIONS(476),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_union] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(916),
    [anon_sym_case] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(922),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(937),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_goto] = ACTIONS(943),
    [anon_sym___try] = ACTIONS(946),
    [anon_sym___leave] = ACTIONS(949),
    [anon_sym_not] = ACTIONS(404),
    [anon_sym_compl] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(524),
    [anon_sym_sizeof] = ACTIONS(527),
    [anon_sym___alignof__] = ACTIONS(530),
    [anon_sym___alignof] = ACTIONS(530),
    [anon_sym__alignof] = ACTIONS(530),
    [anon_sym_alignof] = ACTIONS(530),
    [anon_sym__Alignof] = ACTIONS(530),
    [anon_sym_offsetof] = ACTIONS(533),
    [anon_sym__Generic] = ACTIONS(536),
    [anon_sym_asm] = ACTIONS(539),
    [anon_sym___asm__] = ACTIONS(539),
    [anon_sym___asm] = ACTIONS(539),
    [aux_sym_number_literal_token1] = ACTIONS(542),
    [aux_sym_number_literal_token2] = ACTIONS(545),
    [anon_sym_L_SQUOTE] = ACTIONS(548),
    [anon_sym_u_SQUOTE] = ACTIONS(548),
    [anon_sym_U_SQUOTE] = ACTIONS(548),
    [anon_sym_u8_SQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(548),
    [anon_sym_L_DQUOTE] = ACTIONS(551),
    [anon_sym_u_DQUOTE] = ACTIONS(551),
    [anon_sym_U_DQUOTE] = ACTIONS(551),
    [anon_sym_u8_DQUOTE] = ACTIONS(551),
    [anon_sym_DQUOTE] = ACTIONS(551),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [anon_sym_NULL] = ACTIONS(557),
    [anon_sym_nullptr] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(560),
    [anon_sym_decltype] = ACTIONS(563),
    [anon_sym_explicit] = ACTIONS(566),
    [anon_sym_typename] = ACTIONS(569),
    [anon_sym_template] = ACTIONS(952),
    [anon_sym_operator] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_delete] = ACTIONS(581),
    [anon_sym_throw] = ACTIONS(958),
    [anon_sym_namespace] = ACTIONS(961),
    [anon_sym_using] = ACTIONS(964),
    [anon_sym_static_assert] = ACTIONS(967),
    [anon_sym_concept] = ACTIONS(970),
    [anon_sym_co_return] = ACTIONS(973),
    [anon_sym_co_yield] = ACTIONS(976),
    [anon_sym_R_DQUOTE] = ACTIONS(605),
    [anon_sym_LR_DQUOTE] = ACTIONS(605),
    [anon_sym_uR_DQUOTE] = ACTIONS(605),
    [anon_sym_UR_DQUOTE] = ACTIONS(605),
    [anon_sym_u8R_DQUOTE] = ACTIONS(605),
    [anon_sym_co_await] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_requires] = ACTIONS(614),
    [sym_this] = ACTIONS(554),
  },
  [78] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [79] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6282),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(674),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1840),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1840),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4527),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3373),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1840),
    [sym_identifier] = ACTIONS(617),
    [aux_sym_preproc_include_token1] = ACTIONS(165),
    [aux_sym_preproc_def_token1] = ACTIONS(167),
    [aux_sym_preproc_if_token1] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(173),
    [sym_preproc_directive] = ACTIONS(175),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(179),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(191),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(223),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(229),
    [anon_sym_using] = ACTIONS(231),
    [anon_sym_static_assert] = ACTIONS(233),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [80] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1838),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6288),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2699),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(737),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4828),
    [sym__string] = STATE(4835),
    [sym_conditional_expression] = STATE(4894),
    [sym_assignment_expression] = STATE(4894),
    [sym_pointer_expression] = STATE(3796),
    [sym_unary_expression] = STATE(4894),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(4894),
    [sym_cast_expression] = STATE(4894),
    [sym_sizeof_expression] = STATE(4894),
    [sym_alignof_expression] = STATE(4894),
    [sym_offsetof_expression] = STATE(4894),
    [sym_generic_expression] = STATE(4894),
    [sym_subscript_expression] = STATE(3796),
    [sym_call_expression] = STATE(3796),
    [sym_gnu_asm_expression] = STATE(4894),
    [sym_extension_expression] = STATE(4894),
    [sym_field_expression] = STATE(3796),
    [sym_compound_literal_expression] = STATE(4894),
    [sym_parenthesized_expression] = STATE(3796),
    [sym_number_literal] = STATE(4835),
    [sym_char_literal] = STATE(4835),
    [sym_concatenated_string] = STATE(4835),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(4894),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6719),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4849),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(4894),
    [sym_new_expression] = STATE(4894),
    [sym_delete_expression] = STATE(4894),
    [sym_requires_clause] = STATE(4894),
    [sym_requires_expression] = STATE(4894),
    [sym_lambda_expression] = STATE(4894),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(4894),
    [sym_parameter_pack_expansion] = STATE(4894),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3652),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6719),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3796),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [anon_sym___extension__] = ACTIONS(35),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(41),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(47),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(63),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(121),
    [sym_false] = ACTIONS(121),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(133),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_using] = ACTIONS(145),
    [anon_sym_static_assert] = ACTIONS(147),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(121),
  },
  [81] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(833),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1838),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6288),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2699),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(737),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4828),
    [sym__string] = STATE(4835),
    [sym_conditional_expression] = STATE(4894),
    [sym_assignment_expression] = STATE(4894),
    [sym_pointer_expression] = STATE(3796),
    [sym_unary_expression] = STATE(4894),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(4894),
    [sym_cast_expression] = STATE(4894),
    [sym_sizeof_expression] = STATE(4894),
    [sym_alignof_expression] = STATE(4894),
    [sym_offsetof_expression] = STATE(4894),
    [sym_generic_expression] = STATE(4894),
    [sym_subscript_expression] = STATE(3796),
    [sym_call_expression] = STATE(3796),
    [sym_gnu_asm_expression] = STATE(4894),
    [sym_extension_expression] = STATE(4894),
    [sym_field_expression] = STATE(3796),
    [sym_compound_literal_expression] = STATE(4894),
    [sym_parenthesized_expression] = STATE(3796),
    [sym_number_literal] = STATE(4835),
    [sym_char_literal] = STATE(4835),
    [sym_concatenated_string] = STATE(4835),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(4894),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_explicit_function_specifier] = STATE(1844),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6719),
    [sym__constructor_specifiers] = STATE(1844),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(4849),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(4894),
    [sym_new_expression] = STATE(4894),
    [sym_delete_expression] = STATE(4894),
    [sym_requires_clause] = STATE(4894),
    [sym_requires_expression] = STATE(4894),
    [sym_lambda_expression] = STATE(4894),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(4894),
    [sym_parameter_pack_expansion] = STATE(4894),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5491),
    [sym_qualified_identifier] = STATE(3652),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_qualified_operator_cast_identifier] = STATE(6719),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3796),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1844),
    [ts_builtin_sym_end] = ACTIONS(985),
    [sym_identifier] = ACTIONS(987),
    [aux_sym_preproc_include_token1] = ACTIONS(990),
    [aux_sym_preproc_def_token1] = ACTIONS(993),
    [aux_sym_preproc_if_token1] = ACTIONS(996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(999),
    [sym_preproc_directive] = ACTIONS(1002),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1008),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1017),
    [anon_sym_AMP_AMP] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1026),
    [anon_sym___extension__] = ACTIONS(1029),
    [anon_sym_typedef] = ACTIONS(1032),
    [anon_sym_virtual] = ACTIONS(1035),
    [anon_sym_extern] = ACTIONS(1038),
    [anon_sym___attribute__] = ACTIONS(1041),
    [anon_sym___attribute] = ACTIONS(1041),
    [anon_sym_COLON_COLON] = ACTIONS(1044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1047),
    [anon_sym___declspec] = ACTIONS(1050),
    [anon_sym___based] = ACTIONS(1053),
    [anon_sym___cdecl] = ACTIONS(1056),
    [anon_sym___clrcall] = ACTIONS(1056),
    [anon_sym___stdcall] = ACTIONS(1056),
    [anon_sym___fastcall] = ACTIONS(1056),
    [anon_sym___thiscall] = ACTIONS(1056),
    [anon_sym___vectorcall] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_signed] = ACTIONS(1062),
    [anon_sym_unsigned] = ACTIONS(1062),
    [anon_sym_long] = ACTIONS(1062),
    [anon_sym_short] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_register] = ACTIONS(1068),
    [anon_sym_inline] = ACTIONS(1071),
    [anon_sym___inline] = ACTIONS(1068),
    [anon_sym___inline__] = ACTIONS(1068),
    [anon_sym___forceinline] = ACTIONS(1068),
    [anon_sym_thread_local] = ACTIONS(1068),
    [anon_sym___thread] = ACTIONS(1068),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_constexpr] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_restrict] = ACTIONS(1074),
    [anon_sym___restrict__] = ACTIONS(1074),
    [anon_sym__Atomic] = ACTIONS(1074),
    [anon_sym__Noreturn] = ACTIONS(1074),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym__Nonnull] = ACTIONS(1074),
    [anon_sym_mutable] = ACTIONS(1074),
    [anon_sym_constinit] = ACTIONS(1074),
    [anon_sym_consteval] = ACTIONS(1074),
    [anon_sym_PROGMEM] = ACTIONS(1074),
    [anon_sym_alignas] = ACTIONS(1077),
    [anon_sym__Alignas] = ACTIONS(1077),
    [aux_sym_primitive_type_token1] = ACTIONS(1080),
    [anon_sym_byte] = ACTIONS(1080),
    [anon_sym_word] = ACTIONS(1080),
    [anon_sym_enum] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1086),
    [anon_sym_struct] = ACTIONS(1089),
    [anon_sym_union] = ACTIONS(1092),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_switch] = ACTIONS(1098),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1104),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1110),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1119),
    [anon_sym_continue] = ACTIONS(1122),
    [anon_sym_goto] = ACTIONS(1125),
    [anon_sym_not] = ACTIONS(1014),
    [anon_sym_compl] = ACTIONS(1014),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1134),
    [anon_sym___alignof] = ACTIONS(1134),
    [anon_sym__alignof] = ACTIONS(1134),
    [anon_sym_alignof] = ACTIONS(1134),
    [anon_sym__Alignof] = ACTIONS(1134),
    [anon_sym_offsetof] = ACTIONS(1137),
    [anon_sym__Generic] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [anon_sym___asm] = ACTIONS(1143),
    [aux_sym_number_literal_token1] = ACTIONS(1146),
    [aux_sym_number_literal_token2] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1152),
    [anon_sym_u_SQUOTE] = ACTIONS(1152),
    [anon_sym_U_SQUOTE] = ACTIONS(1152),
    [anon_sym_u8_SQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_L_DQUOTE] = ACTIONS(1155),
    [anon_sym_u_DQUOTE] = ACTIONS(1155),
    [anon_sym_U_DQUOTE] = ACTIONS(1155),
    [anon_sym_u8_DQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1155),
    [sym_true] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_NULL] = ACTIONS(1161),
    [anon_sym_nullptr] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1164),
    [anon_sym_decltype] = ACTIONS(1167),
    [anon_sym_explicit] = ACTIONS(1170),
    [anon_sym_typename] = ACTIONS(1173),
    [anon_sym_template] = ACTIONS(1176),
    [anon_sym_operator] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1182),
    [anon_sym_delete] = ACTIONS(1185),
    [anon_sym_throw] = ACTIONS(1188),
    [anon_sym_namespace] = ACTIONS(1191),
    [anon_sym_using] = ACTIONS(1194),
    [anon_sym_static_assert] = ACTIONS(1197),
    [anon_sym_concept] = ACTIONS(1200),
    [anon_sym_co_return] = ACTIONS(1203),
    [anon_sym_co_yield] = ACTIONS(1206),
    [anon_sym_R_DQUOTE] = ACTIONS(1209),
    [anon_sym_LR_DQUOTE] = ACTIONS(1209),
    [anon_sym_uR_DQUOTE] = ACTIONS(1209),
    [anon_sym_UR_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1209),
    [anon_sym_co_await] = ACTIONS(1212),
    [anon_sym_new] = ACTIONS(1215),
    [anon_sym_requires] = ACTIONS(1218),
    [sym_this] = ACTIONS(1158),
  },
  [82] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1221),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [aux_sym_preproc_else_token1] = ACTIONS(1224),
    [aux_sym_preproc_elif_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym___extension__] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1249),
    [anon_sym_virtual] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___based] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_signed] = ACTIONS(1273),
    [anon_sym_unsigned] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym__Nonnull] = ACTIONS(1279),
    [anon_sym_mutable] = ACTIONS(1279),
    [anon_sym_constinit] = ACTIONS(1279),
    [anon_sym_consteval] = ACTIONS(1279),
    [anon_sym_PROGMEM] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [aux_sym_primitive_type_token1] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_word] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1321),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_not] = ACTIONS(1232),
    [anon_sym_compl] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1345),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [aux_sym_number_literal_token1] = ACTIONS(1351),
    [aux_sym_number_literal_token2] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1357),
    [anon_sym_u_SQUOTE] = ACTIONS(1357),
    [anon_sym_U_SQUOTE] = ACTIONS(1357),
    [anon_sym_u8_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1369),
    [anon_sym_decltype] = ACTIONS(1372),
    [anon_sym_explicit] = ACTIONS(1224),
    [anon_sym_typename] = ACTIONS(1375),
    [anon_sym_template] = ACTIONS(1378),
    [anon_sym_operator] = ACTIONS(1224),
    [anon_sym_try] = ACTIONS(1381),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1387),
    [anon_sym_namespace] = ACTIONS(1224),
    [anon_sym_using] = ACTIONS(1224),
    [anon_sym_static_assert] = ACTIONS(1224),
    [anon_sym_concept] = ACTIONS(1224),
    [anon_sym_co_return] = ACTIONS(1390),
    [anon_sym_co_yield] = ACTIONS(1393),
    [anon_sym_R_DQUOTE] = ACTIONS(1396),
    [anon_sym_LR_DQUOTE] = ACTIONS(1396),
    [anon_sym_uR_DQUOTE] = ACTIONS(1396),
    [anon_sym_UR_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1396),
    [anon_sym_co_await] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1402),
    [anon_sym_requires] = ACTIONS(1405),
    [sym_this] = ACTIONS(1363),
  },
  [83] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1410),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_using] = ACTIONS(1410),
    [anon_sym_static_assert] = ACTIONS(1410),
    [anon_sym_concept] = ACTIONS(1410),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [84] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [85] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [86] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1408),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(285),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [87] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [88] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_virtual] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___based] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1273),
    [anon_sym_unsigned] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym__Nonnull] = ACTIONS(1279),
    [anon_sym_mutable] = ACTIONS(1279),
    [anon_sym_constinit] = ACTIONS(1279),
    [anon_sym_consteval] = ACTIONS(1279),
    [anon_sym_PROGMEM] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [aux_sym_primitive_type_token1] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_word] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1467),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1491),
    [anon_sym___try] = ACTIONS(1494),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1232),
    [anon_sym_compl] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1345),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [aux_sym_number_literal_token1] = ACTIONS(1351),
    [aux_sym_number_literal_token2] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1357),
    [anon_sym_u_SQUOTE] = ACTIONS(1357),
    [anon_sym_U_SQUOTE] = ACTIONS(1357),
    [anon_sym_u8_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1369),
    [anon_sym_decltype] = ACTIONS(1372),
    [anon_sym_explicit] = ACTIONS(1224),
    [anon_sym_typename] = ACTIONS(1375),
    [anon_sym_template] = ACTIONS(1378),
    [anon_sym_operator] = ACTIONS(1224),
    [anon_sym_try] = ACTIONS(1500),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_namespace] = ACTIONS(1224),
    [anon_sym_using] = ACTIONS(1224),
    [anon_sym_static_assert] = ACTIONS(1224),
    [anon_sym_concept] = ACTIONS(1224),
    [anon_sym_co_return] = ACTIONS(1506),
    [anon_sym_co_yield] = ACTIONS(1509),
    [anon_sym_R_DQUOTE] = ACTIONS(1396),
    [anon_sym_LR_DQUOTE] = ACTIONS(1396),
    [anon_sym_uR_DQUOTE] = ACTIONS(1396),
    [anon_sym_UR_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1396),
    [anon_sym_co_await] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1402),
    [anon_sym_requires] = ACTIONS(1405),
    [sym_this] = ACTIONS(1363),
  },
  [89] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym___extension__] = ACTIONS(1518),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_virtual] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___based] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(1273),
    [anon_sym_unsigned] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym__Nonnull] = ACTIONS(1279),
    [anon_sym_mutable] = ACTIONS(1279),
    [anon_sym_constinit] = ACTIONS(1279),
    [anon_sym_consteval] = ACTIONS(1279),
    [anon_sym_PROGMEM] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [aux_sym_primitive_type_token1] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_word] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1527),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1530),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1536),
    [anon_sym_for] = ACTIONS(1539),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1548),
    [anon_sym_goto] = ACTIONS(1551),
    [anon_sym___try] = ACTIONS(1554),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_not] = ACTIONS(1232),
    [anon_sym_compl] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1345),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [aux_sym_number_literal_token1] = ACTIONS(1351),
    [aux_sym_number_literal_token2] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1357),
    [anon_sym_u_SQUOTE] = ACTIONS(1357),
    [anon_sym_U_SQUOTE] = ACTIONS(1357),
    [anon_sym_u8_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1369),
    [anon_sym_decltype] = ACTIONS(1372),
    [anon_sym_explicit] = ACTIONS(1224),
    [anon_sym_typename] = ACTIONS(1375),
    [anon_sym_template] = ACTIONS(1378),
    [anon_sym_operator] = ACTIONS(1224),
    [anon_sym_try] = ACTIONS(1560),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1563),
    [anon_sym_namespace] = ACTIONS(1224),
    [anon_sym_using] = ACTIONS(1224),
    [anon_sym_static_assert] = ACTIONS(1224),
    [anon_sym_concept] = ACTIONS(1224),
    [anon_sym_co_return] = ACTIONS(1566),
    [anon_sym_co_yield] = ACTIONS(1569),
    [anon_sym_R_DQUOTE] = ACTIONS(1396),
    [anon_sym_LR_DQUOTE] = ACTIONS(1396),
    [anon_sym_uR_DQUOTE] = ACTIONS(1396),
    [anon_sym_UR_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1396),
    [anon_sym_co_await] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1402),
    [anon_sym_requires] = ACTIONS(1405),
    [sym_this] = ACTIONS(1363),
  },
  [90] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1574),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [91] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1576),
    [aux_sym_preproc_include_token1] = ACTIONS(1224),
    [aux_sym_preproc_def_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token1] = ACTIONS(1224),
    [aux_sym_preproc_if_token2] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1224),
    [sym_preproc_directive] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym___extension__] = ACTIONS(1582),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_virtual] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___based] = ACTIONS(1224),
    [anon_sym___cdecl] = ACTIONS(1224),
    [anon_sym___clrcall] = ACTIONS(1224),
    [anon_sym___stdcall] = ACTIONS(1224),
    [anon_sym___fastcall] = ACTIONS(1224),
    [anon_sym___thiscall] = ACTIONS(1224),
    [anon_sym___vectorcall] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_signed] = ACTIONS(1273),
    [anon_sym_unsigned] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym__Nonnull] = ACTIONS(1279),
    [anon_sym_mutable] = ACTIONS(1279),
    [anon_sym_constinit] = ACTIONS(1279),
    [anon_sym_consteval] = ACTIONS(1279),
    [anon_sym_PROGMEM] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [aux_sym_primitive_type_token1] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_word] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1594),
    [anon_sym_case] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1606),
    [anon_sym_break] = ACTIONS(1609),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1618),
    [anon_sym___leave] = ACTIONS(1621),
    [anon_sym_not] = ACTIONS(1232),
    [anon_sym_compl] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1345),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [aux_sym_number_literal_token1] = ACTIONS(1351),
    [aux_sym_number_literal_token2] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1357),
    [anon_sym_u_SQUOTE] = ACTIONS(1357),
    [anon_sym_U_SQUOTE] = ACTIONS(1357),
    [anon_sym_u8_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1369),
    [anon_sym_decltype] = ACTIONS(1372),
    [anon_sym_explicit] = ACTIONS(1224),
    [anon_sym_typename] = ACTIONS(1375),
    [anon_sym_template] = ACTIONS(1378),
    [anon_sym_operator] = ACTIONS(1224),
    [anon_sym_try] = ACTIONS(1624),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_namespace] = ACTIONS(1224),
    [anon_sym_using] = ACTIONS(1224),
    [anon_sym_static_assert] = ACTIONS(1224),
    [anon_sym_concept] = ACTIONS(1224),
    [anon_sym_co_return] = ACTIONS(1630),
    [anon_sym_co_yield] = ACTIONS(1633),
    [anon_sym_R_DQUOTE] = ACTIONS(1396),
    [anon_sym_LR_DQUOTE] = ACTIONS(1396),
    [anon_sym_uR_DQUOTE] = ACTIONS(1396),
    [anon_sym_UR_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1396),
    [anon_sym_co_await] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1402),
    [anon_sym_requires] = ACTIONS(1405),
    [sym_this] = ACTIONS(1363),
  },
  [92] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [93] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1636),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(1638),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1410),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_using] = ACTIONS(1410),
    [anon_sym_static_assert] = ACTIONS(1410),
    [anon_sym_concept] = ACTIONS(1410),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [94] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [95] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1636),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(1638),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [96] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1636),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(1638),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [97] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1636),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(1638),
    [anon_sym_typedef] = ACTIONS(681),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [98] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1574),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [99] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(37),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1410),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_using] = ACTIONS(1410),
    [anon_sym_static_assert] = ACTIONS(1410),
    [anon_sym_concept] = ACTIONS(1410),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [100] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1574),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1410),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_using] = ACTIONS(1410),
    [anon_sym_static_assert] = ACTIONS(1410),
    [anon_sym_concept] = ACTIONS(1410),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [101] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [sym_identifier] = ACTIONS(1572),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1574),
    [anon_sym_typedef] = ACTIONS(181),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [102] = {
    [sym_declaration] = STATE(532),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(532),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7559),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(185),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [103] = {
    [sym_declaration] = STATE(434),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(427),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(434),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [104] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [105] = {
    [sym_declaration] = STATE(434),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5188),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(434),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [106] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [107] = {
    [sym_declaration] = STATE(271),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5209),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(299),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(271),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [108] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1702),
    [anon_sym_typedef] = ACTIONS(1705),
    [anon_sym_virtual] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1708),
    [anon_sym_signed] = ACTIONS(1273),
    [anon_sym_unsigned] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym__Nonnull] = ACTIONS(1279),
    [anon_sym_mutable] = ACTIONS(1279),
    [anon_sym_constinit] = ACTIONS(1279),
    [anon_sym_consteval] = ACTIONS(1279),
    [anon_sym_PROGMEM] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [aux_sym_primitive_type_token1] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_word] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1714),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_do] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1726),
    [anon_sym_break] = ACTIONS(1729),
    [anon_sym_continue] = ACTIONS(1732),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym___try] = ACTIONS(1738),
    [anon_sym___leave] = ACTIONS(1741),
    [anon_sym_not] = ACTIONS(1232),
    [anon_sym_compl] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1345),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [aux_sym_number_literal_token1] = ACTIONS(1351),
    [aux_sym_number_literal_token2] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1357),
    [anon_sym_u_SQUOTE] = ACTIONS(1357),
    [anon_sym_U_SQUOTE] = ACTIONS(1357),
    [anon_sym_u8_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1369),
    [anon_sym_decltype] = ACTIONS(1372),
    [anon_sym_typename] = ACTIONS(1375),
    [anon_sym_template] = ACTIONS(1378),
    [anon_sym_try] = ACTIONS(1744),
    [anon_sym_delete] = ACTIONS(1384),
    [anon_sym_throw] = ACTIONS(1747),
    [anon_sym_co_return] = ACTIONS(1750),
    [anon_sym_co_yield] = ACTIONS(1753),
    [anon_sym_R_DQUOTE] = ACTIONS(1396),
    [anon_sym_LR_DQUOTE] = ACTIONS(1396),
    [anon_sym_uR_DQUOTE] = ACTIONS(1396),
    [anon_sym_UR_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1396),
    [anon_sym_co_await] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1402),
    [anon_sym_requires] = ACTIONS(1405),
    [sym_this] = ACTIONS(1363),
  },
  [109] = {
    [sym_declaration] = STATE(501),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5204),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(501),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1636),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [110] = {
    [sym_declaration] = STATE(877),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(877),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [111] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [112] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5206),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [113] = {
    [sym_declaration] = STATE(532),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5190),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(856),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_compound_statement] = STATE(526),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(532),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [114] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(7884),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(7885),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [115] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(8095),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(8092),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [116] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(8546),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(8545),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [117] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(8556),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(8558),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [118] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(7788),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(7789),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [119] = {
    [sym_declaration] = STATE(238),
    [sym_type_definition] = STATE(3971),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5177),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(3971),
    [sym__for_statement_body] = STATE(8528),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8094),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(3971),
    [sym__for_range_loop_body] = STATE(8655),
    [sym_init_statement] = STATE(1837),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym___extension__] = ACTIONS(1760),
    [anon_sym_typedef] = ACTIONS(1762),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [120] = {
    [sym_declaration] = STATE(1513),
    [sym_type_definition] = STATE(1513),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5173),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression_statement] = STATE(1513),
    [sym_expression] = STATE(4430),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7656),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_alias_declaration] = STATE(1513),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(8101),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(1768),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [121] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(5221),
    [sym__declarator] = STATE(6570),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(8240),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8240),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8265),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8261),
    [sym__unary_right_fold] = STATE(8257),
    [sym__binary_fold] = STATE(8254),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5718),
    [sym_qualified_identifier] = STATE(3311),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8239),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [122] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(5221),
    [sym__declarator] = STATE(6570),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8362),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5718),
    [sym_qualified_identifier] = STATE(3311),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [123] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(5221),
    [sym__declarator] = STATE(6570),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8404),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5718),
    [sym_qualified_identifier] = STATE(3311),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3277),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8188),
    [sym__unary_right_fold] = STATE(8187),
    [sym__binary_fold] = STATE(8186),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8311),
    [sym__unary_right_fold] = STATE(8310),
    [sym__binary_fold] = STATE(8308),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3320),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3291),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8261),
    [sym__unary_right_fold] = STATE(8257),
    [sym__binary_fold] = STATE(8254),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(7981),
    [sym__unary_right_fold] = STATE(7978),
    [sym__binary_fold] = STATE(7977),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_compound_statement] = STATE(7184),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7180),
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7184),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7180),
    [sym_variadic_parameter_declaration] = STATE(7180),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5647),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(1914),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2916),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_expression] = STATE(3307),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7631),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5644),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5212),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2487),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_expression] = STATE(4521),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8294),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2978),
    [sym_template_function] = STATE(3834),
    [sym_condition_declaration] = STATE(8294),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5708),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(2939),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1640),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [132] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1966),
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_else] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___except] = ACTIONS(1968),
    [anon_sym___finally] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_and] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_final] = ACTIONS(1968),
    [anon_sym_override] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_GT2] = ACTIONS(1966),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1970),
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [anon_sym_COMMA] = ACTIONS(1970),
    [anon_sym_RPAREN] = ACTIONS(1970),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_PIPE_PIPE] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___except] = ACTIONS(1972),
    [anon_sym___finally] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_or] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [aux_sym_number_literal_token1] = ACTIONS(1970),
    [aux_sym_number_literal_token2] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1970),
    [anon_sym_u_SQUOTE] = ACTIONS(1970),
    [anon_sym_U_SQUOTE] = ACTIONS(1970),
    [anon_sym_u8_SQUOTE] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_L_DQUOTE] = ACTIONS(1970),
    [anon_sym_u_DQUOTE] = ACTIONS(1970),
    [anon_sym_U_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8_DQUOTE] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_final] = ACTIONS(1972),
    [anon_sym_override] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_GT2] = ACTIONS(1970),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1970),
    [anon_sym_LR_DQUOTE] = ACTIONS(1970),
    [anon_sym_uR_DQUOTE] = ACTIONS(1970),
    [anon_sym_UR_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1970),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
  },
  [135] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8313),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [136] = {
    [sym_compound_statement] = STATE(8295),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8295),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(7983),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(7981),
    [sym__unary_right_fold] = STATE(7978),
    [sym__binary_fold] = STATE(7977),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8370),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [137] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(7839),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [138] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8542),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [139] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8149),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [140] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8150),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [141] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8404),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [142] = {
    [sym_compound_statement] = STATE(8295),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8295),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8312),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8311),
    [sym__unary_right_fold] = STATE(8310),
    [sym__binary_fold] = STATE(8308),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8370),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [143] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8076),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [144] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8058),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [145] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8522),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [146] = {
    [sym_compound_statement] = STATE(8295),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8295),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(7924),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(7981),
    [sym__unary_right_fold] = STATE(7978),
    [sym__binary_fold] = STATE(7977),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8370),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [147] = {
    [sym_compound_statement] = STATE(8240),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8240),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8190),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8188),
    [sym__unary_right_fold] = STATE(8187),
    [sym__binary_fold] = STATE(8186),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8239),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [148] = {
    [sym_compound_statement] = STATE(8240),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8240),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8265),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8261),
    [sym__unary_right_fold] = STATE(8257),
    [sym__binary_fold] = STATE(8254),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8239),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [149] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8355),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [150] = {
    [sym_compound_statement] = STATE(8295),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8295),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8259),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8311),
    [sym__unary_right_fold] = STATE(8310),
    [sym__binary_fold] = STATE(8308),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8370),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [151] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [152] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8183),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [153] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8268),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [154] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(7800),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [155] = {
    [sym_compound_statement] = STATE(8240),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8240),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8079),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8188),
    [sym__unary_right_fold] = STATE(8187),
    [sym__binary_fold] = STATE(8186),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8239),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [156] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8362),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [157] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8024),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [158] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8236),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [159] = {
    [sym_compound_statement] = STATE(8240),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8240),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8634),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8261),
    [sym__unary_right_fold] = STATE(8257),
    [sym__binary_fold] = STATE(8254),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8239),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [160] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8100),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [161] = {
    [sym_compound_statement] = STATE(8523),
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5068),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(2929),
    [sym__string] = STATE(3385),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_type_descriptor] = STATE(8342),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7568),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5672),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(1974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [162] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(288),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(7428),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(498),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(439),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(459),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(441),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(279),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(881),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(414),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2046),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2082),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_case] = ACTIONS(2088),
    [anon_sym_default] = ACTIONS(2091),
    [anon_sym_while] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2100),
    [anon_sym_return] = ACTIONS(2103),
    [anon_sym_break] = ACTIONS(2106),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2112),
    [anon_sym___try] = ACTIONS(2115),
    [anon_sym___leave] = ACTIONS(2118),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_co_return] = ACTIONS(2172),
    [anon_sym_co_yield] = ACTIONS(2175),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(872),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(842),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(422),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(474),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2207),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_goto] = ACTIONS(2231),
    [anon_sym___try] = ACTIONS(2234),
    [anon_sym___leave] = ACTIONS(2237),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2240),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2243),
    [anon_sym_co_return] = ACTIONS(2246),
    [anon_sym_co_yield] = ACTIONS(2249),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(7408),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(498),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(285),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(420),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(423),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(480),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(430),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(468),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(871),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(177),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(474),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(177),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(8351),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(242),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(841),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [191] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3221),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_initializer_list] = STATE(3445),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1780),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1918),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1920),
    [sym_this] = ACTIONS(1826),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(274),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2267),
    [anon_sym_switch] = ACTIONS(2270),
    [anon_sym_case] = ACTIONS(2273),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2282),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2291),
    [anon_sym_continue] = ACTIONS(2294),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(2303),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_co_return] = ACTIONS(2312),
    [anon_sym_co_yield] = ACTIONS(2315),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(869),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(461),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(451),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(274),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(468),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(8160),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(8371),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(215),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(861),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(215),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(464),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(8392),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(462),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(419),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(451),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(207),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(498),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(207),
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2333),
    [anon_sym_default] = ACTIONS(2336),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2345),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2357),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(2363),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2369),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2375),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(536),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(619),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(193),
    [anon_sym_switch] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_return] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(209),
    [anon_sym_continue] = ACTIONS(211),
    [anon_sym_goto] = ACTIONS(213),
    [anon_sym___try] = ACTIONS(215),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(227),
    [anon_sym_co_return] = ACTIONS(237),
    [anon_sym_co_yield] = ACTIONS(239),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(8346),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(228),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(211),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(498),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(2378),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_goto] = ACTIONS(2357),
    [anon_sym___try] = ACTIONS(2396),
    [anon_sym___leave] = ACTIONS(2237),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2369),
    [anon_sym_co_return] = ACTIONS(2372),
    [anon_sym_co_yield] = ACTIONS(2375),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(491),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(437),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4624),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8175),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(695),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(703),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(707),
    [anon_sym_goto] = ACTIONS(709),
    [anon_sym___try] = ACTIONS(711),
    [anon_sym___leave] = ACTIONS(713),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(719),
    [anon_sym_co_return] = ACTIONS(729),
    [anon_sym_co_yield] = ACTIONS(731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(526),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(459),
    [sym_labeled_statement] = STATE(526),
    [sym_expression_statement] = STATE(526),
    [sym_if_statement] = STATE(526),
    [sym_switch_statement] = STATE(526),
    [sym_case_statement] = STATE(526),
    [sym_while_statement] = STATE(526),
    [sym_do_statement] = STATE(526),
    [sym_for_statement] = STATE(526),
    [sym_return_statement] = STATE(526),
    [sym_break_statement] = STATE(526),
    [sym_continue_statement] = STATE(526),
    [sym_goto_statement] = STATE(526),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(526),
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8490),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(526),
    [sym_co_return_statement] = STATE(526),
    [sym_co_yield_statement] = STATE(526),
    [sym_throw_statement] = STATE(526),
    [sym_try_statement] = STATE(526),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(177),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(1686),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(217),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(196),
    [sym_compound_statement] = STATE(299),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(299),
    [sym_statement] = STATE(258),
    [sym_labeled_statement] = STATE(299),
    [sym_expression_statement] = STATE(299),
    [sym_if_statement] = STATE(299),
    [sym_switch_statement] = STATE(299),
    [sym_case_statement] = STATE(299),
    [sym_while_statement] = STATE(299),
    [sym_do_statement] = STATE(299),
    [sym_for_statement] = STATE(299),
    [sym_return_statement] = STATE(299),
    [sym_break_statement] = STATE(299),
    [sym_continue_statement] = STATE(299),
    [sym_goto_statement] = STATE(299),
    [sym_seh_try_statement] = STATE(299),
    [sym_seh_leave_statement] = STATE(299),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8434),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(299),
    [sym_co_return_statement] = STATE(299),
    [sym_co_yield_statement] = STATE(299),
    [sym_throw_statement] = STATE(299),
    [sym_try_statement] = STATE(299),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(281),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(297),
    [anon_sym_default] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_do] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(309),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(313),
    [anon_sym___try] = ACTIONS(315),
    [anon_sym___leave] = ACTIONS(317),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(321),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(323),
    [anon_sym_co_return] = ACTIONS(333),
    [anon_sym_co_yield] = ACTIONS(335),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(215),
    [sym_compound_statement] = STATE(855),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(855),
    [sym_statement] = STATE(861),
    [sym_labeled_statement] = STATE(855),
    [sym_expression_statement] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_case_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_return_statement] = STATE(855),
    [sym_break_statement] = STATE(855),
    [sym_continue_statement] = STATE(855),
    [sym_goto_statement] = STATE(855),
    [sym_seh_try_statement] = STATE(855),
    [sym_seh_leave_statement] = STATE(855),
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7971),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(855),
    [sym_co_return_statement] = STATE(855),
    [sym_co_yield_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(215),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_LPAREN2] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym___extension__] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [aux_sym_primitive_type_token1] = ACTIONS(2079),
    [anon_sym_byte] = ACTIONS(2079),
    [anon_sym_word] = ACTIONS(2079),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2411),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2417),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2429),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym___try] = ACTIONS(2435),
    [anon_sym___leave] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2055),
    [anon_sym_compl] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_sizeof] = ACTIONS(2124),
    [anon_sym___alignof__] = ACTIONS(2127),
    [anon_sym___alignof] = ACTIONS(2127),
    [anon_sym__alignof] = ACTIONS(2127),
    [anon_sym_alignof] = ACTIONS(2127),
    [anon_sym__Alignof] = ACTIONS(2127),
    [anon_sym_offsetof] = ACTIONS(2130),
    [anon_sym__Generic] = ACTIONS(2133),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [anon_sym___asm] = ACTIONS(2136),
    [aux_sym_number_literal_token1] = ACTIONS(2139),
    [aux_sym_number_literal_token2] = ACTIONS(2142),
    [anon_sym_L_SQUOTE] = ACTIONS(2145),
    [anon_sym_u_SQUOTE] = ACTIONS(2145),
    [anon_sym_U_SQUOTE] = ACTIONS(2145),
    [anon_sym_u8_SQUOTE] = ACTIONS(2145),
    [anon_sym_SQUOTE] = ACTIONS(2145),
    [anon_sym_L_DQUOTE] = ACTIONS(2148),
    [anon_sym_u_DQUOTE] = ACTIONS(2148),
    [anon_sym_U_DQUOTE] = ACTIONS(2148),
    [anon_sym_u8_DQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2148),
    [sym_true] = ACTIONS(2151),
    [sym_false] = ACTIONS(2151),
    [anon_sym_NULL] = ACTIONS(2154),
    [anon_sym_nullptr] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2157),
    [anon_sym_template] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_delete] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2444),
    [anon_sym_co_return] = ACTIONS(2447),
    [anon_sym_co_yield] = ACTIONS(2450),
    [anon_sym_R_DQUOTE] = ACTIONS(2178),
    [anon_sym_LR_DQUOTE] = ACTIONS(2178),
    [anon_sym_uR_DQUOTE] = ACTIONS(2178),
    [anon_sym_UR_DQUOTE] = ACTIONS(2178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2178),
    [anon_sym_co_await] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2187),
    [sym_this] = ACTIONS(2151),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(427),
    [sym_primitive_type] = STATE(6864),
    [sym_attributed_statement] = STATE(427),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_switch_statement] = STATE(427),
    [sym_case_statement] = STATE(427),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_seh_try_statement] = STATE(427),
    [sym_seh_leave_statement] = STATE(427),
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8198),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_for_range_loop] = STATE(427),
    [sym_co_return_statement] = STATE(427),
    [sym_co_yield_statement] = STATE(427),
    [sym_throw_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_case] = ACTIONS(83),
    [anon_sym_default] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_do] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(93),
    [anon_sym_break] = ACTIONS(95),
    [anon_sym_continue] = ACTIONS(97),
    [anon_sym_goto] = ACTIONS(99),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(137),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_throw] = ACTIONS(141),
    [anon_sym_co_return] = ACTIONS(151),
    [anon_sym_co_yield] = ACTIONS(153),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [217] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2473),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [218] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [219] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3289),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [220] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [221] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3281),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_initializer_list] = STATE(3747),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1918),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_and_eq] = ACTIONS(1918),
    [anon_sym_or_eq] = ACTIONS(1918),
    [anon_sym_xor_eq] = ACTIONS(1918),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [222] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [223] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [224] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [225] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3705),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_initializer_list] = STATE(3880),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1856),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1918),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_EQ] = ACTIONS(1918),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_STAR_EQ] = ACTIONS(1920),
    [anon_sym_SLASH_EQ] = ACTIONS(1920),
    [anon_sym_PERCENT_EQ] = ACTIONS(1920),
    [anon_sym_PLUS_EQ] = ACTIONS(1920),
    [anon_sym_DASH_EQ] = ACTIONS(1920),
    [anon_sym_LT_LT_EQ] = ACTIONS(1920),
    [anon_sym_GT_GT_EQ] = ACTIONS(1920),
    [anon_sym_AMP_EQ] = ACTIONS(1920),
    [anon_sym_CARET_EQ] = ACTIONS(1920),
    [anon_sym_PIPE_EQ] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1918),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1920),
    [sym_this] = ACTIONS(1894),
  },
  [226] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [aux_sym_preproc_else_token1] = ACTIONS(2575),
    [aux_sym_preproc_elif_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [227] = {
    [sym_catch_clause] = STATE(224),
    [aux_sym_constructor_try_statement_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [aux_sym_preproc_else_token1] = ACTIONS(2579),
    [aux_sym_preproc_elif_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [228] = {
    [sym_else_clause] = STATE(273),
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2583),
    [aux_sym_preproc_elif_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_PROGMEM] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [aux_sym_primitive_type_token1] = ACTIONS(2583),
    [anon_sym_byte] = ACTIONS(2583),
    [anon_sym_word] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [aux_sym_number_literal_token1] = ACTIONS(2585),
    [aux_sym_number_literal_token2] = ACTIONS(2583),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
  },
  [229] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6832),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7449),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [230] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6894),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7309),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [231] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6968),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7200),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2659),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [232] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4438),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6988),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7159),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [233] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6953),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7225),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2663),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [234] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6871),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7360),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [aux_sym_preproc_else_token1] = ACTIONS(1972),
    [aux_sym_preproc_elif_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [aux_sym_number_literal_token1] = ACTIONS(1970),
    [aux_sym_number_literal_token2] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1970),
    [anon_sym_u_SQUOTE] = ACTIONS(1970),
    [anon_sym_U_SQUOTE] = ACTIONS(1970),
    [anon_sym_u8_SQUOTE] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_L_DQUOTE] = ACTIONS(1970),
    [anon_sym_u_DQUOTE] = ACTIONS(1970),
    [anon_sym_U_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8_DQUOTE] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1970),
    [anon_sym_LR_DQUOTE] = ACTIONS(1970),
    [anon_sym_uR_DQUOTE] = ACTIONS(1970),
    [anon_sym_UR_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1970),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_include_token1] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token2] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [aux_sym_preproc_else_token1] = ACTIONS(2667),
    [aux_sym_preproc_elif_token1] = ACTIONS(2667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym___cdecl] = ACTIONS(2667),
    [anon_sym___clrcall] = ACTIONS(2667),
    [anon_sym___stdcall] = ACTIONS(2667),
    [anon_sym___fastcall] = ACTIONS(2667),
    [anon_sym___thiscall] = ACTIONS(2667),
    [anon_sym___vectorcall] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_goto] = ACTIONS(2667),
    [anon_sym___try] = ACTIONS(2667),
    [anon_sym___leave] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_compl] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_sizeof] = ACTIONS(2667),
    [anon_sym___alignof__] = ACTIONS(2667),
    [anon_sym___alignof] = ACTIONS(2667),
    [anon_sym__alignof] = ACTIONS(2667),
    [anon_sym_alignof] = ACTIONS(2667),
    [anon_sym__Alignof] = ACTIONS(2667),
    [anon_sym_offsetof] = ACTIONS(2667),
    [anon_sym__Generic] = ACTIONS(2667),
    [anon_sym_asm] = ACTIONS(2667),
    [anon_sym___asm__] = ACTIONS(2667),
    [anon_sym___asm] = ACTIONS(2667),
    [aux_sym_number_literal_token1] = ACTIONS(2669),
    [aux_sym_number_literal_token2] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2669),
    [anon_sym_u_SQUOTE] = ACTIONS(2669),
    [anon_sym_U_SQUOTE] = ACTIONS(2669),
    [anon_sym_u8_SQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_L_DQUOTE] = ACTIONS(2669),
    [anon_sym_u_DQUOTE] = ACTIONS(2669),
    [anon_sym_U_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8_DQUOTE] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [anon_sym_NULL] = ACTIONS(2667),
    [anon_sym_nullptr] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_namespace] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_concept] = ACTIONS(2667),
    [anon_sym_co_return] = ACTIONS(2667),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2669),
    [anon_sym_LR_DQUOTE] = ACTIONS(2669),
    [anon_sym_uR_DQUOTE] = ACTIONS(2669),
    [anon_sym_UR_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2669),
    [anon_sym_co_await] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_requires] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
  },
  [237] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(7043),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7064),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2671),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [238] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8327),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym___attribute] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym__Nonnull] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [anon_sym_PROGMEM] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym__Alignas] = ACTIONS(2681),
    [aux_sym_primitive_type_token1] = ACTIONS(2688),
    [anon_sym_byte] = ACTIONS(2688),
    [anon_sym_word] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2691),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [239] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6850),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7405),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2697),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [240] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(7037),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7077),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2699),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [241] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8307),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2716),
    [anon_sym_byte] = ACTIONS(2716),
    [anon_sym_word] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2719),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [242] = {
    [sym_else_clause] = STATE(289),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [aux_sym_preproc_else_token1] = ACTIONS(2725),
    [aux_sym_preproc_elif_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym___attribute] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym__Nonnull] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [anon_sym_PROGMEM] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym__Alignas] = ACTIONS(2725),
    [aux_sym_primitive_type_token1] = ACTIONS(2725),
    [anon_sym_byte] = ACTIONS(2725),
    [anon_sym_word] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_else] = ACTIONS(2587),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [anon_sym___asm] = ACTIONS(2725),
    [aux_sym_number_literal_token1] = ACTIONS(2727),
    [aux_sym_number_literal_token2] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [243] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6936),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7247),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [244] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6842),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7431),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2731),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [245] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6927),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7269),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [aux_sym_preproc_else_token1] = ACTIONS(1968),
    [aux_sym_preproc_elif_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_else] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [247] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6903),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7289),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2735),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [248] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6883),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7329),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2737),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [249] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6853),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7411),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2739),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [250] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6829),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7424),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2741),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [251] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(6978),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7178),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2743),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [252] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8318),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2745),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2760),
    [anon_sym_byte] = ACTIONS(2760),
    [anon_sym_word] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [aux_sym_preproc_else_token1] = ACTIONS(2769),
    [aux_sym_preproc_elif_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym___attribute] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym__Nonnull] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [anon_sym_PROGMEM] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym__Alignas] = ACTIONS(2769),
    [aux_sym_primitive_type_token1] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_word] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [anon_sym___asm] = ACTIONS(2769),
    [aux_sym_number_literal_token1] = ACTIONS(2771),
    [aux_sym_number_literal_token2] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_PROGMEM] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [aux_sym_primitive_type_token1] = ACTIONS(2773),
    [anon_sym_byte] = ACTIONS(2773),
    [anon_sym_word] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [anon_sym___asm] = ACTIONS(2777),
    [aux_sym_number_literal_token1] = ACTIONS(2779),
    [aux_sym_number_literal_token2] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [aux_sym_preproc_else_token1] = ACTIONS(2789),
    [aux_sym_preproc_elif_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [263] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2805),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [264] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2554),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [aux_sym_preproc_else_token1] = ACTIONS(1968),
    [aux_sym_preproc_elif_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token2] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [aux_sym_preproc_else_token1] = ACTIONS(2753),
    [aux_sym_preproc_elif_token1] = ACTIONS(2753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2758),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [aux_sym_preproc_else_token1] = ACTIONS(2809),
    [aux_sym_preproc_elif_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [268] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2813),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [269] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [anon_sym___asm] = ACTIONS(2815),
    [aux_sym_number_literal_token1] = ACTIONS(2817),
    [aux_sym_number_literal_token2] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2819),
    [aux_sym_preproc_include_token1] = ACTIONS(2819),
    [aux_sym_preproc_def_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token2] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2819),
    [aux_sym_preproc_else_token1] = ACTIONS(2819),
    [aux_sym_preproc_elif_token1] = ACTIONS(2819),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2819),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2819),
    [sym_preproc_directive] = ACTIONS(2819),
    [anon_sym_LPAREN2] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2819),
    [anon_sym_typedef] = ACTIONS(2819),
    [anon_sym_virtual] = ACTIONS(2819),
    [anon_sym_extern] = ACTIONS(2819),
    [anon_sym___attribute__] = ACTIONS(2819),
    [anon_sym___attribute] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2821),
    [anon_sym___declspec] = ACTIONS(2819),
    [anon_sym___based] = ACTIONS(2819),
    [anon_sym___cdecl] = ACTIONS(2819),
    [anon_sym___clrcall] = ACTIONS(2819),
    [anon_sym___stdcall] = ACTIONS(2819),
    [anon_sym___fastcall] = ACTIONS(2819),
    [anon_sym___thiscall] = ACTIONS(2819),
    [anon_sym___vectorcall] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2819),
    [anon_sym_unsigned] = ACTIONS(2819),
    [anon_sym_long] = ACTIONS(2819),
    [anon_sym_short] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2819),
    [anon_sym_register] = ACTIONS(2819),
    [anon_sym_inline] = ACTIONS(2819),
    [anon_sym___inline] = ACTIONS(2819),
    [anon_sym___inline__] = ACTIONS(2819),
    [anon_sym___forceinline] = ACTIONS(2819),
    [anon_sym_thread_local] = ACTIONS(2819),
    [anon_sym___thread] = ACTIONS(2819),
    [anon_sym_const] = ACTIONS(2819),
    [anon_sym_constexpr] = ACTIONS(2819),
    [anon_sym_volatile] = ACTIONS(2819),
    [anon_sym_restrict] = ACTIONS(2819),
    [anon_sym___restrict__] = ACTIONS(2819),
    [anon_sym__Atomic] = ACTIONS(2819),
    [anon_sym__Noreturn] = ACTIONS(2819),
    [anon_sym_noreturn] = ACTIONS(2819),
    [anon_sym__Nonnull] = ACTIONS(2819),
    [anon_sym_mutable] = ACTIONS(2819),
    [anon_sym_constinit] = ACTIONS(2819),
    [anon_sym_consteval] = ACTIONS(2819),
    [anon_sym_PROGMEM] = ACTIONS(2819),
    [anon_sym_alignas] = ACTIONS(2819),
    [anon_sym__Alignas] = ACTIONS(2819),
    [aux_sym_primitive_type_token1] = ACTIONS(2819),
    [anon_sym_byte] = ACTIONS(2819),
    [anon_sym_word] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2819),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_switch] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2819),
    [anon_sym_default] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_do] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_return] = ACTIONS(2819),
    [anon_sym_break] = ACTIONS(2819),
    [anon_sym_continue] = ACTIONS(2819),
    [anon_sym_goto] = ACTIONS(2819),
    [anon_sym___try] = ACTIONS(2819),
    [anon_sym___leave] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_sizeof] = ACTIONS(2819),
    [anon_sym___alignof__] = ACTIONS(2819),
    [anon_sym___alignof] = ACTIONS(2819),
    [anon_sym__alignof] = ACTIONS(2819),
    [anon_sym_alignof] = ACTIONS(2819),
    [anon_sym__Alignof] = ACTIONS(2819),
    [anon_sym_offsetof] = ACTIONS(2819),
    [anon_sym__Generic] = ACTIONS(2819),
    [anon_sym_asm] = ACTIONS(2819),
    [anon_sym___asm__] = ACTIONS(2819),
    [anon_sym___asm] = ACTIONS(2819),
    [aux_sym_number_literal_token1] = ACTIONS(2821),
    [aux_sym_number_literal_token2] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2821),
    [anon_sym_u_SQUOTE] = ACTIONS(2821),
    [anon_sym_U_SQUOTE] = ACTIONS(2821),
    [anon_sym_u8_SQUOTE] = ACTIONS(2821),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_L_DQUOTE] = ACTIONS(2821),
    [anon_sym_u_DQUOTE] = ACTIONS(2821),
    [anon_sym_U_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [sym_true] = ACTIONS(2819),
    [sym_false] = ACTIONS(2819),
    [anon_sym_NULL] = ACTIONS(2819),
    [anon_sym_nullptr] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2819),
    [anon_sym_decltype] = ACTIONS(2819),
    [anon_sym_explicit] = ACTIONS(2819),
    [anon_sym_typename] = ACTIONS(2819),
    [anon_sym_template] = ACTIONS(2819),
    [anon_sym_operator] = ACTIONS(2819),
    [anon_sym_try] = ACTIONS(2819),
    [anon_sym_delete] = ACTIONS(2819),
    [anon_sym_throw] = ACTIONS(2819),
    [anon_sym_namespace] = ACTIONS(2819),
    [anon_sym_using] = ACTIONS(2819),
    [anon_sym_static_assert] = ACTIONS(2819),
    [anon_sym_concept] = ACTIONS(2819),
    [anon_sym_co_return] = ACTIONS(2819),
    [anon_sym_co_yield] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2821),
    [anon_sym_LR_DQUOTE] = ACTIONS(2821),
    [anon_sym_uR_DQUOTE] = ACTIONS(2821),
    [anon_sym_UR_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2821),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_requires] = ACTIONS(2819),
    [sym_this] = ACTIONS(2819),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2827),
    [aux_sym_preproc_include_token1] = ACTIONS(2827),
    [aux_sym_preproc_def_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token2] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2827),
    [aux_sym_preproc_else_token1] = ACTIONS(2827),
    [aux_sym_preproc_elif_token1] = ACTIONS(2827),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2827),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2827),
    [sym_preproc_directive] = ACTIONS(2827),
    [anon_sym_LPAREN2] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2827),
    [anon_sym_typedef] = ACTIONS(2827),
    [anon_sym_virtual] = ACTIONS(2827),
    [anon_sym_extern] = ACTIONS(2827),
    [anon_sym___attribute__] = ACTIONS(2827),
    [anon_sym___attribute] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2829),
    [anon_sym___declspec] = ACTIONS(2827),
    [anon_sym___based] = ACTIONS(2827),
    [anon_sym___cdecl] = ACTIONS(2827),
    [anon_sym___clrcall] = ACTIONS(2827),
    [anon_sym___stdcall] = ACTIONS(2827),
    [anon_sym___fastcall] = ACTIONS(2827),
    [anon_sym___thiscall] = ACTIONS(2827),
    [anon_sym___vectorcall] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2827),
    [anon_sym_unsigned] = ACTIONS(2827),
    [anon_sym_long] = ACTIONS(2827),
    [anon_sym_short] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2827),
    [anon_sym_register] = ACTIONS(2827),
    [anon_sym_inline] = ACTIONS(2827),
    [anon_sym___inline] = ACTIONS(2827),
    [anon_sym___inline__] = ACTIONS(2827),
    [anon_sym___forceinline] = ACTIONS(2827),
    [anon_sym_thread_local] = ACTIONS(2827),
    [anon_sym___thread] = ACTIONS(2827),
    [anon_sym_const] = ACTIONS(2827),
    [anon_sym_constexpr] = ACTIONS(2827),
    [anon_sym_volatile] = ACTIONS(2827),
    [anon_sym_restrict] = ACTIONS(2827),
    [anon_sym___restrict__] = ACTIONS(2827),
    [anon_sym__Atomic] = ACTIONS(2827),
    [anon_sym__Noreturn] = ACTIONS(2827),
    [anon_sym_noreturn] = ACTIONS(2827),
    [anon_sym__Nonnull] = ACTIONS(2827),
    [anon_sym_mutable] = ACTIONS(2827),
    [anon_sym_constinit] = ACTIONS(2827),
    [anon_sym_consteval] = ACTIONS(2827),
    [anon_sym_PROGMEM] = ACTIONS(2827),
    [anon_sym_alignas] = ACTIONS(2827),
    [anon_sym__Alignas] = ACTIONS(2827),
    [aux_sym_primitive_type_token1] = ACTIONS(2827),
    [anon_sym_byte] = ACTIONS(2827),
    [anon_sym_word] = ACTIONS(2827),
    [anon_sym_enum] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2827),
    [anon_sym_struct] = ACTIONS(2827),
    [anon_sym_union] = ACTIONS(2827),
    [anon_sym_if] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2827),
    [anon_sym_switch] = ACTIONS(2827),
    [anon_sym_case] = ACTIONS(2827),
    [anon_sym_default] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_return] = ACTIONS(2827),
    [anon_sym_break] = ACTIONS(2827),
    [anon_sym_continue] = ACTIONS(2827),
    [anon_sym_goto] = ACTIONS(2827),
    [anon_sym___try] = ACTIONS(2827),
    [anon_sym___leave] = ACTIONS(2827),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_compl] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_sizeof] = ACTIONS(2827),
    [anon_sym___alignof__] = ACTIONS(2827),
    [anon_sym___alignof] = ACTIONS(2827),
    [anon_sym__alignof] = ACTIONS(2827),
    [anon_sym_alignof] = ACTIONS(2827),
    [anon_sym__Alignof] = ACTIONS(2827),
    [anon_sym_offsetof] = ACTIONS(2827),
    [anon_sym__Generic] = ACTIONS(2827),
    [anon_sym_asm] = ACTIONS(2827),
    [anon_sym___asm__] = ACTIONS(2827),
    [anon_sym___asm] = ACTIONS(2827),
    [aux_sym_number_literal_token1] = ACTIONS(2829),
    [aux_sym_number_literal_token2] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2829),
    [anon_sym_u_SQUOTE] = ACTIONS(2829),
    [anon_sym_U_SQUOTE] = ACTIONS(2829),
    [anon_sym_u8_SQUOTE] = ACTIONS(2829),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_L_DQUOTE] = ACTIONS(2829),
    [anon_sym_u_DQUOTE] = ACTIONS(2829),
    [anon_sym_U_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [sym_true] = ACTIONS(2827),
    [sym_false] = ACTIONS(2827),
    [anon_sym_NULL] = ACTIONS(2827),
    [anon_sym_nullptr] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2827),
    [anon_sym_decltype] = ACTIONS(2827),
    [anon_sym_explicit] = ACTIONS(2827),
    [anon_sym_typename] = ACTIONS(2827),
    [anon_sym_template] = ACTIONS(2827),
    [anon_sym_operator] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_throw] = ACTIONS(2827),
    [anon_sym_namespace] = ACTIONS(2827),
    [anon_sym_using] = ACTIONS(2827),
    [anon_sym_static_assert] = ACTIONS(2827),
    [anon_sym_concept] = ACTIONS(2827),
    [anon_sym_co_return] = ACTIONS(2827),
    [anon_sym_co_yield] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2829),
    [anon_sym_LR_DQUOTE] = ACTIONS(2829),
    [anon_sym_uR_DQUOTE] = ACTIONS(2829),
    [anon_sym_UR_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2829),
    [anon_sym_co_await] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2827),
    [anon_sym_requires] = ACTIONS(2827),
    [sym_this] = ACTIONS(2827),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2831),
    [aux_sym_preproc_include_token1] = ACTIONS(2831),
    [aux_sym_preproc_def_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token2] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2831),
    [aux_sym_preproc_else_token1] = ACTIONS(2831),
    [aux_sym_preproc_elif_token1] = ACTIONS(2831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2831),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2831),
    [sym_preproc_directive] = ACTIONS(2831),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2831),
    [anon_sym_typedef] = ACTIONS(2831),
    [anon_sym_virtual] = ACTIONS(2831),
    [anon_sym_extern] = ACTIONS(2831),
    [anon_sym___attribute__] = ACTIONS(2831),
    [anon_sym___attribute] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2833),
    [anon_sym___declspec] = ACTIONS(2831),
    [anon_sym___based] = ACTIONS(2831),
    [anon_sym___cdecl] = ACTIONS(2831),
    [anon_sym___clrcall] = ACTIONS(2831),
    [anon_sym___stdcall] = ACTIONS(2831),
    [anon_sym___fastcall] = ACTIONS(2831),
    [anon_sym___thiscall] = ACTIONS(2831),
    [anon_sym___vectorcall] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2831),
    [anon_sym_unsigned] = ACTIONS(2831),
    [anon_sym_long] = ACTIONS(2831),
    [anon_sym_short] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2831),
    [anon_sym_register] = ACTIONS(2831),
    [anon_sym_inline] = ACTIONS(2831),
    [anon_sym___inline] = ACTIONS(2831),
    [anon_sym___inline__] = ACTIONS(2831),
    [anon_sym___forceinline] = ACTIONS(2831),
    [anon_sym_thread_local] = ACTIONS(2831),
    [anon_sym___thread] = ACTIONS(2831),
    [anon_sym_const] = ACTIONS(2831),
    [anon_sym_constexpr] = ACTIONS(2831),
    [anon_sym_volatile] = ACTIONS(2831),
    [anon_sym_restrict] = ACTIONS(2831),
    [anon_sym___restrict__] = ACTIONS(2831),
    [anon_sym__Atomic] = ACTIONS(2831),
    [anon_sym__Noreturn] = ACTIONS(2831),
    [anon_sym_noreturn] = ACTIONS(2831),
    [anon_sym__Nonnull] = ACTIONS(2831),
    [anon_sym_mutable] = ACTIONS(2831),
    [anon_sym_constinit] = ACTIONS(2831),
    [anon_sym_consteval] = ACTIONS(2831),
    [anon_sym_PROGMEM] = ACTIONS(2831),
    [anon_sym_alignas] = ACTIONS(2831),
    [anon_sym__Alignas] = ACTIONS(2831),
    [aux_sym_primitive_type_token1] = ACTIONS(2831),
    [anon_sym_byte] = ACTIONS(2831),
    [anon_sym_word] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(2831),
    [anon_sym_union] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2831),
    [anon_sym_switch] = ACTIONS(2831),
    [anon_sym_case] = ACTIONS(2831),
    [anon_sym_default] = ACTIONS(2831),
    [anon_sym_while] = ACTIONS(2831),
    [anon_sym_do] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_return] = ACTIONS(2831),
    [anon_sym_break] = ACTIONS(2831),
    [anon_sym_continue] = ACTIONS(2831),
    [anon_sym_goto] = ACTIONS(2831),
    [anon_sym___try] = ACTIONS(2831),
    [anon_sym___leave] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2831),
    [anon_sym_compl] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_sizeof] = ACTIONS(2831),
    [anon_sym___alignof__] = ACTIONS(2831),
    [anon_sym___alignof] = ACTIONS(2831),
    [anon_sym__alignof] = ACTIONS(2831),
    [anon_sym_alignof] = ACTIONS(2831),
    [anon_sym__Alignof] = ACTIONS(2831),
    [anon_sym_offsetof] = ACTIONS(2831),
    [anon_sym__Generic] = ACTIONS(2831),
    [anon_sym_asm] = ACTIONS(2831),
    [anon_sym___asm__] = ACTIONS(2831),
    [anon_sym___asm] = ACTIONS(2831),
    [aux_sym_number_literal_token1] = ACTIONS(2833),
    [aux_sym_number_literal_token2] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2833),
    [anon_sym_u_SQUOTE] = ACTIONS(2833),
    [anon_sym_U_SQUOTE] = ACTIONS(2833),
    [anon_sym_u8_SQUOTE] = ACTIONS(2833),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_L_DQUOTE] = ACTIONS(2833),
    [anon_sym_u_DQUOTE] = ACTIONS(2833),
    [anon_sym_U_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [sym_true] = ACTIONS(2831),
    [sym_false] = ACTIONS(2831),
    [anon_sym_NULL] = ACTIONS(2831),
    [anon_sym_nullptr] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2831),
    [anon_sym_decltype] = ACTIONS(2831),
    [anon_sym_explicit] = ACTIONS(2831),
    [anon_sym_typename] = ACTIONS(2831),
    [anon_sym_template] = ACTIONS(2831),
    [anon_sym_operator] = ACTIONS(2831),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_delete] = ACTIONS(2831),
    [anon_sym_throw] = ACTIONS(2831),
    [anon_sym_namespace] = ACTIONS(2831),
    [anon_sym_using] = ACTIONS(2831),
    [anon_sym_static_assert] = ACTIONS(2831),
    [anon_sym_concept] = ACTIONS(2831),
    [anon_sym_co_return] = ACTIONS(2831),
    [anon_sym_co_yield] = ACTIONS(2831),
    [anon_sym_R_DQUOTE] = ACTIONS(2833),
    [anon_sym_LR_DQUOTE] = ACTIONS(2833),
    [anon_sym_uR_DQUOTE] = ACTIONS(2833),
    [anon_sym_UR_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2833),
    [anon_sym_co_await] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2831),
    [anon_sym_requires] = ACTIONS(2831),
    [sym_this] = ACTIONS(2831),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2835),
    [aux_sym_preproc_include_token1] = ACTIONS(2835),
    [aux_sym_preproc_def_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token2] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2835),
    [aux_sym_preproc_else_token1] = ACTIONS(2835),
    [aux_sym_preproc_elif_token1] = ACTIONS(2835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2835),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2835),
    [sym_preproc_directive] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2835),
    [anon_sym_typedef] = ACTIONS(2835),
    [anon_sym_virtual] = ACTIONS(2835),
    [anon_sym_extern] = ACTIONS(2835),
    [anon_sym___attribute__] = ACTIONS(2835),
    [anon_sym___attribute] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2837),
    [anon_sym___declspec] = ACTIONS(2835),
    [anon_sym___based] = ACTIONS(2835),
    [anon_sym___cdecl] = ACTIONS(2835),
    [anon_sym___clrcall] = ACTIONS(2835),
    [anon_sym___stdcall] = ACTIONS(2835),
    [anon_sym___fastcall] = ACTIONS(2835),
    [anon_sym___thiscall] = ACTIONS(2835),
    [anon_sym___vectorcall] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2835),
    [anon_sym_unsigned] = ACTIONS(2835),
    [anon_sym_long] = ACTIONS(2835),
    [anon_sym_short] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_register] = ACTIONS(2835),
    [anon_sym_inline] = ACTIONS(2835),
    [anon_sym___inline] = ACTIONS(2835),
    [anon_sym___inline__] = ACTIONS(2835),
    [anon_sym___forceinline] = ACTIONS(2835),
    [anon_sym_thread_local] = ACTIONS(2835),
    [anon_sym___thread] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(2835),
    [anon_sym_constexpr] = ACTIONS(2835),
    [anon_sym_volatile] = ACTIONS(2835),
    [anon_sym_restrict] = ACTIONS(2835),
    [anon_sym___restrict__] = ACTIONS(2835),
    [anon_sym__Atomic] = ACTIONS(2835),
    [anon_sym__Noreturn] = ACTIONS(2835),
    [anon_sym_noreturn] = ACTIONS(2835),
    [anon_sym__Nonnull] = ACTIONS(2835),
    [anon_sym_mutable] = ACTIONS(2835),
    [anon_sym_constinit] = ACTIONS(2835),
    [anon_sym_consteval] = ACTIONS(2835),
    [anon_sym_PROGMEM] = ACTIONS(2835),
    [anon_sym_alignas] = ACTIONS(2835),
    [anon_sym__Alignas] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(2835),
    [anon_sym_byte] = ACTIONS(2835),
    [anon_sym_word] = ACTIONS(2835),
    [anon_sym_enum] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2835),
    [anon_sym_union] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2835),
    [anon_sym_switch] = ACTIONS(2835),
    [anon_sym_case] = ACTIONS(2835),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_while] = ACTIONS(2835),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_return] = ACTIONS(2835),
    [anon_sym_break] = ACTIONS(2835),
    [anon_sym_continue] = ACTIONS(2835),
    [anon_sym_goto] = ACTIONS(2835),
    [anon_sym___try] = ACTIONS(2835),
    [anon_sym___leave] = ACTIONS(2835),
    [anon_sym_not] = ACTIONS(2835),
    [anon_sym_compl] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_sizeof] = ACTIONS(2835),
    [anon_sym___alignof__] = ACTIONS(2835),
    [anon_sym___alignof] = ACTIONS(2835),
    [anon_sym__alignof] = ACTIONS(2835),
    [anon_sym_alignof] = ACTIONS(2835),
    [anon_sym__Alignof] = ACTIONS(2835),
    [anon_sym_offsetof] = ACTIONS(2835),
    [anon_sym__Generic] = ACTIONS(2835),
    [anon_sym_asm] = ACTIONS(2835),
    [anon_sym___asm__] = ACTIONS(2835),
    [anon_sym___asm] = ACTIONS(2835),
    [aux_sym_number_literal_token1] = ACTIONS(2837),
    [aux_sym_number_literal_token2] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2837),
    [anon_sym_u_SQUOTE] = ACTIONS(2837),
    [anon_sym_U_SQUOTE] = ACTIONS(2837),
    [anon_sym_u8_SQUOTE] = ACTIONS(2837),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_L_DQUOTE] = ACTIONS(2837),
    [anon_sym_u_DQUOTE] = ACTIONS(2837),
    [anon_sym_U_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [sym_true] = ACTIONS(2835),
    [sym_false] = ACTIONS(2835),
    [anon_sym_NULL] = ACTIONS(2835),
    [anon_sym_nullptr] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2835),
    [anon_sym_decltype] = ACTIONS(2835),
    [anon_sym_explicit] = ACTIONS(2835),
    [anon_sym_typename] = ACTIONS(2835),
    [anon_sym_template] = ACTIONS(2835),
    [anon_sym_operator] = ACTIONS(2835),
    [anon_sym_try] = ACTIONS(2835),
    [anon_sym_delete] = ACTIONS(2835),
    [anon_sym_throw] = ACTIONS(2835),
    [anon_sym_namespace] = ACTIONS(2835),
    [anon_sym_using] = ACTIONS(2835),
    [anon_sym_static_assert] = ACTIONS(2835),
    [anon_sym_concept] = ACTIONS(2835),
    [anon_sym_co_return] = ACTIONS(2835),
    [anon_sym_co_yield] = ACTIONS(2835),
    [anon_sym_R_DQUOTE] = ACTIONS(2837),
    [anon_sym_LR_DQUOTE] = ACTIONS(2837),
    [anon_sym_uR_DQUOTE] = ACTIONS(2837),
    [anon_sym_UR_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2837),
    [anon_sym_co_await] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2835),
    [anon_sym_requires] = ACTIONS(2835),
    [sym_this] = ACTIONS(2835),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2839),
    [aux_sym_preproc_include_token1] = ACTIONS(2839),
    [aux_sym_preproc_def_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token2] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2839),
    [aux_sym_preproc_else_token1] = ACTIONS(2839),
    [aux_sym_preproc_elif_token1] = ACTIONS(2839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2839),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2839),
    [sym_preproc_directive] = ACTIONS(2839),
    [anon_sym_LPAREN2] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2839),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_virtual] = ACTIONS(2839),
    [anon_sym_extern] = ACTIONS(2839),
    [anon_sym___attribute__] = ACTIONS(2839),
    [anon_sym___attribute] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2841),
    [anon_sym___declspec] = ACTIONS(2839),
    [anon_sym___based] = ACTIONS(2839),
    [anon_sym___cdecl] = ACTIONS(2839),
    [anon_sym___clrcall] = ACTIONS(2839),
    [anon_sym___stdcall] = ACTIONS(2839),
    [anon_sym___fastcall] = ACTIONS(2839),
    [anon_sym___thiscall] = ACTIONS(2839),
    [anon_sym___vectorcall] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2839),
    [anon_sym_unsigned] = ACTIONS(2839),
    [anon_sym_long] = ACTIONS(2839),
    [anon_sym_short] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2839),
    [anon_sym_register] = ACTIONS(2839),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym___inline] = ACTIONS(2839),
    [anon_sym___inline__] = ACTIONS(2839),
    [anon_sym___forceinline] = ACTIONS(2839),
    [anon_sym_thread_local] = ACTIONS(2839),
    [anon_sym___thread] = ACTIONS(2839),
    [anon_sym_const] = ACTIONS(2839),
    [anon_sym_constexpr] = ACTIONS(2839),
    [anon_sym_volatile] = ACTIONS(2839),
    [anon_sym_restrict] = ACTIONS(2839),
    [anon_sym___restrict__] = ACTIONS(2839),
    [anon_sym__Atomic] = ACTIONS(2839),
    [anon_sym__Noreturn] = ACTIONS(2839),
    [anon_sym_noreturn] = ACTIONS(2839),
    [anon_sym__Nonnull] = ACTIONS(2839),
    [anon_sym_mutable] = ACTIONS(2839),
    [anon_sym_constinit] = ACTIONS(2839),
    [anon_sym_consteval] = ACTIONS(2839),
    [anon_sym_PROGMEM] = ACTIONS(2839),
    [anon_sym_alignas] = ACTIONS(2839),
    [anon_sym__Alignas] = ACTIONS(2839),
    [aux_sym_primitive_type_token1] = ACTIONS(2839),
    [anon_sym_byte] = ACTIONS(2839),
    [anon_sym_word] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2839),
    [anon_sym_struct] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2839),
    [anon_sym_switch] = ACTIONS(2839),
    [anon_sym_case] = ACTIONS(2839),
    [anon_sym_default] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2839),
    [anon_sym_do] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_break] = ACTIONS(2839),
    [anon_sym_continue] = ACTIONS(2839),
    [anon_sym_goto] = ACTIONS(2839),
    [anon_sym___try] = ACTIONS(2839),
    [anon_sym___leave] = ACTIONS(2839),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_compl] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_sizeof] = ACTIONS(2839),
    [anon_sym___alignof__] = ACTIONS(2839),
    [anon_sym___alignof] = ACTIONS(2839),
    [anon_sym__alignof] = ACTIONS(2839),
    [anon_sym_alignof] = ACTIONS(2839),
    [anon_sym__Alignof] = ACTIONS(2839),
    [anon_sym_offsetof] = ACTIONS(2839),
    [anon_sym__Generic] = ACTIONS(2839),
    [anon_sym_asm] = ACTIONS(2839),
    [anon_sym___asm__] = ACTIONS(2839),
    [anon_sym___asm] = ACTIONS(2839),
    [aux_sym_number_literal_token1] = ACTIONS(2841),
    [aux_sym_number_literal_token2] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2841),
    [anon_sym_u_SQUOTE] = ACTIONS(2841),
    [anon_sym_U_SQUOTE] = ACTIONS(2841),
    [anon_sym_u8_SQUOTE] = ACTIONS(2841),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_L_DQUOTE] = ACTIONS(2841),
    [anon_sym_u_DQUOTE] = ACTIONS(2841),
    [anon_sym_U_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [sym_true] = ACTIONS(2839),
    [sym_false] = ACTIONS(2839),
    [anon_sym_NULL] = ACTIONS(2839),
    [anon_sym_nullptr] = ACTIONS(2839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2839),
    [anon_sym_decltype] = ACTIONS(2839),
    [anon_sym_explicit] = ACTIONS(2839),
    [anon_sym_typename] = ACTIONS(2839),
    [anon_sym_template] = ACTIONS(2839),
    [anon_sym_operator] = ACTIONS(2839),
    [anon_sym_try] = ACTIONS(2839),
    [anon_sym_delete] = ACTIONS(2839),
    [anon_sym_throw] = ACTIONS(2839),
    [anon_sym_namespace] = ACTIONS(2839),
    [anon_sym_using] = ACTIONS(2839),
    [anon_sym_static_assert] = ACTIONS(2839),
    [anon_sym_concept] = ACTIONS(2839),
    [anon_sym_co_return] = ACTIONS(2839),
    [anon_sym_co_yield] = ACTIONS(2839),
    [anon_sym_R_DQUOTE] = ACTIONS(2841),
    [anon_sym_LR_DQUOTE] = ACTIONS(2841),
    [anon_sym_uR_DQUOTE] = ACTIONS(2841),
    [anon_sym_UR_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2841),
    [anon_sym_co_await] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2839),
    [anon_sym_requires] = ACTIONS(2839),
    [sym_this] = ACTIONS(2839),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token2] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [aux_sym_preproc_else_token1] = ACTIONS(2709),
    [aux_sym_preproc_elif_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2709),
    [anon_sym_byte] = ACTIONS(2709),
    [anon_sym_word] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [anon_sym___asm] = ACTIONS(2709),
    [aux_sym_number_literal_token1] = ACTIONS(2714),
    [aux_sym_number_literal_token2] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2843),
    [aux_sym_preproc_include_token1] = ACTIONS(2843),
    [aux_sym_preproc_def_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token2] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2843),
    [aux_sym_preproc_else_token1] = ACTIONS(2843),
    [aux_sym_preproc_elif_token1] = ACTIONS(2843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2843),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2843),
    [sym_preproc_directive] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2843),
    [anon_sym_typedef] = ACTIONS(2843),
    [anon_sym_virtual] = ACTIONS(2843),
    [anon_sym_extern] = ACTIONS(2843),
    [anon_sym___attribute__] = ACTIONS(2843),
    [anon_sym___attribute] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2845),
    [anon_sym___declspec] = ACTIONS(2843),
    [anon_sym___based] = ACTIONS(2843),
    [anon_sym___cdecl] = ACTIONS(2843),
    [anon_sym___clrcall] = ACTIONS(2843),
    [anon_sym___stdcall] = ACTIONS(2843),
    [anon_sym___fastcall] = ACTIONS(2843),
    [anon_sym___thiscall] = ACTIONS(2843),
    [anon_sym___vectorcall] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_signed] = ACTIONS(2843),
    [anon_sym_unsigned] = ACTIONS(2843),
    [anon_sym_long] = ACTIONS(2843),
    [anon_sym_short] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2843),
    [anon_sym_register] = ACTIONS(2843),
    [anon_sym_inline] = ACTIONS(2843),
    [anon_sym___inline] = ACTIONS(2843),
    [anon_sym___inline__] = ACTIONS(2843),
    [anon_sym___forceinline] = ACTIONS(2843),
    [anon_sym_thread_local] = ACTIONS(2843),
    [anon_sym___thread] = ACTIONS(2843),
    [anon_sym_const] = ACTIONS(2843),
    [anon_sym_constexpr] = ACTIONS(2843),
    [anon_sym_volatile] = ACTIONS(2843),
    [anon_sym_restrict] = ACTIONS(2843),
    [anon_sym___restrict__] = ACTIONS(2843),
    [anon_sym__Atomic] = ACTIONS(2843),
    [anon_sym__Noreturn] = ACTIONS(2843),
    [anon_sym_noreturn] = ACTIONS(2843),
    [anon_sym__Nonnull] = ACTIONS(2843),
    [anon_sym_mutable] = ACTIONS(2843),
    [anon_sym_constinit] = ACTIONS(2843),
    [anon_sym_consteval] = ACTIONS(2843),
    [anon_sym_PROGMEM] = ACTIONS(2843),
    [anon_sym_alignas] = ACTIONS(2843),
    [anon_sym__Alignas] = ACTIONS(2843),
    [aux_sym_primitive_type_token1] = ACTIONS(2843),
    [anon_sym_byte] = ACTIONS(2843),
    [anon_sym_word] = ACTIONS(2843),
    [anon_sym_enum] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2843),
    [anon_sym_struct] = ACTIONS(2843),
    [anon_sym_union] = ACTIONS(2843),
    [anon_sym_if] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2843),
    [anon_sym_switch] = ACTIONS(2843),
    [anon_sym_case] = ACTIONS(2843),
    [anon_sym_default] = ACTIONS(2843),
    [anon_sym_while] = ACTIONS(2843),
    [anon_sym_do] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_return] = ACTIONS(2843),
    [anon_sym_break] = ACTIONS(2843),
    [anon_sym_continue] = ACTIONS(2843),
    [anon_sym_goto] = ACTIONS(2843),
    [anon_sym___try] = ACTIONS(2843),
    [anon_sym___leave] = ACTIONS(2843),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_compl] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_sizeof] = ACTIONS(2843),
    [anon_sym___alignof__] = ACTIONS(2843),
    [anon_sym___alignof] = ACTIONS(2843),
    [anon_sym__alignof] = ACTIONS(2843),
    [anon_sym_alignof] = ACTIONS(2843),
    [anon_sym__Alignof] = ACTIONS(2843),
    [anon_sym_offsetof] = ACTIONS(2843),
    [anon_sym__Generic] = ACTIONS(2843),
    [anon_sym_asm] = ACTIONS(2843),
    [anon_sym___asm__] = ACTIONS(2843),
    [anon_sym___asm] = ACTIONS(2843),
    [aux_sym_number_literal_token1] = ACTIONS(2845),
    [aux_sym_number_literal_token2] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2845),
    [anon_sym_u_SQUOTE] = ACTIONS(2845),
    [anon_sym_U_SQUOTE] = ACTIONS(2845),
    [anon_sym_u8_SQUOTE] = ACTIONS(2845),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_L_DQUOTE] = ACTIONS(2845),
    [anon_sym_u_DQUOTE] = ACTIONS(2845),
    [anon_sym_U_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_true] = ACTIONS(2843),
    [sym_false] = ACTIONS(2843),
    [anon_sym_NULL] = ACTIONS(2843),
    [anon_sym_nullptr] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2843),
    [anon_sym_decltype] = ACTIONS(2843),
    [anon_sym_explicit] = ACTIONS(2843),
    [anon_sym_typename] = ACTIONS(2843),
    [anon_sym_template] = ACTIONS(2843),
    [anon_sym_operator] = ACTIONS(2843),
    [anon_sym_try] = ACTIONS(2843),
    [anon_sym_delete] = ACTIONS(2843),
    [anon_sym_throw] = ACTIONS(2843),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_using] = ACTIONS(2843),
    [anon_sym_static_assert] = ACTIONS(2843),
    [anon_sym_concept] = ACTIONS(2843),
    [anon_sym_co_return] = ACTIONS(2843),
    [anon_sym_co_yield] = ACTIONS(2843),
    [anon_sym_R_DQUOTE] = ACTIONS(2845),
    [anon_sym_LR_DQUOTE] = ACTIONS(2845),
    [anon_sym_uR_DQUOTE] = ACTIONS(2845),
    [anon_sym_UR_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2845),
    [anon_sym_co_await] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2843),
    [anon_sym_requires] = ACTIONS(2843),
    [sym_this] = ACTIONS(2843),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [aux_sym_preproc_else_token1] = ACTIONS(2847),
    [aux_sym_preproc_elif_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym___attribute] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym__Nonnull] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym__Alignas] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [anon_sym___asm] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [281] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(2892),
    [sym__declarator] = STATE(6417),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_type_qualifier] = STATE(3854),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3302),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3303),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(2417),
    [aux_sym__type_definition_type_repeat1] = STATE(3854),
    [aux_sym_pointer_declarator_repeat1] = STATE(2892),
    [sym_identifier] = ACTIONS(2851),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [283] = {
    [sym_type_qualifier] = STATE(3342),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4487),
    [sym_sized_type_specifier] = STATE(2637),
    [sym_primitive_type] = STATE(4969),
    [sym_enum_specifier] = STATE(2637),
    [sym_struct_specifier] = STATE(2637),
    [sym_union_specifier] = STATE(2637),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_type_descriptor] = STATE(7182),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_placeholder_type_specifier] = STATE(2637),
    [sym_decltype_auto] = STATE(2605),
    [sym_decltype] = STATE(2542),
    [sym_class_specifier] = STATE(2637),
    [sym__class_name] = STATE(7551),
    [sym_dependent_type] = STATE(2637),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_type_parameter_pack_expansion] = STATE(7572),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5668),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3713),
    [aux_sym__type_definition_type_repeat1] = STATE(3342),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4046),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2599),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_signed] = ACTIONS(2603),
    [anon_sym_unsigned] = ACTIONS(2603),
    [anon_sym_long] = ACTIONS(2603),
    [anon_sym_short] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_struct] = ACTIONS(2611),
    [anon_sym_union] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2639),
    [anon_sym_decltype] = ACTIONS(2641),
    [anon_sym_typename] = ACTIONS(2643),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [284] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2473),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym___attribute] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym__Nonnull] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [anon_sym_PROGMEM] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym__Alignas] = ACTIONS(2877),
    [aux_sym_primitive_type_token1] = ACTIONS(2877),
    [anon_sym_byte] = ACTIONS(2877),
    [anon_sym_word] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [anon_sym___asm] = ACTIONS(2877),
    [aux_sym_number_literal_token1] = ACTIONS(2879),
    [aux_sym_number_literal_token2] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym___attribute] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym__Nonnull] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [anon_sym_PROGMEM] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym__Alignas] = ACTIONS(2881),
    [aux_sym_primitive_type_token1] = ACTIONS(2881),
    [anon_sym_byte] = ACTIONS(2881),
    [anon_sym_word] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [anon_sym___asm] = ACTIONS(2881),
    [aux_sym_number_literal_token1] = ACTIONS(2883),
    [aux_sym_number_literal_token2] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym___attribute] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym__Nonnull] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [anon_sym_PROGMEM] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym__Alignas] = ACTIONS(2885),
    [aux_sym_primitive_type_token1] = ACTIONS(2885),
    [anon_sym_byte] = ACTIONS(2885),
    [anon_sym_word] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [anon_sym___asm] = ACTIONS(2885),
    [aux_sym_number_literal_token1] = ACTIONS(2887),
    [aux_sym_number_literal_token2] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym___attribute] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym__Nonnull] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [anon_sym_PROGMEM] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(2889),
    [anon_sym_byte] = ACTIONS(2889),
    [anon_sym_word] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [anon_sym___asm] = ACTIONS(2889),
    [aux_sym_number_literal_token1] = ACTIONS(2891),
    [aux_sym_number_literal_token2] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [290] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [291] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(2892),
    [sym__declarator] = STATE(6417),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_type_qualifier] = STATE(3854),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3311),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3597),
    [aux_sym__type_definition_type_repeat1] = STATE(3854),
    [aux_sym_pointer_declarator_repeat1] = STATE(2892),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym___attribute] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym__Nonnull] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [anon_sym_PROGMEM] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym__Alignas] = ACTIONS(2897),
    [aux_sym_primitive_type_token1] = ACTIONS(2897),
    [anon_sym_byte] = ACTIONS(2897),
    [anon_sym_word] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [anon_sym___asm] = ACTIONS(2897),
    [aux_sym_number_literal_token1] = ACTIONS(2899),
    [aux_sym_number_literal_token2] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym___attribute] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_PROGMEM] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [aux_sym_primitive_type_token1] = ACTIONS(2901),
    [anon_sym_byte] = ACTIONS(2901),
    [anon_sym_word] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [aux_sym_number_literal_token1] = ACTIONS(2903),
    [aux_sym_number_literal_token2] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym___attribute] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_PROGMEM] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [aux_sym_primitive_type_token1] = ACTIONS(2905),
    [anon_sym_byte] = ACTIONS(2905),
    [anon_sym_word] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [aux_sym_number_literal_token1] = ACTIONS(2907),
    [aux_sym_number_literal_token2] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [302] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token2] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [aux_sym_preproc_else_token1] = ACTIONS(2939),
    [aux_sym_preproc_elif_token1] = ACTIONS(2939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym___attribute] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym__Nonnull] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [anon_sym_PROGMEM] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym__Alignas] = ACTIONS(2939),
    [aux_sym_primitive_type_token1] = ACTIONS(2939),
    [anon_sym_byte] = ACTIONS(2939),
    [anon_sym_word] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [anon_sym___asm] = ACTIONS(2939),
    [aux_sym_number_literal_token1] = ACTIONS(2941),
    [aux_sym_number_literal_token2] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [aux_sym_preproc_else_token1] = ACTIONS(2943),
    [aux_sym_preproc_elif_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym___attribute] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym__Nonnull] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_PROGMEM] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [aux_sym_primitive_type_token1] = ACTIONS(2943),
    [anon_sym_byte] = ACTIONS(2943),
    [anon_sym_word] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [anon_sym___asm] = ACTIONS(2943),
    [aux_sym_number_literal_token1] = ACTIONS(2945),
    [aux_sym_number_literal_token2] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym___attribute] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym__Nonnull] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_PROGMEM] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [aux_sym_primitive_type_token1] = ACTIONS(2947),
    [anon_sym_byte] = ACTIONS(2947),
    [anon_sym_word] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [anon_sym___asm] = ACTIONS(2947),
    [aux_sym_number_literal_token1] = ACTIONS(2949),
    [aux_sym_number_literal_token2] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym___attribute] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym__Nonnull] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_PROGMEM] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [aux_sym_primitive_type_token1] = ACTIONS(2951),
    [anon_sym_byte] = ACTIONS(2951),
    [anon_sym_word] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [anon_sym___asm] = ACTIONS(2951),
    [aux_sym_number_literal_token1] = ACTIONS(2953),
    [aux_sym_number_literal_token2] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym___attribute] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym__Nonnull] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_PROGMEM] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [aux_sym_primitive_type_token1] = ACTIONS(2955),
    [anon_sym_byte] = ACTIONS(2955),
    [anon_sym_word] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [anon_sym___asm] = ACTIONS(2955),
    [aux_sym_number_literal_token1] = ACTIONS(2957),
    [aux_sym_number_literal_token2] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [anon_sym___asm] = ACTIONS(2959),
    [aux_sym_number_literal_token1] = ACTIONS(2961),
    [aux_sym_number_literal_token2] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [309] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3749),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [aux_sym_preproc_else_token1] = ACTIONS(2976),
    [aux_sym_preproc_elif_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [312] = {
    [sym_catch_clause] = STATE(334),
    [aux_sym_constructor_try_statement_repeat1] = STATE(334),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [313] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4757),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8557),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_include_token1] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token2] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [aux_sym_preproc_else_token1] = ACTIONS(2986),
    [aux_sym_preproc_elif_token1] = ACTIONS(2986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym___cdecl] = ACTIONS(2986),
    [anon_sym___clrcall] = ACTIONS(2986),
    [anon_sym___stdcall] = ACTIONS(2986),
    [anon_sym___fastcall] = ACTIONS(2986),
    [anon_sym___thiscall] = ACTIONS(2986),
    [anon_sym___vectorcall] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2986),
    [anon_sym_case] = ACTIONS(2986),
    [anon_sym_default] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_for] = ACTIONS(2986),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_break] = ACTIONS(2986),
    [anon_sym_continue] = ACTIONS(2986),
    [anon_sym_goto] = ACTIONS(2986),
    [anon_sym___try] = ACTIONS(2986),
    [anon_sym___leave] = ACTIONS(2986),
    [anon_sym_not] = ACTIONS(2986),
    [anon_sym_compl] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_sizeof] = ACTIONS(2986),
    [anon_sym___alignof__] = ACTIONS(2986),
    [anon_sym___alignof] = ACTIONS(2986),
    [anon_sym__alignof] = ACTIONS(2986),
    [anon_sym_alignof] = ACTIONS(2986),
    [anon_sym__Alignof] = ACTIONS(2986),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2986),
    [anon_sym_asm] = ACTIONS(2986),
    [anon_sym___asm__] = ACTIONS(2986),
    [anon_sym___asm] = ACTIONS(2986),
    [aux_sym_number_literal_token1] = ACTIONS(2988),
    [aux_sym_number_literal_token2] = ACTIONS(2986),
    [anon_sym_L_SQUOTE] = ACTIONS(2988),
    [anon_sym_u_SQUOTE] = ACTIONS(2988),
    [anon_sym_U_SQUOTE] = ACTIONS(2988),
    [anon_sym_u8_SQUOTE] = ACTIONS(2988),
    [anon_sym_SQUOTE] = ACTIONS(2988),
    [anon_sym_L_DQUOTE] = ACTIONS(2988),
    [anon_sym_u_DQUOTE] = ACTIONS(2988),
    [anon_sym_U_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8_DQUOTE] = ACTIONS(2988),
    [anon_sym_DQUOTE] = ACTIONS(2988),
    [sym_true] = ACTIONS(2986),
    [sym_false] = ACTIONS(2986),
    [anon_sym_NULL] = ACTIONS(2986),
    [anon_sym_nullptr] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_try] = ACTIONS(2986),
    [anon_sym_delete] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2986),
    [anon_sym_namespace] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
    [anon_sym_concept] = ACTIONS(2986),
    [anon_sym_co_return] = ACTIONS(2986),
    [anon_sym_co_yield] = ACTIONS(2986),
    [anon_sym_R_DQUOTE] = ACTIONS(2988),
    [anon_sym_LR_DQUOTE] = ACTIONS(2988),
    [anon_sym_uR_DQUOTE] = ACTIONS(2988),
    [anon_sym_UR_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2988),
    [anon_sym_co_await] = ACTIONS(2986),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_requires] = ACTIONS(2986),
    [sym_this] = ACTIONS(2986),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2990),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2990),
    [aux_sym_preproc_else_token1] = ACTIONS(2990),
    [aux_sym_preproc_elif_token1] = ACTIONS(2990),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2990),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2990),
    [sym_preproc_directive] = ACTIONS(2990),
    [anon_sym_LPAREN2] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2990),
    [anon_sym_typedef] = ACTIONS(2990),
    [anon_sym_virtual] = ACTIONS(2990),
    [anon_sym_extern] = ACTIONS(2990),
    [anon_sym___attribute__] = ACTIONS(2990),
    [anon_sym___attribute] = ACTIONS(2990),
    [anon_sym_COLON_COLON] = ACTIONS(2992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2992),
    [anon_sym___declspec] = ACTIONS(2990),
    [anon_sym___based] = ACTIONS(2990),
    [anon_sym___cdecl] = ACTIONS(2990),
    [anon_sym___clrcall] = ACTIONS(2990),
    [anon_sym___stdcall] = ACTIONS(2990),
    [anon_sym___fastcall] = ACTIONS(2990),
    [anon_sym___thiscall] = ACTIONS(2990),
    [anon_sym___vectorcall] = ACTIONS(2990),
    [anon_sym_LBRACE] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2990),
    [anon_sym_unsigned] = ACTIONS(2990),
    [anon_sym_long] = ACTIONS(2990),
    [anon_sym_short] = ACTIONS(2990),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2990),
    [anon_sym_register] = ACTIONS(2990),
    [anon_sym_inline] = ACTIONS(2990),
    [anon_sym___inline] = ACTIONS(2990),
    [anon_sym___inline__] = ACTIONS(2990),
    [anon_sym___forceinline] = ACTIONS(2990),
    [anon_sym_thread_local] = ACTIONS(2990),
    [anon_sym___thread] = ACTIONS(2990),
    [anon_sym_const] = ACTIONS(2990),
    [anon_sym_constexpr] = ACTIONS(2990),
    [anon_sym_volatile] = ACTIONS(2990),
    [anon_sym_restrict] = ACTIONS(2990),
    [anon_sym___restrict__] = ACTIONS(2990),
    [anon_sym__Atomic] = ACTIONS(2990),
    [anon_sym__Noreturn] = ACTIONS(2990),
    [anon_sym_noreturn] = ACTIONS(2990),
    [anon_sym__Nonnull] = ACTIONS(2990),
    [anon_sym_mutable] = ACTIONS(2990),
    [anon_sym_constinit] = ACTIONS(2990),
    [anon_sym_consteval] = ACTIONS(2990),
    [anon_sym_PROGMEM] = ACTIONS(2990),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [aux_sym_primitive_type_token1] = ACTIONS(2990),
    [anon_sym_byte] = ACTIONS(2990),
    [anon_sym_word] = ACTIONS(2990),
    [anon_sym_enum] = ACTIONS(2990),
    [anon_sym_class] = ACTIONS(2990),
    [anon_sym_struct] = ACTIONS(2990),
    [anon_sym_union] = ACTIONS(2990),
    [anon_sym_if] = ACTIONS(2990),
    [anon_sym_switch] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2990),
    [anon_sym_default] = ACTIONS(2990),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2990),
    [anon_sym_return] = ACTIONS(2990),
    [anon_sym_break] = ACTIONS(2990),
    [anon_sym_continue] = ACTIONS(2990),
    [anon_sym_goto] = ACTIONS(2990),
    [anon_sym___try] = ACTIONS(2990),
    [anon_sym___leave] = ACTIONS(2990),
    [anon_sym_not] = ACTIONS(2990),
    [anon_sym_compl] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_sizeof] = ACTIONS(2990),
    [anon_sym___alignof__] = ACTIONS(2990),
    [anon_sym___alignof] = ACTIONS(2990),
    [anon_sym__alignof] = ACTIONS(2990),
    [anon_sym_alignof] = ACTIONS(2990),
    [anon_sym__Alignof] = ACTIONS(2990),
    [anon_sym_offsetof] = ACTIONS(2990),
    [anon_sym__Generic] = ACTIONS(2990),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [anon_sym___asm] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2990),
    [anon_sym_L_SQUOTE] = ACTIONS(2992),
    [anon_sym_u_SQUOTE] = ACTIONS(2992),
    [anon_sym_U_SQUOTE] = ACTIONS(2992),
    [anon_sym_u8_SQUOTE] = ACTIONS(2992),
    [anon_sym_SQUOTE] = ACTIONS(2992),
    [anon_sym_L_DQUOTE] = ACTIONS(2992),
    [anon_sym_u_DQUOTE] = ACTIONS(2992),
    [anon_sym_U_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8_DQUOTE] = ACTIONS(2992),
    [anon_sym_DQUOTE] = ACTIONS(2992),
    [sym_true] = ACTIONS(2990),
    [sym_false] = ACTIONS(2990),
    [anon_sym_NULL] = ACTIONS(2990),
    [anon_sym_nullptr] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2990),
    [anon_sym_decltype] = ACTIONS(2990),
    [anon_sym_explicit] = ACTIONS(2990),
    [anon_sym_typename] = ACTIONS(2990),
    [anon_sym_template] = ACTIONS(2990),
    [anon_sym_operator] = ACTIONS(2990),
    [anon_sym_try] = ACTIONS(2990),
    [anon_sym_delete] = ACTIONS(2990),
    [anon_sym_throw] = ACTIONS(2990),
    [anon_sym_namespace] = ACTIONS(2990),
    [anon_sym_using] = ACTIONS(2990),
    [anon_sym_static_assert] = ACTIONS(2990),
    [anon_sym_concept] = ACTIONS(2990),
    [anon_sym_co_return] = ACTIONS(2990),
    [anon_sym_co_yield] = ACTIONS(2990),
    [anon_sym_R_DQUOTE] = ACTIONS(2992),
    [anon_sym_LR_DQUOTE] = ACTIONS(2992),
    [anon_sym_uR_DQUOTE] = ACTIONS(2992),
    [anon_sym_UR_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2992),
    [anon_sym_co_await] = ACTIONS(2990),
    [anon_sym_new] = ACTIONS(2990),
    [anon_sym_requires] = ACTIONS(2990),
    [sym_this] = ACTIONS(2990),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2994),
    [aux_sym_preproc_include_token1] = ACTIONS(2994),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token2] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [aux_sym_preproc_else_token1] = ACTIONS(2994),
    [aux_sym_preproc_elif_token1] = ACTIONS(2994),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2994),
    [sym_preproc_directive] = ACTIONS(2994),
    [anon_sym_LPAREN2] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2994),
    [anon_sym_virtual] = ACTIONS(2994),
    [anon_sym_extern] = ACTIONS(2994),
    [anon_sym___attribute__] = ACTIONS(2994),
    [anon_sym___attribute] = ACTIONS(2994),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2996),
    [anon_sym___declspec] = ACTIONS(2994),
    [anon_sym___based] = ACTIONS(2994),
    [anon_sym___cdecl] = ACTIONS(2994),
    [anon_sym___clrcall] = ACTIONS(2994),
    [anon_sym___stdcall] = ACTIONS(2994),
    [anon_sym___fastcall] = ACTIONS(2994),
    [anon_sym___thiscall] = ACTIONS(2994),
    [anon_sym___vectorcall] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2994),
    [anon_sym_unsigned] = ACTIONS(2994),
    [anon_sym_long] = ACTIONS(2994),
    [anon_sym_short] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2994),
    [anon_sym_register] = ACTIONS(2994),
    [anon_sym_inline] = ACTIONS(2994),
    [anon_sym___inline] = ACTIONS(2994),
    [anon_sym___inline__] = ACTIONS(2994),
    [anon_sym___forceinline] = ACTIONS(2994),
    [anon_sym_thread_local] = ACTIONS(2994),
    [anon_sym___thread] = ACTIONS(2994),
    [anon_sym_const] = ACTIONS(2994),
    [anon_sym_constexpr] = ACTIONS(2994),
    [anon_sym_volatile] = ACTIONS(2994),
    [anon_sym_restrict] = ACTIONS(2994),
    [anon_sym___restrict__] = ACTIONS(2994),
    [anon_sym__Atomic] = ACTIONS(2994),
    [anon_sym__Noreturn] = ACTIONS(2994),
    [anon_sym_noreturn] = ACTIONS(2994),
    [anon_sym__Nonnull] = ACTIONS(2994),
    [anon_sym_mutable] = ACTIONS(2994),
    [anon_sym_constinit] = ACTIONS(2994),
    [anon_sym_consteval] = ACTIONS(2994),
    [anon_sym_PROGMEM] = ACTIONS(2994),
    [anon_sym_alignas] = ACTIONS(2994),
    [anon_sym__Alignas] = ACTIONS(2994),
    [aux_sym_primitive_type_token1] = ACTIONS(2994),
    [anon_sym_byte] = ACTIONS(2994),
    [anon_sym_word] = ACTIONS(2994),
    [anon_sym_enum] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_struct] = ACTIONS(2994),
    [anon_sym_union] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_switch] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_default] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_continue] = ACTIONS(2994),
    [anon_sym_goto] = ACTIONS(2994),
    [anon_sym___try] = ACTIONS(2994),
    [anon_sym___leave] = ACTIONS(2994),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_compl] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_sizeof] = ACTIONS(2994),
    [anon_sym___alignof__] = ACTIONS(2994),
    [anon_sym___alignof] = ACTIONS(2994),
    [anon_sym__alignof] = ACTIONS(2994),
    [anon_sym_alignof] = ACTIONS(2994),
    [anon_sym__Alignof] = ACTIONS(2994),
    [anon_sym_offsetof] = ACTIONS(2994),
    [anon_sym__Generic] = ACTIONS(2994),
    [anon_sym_asm] = ACTIONS(2994),
    [anon_sym___asm__] = ACTIONS(2994),
    [anon_sym___asm] = ACTIONS(2994),
    [aux_sym_number_literal_token1] = ACTIONS(2996),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2996),
    [anon_sym_u_DQUOTE] = ACTIONS(2996),
    [anon_sym_U_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8_DQUOTE] = ACTIONS(2996),
    [anon_sym_DQUOTE] = ACTIONS(2996),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [anon_sym_NULL] = ACTIONS(2994),
    [anon_sym_nullptr] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2994),
    [anon_sym_decltype] = ACTIONS(2994),
    [anon_sym_explicit] = ACTIONS(2994),
    [anon_sym_typename] = ACTIONS(2994),
    [anon_sym_template] = ACTIONS(2994),
    [anon_sym_operator] = ACTIONS(2994),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_delete] = ACTIONS(2994),
    [anon_sym_throw] = ACTIONS(2994),
    [anon_sym_namespace] = ACTIONS(2994),
    [anon_sym_using] = ACTIONS(2994),
    [anon_sym_static_assert] = ACTIONS(2994),
    [anon_sym_concept] = ACTIONS(2994),
    [anon_sym_co_return] = ACTIONS(2994),
    [anon_sym_co_yield] = ACTIONS(2994),
    [anon_sym_R_DQUOTE] = ACTIONS(2996),
    [anon_sym_LR_DQUOTE] = ACTIONS(2996),
    [anon_sym_uR_DQUOTE] = ACTIONS(2996),
    [anon_sym_UR_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2996),
    [anon_sym_co_await] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(2994),
    [anon_sym_requires] = ACTIONS(2994),
    [sym_this] = ACTIONS(2994),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [aux_sym_number_literal_token1] = ACTIONS(3000),
    [aux_sym_number_literal_token2] = ACTIONS(2998),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [318] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_include_token1] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token2] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [aux_sym_preproc_else_token1] = ACTIONS(3002),
    [aux_sym_preproc_elif_token1] = ACTIONS(3002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym___cdecl] = ACTIONS(3002),
    [anon_sym___clrcall] = ACTIONS(3002),
    [anon_sym___stdcall] = ACTIONS(3002),
    [anon_sym___fastcall] = ACTIONS(3002),
    [anon_sym___thiscall] = ACTIONS(3002),
    [anon_sym___vectorcall] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_switch] = ACTIONS(3002),
    [anon_sym_case] = ACTIONS(3002),
    [anon_sym_default] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(3002),
    [anon_sym_for] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_break] = ACTIONS(3002),
    [anon_sym_continue] = ACTIONS(3002),
    [anon_sym_goto] = ACTIONS(3002),
    [anon_sym___try] = ACTIONS(3002),
    [anon_sym___leave] = ACTIONS(3002),
    [anon_sym_not] = ACTIONS(3002),
    [anon_sym_compl] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_sizeof] = ACTIONS(3002),
    [anon_sym___alignof__] = ACTIONS(3002),
    [anon_sym___alignof] = ACTIONS(3002),
    [anon_sym__alignof] = ACTIONS(3002),
    [anon_sym_alignof] = ACTIONS(3002),
    [anon_sym__Alignof] = ACTIONS(3002),
    [anon_sym_offsetof] = ACTIONS(3002),
    [anon_sym__Generic] = ACTIONS(3002),
    [anon_sym_asm] = ACTIONS(3002),
    [anon_sym___asm__] = ACTIONS(3002),
    [anon_sym___asm] = ACTIONS(3002),
    [aux_sym_number_literal_token1] = ACTIONS(3004),
    [aux_sym_number_literal_token2] = ACTIONS(3002),
    [anon_sym_L_SQUOTE] = ACTIONS(3004),
    [anon_sym_u_SQUOTE] = ACTIONS(3004),
    [anon_sym_U_SQUOTE] = ACTIONS(3004),
    [anon_sym_u8_SQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [anon_sym_L_DQUOTE] = ACTIONS(3004),
    [anon_sym_u_DQUOTE] = ACTIONS(3004),
    [anon_sym_U_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8_DQUOTE] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3004),
    [sym_true] = ACTIONS(3002),
    [sym_false] = ACTIONS(3002),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_delete] = ACTIONS(3002),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
    [anon_sym_concept] = ACTIONS(3002),
    [anon_sym_co_return] = ACTIONS(3002),
    [anon_sym_co_yield] = ACTIONS(3002),
    [anon_sym_R_DQUOTE] = ACTIONS(3004),
    [anon_sym_LR_DQUOTE] = ACTIONS(3004),
    [anon_sym_uR_DQUOTE] = ACTIONS(3004),
    [anon_sym_UR_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3004),
    [anon_sym_co_await] = ACTIONS(3002),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_requires] = ACTIONS(3002),
    [sym_this] = ACTIONS(3002),
  },
  [319] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_include_token1] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token2] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [aux_sym_preproc_else_token1] = ACTIONS(3006),
    [aux_sym_preproc_elif_token1] = ACTIONS(3006),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym___cdecl] = ACTIONS(3006),
    [anon_sym___clrcall] = ACTIONS(3006),
    [anon_sym___stdcall] = ACTIONS(3006),
    [anon_sym___fastcall] = ACTIONS(3006),
    [anon_sym___thiscall] = ACTIONS(3006),
    [anon_sym___vectorcall] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_switch] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_default] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_do] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_continue] = ACTIONS(3006),
    [anon_sym_goto] = ACTIONS(3006),
    [anon_sym___try] = ACTIONS(3006),
    [anon_sym___leave] = ACTIONS(3006),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_compl] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_sizeof] = ACTIONS(3006),
    [anon_sym___alignof__] = ACTIONS(3006),
    [anon_sym___alignof] = ACTIONS(3006),
    [anon_sym__alignof] = ACTIONS(3006),
    [anon_sym_alignof] = ACTIONS(3006),
    [anon_sym__Alignof] = ACTIONS(3006),
    [anon_sym_offsetof] = ACTIONS(3006),
    [anon_sym__Generic] = ACTIONS(3006),
    [anon_sym_asm] = ACTIONS(3006),
    [anon_sym___asm__] = ACTIONS(3006),
    [anon_sym___asm] = ACTIONS(3006),
    [aux_sym_number_literal_token1] = ACTIONS(3008),
    [aux_sym_number_literal_token2] = ACTIONS(3006),
    [anon_sym_L_SQUOTE] = ACTIONS(3008),
    [anon_sym_u_SQUOTE] = ACTIONS(3008),
    [anon_sym_U_SQUOTE] = ACTIONS(3008),
    [anon_sym_u8_SQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [anon_sym_L_DQUOTE] = ACTIONS(3008),
    [anon_sym_u_DQUOTE] = ACTIONS(3008),
    [anon_sym_U_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8_DQUOTE] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [anon_sym_NULL] = ACTIONS(3006),
    [anon_sym_nullptr] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_try] = ACTIONS(3006),
    [anon_sym_delete] = ACTIONS(3006),
    [anon_sym_throw] = ACTIONS(3006),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
    [anon_sym_concept] = ACTIONS(3006),
    [anon_sym_co_return] = ACTIONS(3006),
    [anon_sym_co_yield] = ACTIONS(3006),
    [anon_sym_R_DQUOTE] = ACTIONS(3008),
    [anon_sym_LR_DQUOTE] = ACTIONS(3008),
    [anon_sym_uR_DQUOTE] = ACTIONS(3008),
    [anon_sym_UR_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3008),
    [anon_sym_co_await] = ACTIONS(3006),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_requires] = ACTIONS(3006),
    [sym_this] = ACTIONS(3006),
  },
  [320] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_include_token1] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token2] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [aux_sym_preproc_else_token1] = ACTIONS(3010),
    [aux_sym_preproc_elif_token1] = ACTIONS(3010),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym___cdecl] = ACTIONS(3010),
    [anon_sym___clrcall] = ACTIONS(3010),
    [anon_sym___stdcall] = ACTIONS(3010),
    [anon_sym___fastcall] = ACTIONS(3010),
    [anon_sym___thiscall] = ACTIONS(3010),
    [anon_sym___vectorcall] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_switch] = ACTIONS(3010),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_default] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_do] = ACTIONS(3010),
    [anon_sym_for] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_break] = ACTIONS(3010),
    [anon_sym_continue] = ACTIONS(3010),
    [anon_sym_goto] = ACTIONS(3010),
    [anon_sym___try] = ACTIONS(3010),
    [anon_sym___leave] = ACTIONS(3010),
    [anon_sym_not] = ACTIONS(3010),
    [anon_sym_compl] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_sizeof] = ACTIONS(3010),
    [anon_sym___alignof__] = ACTIONS(3010),
    [anon_sym___alignof] = ACTIONS(3010),
    [anon_sym__alignof] = ACTIONS(3010),
    [anon_sym_alignof] = ACTIONS(3010),
    [anon_sym__Alignof] = ACTIONS(3010),
    [anon_sym_offsetof] = ACTIONS(3010),
    [anon_sym__Generic] = ACTIONS(3010),
    [anon_sym_asm] = ACTIONS(3010),
    [anon_sym___asm__] = ACTIONS(3010),
    [anon_sym___asm] = ACTIONS(3010),
    [aux_sym_number_literal_token1] = ACTIONS(3012),
    [aux_sym_number_literal_token2] = ACTIONS(3010),
    [anon_sym_L_SQUOTE] = ACTIONS(3012),
    [anon_sym_u_SQUOTE] = ACTIONS(3012),
    [anon_sym_U_SQUOTE] = ACTIONS(3012),
    [anon_sym_u8_SQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [anon_sym_L_DQUOTE] = ACTIONS(3012),
    [anon_sym_u_DQUOTE] = ACTIONS(3012),
    [anon_sym_U_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8_DQUOTE] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [sym_true] = ACTIONS(3010),
    [sym_false] = ACTIONS(3010),
    [anon_sym_NULL] = ACTIONS(3010),
    [anon_sym_nullptr] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_delete] = ACTIONS(3010),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
    [anon_sym_concept] = ACTIONS(3010),
    [anon_sym_co_return] = ACTIONS(3010),
    [anon_sym_co_yield] = ACTIONS(3010),
    [anon_sym_R_DQUOTE] = ACTIONS(3012),
    [anon_sym_LR_DQUOTE] = ACTIONS(3012),
    [anon_sym_uR_DQUOTE] = ACTIONS(3012),
    [anon_sym_UR_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3012),
    [anon_sym_co_await] = ACTIONS(3010),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_requires] = ACTIONS(3010),
    [sym_this] = ACTIONS(3010),
  },
  [321] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_include_token1] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token2] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [aux_sym_preproc_else_token1] = ACTIONS(3014),
    [aux_sym_preproc_elif_token1] = ACTIONS(3014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym___cdecl] = ACTIONS(3014),
    [anon_sym___clrcall] = ACTIONS(3014),
    [anon_sym___stdcall] = ACTIONS(3014),
    [anon_sym___fastcall] = ACTIONS(3014),
    [anon_sym___thiscall] = ACTIONS(3014),
    [anon_sym___vectorcall] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_switch] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_default] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_do] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_continue] = ACTIONS(3014),
    [anon_sym_goto] = ACTIONS(3014),
    [anon_sym___try] = ACTIONS(3014),
    [anon_sym___leave] = ACTIONS(3014),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_compl] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_sizeof] = ACTIONS(3014),
    [anon_sym___alignof__] = ACTIONS(3014),
    [anon_sym___alignof] = ACTIONS(3014),
    [anon_sym__alignof] = ACTIONS(3014),
    [anon_sym_alignof] = ACTIONS(3014),
    [anon_sym__Alignof] = ACTIONS(3014),
    [anon_sym_offsetof] = ACTIONS(3014),
    [anon_sym__Generic] = ACTIONS(3014),
    [anon_sym_asm] = ACTIONS(3014),
    [anon_sym___asm__] = ACTIONS(3014),
    [anon_sym___asm] = ACTIONS(3014),
    [aux_sym_number_literal_token1] = ACTIONS(3016),
    [aux_sym_number_literal_token2] = ACTIONS(3014),
    [anon_sym_L_SQUOTE] = ACTIONS(3016),
    [anon_sym_u_SQUOTE] = ACTIONS(3016),
    [anon_sym_U_SQUOTE] = ACTIONS(3016),
    [anon_sym_u8_SQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_L_DQUOTE] = ACTIONS(3016),
    [anon_sym_u_DQUOTE] = ACTIONS(3016),
    [anon_sym_U_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8_DQUOTE] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [anon_sym_NULL] = ACTIONS(3014),
    [anon_sym_nullptr] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_delete] = ACTIONS(3014),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
    [anon_sym_concept] = ACTIONS(3014),
    [anon_sym_co_return] = ACTIONS(3014),
    [anon_sym_co_yield] = ACTIONS(3014),
    [anon_sym_R_DQUOTE] = ACTIONS(3016),
    [anon_sym_LR_DQUOTE] = ACTIONS(3016),
    [anon_sym_uR_DQUOTE] = ACTIONS(3016),
    [anon_sym_UR_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3016),
    [anon_sym_co_await] = ACTIONS(3014),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_requires] = ACTIONS(3014),
    [sym_this] = ACTIONS(3014),
  },
  [322] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_include_token1] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token2] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [aux_sym_preproc_else_token1] = ACTIONS(3018),
    [aux_sym_preproc_elif_token1] = ACTIONS(3018),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym___cdecl] = ACTIONS(3018),
    [anon_sym___clrcall] = ACTIONS(3018),
    [anon_sym___stdcall] = ACTIONS(3018),
    [anon_sym___fastcall] = ACTIONS(3018),
    [anon_sym___thiscall] = ACTIONS(3018),
    [anon_sym___vectorcall] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_goto] = ACTIONS(3018),
    [anon_sym___try] = ACTIONS(3018),
    [anon_sym___leave] = ACTIONS(3018),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_compl] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_sizeof] = ACTIONS(3018),
    [anon_sym___alignof__] = ACTIONS(3018),
    [anon_sym___alignof] = ACTIONS(3018),
    [anon_sym__alignof] = ACTIONS(3018),
    [anon_sym_alignof] = ACTIONS(3018),
    [anon_sym__Alignof] = ACTIONS(3018),
    [anon_sym_offsetof] = ACTIONS(3018),
    [anon_sym__Generic] = ACTIONS(3018),
    [anon_sym_asm] = ACTIONS(3018),
    [anon_sym___asm__] = ACTIONS(3018),
    [anon_sym___asm] = ACTIONS(3018),
    [aux_sym_number_literal_token1] = ACTIONS(3020),
    [aux_sym_number_literal_token2] = ACTIONS(3018),
    [anon_sym_L_SQUOTE] = ACTIONS(3020),
    [anon_sym_u_SQUOTE] = ACTIONS(3020),
    [anon_sym_U_SQUOTE] = ACTIONS(3020),
    [anon_sym_u8_SQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [anon_sym_L_DQUOTE] = ACTIONS(3020),
    [anon_sym_u_DQUOTE] = ACTIONS(3020),
    [anon_sym_U_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8_DQUOTE] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3020),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [anon_sym_NULL] = ACTIONS(3018),
    [anon_sym_nullptr] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_concept] = ACTIONS(3018),
    [anon_sym_co_return] = ACTIONS(3018),
    [anon_sym_co_yield] = ACTIONS(3018),
    [anon_sym_R_DQUOTE] = ACTIONS(3020),
    [anon_sym_LR_DQUOTE] = ACTIONS(3020),
    [anon_sym_uR_DQUOTE] = ACTIONS(3020),
    [anon_sym_UR_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3020),
    [anon_sym_co_await] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
  },
  [323] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3022),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [325] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [327] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3029),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [aux_sym_number_literal_token1] = ACTIONS(3031),
    [aux_sym_number_literal_token2] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [328] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4742),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8222),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [aux_sym_preproc_else_token1] = ACTIONS(3033),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [aux_sym_number_literal_token1] = ACTIONS(3035),
    [aux_sym_number_literal_token2] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [aux_sym_number_literal_token1] = ACTIONS(3043),
    [aux_sym_number_literal_token2] = ACTIONS(3041),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [333] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_PROGMEM] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [aux_sym_primitive_type_token1] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_word] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [aux_sym_number_literal_token1] = ACTIONS(3047),
    [aux_sym_number_literal_token2] = ACTIONS(3045),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [334] = {
    [sym_catch_clause] = STATE(334),
    [aux_sym_constructor_try_statement_repeat1] = STATE(334),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3049),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [336] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [aux_sym_preproc_else_token1] = ACTIONS(3056),
    [aux_sym_preproc_elif_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [337] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [338] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4735),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8279),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [339] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4763),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8309),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [340] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4761),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8291),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [341] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4755),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8246),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [342] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4638),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(7819),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [343] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4749),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8119),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [344] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [aux_sym_preproc_else_token1] = ACTIONS(3068),
    [aux_sym_preproc_elif_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [348] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4733),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8048),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3091),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [anon_sym___asm] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_include_token1] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token2] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [aux_sym_preproc_else_token1] = ACTIONS(3098),
    [aux_sym_preproc_elif_token1] = ACTIONS(3098),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym___cdecl] = ACTIONS(3098),
    [anon_sym___clrcall] = ACTIONS(3098),
    [anon_sym___stdcall] = ACTIONS(3098),
    [anon_sym___fastcall] = ACTIONS(3098),
    [anon_sym___thiscall] = ACTIONS(3098),
    [anon_sym___vectorcall] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_goto] = ACTIONS(3098),
    [anon_sym___try] = ACTIONS(3098),
    [anon_sym___leave] = ACTIONS(3098),
    [anon_sym_not] = ACTIONS(3098),
    [anon_sym_compl] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_sizeof] = ACTIONS(3098),
    [anon_sym___alignof__] = ACTIONS(3098),
    [anon_sym___alignof] = ACTIONS(3098),
    [anon_sym__alignof] = ACTIONS(3098),
    [anon_sym_alignof] = ACTIONS(3098),
    [anon_sym__Alignof] = ACTIONS(3098),
    [anon_sym_offsetof] = ACTIONS(3098),
    [anon_sym__Generic] = ACTIONS(3098),
    [anon_sym_asm] = ACTIONS(3098),
    [anon_sym___asm__] = ACTIONS(3098),
    [anon_sym___asm] = ACTIONS(3098),
    [aux_sym_number_literal_token1] = ACTIONS(3100),
    [aux_sym_number_literal_token2] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3100),
    [anon_sym_u_SQUOTE] = ACTIONS(3100),
    [anon_sym_U_SQUOTE] = ACTIONS(3100),
    [anon_sym_u8_SQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_L_DQUOTE] = ACTIONS(3100),
    [anon_sym_u_DQUOTE] = ACTIONS(3100),
    [anon_sym_U_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8_DQUOTE] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [anon_sym_NULL] = ACTIONS(3098),
    [anon_sym_nullptr] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_namespace] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
    [anon_sym_concept] = ACTIONS(3098),
    [anon_sym_co_return] = ACTIONS(3098),
    [anon_sym_co_yield] = ACTIONS(3098),
    [anon_sym_R_DQUOTE] = ACTIONS(3100),
    [anon_sym_LR_DQUOTE] = ACTIONS(3100),
    [anon_sym_uR_DQUOTE] = ACTIONS(3100),
    [anon_sym_UR_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3100),
    [anon_sym_co_await] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_requires] = ACTIONS(3098),
    [sym_this] = ACTIONS(3098),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token2] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [aux_sym_preproc_else_token1] = ACTIONS(3102),
    [aux_sym_preproc_elif_token1] = ACTIONS(3102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym___attribute] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym__Nonnull] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [anon_sym_PROGMEM] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym__Alignas] = ACTIONS(3102),
    [aux_sym_primitive_type_token1] = ACTIONS(3102),
    [anon_sym_byte] = ACTIONS(3102),
    [anon_sym_word] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [anon_sym___asm] = ACTIONS(3102),
    [aux_sym_number_literal_token1] = ACTIONS(3104),
    [aux_sym_number_literal_token2] = ACTIONS(3102),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [356] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4661),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8135),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_include_token1] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [aux_sym_preproc_else_token1] = ACTIONS(3106),
    [aux_sym_preproc_elif_token1] = ACTIONS(3106),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym___cdecl] = ACTIONS(3106),
    [anon_sym___clrcall] = ACTIONS(3106),
    [anon_sym___stdcall] = ACTIONS(3106),
    [anon_sym___fastcall] = ACTIONS(3106),
    [anon_sym___thiscall] = ACTIONS(3106),
    [anon_sym___vectorcall] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_goto] = ACTIONS(3106),
    [anon_sym___try] = ACTIONS(3106),
    [anon_sym___leave] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_compl] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_sizeof] = ACTIONS(3106),
    [anon_sym___alignof__] = ACTIONS(3106),
    [anon_sym___alignof] = ACTIONS(3106),
    [anon_sym__alignof] = ACTIONS(3106),
    [anon_sym_alignof] = ACTIONS(3106),
    [anon_sym__Alignof] = ACTIONS(3106),
    [anon_sym_offsetof] = ACTIONS(3106),
    [anon_sym__Generic] = ACTIONS(3106),
    [anon_sym_asm] = ACTIONS(3106),
    [anon_sym___asm__] = ACTIONS(3106),
    [anon_sym___asm] = ACTIONS(3106),
    [aux_sym_number_literal_token1] = ACTIONS(3108),
    [aux_sym_number_literal_token2] = ACTIONS(3106),
    [anon_sym_L_SQUOTE] = ACTIONS(3108),
    [anon_sym_u_SQUOTE] = ACTIONS(3108),
    [anon_sym_U_SQUOTE] = ACTIONS(3108),
    [anon_sym_u8_SQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_L_DQUOTE] = ACTIONS(3108),
    [anon_sym_u_DQUOTE] = ACTIONS(3108),
    [anon_sym_U_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8_DQUOTE] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [anon_sym_NULL] = ACTIONS(3106),
    [anon_sym_nullptr] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
    [anon_sym_concept] = ACTIONS(3106),
    [anon_sym_co_return] = ACTIONS(3106),
    [anon_sym_co_yield] = ACTIONS(3106),
    [anon_sym_R_DQUOTE] = ACTIONS(3108),
    [anon_sym_LR_DQUOTE] = ACTIONS(3108),
    [anon_sym_uR_DQUOTE] = ACTIONS(3108),
    [anon_sym_UR_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3108),
    [anon_sym_co_await] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_requires] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3110),
    [aux_sym_preproc_include_token1] = ACTIONS(3110),
    [aux_sym_preproc_def_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token2] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3110),
    [aux_sym_preproc_else_token1] = ACTIONS(3110),
    [aux_sym_preproc_elif_token1] = ACTIONS(3110),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3110),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3110),
    [sym_preproc_directive] = ACTIONS(3110),
    [anon_sym_LPAREN2] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3110),
    [anon_sym_typedef] = ACTIONS(3110),
    [anon_sym_virtual] = ACTIONS(3110),
    [anon_sym_extern] = ACTIONS(3110),
    [anon_sym___attribute__] = ACTIONS(3110),
    [anon_sym___attribute] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3112),
    [anon_sym___declspec] = ACTIONS(3110),
    [anon_sym___based] = ACTIONS(3110),
    [anon_sym___cdecl] = ACTIONS(3110),
    [anon_sym___clrcall] = ACTIONS(3110),
    [anon_sym___stdcall] = ACTIONS(3110),
    [anon_sym___fastcall] = ACTIONS(3110),
    [anon_sym___thiscall] = ACTIONS(3110),
    [anon_sym___vectorcall] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3110),
    [anon_sym_unsigned] = ACTIONS(3110),
    [anon_sym_long] = ACTIONS(3110),
    [anon_sym_short] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_register] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym___inline] = ACTIONS(3110),
    [anon_sym___inline__] = ACTIONS(3110),
    [anon_sym___forceinline] = ACTIONS(3110),
    [anon_sym_thread_local] = ACTIONS(3110),
    [anon_sym___thread] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_constexpr] = ACTIONS(3110),
    [anon_sym_volatile] = ACTIONS(3110),
    [anon_sym_restrict] = ACTIONS(3110),
    [anon_sym___restrict__] = ACTIONS(3110),
    [anon_sym__Atomic] = ACTIONS(3110),
    [anon_sym__Noreturn] = ACTIONS(3110),
    [anon_sym_noreturn] = ACTIONS(3110),
    [anon_sym__Nonnull] = ACTIONS(3110),
    [anon_sym_mutable] = ACTIONS(3110),
    [anon_sym_constinit] = ACTIONS(3110),
    [anon_sym_consteval] = ACTIONS(3110),
    [anon_sym_PROGMEM] = ACTIONS(3110),
    [anon_sym_alignas] = ACTIONS(3110),
    [anon_sym__Alignas] = ACTIONS(3110),
    [aux_sym_primitive_type_token1] = ACTIONS(3110),
    [anon_sym_byte] = ACTIONS(3110),
    [anon_sym_word] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_struct] = ACTIONS(3110),
    [anon_sym_union] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_goto] = ACTIONS(3110),
    [anon_sym___try] = ACTIONS(3110),
    [anon_sym___leave] = ACTIONS(3110),
    [anon_sym_not] = ACTIONS(3110),
    [anon_sym_compl] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_sizeof] = ACTIONS(3110),
    [anon_sym___alignof__] = ACTIONS(3110),
    [anon_sym___alignof] = ACTIONS(3110),
    [anon_sym__alignof] = ACTIONS(3110),
    [anon_sym_alignof] = ACTIONS(3110),
    [anon_sym__Alignof] = ACTIONS(3110),
    [anon_sym_offsetof] = ACTIONS(3110),
    [anon_sym__Generic] = ACTIONS(3110),
    [anon_sym_asm] = ACTIONS(3110),
    [anon_sym___asm__] = ACTIONS(3110),
    [anon_sym___asm] = ACTIONS(3110),
    [aux_sym_number_literal_token1] = ACTIONS(3112),
    [aux_sym_number_literal_token2] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3112),
    [anon_sym_u_SQUOTE] = ACTIONS(3112),
    [anon_sym_U_SQUOTE] = ACTIONS(3112),
    [anon_sym_u8_SQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [anon_sym_L_DQUOTE] = ACTIONS(3112),
    [anon_sym_u_DQUOTE] = ACTIONS(3112),
    [anon_sym_U_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8_DQUOTE] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [anon_sym_NULL] = ACTIONS(3110),
    [anon_sym_nullptr] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3110),
    [anon_sym_decltype] = ACTIONS(3110),
    [anon_sym_explicit] = ACTIONS(3110),
    [anon_sym_typename] = ACTIONS(3110),
    [anon_sym_template] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_static_assert] = ACTIONS(3110),
    [anon_sym_concept] = ACTIONS(3110),
    [anon_sym_co_return] = ACTIONS(3110),
    [anon_sym_co_yield] = ACTIONS(3110),
    [anon_sym_R_DQUOTE] = ACTIONS(3112),
    [anon_sym_LR_DQUOTE] = ACTIONS(3112),
    [anon_sym_uR_DQUOTE] = ACTIONS(3112),
    [anon_sym_UR_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3112),
    [anon_sym_co_await] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_requires] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3114),
    [aux_sym_preproc_include_token1] = ACTIONS(3114),
    [aux_sym_preproc_def_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token2] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3114),
    [aux_sym_preproc_else_token1] = ACTIONS(3114),
    [aux_sym_preproc_elif_token1] = ACTIONS(3114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3114),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3114),
    [sym_preproc_directive] = ACTIONS(3114),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_BANG] = ACTIONS(3116),
    [anon_sym_TILDE] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym___extension__] = ACTIONS(3114),
    [anon_sym_typedef] = ACTIONS(3114),
    [anon_sym_virtual] = ACTIONS(3114),
    [anon_sym_extern] = ACTIONS(3114),
    [anon_sym___attribute__] = ACTIONS(3114),
    [anon_sym___attribute] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3116),
    [anon_sym___declspec] = ACTIONS(3114),
    [anon_sym___based] = ACTIONS(3114),
    [anon_sym___cdecl] = ACTIONS(3114),
    [anon_sym___clrcall] = ACTIONS(3114),
    [anon_sym___stdcall] = ACTIONS(3114),
    [anon_sym___fastcall] = ACTIONS(3114),
    [anon_sym___thiscall] = ACTIONS(3114),
    [anon_sym___vectorcall] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3114),
    [anon_sym_unsigned] = ACTIONS(3114),
    [anon_sym_long] = ACTIONS(3114),
    [anon_sym_short] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_register] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym___inline] = ACTIONS(3114),
    [anon_sym___inline__] = ACTIONS(3114),
    [anon_sym___forceinline] = ACTIONS(3114),
    [anon_sym_thread_local] = ACTIONS(3114),
    [anon_sym___thread] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_constexpr] = ACTIONS(3114),
    [anon_sym_volatile] = ACTIONS(3114),
    [anon_sym_restrict] = ACTIONS(3114),
    [anon_sym___restrict__] = ACTIONS(3114),
    [anon_sym__Atomic] = ACTIONS(3114),
    [anon_sym__Noreturn] = ACTIONS(3114),
    [anon_sym_noreturn] = ACTIONS(3114),
    [anon_sym__Nonnull] = ACTIONS(3114),
    [anon_sym_mutable] = ACTIONS(3114),
    [anon_sym_constinit] = ACTIONS(3114),
    [anon_sym_consteval] = ACTIONS(3114),
    [anon_sym_PROGMEM] = ACTIONS(3114),
    [anon_sym_alignas] = ACTIONS(3114),
    [anon_sym__Alignas] = ACTIONS(3114),
    [aux_sym_primitive_type_token1] = ACTIONS(3114),
    [anon_sym_byte] = ACTIONS(3114),
    [anon_sym_word] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3114),
    [anon_sym_union] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_goto] = ACTIONS(3114),
    [anon_sym___try] = ACTIONS(3114),
    [anon_sym___leave] = ACTIONS(3114),
    [anon_sym_not] = ACTIONS(3114),
    [anon_sym_compl] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_sizeof] = ACTIONS(3114),
    [anon_sym___alignof__] = ACTIONS(3114),
    [anon_sym___alignof] = ACTIONS(3114),
    [anon_sym__alignof] = ACTIONS(3114),
    [anon_sym_alignof] = ACTIONS(3114),
    [anon_sym__Alignof] = ACTIONS(3114),
    [anon_sym_offsetof] = ACTIONS(3114),
    [anon_sym__Generic] = ACTIONS(3114),
    [anon_sym_asm] = ACTIONS(3114),
    [anon_sym___asm__] = ACTIONS(3114),
    [anon_sym___asm] = ACTIONS(3114),
    [aux_sym_number_literal_token1] = ACTIONS(3116),
    [aux_sym_number_literal_token2] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3116),
    [anon_sym_u_SQUOTE] = ACTIONS(3116),
    [anon_sym_U_SQUOTE] = ACTIONS(3116),
    [anon_sym_u8_SQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [anon_sym_L_DQUOTE] = ACTIONS(3116),
    [anon_sym_u_DQUOTE] = ACTIONS(3116),
    [anon_sym_U_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8_DQUOTE] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3116),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [anon_sym_NULL] = ACTIONS(3114),
    [anon_sym_nullptr] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3114),
    [anon_sym_decltype] = ACTIONS(3114),
    [anon_sym_explicit] = ACTIONS(3114),
    [anon_sym_typename] = ACTIONS(3114),
    [anon_sym_template] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_static_assert] = ACTIONS(3114),
    [anon_sym_concept] = ACTIONS(3114),
    [anon_sym_co_return] = ACTIONS(3114),
    [anon_sym_co_yield] = ACTIONS(3114),
    [anon_sym_R_DQUOTE] = ACTIONS(3116),
    [anon_sym_LR_DQUOTE] = ACTIONS(3116),
    [anon_sym_uR_DQUOTE] = ACTIONS(3116),
    [anon_sym_UR_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3116),
    [anon_sym_co_await] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_requires] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3118),
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token2] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [aux_sym_preproc_else_token1] = ACTIONS(3118),
    [aux_sym_preproc_elif_token1] = ACTIONS(3118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3118),
    [anon_sym_typedef] = ACTIONS(3118),
    [anon_sym_virtual] = ACTIONS(3118),
    [anon_sym_extern] = ACTIONS(3118),
    [anon_sym___attribute__] = ACTIONS(3118),
    [anon_sym___attribute] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3120),
    [anon_sym___declspec] = ACTIONS(3118),
    [anon_sym___based] = ACTIONS(3118),
    [anon_sym___cdecl] = ACTIONS(3118),
    [anon_sym___clrcall] = ACTIONS(3118),
    [anon_sym___stdcall] = ACTIONS(3118),
    [anon_sym___fastcall] = ACTIONS(3118),
    [anon_sym___thiscall] = ACTIONS(3118),
    [anon_sym___vectorcall] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3118),
    [anon_sym_unsigned] = ACTIONS(3118),
    [anon_sym_long] = ACTIONS(3118),
    [anon_sym_short] = ACTIONS(3118),
    [anon_sym_LBRACK] = ACTIONS(3118),
    [anon_sym_static] = ACTIONS(3118),
    [anon_sym_register] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym___inline] = ACTIONS(3118),
    [anon_sym___inline__] = ACTIONS(3118),
    [anon_sym___forceinline] = ACTIONS(3118),
    [anon_sym_thread_local] = ACTIONS(3118),
    [anon_sym___thread] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_constexpr] = ACTIONS(3118),
    [anon_sym_volatile] = ACTIONS(3118),
    [anon_sym_restrict] = ACTIONS(3118),
    [anon_sym___restrict__] = ACTIONS(3118),
    [anon_sym__Atomic] = ACTIONS(3118),
    [anon_sym__Noreturn] = ACTIONS(3118),
    [anon_sym_noreturn] = ACTIONS(3118),
    [anon_sym__Nonnull] = ACTIONS(3118),
    [anon_sym_mutable] = ACTIONS(3118),
    [anon_sym_constinit] = ACTIONS(3118),
    [anon_sym_consteval] = ACTIONS(3118),
    [anon_sym_PROGMEM] = ACTIONS(3118),
    [anon_sym_alignas] = ACTIONS(3118),
    [anon_sym__Alignas] = ACTIONS(3118),
    [aux_sym_primitive_type_token1] = ACTIONS(3118),
    [anon_sym_byte] = ACTIONS(3118),
    [anon_sym_word] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_class] = ACTIONS(3118),
    [anon_sym_struct] = ACTIONS(3118),
    [anon_sym_union] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_switch] = ACTIONS(3118),
    [anon_sym_case] = ACTIONS(3118),
    [anon_sym_default] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_do] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_break] = ACTIONS(3118),
    [anon_sym_continue] = ACTIONS(3118),
    [anon_sym_goto] = ACTIONS(3118),
    [anon_sym___try] = ACTIONS(3118),
    [anon_sym___leave] = ACTIONS(3118),
    [anon_sym_not] = ACTIONS(3118),
    [anon_sym_compl] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_sizeof] = ACTIONS(3118),
    [anon_sym___alignof__] = ACTIONS(3118),
    [anon_sym___alignof] = ACTIONS(3118),
    [anon_sym__alignof] = ACTIONS(3118),
    [anon_sym_alignof] = ACTIONS(3118),
    [anon_sym__Alignof] = ACTIONS(3118),
    [anon_sym_offsetof] = ACTIONS(3118),
    [anon_sym__Generic] = ACTIONS(3118),
    [anon_sym_asm] = ACTIONS(3118),
    [anon_sym___asm__] = ACTIONS(3118),
    [anon_sym___asm] = ACTIONS(3118),
    [aux_sym_number_literal_token1] = ACTIONS(3120),
    [aux_sym_number_literal_token2] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3120),
    [anon_sym_u_SQUOTE] = ACTIONS(3120),
    [anon_sym_U_SQUOTE] = ACTIONS(3120),
    [anon_sym_u8_SQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [anon_sym_L_DQUOTE] = ACTIONS(3120),
    [anon_sym_u_DQUOTE] = ACTIONS(3120),
    [anon_sym_U_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8_DQUOTE] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [sym_true] = ACTIONS(3118),
    [sym_false] = ACTIONS(3118),
    [anon_sym_NULL] = ACTIONS(3118),
    [anon_sym_nullptr] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3118),
    [anon_sym_decltype] = ACTIONS(3118),
    [anon_sym_explicit] = ACTIONS(3118),
    [anon_sym_typename] = ACTIONS(3118),
    [anon_sym_template] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_delete] = ACTIONS(3118),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_namespace] = ACTIONS(3118),
    [anon_sym_using] = ACTIONS(3118),
    [anon_sym_static_assert] = ACTIONS(3118),
    [anon_sym_concept] = ACTIONS(3118),
    [anon_sym_co_return] = ACTIONS(3118),
    [anon_sym_co_yield] = ACTIONS(3118),
    [anon_sym_R_DQUOTE] = ACTIONS(3120),
    [anon_sym_LR_DQUOTE] = ACTIONS(3120),
    [anon_sym_uR_DQUOTE] = ACTIONS(3120),
    [anon_sym_UR_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3120),
    [anon_sym_co_await] = ACTIONS(3118),
    [anon_sym_new] = ACTIONS(3118),
    [anon_sym_requires] = ACTIONS(3118),
    [sym_this] = ACTIONS(3118),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [anon_sym___asm] = ACTIONS(3122),
    [aux_sym_number_literal_token1] = ACTIONS(3124),
    [aux_sym_number_literal_token2] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [anon_sym___asm] = ACTIONS(3126),
    [aux_sym_number_literal_token1] = ACTIONS(3128),
    [aux_sym_number_literal_token2] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [anon_sym___asm] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [aux_sym_number_literal_token1] = ACTIONS(3136),
    [aux_sym_number_literal_token2] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [aux_sym_number_literal_token1] = ACTIONS(3140),
    [aux_sym_number_literal_token2] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [aux_sym_number_literal_token1] = ACTIONS(3144),
    [aux_sym_number_literal_token2] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [368] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [aux_sym_number_literal_token1] = ACTIONS(3152),
    [aux_sym_number_literal_token2] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [aux_sym_number_literal_token1] = ACTIONS(3160),
    [aux_sym_number_literal_token2] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [373] = {
    [sym_catch_clause] = STATE(373),
    [aux_sym_constructor_try_statement_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3169),
    [aux_sym_preproc_include_token1] = ACTIONS(3169),
    [aux_sym_preproc_def_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token2] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3169),
    [aux_sym_preproc_else_token1] = ACTIONS(3169),
    [aux_sym_preproc_elif_token1] = ACTIONS(3169),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3169),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3169),
    [sym_preproc_directive] = ACTIONS(3169),
    [anon_sym_LPAREN2] = ACTIONS(3171),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym___extension__] = ACTIONS(3169),
    [anon_sym_typedef] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym___attribute__] = ACTIONS(3169),
    [anon_sym___attribute] = ACTIONS(3169),
    [anon_sym_COLON_COLON] = ACTIONS(3171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3171),
    [anon_sym___declspec] = ACTIONS(3169),
    [anon_sym___based] = ACTIONS(3169),
    [anon_sym___cdecl] = ACTIONS(3169),
    [anon_sym___clrcall] = ACTIONS(3169),
    [anon_sym___stdcall] = ACTIONS(3169),
    [anon_sym___fastcall] = ACTIONS(3169),
    [anon_sym___thiscall] = ACTIONS(3169),
    [anon_sym___vectorcall] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3169),
    [anon_sym_unsigned] = ACTIONS(3169),
    [anon_sym_long] = ACTIONS(3169),
    [anon_sym_short] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_register] = ACTIONS(3169),
    [anon_sym_inline] = ACTIONS(3169),
    [anon_sym___inline] = ACTIONS(3169),
    [anon_sym___inline__] = ACTIONS(3169),
    [anon_sym___forceinline] = ACTIONS(3169),
    [anon_sym_thread_local] = ACTIONS(3169),
    [anon_sym___thread] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_constexpr] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_restrict] = ACTIONS(3169),
    [anon_sym___restrict__] = ACTIONS(3169),
    [anon_sym__Atomic] = ACTIONS(3169),
    [anon_sym__Noreturn] = ACTIONS(3169),
    [anon_sym_noreturn] = ACTIONS(3169),
    [anon_sym__Nonnull] = ACTIONS(3169),
    [anon_sym_mutable] = ACTIONS(3169),
    [anon_sym_constinit] = ACTIONS(3169),
    [anon_sym_consteval] = ACTIONS(3169),
    [anon_sym_PROGMEM] = ACTIONS(3169),
    [anon_sym_alignas] = ACTIONS(3169),
    [anon_sym__Alignas] = ACTIONS(3169),
    [aux_sym_primitive_type_token1] = ACTIONS(3169),
    [anon_sym_byte] = ACTIONS(3169),
    [anon_sym_word] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_union] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_case] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym___try] = ACTIONS(3169),
    [anon_sym___leave] = ACTIONS(3169),
    [anon_sym_not] = ACTIONS(3169),
    [anon_sym_compl] = ACTIONS(3169),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym___alignof__] = ACTIONS(3169),
    [anon_sym___alignof] = ACTIONS(3169),
    [anon_sym__alignof] = ACTIONS(3169),
    [anon_sym_alignof] = ACTIONS(3169),
    [anon_sym__Alignof] = ACTIONS(3169),
    [anon_sym_offsetof] = ACTIONS(3169),
    [anon_sym__Generic] = ACTIONS(3169),
    [anon_sym_asm] = ACTIONS(3169),
    [anon_sym___asm__] = ACTIONS(3169),
    [anon_sym___asm] = ACTIONS(3169),
    [aux_sym_number_literal_token1] = ACTIONS(3171),
    [aux_sym_number_literal_token2] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3171),
    [anon_sym_u_SQUOTE] = ACTIONS(3171),
    [anon_sym_U_SQUOTE] = ACTIONS(3171),
    [anon_sym_u8_SQUOTE] = ACTIONS(3171),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_L_DQUOTE] = ACTIONS(3171),
    [anon_sym_u_DQUOTE] = ACTIONS(3171),
    [anon_sym_U_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8_DQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [sym_true] = ACTIONS(3169),
    [sym_false] = ACTIONS(3169),
    [anon_sym_NULL] = ACTIONS(3169),
    [anon_sym_nullptr] = ACTIONS(3169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3169),
    [anon_sym_decltype] = ACTIONS(3169),
    [anon_sym_explicit] = ACTIONS(3169),
    [anon_sym_typename] = ACTIONS(3169),
    [anon_sym_template] = ACTIONS(3169),
    [anon_sym_operator] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_delete] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_static_assert] = ACTIONS(3169),
    [anon_sym_concept] = ACTIONS(3169),
    [anon_sym_co_return] = ACTIONS(3169),
    [anon_sym_co_yield] = ACTIONS(3169),
    [anon_sym_R_DQUOTE] = ACTIONS(3171),
    [anon_sym_LR_DQUOTE] = ACTIONS(3171),
    [anon_sym_uR_DQUOTE] = ACTIONS(3171),
    [anon_sym_UR_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3171),
    [anon_sym_co_await] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_requires] = ACTIONS(3169),
    [sym_this] = ACTIONS(3169),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_include_token1] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token2] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [aux_sym_preproc_else_token1] = ACTIONS(3173),
    [aux_sym_preproc_elif_token1] = ACTIONS(3173),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym___cdecl] = ACTIONS(3173),
    [anon_sym___clrcall] = ACTIONS(3173),
    [anon_sym___stdcall] = ACTIONS(3173),
    [anon_sym___fastcall] = ACTIONS(3173),
    [anon_sym___thiscall] = ACTIONS(3173),
    [anon_sym___vectorcall] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym___try] = ACTIONS(3173),
    [anon_sym___leave] = ACTIONS(3173),
    [anon_sym_not] = ACTIONS(3173),
    [anon_sym_compl] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym___alignof__] = ACTIONS(3173),
    [anon_sym___alignof] = ACTIONS(3173),
    [anon_sym__alignof] = ACTIONS(3173),
    [anon_sym_alignof] = ACTIONS(3173),
    [anon_sym__Alignof] = ACTIONS(3173),
    [anon_sym_offsetof] = ACTIONS(3173),
    [anon_sym__Generic] = ACTIONS(3173),
    [anon_sym_asm] = ACTIONS(3173),
    [anon_sym___asm__] = ACTIONS(3173),
    [anon_sym___asm] = ACTIONS(3173),
    [aux_sym_number_literal_token1] = ACTIONS(3175),
    [aux_sym_number_literal_token2] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3175),
    [anon_sym_u_SQUOTE] = ACTIONS(3175),
    [anon_sym_U_SQUOTE] = ACTIONS(3175),
    [anon_sym_u8_SQUOTE] = ACTIONS(3175),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [anon_sym_L_DQUOTE] = ACTIONS(3175),
    [anon_sym_u_DQUOTE] = ACTIONS(3175),
    [anon_sym_U_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8_DQUOTE] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [anon_sym_NULL] = ACTIONS(3173),
    [anon_sym_nullptr] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
    [anon_sym_concept] = ACTIONS(3173),
    [anon_sym_co_return] = ACTIONS(3173),
    [anon_sym_co_yield] = ACTIONS(3173),
    [anon_sym_R_DQUOTE] = ACTIONS(3175),
    [anon_sym_LR_DQUOTE] = ACTIONS(3175),
    [anon_sym_uR_DQUOTE] = ACTIONS(3175),
    [anon_sym_UR_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3175),
    [anon_sym_co_await] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_requires] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_include_token1] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token2] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [aux_sym_preproc_else_token1] = ACTIONS(3177),
    [aux_sym_preproc_elif_token1] = ACTIONS(3177),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym___cdecl] = ACTIONS(3177),
    [anon_sym___clrcall] = ACTIONS(3177),
    [anon_sym___stdcall] = ACTIONS(3177),
    [anon_sym___fastcall] = ACTIONS(3177),
    [anon_sym___thiscall] = ACTIONS(3177),
    [anon_sym___vectorcall] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym___try] = ACTIONS(3177),
    [anon_sym___leave] = ACTIONS(3177),
    [anon_sym_not] = ACTIONS(3177),
    [anon_sym_compl] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym___alignof__] = ACTIONS(3177),
    [anon_sym___alignof] = ACTIONS(3177),
    [anon_sym__alignof] = ACTIONS(3177),
    [anon_sym_alignof] = ACTIONS(3177),
    [anon_sym__Alignof] = ACTIONS(3177),
    [anon_sym_offsetof] = ACTIONS(3177),
    [anon_sym__Generic] = ACTIONS(3177),
    [anon_sym_asm] = ACTIONS(3177),
    [anon_sym___asm__] = ACTIONS(3177),
    [anon_sym___asm] = ACTIONS(3177),
    [aux_sym_number_literal_token1] = ACTIONS(3179),
    [aux_sym_number_literal_token2] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3179),
    [anon_sym_u_SQUOTE] = ACTIONS(3179),
    [anon_sym_U_SQUOTE] = ACTIONS(3179),
    [anon_sym_u8_SQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_L_DQUOTE] = ACTIONS(3179),
    [anon_sym_u_DQUOTE] = ACTIONS(3179),
    [anon_sym_U_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8_DQUOTE] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [anon_sym_NULL] = ACTIONS(3177),
    [anon_sym_nullptr] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
    [anon_sym_concept] = ACTIONS(3177),
    [anon_sym_co_return] = ACTIONS(3177),
    [anon_sym_co_yield] = ACTIONS(3177),
    [anon_sym_R_DQUOTE] = ACTIONS(3179),
    [anon_sym_LR_DQUOTE] = ACTIONS(3179),
    [anon_sym_uR_DQUOTE] = ACTIONS(3179),
    [anon_sym_UR_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3179),
    [anon_sym_co_await] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_requires] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token2] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [aux_sym_preproc_else_token1] = ACTIONS(3181),
    [aux_sym_preproc_elif_token1] = ACTIONS(3181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym___attribute] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym__Nonnull] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [anon_sym_PROGMEM] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym__Alignas] = ACTIONS(3181),
    [aux_sym_primitive_type_token1] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_word] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [anon_sym___asm] = ACTIONS(3181),
    [aux_sym_number_literal_token1] = ACTIONS(3183),
    [aux_sym_number_literal_token2] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [aux_sym_preproc_else_token1] = ACTIONS(3185),
    [aux_sym_preproc_elif_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym___attribute] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym__Nonnull] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [anon_sym_PROGMEM] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym__Alignas] = ACTIONS(3185),
    [aux_sym_primitive_type_token1] = ACTIONS(3185),
    [anon_sym_byte] = ACTIONS(3185),
    [anon_sym_word] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [anon_sym___asm] = ACTIONS(3185),
    [aux_sym_number_literal_token1] = ACTIONS(3187),
    [aux_sym_number_literal_token2] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3189),
    [aux_sym_preproc_elif_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym___attribute] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym__Nonnull] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [anon_sym_PROGMEM] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym__Alignas] = ACTIONS(3189),
    [aux_sym_primitive_type_token1] = ACTIONS(3189),
    [anon_sym_byte] = ACTIONS(3189),
    [anon_sym_word] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [anon_sym___asm] = ACTIONS(3189),
    [aux_sym_number_literal_token1] = ACTIONS(3191),
    [aux_sym_number_literal_token2] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [anon_sym___asm] = ACTIONS(3193),
    [aux_sym_number_literal_token1] = ACTIONS(3195),
    [aux_sym_number_literal_token2] = ACTIONS(3193),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [aux_sym_preproc_else_token1] = ACTIONS(3197),
    [aux_sym_preproc_elif_token1] = ACTIONS(3197),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym___attribute] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym__Nonnull] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [anon_sym_PROGMEM] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym__Alignas] = ACTIONS(3197),
    [aux_sym_primitive_type_token1] = ACTIONS(3197),
    [anon_sym_byte] = ACTIONS(3197),
    [anon_sym_word] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [anon_sym___asm] = ACTIONS(3197),
    [aux_sym_number_literal_token1] = ACTIONS(3199),
    [aux_sym_number_literal_token2] = ACTIONS(3197),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym___attribute] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym__Nonnull] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [anon_sym_PROGMEM] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym__Alignas] = ACTIONS(3201),
    [aux_sym_primitive_type_token1] = ACTIONS(3201),
    [anon_sym_byte] = ACTIONS(3201),
    [anon_sym_word] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [anon_sym___asm] = ACTIONS(3201),
    [aux_sym_number_literal_token1] = ACTIONS(3203),
    [aux_sym_number_literal_token2] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [anon_sym___asm] = ACTIONS(3205),
    [aux_sym_number_literal_token1] = ACTIONS(3207),
    [aux_sym_number_literal_token2] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [384] = {
    [sym_catch_clause] = STATE(373),
    [aux_sym_constructor_try_statement_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [385] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [386] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [aux_sym_preproc_else_token1] = ACTIONS(3215),
    [aux_sym_preproc_elif_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token2] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [aux_sym_preproc_else_token1] = ACTIONS(3219),
    [aux_sym_preproc_elif_token1] = ACTIONS(3219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [389] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4688),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(8176),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [390] = {
    [sym_type_qualifier] = STATE(3313),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(1800),
    [sym_primitive_type] = STATE(5047),
    [sym_enum_specifier] = STATE(1800),
    [sym_struct_specifier] = STATE(1800),
    [sym_union_specifier] = STATE(1800),
    [sym_expression] = STATE(4694),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_type_descriptor] = STATE(7930),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_placeholder_type_specifier] = STATE(1800),
    [sym_decltype_auto] = STATE(1805),
    [sym_decltype] = STATE(1765),
    [sym_class_specifier] = STATE(1800),
    [sym__class_name] = STATE(7492),
    [sym_dependent_type] = STATE(1800),
    [sym_template_type] = STATE(5233),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5709),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(5263),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym__type_definition_type_repeat1] = STATE(3313),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4022),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(1792),
    [anon_sym_unsigned] = ACTIONS(1792),
    [anon_sym_long] = ACTIONS(1792),
    [anon_sym_short] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1798),
    [anon_sym_class] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1830),
    [anon_sym_decltype] = ACTIONS(1832),
    [anon_sym_typename] = ACTIONS(1834),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [391] = {
    [sym_preproc_def] = STATE(404),
    [sym_preproc_function_def] = STATE(404),
    [sym_preproc_call] = STATE(404),
    [sym_preproc_if_in_field_declaration_list] = STATE(404),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(404),
    [sym_preproc_else_in_field_declaration_list] = STATE(8431),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8431),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8431),
    [sym_type_definition] = STATE(404),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(404),
    [sym_field_declaration] = STATE(404),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(404),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(404),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(404),
    [sym_operator_cast_declaration] = STATE(404),
    [sym_constructor_or_destructor_definition] = STATE(404),
    [sym_constructor_or_destructor_declaration] = STATE(404),
    [sym_friend_declaration] = STATE(404),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(404),
    [sym_alias_declaration] = STATE(404),
    [sym_static_assert_declaration] = STATE(404),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(404),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [392] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(8005),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8005),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8005),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [393] = {
    [sym_preproc_def] = STATE(405),
    [sym_preproc_function_def] = STATE(405),
    [sym_preproc_call] = STATE(405),
    [sym_preproc_if_in_field_declaration_list] = STATE(405),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(405),
    [sym_preproc_else_in_field_declaration_list] = STATE(8438),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8438),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8438),
    [sym_type_definition] = STATE(405),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(405),
    [sym_field_declaration] = STATE(405),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(405),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(405),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(405),
    [sym_operator_cast_declaration] = STATE(405),
    [sym_constructor_or_destructor_definition] = STATE(405),
    [sym_constructor_or_destructor_declaration] = STATE(405),
    [sym_friend_declaration] = STATE(405),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(405),
    [sym_alias_declaration] = STATE(405),
    [sym_static_assert_declaration] = STATE(405),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(405),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [394] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(7919),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7919),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7919),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [395] = {
    [sym_catch_clause] = STATE(334),
    [aux_sym_constructor_try_statement_repeat1] = STATE(334),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [396] = {
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_field_declaration_list] = STATE(397),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(397),
    [sym_preproc_else_in_field_declaration_list] = STATE(8004),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8004),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8004),
    [sym_type_definition] = STATE(397),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(397),
    [sym_field_declaration] = STATE(397),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(397),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(397),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(397),
    [sym_operator_cast_declaration] = STATE(397),
    [sym_constructor_or_destructor_definition] = STATE(397),
    [sym_constructor_or_destructor_declaration] = STATE(397),
    [sym_friend_declaration] = STATE(397),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(397),
    [sym_alias_declaration] = STATE(397),
    [sym_static_assert_declaration] = STATE(397),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(397),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [397] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(7786),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7786),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7786),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [398] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(8399),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8399),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8399),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [399] = {
    [sym_preproc_def] = STATE(392),
    [sym_preproc_function_def] = STATE(392),
    [sym_preproc_call] = STATE(392),
    [sym_preproc_if_in_field_declaration_list] = STATE(392),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(392),
    [sym_preproc_else_in_field_declaration_list] = STATE(7921),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7921),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7921),
    [sym_type_definition] = STATE(392),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(392),
    [sym_field_declaration] = STATE(392),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(392),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(392),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(392),
    [sym_operator_cast_declaration] = STATE(392),
    [sym_constructor_or_destructor_definition] = STATE(392),
    [sym_constructor_or_destructor_declaration] = STATE(392),
    [sym_friend_declaration] = STATE(392),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(392),
    [sym_alias_declaration] = STATE(392),
    [sym_static_assert_declaration] = STATE(392),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(392),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [400] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(8047),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8047),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8047),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [401] = {
    [sym_catch_clause] = STATE(373),
    [aux_sym_constructor_try_statement_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [402] = {
    [sym_preproc_def] = STATE(408),
    [sym_preproc_function_def] = STATE(408),
    [sym_preproc_call] = STATE(408),
    [sym_preproc_if_in_field_declaration_list] = STATE(408),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(408),
    [sym_preproc_else_in_field_declaration_list] = STATE(8085),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8085),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8085),
    [sym_type_definition] = STATE(408),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(408),
    [sym_field_declaration] = STATE(408),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(408),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(408),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(408),
    [sym_operator_cast_declaration] = STATE(408),
    [sym_constructor_or_destructor_definition] = STATE(408),
    [sym_constructor_or_destructor_declaration] = STATE(408),
    [sym_friend_declaration] = STATE(408),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(408),
    [sym_alias_declaration] = STATE(408),
    [sym_static_assert_declaration] = STATE(408),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(408),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [403] = {
    [sym_preproc_def] = STATE(400),
    [sym_preproc_function_def] = STATE(400),
    [sym_preproc_call] = STATE(400),
    [sym_preproc_if_in_field_declaration_list] = STATE(400),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(400),
    [sym_preproc_else_in_field_declaration_list] = STATE(7878),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7878),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7878),
    [sym_type_definition] = STATE(400),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(400),
    [sym_field_declaration] = STATE(400),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(400),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(400),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(400),
    [sym_operator_cast_declaration] = STATE(400),
    [sym_constructor_or_destructor_definition] = STATE(400),
    [sym_constructor_or_destructor_declaration] = STATE(400),
    [sym_friend_declaration] = STATE(400),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(400),
    [sym_alias_declaration] = STATE(400),
    [sym_static_assert_declaration] = STATE(400),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(400),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [404] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(8418),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8418),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8418),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [405] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(7883),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7883),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7883),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [406] = {
    [sym_preproc_def] = STATE(394),
    [sym_preproc_function_def] = STATE(394),
    [sym_preproc_call] = STATE(394),
    [sym_preproc_if_in_field_declaration_list] = STATE(394),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(394),
    [sym_preproc_else_in_field_declaration_list] = STATE(7828),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7828),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7828),
    [sym_type_definition] = STATE(394),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(394),
    [sym_field_declaration] = STATE(394),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(394),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(394),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(394),
    [sym_operator_cast_declaration] = STATE(394),
    [sym_constructor_or_destructor_definition] = STATE(394),
    [sym_constructor_or_destructor_declaration] = STATE(394),
    [sym_friend_declaration] = STATE(394),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(394),
    [sym_alias_declaration] = STATE(394),
    [sym_static_assert_declaration] = STATE(394),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(394),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [407] = {
    [sym_catch_clause] = STATE(373),
    [aux_sym_constructor_try_statement_repeat1] = STATE(373),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym___try] = ACTIONS(2579),
    [anon_sym___leave] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [408] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(7869),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7869),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7869),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [409] = {
    [sym_preproc_def] = STATE(398),
    [sym_preproc_function_def] = STATE(398),
    [sym_preproc_call] = STATE(398),
    [sym_preproc_if_in_field_declaration_list] = STATE(398),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(398),
    [sym_preproc_else_in_field_declaration_list] = STATE(8419),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8419),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8419),
    [sym_type_definition] = STATE(398),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(398),
    [sym_field_declaration] = STATE(398),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(398),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(398),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(398),
    [sym_operator_cast_declaration] = STATE(398),
    [sym_constructor_or_destructor_definition] = STATE(398),
    [sym_constructor_or_destructor_declaration] = STATE(398),
    [sym_friend_declaration] = STATE(398),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(398),
    [sym_alias_declaration] = STATE(398),
    [sym_static_assert_declaration] = STATE(398),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(398),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3243),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [410] = {
    [sym_catch_clause] = STATE(334),
    [aux_sym_constructor_try_statement_repeat1] = STATE(334),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym___try] = ACTIONS(2575),
    [anon_sym___leave] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(2980),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [411] = {
    [sym_else_clause] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(2585),
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_PROGMEM] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [aux_sym_primitive_type_token1] = ACTIONS(2583),
    [anon_sym_byte] = ACTIONS(2583),
    [anon_sym_word] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [aux_sym_number_literal_token1] = ACTIONS(2585),
    [aux_sym_number_literal_token2] = ACTIONS(2583),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
  },
  [412] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_else] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_include_token1] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token2] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym___cdecl] = ACTIONS(2667),
    [anon_sym___clrcall] = ACTIONS(2667),
    [anon_sym___stdcall] = ACTIONS(2667),
    [anon_sym___fastcall] = ACTIONS(2667),
    [anon_sym___thiscall] = ACTIONS(2667),
    [anon_sym___vectorcall] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_goto] = ACTIONS(2667),
    [anon_sym___try] = ACTIONS(2667),
    [anon_sym___leave] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_compl] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_sizeof] = ACTIONS(2667),
    [anon_sym___alignof__] = ACTIONS(2667),
    [anon_sym___alignof] = ACTIONS(2667),
    [anon_sym__alignof] = ACTIONS(2667),
    [anon_sym_alignof] = ACTIONS(2667),
    [anon_sym__Alignof] = ACTIONS(2667),
    [anon_sym_offsetof] = ACTIONS(2667),
    [anon_sym__Generic] = ACTIONS(2667),
    [anon_sym_asm] = ACTIONS(2667),
    [anon_sym___asm__] = ACTIONS(2667),
    [anon_sym___asm] = ACTIONS(2667),
    [aux_sym_number_literal_token1] = ACTIONS(2669),
    [aux_sym_number_literal_token2] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2669),
    [anon_sym_u_SQUOTE] = ACTIONS(2669),
    [anon_sym_U_SQUOTE] = ACTIONS(2669),
    [anon_sym_u8_SQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_L_DQUOTE] = ACTIONS(2669),
    [anon_sym_u_DQUOTE] = ACTIONS(2669),
    [anon_sym_U_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8_DQUOTE] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [anon_sym_NULL] = ACTIONS(2667),
    [anon_sym_nullptr] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_namespace] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_concept] = ACTIONS(2667),
    [anon_sym_co_return] = ACTIONS(2667),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2669),
    [anon_sym_LR_DQUOTE] = ACTIONS(2669),
    [anon_sym_uR_DQUOTE] = ACTIONS(2669),
    [anon_sym_UR_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2669),
    [anon_sym_co_await] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_requires] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
  },
  [414] = {
    [sym_else_clause] = STATE(435),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token2] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym___attribute] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym__Nonnull] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [anon_sym_PROGMEM] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym__Alignas] = ACTIONS(2725),
    [aux_sym_primitive_type_token1] = ACTIONS(2725),
    [anon_sym_byte] = ACTIONS(2725),
    [anon_sym_word] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [anon_sym___asm] = ACTIONS(2725),
    [aux_sym_number_literal_token1] = ACTIONS(2727),
    [aux_sym_number_literal_token2] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [415] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_else] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [416] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [aux_sym_number_literal_token1] = ACTIONS(1970),
    [aux_sym_number_literal_token2] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1970),
    [anon_sym_u_SQUOTE] = ACTIONS(1970),
    [anon_sym_U_SQUOTE] = ACTIONS(1970),
    [anon_sym_u8_SQUOTE] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_L_DQUOTE] = ACTIONS(1970),
    [anon_sym_u_DQUOTE] = ACTIONS(1970),
    [anon_sym_U_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8_DQUOTE] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1970),
    [anon_sym_LR_DQUOTE] = ACTIONS(1970),
    [anon_sym_uR_DQUOTE] = ACTIONS(1970),
    [anon_sym_UR_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1970),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
  },
  [417] = {
    [ts_builtin_sym_end] = ACTIONS(2669),
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_include_token1] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym___cdecl] = ACTIONS(2667),
    [anon_sym___clrcall] = ACTIONS(2667),
    [anon_sym___stdcall] = ACTIONS(2667),
    [anon_sym___fastcall] = ACTIONS(2667),
    [anon_sym___thiscall] = ACTIONS(2667),
    [anon_sym___vectorcall] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_goto] = ACTIONS(2667),
    [anon_sym___try] = ACTIONS(2667),
    [anon_sym___leave] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_compl] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_sizeof] = ACTIONS(2667),
    [anon_sym___alignof__] = ACTIONS(2667),
    [anon_sym___alignof] = ACTIONS(2667),
    [anon_sym__alignof] = ACTIONS(2667),
    [anon_sym_alignof] = ACTIONS(2667),
    [anon_sym__Alignof] = ACTIONS(2667),
    [anon_sym_offsetof] = ACTIONS(2667),
    [anon_sym__Generic] = ACTIONS(2667),
    [anon_sym_asm] = ACTIONS(2667),
    [anon_sym___asm__] = ACTIONS(2667),
    [anon_sym___asm] = ACTIONS(2667),
    [aux_sym_number_literal_token1] = ACTIONS(2669),
    [aux_sym_number_literal_token2] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2669),
    [anon_sym_u_SQUOTE] = ACTIONS(2669),
    [anon_sym_U_SQUOTE] = ACTIONS(2669),
    [anon_sym_u8_SQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_L_DQUOTE] = ACTIONS(2669),
    [anon_sym_u_DQUOTE] = ACTIONS(2669),
    [anon_sym_U_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8_DQUOTE] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [anon_sym_NULL] = ACTIONS(2667),
    [anon_sym_nullptr] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_namespace] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_concept] = ACTIONS(2667),
    [anon_sym_co_return] = ACTIONS(2667),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2669),
    [anon_sym_LR_DQUOTE] = ACTIONS(2669),
    [anon_sym_uR_DQUOTE] = ACTIONS(2669),
    [anon_sym_UR_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2669),
    [anon_sym_co_await] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_requires] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_include_token1] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym___cdecl] = ACTIONS(2667),
    [anon_sym___clrcall] = ACTIONS(2667),
    [anon_sym___stdcall] = ACTIONS(2667),
    [anon_sym___fastcall] = ACTIONS(2667),
    [anon_sym___thiscall] = ACTIONS(2667),
    [anon_sym___vectorcall] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_goto] = ACTIONS(2667),
    [anon_sym___try] = ACTIONS(2667),
    [anon_sym___leave] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_compl] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_sizeof] = ACTIONS(2667),
    [anon_sym___alignof__] = ACTIONS(2667),
    [anon_sym___alignof] = ACTIONS(2667),
    [anon_sym__alignof] = ACTIONS(2667),
    [anon_sym_alignof] = ACTIONS(2667),
    [anon_sym__Alignof] = ACTIONS(2667),
    [anon_sym_offsetof] = ACTIONS(2667),
    [anon_sym__Generic] = ACTIONS(2667),
    [anon_sym_asm] = ACTIONS(2667),
    [anon_sym___asm__] = ACTIONS(2667),
    [anon_sym___asm] = ACTIONS(2667),
    [aux_sym_number_literal_token1] = ACTIONS(2669),
    [aux_sym_number_literal_token2] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2669),
    [anon_sym_u_SQUOTE] = ACTIONS(2669),
    [anon_sym_U_SQUOTE] = ACTIONS(2669),
    [anon_sym_u8_SQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_L_DQUOTE] = ACTIONS(2669),
    [anon_sym_u_DQUOTE] = ACTIONS(2669),
    [anon_sym_U_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8_DQUOTE] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [anon_sym_NULL] = ACTIONS(2667),
    [anon_sym_nullptr] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_namespace] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_concept] = ACTIONS(2667),
    [anon_sym_co_return] = ACTIONS(2667),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2669),
    [anon_sym_LR_DQUOTE] = ACTIONS(2669),
    [anon_sym_uR_DQUOTE] = ACTIONS(2669),
    [anon_sym_UR_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2669),
    [anon_sym_co_await] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_requires] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
  },
  [419] = {
    [sym_else_clause] = STATE(496),
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token2] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_PROGMEM] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [aux_sym_primitive_type_token1] = ACTIONS(2583),
    [anon_sym_byte] = ACTIONS(2583),
    [anon_sym_word] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [aux_sym_number_literal_token1] = ACTIONS(2585),
    [aux_sym_number_literal_token2] = ACTIONS(2583),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
  },
  [420] = {
    [sym_else_clause] = STATE(465),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym___attribute] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym__Nonnull] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [anon_sym_PROGMEM] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym__Alignas] = ACTIONS(2725),
    [aux_sym_primitive_type_token1] = ACTIONS(2725),
    [anon_sym_byte] = ACTIONS(2725),
    [anon_sym_word] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [anon_sym___asm] = ACTIONS(2725),
    [aux_sym_number_literal_token1] = ACTIONS(2727),
    [aux_sym_number_literal_token2] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_include_token1] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_case] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [aux_sym_number_literal_token1] = ACTIONS(1970),
    [aux_sym_number_literal_token2] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1970),
    [anon_sym_u_SQUOTE] = ACTIONS(1970),
    [anon_sym_U_SQUOTE] = ACTIONS(1970),
    [anon_sym_u8_SQUOTE] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_L_DQUOTE] = ACTIONS(1970),
    [anon_sym_u_DQUOTE] = ACTIONS(1970),
    [anon_sym_U_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8_DQUOTE] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_namespace] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1970),
    [anon_sym_LR_DQUOTE] = ACTIONS(1970),
    [anon_sym_uR_DQUOTE] = ACTIONS(1970),
    [anon_sym_UR_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1970),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
  },
  [422] = {
    [sym_else_clause] = STATE(509),
    [sym_identifier] = ACTIONS(2583),
    [aux_sym_preproc_include_token1] = ACTIONS(2583),
    [aux_sym_preproc_def_token1] = ACTIONS(2583),
    [aux_sym_preproc_if_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [sym_preproc_directive] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP_AMP] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym___based] = ACTIONS(2583),
    [anon_sym___cdecl] = ACTIONS(2583),
    [anon_sym___clrcall] = ACTIONS(2583),
    [anon_sym___stdcall] = ACTIONS(2583),
    [anon_sym___fastcall] = ACTIONS(2583),
    [anon_sym___thiscall] = ACTIONS(2583),
    [anon_sym___vectorcall] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_RBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_PROGMEM] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [aux_sym_primitive_type_token1] = ACTIONS(2583),
    [anon_sym_byte] = ACTIONS(2583),
    [anon_sym_word] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2583),
    [anon_sym_default] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [aux_sym_number_literal_token1] = ACTIONS(2585),
    [aux_sym_number_literal_token2] = ACTIONS(2583),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_explicit] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_operator] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_namespace] = ACTIONS(2583),
    [anon_sym_using] = ACTIONS(2583),
    [anon_sym_static_assert] = ACTIONS(2583),
    [anon_sym_concept] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
  },
  [423] = {
    [sym_else_clause] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_identifier] = ACTIONS(2725),
    [aux_sym_preproc_include_token1] = ACTIONS(2725),
    [aux_sym_preproc_def_token1] = ACTIONS(2725),
    [aux_sym_preproc_if_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2725),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2725),
    [sym_preproc_directive] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym___attribute] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym___based] = ACTIONS(2725),
    [anon_sym___cdecl] = ACTIONS(2725),
    [anon_sym___clrcall] = ACTIONS(2725),
    [anon_sym___stdcall] = ACTIONS(2725),
    [anon_sym___fastcall] = ACTIONS(2725),
    [anon_sym___thiscall] = ACTIONS(2725),
    [anon_sym___vectorcall] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym__Nonnull] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [anon_sym_PROGMEM] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym__Alignas] = ACTIONS(2725),
    [aux_sym_primitive_type_token1] = ACTIONS(2725),
    [anon_sym_byte] = ACTIONS(2725),
    [anon_sym_word] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [anon_sym___asm] = ACTIONS(2725),
    [aux_sym_number_literal_token1] = ACTIONS(2727),
    [aux_sym_number_literal_token2] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_explicit] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_operator] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_static_assert] = ACTIONS(2725),
    [anon_sym_concept] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token2] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym___attribute] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym__Nonnull] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym__Alignas] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [anon_sym___asm] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym___attribute] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_PROGMEM] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [aux_sym_primitive_type_token1] = ACTIONS(2901),
    [anon_sym_byte] = ACTIONS(2901),
    [anon_sym_word] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [aux_sym_number_literal_token1] = ACTIONS(2903),
    [aux_sym_number_literal_token2] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [anon_sym___asm] = ACTIONS(2815),
    [aux_sym_number_literal_token1] = ACTIONS(2817),
    [aux_sym_number_literal_token2] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym___attribute] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym__Nonnull] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [anon_sym_PROGMEM] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym__Alignas] = ACTIONS(2769),
    [aux_sym_primitive_type_token1] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_word] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [anon_sym___asm] = ACTIONS(2769),
    [aux_sym_number_literal_token1] = ACTIONS(2771),
    [aux_sym_number_literal_token2] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token2] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2831),
    [aux_sym_preproc_include_token1] = ACTIONS(2831),
    [aux_sym_preproc_def_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token2] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2831),
    [sym_preproc_directive] = ACTIONS(2831),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2831),
    [anon_sym_typedef] = ACTIONS(2831),
    [anon_sym_virtual] = ACTIONS(2831),
    [anon_sym_extern] = ACTIONS(2831),
    [anon_sym___attribute__] = ACTIONS(2831),
    [anon_sym___attribute] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2833),
    [anon_sym___declspec] = ACTIONS(2831),
    [anon_sym___based] = ACTIONS(2831),
    [anon_sym___cdecl] = ACTIONS(2831),
    [anon_sym___clrcall] = ACTIONS(2831),
    [anon_sym___stdcall] = ACTIONS(2831),
    [anon_sym___fastcall] = ACTIONS(2831),
    [anon_sym___thiscall] = ACTIONS(2831),
    [anon_sym___vectorcall] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2831),
    [anon_sym_unsigned] = ACTIONS(2831),
    [anon_sym_long] = ACTIONS(2831),
    [anon_sym_short] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2831),
    [anon_sym_register] = ACTIONS(2831),
    [anon_sym_inline] = ACTIONS(2831),
    [anon_sym___inline] = ACTIONS(2831),
    [anon_sym___inline__] = ACTIONS(2831),
    [anon_sym___forceinline] = ACTIONS(2831),
    [anon_sym_thread_local] = ACTIONS(2831),
    [anon_sym___thread] = ACTIONS(2831),
    [anon_sym_const] = ACTIONS(2831),
    [anon_sym_constexpr] = ACTIONS(2831),
    [anon_sym_volatile] = ACTIONS(2831),
    [anon_sym_restrict] = ACTIONS(2831),
    [anon_sym___restrict__] = ACTIONS(2831),
    [anon_sym__Atomic] = ACTIONS(2831),
    [anon_sym__Noreturn] = ACTIONS(2831),
    [anon_sym_noreturn] = ACTIONS(2831),
    [anon_sym__Nonnull] = ACTIONS(2831),
    [anon_sym_mutable] = ACTIONS(2831),
    [anon_sym_constinit] = ACTIONS(2831),
    [anon_sym_consteval] = ACTIONS(2831),
    [anon_sym_PROGMEM] = ACTIONS(2831),
    [anon_sym_alignas] = ACTIONS(2831),
    [anon_sym__Alignas] = ACTIONS(2831),
    [aux_sym_primitive_type_token1] = ACTIONS(2831),
    [anon_sym_byte] = ACTIONS(2831),
    [anon_sym_word] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(2831),
    [anon_sym_union] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2831),
    [anon_sym_switch] = ACTIONS(2831),
    [anon_sym_case] = ACTIONS(2831),
    [anon_sym_default] = ACTIONS(2831),
    [anon_sym_while] = ACTIONS(2831),
    [anon_sym_do] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_return] = ACTIONS(2831),
    [anon_sym_break] = ACTIONS(2831),
    [anon_sym_continue] = ACTIONS(2831),
    [anon_sym_goto] = ACTIONS(2831),
    [anon_sym___try] = ACTIONS(2831),
    [anon_sym___leave] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2831),
    [anon_sym_compl] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_sizeof] = ACTIONS(2831),
    [anon_sym___alignof__] = ACTIONS(2831),
    [anon_sym___alignof] = ACTIONS(2831),
    [anon_sym__alignof] = ACTIONS(2831),
    [anon_sym_alignof] = ACTIONS(2831),
    [anon_sym__Alignof] = ACTIONS(2831),
    [anon_sym_offsetof] = ACTIONS(2831),
    [anon_sym__Generic] = ACTIONS(2831),
    [anon_sym_asm] = ACTIONS(2831),
    [anon_sym___asm__] = ACTIONS(2831),
    [anon_sym___asm] = ACTIONS(2831),
    [aux_sym_number_literal_token1] = ACTIONS(2833),
    [aux_sym_number_literal_token2] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2833),
    [anon_sym_u_SQUOTE] = ACTIONS(2833),
    [anon_sym_U_SQUOTE] = ACTIONS(2833),
    [anon_sym_u8_SQUOTE] = ACTIONS(2833),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_L_DQUOTE] = ACTIONS(2833),
    [anon_sym_u_DQUOTE] = ACTIONS(2833),
    [anon_sym_U_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [sym_true] = ACTIONS(2831),
    [sym_false] = ACTIONS(2831),
    [anon_sym_NULL] = ACTIONS(2831),
    [anon_sym_nullptr] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2831),
    [anon_sym_decltype] = ACTIONS(2831),
    [anon_sym_explicit] = ACTIONS(2831),
    [anon_sym_typename] = ACTIONS(2831),
    [anon_sym_template] = ACTIONS(2831),
    [anon_sym_operator] = ACTIONS(2831),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_delete] = ACTIONS(2831),
    [anon_sym_throw] = ACTIONS(2831),
    [anon_sym_namespace] = ACTIONS(2831),
    [anon_sym_using] = ACTIONS(2831),
    [anon_sym_static_assert] = ACTIONS(2831),
    [anon_sym_concept] = ACTIONS(2831),
    [anon_sym_co_return] = ACTIONS(2831),
    [anon_sym_co_yield] = ACTIONS(2831),
    [anon_sym_R_DQUOTE] = ACTIONS(2833),
    [anon_sym_LR_DQUOTE] = ACTIONS(2833),
    [anon_sym_uR_DQUOTE] = ACTIONS(2833),
    [anon_sym_UR_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2833),
    [anon_sym_co_await] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2831),
    [anon_sym_requires] = ACTIONS(2831),
    [sym_this] = ACTIONS(2831),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym___attribute] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_PROGMEM] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [aux_sym_primitive_type_token1] = ACTIONS(2905),
    [anon_sym_byte] = ACTIONS(2905),
    [anon_sym_word] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [aux_sym_number_literal_token1] = ACTIONS(2907),
    [aux_sym_number_literal_token2] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2835),
    [aux_sym_preproc_include_token1] = ACTIONS(2835),
    [aux_sym_preproc_def_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token2] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2835),
    [sym_preproc_directive] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2835),
    [anon_sym_typedef] = ACTIONS(2835),
    [anon_sym_virtual] = ACTIONS(2835),
    [anon_sym_extern] = ACTIONS(2835),
    [anon_sym___attribute__] = ACTIONS(2835),
    [anon_sym___attribute] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2837),
    [anon_sym___declspec] = ACTIONS(2835),
    [anon_sym___based] = ACTIONS(2835),
    [anon_sym___cdecl] = ACTIONS(2835),
    [anon_sym___clrcall] = ACTIONS(2835),
    [anon_sym___stdcall] = ACTIONS(2835),
    [anon_sym___fastcall] = ACTIONS(2835),
    [anon_sym___thiscall] = ACTIONS(2835),
    [anon_sym___vectorcall] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2835),
    [anon_sym_unsigned] = ACTIONS(2835),
    [anon_sym_long] = ACTIONS(2835),
    [anon_sym_short] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_register] = ACTIONS(2835),
    [anon_sym_inline] = ACTIONS(2835),
    [anon_sym___inline] = ACTIONS(2835),
    [anon_sym___inline__] = ACTIONS(2835),
    [anon_sym___forceinline] = ACTIONS(2835),
    [anon_sym_thread_local] = ACTIONS(2835),
    [anon_sym___thread] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(2835),
    [anon_sym_constexpr] = ACTIONS(2835),
    [anon_sym_volatile] = ACTIONS(2835),
    [anon_sym_restrict] = ACTIONS(2835),
    [anon_sym___restrict__] = ACTIONS(2835),
    [anon_sym__Atomic] = ACTIONS(2835),
    [anon_sym__Noreturn] = ACTIONS(2835),
    [anon_sym_noreturn] = ACTIONS(2835),
    [anon_sym__Nonnull] = ACTIONS(2835),
    [anon_sym_mutable] = ACTIONS(2835),
    [anon_sym_constinit] = ACTIONS(2835),
    [anon_sym_consteval] = ACTIONS(2835),
    [anon_sym_PROGMEM] = ACTIONS(2835),
    [anon_sym_alignas] = ACTIONS(2835),
    [anon_sym__Alignas] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(2835),
    [anon_sym_byte] = ACTIONS(2835),
    [anon_sym_word] = ACTIONS(2835),
    [anon_sym_enum] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2835),
    [anon_sym_union] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2835),
    [anon_sym_switch] = ACTIONS(2835),
    [anon_sym_case] = ACTIONS(2835),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_while] = ACTIONS(2835),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_return] = ACTIONS(2835),
    [anon_sym_break] = ACTIONS(2835),
    [anon_sym_continue] = ACTIONS(2835),
    [anon_sym_goto] = ACTIONS(2835),
    [anon_sym___try] = ACTIONS(2835),
    [anon_sym___leave] = ACTIONS(2835),
    [anon_sym_not] = ACTIONS(2835),
    [anon_sym_compl] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_sizeof] = ACTIONS(2835),
    [anon_sym___alignof__] = ACTIONS(2835),
    [anon_sym___alignof] = ACTIONS(2835),
    [anon_sym__alignof] = ACTIONS(2835),
    [anon_sym_alignof] = ACTIONS(2835),
    [anon_sym__Alignof] = ACTIONS(2835),
    [anon_sym_offsetof] = ACTIONS(2835),
    [anon_sym__Generic] = ACTIONS(2835),
    [anon_sym_asm] = ACTIONS(2835),
    [anon_sym___asm__] = ACTIONS(2835),
    [anon_sym___asm] = ACTIONS(2835),
    [aux_sym_number_literal_token1] = ACTIONS(2837),
    [aux_sym_number_literal_token2] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2837),
    [anon_sym_u_SQUOTE] = ACTIONS(2837),
    [anon_sym_U_SQUOTE] = ACTIONS(2837),
    [anon_sym_u8_SQUOTE] = ACTIONS(2837),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_L_DQUOTE] = ACTIONS(2837),
    [anon_sym_u_DQUOTE] = ACTIONS(2837),
    [anon_sym_U_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [sym_true] = ACTIONS(2835),
    [sym_false] = ACTIONS(2835),
    [anon_sym_NULL] = ACTIONS(2835),
    [anon_sym_nullptr] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2835),
    [anon_sym_decltype] = ACTIONS(2835),
    [anon_sym_explicit] = ACTIONS(2835),
    [anon_sym_typename] = ACTIONS(2835),
    [anon_sym_template] = ACTIONS(2835),
    [anon_sym_operator] = ACTIONS(2835),
    [anon_sym_try] = ACTIONS(2835),
    [anon_sym_delete] = ACTIONS(2835),
    [anon_sym_throw] = ACTIONS(2835),
    [anon_sym_namespace] = ACTIONS(2835),
    [anon_sym_using] = ACTIONS(2835),
    [anon_sym_static_assert] = ACTIONS(2835),
    [anon_sym_concept] = ACTIONS(2835),
    [anon_sym_co_return] = ACTIONS(2835),
    [anon_sym_co_yield] = ACTIONS(2835),
    [anon_sym_R_DQUOTE] = ACTIONS(2837),
    [anon_sym_LR_DQUOTE] = ACTIONS(2837),
    [anon_sym_uR_DQUOTE] = ACTIONS(2837),
    [anon_sym_UR_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2837),
    [anon_sym_co_await] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2835),
    [anon_sym_requires] = ACTIONS(2835),
    [sym_this] = ACTIONS(2835),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2821),
    [sym_identifier] = ACTIONS(2819),
    [aux_sym_preproc_include_token1] = ACTIONS(2819),
    [aux_sym_preproc_def_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2819),
    [sym_preproc_directive] = ACTIONS(2819),
    [anon_sym_LPAREN2] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2819),
    [anon_sym_typedef] = ACTIONS(2819),
    [anon_sym_virtual] = ACTIONS(2819),
    [anon_sym_extern] = ACTIONS(2819),
    [anon_sym___attribute__] = ACTIONS(2819),
    [anon_sym___attribute] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2821),
    [anon_sym___declspec] = ACTIONS(2819),
    [anon_sym___based] = ACTIONS(2819),
    [anon_sym___cdecl] = ACTIONS(2819),
    [anon_sym___clrcall] = ACTIONS(2819),
    [anon_sym___stdcall] = ACTIONS(2819),
    [anon_sym___fastcall] = ACTIONS(2819),
    [anon_sym___thiscall] = ACTIONS(2819),
    [anon_sym___vectorcall] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2819),
    [anon_sym_unsigned] = ACTIONS(2819),
    [anon_sym_long] = ACTIONS(2819),
    [anon_sym_short] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2819),
    [anon_sym_register] = ACTIONS(2819),
    [anon_sym_inline] = ACTIONS(2819),
    [anon_sym___inline] = ACTIONS(2819),
    [anon_sym___inline__] = ACTIONS(2819),
    [anon_sym___forceinline] = ACTIONS(2819),
    [anon_sym_thread_local] = ACTIONS(2819),
    [anon_sym___thread] = ACTIONS(2819),
    [anon_sym_const] = ACTIONS(2819),
    [anon_sym_constexpr] = ACTIONS(2819),
    [anon_sym_volatile] = ACTIONS(2819),
    [anon_sym_restrict] = ACTIONS(2819),
    [anon_sym___restrict__] = ACTIONS(2819),
    [anon_sym__Atomic] = ACTIONS(2819),
    [anon_sym__Noreturn] = ACTIONS(2819),
    [anon_sym_noreturn] = ACTIONS(2819),
    [anon_sym__Nonnull] = ACTIONS(2819),
    [anon_sym_mutable] = ACTIONS(2819),
    [anon_sym_constinit] = ACTIONS(2819),
    [anon_sym_consteval] = ACTIONS(2819),
    [anon_sym_PROGMEM] = ACTIONS(2819),
    [anon_sym_alignas] = ACTIONS(2819),
    [anon_sym__Alignas] = ACTIONS(2819),
    [aux_sym_primitive_type_token1] = ACTIONS(2819),
    [anon_sym_byte] = ACTIONS(2819),
    [anon_sym_word] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2819),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_switch] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2819),
    [anon_sym_default] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_do] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_return] = ACTIONS(2819),
    [anon_sym_break] = ACTIONS(2819),
    [anon_sym_continue] = ACTIONS(2819),
    [anon_sym_goto] = ACTIONS(2819),
    [anon_sym___try] = ACTIONS(2819),
    [anon_sym___leave] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_sizeof] = ACTIONS(2819),
    [anon_sym___alignof__] = ACTIONS(2819),
    [anon_sym___alignof] = ACTIONS(2819),
    [anon_sym__alignof] = ACTIONS(2819),
    [anon_sym_alignof] = ACTIONS(2819),
    [anon_sym__Alignof] = ACTIONS(2819),
    [anon_sym_offsetof] = ACTIONS(2819),
    [anon_sym__Generic] = ACTIONS(2819),
    [anon_sym_asm] = ACTIONS(2819),
    [anon_sym___asm__] = ACTIONS(2819),
    [anon_sym___asm] = ACTIONS(2819),
    [aux_sym_number_literal_token1] = ACTIONS(2821),
    [aux_sym_number_literal_token2] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2821),
    [anon_sym_u_SQUOTE] = ACTIONS(2821),
    [anon_sym_U_SQUOTE] = ACTIONS(2821),
    [anon_sym_u8_SQUOTE] = ACTIONS(2821),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_L_DQUOTE] = ACTIONS(2821),
    [anon_sym_u_DQUOTE] = ACTIONS(2821),
    [anon_sym_U_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [sym_true] = ACTIONS(2819),
    [sym_false] = ACTIONS(2819),
    [anon_sym_NULL] = ACTIONS(2819),
    [anon_sym_nullptr] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2819),
    [anon_sym_decltype] = ACTIONS(2819),
    [anon_sym_explicit] = ACTIONS(2819),
    [anon_sym_typename] = ACTIONS(2819),
    [anon_sym_template] = ACTIONS(2819),
    [anon_sym_operator] = ACTIONS(2819),
    [anon_sym_try] = ACTIONS(2819),
    [anon_sym_delete] = ACTIONS(2819),
    [anon_sym_throw] = ACTIONS(2819),
    [anon_sym_namespace] = ACTIONS(2819),
    [anon_sym_using] = ACTIONS(2819),
    [anon_sym_static_assert] = ACTIONS(2819),
    [anon_sym_concept] = ACTIONS(2819),
    [anon_sym_co_return] = ACTIONS(2819),
    [anon_sym_co_yield] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2821),
    [anon_sym_LR_DQUOTE] = ACTIONS(2821),
    [anon_sym_uR_DQUOTE] = ACTIONS(2821),
    [anon_sym_UR_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2821),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_requires] = ACTIONS(2819),
    [sym_this] = ACTIONS(2819),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym___attribute] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym__Nonnull] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [anon_sym_PROGMEM] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(2889),
    [anon_sym_byte] = ACTIONS(2889),
    [anon_sym_word] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [anon_sym___asm] = ACTIONS(2889),
    [aux_sym_number_literal_token1] = ACTIONS(2891),
    [aux_sym_number_literal_token2] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [436] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym___attribute] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym__Nonnull] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [anon_sym_PROGMEM] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym__Alignas] = ACTIONS(2885),
    [aux_sym_primitive_type_token1] = ACTIONS(2885),
    [anon_sym_byte] = ACTIONS(2885),
    [anon_sym_word] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [anon_sym___asm] = ACTIONS(2885),
    [aux_sym_number_literal_token1] = ACTIONS(2887),
    [aux_sym_number_literal_token2] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym___attribute] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym__Nonnull] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [anon_sym_PROGMEM] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym__Alignas] = ACTIONS(2881),
    [aux_sym_primitive_type_token1] = ACTIONS(2881),
    [anon_sym_byte] = ACTIONS(2881),
    [anon_sym_word] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [anon_sym___asm] = ACTIONS(2881),
    [aux_sym_number_literal_token1] = ACTIONS(2883),
    [aux_sym_number_literal_token2] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym___attribute] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_PROGMEM] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [aux_sym_primitive_type_token1] = ACTIONS(2901),
    [anon_sym_byte] = ACTIONS(2901),
    [anon_sym_word] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [aux_sym_number_literal_token1] = ACTIONS(2903),
    [aux_sym_number_literal_token2] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2843),
    [aux_sym_preproc_include_token1] = ACTIONS(2843),
    [aux_sym_preproc_def_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token2] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2843),
    [sym_preproc_directive] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2843),
    [anon_sym_typedef] = ACTIONS(2843),
    [anon_sym_virtual] = ACTIONS(2843),
    [anon_sym_extern] = ACTIONS(2843),
    [anon_sym___attribute__] = ACTIONS(2843),
    [anon_sym___attribute] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2845),
    [anon_sym___declspec] = ACTIONS(2843),
    [anon_sym___based] = ACTIONS(2843),
    [anon_sym___cdecl] = ACTIONS(2843),
    [anon_sym___clrcall] = ACTIONS(2843),
    [anon_sym___stdcall] = ACTIONS(2843),
    [anon_sym___fastcall] = ACTIONS(2843),
    [anon_sym___thiscall] = ACTIONS(2843),
    [anon_sym___vectorcall] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_signed] = ACTIONS(2843),
    [anon_sym_unsigned] = ACTIONS(2843),
    [anon_sym_long] = ACTIONS(2843),
    [anon_sym_short] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2843),
    [anon_sym_register] = ACTIONS(2843),
    [anon_sym_inline] = ACTIONS(2843),
    [anon_sym___inline] = ACTIONS(2843),
    [anon_sym___inline__] = ACTIONS(2843),
    [anon_sym___forceinline] = ACTIONS(2843),
    [anon_sym_thread_local] = ACTIONS(2843),
    [anon_sym___thread] = ACTIONS(2843),
    [anon_sym_const] = ACTIONS(2843),
    [anon_sym_constexpr] = ACTIONS(2843),
    [anon_sym_volatile] = ACTIONS(2843),
    [anon_sym_restrict] = ACTIONS(2843),
    [anon_sym___restrict__] = ACTIONS(2843),
    [anon_sym__Atomic] = ACTIONS(2843),
    [anon_sym__Noreturn] = ACTIONS(2843),
    [anon_sym_noreturn] = ACTIONS(2843),
    [anon_sym__Nonnull] = ACTIONS(2843),
    [anon_sym_mutable] = ACTIONS(2843),
    [anon_sym_constinit] = ACTIONS(2843),
    [anon_sym_consteval] = ACTIONS(2843),
    [anon_sym_PROGMEM] = ACTIONS(2843),
    [anon_sym_alignas] = ACTIONS(2843),
    [anon_sym__Alignas] = ACTIONS(2843),
    [aux_sym_primitive_type_token1] = ACTIONS(2843),
    [anon_sym_byte] = ACTIONS(2843),
    [anon_sym_word] = ACTIONS(2843),
    [anon_sym_enum] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2843),
    [anon_sym_struct] = ACTIONS(2843),
    [anon_sym_union] = ACTIONS(2843),
    [anon_sym_if] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2843),
    [anon_sym_switch] = ACTIONS(2843),
    [anon_sym_case] = ACTIONS(2843),
    [anon_sym_default] = ACTIONS(2843),
    [anon_sym_while] = ACTIONS(2843),
    [anon_sym_do] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_return] = ACTIONS(2843),
    [anon_sym_break] = ACTIONS(2843),
    [anon_sym_continue] = ACTIONS(2843),
    [anon_sym_goto] = ACTIONS(2843),
    [anon_sym___try] = ACTIONS(2843),
    [anon_sym___leave] = ACTIONS(2843),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_compl] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_sizeof] = ACTIONS(2843),
    [anon_sym___alignof__] = ACTIONS(2843),
    [anon_sym___alignof] = ACTIONS(2843),
    [anon_sym__alignof] = ACTIONS(2843),
    [anon_sym_alignof] = ACTIONS(2843),
    [anon_sym__Alignof] = ACTIONS(2843),
    [anon_sym_offsetof] = ACTIONS(2843),
    [anon_sym__Generic] = ACTIONS(2843),
    [anon_sym_asm] = ACTIONS(2843),
    [anon_sym___asm__] = ACTIONS(2843),
    [anon_sym___asm] = ACTIONS(2843),
    [aux_sym_number_literal_token1] = ACTIONS(2845),
    [aux_sym_number_literal_token2] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2845),
    [anon_sym_u_SQUOTE] = ACTIONS(2845),
    [anon_sym_U_SQUOTE] = ACTIONS(2845),
    [anon_sym_u8_SQUOTE] = ACTIONS(2845),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_L_DQUOTE] = ACTIONS(2845),
    [anon_sym_u_DQUOTE] = ACTIONS(2845),
    [anon_sym_U_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_true] = ACTIONS(2843),
    [sym_false] = ACTIONS(2843),
    [anon_sym_NULL] = ACTIONS(2843),
    [anon_sym_nullptr] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2843),
    [anon_sym_decltype] = ACTIONS(2843),
    [anon_sym_explicit] = ACTIONS(2843),
    [anon_sym_typename] = ACTIONS(2843),
    [anon_sym_template] = ACTIONS(2843),
    [anon_sym_operator] = ACTIONS(2843),
    [anon_sym_try] = ACTIONS(2843),
    [anon_sym_delete] = ACTIONS(2843),
    [anon_sym_throw] = ACTIONS(2843),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_using] = ACTIONS(2843),
    [anon_sym_static_assert] = ACTIONS(2843),
    [anon_sym_concept] = ACTIONS(2843),
    [anon_sym_co_return] = ACTIONS(2843),
    [anon_sym_co_yield] = ACTIONS(2843),
    [anon_sym_R_DQUOTE] = ACTIONS(2845),
    [anon_sym_LR_DQUOTE] = ACTIONS(2845),
    [anon_sym_uR_DQUOTE] = ACTIONS(2845),
    [anon_sym_UR_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2845),
    [anon_sym_co_await] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2843),
    [anon_sym_requires] = ACTIONS(2843),
    [sym_this] = ACTIONS(2843),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token2] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2709),
    [anon_sym_byte] = ACTIONS(2709),
    [anon_sym_word] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [anon_sym___asm] = ACTIONS(2709),
    [aux_sym_number_literal_token1] = ACTIONS(2714),
    [aux_sym_number_literal_token2] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(2845),
    [sym_identifier] = ACTIONS(2843),
    [aux_sym_preproc_include_token1] = ACTIONS(2843),
    [aux_sym_preproc_def_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2843),
    [sym_preproc_directive] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2843),
    [anon_sym_typedef] = ACTIONS(2843),
    [anon_sym_virtual] = ACTIONS(2843),
    [anon_sym_extern] = ACTIONS(2843),
    [anon_sym___attribute__] = ACTIONS(2843),
    [anon_sym___attribute] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2845),
    [anon_sym___declspec] = ACTIONS(2843),
    [anon_sym___based] = ACTIONS(2843),
    [anon_sym___cdecl] = ACTIONS(2843),
    [anon_sym___clrcall] = ACTIONS(2843),
    [anon_sym___stdcall] = ACTIONS(2843),
    [anon_sym___fastcall] = ACTIONS(2843),
    [anon_sym___thiscall] = ACTIONS(2843),
    [anon_sym___vectorcall] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_signed] = ACTIONS(2843),
    [anon_sym_unsigned] = ACTIONS(2843),
    [anon_sym_long] = ACTIONS(2843),
    [anon_sym_short] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2843),
    [anon_sym_register] = ACTIONS(2843),
    [anon_sym_inline] = ACTIONS(2843),
    [anon_sym___inline] = ACTIONS(2843),
    [anon_sym___inline__] = ACTIONS(2843),
    [anon_sym___forceinline] = ACTIONS(2843),
    [anon_sym_thread_local] = ACTIONS(2843),
    [anon_sym___thread] = ACTIONS(2843),
    [anon_sym_const] = ACTIONS(2843),
    [anon_sym_constexpr] = ACTIONS(2843),
    [anon_sym_volatile] = ACTIONS(2843),
    [anon_sym_restrict] = ACTIONS(2843),
    [anon_sym___restrict__] = ACTIONS(2843),
    [anon_sym__Atomic] = ACTIONS(2843),
    [anon_sym__Noreturn] = ACTIONS(2843),
    [anon_sym_noreturn] = ACTIONS(2843),
    [anon_sym__Nonnull] = ACTIONS(2843),
    [anon_sym_mutable] = ACTIONS(2843),
    [anon_sym_constinit] = ACTIONS(2843),
    [anon_sym_consteval] = ACTIONS(2843),
    [anon_sym_PROGMEM] = ACTIONS(2843),
    [anon_sym_alignas] = ACTIONS(2843),
    [anon_sym__Alignas] = ACTIONS(2843),
    [aux_sym_primitive_type_token1] = ACTIONS(2843),
    [anon_sym_byte] = ACTIONS(2843),
    [anon_sym_word] = ACTIONS(2843),
    [anon_sym_enum] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2843),
    [anon_sym_struct] = ACTIONS(2843),
    [anon_sym_union] = ACTIONS(2843),
    [anon_sym_if] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2843),
    [anon_sym_switch] = ACTIONS(2843),
    [anon_sym_case] = ACTIONS(2843),
    [anon_sym_default] = ACTIONS(2843),
    [anon_sym_while] = ACTIONS(2843),
    [anon_sym_do] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_return] = ACTIONS(2843),
    [anon_sym_break] = ACTIONS(2843),
    [anon_sym_continue] = ACTIONS(2843),
    [anon_sym_goto] = ACTIONS(2843),
    [anon_sym___try] = ACTIONS(2843),
    [anon_sym___leave] = ACTIONS(2843),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_compl] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_sizeof] = ACTIONS(2843),
    [anon_sym___alignof__] = ACTIONS(2843),
    [anon_sym___alignof] = ACTIONS(2843),
    [anon_sym__alignof] = ACTIONS(2843),
    [anon_sym_alignof] = ACTIONS(2843),
    [anon_sym__Alignof] = ACTIONS(2843),
    [anon_sym_offsetof] = ACTIONS(2843),
    [anon_sym__Generic] = ACTIONS(2843),
    [anon_sym_asm] = ACTIONS(2843),
    [anon_sym___asm__] = ACTIONS(2843),
    [anon_sym___asm] = ACTIONS(2843),
    [aux_sym_number_literal_token1] = ACTIONS(2845),
    [aux_sym_number_literal_token2] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2845),
    [anon_sym_u_SQUOTE] = ACTIONS(2845),
    [anon_sym_U_SQUOTE] = ACTIONS(2845),
    [anon_sym_u8_SQUOTE] = ACTIONS(2845),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_L_DQUOTE] = ACTIONS(2845),
    [anon_sym_u_DQUOTE] = ACTIONS(2845),
    [anon_sym_U_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_true] = ACTIONS(2843),
    [sym_false] = ACTIONS(2843),
    [anon_sym_NULL] = ACTIONS(2843),
    [anon_sym_nullptr] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2843),
    [anon_sym_decltype] = ACTIONS(2843),
    [anon_sym_explicit] = ACTIONS(2843),
    [anon_sym_typename] = ACTIONS(2843),
    [anon_sym_template] = ACTIONS(2843),
    [anon_sym_operator] = ACTIONS(2843),
    [anon_sym_try] = ACTIONS(2843),
    [anon_sym_delete] = ACTIONS(2843),
    [anon_sym_throw] = ACTIONS(2843),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_using] = ACTIONS(2843),
    [anon_sym_static_assert] = ACTIONS(2843),
    [anon_sym_concept] = ACTIONS(2843),
    [anon_sym_co_return] = ACTIONS(2843),
    [anon_sym_co_yield] = ACTIONS(2843),
    [anon_sym_R_DQUOTE] = ACTIONS(2845),
    [anon_sym_LR_DQUOTE] = ACTIONS(2845),
    [anon_sym_uR_DQUOTE] = ACTIONS(2845),
    [anon_sym_UR_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2845),
    [anon_sym_co_await] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2843),
    [anon_sym_requires] = ACTIONS(2843),
    [sym_this] = ACTIONS(2843),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym___attribute] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_PROGMEM] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [aux_sym_primitive_type_token1] = ACTIONS(2905),
    [anon_sym_byte] = ACTIONS(2905),
    [anon_sym_word] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [aux_sym_number_literal_token1] = ACTIONS(2907),
    [aux_sym_number_literal_token2] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym___attribute] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_PROGMEM] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [aux_sym_primitive_type_token1] = ACTIONS(2901),
    [anon_sym_byte] = ACTIONS(2901),
    [anon_sym_word] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [aux_sym_number_literal_token1] = ACTIONS(2903),
    [aux_sym_number_literal_token2] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym___attribute] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym__Nonnull] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [anon_sym_PROGMEM] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym__Alignas] = ACTIONS(2897),
    [aux_sym_primitive_type_token1] = ACTIONS(2897),
    [anon_sym_byte] = ACTIONS(2897),
    [anon_sym_word] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [anon_sym___asm] = ACTIONS(2897),
    [aux_sym_number_literal_token1] = ACTIONS(2899),
    [aux_sym_number_literal_token2] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(2841),
    [sym_identifier] = ACTIONS(2839),
    [aux_sym_preproc_include_token1] = ACTIONS(2839),
    [aux_sym_preproc_def_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2839),
    [sym_preproc_directive] = ACTIONS(2839),
    [anon_sym_LPAREN2] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2839),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_virtual] = ACTIONS(2839),
    [anon_sym_extern] = ACTIONS(2839),
    [anon_sym___attribute__] = ACTIONS(2839),
    [anon_sym___attribute] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2841),
    [anon_sym___declspec] = ACTIONS(2839),
    [anon_sym___based] = ACTIONS(2839),
    [anon_sym___cdecl] = ACTIONS(2839),
    [anon_sym___clrcall] = ACTIONS(2839),
    [anon_sym___stdcall] = ACTIONS(2839),
    [anon_sym___fastcall] = ACTIONS(2839),
    [anon_sym___thiscall] = ACTIONS(2839),
    [anon_sym___vectorcall] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2839),
    [anon_sym_unsigned] = ACTIONS(2839),
    [anon_sym_long] = ACTIONS(2839),
    [anon_sym_short] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2839),
    [anon_sym_register] = ACTIONS(2839),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym___inline] = ACTIONS(2839),
    [anon_sym___inline__] = ACTIONS(2839),
    [anon_sym___forceinline] = ACTIONS(2839),
    [anon_sym_thread_local] = ACTIONS(2839),
    [anon_sym___thread] = ACTIONS(2839),
    [anon_sym_const] = ACTIONS(2839),
    [anon_sym_constexpr] = ACTIONS(2839),
    [anon_sym_volatile] = ACTIONS(2839),
    [anon_sym_restrict] = ACTIONS(2839),
    [anon_sym___restrict__] = ACTIONS(2839),
    [anon_sym__Atomic] = ACTIONS(2839),
    [anon_sym__Noreturn] = ACTIONS(2839),
    [anon_sym_noreturn] = ACTIONS(2839),
    [anon_sym__Nonnull] = ACTIONS(2839),
    [anon_sym_mutable] = ACTIONS(2839),
    [anon_sym_constinit] = ACTIONS(2839),
    [anon_sym_consteval] = ACTIONS(2839),
    [anon_sym_PROGMEM] = ACTIONS(2839),
    [anon_sym_alignas] = ACTIONS(2839),
    [anon_sym__Alignas] = ACTIONS(2839),
    [aux_sym_primitive_type_token1] = ACTIONS(2839),
    [anon_sym_byte] = ACTIONS(2839),
    [anon_sym_word] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2839),
    [anon_sym_struct] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2839),
    [anon_sym_switch] = ACTIONS(2839),
    [anon_sym_case] = ACTIONS(2839),
    [anon_sym_default] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2839),
    [anon_sym_do] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_break] = ACTIONS(2839),
    [anon_sym_continue] = ACTIONS(2839),
    [anon_sym_goto] = ACTIONS(2839),
    [anon_sym___try] = ACTIONS(2839),
    [anon_sym___leave] = ACTIONS(2839),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_compl] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_sizeof] = ACTIONS(2839),
    [anon_sym___alignof__] = ACTIONS(2839),
    [anon_sym___alignof] = ACTIONS(2839),
    [anon_sym__alignof] = ACTIONS(2839),
    [anon_sym_alignof] = ACTIONS(2839),
    [anon_sym__Alignof] = ACTIONS(2839),
    [anon_sym_offsetof] = ACTIONS(2839),
    [anon_sym__Generic] = ACTIONS(2839),
    [anon_sym_asm] = ACTIONS(2839),
    [anon_sym___asm__] = ACTIONS(2839),
    [anon_sym___asm] = ACTIONS(2839),
    [aux_sym_number_literal_token1] = ACTIONS(2841),
    [aux_sym_number_literal_token2] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2841),
    [anon_sym_u_SQUOTE] = ACTIONS(2841),
    [anon_sym_U_SQUOTE] = ACTIONS(2841),
    [anon_sym_u8_SQUOTE] = ACTIONS(2841),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_L_DQUOTE] = ACTIONS(2841),
    [anon_sym_u_DQUOTE] = ACTIONS(2841),
    [anon_sym_U_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [sym_true] = ACTIONS(2839),
    [sym_false] = ACTIONS(2839),
    [anon_sym_NULL] = ACTIONS(2839),
    [anon_sym_nullptr] = ACTIONS(2839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2839),
    [anon_sym_decltype] = ACTIONS(2839),
    [anon_sym_explicit] = ACTIONS(2839),
    [anon_sym_typename] = ACTIONS(2839),
    [anon_sym_template] = ACTIONS(2839),
    [anon_sym_operator] = ACTIONS(2839),
    [anon_sym_try] = ACTIONS(2839),
    [anon_sym_delete] = ACTIONS(2839),
    [anon_sym_throw] = ACTIONS(2839),
    [anon_sym_namespace] = ACTIONS(2839),
    [anon_sym_using] = ACTIONS(2839),
    [anon_sym_static_assert] = ACTIONS(2839),
    [anon_sym_concept] = ACTIONS(2839),
    [anon_sym_co_return] = ACTIONS(2839),
    [anon_sym_co_yield] = ACTIONS(2839),
    [anon_sym_R_DQUOTE] = ACTIONS(2841),
    [anon_sym_LR_DQUOTE] = ACTIONS(2841),
    [anon_sym_uR_DQUOTE] = ACTIONS(2841),
    [anon_sym_UR_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2841),
    [anon_sym_co_await] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2839),
    [anon_sym_requires] = ACTIONS(2839),
    [sym_this] = ACTIONS(2839),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym___attribute] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym__Nonnull] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [anon_sym_PROGMEM] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym__Alignas] = ACTIONS(2897),
    [aux_sym_primitive_type_token1] = ACTIONS(2897),
    [anon_sym_byte] = ACTIONS(2897),
    [anon_sym_word] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [anon_sym___asm] = ACTIONS(2897),
    [aux_sym_number_literal_token1] = ACTIONS(2899),
    [aux_sym_number_literal_token2] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [anon_sym___asm] = ACTIONS(2815),
    [aux_sym_number_literal_token1] = ACTIONS(2817),
    [aux_sym_number_literal_token2] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym___attribute] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym__Nonnull] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [anon_sym_PROGMEM] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym__Alignas] = ACTIONS(2877),
    [aux_sym_primitive_type_token1] = ACTIONS(2877),
    [anon_sym_byte] = ACTIONS(2877),
    [anon_sym_word] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [anon_sym___asm] = ACTIONS(2877),
    [aux_sym_number_literal_token1] = ACTIONS(2879),
    [aux_sym_number_literal_token2] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym___attribute] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym__Nonnull] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym__Alignas] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [anon_sym___asm] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym___attribute] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym__Nonnull] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [anon_sym_PROGMEM] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym__Alignas] = ACTIONS(2881),
    [aux_sym_primitive_type_token1] = ACTIONS(2881),
    [anon_sym_byte] = ACTIONS(2881),
    [anon_sym_word] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [anon_sym___asm] = ACTIONS(2881),
    [aux_sym_number_literal_token1] = ACTIONS(2883),
    [aux_sym_number_literal_token2] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym___attribute] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym__Nonnull] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [anon_sym_PROGMEM] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym__Alignas] = ACTIONS(2877),
    [aux_sym_primitive_type_token1] = ACTIONS(2877),
    [anon_sym_byte] = ACTIONS(2877),
    [anon_sym_word] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [anon_sym___asm] = ACTIONS(2877),
    [aux_sym_number_literal_token1] = ACTIONS(2879),
    [aux_sym_number_literal_token2] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym___attribute] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym__Nonnull] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [anon_sym_PROGMEM] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym__Alignas] = ACTIONS(2885),
    [aux_sym_primitive_type_token1] = ACTIONS(2885),
    [anon_sym_byte] = ACTIONS(2885),
    [anon_sym_word] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [anon_sym___asm] = ACTIONS(2885),
    [aux_sym_number_literal_token1] = ACTIONS(2887),
    [aux_sym_number_literal_token2] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2843),
    [aux_sym_preproc_include_token1] = ACTIONS(2843),
    [aux_sym_preproc_def_token1] = ACTIONS(2843),
    [aux_sym_preproc_if_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2843),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2843),
    [sym_preproc_directive] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2843),
    [anon_sym_typedef] = ACTIONS(2843),
    [anon_sym_virtual] = ACTIONS(2843),
    [anon_sym_extern] = ACTIONS(2843),
    [anon_sym___attribute__] = ACTIONS(2843),
    [anon_sym___attribute] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2845),
    [anon_sym___declspec] = ACTIONS(2843),
    [anon_sym___based] = ACTIONS(2843),
    [anon_sym___cdecl] = ACTIONS(2843),
    [anon_sym___clrcall] = ACTIONS(2843),
    [anon_sym___stdcall] = ACTIONS(2843),
    [anon_sym___fastcall] = ACTIONS(2843),
    [anon_sym___thiscall] = ACTIONS(2843),
    [anon_sym___vectorcall] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_signed] = ACTIONS(2843),
    [anon_sym_unsigned] = ACTIONS(2843),
    [anon_sym_long] = ACTIONS(2843),
    [anon_sym_short] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2843),
    [anon_sym_register] = ACTIONS(2843),
    [anon_sym_inline] = ACTIONS(2843),
    [anon_sym___inline] = ACTIONS(2843),
    [anon_sym___inline__] = ACTIONS(2843),
    [anon_sym___forceinline] = ACTIONS(2843),
    [anon_sym_thread_local] = ACTIONS(2843),
    [anon_sym___thread] = ACTIONS(2843),
    [anon_sym_const] = ACTIONS(2843),
    [anon_sym_constexpr] = ACTIONS(2843),
    [anon_sym_volatile] = ACTIONS(2843),
    [anon_sym_restrict] = ACTIONS(2843),
    [anon_sym___restrict__] = ACTIONS(2843),
    [anon_sym__Atomic] = ACTIONS(2843),
    [anon_sym__Noreturn] = ACTIONS(2843),
    [anon_sym_noreturn] = ACTIONS(2843),
    [anon_sym__Nonnull] = ACTIONS(2843),
    [anon_sym_mutable] = ACTIONS(2843),
    [anon_sym_constinit] = ACTIONS(2843),
    [anon_sym_consteval] = ACTIONS(2843),
    [anon_sym_PROGMEM] = ACTIONS(2843),
    [anon_sym_alignas] = ACTIONS(2843),
    [anon_sym__Alignas] = ACTIONS(2843),
    [aux_sym_primitive_type_token1] = ACTIONS(2843),
    [anon_sym_byte] = ACTIONS(2843),
    [anon_sym_word] = ACTIONS(2843),
    [anon_sym_enum] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2843),
    [anon_sym_struct] = ACTIONS(2843),
    [anon_sym_union] = ACTIONS(2843),
    [anon_sym_if] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2843),
    [anon_sym_switch] = ACTIONS(2843),
    [anon_sym_case] = ACTIONS(2843),
    [anon_sym_default] = ACTIONS(2843),
    [anon_sym_while] = ACTIONS(2843),
    [anon_sym_do] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_return] = ACTIONS(2843),
    [anon_sym_break] = ACTIONS(2843),
    [anon_sym_continue] = ACTIONS(2843),
    [anon_sym_goto] = ACTIONS(2843),
    [anon_sym___try] = ACTIONS(2843),
    [anon_sym___leave] = ACTIONS(2843),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_compl] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_sizeof] = ACTIONS(2843),
    [anon_sym___alignof__] = ACTIONS(2843),
    [anon_sym___alignof] = ACTIONS(2843),
    [anon_sym__alignof] = ACTIONS(2843),
    [anon_sym_alignof] = ACTIONS(2843),
    [anon_sym__Alignof] = ACTIONS(2843),
    [anon_sym_offsetof] = ACTIONS(2843),
    [anon_sym__Generic] = ACTIONS(2843),
    [anon_sym_asm] = ACTIONS(2843),
    [anon_sym___asm__] = ACTIONS(2843),
    [anon_sym___asm] = ACTIONS(2843),
    [aux_sym_number_literal_token1] = ACTIONS(2845),
    [aux_sym_number_literal_token2] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2845),
    [anon_sym_u_SQUOTE] = ACTIONS(2845),
    [anon_sym_U_SQUOTE] = ACTIONS(2845),
    [anon_sym_u8_SQUOTE] = ACTIONS(2845),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_L_DQUOTE] = ACTIONS(2845),
    [anon_sym_u_DQUOTE] = ACTIONS(2845),
    [anon_sym_U_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_true] = ACTIONS(2843),
    [sym_false] = ACTIONS(2843),
    [anon_sym_NULL] = ACTIONS(2843),
    [anon_sym_nullptr] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2843),
    [anon_sym_decltype] = ACTIONS(2843),
    [anon_sym_explicit] = ACTIONS(2843),
    [anon_sym_typename] = ACTIONS(2843),
    [anon_sym_template] = ACTIONS(2843),
    [anon_sym_operator] = ACTIONS(2843),
    [anon_sym_try] = ACTIONS(2843),
    [anon_sym_delete] = ACTIONS(2843),
    [anon_sym_throw] = ACTIONS(2843),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_using] = ACTIONS(2843),
    [anon_sym_static_assert] = ACTIONS(2843),
    [anon_sym_concept] = ACTIONS(2843),
    [anon_sym_co_return] = ACTIONS(2843),
    [anon_sym_co_yield] = ACTIONS(2843),
    [anon_sym_R_DQUOTE] = ACTIONS(2845),
    [anon_sym_LR_DQUOTE] = ACTIONS(2845),
    [anon_sym_uR_DQUOTE] = ACTIONS(2845),
    [anon_sym_UR_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2845),
    [anon_sym_co_await] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2843),
    [anon_sym_requires] = ACTIONS(2843),
    [sym_this] = ACTIONS(2843),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym___attribute] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym__Nonnull] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [anon_sym_PROGMEM] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym__Alignas] = ACTIONS(2881),
    [aux_sym_primitive_type_token1] = ACTIONS(2881),
    [anon_sym_byte] = ACTIONS(2881),
    [anon_sym_word] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [anon_sym___asm] = ACTIONS(2881),
    [aux_sym_number_literal_token1] = ACTIONS(2883),
    [aux_sym_number_literal_token2] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym___attribute] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym__Nonnull] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [anon_sym_PROGMEM] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym__Alignas] = ACTIONS(2885),
    [aux_sym_primitive_type_token1] = ACTIONS(2885),
    [anon_sym_byte] = ACTIONS(2885),
    [anon_sym_word] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [anon_sym___asm] = ACTIONS(2885),
    [aux_sym_number_literal_token1] = ACTIONS(2887),
    [aux_sym_number_literal_token2] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym___attribute] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym__Nonnull] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [anon_sym_PROGMEM] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(2889),
    [anon_sym_byte] = ACTIONS(2889),
    [anon_sym_word] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [anon_sym___asm] = ACTIONS(2889),
    [aux_sym_number_literal_token1] = ACTIONS(2891),
    [aux_sym_number_literal_token2] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym___attribute] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym__Nonnull] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [anon_sym_PROGMEM] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(2889),
    [anon_sym_byte] = ACTIONS(2889),
    [anon_sym_word] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [anon_sym___asm] = ACTIONS(2889),
    [aux_sym_number_literal_token1] = ACTIONS(2891),
    [aux_sym_number_literal_token2] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym___attribute] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym__Nonnull] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [anon_sym_PROGMEM] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym__Alignas] = ACTIONS(2897),
    [aux_sym_primitive_type_token1] = ACTIONS(2897),
    [anon_sym_byte] = ACTIONS(2897),
    [anon_sym_word] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [anon_sym___asm] = ACTIONS(2897),
    [aux_sym_number_literal_token1] = ACTIONS(2899),
    [aux_sym_number_literal_token2] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_PROGMEM] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [aux_sym_primitive_type_token1] = ACTIONS(2773),
    [anon_sym_byte] = ACTIONS(2773),
    [anon_sym_word] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2831),
    [aux_sym_preproc_include_token1] = ACTIONS(2831),
    [aux_sym_preproc_def_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2831),
    [sym_preproc_directive] = ACTIONS(2831),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2831),
    [anon_sym_typedef] = ACTIONS(2831),
    [anon_sym_virtual] = ACTIONS(2831),
    [anon_sym_extern] = ACTIONS(2831),
    [anon_sym___attribute__] = ACTIONS(2831),
    [anon_sym___attribute] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2833),
    [anon_sym___declspec] = ACTIONS(2831),
    [anon_sym___based] = ACTIONS(2831),
    [anon_sym___cdecl] = ACTIONS(2831),
    [anon_sym___clrcall] = ACTIONS(2831),
    [anon_sym___stdcall] = ACTIONS(2831),
    [anon_sym___fastcall] = ACTIONS(2831),
    [anon_sym___thiscall] = ACTIONS(2831),
    [anon_sym___vectorcall] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2831),
    [anon_sym_unsigned] = ACTIONS(2831),
    [anon_sym_long] = ACTIONS(2831),
    [anon_sym_short] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2831),
    [anon_sym_register] = ACTIONS(2831),
    [anon_sym_inline] = ACTIONS(2831),
    [anon_sym___inline] = ACTIONS(2831),
    [anon_sym___inline__] = ACTIONS(2831),
    [anon_sym___forceinline] = ACTIONS(2831),
    [anon_sym_thread_local] = ACTIONS(2831),
    [anon_sym___thread] = ACTIONS(2831),
    [anon_sym_const] = ACTIONS(2831),
    [anon_sym_constexpr] = ACTIONS(2831),
    [anon_sym_volatile] = ACTIONS(2831),
    [anon_sym_restrict] = ACTIONS(2831),
    [anon_sym___restrict__] = ACTIONS(2831),
    [anon_sym__Atomic] = ACTIONS(2831),
    [anon_sym__Noreturn] = ACTIONS(2831),
    [anon_sym_noreturn] = ACTIONS(2831),
    [anon_sym__Nonnull] = ACTIONS(2831),
    [anon_sym_mutable] = ACTIONS(2831),
    [anon_sym_constinit] = ACTIONS(2831),
    [anon_sym_consteval] = ACTIONS(2831),
    [anon_sym_PROGMEM] = ACTIONS(2831),
    [anon_sym_alignas] = ACTIONS(2831),
    [anon_sym__Alignas] = ACTIONS(2831),
    [aux_sym_primitive_type_token1] = ACTIONS(2831),
    [anon_sym_byte] = ACTIONS(2831),
    [anon_sym_word] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(2831),
    [anon_sym_union] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2831),
    [anon_sym_switch] = ACTIONS(2831),
    [anon_sym_case] = ACTIONS(2831),
    [anon_sym_default] = ACTIONS(2831),
    [anon_sym_while] = ACTIONS(2831),
    [anon_sym_do] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_return] = ACTIONS(2831),
    [anon_sym_break] = ACTIONS(2831),
    [anon_sym_continue] = ACTIONS(2831),
    [anon_sym_goto] = ACTIONS(2831),
    [anon_sym___try] = ACTIONS(2831),
    [anon_sym___leave] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2831),
    [anon_sym_compl] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_sizeof] = ACTIONS(2831),
    [anon_sym___alignof__] = ACTIONS(2831),
    [anon_sym___alignof] = ACTIONS(2831),
    [anon_sym__alignof] = ACTIONS(2831),
    [anon_sym_alignof] = ACTIONS(2831),
    [anon_sym__Alignof] = ACTIONS(2831),
    [anon_sym_offsetof] = ACTIONS(2831),
    [anon_sym__Generic] = ACTIONS(2831),
    [anon_sym_asm] = ACTIONS(2831),
    [anon_sym___asm__] = ACTIONS(2831),
    [anon_sym___asm] = ACTIONS(2831),
    [aux_sym_number_literal_token1] = ACTIONS(2833),
    [aux_sym_number_literal_token2] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2833),
    [anon_sym_u_SQUOTE] = ACTIONS(2833),
    [anon_sym_U_SQUOTE] = ACTIONS(2833),
    [anon_sym_u8_SQUOTE] = ACTIONS(2833),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_L_DQUOTE] = ACTIONS(2833),
    [anon_sym_u_DQUOTE] = ACTIONS(2833),
    [anon_sym_U_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [sym_true] = ACTIONS(2831),
    [sym_false] = ACTIONS(2831),
    [anon_sym_NULL] = ACTIONS(2831),
    [anon_sym_nullptr] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2831),
    [anon_sym_decltype] = ACTIONS(2831),
    [anon_sym_explicit] = ACTIONS(2831),
    [anon_sym_typename] = ACTIONS(2831),
    [anon_sym_template] = ACTIONS(2831),
    [anon_sym_operator] = ACTIONS(2831),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_delete] = ACTIONS(2831),
    [anon_sym_throw] = ACTIONS(2831),
    [anon_sym_namespace] = ACTIONS(2831),
    [anon_sym_using] = ACTIONS(2831),
    [anon_sym_static_assert] = ACTIONS(2831),
    [anon_sym_concept] = ACTIONS(2831),
    [anon_sym_co_return] = ACTIONS(2831),
    [anon_sym_co_yield] = ACTIONS(2831),
    [anon_sym_R_DQUOTE] = ACTIONS(2833),
    [anon_sym_LR_DQUOTE] = ACTIONS(2833),
    [anon_sym_uR_DQUOTE] = ACTIONS(2833),
    [anon_sym_UR_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2833),
    [anon_sym_co_await] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2831),
    [anon_sym_requires] = ACTIONS(2831),
    [sym_this] = ACTIONS(2831),
  },
  [475] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2581),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_include_token1] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2579),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym___cdecl] = ACTIONS(2579),
    [anon_sym___clrcall] = ACTIONS(2579),
    [anon_sym___stdcall] = ACTIONS(2579),
    [anon_sym___fastcall] = ACTIONS(2579),
    [anon_sym___thiscall] = ACTIONS(2579),
    [anon_sym___vectorcall] = ACTIONS(2579),
    [anon_sym_LBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [anon_sym_if] = ACTIONS(2579),
    [anon_sym_switch] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2579),
    [anon_sym_default] = ACTIONS(2579),
    [anon_sym_while] = ACTIONS(2579),
    [anon_sym_do] = ACTIONS(2579),
    [anon_sym_for] = ACTIONS(2579),
    [anon_sym_return] = ACTIONS(2579),
    [anon_sym_break] = ACTIONS(2579),
    [anon_sym_continue] = ACTIONS(2579),
    [anon_sym_goto] = ACTIONS(2579),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_compl] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2581),
    [anon_sym_sizeof] = ACTIONS(2579),
    [anon_sym___alignof__] = ACTIONS(2579),
    [anon_sym___alignof] = ACTIONS(2579),
    [anon_sym__alignof] = ACTIONS(2579),
    [anon_sym_alignof] = ACTIONS(2579),
    [anon_sym__Alignof] = ACTIONS(2579),
    [anon_sym_offsetof] = ACTIONS(2579),
    [anon_sym__Generic] = ACTIONS(2579),
    [anon_sym_asm] = ACTIONS(2579),
    [anon_sym___asm__] = ACTIONS(2579),
    [anon_sym___asm] = ACTIONS(2579),
    [aux_sym_number_literal_token1] = ACTIONS(2581),
    [aux_sym_number_literal_token2] = ACTIONS(2579),
    [anon_sym_L_SQUOTE] = ACTIONS(2581),
    [anon_sym_u_SQUOTE] = ACTIONS(2581),
    [anon_sym_U_SQUOTE] = ACTIONS(2581),
    [anon_sym_u8_SQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE] = ACTIONS(2581),
    [anon_sym_L_DQUOTE] = ACTIONS(2581),
    [anon_sym_u_DQUOTE] = ACTIONS(2581),
    [anon_sym_U_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8_DQUOTE] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [sym_true] = ACTIONS(2579),
    [sym_false] = ACTIONS(2579),
    [anon_sym_NULL] = ACTIONS(2579),
    [anon_sym_nullptr] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_delete] = ACTIONS(2579),
    [anon_sym_throw] = ACTIONS(2579),
    [anon_sym_namespace] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_concept] = ACTIONS(2579),
    [anon_sym_co_return] = ACTIONS(2579),
    [anon_sym_co_yield] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2581),
    [anon_sym_LR_DQUOTE] = ACTIONS(2581),
    [anon_sym_uR_DQUOTE] = ACTIONS(2581),
    [anon_sym_UR_DQUOTE] = ACTIONS(2581),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2581),
    [anon_sym_co_await] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2579),
    [anon_sym_requires] = ACTIONS(2579),
    [sym_this] = ACTIONS(2579),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token2] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2714),
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2709),
    [anon_sym_byte] = ACTIONS(2709),
    [anon_sym_word] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [anon_sym___asm] = ACTIONS(2709),
    [aux_sym_number_literal_token1] = ACTIONS(2714),
    [aux_sym_number_literal_token2] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym___attribute] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_PROGMEM] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [aux_sym_primitive_type_token1] = ACTIONS(2905),
    [anon_sym_byte] = ACTIONS(2905),
    [anon_sym_word] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [aux_sym_number_literal_token1] = ACTIONS(2907),
    [aux_sym_number_literal_token2] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [anon_sym___asm] = ACTIONS(2777),
    [aux_sym_number_literal_token1] = ACTIONS(2779),
    [aux_sym_number_literal_token2] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_PROGMEM] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [aux_sym_primitive_type_token1] = ACTIONS(2773),
    [anon_sym_byte] = ACTIONS(2773),
    [anon_sym_word] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(2837),
    [sym_identifier] = ACTIONS(2835),
    [aux_sym_preproc_include_token1] = ACTIONS(2835),
    [aux_sym_preproc_def_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2835),
    [sym_preproc_directive] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2835),
    [anon_sym_typedef] = ACTIONS(2835),
    [anon_sym_virtual] = ACTIONS(2835),
    [anon_sym_extern] = ACTIONS(2835),
    [anon_sym___attribute__] = ACTIONS(2835),
    [anon_sym___attribute] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2837),
    [anon_sym___declspec] = ACTIONS(2835),
    [anon_sym___based] = ACTIONS(2835),
    [anon_sym___cdecl] = ACTIONS(2835),
    [anon_sym___clrcall] = ACTIONS(2835),
    [anon_sym___stdcall] = ACTIONS(2835),
    [anon_sym___fastcall] = ACTIONS(2835),
    [anon_sym___thiscall] = ACTIONS(2835),
    [anon_sym___vectorcall] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2835),
    [anon_sym_unsigned] = ACTIONS(2835),
    [anon_sym_long] = ACTIONS(2835),
    [anon_sym_short] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_register] = ACTIONS(2835),
    [anon_sym_inline] = ACTIONS(2835),
    [anon_sym___inline] = ACTIONS(2835),
    [anon_sym___inline__] = ACTIONS(2835),
    [anon_sym___forceinline] = ACTIONS(2835),
    [anon_sym_thread_local] = ACTIONS(2835),
    [anon_sym___thread] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(2835),
    [anon_sym_constexpr] = ACTIONS(2835),
    [anon_sym_volatile] = ACTIONS(2835),
    [anon_sym_restrict] = ACTIONS(2835),
    [anon_sym___restrict__] = ACTIONS(2835),
    [anon_sym__Atomic] = ACTIONS(2835),
    [anon_sym__Noreturn] = ACTIONS(2835),
    [anon_sym_noreturn] = ACTIONS(2835),
    [anon_sym__Nonnull] = ACTIONS(2835),
    [anon_sym_mutable] = ACTIONS(2835),
    [anon_sym_constinit] = ACTIONS(2835),
    [anon_sym_consteval] = ACTIONS(2835),
    [anon_sym_PROGMEM] = ACTIONS(2835),
    [anon_sym_alignas] = ACTIONS(2835),
    [anon_sym__Alignas] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(2835),
    [anon_sym_byte] = ACTIONS(2835),
    [anon_sym_word] = ACTIONS(2835),
    [anon_sym_enum] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2835),
    [anon_sym_union] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2835),
    [anon_sym_switch] = ACTIONS(2835),
    [anon_sym_case] = ACTIONS(2835),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_while] = ACTIONS(2835),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_return] = ACTIONS(2835),
    [anon_sym_break] = ACTIONS(2835),
    [anon_sym_continue] = ACTIONS(2835),
    [anon_sym_goto] = ACTIONS(2835),
    [anon_sym___try] = ACTIONS(2835),
    [anon_sym___leave] = ACTIONS(2835),
    [anon_sym_not] = ACTIONS(2835),
    [anon_sym_compl] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_sizeof] = ACTIONS(2835),
    [anon_sym___alignof__] = ACTIONS(2835),
    [anon_sym___alignof] = ACTIONS(2835),
    [anon_sym__alignof] = ACTIONS(2835),
    [anon_sym_alignof] = ACTIONS(2835),
    [anon_sym__Alignof] = ACTIONS(2835),
    [anon_sym_offsetof] = ACTIONS(2835),
    [anon_sym__Generic] = ACTIONS(2835),
    [anon_sym_asm] = ACTIONS(2835),
    [anon_sym___asm__] = ACTIONS(2835),
    [anon_sym___asm] = ACTIONS(2835),
    [aux_sym_number_literal_token1] = ACTIONS(2837),
    [aux_sym_number_literal_token2] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2837),
    [anon_sym_u_SQUOTE] = ACTIONS(2837),
    [anon_sym_U_SQUOTE] = ACTIONS(2837),
    [anon_sym_u8_SQUOTE] = ACTIONS(2837),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_L_DQUOTE] = ACTIONS(2837),
    [anon_sym_u_DQUOTE] = ACTIONS(2837),
    [anon_sym_U_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [sym_true] = ACTIONS(2835),
    [sym_false] = ACTIONS(2835),
    [anon_sym_NULL] = ACTIONS(2835),
    [anon_sym_nullptr] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2835),
    [anon_sym_decltype] = ACTIONS(2835),
    [anon_sym_explicit] = ACTIONS(2835),
    [anon_sym_typename] = ACTIONS(2835),
    [anon_sym_template] = ACTIONS(2835),
    [anon_sym_operator] = ACTIONS(2835),
    [anon_sym_try] = ACTIONS(2835),
    [anon_sym_delete] = ACTIONS(2835),
    [anon_sym_throw] = ACTIONS(2835),
    [anon_sym_namespace] = ACTIONS(2835),
    [anon_sym_using] = ACTIONS(2835),
    [anon_sym_static_assert] = ACTIONS(2835),
    [anon_sym_concept] = ACTIONS(2835),
    [anon_sym_co_return] = ACTIONS(2835),
    [anon_sym_co_yield] = ACTIONS(2835),
    [anon_sym_R_DQUOTE] = ACTIONS(2837),
    [anon_sym_LR_DQUOTE] = ACTIONS(2837),
    [anon_sym_uR_DQUOTE] = ACTIONS(2837),
    [anon_sym_UR_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2837),
    [anon_sym_co_await] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2835),
    [anon_sym_requires] = ACTIONS(2835),
    [sym_this] = ACTIONS(2835),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2839),
    [aux_sym_preproc_include_token1] = ACTIONS(2839),
    [aux_sym_preproc_def_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token2] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2839),
    [sym_preproc_directive] = ACTIONS(2839),
    [anon_sym_LPAREN2] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2839),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_virtual] = ACTIONS(2839),
    [anon_sym_extern] = ACTIONS(2839),
    [anon_sym___attribute__] = ACTIONS(2839),
    [anon_sym___attribute] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2841),
    [anon_sym___declspec] = ACTIONS(2839),
    [anon_sym___based] = ACTIONS(2839),
    [anon_sym___cdecl] = ACTIONS(2839),
    [anon_sym___clrcall] = ACTIONS(2839),
    [anon_sym___stdcall] = ACTIONS(2839),
    [anon_sym___fastcall] = ACTIONS(2839),
    [anon_sym___thiscall] = ACTIONS(2839),
    [anon_sym___vectorcall] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2839),
    [anon_sym_unsigned] = ACTIONS(2839),
    [anon_sym_long] = ACTIONS(2839),
    [anon_sym_short] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2839),
    [anon_sym_register] = ACTIONS(2839),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym___inline] = ACTIONS(2839),
    [anon_sym___inline__] = ACTIONS(2839),
    [anon_sym___forceinline] = ACTIONS(2839),
    [anon_sym_thread_local] = ACTIONS(2839),
    [anon_sym___thread] = ACTIONS(2839),
    [anon_sym_const] = ACTIONS(2839),
    [anon_sym_constexpr] = ACTIONS(2839),
    [anon_sym_volatile] = ACTIONS(2839),
    [anon_sym_restrict] = ACTIONS(2839),
    [anon_sym___restrict__] = ACTIONS(2839),
    [anon_sym__Atomic] = ACTIONS(2839),
    [anon_sym__Noreturn] = ACTIONS(2839),
    [anon_sym_noreturn] = ACTIONS(2839),
    [anon_sym__Nonnull] = ACTIONS(2839),
    [anon_sym_mutable] = ACTIONS(2839),
    [anon_sym_constinit] = ACTIONS(2839),
    [anon_sym_consteval] = ACTIONS(2839),
    [anon_sym_PROGMEM] = ACTIONS(2839),
    [anon_sym_alignas] = ACTIONS(2839),
    [anon_sym__Alignas] = ACTIONS(2839),
    [aux_sym_primitive_type_token1] = ACTIONS(2839),
    [anon_sym_byte] = ACTIONS(2839),
    [anon_sym_word] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2839),
    [anon_sym_struct] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2839),
    [anon_sym_switch] = ACTIONS(2839),
    [anon_sym_case] = ACTIONS(2839),
    [anon_sym_default] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2839),
    [anon_sym_do] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_break] = ACTIONS(2839),
    [anon_sym_continue] = ACTIONS(2839),
    [anon_sym_goto] = ACTIONS(2839),
    [anon_sym___try] = ACTIONS(2839),
    [anon_sym___leave] = ACTIONS(2839),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_compl] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_sizeof] = ACTIONS(2839),
    [anon_sym___alignof__] = ACTIONS(2839),
    [anon_sym___alignof] = ACTIONS(2839),
    [anon_sym__alignof] = ACTIONS(2839),
    [anon_sym_alignof] = ACTIONS(2839),
    [anon_sym__Alignof] = ACTIONS(2839),
    [anon_sym_offsetof] = ACTIONS(2839),
    [anon_sym__Generic] = ACTIONS(2839),
    [anon_sym_asm] = ACTIONS(2839),
    [anon_sym___asm__] = ACTIONS(2839),
    [anon_sym___asm] = ACTIONS(2839),
    [aux_sym_number_literal_token1] = ACTIONS(2841),
    [aux_sym_number_literal_token2] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2841),
    [anon_sym_u_SQUOTE] = ACTIONS(2841),
    [anon_sym_U_SQUOTE] = ACTIONS(2841),
    [anon_sym_u8_SQUOTE] = ACTIONS(2841),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_L_DQUOTE] = ACTIONS(2841),
    [anon_sym_u_DQUOTE] = ACTIONS(2841),
    [anon_sym_U_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [sym_true] = ACTIONS(2839),
    [sym_false] = ACTIONS(2839),
    [anon_sym_NULL] = ACTIONS(2839),
    [anon_sym_nullptr] = ACTIONS(2839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2839),
    [anon_sym_decltype] = ACTIONS(2839),
    [anon_sym_explicit] = ACTIONS(2839),
    [anon_sym_typename] = ACTIONS(2839),
    [anon_sym_template] = ACTIONS(2839),
    [anon_sym_operator] = ACTIONS(2839),
    [anon_sym_try] = ACTIONS(2839),
    [anon_sym_delete] = ACTIONS(2839),
    [anon_sym_throw] = ACTIONS(2839),
    [anon_sym_namespace] = ACTIONS(2839),
    [anon_sym_using] = ACTIONS(2839),
    [anon_sym_static_assert] = ACTIONS(2839),
    [anon_sym_concept] = ACTIONS(2839),
    [anon_sym_co_return] = ACTIONS(2839),
    [anon_sym_co_yield] = ACTIONS(2839),
    [anon_sym_R_DQUOTE] = ACTIONS(2841),
    [anon_sym_LR_DQUOTE] = ACTIONS(2841),
    [anon_sym_uR_DQUOTE] = ACTIONS(2841),
    [anon_sym_UR_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2841),
    [anon_sym_co_await] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2839),
    [anon_sym_requires] = ACTIONS(2839),
    [sym_this] = ACTIONS(2839),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2827),
    [aux_sym_preproc_include_token1] = ACTIONS(2827),
    [aux_sym_preproc_def_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token2] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2827),
    [sym_preproc_directive] = ACTIONS(2827),
    [anon_sym_LPAREN2] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2827),
    [anon_sym_typedef] = ACTIONS(2827),
    [anon_sym_virtual] = ACTIONS(2827),
    [anon_sym_extern] = ACTIONS(2827),
    [anon_sym___attribute__] = ACTIONS(2827),
    [anon_sym___attribute] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2829),
    [anon_sym___declspec] = ACTIONS(2827),
    [anon_sym___based] = ACTIONS(2827),
    [anon_sym___cdecl] = ACTIONS(2827),
    [anon_sym___clrcall] = ACTIONS(2827),
    [anon_sym___stdcall] = ACTIONS(2827),
    [anon_sym___fastcall] = ACTIONS(2827),
    [anon_sym___thiscall] = ACTIONS(2827),
    [anon_sym___vectorcall] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2827),
    [anon_sym_unsigned] = ACTIONS(2827),
    [anon_sym_long] = ACTIONS(2827),
    [anon_sym_short] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2827),
    [anon_sym_register] = ACTIONS(2827),
    [anon_sym_inline] = ACTIONS(2827),
    [anon_sym___inline] = ACTIONS(2827),
    [anon_sym___inline__] = ACTIONS(2827),
    [anon_sym___forceinline] = ACTIONS(2827),
    [anon_sym_thread_local] = ACTIONS(2827),
    [anon_sym___thread] = ACTIONS(2827),
    [anon_sym_const] = ACTIONS(2827),
    [anon_sym_constexpr] = ACTIONS(2827),
    [anon_sym_volatile] = ACTIONS(2827),
    [anon_sym_restrict] = ACTIONS(2827),
    [anon_sym___restrict__] = ACTIONS(2827),
    [anon_sym__Atomic] = ACTIONS(2827),
    [anon_sym__Noreturn] = ACTIONS(2827),
    [anon_sym_noreturn] = ACTIONS(2827),
    [anon_sym__Nonnull] = ACTIONS(2827),
    [anon_sym_mutable] = ACTIONS(2827),
    [anon_sym_constinit] = ACTIONS(2827),
    [anon_sym_consteval] = ACTIONS(2827),
    [anon_sym_PROGMEM] = ACTIONS(2827),
    [anon_sym_alignas] = ACTIONS(2827),
    [anon_sym__Alignas] = ACTIONS(2827),
    [aux_sym_primitive_type_token1] = ACTIONS(2827),
    [anon_sym_byte] = ACTIONS(2827),
    [anon_sym_word] = ACTIONS(2827),
    [anon_sym_enum] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2827),
    [anon_sym_struct] = ACTIONS(2827),
    [anon_sym_union] = ACTIONS(2827),
    [anon_sym_if] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2827),
    [anon_sym_switch] = ACTIONS(2827),
    [anon_sym_case] = ACTIONS(2827),
    [anon_sym_default] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_return] = ACTIONS(2827),
    [anon_sym_break] = ACTIONS(2827),
    [anon_sym_continue] = ACTIONS(2827),
    [anon_sym_goto] = ACTIONS(2827),
    [anon_sym___try] = ACTIONS(2827),
    [anon_sym___leave] = ACTIONS(2827),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_compl] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_sizeof] = ACTIONS(2827),
    [anon_sym___alignof__] = ACTIONS(2827),
    [anon_sym___alignof] = ACTIONS(2827),
    [anon_sym__alignof] = ACTIONS(2827),
    [anon_sym_alignof] = ACTIONS(2827),
    [anon_sym__Alignof] = ACTIONS(2827),
    [anon_sym_offsetof] = ACTIONS(2827),
    [anon_sym__Generic] = ACTIONS(2827),
    [anon_sym_asm] = ACTIONS(2827),
    [anon_sym___asm__] = ACTIONS(2827),
    [anon_sym___asm] = ACTIONS(2827),
    [aux_sym_number_literal_token1] = ACTIONS(2829),
    [aux_sym_number_literal_token2] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2829),
    [anon_sym_u_SQUOTE] = ACTIONS(2829),
    [anon_sym_U_SQUOTE] = ACTIONS(2829),
    [anon_sym_u8_SQUOTE] = ACTIONS(2829),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_L_DQUOTE] = ACTIONS(2829),
    [anon_sym_u_DQUOTE] = ACTIONS(2829),
    [anon_sym_U_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [sym_true] = ACTIONS(2827),
    [sym_false] = ACTIONS(2827),
    [anon_sym_NULL] = ACTIONS(2827),
    [anon_sym_nullptr] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2827),
    [anon_sym_decltype] = ACTIONS(2827),
    [anon_sym_explicit] = ACTIONS(2827),
    [anon_sym_typename] = ACTIONS(2827),
    [anon_sym_template] = ACTIONS(2827),
    [anon_sym_operator] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_throw] = ACTIONS(2827),
    [anon_sym_namespace] = ACTIONS(2827),
    [anon_sym_using] = ACTIONS(2827),
    [anon_sym_static_assert] = ACTIONS(2827),
    [anon_sym_concept] = ACTIONS(2827),
    [anon_sym_co_return] = ACTIONS(2827),
    [anon_sym_co_yield] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2829),
    [anon_sym_LR_DQUOTE] = ACTIONS(2829),
    [anon_sym_uR_DQUOTE] = ACTIONS(2829),
    [anon_sym_UR_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2829),
    [anon_sym_co_await] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2827),
    [anon_sym_requires] = ACTIONS(2827),
    [sym_this] = ACTIONS(2827),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2758),
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2758),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2833),
    [sym_identifier] = ACTIONS(2831),
    [aux_sym_preproc_include_token1] = ACTIONS(2831),
    [aux_sym_preproc_def_token1] = ACTIONS(2831),
    [aux_sym_preproc_if_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2831),
    [sym_preproc_directive] = ACTIONS(2831),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2833),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2831),
    [anon_sym_typedef] = ACTIONS(2831),
    [anon_sym_virtual] = ACTIONS(2831),
    [anon_sym_extern] = ACTIONS(2831),
    [anon_sym___attribute__] = ACTIONS(2831),
    [anon_sym___attribute] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2833),
    [anon_sym___declspec] = ACTIONS(2831),
    [anon_sym___based] = ACTIONS(2831),
    [anon_sym___cdecl] = ACTIONS(2831),
    [anon_sym___clrcall] = ACTIONS(2831),
    [anon_sym___stdcall] = ACTIONS(2831),
    [anon_sym___fastcall] = ACTIONS(2831),
    [anon_sym___thiscall] = ACTIONS(2831),
    [anon_sym___vectorcall] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2831),
    [anon_sym_unsigned] = ACTIONS(2831),
    [anon_sym_long] = ACTIONS(2831),
    [anon_sym_short] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2831),
    [anon_sym_register] = ACTIONS(2831),
    [anon_sym_inline] = ACTIONS(2831),
    [anon_sym___inline] = ACTIONS(2831),
    [anon_sym___inline__] = ACTIONS(2831),
    [anon_sym___forceinline] = ACTIONS(2831),
    [anon_sym_thread_local] = ACTIONS(2831),
    [anon_sym___thread] = ACTIONS(2831),
    [anon_sym_const] = ACTIONS(2831),
    [anon_sym_constexpr] = ACTIONS(2831),
    [anon_sym_volatile] = ACTIONS(2831),
    [anon_sym_restrict] = ACTIONS(2831),
    [anon_sym___restrict__] = ACTIONS(2831),
    [anon_sym__Atomic] = ACTIONS(2831),
    [anon_sym__Noreturn] = ACTIONS(2831),
    [anon_sym_noreturn] = ACTIONS(2831),
    [anon_sym__Nonnull] = ACTIONS(2831),
    [anon_sym_mutable] = ACTIONS(2831),
    [anon_sym_constinit] = ACTIONS(2831),
    [anon_sym_consteval] = ACTIONS(2831),
    [anon_sym_PROGMEM] = ACTIONS(2831),
    [anon_sym_alignas] = ACTIONS(2831),
    [anon_sym__Alignas] = ACTIONS(2831),
    [aux_sym_primitive_type_token1] = ACTIONS(2831),
    [anon_sym_byte] = ACTIONS(2831),
    [anon_sym_word] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(2831),
    [anon_sym_union] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2831),
    [anon_sym_switch] = ACTIONS(2831),
    [anon_sym_case] = ACTIONS(2831),
    [anon_sym_default] = ACTIONS(2831),
    [anon_sym_while] = ACTIONS(2831),
    [anon_sym_do] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_return] = ACTIONS(2831),
    [anon_sym_break] = ACTIONS(2831),
    [anon_sym_continue] = ACTIONS(2831),
    [anon_sym_goto] = ACTIONS(2831),
    [anon_sym___try] = ACTIONS(2831),
    [anon_sym___leave] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2831),
    [anon_sym_compl] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_sizeof] = ACTIONS(2831),
    [anon_sym___alignof__] = ACTIONS(2831),
    [anon_sym___alignof] = ACTIONS(2831),
    [anon_sym__alignof] = ACTIONS(2831),
    [anon_sym_alignof] = ACTIONS(2831),
    [anon_sym__Alignof] = ACTIONS(2831),
    [anon_sym_offsetof] = ACTIONS(2831),
    [anon_sym__Generic] = ACTIONS(2831),
    [anon_sym_asm] = ACTIONS(2831),
    [anon_sym___asm__] = ACTIONS(2831),
    [anon_sym___asm] = ACTIONS(2831),
    [aux_sym_number_literal_token1] = ACTIONS(2833),
    [aux_sym_number_literal_token2] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2833),
    [anon_sym_u_SQUOTE] = ACTIONS(2833),
    [anon_sym_U_SQUOTE] = ACTIONS(2833),
    [anon_sym_u8_SQUOTE] = ACTIONS(2833),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_L_DQUOTE] = ACTIONS(2833),
    [anon_sym_u_DQUOTE] = ACTIONS(2833),
    [anon_sym_U_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [sym_true] = ACTIONS(2831),
    [sym_false] = ACTIONS(2831),
    [anon_sym_NULL] = ACTIONS(2831),
    [anon_sym_nullptr] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2831),
    [anon_sym_decltype] = ACTIONS(2831),
    [anon_sym_explicit] = ACTIONS(2831),
    [anon_sym_typename] = ACTIONS(2831),
    [anon_sym_template] = ACTIONS(2831),
    [anon_sym_operator] = ACTIONS(2831),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_delete] = ACTIONS(2831),
    [anon_sym_throw] = ACTIONS(2831),
    [anon_sym_namespace] = ACTIONS(2831),
    [anon_sym_using] = ACTIONS(2831),
    [anon_sym_static_assert] = ACTIONS(2831),
    [anon_sym_concept] = ACTIONS(2831),
    [anon_sym_co_return] = ACTIONS(2831),
    [anon_sym_co_yield] = ACTIONS(2831),
    [anon_sym_R_DQUOTE] = ACTIONS(2833),
    [anon_sym_LR_DQUOTE] = ACTIONS(2833),
    [anon_sym_uR_DQUOTE] = ACTIONS(2833),
    [anon_sym_UR_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2833),
    [anon_sym_co_await] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2831),
    [anon_sym_requires] = ACTIONS(2831),
    [sym_this] = ACTIONS(2831),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token2] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2758),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [500] = {
    [sym_catch_clause] = STATE(323),
    [aux_sym_constructor_try_statement_repeat1] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(2577),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_include_token1] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym___cdecl] = ACTIONS(2575),
    [anon_sym___clrcall] = ACTIONS(2575),
    [anon_sym___stdcall] = ACTIONS(2575),
    [anon_sym___fastcall] = ACTIONS(2575),
    [anon_sym___thiscall] = ACTIONS(2575),
    [anon_sym___vectorcall] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2575),
    [anon_sym_break] = ACTIONS(2575),
    [anon_sym_continue] = ACTIONS(2575),
    [anon_sym_goto] = ACTIONS(2575),
    [anon_sym_not] = ACTIONS(2575),
    [anon_sym_compl] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2577),
    [anon_sym_sizeof] = ACTIONS(2575),
    [anon_sym___alignof__] = ACTIONS(2575),
    [anon_sym___alignof] = ACTIONS(2575),
    [anon_sym__alignof] = ACTIONS(2575),
    [anon_sym_alignof] = ACTIONS(2575),
    [anon_sym__Alignof] = ACTIONS(2575),
    [anon_sym_offsetof] = ACTIONS(2575),
    [anon_sym__Generic] = ACTIONS(2575),
    [anon_sym_asm] = ACTIONS(2575),
    [anon_sym___asm__] = ACTIONS(2575),
    [anon_sym___asm] = ACTIONS(2575),
    [aux_sym_number_literal_token1] = ACTIONS(2577),
    [aux_sym_number_literal_token2] = ACTIONS(2575),
    [anon_sym_L_SQUOTE] = ACTIONS(2577),
    [anon_sym_u_SQUOTE] = ACTIONS(2577),
    [anon_sym_U_SQUOTE] = ACTIONS(2577),
    [anon_sym_u8_SQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE] = ACTIONS(2577),
    [anon_sym_L_DQUOTE] = ACTIONS(2577),
    [anon_sym_u_DQUOTE] = ACTIONS(2577),
    [anon_sym_U_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8_DQUOTE] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [sym_true] = ACTIONS(2575),
    [sym_false] = ACTIONS(2575),
    [anon_sym_NULL] = ACTIONS(2575),
    [anon_sym_nullptr] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_try] = ACTIONS(2575),
    [anon_sym_delete] = ACTIONS(2575),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_namespace] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_concept] = ACTIONS(2575),
    [anon_sym_co_return] = ACTIONS(2575),
    [anon_sym_co_yield] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2577),
    [anon_sym_LR_DQUOTE] = ACTIONS(2577),
    [anon_sym_uR_DQUOTE] = ACTIONS(2577),
    [anon_sym_UR_DQUOTE] = ACTIONS(2577),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2577),
    [anon_sym_co_await] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2575),
    [anon_sym_requires] = ACTIONS(2575),
    [sym_this] = ACTIONS(2575),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2819),
    [aux_sym_preproc_include_token1] = ACTIONS(2819),
    [aux_sym_preproc_def_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token2] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2819),
    [sym_preproc_directive] = ACTIONS(2819),
    [anon_sym_LPAREN2] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2819),
    [anon_sym_typedef] = ACTIONS(2819),
    [anon_sym_virtual] = ACTIONS(2819),
    [anon_sym_extern] = ACTIONS(2819),
    [anon_sym___attribute__] = ACTIONS(2819),
    [anon_sym___attribute] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2821),
    [anon_sym___declspec] = ACTIONS(2819),
    [anon_sym___based] = ACTIONS(2819),
    [anon_sym___cdecl] = ACTIONS(2819),
    [anon_sym___clrcall] = ACTIONS(2819),
    [anon_sym___stdcall] = ACTIONS(2819),
    [anon_sym___fastcall] = ACTIONS(2819),
    [anon_sym___thiscall] = ACTIONS(2819),
    [anon_sym___vectorcall] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2819),
    [anon_sym_unsigned] = ACTIONS(2819),
    [anon_sym_long] = ACTIONS(2819),
    [anon_sym_short] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2819),
    [anon_sym_register] = ACTIONS(2819),
    [anon_sym_inline] = ACTIONS(2819),
    [anon_sym___inline] = ACTIONS(2819),
    [anon_sym___inline__] = ACTIONS(2819),
    [anon_sym___forceinline] = ACTIONS(2819),
    [anon_sym_thread_local] = ACTIONS(2819),
    [anon_sym___thread] = ACTIONS(2819),
    [anon_sym_const] = ACTIONS(2819),
    [anon_sym_constexpr] = ACTIONS(2819),
    [anon_sym_volatile] = ACTIONS(2819),
    [anon_sym_restrict] = ACTIONS(2819),
    [anon_sym___restrict__] = ACTIONS(2819),
    [anon_sym__Atomic] = ACTIONS(2819),
    [anon_sym__Noreturn] = ACTIONS(2819),
    [anon_sym_noreturn] = ACTIONS(2819),
    [anon_sym__Nonnull] = ACTIONS(2819),
    [anon_sym_mutable] = ACTIONS(2819),
    [anon_sym_constinit] = ACTIONS(2819),
    [anon_sym_consteval] = ACTIONS(2819),
    [anon_sym_PROGMEM] = ACTIONS(2819),
    [anon_sym_alignas] = ACTIONS(2819),
    [anon_sym__Alignas] = ACTIONS(2819),
    [aux_sym_primitive_type_token1] = ACTIONS(2819),
    [anon_sym_byte] = ACTIONS(2819),
    [anon_sym_word] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2819),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_switch] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2819),
    [anon_sym_default] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_do] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_return] = ACTIONS(2819),
    [anon_sym_break] = ACTIONS(2819),
    [anon_sym_continue] = ACTIONS(2819),
    [anon_sym_goto] = ACTIONS(2819),
    [anon_sym___try] = ACTIONS(2819),
    [anon_sym___leave] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_sizeof] = ACTIONS(2819),
    [anon_sym___alignof__] = ACTIONS(2819),
    [anon_sym___alignof] = ACTIONS(2819),
    [anon_sym__alignof] = ACTIONS(2819),
    [anon_sym_alignof] = ACTIONS(2819),
    [anon_sym__Alignof] = ACTIONS(2819),
    [anon_sym_offsetof] = ACTIONS(2819),
    [anon_sym__Generic] = ACTIONS(2819),
    [anon_sym_asm] = ACTIONS(2819),
    [anon_sym___asm__] = ACTIONS(2819),
    [anon_sym___asm] = ACTIONS(2819),
    [aux_sym_number_literal_token1] = ACTIONS(2821),
    [aux_sym_number_literal_token2] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2821),
    [anon_sym_u_SQUOTE] = ACTIONS(2821),
    [anon_sym_U_SQUOTE] = ACTIONS(2821),
    [anon_sym_u8_SQUOTE] = ACTIONS(2821),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_L_DQUOTE] = ACTIONS(2821),
    [anon_sym_u_DQUOTE] = ACTIONS(2821),
    [anon_sym_U_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [sym_true] = ACTIONS(2819),
    [sym_false] = ACTIONS(2819),
    [anon_sym_NULL] = ACTIONS(2819),
    [anon_sym_nullptr] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2819),
    [anon_sym_decltype] = ACTIONS(2819),
    [anon_sym_explicit] = ACTIONS(2819),
    [anon_sym_typename] = ACTIONS(2819),
    [anon_sym_template] = ACTIONS(2819),
    [anon_sym_operator] = ACTIONS(2819),
    [anon_sym_try] = ACTIONS(2819),
    [anon_sym_delete] = ACTIONS(2819),
    [anon_sym_throw] = ACTIONS(2819),
    [anon_sym_namespace] = ACTIONS(2819),
    [anon_sym_using] = ACTIONS(2819),
    [anon_sym_static_assert] = ACTIONS(2819),
    [anon_sym_concept] = ACTIONS(2819),
    [anon_sym_co_return] = ACTIONS(2819),
    [anon_sym_co_yield] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2821),
    [anon_sym_LR_DQUOTE] = ACTIONS(2821),
    [anon_sym_uR_DQUOTE] = ACTIONS(2821),
    [anon_sym_UR_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2821),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_requires] = ACTIONS(2819),
    [sym_this] = ACTIONS(2819),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token2] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym___attribute] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym__Nonnull] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [anon_sym_PROGMEM] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym__Alignas] = ACTIONS(2769),
    [aux_sym_primitive_type_token1] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_word] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [anon_sym___asm] = ACTIONS(2769),
    [aux_sym_number_literal_token1] = ACTIONS(2771),
    [aux_sym_number_literal_token2] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [anon_sym___asm] = ACTIONS(2777),
    [aux_sym_number_literal_token1] = ACTIONS(2779),
    [aux_sym_number_literal_token2] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_include_token1] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym___cdecl] = ACTIONS(2777),
    [anon_sym___clrcall] = ACTIONS(2777),
    [anon_sym___stdcall] = ACTIONS(2777),
    [anon_sym___fastcall] = ACTIONS(2777),
    [anon_sym___thiscall] = ACTIONS(2777),
    [anon_sym___vectorcall] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [anon_sym___asm] = ACTIONS(2777),
    [aux_sym_number_literal_token1] = ACTIONS(2779),
    [aux_sym_number_literal_token2] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
    [anon_sym_concept] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_include_token1] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym___cdecl] = ACTIONS(2781),
    [anon_sym___clrcall] = ACTIONS(2781),
    [anon_sym___stdcall] = ACTIONS(2781),
    [anon_sym___fastcall] = ACTIONS(2781),
    [anon_sym___thiscall] = ACTIONS(2781),
    [anon_sym___vectorcall] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
    [anon_sym_concept] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2827),
    [aux_sym_preproc_include_token1] = ACTIONS(2827),
    [aux_sym_preproc_def_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2827),
    [sym_preproc_directive] = ACTIONS(2827),
    [anon_sym_LPAREN2] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2827),
    [anon_sym_typedef] = ACTIONS(2827),
    [anon_sym_virtual] = ACTIONS(2827),
    [anon_sym_extern] = ACTIONS(2827),
    [anon_sym___attribute__] = ACTIONS(2827),
    [anon_sym___attribute] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2829),
    [anon_sym___declspec] = ACTIONS(2827),
    [anon_sym___based] = ACTIONS(2827),
    [anon_sym___cdecl] = ACTIONS(2827),
    [anon_sym___clrcall] = ACTIONS(2827),
    [anon_sym___stdcall] = ACTIONS(2827),
    [anon_sym___fastcall] = ACTIONS(2827),
    [anon_sym___thiscall] = ACTIONS(2827),
    [anon_sym___vectorcall] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2827),
    [anon_sym_unsigned] = ACTIONS(2827),
    [anon_sym_long] = ACTIONS(2827),
    [anon_sym_short] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2827),
    [anon_sym_register] = ACTIONS(2827),
    [anon_sym_inline] = ACTIONS(2827),
    [anon_sym___inline] = ACTIONS(2827),
    [anon_sym___inline__] = ACTIONS(2827),
    [anon_sym___forceinline] = ACTIONS(2827),
    [anon_sym_thread_local] = ACTIONS(2827),
    [anon_sym___thread] = ACTIONS(2827),
    [anon_sym_const] = ACTIONS(2827),
    [anon_sym_constexpr] = ACTIONS(2827),
    [anon_sym_volatile] = ACTIONS(2827),
    [anon_sym_restrict] = ACTIONS(2827),
    [anon_sym___restrict__] = ACTIONS(2827),
    [anon_sym__Atomic] = ACTIONS(2827),
    [anon_sym__Noreturn] = ACTIONS(2827),
    [anon_sym_noreturn] = ACTIONS(2827),
    [anon_sym__Nonnull] = ACTIONS(2827),
    [anon_sym_mutable] = ACTIONS(2827),
    [anon_sym_constinit] = ACTIONS(2827),
    [anon_sym_consteval] = ACTIONS(2827),
    [anon_sym_PROGMEM] = ACTIONS(2827),
    [anon_sym_alignas] = ACTIONS(2827),
    [anon_sym__Alignas] = ACTIONS(2827),
    [aux_sym_primitive_type_token1] = ACTIONS(2827),
    [anon_sym_byte] = ACTIONS(2827),
    [anon_sym_word] = ACTIONS(2827),
    [anon_sym_enum] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2827),
    [anon_sym_struct] = ACTIONS(2827),
    [anon_sym_union] = ACTIONS(2827),
    [anon_sym_if] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2827),
    [anon_sym_switch] = ACTIONS(2827),
    [anon_sym_case] = ACTIONS(2827),
    [anon_sym_default] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_return] = ACTIONS(2827),
    [anon_sym_break] = ACTIONS(2827),
    [anon_sym_continue] = ACTIONS(2827),
    [anon_sym_goto] = ACTIONS(2827),
    [anon_sym___try] = ACTIONS(2827),
    [anon_sym___leave] = ACTIONS(2827),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_compl] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_sizeof] = ACTIONS(2827),
    [anon_sym___alignof__] = ACTIONS(2827),
    [anon_sym___alignof] = ACTIONS(2827),
    [anon_sym__alignof] = ACTIONS(2827),
    [anon_sym_alignof] = ACTIONS(2827),
    [anon_sym__Alignof] = ACTIONS(2827),
    [anon_sym_offsetof] = ACTIONS(2827),
    [anon_sym__Generic] = ACTIONS(2827),
    [anon_sym_asm] = ACTIONS(2827),
    [anon_sym___asm__] = ACTIONS(2827),
    [anon_sym___asm] = ACTIONS(2827),
    [aux_sym_number_literal_token1] = ACTIONS(2829),
    [aux_sym_number_literal_token2] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2829),
    [anon_sym_u_SQUOTE] = ACTIONS(2829),
    [anon_sym_U_SQUOTE] = ACTIONS(2829),
    [anon_sym_u8_SQUOTE] = ACTIONS(2829),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_L_DQUOTE] = ACTIONS(2829),
    [anon_sym_u_DQUOTE] = ACTIONS(2829),
    [anon_sym_U_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [sym_true] = ACTIONS(2827),
    [sym_false] = ACTIONS(2827),
    [anon_sym_NULL] = ACTIONS(2827),
    [anon_sym_nullptr] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2827),
    [anon_sym_decltype] = ACTIONS(2827),
    [anon_sym_explicit] = ACTIONS(2827),
    [anon_sym_typename] = ACTIONS(2827),
    [anon_sym_template] = ACTIONS(2827),
    [anon_sym_operator] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_throw] = ACTIONS(2827),
    [anon_sym_namespace] = ACTIONS(2827),
    [anon_sym_using] = ACTIONS(2827),
    [anon_sym_static_assert] = ACTIONS(2827),
    [anon_sym_concept] = ACTIONS(2827),
    [anon_sym_co_return] = ACTIONS(2827),
    [anon_sym_co_yield] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2829),
    [anon_sym_LR_DQUOTE] = ACTIONS(2829),
    [anon_sym_uR_DQUOTE] = ACTIONS(2829),
    [anon_sym_UR_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2829),
    [anon_sym_co_await] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2827),
    [anon_sym_requires] = ACTIONS(2827),
    [sym_this] = ACTIONS(2827),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2809),
    [aux_sym_preproc_include_token1] = ACTIONS(2809),
    [aux_sym_preproc_def_token1] = ACTIONS(2809),
    [aux_sym_preproc_if_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2809),
    [sym_preproc_directive] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym___based] = ACTIONS(2809),
    [anon_sym___cdecl] = ACTIONS(2809),
    [anon_sym___clrcall] = ACTIONS(2809),
    [anon_sym___stdcall] = ACTIONS(2809),
    [anon_sym___fastcall] = ACTIONS(2809),
    [anon_sym___thiscall] = ACTIONS(2809),
    [anon_sym___vectorcall] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_explicit] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_operator] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_static_assert] = ACTIONS(2809),
    [anon_sym_concept] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2709),
    [aux_sym_preproc_include_token1] = ACTIONS(2709),
    [aux_sym_preproc_def_token1] = ACTIONS(2709),
    [aux_sym_preproc_if_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2709),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym___based] = ACTIONS(2709),
    [anon_sym___cdecl] = ACTIONS(2709),
    [anon_sym___clrcall] = ACTIONS(2709),
    [anon_sym___stdcall] = ACTIONS(2709),
    [anon_sym___fastcall] = ACTIONS(2709),
    [anon_sym___thiscall] = ACTIONS(2709),
    [anon_sym___vectorcall] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2709),
    [anon_sym_byte] = ACTIONS(2709),
    [anon_sym_word] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [anon_sym___asm] = ACTIONS(2709),
    [aux_sym_number_literal_token1] = ACTIONS(2714),
    [aux_sym_number_literal_token2] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [anon_sym_explicit] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_operator] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_static_assert] = ACTIONS(2709),
    [anon_sym_concept] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2753),
    [aux_sym_preproc_include_token1] = ACTIONS(2753),
    [aux_sym_preproc_def_token1] = ACTIONS(2753),
    [aux_sym_preproc_if_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2753),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2753),
    [sym_preproc_directive] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP_AMP] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym___based] = ACTIONS(2753),
    [anon_sym___cdecl] = ACTIONS(2753),
    [anon_sym___clrcall] = ACTIONS(2753),
    [anon_sym___stdcall] = ACTIONS(2753),
    [anon_sym___fastcall] = ACTIONS(2753),
    [anon_sym___thiscall] = ACTIONS(2753),
    [anon_sym___vectorcall] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2758),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_explicit] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_static_assert] = ACTIONS(2753),
    [anon_sym_concept] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2829),
    [sym_identifier] = ACTIONS(2827),
    [aux_sym_preproc_include_token1] = ACTIONS(2827),
    [aux_sym_preproc_def_token1] = ACTIONS(2827),
    [aux_sym_preproc_if_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2827),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2827),
    [sym_preproc_directive] = ACTIONS(2827),
    [anon_sym_LPAREN2] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2827),
    [anon_sym_typedef] = ACTIONS(2827),
    [anon_sym_virtual] = ACTIONS(2827),
    [anon_sym_extern] = ACTIONS(2827),
    [anon_sym___attribute__] = ACTIONS(2827),
    [anon_sym___attribute] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2829),
    [anon_sym___declspec] = ACTIONS(2827),
    [anon_sym___based] = ACTIONS(2827),
    [anon_sym___cdecl] = ACTIONS(2827),
    [anon_sym___clrcall] = ACTIONS(2827),
    [anon_sym___stdcall] = ACTIONS(2827),
    [anon_sym___fastcall] = ACTIONS(2827),
    [anon_sym___thiscall] = ACTIONS(2827),
    [anon_sym___vectorcall] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2827),
    [anon_sym_unsigned] = ACTIONS(2827),
    [anon_sym_long] = ACTIONS(2827),
    [anon_sym_short] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2827),
    [anon_sym_register] = ACTIONS(2827),
    [anon_sym_inline] = ACTIONS(2827),
    [anon_sym___inline] = ACTIONS(2827),
    [anon_sym___inline__] = ACTIONS(2827),
    [anon_sym___forceinline] = ACTIONS(2827),
    [anon_sym_thread_local] = ACTIONS(2827),
    [anon_sym___thread] = ACTIONS(2827),
    [anon_sym_const] = ACTIONS(2827),
    [anon_sym_constexpr] = ACTIONS(2827),
    [anon_sym_volatile] = ACTIONS(2827),
    [anon_sym_restrict] = ACTIONS(2827),
    [anon_sym___restrict__] = ACTIONS(2827),
    [anon_sym__Atomic] = ACTIONS(2827),
    [anon_sym__Noreturn] = ACTIONS(2827),
    [anon_sym_noreturn] = ACTIONS(2827),
    [anon_sym__Nonnull] = ACTIONS(2827),
    [anon_sym_mutable] = ACTIONS(2827),
    [anon_sym_constinit] = ACTIONS(2827),
    [anon_sym_consteval] = ACTIONS(2827),
    [anon_sym_PROGMEM] = ACTIONS(2827),
    [anon_sym_alignas] = ACTIONS(2827),
    [anon_sym__Alignas] = ACTIONS(2827),
    [aux_sym_primitive_type_token1] = ACTIONS(2827),
    [anon_sym_byte] = ACTIONS(2827),
    [anon_sym_word] = ACTIONS(2827),
    [anon_sym_enum] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2827),
    [anon_sym_struct] = ACTIONS(2827),
    [anon_sym_union] = ACTIONS(2827),
    [anon_sym_if] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2827),
    [anon_sym_switch] = ACTIONS(2827),
    [anon_sym_case] = ACTIONS(2827),
    [anon_sym_default] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_return] = ACTIONS(2827),
    [anon_sym_break] = ACTIONS(2827),
    [anon_sym_continue] = ACTIONS(2827),
    [anon_sym_goto] = ACTIONS(2827),
    [anon_sym___try] = ACTIONS(2827),
    [anon_sym___leave] = ACTIONS(2827),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_compl] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_sizeof] = ACTIONS(2827),
    [anon_sym___alignof__] = ACTIONS(2827),
    [anon_sym___alignof] = ACTIONS(2827),
    [anon_sym__alignof] = ACTIONS(2827),
    [anon_sym_alignof] = ACTIONS(2827),
    [anon_sym__Alignof] = ACTIONS(2827),
    [anon_sym_offsetof] = ACTIONS(2827),
    [anon_sym__Generic] = ACTIONS(2827),
    [anon_sym_asm] = ACTIONS(2827),
    [anon_sym___asm__] = ACTIONS(2827),
    [anon_sym___asm] = ACTIONS(2827),
    [aux_sym_number_literal_token1] = ACTIONS(2829),
    [aux_sym_number_literal_token2] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2829),
    [anon_sym_u_SQUOTE] = ACTIONS(2829),
    [anon_sym_U_SQUOTE] = ACTIONS(2829),
    [anon_sym_u8_SQUOTE] = ACTIONS(2829),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_L_DQUOTE] = ACTIONS(2829),
    [anon_sym_u_DQUOTE] = ACTIONS(2829),
    [anon_sym_U_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [sym_true] = ACTIONS(2827),
    [sym_false] = ACTIONS(2827),
    [anon_sym_NULL] = ACTIONS(2827),
    [anon_sym_nullptr] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2827),
    [anon_sym_decltype] = ACTIONS(2827),
    [anon_sym_explicit] = ACTIONS(2827),
    [anon_sym_typename] = ACTIONS(2827),
    [anon_sym_template] = ACTIONS(2827),
    [anon_sym_operator] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_throw] = ACTIONS(2827),
    [anon_sym_namespace] = ACTIONS(2827),
    [anon_sym_using] = ACTIONS(2827),
    [anon_sym_static_assert] = ACTIONS(2827),
    [anon_sym_concept] = ACTIONS(2827),
    [anon_sym_co_return] = ACTIONS(2827),
    [anon_sym_co_yield] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2829),
    [anon_sym_LR_DQUOTE] = ACTIONS(2829),
    [anon_sym_uR_DQUOTE] = ACTIONS(2829),
    [anon_sym_UR_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2829),
    [anon_sym_co_await] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2827),
    [anon_sym_requires] = ACTIONS(2827),
    [sym_this] = ACTIONS(2827),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2825),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [520] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [anon_sym___asm] = ACTIONS(2815),
    [aux_sym_number_literal_token1] = ACTIONS(2817),
    [aux_sym_number_literal_token2] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2773),
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym___based] = ACTIONS(2773),
    [anon_sym___cdecl] = ACTIONS(2773),
    [anon_sym___clrcall] = ACTIONS(2773),
    [anon_sym___stdcall] = ACTIONS(2773),
    [anon_sym___fastcall] = ACTIONS(2773),
    [anon_sym___thiscall] = ACTIONS(2773),
    [anon_sym___vectorcall] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_PROGMEM] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [aux_sym_primitive_type_token1] = ACTIONS(2773),
    [anon_sym_byte] = ACTIONS(2773),
    [anon_sym_word] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_explicit] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_operator] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_static_assert] = ACTIONS(2773),
    [anon_sym_concept] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2835),
    [aux_sym_preproc_include_token1] = ACTIONS(2835),
    [aux_sym_preproc_def_token1] = ACTIONS(2835),
    [aux_sym_preproc_if_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2835),
    [sym_preproc_directive] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2837),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2835),
    [anon_sym_typedef] = ACTIONS(2835),
    [anon_sym_virtual] = ACTIONS(2835),
    [anon_sym_extern] = ACTIONS(2835),
    [anon_sym___attribute__] = ACTIONS(2835),
    [anon_sym___attribute] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2837),
    [anon_sym___declspec] = ACTIONS(2835),
    [anon_sym___based] = ACTIONS(2835),
    [anon_sym___cdecl] = ACTIONS(2835),
    [anon_sym___clrcall] = ACTIONS(2835),
    [anon_sym___stdcall] = ACTIONS(2835),
    [anon_sym___fastcall] = ACTIONS(2835),
    [anon_sym___thiscall] = ACTIONS(2835),
    [anon_sym___vectorcall] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2835),
    [anon_sym_unsigned] = ACTIONS(2835),
    [anon_sym_long] = ACTIONS(2835),
    [anon_sym_short] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_register] = ACTIONS(2835),
    [anon_sym_inline] = ACTIONS(2835),
    [anon_sym___inline] = ACTIONS(2835),
    [anon_sym___inline__] = ACTIONS(2835),
    [anon_sym___forceinline] = ACTIONS(2835),
    [anon_sym_thread_local] = ACTIONS(2835),
    [anon_sym___thread] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(2835),
    [anon_sym_constexpr] = ACTIONS(2835),
    [anon_sym_volatile] = ACTIONS(2835),
    [anon_sym_restrict] = ACTIONS(2835),
    [anon_sym___restrict__] = ACTIONS(2835),
    [anon_sym__Atomic] = ACTIONS(2835),
    [anon_sym__Noreturn] = ACTIONS(2835),
    [anon_sym_noreturn] = ACTIONS(2835),
    [anon_sym__Nonnull] = ACTIONS(2835),
    [anon_sym_mutable] = ACTIONS(2835),
    [anon_sym_constinit] = ACTIONS(2835),
    [anon_sym_consteval] = ACTIONS(2835),
    [anon_sym_PROGMEM] = ACTIONS(2835),
    [anon_sym_alignas] = ACTIONS(2835),
    [anon_sym__Alignas] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(2835),
    [anon_sym_byte] = ACTIONS(2835),
    [anon_sym_word] = ACTIONS(2835),
    [anon_sym_enum] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2835),
    [anon_sym_union] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2835),
    [anon_sym_switch] = ACTIONS(2835),
    [anon_sym_case] = ACTIONS(2835),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_while] = ACTIONS(2835),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_return] = ACTIONS(2835),
    [anon_sym_break] = ACTIONS(2835),
    [anon_sym_continue] = ACTIONS(2835),
    [anon_sym_goto] = ACTIONS(2835),
    [anon_sym___try] = ACTIONS(2835),
    [anon_sym___leave] = ACTIONS(2835),
    [anon_sym_not] = ACTIONS(2835),
    [anon_sym_compl] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_sizeof] = ACTIONS(2835),
    [anon_sym___alignof__] = ACTIONS(2835),
    [anon_sym___alignof] = ACTIONS(2835),
    [anon_sym__alignof] = ACTIONS(2835),
    [anon_sym_alignof] = ACTIONS(2835),
    [anon_sym__Alignof] = ACTIONS(2835),
    [anon_sym_offsetof] = ACTIONS(2835),
    [anon_sym__Generic] = ACTIONS(2835),
    [anon_sym_asm] = ACTIONS(2835),
    [anon_sym___asm__] = ACTIONS(2835),
    [anon_sym___asm] = ACTIONS(2835),
    [aux_sym_number_literal_token1] = ACTIONS(2837),
    [aux_sym_number_literal_token2] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2837),
    [anon_sym_u_SQUOTE] = ACTIONS(2837),
    [anon_sym_U_SQUOTE] = ACTIONS(2837),
    [anon_sym_u8_SQUOTE] = ACTIONS(2837),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_L_DQUOTE] = ACTIONS(2837),
    [anon_sym_u_DQUOTE] = ACTIONS(2837),
    [anon_sym_U_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [sym_true] = ACTIONS(2835),
    [sym_false] = ACTIONS(2835),
    [anon_sym_NULL] = ACTIONS(2835),
    [anon_sym_nullptr] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2835),
    [anon_sym_decltype] = ACTIONS(2835),
    [anon_sym_explicit] = ACTIONS(2835),
    [anon_sym_typename] = ACTIONS(2835),
    [anon_sym_template] = ACTIONS(2835),
    [anon_sym_operator] = ACTIONS(2835),
    [anon_sym_try] = ACTIONS(2835),
    [anon_sym_delete] = ACTIONS(2835),
    [anon_sym_throw] = ACTIONS(2835),
    [anon_sym_namespace] = ACTIONS(2835),
    [anon_sym_using] = ACTIONS(2835),
    [anon_sym_static_assert] = ACTIONS(2835),
    [anon_sym_concept] = ACTIONS(2835),
    [anon_sym_co_return] = ACTIONS(2835),
    [anon_sym_co_yield] = ACTIONS(2835),
    [anon_sym_R_DQUOTE] = ACTIONS(2837),
    [anon_sym_LR_DQUOTE] = ACTIONS(2837),
    [anon_sym_uR_DQUOTE] = ACTIONS(2837),
    [anon_sym_UR_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2837),
    [anon_sym_co_await] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2835),
    [anon_sym_requires] = ACTIONS(2835),
    [sym_this] = ACTIONS(2835),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2769),
    [aux_sym_preproc_include_token1] = ACTIONS(2769),
    [aux_sym_preproc_def_token1] = ACTIONS(2769),
    [aux_sym_preproc_if_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2769),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2769),
    [sym_preproc_directive] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym___attribute] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym___based] = ACTIONS(2769),
    [anon_sym___cdecl] = ACTIONS(2769),
    [anon_sym___clrcall] = ACTIONS(2769),
    [anon_sym___stdcall] = ACTIONS(2769),
    [anon_sym___fastcall] = ACTIONS(2769),
    [anon_sym___thiscall] = ACTIONS(2769),
    [anon_sym___vectorcall] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym__Nonnull] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [anon_sym_PROGMEM] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym__Alignas] = ACTIONS(2769),
    [aux_sym_primitive_type_token1] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_word] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [anon_sym___asm] = ACTIONS(2769),
    [aux_sym_number_literal_token1] = ACTIONS(2771),
    [aux_sym_number_literal_token2] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_explicit] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_operator] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_static_assert] = ACTIONS(2769),
    [anon_sym_concept] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym___attribute] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym__Nonnull] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [anon_sym_PROGMEM] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym__Alignas] = ACTIONS(2877),
    [aux_sym_primitive_type_token1] = ACTIONS(2877),
    [anon_sym_byte] = ACTIONS(2877),
    [anon_sym_word] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [anon_sym___asm] = ACTIONS(2877),
    [aux_sym_number_literal_token1] = ACTIONS(2879),
    [aux_sym_number_literal_token2] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2819),
    [aux_sym_preproc_include_token1] = ACTIONS(2819),
    [aux_sym_preproc_def_token1] = ACTIONS(2819),
    [aux_sym_preproc_if_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2819),
    [sym_preproc_directive] = ACTIONS(2819),
    [anon_sym_LPAREN2] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2819),
    [anon_sym_typedef] = ACTIONS(2819),
    [anon_sym_virtual] = ACTIONS(2819),
    [anon_sym_extern] = ACTIONS(2819),
    [anon_sym___attribute__] = ACTIONS(2819),
    [anon_sym___attribute] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2821),
    [anon_sym___declspec] = ACTIONS(2819),
    [anon_sym___based] = ACTIONS(2819),
    [anon_sym___cdecl] = ACTIONS(2819),
    [anon_sym___clrcall] = ACTIONS(2819),
    [anon_sym___stdcall] = ACTIONS(2819),
    [anon_sym___fastcall] = ACTIONS(2819),
    [anon_sym___thiscall] = ACTIONS(2819),
    [anon_sym___vectorcall] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2819),
    [anon_sym_unsigned] = ACTIONS(2819),
    [anon_sym_long] = ACTIONS(2819),
    [anon_sym_short] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2819),
    [anon_sym_register] = ACTIONS(2819),
    [anon_sym_inline] = ACTIONS(2819),
    [anon_sym___inline] = ACTIONS(2819),
    [anon_sym___inline__] = ACTIONS(2819),
    [anon_sym___forceinline] = ACTIONS(2819),
    [anon_sym_thread_local] = ACTIONS(2819),
    [anon_sym___thread] = ACTIONS(2819),
    [anon_sym_const] = ACTIONS(2819),
    [anon_sym_constexpr] = ACTIONS(2819),
    [anon_sym_volatile] = ACTIONS(2819),
    [anon_sym_restrict] = ACTIONS(2819),
    [anon_sym___restrict__] = ACTIONS(2819),
    [anon_sym__Atomic] = ACTIONS(2819),
    [anon_sym__Noreturn] = ACTIONS(2819),
    [anon_sym_noreturn] = ACTIONS(2819),
    [anon_sym__Nonnull] = ACTIONS(2819),
    [anon_sym_mutable] = ACTIONS(2819),
    [anon_sym_constinit] = ACTIONS(2819),
    [anon_sym_consteval] = ACTIONS(2819),
    [anon_sym_PROGMEM] = ACTIONS(2819),
    [anon_sym_alignas] = ACTIONS(2819),
    [anon_sym__Alignas] = ACTIONS(2819),
    [aux_sym_primitive_type_token1] = ACTIONS(2819),
    [anon_sym_byte] = ACTIONS(2819),
    [anon_sym_word] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2819),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_switch] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2819),
    [anon_sym_default] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_do] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_return] = ACTIONS(2819),
    [anon_sym_break] = ACTIONS(2819),
    [anon_sym_continue] = ACTIONS(2819),
    [anon_sym_goto] = ACTIONS(2819),
    [anon_sym___try] = ACTIONS(2819),
    [anon_sym___leave] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_sizeof] = ACTIONS(2819),
    [anon_sym___alignof__] = ACTIONS(2819),
    [anon_sym___alignof] = ACTIONS(2819),
    [anon_sym__alignof] = ACTIONS(2819),
    [anon_sym_alignof] = ACTIONS(2819),
    [anon_sym__Alignof] = ACTIONS(2819),
    [anon_sym_offsetof] = ACTIONS(2819),
    [anon_sym__Generic] = ACTIONS(2819),
    [anon_sym_asm] = ACTIONS(2819),
    [anon_sym___asm__] = ACTIONS(2819),
    [anon_sym___asm] = ACTIONS(2819),
    [aux_sym_number_literal_token1] = ACTIONS(2821),
    [aux_sym_number_literal_token2] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2821),
    [anon_sym_u_SQUOTE] = ACTIONS(2821),
    [anon_sym_U_SQUOTE] = ACTIONS(2821),
    [anon_sym_u8_SQUOTE] = ACTIONS(2821),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_L_DQUOTE] = ACTIONS(2821),
    [anon_sym_u_DQUOTE] = ACTIONS(2821),
    [anon_sym_U_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [sym_true] = ACTIONS(2819),
    [sym_false] = ACTIONS(2819),
    [anon_sym_NULL] = ACTIONS(2819),
    [anon_sym_nullptr] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2819),
    [anon_sym_decltype] = ACTIONS(2819),
    [anon_sym_explicit] = ACTIONS(2819),
    [anon_sym_typename] = ACTIONS(2819),
    [anon_sym_template] = ACTIONS(2819),
    [anon_sym_operator] = ACTIONS(2819),
    [anon_sym_try] = ACTIONS(2819),
    [anon_sym_delete] = ACTIONS(2819),
    [anon_sym_throw] = ACTIONS(2819),
    [anon_sym_namespace] = ACTIONS(2819),
    [anon_sym_using] = ACTIONS(2819),
    [anon_sym_static_assert] = ACTIONS(2819),
    [anon_sym_concept] = ACTIONS(2819),
    [anon_sym_co_return] = ACTIONS(2819),
    [anon_sym_co_yield] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2821),
    [anon_sym_LR_DQUOTE] = ACTIONS(2821),
    [anon_sym_uR_DQUOTE] = ACTIONS(2821),
    [anon_sym_UR_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2821),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_requires] = ACTIONS(2819),
    [sym_this] = ACTIONS(2819),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(2825),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2839),
    [aux_sym_preproc_include_token1] = ACTIONS(2839),
    [aux_sym_preproc_def_token1] = ACTIONS(2839),
    [aux_sym_preproc_if_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2839),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2839),
    [sym_preproc_directive] = ACTIONS(2839),
    [anon_sym_LPAREN2] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2841),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2839),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_virtual] = ACTIONS(2839),
    [anon_sym_extern] = ACTIONS(2839),
    [anon_sym___attribute__] = ACTIONS(2839),
    [anon_sym___attribute] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2841),
    [anon_sym___declspec] = ACTIONS(2839),
    [anon_sym___based] = ACTIONS(2839),
    [anon_sym___cdecl] = ACTIONS(2839),
    [anon_sym___clrcall] = ACTIONS(2839),
    [anon_sym___stdcall] = ACTIONS(2839),
    [anon_sym___fastcall] = ACTIONS(2839),
    [anon_sym___thiscall] = ACTIONS(2839),
    [anon_sym___vectorcall] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2839),
    [anon_sym_unsigned] = ACTIONS(2839),
    [anon_sym_long] = ACTIONS(2839),
    [anon_sym_short] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2839),
    [anon_sym_register] = ACTIONS(2839),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym___inline] = ACTIONS(2839),
    [anon_sym___inline__] = ACTIONS(2839),
    [anon_sym___forceinline] = ACTIONS(2839),
    [anon_sym_thread_local] = ACTIONS(2839),
    [anon_sym___thread] = ACTIONS(2839),
    [anon_sym_const] = ACTIONS(2839),
    [anon_sym_constexpr] = ACTIONS(2839),
    [anon_sym_volatile] = ACTIONS(2839),
    [anon_sym_restrict] = ACTIONS(2839),
    [anon_sym___restrict__] = ACTIONS(2839),
    [anon_sym__Atomic] = ACTIONS(2839),
    [anon_sym__Noreturn] = ACTIONS(2839),
    [anon_sym_noreturn] = ACTIONS(2839),
    [anon_sym__Nonnull] = ACTIONS(2839),
    [anon_sym_mutable] = ACTIONS(2839),
    [anon_sym_constinit] = ACTIONS(2839),
    [anon_sym_consteval] = ACTIONS(2839),
    [anon_sym_PROGMEM] = ACTIONS(2839),
    [anon_sym_alignas] = ACTIONS(2839),
    [anon_sym__Alignas] = ACTIONS(2839),
    [aux_sym_primitive_type_token1] = ACTIONS(2839),
    [anon_sym_byte] = ACTIONS(2839),
    [anon_sym_word] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2839),
    [anon_sym_struct] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2839),
    [anon_sym_switch] = ACTIONS(2839),
    [anon_sym_case] = ACTIONS(2839),
    [anon_sym_default] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2839),
    [anon_sym_do] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_break] = ACTIONS(2839),
    [anon_sym_continue] = ACTIONS(2839),
    [anon_sym_goto] = ACTIONS(2839),
    [anon_sym___try] = ACTIONS(2839),
    [anon_sym___leave] = ACTIONS(2839),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_compl] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_sizeof] = ACTIONS(2839),
    [anon_sym___alignof__] = ACTIONS(2839),
    [anon_sym___alignof] = ACTIONS(2839),
    [anon_sym__alignof] = ACTIONS(2839),
    [anon_sym_alignof] = ACTIONS(2839),
    [anon_sym__Alignof] = ACTIONS(2839),
    [anon_sym_offsetof] = ACTIONS(2839),
    [anon_sym__Generic] = ACTIONS(2839),
    [anon_sym_asm] = ACTIONS(2839),
    [anon_sym___asm__] = ACTIONS(2839),
    [anon_sym___asm] = ACTIONS(2839),
    [aux_sym_number_literal_token1] = ACTIONS(2841),
    [aux_sym_number_literal_token2] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2841),
    [anon_sym_u_SQUOTE] = ACTIONS(2841),
    [anon_sym_U_SQUOTE] = ACTIONS(2841),
    [anon_sym_u8_SQUOTE] = ACTIONS(2841),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_L_DQUOTE] = ACTIONS(2841),
    [anon_sym_u_DQUOTE] = ACTIONS(2841),
    [anon_sym_U_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [sym_true] = ACTIONS(2839),
    [sym_false] = ACTIONS(2839),
    [anon_sym_NULL] = ACTIONS(2839),
    [anon_sym_nullptr] = ACTIONS(2839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2839),
    [anon_sym_decltype] = ACTIONS(2839),
    [anon_sym_explicit] = ACTIONS(2839),
    [anon_sym_typename] = ACTIONS(2839),
    [anon_sym_template] = ACTIONS(2839),
    [anon_sym_operator] = ACTIONS(2839),
    [anon_sym_try] = ACTIONS(2839),
    [anon_sym_delete] = ACTIONS(2839),
    [anon_sym_throw] = ACTIONS(2839),
    [anon_sym_namespace] = ACTIONS(2839),
    [anon_sym_using] = ACTIONS(2839),
    [anon_sym_static_assert] = ACTIONS(2839),
    [anon_sym_concept] = ACTIONS(2839),
    [anon_sym_co_return] = ACTIONS(2839),
    [anon_sym_co_yield] = ACTIONS(2839),
    [anon_sym_R_DQUOTE] = ACTIONS(2841),
    [anon_sym_LR_DQUOTE] = ACTIONS(2841),
    [anon_sym_uR_DQUOTE] = ACTIONS(2841),
    [anon_sym_UR_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2841),
    [anon_sym_co_await] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2839),
    [anon_sym_requires] = ACTIONS(2839),
    [sym_this] = ACTIONS(2839),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2785),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym___based] = ACTIONS(2785),
    [anon_sym___cdecl] = ACTIONS(2785),
    [anon_sym___clrcall] = ACTIONS(2785),
    [anon_sym___stdcall] = ACTIONS(2785),
    [anon_sym___fastcall] = ACTIONS(2785),
    [anon_sym___thiscall] = ACTIONS(2785),
    [anon_sym___vectorcall] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_explicit] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_operator] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_static_assert] = ACTIONS(2785),
    [anon_sym_concept] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2789),
    [aux_sym_preproc_include_token1] = ACTIONS(2789),
    [aux_sym_preproc_def_token1] = ACTIONS(2789),
    [aux_sym_preproc_if_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2789),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2789),
    [sym_preproc_directive] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym___based] = ACTIONS(2789),
    [anon_sym___cdecl] = ACTIONS(2789),
    [anon_sym___clrcall] = ACTIONS(2789),
    [anon_sym___stdcall] = ACTIONS(2789),
    [anon_sym___fastcall] = ACTIONS(2789),
    [anon_sym___thiscall] = ACTIONS(2789),
    [anon_sym___vectorcall] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_explicit] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_operator] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_static_assert] = ACTIONS(2789),
    [anon_sym_concept] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(2849),
    [sym_identifier] = ACTIONS(2847),
    [aux_sym_preproc_include_token1] = ACTIONS(2847),
    [aux_sym_preproc_def_token1] = ACTIONS(2847),
    [aux_sym_preproc_if_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2847),
    [sym_preproc_directive] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym___attribute] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym___based] = ACTIONS(2847),
    [anon_sym___cdecl] = ACTIONS(2847),
    [anon_sym___clrcall] = ACTIONS(2847),
    [anon_sym___stdcall] = ACTIONS(2847),
    [anon_sym___fastcall] = ACTIONS(2847),
    [anon_sym___thiscall] = ACTIONS(2847),
    [anon_sym___vectorcall] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym__Nonnull] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym__Alignas] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_default] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [anon_sym___asm] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_explicit] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_operator] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_namespace] = ACTIONS(2847),
    [anon_sym_using] = ACTIONS(2847),
    [anon_sym_static_assert] = ACTIONS(2847),
    [anon_sym_concept] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym___attribute] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym__Nonnull] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [anon_sym_PROGMEM] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym__Alignas] = ACTIONS(3197),
    [aux_sym_primitive_type_token1] = ACTIONS(3197),
    [anon_sym_byte] = ACTIONS(3197),
    [anon_sym_word] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [anon_sym___asm] = ACTIONS(3197),
    [aux_sym_number_literal_token1] = ACTIONS(3199),
    [aux_sym_number_literal_token2] = ACTIONS(3197),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3114),
    [aux_sym_preproc_include_token1] = ACTIONS(3114),
    [aux_sym_preproc_def_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token2] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3114),
    [sym_preproc_directive] = ACTIONS(3114),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_BANG] = ACTIONS(3116),
    [anon_sym_TILDE] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym___extension__] = ACTIONS(3114),
    [anon_sym_typedef] = ACTIONS(3114),
    [anon_sym_virtual] = ACTIONS(3114),
    [anon_sym_extern] = ACTIONS(3114),
    [anon_sym___attribute__] = ACTIONS(3114),
    [anon_sym___attribute] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3116),
    [anon_sym___declspec] = ACTIONS(3114),
    [anon_sym___based] = ACTIONS(3114),
    [anon_sym___cdecl] = ACTIONS(3114),
    [anon_sym___clrcall] = ACTIONS(3114),
    [anon_sym___stdcall] = ACTIONS(3114),
    [anon_sym___fastcall] = ACTIONS(3114),
    [anon_sym___thiscall] = ACTIONS(3114),
    [anon_sym___vectorcall] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3114),
    [anon_sym_unsigned] = ACTIONS(3114),
    [anon_sym_long] = ACTIONS(3114),
    [anon_sym_short] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_register] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym___inline] = ACTIONS(3114),
    [anon_sym___inline__] = ACTIONS(3114),
    [anon_sym___forceinline] = ACTIONS(3114),
    [anon_sym_thread_local] = ACTIONS(3114),
    [anon_sym___thread] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_constexpr] = ACTIONS(3114),
    [anon_sym_volatile] = ACTIONS(3114),
    [anon_sym_restrict] = ACTIONS(3114),
    [anon_sym___restrict__] = ACTIONS(3114),
    [anon_sym__Atomic] = ACTIONS(3114),
    [anon_sym__Noreturn] = ACTIONS(3114),
    [anon_sym_noreturn] = ACTIONS(3114),
    [anon_sym__Nonnull] = ACTIONS(3114),
    [anon_sym_mutable] = ACTIONS(3114),
    [anon_sym_constinit] = ACTIONS(3114),
    [anon_sym_consteval] = ACTIONS(3114),
    [anon_sym_PROGMEM] = ACTIONS(3114),
    [anon_sym_alignas] = ACTIONS(3114),
    [anon_sym__Alignas] = ACTIONS(3114),
    [aux_sym_primitive_type_token1] = ACTIONS(3114),
    [anon_sym_byte] = ACTIONS(3114),
    [anon_sym_word] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3114),
    [anon_sym_union] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_goto] = ACTIONS(3114),
    [anon_sym___try] = ACTIONS(3114),
    [anon_sym___leave] = ACTIONS(3114),
    [anon_sym_not] = ACTIONS(3114),
    [anon_sym_compl] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_sizeof] = ACTIONS(3114),
    [anon_sym___alignof__] = ACTIONS(3114),
    [anon_sym___alignof] = ACTIONS(3114),
    [anon_sym__alignof] = ACTIONS(3114),
    [anon_sym_alignof] = ACTIONS(3114),
    [anon_sym__Alignof] = ACTIONS(3114),
    [anon_sym_offsetof] = ACTIONS(3114),
    [anon_sym__Generic] = ACTIONS(3114),
    [anon_sym_asm] = ACTIONS(3114),
    [anon_sym___asm__] = ACTIONS(3114),
    [anon_sym___asm] = ACTIONS(3114),
    [aux_sym_number_literal_token1] = ACTIONS(3116),
    [aux_sym_number_literal_token2] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3116),
    [anon_sym_u_SQUOTE] = ACTIONS(3116),
    [anon_sym_U_SQUOTE] = ACTIONS(3116),
    [anon_sym_u8_SQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [anon_sym_L_DQUOTE] = ACTIONS(3116),
    [anon_sym_u_DQUOTE] = ACTIONS(3116),
    [anon_sym_U_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8_DQUOTE] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3116),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [anon_sym_NULL] = ACTIONS(3114),
    [anon_sym_nullptr] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3114),
    [anon_sym_decltype] = ACTIONS(3114),
    [anon_sym_explicit] = ACTIONS(3114),
    [anon_sym_typename] = ACTIONS(3114),
    [anon_sym_template] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_static_assert] = ACTIONS(3114),
    [anon_sym_concept] = ACTIONS(3114),
    [anon_sym_co_return] = ACTIONS(3114),
    [anon_sym_co_yield] = ACTIONS(3114),
    [anon_sym_R_DQUOTE] = ACTIONS(3116),
    [anon_sym_LR_DQUOTE] = ACTIONS(3116),
    [anon_sym_uR_DQUOTE] = ACTIONS(3116),
    [anon_sym_UR_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3116),
    [anon_sym_co_await] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_requires] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3110),
    [aux_sym_preproc_include_token1] = ACTIONS(3110),
    [aux_sym_preproc_def_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3110),
    [sym_preproc_directive] = ACTIONS(3110),
    [anon_sym_LPAREN2] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3110),
    [anon_sym_typedef] = ACTIONS(3110),
    [anon_sym_virtual] = ACTIONS(3110),
    [anon_sym_extern] = ACTIONS(3110),
    [anon_sym___attribute__] = ACTIONS(3110),
    [anon_sym___attribute] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3112),
    [anon_sym___declspec] = ACTIONS(3110),
    [anon_sym___based] = ACTIONS(3110),
    [anon_sym___cdecl] = ACTIONS(3110),
    [anon_sym___clrcall] = ACTIONS(3110),
    [anon_sym___stdcall] = ACTIONS(3110),
    [anon_sym___fastcall] = ACTIONS(3110),
    [anon_sym___thiscall] = ACTIONS(3110),
    [anon_sym___vectorcall] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3110),
    [anon_sym_unsigned] = ACTIONS(3110),
    [anon_sym_long] = ACTIONS(3110),
    [anon_sym_short] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_register] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym___inline] = ACTIONS(3110),
    [anon_sym___inline__] = ACTIONS(3110),
    [anon_sym___forceinline] = ACTIONS(3110),
    [anon_sym_thread_local] = ACTIONS(3110),
    [anon_sym___thread] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_constexpr] = ACTIONS(3110),
    [anon_sym_volatile] = ACTIONS(3110),
    [anon_sym_restrict] = ACTIONS(3110),
    [anon_sym___restrict__] = ACTIONS(3110),
    [anon_sym__Atomic] = ACTIONS(3110),
    [anon_sym__Noreturn] = ACTIONS(3110),
    [anon_sym_noreturn] = ACTIONS(3110),
    [anon_sym__Nonnull] = ACTIONS(3110),
    [anon_sym_mutable] = ACTIONS(3110),
    [anon_sym_constinit] = ACTIONS(3110),
    [anon_sym_consteval] = ACTIONS(3110),
    [anon_sym_PROGMEM] = ACTIONS(3110),
    [anon_sym_alignas] = ACTIONS(3110),
    [anon_sym__Alignas] = ACTIONS(3110),
    [aux_sym_primitive_type_token1] = ACTIONS(3110),
    [anon_sym_byte] = ACTIONS(3110),
    [anon_sym_word] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_struct] = ACTIONS(3110),
    [anon_sym_union] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_goto] = ACTIONS(3110),
    [anon_sym___try] = ACTIONS(3110),
    [anon_sym___leave] = ACTIONS(3110),
    [anon_sym_not] = ACTIONS(3110),
    [anon_sym_compl] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_sizeof] = ACTIONS(3110),
    [anon_sym___alignof__] = ACTIONS(3110),
    [anon_sym___alignof] = ACTIONS(3110),
    [anon_sym__alignof] = ACTIONS(3110),
    [anon_sym_alignof] = ACTIONS(3110),
    [anon_sym__Alignof] = ACTIONS(3110),
    [anon_sym_offsetof] = ACTIONS(3110),
    [anon_sym__Generic] = ACTIONS(3110),
    [anon_sym_asm] = ACTIONS(3110),
    [anon_sym___asm__] = ACTIONS(3110),
    [anon_sym___asm] = ACTIONS(3110),
    [aux_sym_number_literal_token1] = ACTIONS(3112),
    [aux_sym_number_literal_token2] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3112),
    [anon_sym_u_SQUOTE] = ACTIONS(3112),
    [anon_sym_U_SQUOTE] = ACTIONS(3112),
    [anon_sym_u8_SQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [anon_sym_L_DQUOTE] = ACTIONS(3112),
    [anon_sym_u_DQUOTE] = ACTIONS(3112),
    [anon_sym_U_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8_DQUOTE] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [anon_sym_NULL] = ACTIONS(3110),
    [anon_sym_nullptr] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3110),
    [anon_sym_decltype] = ACTIONS(3110),
    [anon_sym_explicit] = ACTIONS(3110),
    [anon_sym_typename] = ACTIONS(3110),
    [anon_sym_template] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_static_assert] = ACTIONS(3110),
    [anon_sym_concept] = ACTIONS(3110),
    [anon_sym_co_return] = ACTIONS(3110),
    [anon_sym_co_yield] = ACTIONS(3110),
    [anon_sym_R_DQUOTE] = ACTIONS(3112),
    [anon_sym_LR_DQUOTE] = ACTIONS(3112),
    [anon_sym_uR_DQUOTE] = ACTIONS(3112),
    [anon_sym_UR_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3112),
    [anon_sym_co_await] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_requires] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3114),
    [aux_sym_preproc_include_token1] = ACTIONS(3114),
    [aux_sym_preproc_def_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3114),
    [sym_preproc_directive] = ACTIONS(3114),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_BANG] = ACTIONS(3116),
    [anon_sym_TILDE] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym___extension__] = ACTIONS(3114),
    [anon_sym_typedef] = ACTIONS(3114),
    [anon_sym_virtual] = ACTIONS(3114),
    [anon_sym_extern] = ACTIONS(3114),
    [anon_sym___attribute__] = ACTIONS(3114),
    [anon_sym___attribute] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3116),
    [anon_sym___declspec] = ACTIONS(3114),
    [anon_sym___based] = ACTIONS(3114),
    [anon_sym___cdecl] = ACTIONS(3114),
    [anon_sym___clrcall] = ACTIONS(3114),
    [anon_sym___stdcall] = ACTIONS(3114),
    [anon_sym___fastcall] = ACTIONS(3114),
    [anon_sym___thiscall] = ACTIONS(3114),
    [anon_sym___vectorcall] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3114),
    [anon_sym_unsigned] = ACTIONS(3114),
    [anon_sym_long] = ACTIONS(3114),
    [anon_sym_short] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_register] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym___inline] = ACTIONS(3114),
    [anon_sym___inline__] = ACTIONS(3114),
    [anon_sym___forceinline] = ACTIONS(3114),
    [anon_sym_thread_local] = ACTIONS(3114),
    [anon_sym___thread] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_constexpr] = ACTIONS(3114),
    [anon_sym_volatile] = ACTIONS(3114),
    [anon_sym_restrict] = ACTIONS(3114),
    [anon_sym___restrict__] = ACTIONS(3114),
    [anon_sym__Atomic] = ACTIONS(3114),
    [anon_sym__Noreturn] = ACTIONS(3114),
    [anon_sym_noreturn] = ACTIONS(3114),
    [anon_sym__Nonnull] = ACTIONS(3114),
    [anon_sym_mutable] = ACTIONS(3114),
    [anon_sym_constinit] = ACTIONS(3114),
    [anon_sym_consteval] = ACTIONS(3114),
    [anon_sym_PROGMEM] = ACTIONS(3114),
    [anon_sym_alignas] = ACTIONS(3114),
    [anon_sym__Alignas] = ACTIONS(3114),
    [aux_sym_primitive_type_token1] = ACTIONS(3114),
    [anon_sym_byte] = ACTIONS(3114),
    [anon_sym_word] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3114),
    [anon_sym_union] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_goto] = ACTIONS(3114),
    [anon_sym___try] = ACTIONS(3114),
    [anon_sym___leave] = ACTIONS(3114),
    [anon_sym_not] = ACTIONS(3114),
    [anon_sym_compl] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_sizeof] = ACTIONS(3114),
    [anon_sym___alignof__] = ACTIONS(3114),
    [anon_sym___alignof] = ACTIONS(3114),
    [anon_sym__alignof] = ACTIONS(3114),
    [anon_sym_alignof] = ACTIONS(3114),
    [anon_sym__Alignof] = ACTIONS(3114),
    [anon_sym_offsetof] = ACTIONS(3114),
    [anon_sym__Generic] = ACTIONS(3114),
    [anon_sym_asm] = ACTIONS(3114),
    [anon_sym___asm__] = ACTIONS(3114),
    [anon_sym___asm] = ACTIONS(3114),
    [aux_sym_number_literal_token1] = ACTIONS(3116),
    [aux_sym_number_literal_token2] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3116),
    [anon_sym_u_SQUOTE] = ACTIONS(3116),
    [anon_sym_U_SQUOTE] = ACTIONS(3116),
    [anon_sym_u8_SQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [anon_sym_L_DQUOTE] = ACTIONS(3116),
    [anon_sym_u_DQUOTE] = ACTIONS(3116),
    [anon_sym_U_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8_DQUOTE] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3116),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [anon_sym_NULL] = ACTIONS(3114),
    [anon_sym_nullptr] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3114),
    [anon_sym_decltype] = ACTIONS(3114),
    [anon_sym_explicit] = ACTIONS(3114),
    [anon_sym_typename] = ACTIONS(3114),
    [anon_sym_template] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_static_assert] = ACTIONS(3114),
    [anon_sym_concept] = ACTIONS(3114),
    [anon_sym_co_return] = ACTIONS(3114),
    [anon_sym_co_yield] = ACTIONS(3114),
    [anon_sym_R_DQUOTE] = ACTIONS(3116),
    [anon_sym_LR_DQUOTE] = ACTIONS(3116),
    [anon_sym_uR_DQUOTE] = ACTIONS(3116),
    [anon_sym_UR_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3116),
    [anon_sym_co_await] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_requires] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3118),
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3118),
    [anon_sym_typedef] = ACTIONS(3118),
    [anon_sym_virtual] = ACTIONS(3118),
    [anon_sym_extern] = ACTIONS(3118),
    [anon_sym___attribute__] = ACTIONS(3118),
    [anon_sym___attribute] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3120),
    [anon_sym___declspec] = ACTIONS(3118),
    [anon_sym___based] = ACTIONS(3118),
    [anon_sym___cdecl] = ACTIONS(3118),
    [anon_sym___clrcall] = ACTIONS(3118),
    [anon_sym___stdcall] = ACTIONS(3118),
    [anon_sym___fastcall] = ACTIONS(3118),
    [anon_sym___thiscall] = ACTIONS(3118),
    [anon_sym___vectorcall] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3118),
    [anon_sym_unsigned] = ACTIONS(3118),
    [anon_sym_long] = ACTIONS(3118),
    [anon_sym_short] = ACTIONS(3118),
    [anon_sym_LBRACK] = ACTIONS(3118),
    [anon_sym_static] = ACTIONS(3118),
    [anon_sym_register] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym___inline] = ACTIONS(3118),
    [anon_sym___inline__] = ACTIONS(3118),
    [anon_sym___forceinline] = ACTIONS(3118),
    [anon_sym_thread_local] = ACTIONS(3118),
    [anon_sym___thread] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_constexpr] = ACTIONS(3118),
    [anon_sym_volatile] = ACTIONS(3118),
    [anon_sym_restrict] = ACTIONS(3118),
    [anon_sym___restrict__] = ACTIONS(3118),
    [anon_sym__Atomic] = ACTIONS(3118),
    [anon_sym__Noreturn] = ACTIONS(3118),
    [anon_sym_noreturn] = ACTIONS(3118),
    [anon_sym__Nonnull] = ACTIONS(3118),
    [anon_sym_mutable] = ACTIONS(3118),
    [anon_sym_constinit] = ACTIONS(3118),
    [anon_sym_consteval] = ACTIONS(3118),
    [anon_sym_PROGMEM] = ACTIONS(3118),
    [anon_sym_alignas] = ACTIONS(3118),
    [anon_sym__Alignas] = ACTIONS(3118),
    [aux_sym_primitive_type_token1] = ACTIONS(3118),
    [anon_sym_byte] = ACTIONS(3118),
    [anon_sym_word] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_class] = ACTIONS(3118),
    [anon_sym_struct] = ACTIONS(3118),
    [anon_sym_union] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_switch] = ACTIONS(3118),
    [anon_sym_case] = ACTIONS(3118),
    [anon_sym_default] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_do] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_break] = ACTIONS(3118),
    [anon_sym_continue] = ACTIONS(3118),
    [anon_sym_goto] = ACTIONS(3118),
    [anon_sym___try] = ACTIONS(3118),
    [anon_sym___leave] = ACTIONS(3118),
    [anon_sym_not] = ACTIONS(3118),
    [anon_sym_compl] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_sizeof] = ACTIONS(3118),
    [anon_sym___alignof__] = ACTIONS(3118),
    [anon_sym___alignof] = ACTIONS(3118),
    [anon_sym__alignof] = ACTIONS(3118),
    [anon_sym_alignof] = ACTIONS(3118),
    [anon_sym__Alignof] = ACTIONS(3118),
    [anon_sym_offsetof] = ACTIONS(3118),
    [anon_sym__Generic] = ACTIONS(3118),
    [anon_sym_asm] = ACTIONS(3118),
    [anon_sym___asm__] = ACTIONS(3118),
    [anon_sym___asm] = ACTIONS(3118),
    [aux_sym_number_literal_token1] = ACTIONS(3120),
    [aux_sym_number_literal_token2] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3120),
    [anon_sym_u_SQUOTE] = ACTIONS(3120),
    [anon_sym_U_SQUOTE] = ACTIONS(3120),
    [anon_sym_u8_SQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [anon_sym_L_DQUOTE] = ACTIONS(3120),
    [anon_sym_u_DQUOTE] = ACTIONS(3120),
    [anon_sym_U_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8_DQUOTE] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [sym_true] = ACTIONS(3118),
    [sym_false] = ACTIONS(3118),
    [anon_sym_NULL] = ACTIONS(3118),
    [anon_sym_nullptr] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3118),
    [anon_sym_decltype] = ACTIONS(3118),
    [anon_sym_explicit] = ACTIONS(3118),
    [anon_sym_typename] = ACTIONS(3118),
    [anon_sym_template] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_delete] = ACTIONS(3118),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_namespace] = ACTIONS(3118),
    [anon_sym_using] = ACTIONS(3118),
    [anon_sym_static_assert] = ACTIONS(3118),
    [anon_sym_concept] = ACTIONS(3118),
    [anon_sym_co_return] = ACTIONS(3118),
    [anon_sym_co_yield] = ACTIONS(3118),
    [anon_sym_R_DQUOTE] = ACTIONS(3120),
    [anon_sym_LR_DQUOTE] = ACTIONS(3120),
    [anon_sym_uR_DQUOTE] = ACTIONS(3120),
    [anon_sym_UR_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3120),
    [anon_sym_co_await] = ACTIONS(3118),
    [anon_sym_new] = ACTIONS(3118),
    [anon_sym_requires] = ACTIONS(3118),
    [sym_this] = ACTIONS(3118),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_include_token1] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym___cdecl] = ACTIONS(3177),
    [anon_sym___clrcall] = ACTIONS(3177),
    [anon_sym___stdcall] = ACTIONS(3177),
    [anon_sym___fastcall] = ACTIONS(3177),
    [anon_sym___thiscall] = ACTIONS(3177),
    [anon_sym___vectorcall] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym___try] = ACTIONS(3177),
    [anon_sym___leave] = ACTIONS(3177),
    [anon_sym_not] = ACTIONS(3177),
    [anon_sym_compl] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym___alignof__] = ACTIONS(3177),
    [anon_sym___alignof] = ACTIONS(3177),
    [anon_sym__alignof] = ACTIONS(3177),
    [anon_sym_alignof] = ACTIONS(3177),
    [anon_sym__Alignof] = ACTIONS(3177),
    [anon_sym_offsetof] = ACTIONS(3177),
    [anon_sym__Generic] = ACTIONS(3177),
    [anon_sym_asm] = ACTIONS(3177),
    [anon_sym___asm__] = ACTIONS(3177),
    [anon_sym___asm] = ACTIONS(3177),
    [aux_sym_number_literal_token1] = ACTIONS(3179),
    [aux_sym_number_literal_token2] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3179),
    [anon_sym_u_SQUOTE] = ACTIONS(3179),
    [anon_sym_U_SQUOTE] = ACTIONS(3179),
    [anon_sym_u8_SQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_L_DQUOTE] = ACTIONS(3179),
    [anon_sym_u_DQUOTE] = ACTIONS(3179),
    [anon_sym_U_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8_DQUOTE] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [anon_sym_NULL] = ACTIONS(3177),
    [anon_sym_nullptr] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
    [anon_sym_concept] = ACTIONS(3177),
    [anon_sym_co_return] = ACTIONS(3177),
    [anon_sym_co_yield] = ACTIONS(3177),
    [anon_sym_R_DQUOTE] = ACTIONS(3179),
    [anon_sym_LR_DQUOTE] = ACTIONS(3179),
    [anon_sym_uR_DQUOTE] = ACTIONS(3179),
    [anon_sym_UR_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3179),
    [anon_sym_co_await] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_requires] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym___attribute] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym__Nonnull] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [anon_sym_PROGMEM] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym__Alignas] = ACTIONS(3185),
    [aux_sym_primitive_type_token1] = ACTIONS(3185),
    [anon_sym_byte] = ACTIONS(3185),
    [anon_sym_word] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [anon_sym___asm] = ACTIONS(3185),
    [aux_sym_number_literal_token1] = ACTIONS(3187),
    [aux_sym_number_literal_token2] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym___attribute] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym__Nonnull] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [anon_sym_PROGMEM] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym__Alignas] = ACTIONS(3189),
    [aux_sym_primitive_type_token1] = ACTIONS(3189),
    [anon_sym_byte] = ACTIONS(3189),
    [anon_sym_word] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [anon_sym___asm] = ACTIONS(3189),
    [aux_sym_number_literal_token1] = ACTIONS(3191),
    [aux_sym_number_literal_token2] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym___attribute] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym__Nonnull] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [anon_sym_PROGMEM] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym__Alignas] = ACTIONS(3201),
    [aux_sym_primitive_type_token1] = ACTIONS(3201),
    [anon_sym_byte] = ACTIONS(3201),
    [anon_sym_word] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [anon_sym___asm] = ACTIONS(3201),
    [aux_sym_number_literal_token1] = ACTIONS(3203),
    [aux_sym_number_literal_token2] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [anon_sym___asm] = ACTIONS(3122),
    [aux_sym_number_literal_token1] = ACTIONS(3124),
    [aux_sym_number_literal_token2] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [anon_sym___asm] = ACTIONS(3126),
    [aux_sym_number_literal_token1] = ACTIONS(3128),
    [aux_sym_number_literal_token2] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [anon_sym___asm] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [aux_sym_number_literal_token1] = ACTIONS(3136),
    [aux_sym_number_literal_token2] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [aux_sym_number_literal_token1] = ACTIONS(3140),
    [aux_sym_number_literal_token2] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1966),
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_include_token1] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_RPAREN] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_case] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_namespace] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [aux_sym_number_literal_token1] = ACTIONS(3144),
    [aux_sym_number_literal_token2] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [aux_sym_number_literal_token1] = ACTIONS(3031),
    [aux_sym_number_literal_token2] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_include_token1] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token2] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym___cdecl] = ACTIONS(3014),
    [anon_sym___clrcall] = ACTIONS(3014),
    [anon_sym___stdcall] = ACTIONS(3014),
    [anon_sym___fastcall] = ACTIONS(3014),
    [anon_sym___thiscall] = ACTIONS(3014),
    [anon_sym___vectorcall] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_switch] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_default] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_do] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_continue] = ACTIONS(3014),
    [anon_sym_goto] = ACTIONS(3014),
    [anon_sym___try] = ACTIONS(3014),
    [anon_sym___leave] = ACTIONS(3014),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_compl] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_sizeof] = ACTIONS(3014),
    [anon_sym___alignof__] = ACTIONS(3014),
    [anon_sym___alignof] = ACTIONS(3014),
    [anon_sym__alignof] = ACTIONS(3014),
    [anon_sym_alignof] = ACTIONS(3014),
    [anon_sym__Alignof] = ACTIONS(3014),
    [anon_sym_offsetof] = ACTIONS(3014),
    [anon_sym__Generic] = ACTIONS(3014),
    [anon_sym_asm] = ACTIONS(3014),
    [anon_sym___asm__] = ACTIONS(3014),
    [anon_sym___asm] = ACTIONS(3014),
    [aux_sym_number_literal_token1] = ACTIONS(3016),
    [aux_sym_number_literal_token2] = ACTIONS(3014),
    [anon_sym_L_SQUOTE] = ACTIONS(3016),
    [anon_sym_u_SQUOTE] = ACTIONS(3016),
    [anon_sym_U_SQUOTE] = ACTIONS(3016),
    [anon_sym_u8_SQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_L_DQUOTE] = ACTIONS(3016),
    [anon_sym_u_DQUOTE] = ACTIONS(3016),
    [anon_sym_U_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8_DQUOTE] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [anon_sym_NULL] = ACTIONS(3014),
    [anon_sym_nullptr] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_delete] = ACTIONS(3014),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
    [anon_sym_concept] = ACTIONS(3014),
    [anon_sym_co_return] = ACTIONS(3014),
    [anon_sym_co_yield] = ACTIONS(3014),
    [anon_sym_R_DQUOTE] = ACTIONS(3016),
    [anon_sym_LR_DQUOTE] = ACTIONS(3016),
    [anon_sym_uR_DQUOTE] = ACTIONS(3016),
    [anon_sym_UR_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3016),
    [anon_sym_co_await] = ACTIONS(3014),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_requires] = ACTIONS(3014),
    [sym_this] = ACTIONS(3014),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [anon_sym___asm] = ACTIONS(2959),
    [aux_sym_number_literal_token1] = ACTIONS(2961),
    [aux_sym_number_literal_token2] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [568] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_type_definition] = STATE(568),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5595),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(568),
    [sym_operator_cast] = STATE(6715),
    [sym_inline_method_definition] = STATE(568),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(568),
    [sym_operator_cast_declaration] = STATE(568),
    [sym_constructor_or_destructor_definition] = STATE(568),
    [sym_constructor_or_destructor_declaration] = STATE(568),
    [sym_friend_declaration] = STATE(568),
    [sym_access_specifier] = STATE(8501),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(568),
    [sym_alias_declaration] = STATE(568),
    [sym_static_assert_declaration] = STATE(568),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3346),
    [aux_sym_preproc_elif_token1] = ACTIONS(3346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3346),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3372),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3408),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3441),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3453),
    [anon_sym_static_assert] = ACTIONS(3456),
  },
  [569] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_include_token1] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token2] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym___cdecl] = ACTIONS(2986),
    [anon_sym___clrcall] = ACTIONS(2986),
    [anon_sym___stdcall] = ACTIONS(2986),
    [anon_sym___fastcall] = ACTIONS(2986),
    [anon_sym___thiscall] = ACTIONS(2986),
    [anon_sym___vectorcall] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2986),
    [anon_sym_case] = ACTIONS(2986),
    [anon_sym_default] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_for] = ACTIONS(2986),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_break] = ACTIONS(2986),
    [anon_sym_continue] = ACTIONS(2986),
    [anon_sym_goto] = ACTIONS(2986),
    [anon_sym___try] = ACTIONS(2986),
    [anon_sym___leave] = ACTIONS(2986),
    [anon_sym_not] = ACTIONS(2986),
    [anon_sym_compl] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_sizeof] = ACTIONS(2986),
    [anon_sym___alignof__] = ACTIONS(2986),
    [anon_sym___alignof] = ACTIONS(2986),
    [anon_sym__alignof] = ACTIONS(2986),
    [anon_sym_alignof] = ACTIONS(2986),
    [anon_sym__Alignof] = ACTIONS(2986),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2986),
    [anon_sym_asm] = ACTIONS(2986),
    [anon_sym___asm__] = ACTIONS(2986),
    [anon_sym___asm] = ACTIONS(2986),
    [aux_sym_number_literal_token1] = ACTIONS(2988),
    [aux_sym_number_literal_token2] = ACTIONS(2986),
    [anon_sym_L_SQUOTE] = ACTIONS(2988),
    [anon_sym_u_SQUOTE] = ACTIONS(2988),
    [anon_sym_U_SQUOTE] = ACTIONS(2988),
    [anon_sym_u8_SQUOTE] = ACTIONS(2988),
    [anon_sym_SQUOTE] = ACTIONS(2988),
    [anon_sym_L_DQUOTE] = ACTIONS(2988),
    [anon_sym_u_DQUOTE] = ACTIONS(2988),
    [anon_sym_U_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8_DQUOTE] = ACTIONS(2988),
    [anon_sym_DQUOTE] = ACTIONS(2988),
    [sym_true] = ACTIONS(2986),
    [sym_false] = ACTIONS(2986),
    [anon_sym_NULL] = ACTIONS(2986),
    [anon_sym_nullptr] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_try] = ACTIONS(2986),
    [anon_sym_delete] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2986),
    [anon_sym_namespace] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
    [anon_sym_concept] = ACTIONS(2986),
    [anon_sym_co_return] = ACTIONS(2986),
    [anon_sym_co_yield] = ACTIONS(2986),
    [anon_sym_R_DQUOTE] = ACTIONS(2988),
    [anon_sym_LR_DQUOTE] = ACTIONS(2988),
    [anon_sym_uR_DQUOTE] = ACTIONS(2988),
    [anon_sym_UR_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2988),
    [anon_sym_co_await] = ACTIONS(2986),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_requires] = ACTIONS(2986),
    [sym_this] = ACTIONS(2986),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [aux_sym_number_literal_token1] = ACTIONS(3000),
    [aux_sym_number_literal_token2] = ACTIONS(2998),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym___attribute] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym__Nonnull] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [anon_sym_PROGMEM] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym__Alignas] = ACTIONS(3197),
    [aux_sym_primitive_type_token1] = ACTIONS(3197),
    [anon_sym_byte] = ACTIONS(3197),
    [anon_sym_word] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [anon_sym___asm] = ACTIONS(3197),
    [aux_sym_number_literal_token1] = ACTIONS(3199),
    [aux_sym_number_literal_token2] = ACTIONS(3197),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_PROGMEM] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [aux_sym_primitive_type_token1] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_word] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [aux_sym_number_literal_token1] = ACTIONS(3047),
    [aux_sym_number_literal_token2] = ACTIONS(3045),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [aux_sym_number_literal_token1] = ACTIONS(3043),
    [aux_sym_number_literal_token2] = ACTIONS(3041),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_include_token1] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token2] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym___cdecl] = ACTIONS(3006),
    [anon_sym___clrcall] = ACTIONS(3006),
    [anon_sym___stdcall] = ACTIONS(3006),
    [anon_sym___fastcall] = ACTIONS(3006),
    [anon_sym___thiscall] = ACTIONS(3006),
    [anon_sym___vectorcall] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_switch] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_default] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_do] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_continue] = ACTIONS(3006),
    [anon_sym_goto] = ACTIONS(3006),
    [anon_sym___try] = ACTIONS(3006),
    [anon_sym___leave] = ACTIONS(3006),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_compl] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_sizeof] = ACTIONS(3006),
    [anon_sym___alignof__] = ACTIONS(3006),
    [anon_sym___alignof] = ACTIONS(3006),
    [anon_sym__alignof] = ACTIONS(3006),
    [anon_sym_alignof] = ACTIONS(3006),
    [anon_sym__Alignof] = ACTIONS(3006),
    [anon_sym_offsetof] = ACTIONS(3006),
    [anon_sym__Generic] = ACTIONS(3006),
    [anon_sym_asm] = ACTIONS(3006),
    [anon_sym___asm__] = ACTIONS(3006),
    [anon_sym___asm] = ACTIONS(3006),
    [aux_sym_number_literal_token1] = ACTIONS(3008),
    [aux_sym_number_literal_token2] = ACTIONS(3006),
    [anon_sym_L_SQUOTE] = ACTIONS(3008),
    [anon_sym_u_SQUOTE] = ACTIONS(3008),
    [anon_sym_U_SQUOTE] = ACTIONS(3008),
    [anon_sym_u8_SQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [anon_sym_L_DQUOTE] = ACTIONS(3008),
    [anon_sym_u_DQUOTE] = ACTIONS(3008),
    [anon_sym_U_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8_DQUOTE] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [anon_sym_NULL] = ACTIONS(3006),
    [anon_sym_nullptr] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_try] = ACTIONS(3006),
    [anon_sym_delete] = ACTIONS(3006),
    [anon_sym_throw] = ACTIONS(3006),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
    [anon_sym_concept] = ACTIONS(3006),
    [anon_sym_co_return] = ACTIONS(3006),
    [anon_sym_co_yield] = ACTIONS(3006),
    [anon_sym_R_DQUOTE] = ACTIONS(3008),
    [anon_sym_LR_DQUOTE] = ACTIONS(3008),
    [anon_sym_uR_DQUOTE] = ACTIONS(3008),
    [anon_sym_UR_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3008),
    [anon_sym_co_await] = ACTIONS(3006),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_requires] = ACTIONS(3006),
    [sym_this] = ACTIONS(3006),
  },
  [578] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [anon_sym___asm] = ACTIONS(3193),
    [aux_sym_number_literal_token1] = ACTIONS(3195),
    [aux_sym_number_literal_token2] = ACTIONS(3193),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym___attribute] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym__Nonnull] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [anon_sym_PROGMEM] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym__Alignas] = ACTIONS(3181),
    [aux_sym_primitive_type_token1] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_word] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [anon_sym___asm] = ACTIONS(3181),
    [aux_sym_number_literal_token1] = ACTIONS(3183),
    [aux_sym_number_literal_token2] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [580] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_include_token1] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token2] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym___cdecl] = ACTIONS(3002),
    [anon_sym___clrcall] = ACTIONS(3002),
    [anon_sym___stdcall] = ACTIONS(3002),
    [anon_sym___fastcall] = ACTIONS(3002),
    [anon_sym___thiscall] = ACTIONS(3002),
    [anon_sym___vectorcall] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_switch] = ACTIONS(3002),
    [anon_sym_case] = ACTIONS(3002),
    [anon_sym_default] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(3002),
    [anon_sym_for] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_break] = ACTIONS(3002),
    [anon_sym_continue] = ACTIONS(3002),
    [anon_sym_goto] = ACTIONS(3002),
    [anon_sym___try] = ACTIONS(3002),
    [anon_sym___leave] = ACTIONS(3002),
    [anon_sym_not] = ACTIONS(3002),
    [anon_sym_compl] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_sizeof] = ACTIONS(3002),
    [anon_sym___alignof__] = ACTIONS(3002),
    [anon_sym___alignof] = ACTIONS(3002),
    [anon_sym__alignof] = ACTIONS(3002),
    [anon_sym_alignof] = ACTIONS(3002),
    [anon_sym__Alignof] = ACTIONS(3002),
    [anon_sym_offsetof] = ACTIONS(3002),
    [anon_sym__Generic] = ACTIONS(3002),
    [anon_sym_asm] = ACTIONS(3002),
    [anon_sym___asm__] = ACTIONS(3002),
    [anon_sym___asm] = ACTIONS(3002),
    [aux_sym_number_literal_token1] = ACTIONS(3004),
    [aux_sym_number_literal_token2] = ACTIONS(3002),
    [anon_sym_L_SQUOTE] = ACTIONS(3004),
    [anon_sym_u_SQUOTE] = ACTIONS(3004),
    [anon_sym_U_SQUOTE] = ACTIONS(3004),
    [anon_sym_u8_SQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [anon_sym_L_DQUOTE] = ACTIONS(3004),
    [anon_sym_u_DQUOTE] = ACTIONS(3004),
    [anon_sym_U_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8_DQUOTE] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3004),
    [sym_true] = ACTIONS(3002),
    [sym_false] = ACTIONS(3002),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_delete] = ACTIONS(3002),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
    [anon_sym_concept] = ACTIONS(3002),
    [anon_sym_co_return] = ACTIONS(3002),
    [anon_sym_co_yield] = ACTIONS(3002),
    [anon_sym_R_DQUOTE] = ACTIONS(3004),
    [anon_sym_LR_DQUOTE] = ACTIONS(3004),
    [anon_sym_uR_DQUOTE] = ACTIONS(3004),
    [anon_sym_UR_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3004),
    [anon_sym_co_await] = ACTIONS(3002),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_requires] = ACTIONS(3002),
    [sym_this] = ACTIONS(3002),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_include_token1] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token2] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym___cdecl] = ACTIONS(3010),
    [anon_sym___clrcall] = ACTIONS(3010),
    [anon_sym___stdcall] = ACTIONS(3010),
    [anon_sym___fastcall] = ACTIONS(3010),
    [anon_sym___thiscall] = ACTIONS(3010),
    [anon_sym___vectorcall] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_switch] = ACTIONS(3010),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_default] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_do] = ACTIONS(3010),
    [anon_sym_for] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_break] = ACTIONS(3010),
    [anon_sym_continue] = ACTIONS(3010),
    [anon_sym_goto] = ACTIONS(3010),
    [anon_sym___try] = ACTIONS(3010),
    [anon_sym___leave] = ACTIONS(3010),
    [anon_sym_not] = ACTIONS(3010),
    [anon_sym_compl] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_sizeof] = ACTIONS(3010),
    [anon_sym___alignof__] = ACTIONS(3010),
    [anon_sym___alignof] = ACTIONS(3010),
    [anon_sym__alignof] = ACTIONS(3010),
    [anon_sym_alignof] = ACTIONS(3010),
    [anon_sym__Alignof] = ACTIONS(3010),
    [anon_sym_offsetof] = ACTIONS(3010),
    [anon_sym__Generic] = ACTIONS(3010),
    [anon_sym_asm] = ACTIONS(3010),
    [anon_sym___asm__] = ACTIONS(3010),
    [anon_sym___asm] = ACTIONS(3010),
    [aux_sym_number_literal_token1] = ACTIONS(3012),
    [aux_sym_number_literal_token2] = ACTIONS(3010),
    [anon_sym_L_SQUOTE] = ACTIONS(3012),
    [anon_sym_u_SQUOTE] = ACTIONS(3012),
    [anon_sym_U_SQUOTE] = ACTIONS(3012),
    [anon_sym_u8_SQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [anon_sym_L_DQUOTE] = ACTIONS(3012),
    [anon_sym_u_DQUOTE] = ACTIONS(3012),
    [anon_sym_U_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8_DQUOTE] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [sym_true] = ACTIONS(3010),
    [sym_false] = ACTIONS(3010),
    [anon_sym_NULL] = ACTIONS(3010),
    [anon_sym_nullptr] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_delete] = ACTIONS(3010),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
    [anon_sym_concept] = ACTIONS(3010),
    [anon_sym_co_return] = ACTIONS(3010),
    [anon_sym_co_yield] = ACTIONS(3010),
    [anon_sym_R_DQUOTE] = ACTIONS(3012),
    [anon_sym_LR_DQUOTE] = ACTIONS(3012),
    [anon_sym_uR_DQUOTE] = ACTIONS(3012),
    [anon_sym_UR_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3012),
    [anon_sym_co_await] = ACTIONS(3010),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_requires] = ACTIONS(3010),
    [sym_this] = ACTIONS(3010),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_include_token1] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym___cdecl] = ACTIONS(3173),
    [anon_sym___clrcall] = ACTIONS(3173),
    [anon_sym___stdcall] = ACTIONS(3173),
    [anon_sym___fastcall] = ACTIONS(3173),
    [anon_sym___thiscall] = ACTIONS(3173),
    [anon_sym___vectorcall] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_RBRACE] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym___try] = ACTIONS(3173),
    [anon_sym___leave] = ACTIONS(3173),
    [anon_sym_not] = ACTIONS(3173),
    [anon_sym_compl] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym___alignof__] = ACTIONS(3173),
    [anon_sym___alignof] = ACTIONS(3173),
    [anon_sym__alignof] = ACTIONS(3173),
    [anon_sym_alignof] = ACTIONS(3173),
    [anon_sym__Alignof] = ACTIONS(3173),
    [anon_sym_offsetof] = ACTIONS(3173),
    [anon_sym__Generic] = ACTIONS(3173),
    [anon_sym_asm] = ACTIONS(3173),
    [anon_sym___asm__] = ACTIONS(3173),
    [anon_sym___asm] = ACTIONS(3173),
    [aux_sym_number_literal_token1] = ACTIONS(3175),
    [aux_sym_number_literal_token2] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3175),
    [anon_sym_u_SQUOTE] = ACTIONS(3175),
    [anon_sym_U_SQUOTE] = ACTIONS(3175),
    [anon_sym_u8_SQUOTE] = ACTIONS(3175),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [anon_sym_L_DQUOTE] = ACTIONS(3175),
    [anon_sym_u_DQUOTE] = ACTIONS(3175),
    [anon_sym_U_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8_DQUOTE] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [anon_sym_NULL] = ACTIONS(3173),
    [anon_sym_nullptr] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
    [anon_sym_concept] = ACTIONS(3173),
    [anon_sym_co_return] = ACTIONS(3173),
    [anon_sym_co_yield] = ACTIONS(3173),
    [anon_sym_R_DQUOTE] = ACTIONS(3175),
    [anon_sym_LR_DQUOTE] = ACTIONS(3175),
    [anon_sym_uR_DQUOTE] = ACTIONS(3175),
    [anon_sym_UR_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3175),
    [anon_sym_co_await] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_requires] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3169),
    [aux_sym_preproc_include_token1] = ACTIONS(3169),
    [aux_sym_preproc_def_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3169),
    [sym_preproc_directive] = ACTIONS(3169),
    [anon_sym_LPAREN2] = ACTIONS(3171),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym___extension__] = ACTIONS(3169),
    [anon_sym_typedef] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym___attribute__] = ACTIONS(3169),
    [anon_sym___attribute] = ACTIONS(3169),
    [anon_sym_COLON_COLON] = ACTIONS(3171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3171),
    [anon_sym___declspec] = ACTIONS(3169),
    [anon_sym___based] = ACTIONS(3169),
    [anon_sym___cdecl] = ACTIONS(3169),
    [anon_sym___clrcall] = ACTIONS(3169),
    [anon_sym___stdcall] = ACTIONS(3169),
    [anon_sym___fastcall] = ACTIONS(3169),
    [anon_sym___thiscall] = ACTIONS(3169),
    [anon_sym___vectorcall] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3169),
    [anon_sym_unsigned] = ACTIONS(3169),
    [anon_sym_long] = ACTIONS(3169),
    [anon_sym_short] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_register] = ACTIONS(3169),
    [anon_sym_inline] = ACTIONS(3169),
    [anon_sym___inline] = ACTIONS(3169),
    [anon_sym___inline__] = ACTIONS(3169),
    [anon_sym___forceinline] = ACTIONS(3169),
    [anon_sym_thread_local] = ACTIONS(3169),
    [anon_sym___thread] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_constexpr] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_restrict] = ACTIONS(3169),
    [anon_sym___restrict__] = ACTIONS(3169),
    [anon_sym__Atomic] = ACTIONS(3169),
    [anon_sym__Noreturn] = ACTIONS(3169),
    [anon_sym_noreturn] = ACTIONS(3169),
    [anon_sym__Nonnull] = ACTIONS(3169),
    [anon_sym_mutable] = ACTIONS(3169),
    [anon_sym_constinit] = ACTIONS(3169),
    [anon_sym_consteval] = ACTIONS(3169),
    [anon_sym_PROGMEM] = ACTIONS(3169),
    [anon_sym_alignas] = ACTIONS(3169),
    [anon_sym__Alignas] = ACTIONS(3169),
    [aux_sym_primitive_type_token1] = ACTIONS(3169),
    [anon_sym_byte] = ACTIONS(3169),
    [anon_sym_word] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_union] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_case] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym___try] = ACTIONS(3169),
    [anon_sym___leave] = ACTIONS(3169),
    [anon_sym_not] = ACTIONS(3169),
    [anon_sym_compl] = ACTIONS(3169),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym___alignof__] = ACTIONS(3169),
    [anon_sym___alignof] = ACTIONS(3169),
    [anon_sym__alignof] = ACTIONS(3169),
    [anon_sym_alignof] = ACTIONS(3169),
    [anon_sym__Alignof] = ACTIONS(3169),
    [anon_sym_offsetof] = ACTIONS(3169),
    [anon_sym__Generic] = ACTIONS(3169),
    [anon_sym_asm] = ACTIONS(3169),
    [anon_sym___asm__] = ACTIONS(3169),
    [anon_sym___asm] = ACTIONS(3169),
    [aux_sym_number_literal_token1] = ACTIONS(3171),
    [aux_sym_number_literal_token2] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3171),
    [anon_sym_u_SQUOTE] = ACTIONS(3171),
    [anon_sym_U_SQUOTE] = ACTIONS(3171),
    [anon_sym_u8_SQUOTE] = ACTIONS(3171),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_L_DQUOTE] = ACTIONS(3171),
    [anon_sym_u_DQUOTE] = ACTIONS(3171),
    [anon_sym_U_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8_DQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [sym_true] = ACTIONS(3169),
    [sym_false] = ACTIONS(3169),
    [anon_sym_NULL] = ACTIONS(3169),
    [anon_sym_nullptr] = ACTIONS(3169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3169),
    [anon_sym_decltype] = ACTIONS(3169),
    [anon_sym_explicit] = ACTIONS(3169),
    [anon_sym_typename] = ACTIONS(3169),
    [anon_sym_template] = ACTIONS(3169),
    [anon_sym_operator] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_delete] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_static_assert] = ACTIONS(3169),
    [anon_sym_concept] = ACTIONS(3169),
    [anon_sym_co_return] = ACTIONS(3169),
    [anon_sym_co_yield] = ACTIONS(3169),
    [anon_sym_R_DQUOTE] = ACTIONS(3171),
    [anon_sym_LR_DQUOTE] = ACTIONS(3171),
    [anon_sym_uR_DQUOTE] = ACTIONS(3171),
    [anon_sym_UR_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3171),
    [anon_sym_co_await] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_requires] = ACTIONS(3169),
    [sym_this] = ACTIONS(3169),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym___try] = ACTIONS(3041),
    [anon_sym___leave] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [aux_sym_number_literal_token1] = ACTIONS(3043),
    [aux_sym_number_literal_token2] = ACTIONS(3041),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_include_token1] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym___cdecl] = ACTIONS(3010),
    [anon_sym___clrcall] = ACTIONS(3010),
    [anon_sym___stdcall] = ACTIONS(3010),
    [anon_sym___fastcall] = ACTIONS(3010),
    [anon_sym___thiscall] = ACTIONS(3010),
    [anon_sym___vectorcall] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_switch] = ACTIONS(3010),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_default] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_do] = ACTIONS(3010),
    [anon_sym_for] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_break] = ACTIONS(3010),
    [anon_sym_continue] = ACTIONS(3010),
    [anon_sym_goto] = ACTIONS(3010),
    [anon_sym___try] = ACTIONS(3010),
    [anon_sym___leave] = ACTIONS(3010),
    [anon_sym_not] = ACTIONS(3010),
    [anon_sym_compl] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_sizeof] = ACTIONS(3010),
    [anon_sym___alignof__] = ACTIONS(3010),
    [anon_sym___alignof] = ACTIONS(3010),
    [anon_sym__alignof] = ACTIONS(3010),
    [anon_sym_alignof] = ACTIONS(3010),
    [anon_sym__Alignof] = ACTIONS(3010),
    [anon_sym_offsetof] = ACTIONS(3010),
    [anon_sym__Generic] = ACTIONS(3010),
    [anon_sym_asm] = ACTIONS(3010),
    [anon_sym___asm__] = ACTIONS(3010),
    [anon_sym___asm] = ACTIONS(3010),
    [aux_sym_number_literal_token1] = ACTIONS(3012),
    [aux_sym_number_literal_token2] = ACTIONS(3010),
    [anon_sym_L_SQUOTE] = ACTIONS(3012),
    [anon_sym_u_SQUOTE] = ACTIONS(3012),
    [anon_sym_U_SQUOTE] = ACTIONS(3012),
    [anon_sym_u8_SQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [anon_sym_L_DQUOTE] = ACTIONS(3012),
    [anon_sym_u_DQUOTE] = ACTIONS(3012),
    [anon_sym_U_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8_DQUOTE] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [sym_true] = ACTIONS(3010),
    [sym_false] = ACTIONS(3010),
    [anon_sym_NULL] = ACTIONS(3010),
    [anon_sym_nullptr] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_delete] = ACTIONS(3010),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
    [anon_sym_concept] = ACTIONS(3010),
    [anon_sym_co_return] = ACTIONS(3010),
    [anon_sym_co_yield] = ACTIONS(3010),
    [anon_sym_R_DQUOTE] = ACTIONS(3012),
    [anon_sym_LR_DQUOTE] = ACTIONS(3012),
    [anon_sym_uR_DQUOTE] = ACTIONS(3012),
    [anon_sym_UR_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3012),
    [anon_sym_co_await] = ACTIONS(3010),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_requires] = ACTIONS(3010),
    [sym_this] = ACTIONS(3010),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_include_token1] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym___cdecl] = ACTIONS(3002),
    [anon_sym___clrcall] = ACTIONS(3002),
    [anon_sym___stdcall] = ACTIONS(3002),
    [anon_sym___fastcall] = ACTIONS(3002),
    [anon_sym___thiscall] = ACTIONS(3002),
    [anon_sym___vectorcall] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_switch] = ACTIONS(3002),
    [anon_sym_case] = ACTIONS(3002),
    [anon_sym_default] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(3002),
    [anon_sym_for] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_break] = ACTIONS(3002),
    [anon_sym_continue] = ACTIONS(3002),
    [anon_sym_goto] = ACTIONS(3002),
    [anon_sym___try] = ACTIONS(3002),
    [anon_sym___leave] = ACTIONS(3002),
    [anon_sym_not] = ACTIONS(3002),
    [anon_sym_compl] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_sizeof] = ACTIONS(3002),
    [anon_sym___alignof__] = ACTIONS(3002),
    [anon_sym___alignof] = ACTIONS(3002),
    [anon_sym__alignof] = ACTIONS(3002),
    [anon_sym_alignof] = ACTIONS(3002),
    [anon_sym__Alignof] = ACTIONS(3002),
    [anon_sym_offsetof] = ACTIONS(3002),
    [anon_sym__Generic] = ACTIONS(3002),
    [anon_sym_asm] = ACTIONS(3002),
    [anon_sym___asm__] = ACTIONS(3002),
    [anon_sym___asm] = ACTIONS(3002),
    [aux_sym_number_literal_token1] = ACTIONS(3004),
    [aux_sym_number_literal_token2] = ACTIONS(3002),
    [anon_sym_L_SQUOTE] = ACTIONS(3004),
    [anon_sym_u_SQUOTE] = ACTIONS(3004),
    [anon_sym_U_SQUOTE] = ACTIONS(3004),
    [anon_sym_u8_SQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [anon_sym_L_DQUOTE] = ACTIONS(3004),
    [anon_sym_u_DQUOTE] = ACTIONS(3004),
    [anon_sym_U_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8_DQUOTE] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3004),
    [sym_true] = ACTIONS(3002),
    [sym_false] = ACTIONS(3002),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_delete] = ACTIONS(3002),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
    [anon_sym_concept] = ACTIONS(3002),
    [anon_sym_co_return] = ACTIONS(3002),
    [anon_sym_co_yield] = ACTIONS(3002),
    [anon_sym_R_DQUOTE] = ACTIONS(3004),
    [anon_sym_LR_DQUOTE] = ACTIONS(3004),
    [anon_sym_uR_DQUOTE] = ACTIONS(3004),
    [anon_sym_UR_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3004),
    [anon_sym_co_await] = ACTIONS(3002),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_requires] = ACTIONS(3002),
    [sym_this] = ACTIONS(3002),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym___try] = ACTIONS(2998),
    [anon_sym___leave] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [aux_sym_number_literal_token1] = ACTIONS(3000),
    [aux_sym_number_literal_token2] = ACTIONS(2998),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_include_token1] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym___cdecl] = ACTIONS(2986),
    [anon_sym___clrcall] = ACTIONS(2986),
    [anon_sym___stdcall] = ACTIONS(2986),
    [anon_sym___fastcall] = ACTIONS(2986),
    [anon_sym___thiscall] = ACTIONS(2986),
    [anon_sym___vectorcall] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(2988),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2986),
    [anon_sym_case] = ACTIONS(2986),
    [anon_sym_default] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_for] = ACTIONS(2986),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_break] = ACTIONS(2986),
    [anon_sym_continue] = ACTIONS(2986),
    [anon_sym_goto] = ACTIONS(2986),
    [anon_sym___try] = ACTIONS(2986),
    [anon_sym___leave] = ACTIONS(2986),
    [anon_sym_not] = ACTIONS(2986),
    [anon_sym_compl] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_sizeof] = ACTIONS(2986),
    [anon_sym___alignof__] = ACTIONS(2986),
    [anon_sym___alignof] = ACTIONS(2986),
    [anon_sym__alignof] = ACTIONS(2986),
    [anon_sym_alignof] = ACTIONS(2986),
    [anon_sym__Alignof] = ACTIONS(2986),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2986),
    [anon_sym_asm] = ACTIONS(2986),
    [anon_sym___asm__] = ACTIONS(2986),
    [anon_sym___asm] = ACTIONS(2986),
    [aux_sym_number_literal_token1] = ACTIONS(2988),
    [aux_sym_number_literal_token2] = ACTIONS(2986),
    [anon_sym_L_SQUOTE] = ACTIONS(2988),
    [anon_sym_u_SQUOTE] = ACTIONS(2988),
    [anon_sym_U_SQUOTE] = ACTIONS(2988),
    [anon_sym_u8_SQUOTE] = ACTIONS(2988),
    [anon_sym_SQUOTE] = ACTIONS(2988),
    [anon_sym_L_DQUOTE] = ACTIONS(2988),
    [anon_sym_u_DQUOTE] = ACTIONS(2988),
    [anon_sym_U_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8_DQUOTE] = ACTIONS(2988),
    [anon_sym_DQUOTE] = ACTIONS(2988),
    [sym_true] = ACTIONS(2986),
    [sym_false] = ACTIONS(2986),
    [anon_sym_NULL] = ACTIONS(2986),
    [anon_sym_nullptr] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_try] = ACTIONS(2986),
    [anon_sym_delete] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2986),
    [anon_sym_namespace] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
    [anon_sym_concept] = ACTIONS(2986),
    [anon_sym_co_return] = ACTIONS(2986),
    [anon_sym_co_yield] = ACTIONS(2986),
    [anon_sym_R_DQUOTE] = ACTIONS(2988),
    [anon_sym_LR_DQUOTE] = ACTIONS(2988),
    [anon_sym_uR_DQUOTE] = ACTIONS(2988),
    [anon_sym_UR_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2988),
    [anon_sym_co_await] = ACTIONS(2986),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_requires] = ACTIONS(2986),
    [sym_this] = ACTIONS(2986),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2972),
    [anon_sym___leave] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [anon_sym___asm] = ACTIONS(2959),
    [aux_sym_number_literal_token1] = ACTIONS(2961),
    [aux_sym_number_literal_token2] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym___attribute] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym__Nonnull] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_PROGMEM] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [aux_sym_primitive_type_token1] = ACTIONS(2955),
    [anon_sym_byte] = ACTIONS(2955),
    [anon_sym_word] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [anon_sym___asm] = ACTIONS(2955),
    [aux_sym_number_literal_token1] = ACTIONS(2957),
    [aux_sym_number_literal_token2] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym___attribute] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym__Nonnull] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_PROGMEM] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [aux_sym_primitive_type_token1] = ACTIONS(2951),
    [anon_sym_byte] = ACTIONS(2951),
    [anon_sym_word] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [anon_sym___asm] = ACTIONS(2951),
    [aux_sym_number_literal_token1] = ACTIONS(2953),
    [aux_sym_number_literal_token2] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym___attribute] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym__Nonnull] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_PROGMEM] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [aux_sym_primitive_type_token1] = ACTIONS(2947),
    [anon_sym_byte] = ACTIONS(2947),
    [anon_sym_word] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [anon_sym___asm] = ACTIONS(2947),
    [aux_sym_number_literal_token1] = ACTIONS(2949),
    [aux_sym_number_literal_token2] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym___attribute] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym__Nonnull] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_PROGMEM] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [aux_sym_primitive_type_token1] = ACTIONS(2943),
    [anon_sym_byte] = ACTIONS(2943),
    [anon_sym_word] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [anon_sym___asm] = ACTIONS(2943),
    [aux_sym_number_literal_token1] = ACTIONS(2945),
    [aux_sym_number_literal_token2] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym___attribute] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym__Nonnull] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [anon_sym_PROGMEM] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym__Alignas] = ACTIONS(2939),
    [aux_sym_primitive_type_token1] = ACTIONS(2939),
    [anon_sym_byte] = ACTIONS(2939),
    [anon_sym_word] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [anon_sym___asm] = ACTIONS(2939),
    [aux_sym_number_literal_token1] = ACTIONS(2941),
    [aux_sym_number_literal_token2] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [anon_sym___asm] = ACTIONS(3122),
    [aux_sym_number_literal_token1] = ACTIONS(3124),
    [aux_sym_number_literal_token2] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [aux_sym_number_literal_token1] = ACTIONS(3035),
    [aux_sym_number_literal_token2] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [aux_sym_number_literal_token1] = ACTIONS(3160),
    [aux_sym_number_literal_token2] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [aux_sym_number_literal_token1] = ACTIONS(3152),
    [aux_sym_number_literal_token2] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_include_token1] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym___cdecl] = ACTIONS(3106),
    [anon_sym___clrcall] = ACTIONS(3106),
    [anon_sym___stdcall] = ACTIONS(3106),
    [anon_sym___fastcall] = ACTIONS(3106),
    [anon_sym___thiscall] = ACTIONS(3106),
    [anon_sym___vectorcall] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_goto] = ACTIONS(3106),
    [anon_sym___try] = ACTIONS(3106),
    [anon_sym___leave] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_compl] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_sizeof] = ACTIONS(3106),
    [anon_sym___alignof__] = ACTIONS(3106),
    [anon_sym___alignof] = ACTIONS(3106),
    [anon_sym__alignof] = ACTIONS(3106),
    [anon_sym_alignof] = ACTIONS(3106),
    [anon_sym__Alignof] = ACTIONS(3106),
    [anon_sym_offsetof] = ACTIONS(3106),
    [anon_sym__Generic] = ACTIONS(3106),
    [anon_sym_asm] = ACTIONS(3106),
    [anon_sym___asm__] = ACTIONS(3106),
    [anon_sym___asm] = ACTIONS(3106),
    [aux_sym_number_literal_token1] = ACTIONS(3108),
    [aux_sym_number_literal_token2] = ACTIONS(3106),
    [anon_sym_L_SQUOTE] = ACTIONS(3108),
    [anon_sym_u_SQUOTE] = ACTIONS(3108),
    [anon_sym_U_SQUOTE] = ACTIONS(3108),
    [anon_sym_u8_SQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_L_DQUOTE] = ACTIONS(3108),
    [anon_sym_u_DQUOTE] = ACTIONS(3108),
    [anon_sym_U_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8_DQUOTE] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [anon_sym_NULL] = ACTIONS(3106),
    [anon_sym_nullptr] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
    [anon_sym_concept] = ACTIONS(3106),
    [anon_sym_co_return] = ACTIONS(3106),
    [anon_sym_co_yield] = ACTIONS(3106),
    [anon_sym_R_DQUOTE] = ACTIONS(3108),
    [anon_sym_LR_DQUOTE] = ACTIONS(3108),
    [anon_sym_uR_DQUOTE] = ACTIONS(3108),
    [anon_sym_UR_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3108),
    [anon_sym_co_await] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_requires] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2990),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2990),
    [sym_preproc_directive] = ACTIONS(2990),
    [anon_sym_LPAREN2] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2990),
    [anon_sym_typedef] = ACTIONS(2990),
    [anon_sym_virtual] = ACTIONS(2990),
    [anon_sym_extern] = ACTIONS(2990),
    [anon_sym___attribute__] = ACTIONS(2990),
    [anon_sym___attribute] = ACTIONS(2990),
    [anon_sym_COLON_COLON] = ACTIONS(2992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2992),
    [anon_sym___declspec] = ACTIONS(2990),
    [anon_sym___based] = ACTIONS(2990),
    [anon_sym___cdecl] = ACTIONS(2990),
    [anon_sym___clrcall] = ACTIONS(2990),
    [anon_sym___stdcall] = ACTIONS(2990),
    [anon_sym___fastcall] = ACTIONS(2990),
    [anon_sym___thiscall] = ACTIONS(2990),
    [anon_sym___vectorcall] = ACTIONS(2990),
    [anon_sym_LBRACE] = ACTIONS(2992),
    [anon_sym_RBRACE] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2990),
    [anon_sym_unsigned] = ACTIONS(2990),
    [anon_sym_long] = ACTIONS(2990),
    [anon_sym_short] = ACTIONS(2990),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2990),
    [anon_sym_register] = ACTIONS(2990),
    [anon_sym_inline] = ACTIONS(2990),
    [anon_sym___inline] = ACTIONS(2990),
    [anon_sym___inline__] = ACTIONS(2990),
    [anon_sym___forceinline] = ACTIONS(2990),
    [anon_sym_thread_local] = ACTIONS(2990),
    [anon_sym___thread] = ACTIONS(2990),
    [anon_sym_const] = ACTIONS(2990),
    [anon_sym_constexpr] = ACTIONS(2990),
    [anon_sym_volatile] = ACTIONS(2990),
    [anon_sym_restrict] = ACTIONS(2990),
    [anon_sym___restrict__] = ACTIONS(2990),
    [anon_sym__Atomic] = ACTIONS(2990),
    [anon_sym__Noreturn] = ACTIONS(2990),
    [anon_sym_noreturn] = ACTIONS(2990),
    [anon_sym__Nonnull] = ACTIONS(2990),
    [anon_sym_mutable] = ACTIONS(2990),
    [anon_sym_constinit] = ACTIONS(2990),
    [anon_sym_consteval] = ACTIONS(2990),
    [anon_sym_PROGMEM] = ACTIONS(2990),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [aux_sym_primitive_type_token1] = ACTIONS(2990),
    [anon_sym_byte] = ACTIONS(2990),
    [anon_sym_word] = ACTIONS(2990),
    [anon_sym_enum] = ACTIONS(2990),
    [anon_sym_class] = ACTIONS(2990),
    [anon_sym_struct] = ACTIONS(2990),
    [anon_sym_union] = ACTIONS(2990),
    [anon_sym_if] = ACTIONS(2990),
    [anon_sym_switch] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2990),
    [anon_sym_default] = ACTIONS(2990),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2990),
    [anon_sym_return] = ACTIONS(2990),
    [anon_sym_break] = ACTIONS(2990),
    [anon_sym_continue] = ACTIONS(2990),
    [anon_sym_goto] = ACTIONS(2990),
    [anon_sym___try] = ACTIONS(2990),
    [anon_sym___leave] = ACTIONS(2990),
    [anon_sym_not] = ACTIONS(2990),
    [anon_sym_compl] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_sizeof] = ACTIONS(2990),
    [anon_sym___alignof__] = ACTIONS(2990),
    [anon_sym___alignof] = ACTIONS(2990),
    [anon_sym__alignof] = ACTIONS(2990),
    [anon_sym_alignof] = ACTIONS(2990),
    [anon_sym__Alignof] = ACTIONS(2990),
    [anon_sym_offsetof] = ACTIONS(2990),
    [anon_sym__Generic] = ACTIONS(2990),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [anon_sym___asm] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2990),
    [anon_sym_L_SQUOTE] = ACTIONS(2992),
    [anon_sym_u_SQUOTE] = ACTIONS(2992),
    [anon_sym_U_SQUOTE] = ACTIONS(2992),
    [anon_sym_u8_SQUOTE] = ACTIONS(2992),
    [anon_sym_SQUOTE] = ACTIONS(2992),
    [anon_sym_L_DQUOTE] = ACTIONS(2992),
    [anon_sym_u_DQUOTE] = ACTIONS(2992),
    [anon_sym_U_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8_DQUOTE] = ACTIONS(2992),
    [anon_sym_DQUOTE] = ACTIONS(2992),
    [sym_true] = ACTIONS(2990),
    [sym_false] = ACTIONS(2990),
    [anon_sym_NULL] = ACTIONS(2990),
    [anon_sym_nullptr] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2990),
    [anon_sym_decltype] = ACTIONS(2990),
    [anon_sym_explicit] = ACTIONS(2990),
    [anon_sym_typename] = ACTIONS(2990),
    [anon_sym_template] = ACTIONS(2990),
    [anon_sym_operator] = ACTIONS(2990),
    [anon_sym_try] = ACTIONS(2990),
    [anon_sym_delete] = ACTIONS(2990),
    [anon_sym_throw] = ACTIONS(2990),
    [anon_sym_namespace] = ACTIONS(2990),
    [anon_sym_using] = ACTIONS(2990),
    [anon_sym_static_assert] = ACTIONS(2990),
    [anon_sym_concept] = ACTIONS(2990),
    [anon_sym_co_return] = ACTIONS(2990),
    [anon_sym_co_yield] = ACTIONS(2990),
    [anon_sym_R_DQUOTE] = ACTIONS(2992),
    [anon_sym_LR_DQUOTE] = ACTIONS(2992),
    [anon_sym_uR_DQUOTE] = ACTIONS(2992),
    [anon_sym_UR_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2992),
    [anon_sym_co_await] = ACTIONS(2990),
    [anon_sym_new] = ACTIONS(2990),
    [anon_sym_requires] = ACTIONS(2990),
    [sym_this] = ACTIONS(2990),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2994),
    [aux_sym_preproc_include_token1] = ACTIONS(2994),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [sym_preproc_directive] = ACTIONS(2994),
    [anon_sym_LPAREN2] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2994),
    [anon_sym_virtual] = ACTIONS(2994),
    [anon_sym_extern] = ACTIONS(2994),
    [anon_sym___attribute__] = ACTIONS(2994),
    [anon_sym___attribute] = ACTIONS(2994),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2996),
    [anon_sym___declspec] = ACTIONS(2994),
    [anon_sym___based] = ACTIONS(2994),
    [anon_sym___cdecl] = ACTIONS(2994),
    [anon_sym___clrcall] = ACTIONS(2994),
    [anon_sym___stdcall] = ACTIONS(2994),
    [anon_sym___fastcall] = ACTIONS(2994),
    [anon_sym___thiscall] = ACTIONS(2994),
    [anon_sym___vectorcall] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2994),
    [anon_sym_unsigned] = ACTIONS(2994),
    [anon_sym_long] = ACTIONS(2994),
    [anon_sym_short] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2994),
    [anon_sym_register] = ACTIONS(2994),
    [anon_sym_inline] = ACTIONS(2994),
    [anon_sym___inline] = ACTIONS(2994),
    [anon_sym___inline__] = ACTIONS(2994),
    [anon_sym___forceinline] = ACTIONS(2994),
    [anon_sym_thread_local] = ACTIONS(2994),
    [anon_sym___thread] = ACTIONS(2994),
    [anon_sym_const] = ACTIONS(2994),
    [anon_sym_constexpr] = ACTIONS(2994),
    [anon_sym_volatile] = ACTIONS(2994),
    [anon_sym_restrict] = ACTIONS(2994),
    [anon_sym___restrict__] = ACTIONS(2994),
    [anon_sym__Atomic] = ACTIONS(2994),
    [anon_sym__Noreturn] = ACTIONS(2994),
    [anon_sym_noreturn] = ACTIONS(2994),
    [anon_sym__Nonnull] = ACTIONS(2994),
    [anon_sym_mutable] = ACTIONS(2994),
    [anon_sym_constinit] = ACTIONS(2994),
    [anon_sym_consteval] = ACTIONS(2994),
    [anon_sym_PROGMEM] = ACTIONS(2994),
    [anon_sym_alignas] = ACTIONS(2994),
    [anon_sym__Alignas] = ACTIONS(2994),
    [aux_sym_primitive_type_token1] = ACTIONS(2994),
    [anon_sym_byte] = ACTIONS(2994),
    [anon_sym_word] = ACTIONS(2994),
    [anon_sym_enum] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_struct] = ACTIONS(2994),
    [anon_sym_union] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_switch] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_default] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_continue] = ACTIONS(2994),
    [anon_sym_goto] = ACTIONS(2994),
    [anon_sym___try] = ACTIONS(2994),
    [anon_sym___leave] = ACTIONS(2994),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_compl] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_sizeof] = ACTIONS(2994),
    [anon_sym___alignof__] = ACTIONS(2994),
    [anon_sym___alignof] = ACTIONS(2994),
    [anon_sym__alignof] = ACTIONS(2994),
    [anon_sym_alignof] = ACTIONS(2994),
    [anon_sym__Alignof] = ACTIONS(2994),
    [anon_sym_offsetof] = ACTIONS(2994),
    [anon_sym__Generic] = ACTIONS(2994),
    [anon_sym_asm] = ACTIONS(2994),
    [anon_sym___asm__] = ACTIONS(2994),
    [anon_sym___asm] = ACTIONS(2994),
    [aux_sym_number_literal_token1] = ACTIONS(2996),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2996),
    [anon_sym_u_DQUOTE] = ACTIONS(2996),
    [anon_sym_U_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8_DQUOTE] = ACTIONS(2996),
    [anon_sym_DQUOTE] = ACTIONS(2996),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [anon_sym_NULL] = ACTIONS(2994),
    [anon_sym_nullptr] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2994),
    [anon_sym_decltype] = ACTIONS(2994),
    [anon_sym_explicit] = ACTIONS(2994),
    [anon_sym_typename] = ACTIONS(2994),
    [anon_sym_template] = ACTIONS(2994),
    [anon_sym_operator] = ACTIONS(2994),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_delete] = ACTIONS(2994),
    [anon_sym_throw] = ACTIONS(2994),
    [anon_sym_namespace] = ACTIONS(2994),
    [anon_sym_using] = ACTIONS(2994),
    [anon_sym_static_assert] = ACTIONS(2994),
    [anon_sym_concept] = ACTIONS(2994),
    [anon_sym_co_return] = ACTIONS(2994),
    [anon_sym_co_yield] = ACTIONS(2994),
    [anon_sym_R_DQUOTE] = ACTIONS(2996),
    [anon_sym_LR_DQUOTE] = ACTIONS(2996),
    [anon_sym_uR_DQUOTE] = ACTIONS(2996),
    [anon_sym_UR_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2996),
    [anon_sym_co_await] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(2994),
    [anon_sym_requires] = ACTIONS(2994),
    [sym_this] = ACTIONS(2994),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_include_token1] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym___cdecl] = ACTIONS(3006),
    [anon_sym___clrcall] = ACTIONS(3006),
    [anon_sym___stdcall] = ACTIONS(3006),
    [anon_sym___fastcall] = ACTIONS(3006),
    [anon_sym___thiscall] = ACTIONS(3006),
    [anon_sym___vectorcall] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_switch] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_default] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_do] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_continue] = ACTIONS(3006),
    [anon_sym_goto] = ACTIONS(3006),
    [anon_sym___try] = ACTIONS(3006),
    [anon_sym___leave] = ACTIONS(3006),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_compl] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_sizeof] = ACTIONS(3006),
    [anon_sym___alignof__] = ACTIONS(3006),
    [anon_sym___alignof] = ACTIONS(3006),
    [anon_sym__alignof] = ACTIONS(3006),
    [anon_sym_alignof] = ACTIONS(3006),
    [anon_sym__Alignof] = ACTIONS(3006),
    [anon_sym_offsetof] = ACTIONS(3006),
    [anon_sym__Generic] = ACTIONS(3006),
    [anon_sym_asm] = ACTIONS(3006),
    [anon_sym___asm__] = ACTIONS(3006),
    [anon_sym___asm] = ACTIONS(3006),
    [aux_sym_number_literal_token1] = ACTIONS(3008),
    [aux_sym_number_literal_token2] = ACTIONS(3006),
    [anon_sym_L_SQUOTE] = ACTIONS(3008),
    [anon_sym_u_SQUOTE] = ACTIONS(3008),
    [anon_sym_U_SQUOTE] = ACTIONS(3008),
    [anon_sym_u8_SQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [anon_sym_L_DQUOTE] = ACTIONS(3008),
    [anon_sym_u_DQUOTE] = ACTIONS(3008),
    [anon_sym_U_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8_DQUOTE] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [anon_sym_NULL] = ACTIONS(3006),
    [anon_sym_nullptr] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_try] = ACTIONS(3006),
    [anon_sym_delete] = ACTIONS(3006),
    [anon_sym_throw] = ACTIONS(3006),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
    [anon_sym_concept] = ACTIONS(3006),
    [anon_sym_co_return] = ACTIONS(3006),
    [anon_sym_co_yield] = ACTIONS(3006),
    [anon_sym_R_DQUOTE] = ACTIONS(3008),
    [anon_sym_LR_DQUOTE] = ACTIONS(3008),
    [anon_sym_uR_DQUOTE] = ACTIONS(3008),
    [anon_sym_UR_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3008),
    [anon_sym_co_await] = ACTIONS(3006),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_requires] = ACTIONS(3006),
    [sym_this] = ACTIONS(3006),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym___attribute] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym__Nonnull] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [anon_sym_PROGMEM] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym__Alignas] = ACTIONS(3102),
    [aux_sym_primitive_type_token1] = ACTIONS(3102),
    [anon_sym_byte] = ACTIONS(3102),
    [anon_sym_word] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [anon_sym___asm] = ACTIONS(3102),
    [aux_sym_number_literal_token1] = ACTIONS(3104),
    [aux_sym_number_literal_token2] = ACTIONS(3102),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [612] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_include_token1] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym___cdecl] = ACTIONS(3014),
    [anon_sym___clrcall] = ACTIONS(3014),
    [anon_sym___stdcall] = ACTIONS(3014),
    [anon_sym___fastcall] = ACTIONS(3014),
    [anon_sym___thiscall] = ACTIONS(3014),
    [anon_sym___vectorcall] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_switch] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_default] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_do] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_continue] = ACTIONS(3014),
    [anon_sym_goto] = ACTIONS(3014),
    [anon_sym___try] = ACTIONS(3014),
    [anon_sym___leave] = ACTIONS(3014),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_compl] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_sizeof] = ACTIONS(3014),
    [anon_sym___alignof__] = ACTIONS(3014),
    [anon_sym___alignof] = ACTIONS(3014),
    [anon_sym__alignof] = ACTIONS(3014),
    [anon_sym_alignof] = ACTIONS(3014),
    [anon_sym__Alignof] = ACTIONS(3014),
    [anon_sym_offsetof] = ACTIONS(3014),
    [anon_sym__Generic] = ACTIONS(3014),
    [anon_sym_asm] = ACTIONS(3014),
    [anon_sym___asm__] = ACTIONS(3014),
    [anon_sym___asm] = ACTIONS(3014),
    [aux_sym_number_literal_token1] = ACTIONS(3016),
    [aux_sym_number_literal_token2] = ACTIONS(3014),
    [anon_sym_L_SQUOTE] = ACTIONS(3016),
    [anon_sym_u_SQUOTE] = ACTIONS(3016),
    [anon_sym_U_SQUOTE] = ACTIONS(3016),
    [anon_sym_u8_SQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_L_DQUOTE] = ACTIONS(3016),
    [anon_sym_u_DQUOTE] = ACTIONS(3016),
    [anon_sym_U_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8_DQUOTE] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [anon_sym_NULL] = ACTIONS(3014),
    [anon_sym_nullptr] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_delete] = ACTIONS(3014),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
    [anon_sym_concept] = ACTIONS(3014),
    [anon_sym_co_return] = ACTIONS(3014),
    [anon_sym_co_yield] = ACTIONS(3014),
    [anon_sym_R_DQUOTE] = ACTIONS(3016),
    [anon_sym_LR_DQUOTE] = ACTIONS(3016),
    [anon_sym_uR_DQUOTE] = ACTIONS(3016),
    [anon_sym_UR_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3016),
    [anon_sym_co_await] = ACTIONS(3014),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_requires] = ACTIONS(3014),
    [sym_this] = ACTIONS(3014),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_include_token1] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym___cdecl] = ACTIONS(3018),
    [anon_sym___clrcall] = ACTIONS(3018),
    [anon_sym___stdcall] = ACTIONS(3018),
    [anon_sym___fastcall] = ACTIONS(3018),
    [anon_sym___thiscall] = ACTIONS(3018),
    [anon_sym___vectorcall] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_goto] = ACTIONS(3018),
    [anon_sym___try] = ACTIONS(3018),
    [anon_sym___leave] = ACTIONS(3018),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_compl] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_sizeof] = ACTIONS(3018),
    [anon_sym___alignof__] = ACTIONS(3018),
    [anon_sym___alignof] = ACTIONS(3018),
    [anon_sym__alignof] = ACTIONS(3018),
    [anon_sym_alignof] = ACTIONS(3018),
    [anon_sym__Alignof] = ACTIONS(3018),
    [anon_sym_offsetof] = ACTIONS(3018),
    [anon_sym__Generic] = ACTIONS(3018),
    [anon_sym_asm] = ACTIONS(3018),
    [anon_sym___asm__] = ACTIONS(3018),
    [anon_sym___asm] = ACTIONS(3018),
    [aux_sym_number_literal_token1] = ACTIONS(3020),
    [aux_sym_number_literal_token2] = ACTIONS(3018),
    [anon_sym_L_SQUOTE] = ACTIONS(3020),
    [anon_sym_u_SQUOTE] = ACTIONS(3020),
    [anon_sym_U_SQUOTE] = ACTIONS(3020),
    [anon_sym_u8_SQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [anon_sym_L_DQUOTE] = ACTIONS(3020),
    [anon_sym_u_DQUOTE] = ACTIONS(3020),
    [anon_sym_U_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8_DQUOTE] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3020),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [anon_sym_NULL] = ACTIONS(3018),
    [anon_sym_nullptr] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_concept] = ACTIONS(3018),
    [anon_sym_co_return] = ACTIONS(3018),
    [anon_sym_co_yield] = ACTIONS(3018),
    [anon_sym_R_DQUOTE] = ACTIONS(3020),
    [anon_sym_LR_DQUOTE] = ACTIONS(3020),
    [anon_sym_uR_DQUOTE] = ACTIONS(3020),
    [anon_sym_UR_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3020),
    [anon_sym_co_await] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [anon_sym___asm] = ACTIONS(3126),
    [aux_sym_number_literal_token1] = ACTIONS(3128),
    [aux_sym_number_literal_token2] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym___try] = ACTIONS(3029),
    [anon_sym___leave] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [aux_sym_number_literal_token1] = ACTIONS(3031),
    [aux_sym_number_literal_token2] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [anon_sym___asm] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [620] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [aux_sym_number_literal_token1] = ACTIONS(3136),
    [aux_sym_number_literal_token2] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym___try] = ACTIONS(3033),
    [anon_sym___leave] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [aux_sym_number_literal_token1] = ACTIONS(3035),
    [aux_sym_number_literal_token2] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [aux_sym_number_literal_token1] = ACTIONS(3140),
    [aux_sym_number_literal_token2] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [aux_sym_number_literal_token1] = ACTIONS(3144),
    [aux_sym_number_literal_token2] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [625] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [626] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_include_token1] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token2] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym___cdecl] = ACTIONS(3177),
    [anon_sym___clrcall] = ACTIONS(3177),
    [anon_sym___stdcall] = ACTIONS(3177),
    [anon_sym___fastcall] = ACTIONS(3177),
    [anon_sym___thiscall] = ACTIONS(3177),
    [anon_sym___vectorcall] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym___try] = ACTIONS(3177),
    [anon_sym___leave] = ACTIONS(3177),
    [anon_sym_not] = ACTIONS(3177),
    [anon_sym_compl] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym___alignof__] = ACTIONS(3177),
    [anon_sym___alignof] = ACTIONS(3177),
    [anon_sym__alignof] = ACTIONS(3177),
    [anon_sym_alignof] = ACTIONS(3177),
    [anon_sym__Alignof] = ACTIONS(3177),
    [anon_sym_offsetof] = ACTIONS(3177),
    [anon_sym__Generic] = ACTIONS(3177),
    [anon_sym_asm] = ACTIONS(3177),
    [anon_sym___asm__] = ACTIONS(3177),
    [anon_sym___asm] = ACTIONS(3177),
    [aux_sym_number_literal_token1] = ACTIONS(3179),
    [aux_sym_number_literal_token2] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3179),
    [anon_sym_u_SQUOTE] = ACTIONS(3179),
    [anon_sym_U_SQUOTE] = ACTIONS(3179),
    [anon_sym_u8_SQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_L_DQUOTE] = ACTIONS(3179),
    [anon_sym_u_DQUOTE] = ACTIONS(3179),
    [anon_sym_U_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8_DQUOTE] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [anon_sym_NULL] = ACTIONS(3177),
    [anon_sym_nullptr] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
    [anon_sym_concept] = ACTIONS(3177),
    [anon_sym_co_return] = ACTIONS(3177),
    [anon_sym_co_yield] = ACTIONS(3177),
    [anon_sym_R_DQUOTE] = ACTIONS(3179),
    [anon_sym_LR_DQUOTE] = ACTIONS(3179),
    [anon_sym_uR_DQUOTE] = ACTIONS(3179),
    [anon_sym_UR_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3179),
    [anon_sym_co_await] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_requires] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3091),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [anon_sym___asm] = ACTIONS(3193),
    [aux_sym_number_literal_token1] = ACTIONS(3195),
    [aux_sym_number_literal_token2] = ACTIONS(3193),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [630] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [anon_sym___asm] = ACTIONS(3193),
    [aux_sym_number_literal_token1] = ACTIONS(3195),
    [aux_sym_number_literal_token2] = ACTIONS(3193),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [631] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_include_token1] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token2] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym___cdecl] = ACTIONS(3173),
    [anon_sym___clrcall] = ACTIONS(3173),
    [anon_sym___stdcall] = ACTIONS(3173),
    [anon_sym___fastcall] = ACTIONS(3173),
    [anon_sym___thiscall] = ACTIONS(3173),
    [anon_sym___vectorcall] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym___try] = ACTIONS(3173),
    [anon_sym___leave] = ACTIONS(3173),
    [anon_sym_not] = ACTIONS(3173),
    [anon_sym_compl] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym___alignof__] = ACTIONS(3173),
    [anon_sym___alignof] = ACTIONS(3173),
    [anon_sym__alignof] = ACTIONS(3173),
    [anon_sym_alignof] = ACTIONS(3173),
    [anon_sym__Alignof] = ACTIONS(3173),
    [anon_sym_offsetof] = ACTIONS(3173),
    [anon_sym__Generic] = ACTIONS(3173),
    [anon_sym_asm] = ACTIONS(3173),
    [anon_sym___asm__] = ACTIONS(3173),
    [anon_sym___asm] = ACTIONS(3173),
    [aux_sym_number_literal_token1] = ACTIONS(3175),
    [aux_sym_number_literal_token2] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3175),
    [anon_sym_u_SQUOTE] = ACTIONS(3175),
    [anon_sym_U_SQUOTE] = ACTIONS(3175),
    [anon_sym_u8_SQUOTE] = ACTIONS(3175),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [anon_sym_L_DQUOTE] = ACTIONS(3175),
    [anon_sym_u_DQUOTE] = ACTIONS(3175),
    [anon_sym_U_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8_DQUOTE] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [anon_sym_NULL] = ACTIONS(3173),
    [anon_sym_nullptr] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
    [anon_sym_concept] = ACTIONS(3173),
    [anon_sym_co_return] = ACTIONS(3173),
    [anon_sym_co_yield] = ACTIONS(3173),
    [anon_sym_R_DQUOTE] = ACTIONS(3175),
    [anon_sym_LR_DQUOTE] = ACTIONS(3175),
    [anon_sym_uR_DQUOTE] = ACTIONS(3175),
    [anon_sym_UR_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3175),
    [anon_sym_co_await] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_requires] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
  },
  [633] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [635] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [aux_sym_number_literal_token1] = ACTIONS(3152),
    [aux_sym_number_literal_token2] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [636] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_include_token1] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym___cdecl] = ACTIONS(3106),
    [anon_sym___clrcall] = ACTIONS(3106),
    [anon_sym___stdcall] = ACTIONS(3106),
    [anon_sym___fastcall] = ACTIONS(3106),
    [anon_sym___thiscall] = ACTIONS(3106),
    [anon_sym___vectorcall] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_goto] = ACTIONS(3106),
    [anon_sym___try] = ACTIONS(3106),
    [anon_sym___leave] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_compl] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_sizeof] = ACTIONS(3106),
    [anon_sym___alignof__] = ACTIONS(3106),
    [anon_sym___alignof] = ACTIONS(3106),
    [anon_sym__alignof] = ACTIONS(3106),
    [anon_sym_alignof] = ACTIONS(3106),
    [anon_sym__Alignof] = ACTIONS(3106),
    [anon_sym_offsetof] = ACTIONS(3106),
    [anon_sym__Generic] = ACTIONS(3106),
    [anon_sym_asm] = ACTIONS(3106),
    [anon_sym___asm__] = ACTIONS(3106),
    [anon_sym___asm] = ACTIONS(3106),
    [aux_sym_number_literal_token1] = ACTIONS(3108),
    [aux_sym_number_literal_token2] = ACTIONS(3106),
    [anon_sym_L_SQUOTE] = ACTIONS(3108),
    [anon_sym_u_SQUOTE] = ACTIONS(3108),
    [anon_sym_U_SQUOTE] = ACTIONS(3108),
    [anon_sym_u8_SQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_L_DQUOTE] = ACTIONS(3108),
    [anon_sym_u_DQUOTE] = ACTIONS(3108),
    [anon_sym_U_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8_DQUOTE] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [anon_sym_NULL] = ACTIONS(3106),
    [anon_sym_nullptr] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
    [anon_sym_concept] = ACTIONS(3106),
    [anon_sym_co_return] = ACTIONS(3106),
    [anon_sym_co_yield] = ACTIONS(3106),
    [anon_sym_R_DQUOTE] = ACTIONS(3108),
    [anon_sym_LR_DQUOTE] = ACTIONS(3108),
    [anon_sym_uR_DQUOTE] = ACTIONS(3108),
    [anon_sym_UR_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3108),
    [anon_sym_co_await] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_requires] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
  },
  [637] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [639] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [anon_sym___asm] = ACTIONS(3205),
    [aux_sym_number_literal_token1] = ACTIONS(3207),
    [aux_sym_number_literal_token2] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3086),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [anon_sym___asm] = ACTIONS(3084),
    [aux_sym_number_literal_token1] = ACTIONS(3086),
    [aux_sym_number_literal_token2] = ACTIONS(3084),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token2] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym___try] = ACTIONS(2976),
    [anon_sym___leave] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [644] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym___try] = ACTIONS(3215),
    [anon_sym___leave] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [645] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [anon_sym___asm] = ACTIONS(3205),
    [aux_sym_number_literal_token1] = ACTIONS(3207),
    [aux_sym_number_literal_token2] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [646] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_include_token1] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token2] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym___cdecl] = ACTIONS(3018),
    [anon_sym___clrcall] = ACTIONS(3018),
    [anon_sym___stdcall] = ACTIONS(3018),
    [anon_sym___fastcall] = ACTIONS(3018),
    [anon_sym___thiscall] = ACTIONS(3018),
    [anon_sym___vectorcall] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_goto] = ACTIONS(3018),
    [anon_sym___try] = ACTIONS(3018),
    [anon_sym___leave] = ACTIONS(3018),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_compl] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_sizeof] = ACTIONS(3018),
    [anon_sym___alignof__] = ACTIONS(3018),
    [anon_sym___alignof] = ACTIONS(3018),
    [anon_sym__alignof] = ACTIONS(3018),
    [anon_sym_alignof] = ACTIONS(3018),
    [anon_sym__Alignof] = ACTIONS(3018),
    [anon_sym_offsetof] = ACTIONS(3018),
    [anon_sym__Generic] = ACTIONS(3018),
    [anon_sym_asm] = ACTIONS(3018),
    [anon_sym___asm__] = ACTIONS(3018),
    [anon_sym___asm] = ACTIONS(3018),
    [aux_sym_number_literal_token1] = ACTIONS(3020),
    [aux_sym_number_literal_token2] = ACTIONS(3018),
    [anon_sym_L_SQUOTE] = ACTIONS(3020),
    [anon_sym_u_SQUOTE] = ACTIONS(3020),
    [anon_sym_U_SQUOTE] = ACTIONS(3020),
    [anon_sym_u8_SQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [anon_sym_L_DQUOTE] = ACTIONS(3020),
    [anon_sym_u_DQUOTE] = ACTIONS(3020),
    [anon_sym_U_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8_DQUOTE] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3020),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [anon_sym_NULL] = ACTIONS(3018),
    [anon_sym_nullptr] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_concept] = ACTIONS(3018),
    [anon_sym_co_return] = ACTIONS(3018),
    [anon_sym_co_yield] = ACTIONS(3018),
    [anon_sym_R_DQUOTE] = ACTIONS(3020),
    [anon_sym_LR_DQUOTE] = ACTIONS(3020),
    [anon_sym_uR_DQUOTE] = ACTIONS(3020),
    [anon_sym_UR_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3020),
    [anon_sym_co_await] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2994),
    [aux_sym_preproc_include_token1] = ACTIONS(2994),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token2] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [sym_preproc_directive] = ACTIONS(2994),
    [anon_sym_LPAREN2] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2994),
    [anon_sym_virtual] = ACTIONS(2994),
    [anon_sym_extern] = ACTIONS(2994),
    [anon_sym___attribute__] = ACTIONS(2994),
    [anon_sym___attribute] = ACTIONS(2994),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2996),
    [anon_sym___declspec] = ACTIONS(2994),
    [anon_sym___based] = ACTIONS(2994),
    [anon_sym___cdecl] = ACTIONS(2994),
    [anon_sym___clrcall] = ACTIONS(2994),
    [anon_sym___stdcall] = ACTIONS(2994),
    [anon_sym___fastcall] = ACTIONS(2994),
    [anon_sym___thiscall] = ACTIONS(2994),
    [anon_sym___vectorcall] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2994),
    [anon_sym_unsigned] = ACTIONS(2994),
    [anon_sym_long] = ACTIONS(2994),
    [anon_sym_short] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2994),
    [anon_sym_register] = ACTIONS(2994),
    [anon_sym_inline] = ACTIONS(2994),
    [anon_sym___inline] = ACTIONS(2994),
    [anon_sym___inline__] = ACTIONS(2994),
    [anon_sym___forceinline] = ACTIONS(2994),
    [anon_sym_thread_local] = ACTIONS(2994),
    [anon_sym___thread] = ACTIONS(2994),
    [anon_sym_const] = ACTIONS(2994),
    [anon_sym_constexpr] = ACTIONS(2994),
    [anon_sym_volatile] = ACTIONS(2994),
    [anon_sym_restrict] = ACTIONS(2994),
    [anon_sym___restrict__] = ACTIONS(2994),
    [anon_sym__Atomic] = ACTIONS(2994),
    [anon_sym__Noreturn] = ACTIONS(2994),
    [anon_sym_noreturn] = ACTIONS(2994),
    [anon_sym__Nonnull] = ACTIONS(2994),
    [anon_sym_mutable] = ACTIONS(2994),
    [anon_sym_constinit] = ACTIONS(2994),
    [anon_sym_consteval] = ACTIONS(2994),
    [anon_sym_PROGMEM] = ACTIONS(2994),
    [anon_sym_alignas] = ACTIONS(2994),
    [anon_sym__Alignas] = ACTIONS(2994),
    [aux_sym_primitive_type_token1] = ACTIONS(2994),
    [anon_sym_byte] = ACTIONS(2994),
    [anon_sym_word] = ACTIONS(2994),
    [anon_sym_enum] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_struct] = ACTIONS(2994),
    [anon_sym_union] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_switch] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_default] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_continue] = ACTIONS(2994),
    [anon_sym_goto] = ACTIONS(2994),
    [anon_sym___try] = ACTIONS(2994),
    [anon_sym___leave] = ACTIONS(2994),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_compl] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_sizeof] = ACTIONS(2994),
    [anon_sym___alignof__] = ACTIONS(2994),
    [anon_sym___alignof] = ACTIONS(2994),
    [anon_sym__alignof] = ACTIONS(2994),
    [anon_sym_alignof] = ACTIONS(2994),
    [anon_sym__Alignof] = ACTIONS(2994),
    [anon_sym_offsetof] = ACTIONS(2994),
    [anon_sym__Generic] = ACTIONS(2994),
    [anon_sym_asm] = ACTIONS(2994),
    [anon_sym___asm__] = ACTIONS(2994),
    [anon_sym___asm] = ACTIONS(2994),
    [aux_sym_number_literal_token1] = ACTIONS(2996),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2996),
    [anon_sym_u_DQUOTE] = ACTIONS(2996),
    [anon_sym_U_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8_DQUOTE] = ACTIONS(2996),
    [anon_sym_DQUOTE] = ACTIONS(2996),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [anon_sym_NULL] = ACTIONS(2994),
    [anon_sym_nullptr] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2994),
    [anon_sym_decltype] = ACTIONS(2994),
    [anon_sym_explicit] = ACTIONS(2994),
    [anon_sym_typename] = ACTIONS(2994),
    [anon_sym_template] = ACTIONS(2994),
    [anon_sym_operator] = ACTIONS(2994),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_delete] = ACTIONS(2994),
    [anon_sym_throw] = ACTIONS(2994),
    [anon_sym_namespace] = ACTIONS(2994),
    [anon_sym_using] = ACTIONS(2994),
    [anon_sym_static_assert] = ACTIONS(2994),
    [anon_sym_concept] = ACTIONS(2994),
    [anon_sym_co_return] = ACTIONS(2994),
    [anon_sym_co_yield] = ACTIONS(2994),
    [anon_sym_R_DQUOTE] = ACTIONS(2996),
    [anon_sym_LR_DQUOTE] = ACTIONS(2996),
    [anon_sym_uR_DQUOTE] = ACTIONS(2996),
    [anon_sym_UR_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2996),
    [anon_sym_co_await] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(2994),
    [anon_sym_requires] = ACTIONS(2994),
    [sym_this] = ACTIONS(2994),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2990),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token2] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2990),
    [sym_preproc_directive] = ACTIONS(2990),
    [anon_sym_LPAREN2] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2990),
    [anon_sym_typedef] = ACTIONS(2990),
    [anon_sym_virtual] = ACTIONS(2990),
    [anon_sym_extern] = ACTIONS(2990),
    [anon_sym___attribute__] = ACTIONS(2990),
    [anon_sym___attribute] = ACTIONS(2990),
    [anon_sym_COLON_COLON] = ACTIONS(2992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2992),
    [anon_sym___declspec] = ACTIONS(2990),
    [anon_sym___based] = ACTIONS(2990),
    [anon_sym___cdecl] = ACTIONS(2990),
    [anon_sym___clrcall] = ACTIONS(2990),
    [anon_sym___stdcall] = ACTIONS(2990),
    [anon_sym___fastcall] = ACTIONS(2990),
    [anon_sym___thiscall] = ACTIONS(2990),
    [anon_sym___vectorcall] = ACTIONS(2990),
    [anon_sym_LBRACE] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2990),
    [anon_sym_unsigned] = ACTIONS(2990),
    [anon_sym_long] = ACTIONS(2990),
    [anon_sym_short] = ACTIONS(2990),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2990),
    [anon_sym_register] = ACTIONS(2990),
    [anon_sym_inline] = ACTIONS(2990),
    [anon_sym___inline] = ACTIONS(2990),
    [anon_sym___inline__] = ACTIONS(2990),
    [anon_sym___forceinline] = ACTIONS(2990),
    [anon_sym_thread_local] = ACTIONS(2990),
    [anon_sym___thread] = ACTIONS(2990),
    [anon_sym_const] = ACTIONS(2990),
    [anon_sym_constexpr] = ACTIONS(2990),
    [anon_sym_volatile] = ACTIONS(2990),
    [anon_sym_restrict] = ACTIONS(2990),
    [anon_sym___restrict__] = ACTIONS(2990),
    [anon_sym__Atomic] = ACTIONS(2990),
    [anon_sym__Noreturn] = ACTIONS(2990),
    [anon_sym_noreturn] = ACTIONS(2990),
    [anon_sym__Nonnull] = ACTIONS(2990),
    [anon_sym_mutable] = ACTIONS(2990),
    [anon_sym_constinit] = ACTIONS(2990),
    [anon_sym_consteval] = ACTIONS(2990),
    [anon_sym_PROGMEM] = ACTIONS(2990),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [aux_sym_primitive_type_token1] = ACTIONS(2990),
    [anon_sym_byte] = ACTIONS(2990),
    [anon_sym_word] = ACTIONS(2990),
    [anon_sym_enum] = ACTIONS(2990),
    [anon_sym_class] = ACTIONS(2990),
    [anon_sym_struct] = ACTIONS(2990),
    [anon_sym_union] = ACTIONS(2990),
    [anon_sym_if] = ACTIONS(2990),
    [anon_sym_switch] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2990),
    [anon_sym_default] = ACTIONS(2990),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2990),
    [anon_sym_return] = ACTIONS(2990),
    [anon_sym_break] = ACTIONS(2990),
    [anon_sym_continue] = ACTIONS(2990),
    [anon_sym_goto] = ACTIONS(2990),
    [anon_sym___try] = ACTIONS(2990),
    [anon_sym___leave] = ACTIONS(2990),
    [anon_sym_not] = ACTIONS(2990),
    [anon_sym_compl] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_sizeof] = ACTIONS(2990),
    [anon_sym___alignof__] = ACTIONS(2990),
    [anon_sym___alignof] = ACTIONS(2990),
    [anon_sym__alignof] = ACTIONS(2990),
    [anon_sym_alignof] = ACTIONS(2990),
    [anon_sym__Alignof] = ACTIONS(2990),
    [anon_sym_offsetof] = ACTIONS(2990),
    [anon_sym__Generic] = ACTIONS(2990),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [anon_sym___asm] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2990),
    [anon_sym_L_SQUOTE] = ACTIONS(2992),
    [anon_sym_u_SQUOTE] = ACTIONS(2992),
    [anon_sym_U_SQUOTE] = ACTIONS(2992),
    [anon_sym_u8_SQUOTE] = ACTIONS(2992),
    [anon_sym_SQUOTE] = ACTIONS(2992),
    [anon_sym_L_DQUOTE] = ACTIONS(2992),
    [anon_sym_u_DQUOTE] = ACTIONS(2992),
    [anon_sym_U_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8_DQUOTE] = ACTIONS(2992),
    [anon_sym_DQUOTE] = ACTIONS(2992),
    [sym_true] = ACTIONS(2990),
    [sym_false] = ACTIONS(2990),
    [anon_sym_NULL] = ACTIONS(2990),
    [anon_sym_nullptr] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2990),
    [anon_sym_decltype] = ACTIONS(2990),
    [anon_sym_explicit] = ACTIONS(2990),
    [anon_sym_typename] = ACTIONS(2990),
    [anon_sym_template] = ACTIONS(2990),
    [anon_sym_operator] = ACTIONS(2990),
    [anon_sym_try] = ACTIONS(2990),
    [anon_sym_delete] = ACTIONS(2990),
    [anon_sym_throw] = ACTIONS(2990),
    [anon_sym_namespace] = ACTIONS(2990),
    [anon_sym_using] = ACTIONS(2990),
    [anon_sym_static_assert] = ACTIONS(2990),
    [anon_sym_concept] = ACTIONS(2990),
    [anon_sym_co_return] = ACTIONS(2990),
    [anon_sym_co_yield] = ACTIONS(2990),
    [anon_sym_R_DQUOTE] = ACTIONS(2992),
    [anon_sym_LR_DQUOTE] = ACTIONS(2992),
    [anon_sym_uR_DQUOTE] = ACTIONS(2992),
    [anon_sym_UR_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2992),
    [anon_sym_co_await] = ACTIONS(2990),
    [anon_sym_new] = ACTIONS(2990),
    [anon_sym_requires] = ACTIONS(2990),
    [sym_this] = ACTIONS(2990),
  },
  [649] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token2] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym___attribute] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym__Nonnull] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [anon_sym_PROGMEM] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym__Alignas] = ACTIONS(2939),
    [aux_sym_primitive_type_token1] = ACTIONS(2939),
    [anon_sym_byte] = ACTIONS(2939),
    [anon_sym_word] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [anon_sym___asm] = ACTIONS(2939),
    [aux_sym_number_literal_token1] = ACTIONS(2941),
    [aux_sym_number_literal_token2] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym___attribute] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym__Nonnull] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_PROGMEM] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [aux_sym_primitive_type_token1] = ACTIONS(2947),
    [anon_sym_byte] = ACTIONS(2947),
    [anon_sym_word] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [anon_sym___asm] = ACTIONS(2947),
    [aux_sym_number_literal_token1] = ACTIONS(2949),
    [aux_sym_number_literal_token2] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym___attribute] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym__Nonnull] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_PROGMEM] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [aux_sym_primitive_type_token1] = ACTIONS(2951),
    [anon_sym_byte] = ACTIONS(2951),
    [anon_sym_word] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [anon_sym___asm] = ACTIONS(2951),
    [aux_sym_number_literal_token1] = ACTIONS(2953),
    [aux_sym_number_literal_token2] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym___attribute] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym__Nonnull] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_PROGMEM] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [aux_sym_primitive_type_token1] = ACTIONS(2955),
    [anon_sym_byte] = ACTIONS(2955),
    [anon_sym_word] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [anon_sym___asm] = ACTIONS(2955),
    [aux_sym_number_literal_token1] = ACTIONS(2957),
    [aux_sym_number_literal_token2] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym___try] = ACTIONS(3025),
    [anon_sym___leave] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [656] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym___try] = ACTIONS(3037),
    [anon_sym___leave] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_include_token1] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym___cdecl] = ACTIONS(3098),
    [anon_sym___clrcall] = ACTIONS(3098),
    [anon_sym___stdcall] = ACTIONS(3098),
    [anon_sym___fastcall] = ACTIONS(3098),
    [anon_sym___thiscall] = ACTIONS(3098),
    [anon_sym___vectorcall] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_goto] = ACTIONS(3098),
    [anon_sym___try] = ACTIONS(3098),
    [anon_sym___leave] = ACTIONS(3098),
    [anon_sym_not] = ACTIONS(3098),
    [anon_sym_compl] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_sizeof] = ACTIONS(3098),
    [anon_sym___alignof__] = ACTIONS(3098),
    [anon_sym___alignof] = ACTIONS(3098),
    [anon_sym__alignof] = ACTIONS(3098),
    [anon_sym_alignof] = ACTIONS(3098),
    [anon_sym__Alignof] = ACTIONS(3098),
    [anon_sym_offsetof] = ACTIONS(3098),
    [anon_sym__Generic] = ACTIONS(3098),
    [anon_sym_asm] = ACTIONS(3098),
    [anon_sym___asm__] = ACTIONS(3098),
    [anon_sym___asm] = ACTIONS(3098),
    [aux_sym_number_literal_token1] = ACTIONS(3100),
    [aux_sym_number_literal_token2] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3100),
    [anon_sym_u_SQUOTE] = ACTIONS(3100),
    [anon_sym_U_SQUOTE] = ACTIONS(3100),
    [anon_sym_u8_SQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_L_DQUOTE] = ACTIONS(3100),
    [anon_sym_u_DQUOTE] = ACTIONS(3100),
    [anon_sym_U_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8_DQUOTE] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [anon_sym_NULL] = ACTIONS(3098),
    [anon_sym_nullptr] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_namespace] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
    [anon_sym_concept] = ACTIONS(3098),
    [anon_sym_co_return] = ACTIONS(3098),
    [anon_sym_co_yield] = ACTIONS(3098),
    [anon_sym_R_DQUOTE] = ACTIONS(3100),
    [anon_sym_LR_DQUOTE] = ACTIONS(3100),
    [anon_sym_uR_DQUOTE] = ACTIONS(3100),
    [anon_sym_UR_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3100),
    [anon_sym_co_await] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_requires] = ACTIONS(3098),
    [sym_this] = ACTIONS(3098),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [anon_sym___asm] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_include_token1] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token2] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym___cdecl] = ACTIONS(3098),
    [anon_sym___clrcall] = ACTIONS(3098),
    [anon_sym___stdcall] = ACTIONS(3098),
    [anon_sym___fastcall] = ACTIONS(3098),
    [anon_sym___thiscall] = ACTIONS(3098),
    [anon_sym___vectorcall] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_goto] = ACTIONS(3098),
    [anon_sym___try] = ACTIONS(3098),
    [anon_sym___leave] = ACTIONS(3098),
    [anon_sym_not] = ACTIONS(3098),
    [anon_sym_compl] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_sizeof] = ACTIONS(3098),
    [anon_sym___alignof__] = ACTIONS(3098),
    [anon_sym___alignof] = ACTIONS(3098),
    [anon_sym__alignof] = ACTIONS(3098),
    [anon_sym_alignof] = ACTIONS(3098),
    [anon_sym__Alignof] = ACTIONS(3098),
    [anon_sym_offsetof] = ACTIONS(3098),
    [anon_sym__Generic] = ACTIONS(3098),
    [anon_sym_asm] = ACTIONS(3098),
    [anon_sym___asm__] = ACTIONS(3098),
    [anon_sym___asm] = ACTIONS(3098),
    [aux_sym_number_literal_token1] = ACTIONS(3100),
    [aux_sym_number_literal_token2] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3100),
    [anon_sym_u_SQUOTE] = ACTIONS(3100),
    [anon_sym_U_SQUOTE] = ACTIONS(3100),
    [anon_sym_u8_SQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_L_DQUOTE] = ACTIONS(3100),
    [anon_sym_u_DQUOTE] = ACTIONS(3100),
    [anon_sym_U_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8_DQUOTE] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [anon_sym_NULL] = ACTIONS(3098),
    [anon_sym_nullptr] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_namespace] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
    [anon_sym_concept] = ACTIONS(3098),
    [anon_sym_co_return] = ACTIONS(3098),
    [anon_sym_co_yield] = ACTIONS(3098),
    [anon_sym_R_DQUOTE] = ACTIONS(3100),
    [anon_sym_LR_DQUOTE] = ACTIONS(3100),
    [anon_sym_uR_DQUOTE] = ACTIONS(3100),
    [anon_sym_UR_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3100),
    [anon_sym_co_await] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_requires] = ACTIONS(3098),
    [sym_this] = ACTIONS(3098),
  },
  [661] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym___try] = ACTIONS(3094),
    [anon_sym___leave] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [anon_sym___asm] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token2] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_PROGMEM] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [aux_sym_primitive_type_token1] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_word] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym___try] = ACTIONS(3045),
    [anon_sym___leave] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [aux_sym_number_literal_token1] = ACTIONS(3047),
    [aux_sym_number_literal_token2] = ACTIONS(3045),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [663] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [664] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym___attribute] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym__Nonnull] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_PROGMEM] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [aux_sym_primitive_type_token1] = ACTIONS(2943),
    [anon_sym_byte] = ACTIONS(2943),
    [anon_sym_word] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [anon_sym___asm] = ACTIONS(2943),
    [aux_sym_number_literal_token1] = ACTIONS(2945),
    [aux_sym_number_literal_token2] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [666] = {
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token2] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym___try] = ACTIONS(3068),
    [anon_sym___leave] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [667] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [668] = {
    [sym_identifier] = ACTIONS(3110),
    [aux_sym_preproc_include_token1] = ACTIONS(3110),
    [aux_sym_preproc_def_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token2] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3110),
    [sym_preproc_directive] = ACTIONS(3110),
    [anon_sym_LPAREN2] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3110),
    [anon_sym_typedef] = ACTIONS(3110),
    [anon_sym_virtual] = ACTIONS(3110),
    [anon_sym_extern] = ACTIONS(3110),
    [anon_sym___attribute__] = ACTIONS(3110),
    [anon_sym___attribute] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3112),
    [anon_sym___declspec] = ACTIONS(3110),
    [anon_sym___based] = ACTIONS(3110),
    [anon_sym___cdecl] = ACTIONS(3110),
    [anon_sym___clrcall] = ACTIONS(3110),
    [anon_sym___stdcall] = ACTIONS(3110),
    [anon_sym___fastcall] = ACTIONS(3110),
    [anon_sym___thiscall] = ACTIONS(3110),
    [anon_sym___vectorcall] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3110),
    [anon_sym_unsigned] = ACTIONS(3110),
    [anon_sym_long] = ACTIONS(3110),
    [anon_sym_short] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_register] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym___inline] = ACTIONS(3110),
    [anon_sym___inline__] = ACTIONS(3110),
    [anon_sym___forceinline] = ACTIONS(3110),
    [anon_sym_thread_local] = ACTIONS(3110),
    [anon_sym___thread] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_constexpr] = ACTIONS(3110),
    [anon_sym_volatile] = ACTIONS(3110),
    [anon_sym_restrict] = ACTIONS(3110),
    [anon_sym___restrict__] = ACTIONS(3110),
    [anon_sym__Atomic] = ACTIONS(3110),
    [anon_sym__Noreturn] = ACTIONS(3110),
    [anon_sym_noreturn] = ACTIONS(3110),
    [anon_sym__Nonnull] = ACTIONS(3110),
    [anon_sym_mutable] = ACTIONS(3110),
    [anon_sym_constinit] = ACTIONS(3110),
    [anon_sym_consteval] = ACTIONS(3110),
    [anon_sym_PROGMEM] = ACTIONS(3110),
    [anon_sym_alignas] = ACTIONS(3110),
    [anon_sym__Alignas] = ACTIONS(3110),
    [aux_sym_primitive_type_token1] = ACTIONS(3110),
    [anon_sym_byte] = ACTIONS(3110),
    [anon_sym_word] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_struct] = ACTIONS(3110),
    [anon_sym_union] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_goto] = ACTIONS(3110),
    [anon_sym___try] = ACTIONS(3110),
    [anon_sym___leave] = ACTIONS(3110),
    [anon_sym_not] = ACTIONS(3110),
    [anon_sym_compl] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_sizeof] = ACTIONS(3110),
    [anon_sym___alignof__] = ACTIONS(3110),
    [anon_sym___alignof] = ACTIONS(3110),
    [anon_sym__alignof] = ACTIONS(3110),
    [anon_sym_alignof] = ACTIONS(3110),
    [anon_sym__Alignof] = ACTIONS(3110),
    [anon_sym_offsetof] = ACTIONS(3110),
    [anon_sym__Generic] = ACTIONS(3110),
    [anon_sym_asm] = ACTIONS(3110),
    [anon_sym___asm__] = ACTIONS(3110),
    [anon_sym___asm] = ACTIONS(3110),
    [aux_sym_number_literal_token1] = ACTIONS(3112),
    [aux_sym_number_literal_token2] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3112),
    [anon_sym_u_SQUOTE] = ACTIONS(3112),
    [anon_sym_U_SQUOTE] = ACTIONS(3112),
    [anon_sym_u8_SQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [anon_sym_L_DQUOTE] = ACTIONS(3112),
    [anon_sym_u_DQUOTE] = ACTIONS(3112),
    [anon_sym_U_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8_DQUOTE] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [anon_sym_NULL] = ACTIONS(3110),
    [anon_sym_nullptr] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3110),
    [anon_sym_decltype] = ACTIONS(3110),
    [anon_sym_explicit] = ACTIONS(3110),
    [anon_sym_typename] = ACTIONS(3110),
    [anon_sym_template] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_static_assert] = ACTIONS(3110),
    [anon_sym_concept] = ACTIONS(3110),
    [anon_sym_co_return] = ACTIONS(3110),
    [anon_sym_co_yield] = ACTIONS(3110),
    [anon_sym_R_DQUOTE] = ACTIONS(3112),
    [anon_sym_LR_DQUOTE] = ACTIONS(3112),
    [anon_sym_uR_DQUOTE] = ACTIONS(3112),
    [anon_sym_UR_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3112),
    [anon_sym_co_await] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_requires] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
  },
  [669] = {
    [sym_identifier] = ACTIONS(3118),
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token2] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3118),
    [anon_sym_typedef] = ACTIONS(3118),
    [anon_sym_virtual] = ACTIONS(3118),
    [anon_sym_extern] = ACTIONS(3118),
    [anon_sym___attribute__] = ACTIONS(3118),
    [anon_sym___attribute] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3120),
    [anon_sym___declspec] = ACTIONS(3118),
    [anon_sym___based] = ACTIONS(3118),
    [anon_sym___cdecl] = ACTIONS(3118),
    [anon_sym___clrcall] = ACTIONS(3118),
    [anon_sym___stdcall] = ACTIONS(3118),
    [anon_sym___fastcall] = ACTIONS(3118),
    [anon_sym___thiscall] = ACTIONS(3118),
    [anon_sym___vectorcall] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3118),
    [anon_sym_unsigned] = ACTIONS(3118),
    [anon_sym_long] = ACTIONS(3118),
    [anon_sym_short] = ACTIONS(3118),
    [anon_sym_LBRACK] = ACTIONS(3118),
    [anon_sym_static] = ACTIONS(3118),
    [anon_sym_register] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym___inline] = ACTIONS(3118),
    [anon_sym___inline__] = ACTIONS(3118),
    [anon_sym___forceinline] = ACTIONS(3118),
    [anon_sym_thread_local] = ACTIONS(3118),
    [anon_sym___thread] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_constexpr] = ACTIONS(3118),
    [anon_sym_volatile] = ACTIONS(3118),
    [anon_sym_restrict] = ACTIONS(3118),
    [anon_sym___restrict__] = ACTIONS(3118),
    [anon_sym__Atomic] = ACTIONS(3118),
    [anon_sym__Noreturn] = ACTIONS(3118),
    [anon_sym_noreturn] = ACTIONS(3118),
    [anon_sym__Nonnull] = ACTIONS(3118),
    [anon_sym_mutable] = ACTIONS(3118),
    [anon_sym_constinit] = ACTIONS(3118),
    [anon_sym_consteval] = ACTIONS(3118),
    [anon_sym_PROGMEM] = ACTIONS(3118),
    [anon_sym_alignas] = ACTIONS(3118),
    [anon_sym__Alignas] = ACTIONS(3118),
    [aux_sym_primitive_type_token1] = ACTIONS(3118),
    [anon_sym_byte] = ACTIONS(3118),
    [anon_sym_word] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_class] = ACTIONS(3118),
    [anon_sym_struct] = ACTIONS(3118),
    [anon_sym_union] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_switch] = ACTIONS(3118),
    [anon_sym_case] = ACTIONS(3118),
    [anon_sym_default] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_do] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_break] = ACTIONS(3118),
    [anon_sym_continue] = ACTIONS(3118),
    [anon_sym_goto] = ACTIONS(3118),
    [anon_sym___try] = ACTIONS(3118),
    [anon_sym___leave] = ACTIONS(3118),
    [anon_sym_not] = ACTIONS(3118),
    [anon_sym_compl] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_sizeof] = ACTIONS(3118),
    [anon_sym___alignof__] = ACTIONS(3118),
    [anon_sym___alignof] = ACTIONS(3118),
    [anon_sym__alignof] = ACTIONS(3118),
    [anon_sym_alignof] = ACTIONS(3118),
    [anon_sym__Alignof] = ACTIONS(3118),
    [anon_sym_offsetof] = ACTIONS(3118),
    [anon_sym__Generic] = ACTIONS(3118),
    [anon_sym_asm] = ACTIONS(3118),
    [anon_sym___asm__] = ACTIONS(3118),
    [anon_sym___asm] = ACTIONS(3118),
    [aux_sym_number_literal_token1] = ACTIONS(3120),
    [aux_sym_number_literal_token2] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3120),
    [anon_sym_u_SQUOTE] = ACTIONS(3120),
    [anon_sym_U_SQUOTE] = ACTIONS(3120),
    [anon_sym_u8_SQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [anon_sym_L_DQUOTE] = ACTIONS(3120),
    [anon_sym_u_DQUOTE] = ACTIONS(3120),
    [anon_sym_U_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8_DQUOTE] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [sym_true] = ACTIONS(3118),
    [sym_false] = ACTIONS(3118),
    [anon_sym_NULL] = ACTIONS(3118),
    [anon_sym_nullptr] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3118),
    [anon_sym_decltype] = ACTIONS(3118),
    [anon_sym_explicit] = ACTIONS(3118),
    [anon_sym_typename] = ACTIONS(3118),
    [anon_sym_template] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_delete] = ACTIONS(3118),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_namespace] = ACTIONS(3118),
    [anon_sym_using] = ACTIONS(3118),
    [anon_sym_static_assert] = ACTIONS(3118),
    [anon_sym_concept] = ACTIONS(3118),
    [anon_sym_co_return] = ACTIONS(3118),
    [anon_sym_co_yield] = ACTIONS(3118),
    [anon_sym_R_DQUOTE] = ACTIONS(3120),
    [anon_sym_LR_DQUOTE] = ACTIONS(3120),
    [anon_sym_uR_DQUOTE] = ACTIONS(3120),
    [anon_sym_UR_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3120),
    [anon_sym_co_await] = ACTIONS(3118),
    [anon_sym_new] = ACTIONS(3118),
    [anon_sym_requires] = ACTIONS(3118),
    [sym_this] = ACTIONS(3118),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [672] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [673] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [674] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym___attribute] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym__Nonnull] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [anon_sym_PROGMEM] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym__Alignas] = ACTIONS(3088),
    [aux_sym_primitive_type_token1] = ACTIONS(3088),
    [anon_sym_byte] = ACTIONS(3088),
    [anon_sym_word] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [anon_sym___asm] = ACTIONS(3088),
    [aux_sym_number_literal_token1] = ACTIONS(3091),
    [aux_sym_number_literal_token2] = ACTIONS(3088),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [675] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [676] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym___attribute] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym__Nonnull] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [anon_sym_PROGMEM] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym__Alignas] = ACTIONS(3185),
    [aux_sym_primitive_type_token1] = ACTIONS(3185),
    [anon_sym_byte] = ACTIONS(3185),
    [anon_sym_word] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [anon_sym___asm] = ACTIONS(3185),
    [aux_sym_number_literal_token1] = ACTIONS(3187),
    [aux_sym_number_literal_token2] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [677] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [678] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym___attribute] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym__Nonnull] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [anon_sym_PROGMEM] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym__Alignas] = ACTIONS(3189),
    [aux_sym_primitive_type_token1] = ACTIONS(3189),
    [anon_sym_byte] = ACTIONS(3189),
    [anon_sym_word] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [anon_sym___asm] = ACTIONS(3189),
    [aux_sym_number_literal_token1] = ACTIONS(3191),
    [aux_sym_number_literal_token2] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [679] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym___attribute] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym__Nonnull] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [anon_sym_PROGMEM] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym__Alignas] = ACTIONS(3201),
    [aux_sym_primitive_type_token1] = ACTIONS(3201),
    [anon_sym_byte] = ACTIONS(3201),
    [anon_sym_word] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [anon_sym___asm] = ACTIONS(3201),
    [aux_sym_number_literal_token1] = ACTIONS(3203),
    [aux_sym_number_literal_token2] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [680] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token2] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym___attribute] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym__Nonnull] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [anon_sym_PROGMEM] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym__Alignas] = ACTIONS(3102),
    [aux_sym_primitive_type_token1] = ACTIONS(3102),
    [anon_sym_byte] = ACTIONS(3102),
    [anon_sym_word] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [anon_sym___asm] = ACTIONS(3102),
    [aux_sym_number_literal_token1] = ACTIONS(3104),
    [aux_sym_number_literal_token2] = ACTIONS(3102),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [681] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [aux_sym_number_literal_token1] = ACTIONS(3160),
    [aux_sym_number_literal_token2] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [682] = {
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token2] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym___try] = ACTIONS(3219),
    [anon_sym___leave] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [683] = {
    [sym_identifier] = ACTIONS(3169),
    [aux_sym_preproc_include_token1] = ACTIONS(3169),
    [aux_sym_preproc_def_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token2] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3169),
    [sym_preproc_directive] = ACTIONS(3169),
    [anon_sym_LPAREN2] = ACTIONS(3171),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym___extension__] = ACTIONS(3169),
    [anon_sym_typedef] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym___attribute__] = ACTIONS(3169),
    [anon_sym___attribute] = ACTIONS(3169),
    [anon_sym_COLON_COLON] = ACTIONS(3171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3171),
    [anon_sym___declspec] = ACTIONS(3169),
    [anon_sym___based] = ACTIONS(3169),
    [anon_sym___cdecl] = ACTIONS(3169),
    [anon_sym___clrcall] = ACTIONS(3169),
    [anon_sym___stdcall] = ACTIONS(3169),
    [anon_sym___fastcall] = ACTIONS(3169),
    [anon_sym___thiscall] = ACTIONS(3169),
    [anon_sym___vectorcall] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3169),
    [anon_sym_unsigned] = ACTIONS(3169),
    [anon_sym_long] = ACTIONS(3169),
    [anon_sym_short] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_register] = ACTIONS(3169),
    [anon_sym_inline] = ACTIONS(3169),
    [anon_sym___inline] = ACTIONS(3169),
    [anon_sym___inline__] = ACTIONS(3169),
    [anon_sym___forceinline] = ACTIONS(3169),
    [anon_sym_thread_local] = ACTIONS(3169),
    [anon_sym___thread] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_constexpr] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_restrict] = ACTIONS(3169),
    [anon_sym___restrict__] = ACTIONS(3169),
    [anon_sym__Atomic] = ACTIONS(3169),
    [anon_sym__Noreturn] = ACTIONS(3169),
    [anon_sym_noreturn] = ACTIONS(3169),
    [anon_sym__Nonnull] = ACTIONS(3169),
    [anon_sym_mutable] = ACTIONS(3169),
    [anon_sym_constinit] = ACTIONS(3169),
    [anon_sym_consteval] = ACTIONS(3169),
    [anon_sym_PROGMEM] = ACTIONS(3169),
    [anon_sym_alignas] = ACTIONS(3169),
    [anon_sym__Alignas] = ACTIONS(3169),
    [aux_sym_primitive_type_token1] = ACTIONS(3169),
    [anon_sym_byte] = ACTIONS(3169),
    [anon_sym_word] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_union] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_case] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym___try] = ACTIONS(3169),
    [anon_sym___leave] = ACTIONS(3169),
    [anon_sym_not] = ACTIONS(3169),
    [anon_sym_compl] = ACTIONS(3169),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym___alignof__] = ACTIONS(3169),
    [anon_sym___alignof] = ACTIONS(3169),
    [anon_sym__alignof] = ACTIONS(3169),
    [anon_sym_alignof] = ACTIONS(3169),
    [anon_sym__Alignof] = ACTIONS(3169),
    [anon_sym_offsetof] = ACTIONS(3169),
    [anon_sym__Generic] = ACTIONS(3169),
    [anon_sym_asm] = ACTIONS(3169),
    [anon_sym___asm__] = ACTIONS(3169),
    [anon_sym___asm] = ACTIONS(3169),
    [aux_sym_number_literal_token1] = ACTIONS(3171),
    [aux_sym_number_literal_token2] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3171),
    [anon_sym_u_SQUOTE] = ACTIONS(3171),
    [anon_sym_U_SQUOTE] = ACTIONS(3171),
    [anon_sym_u8_SQUOTE] = ACTIONS(3171),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_L_DQUOTE] = ACTIONS(3171),
    [anon_sym_u_DQUOTE] = ACTIONS(3171),
    [anon_sym_U_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8_DQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [sym_true] = ACTIONS(3169),
    [sym_false] = ACTIONS(3169),
    [anon_sym_NULL] = ACTIONS(3169),
    [anon_sym_nullptr] = ACTIONS(3169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3169),
    [anon_sym_decltype] = ACTIONS(3169),
    [anon_sym_explicit] = ACTIONS(3169),
    [anon_sym_typename] = ACTIONS(3169),
    [anon_sym_template] = ACTIONS(3169),
    [anon_sym_operator] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_delete] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_static_assert] = ACTIONS(3169),
    [anon_sym_concept] = ACTIONS(3169),
    [anon_sym_co_return] = ACTIONS(3169),
    [anon_sym_co_yield] = ACTIONS(3169),
    [anon_sym_R_DQUOTE] = ACTIONS(3171),
    [anon_sym_LR_DQUOTE] = ACTIONS(3171),
    [anon_sym_uR_DQUOTE] = ACTIONS(3171),
    [anon_sym_UR_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3171),
    [anon_sym_co_await] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_requires] = ACTIONS(3169),
    [sym_this] = ACTIONS(3169),
  },
  [684] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [685] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token2] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym___attribute] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym__Nonnull] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [anon_sym_PROGMEM] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym__Alignas] = ACTIONS(3181),
    [aux_sym_primitive_type_token1] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_word] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [anon_sym___asm] = ACTIONS(3181),
    [aux_sym_number_literal_token1] = ACTIONS(3183),
    [aux_sym_number_literal_token2] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [686] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_else_token1] = ACTIONS(1920),
    [aux_sym_preproc_elif_token1] = ACTIONS(1918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3171),
    [sym_identifier] = ACTIONS(3169),
    [aux_sym_preproc_include_token1] = ACTIONS(3169),
    [aux_sym_preproc_def_token1] = ACTIONS(3169),
    [aux_sym_preproc_if_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3169),
    [sym_preproc_directive] = ACTIONS(3169),
    [anon_sym_LPAREN2] = ACTIONS(3171),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_AMP_AMP] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym___extension__] = ACTIONS(3169),
    [anon_sym_typedef] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym___attribute__] = ACTIONS(3169),
    [anon_sym___attribute] = ACTIONS(3169),
    [anon_sym_COLON_COLON] = ACTIONS(3171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3171),
    [anon_sym___declspec] = ACTIONS(3169),
    [anon_sym___based] = ACTIONS(3169),
    [anon_sym___cdecl] = ACTIONS(3169),
    [anon_sym___clrcall] = ACTIONS(3169),
    [anon_sym___stdcall] = ACTIONS(3169),
    [anon_sym___fastcall] = ACTIONS(3169),
    [anon_sym___thiscall] = ACTIONS(3169),
    [anon_sym___vectorcall] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_signed] = ACTIONS(3169),
    [anon_sym_unsigned] = ACTIONS(3169),
    [anon_sym_long] = ACTIONS(3169),
    [anon_sym_short] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_register] = ACTIONS(3169),
    [anon_sym_inline] = ACTIONS(3169),
    [anon_sym___inline] = ACTIONS(3169),
    [anon_sym___inline__] = ACTIONS(3169),
    [anon_sym___forceinline] = ACTIONS(3169),
    [anon_sym_thread_local] = ACTIONS(3169),
    [anon_sym___thread] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_constexpr] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_restrict] = ACTIONS(3169),
    [anon_sym___restrict__] = ACTIONS(3169),
    [anon_sym__Atomic] = ACTIONS(3169),
    [anon_sym__Noreturn] = ACTIONS(3169),
    [anon_sym_noreturn] = ACTIONS(3169),
    [anon_sym__Nonnull] = ACTIONS(3169),
    [anon_sym_mutable] = ACTIONS(3169),
    [anon_sym_constinit] = ACTIONS(3169),
    [anon_sym_consteval] = ACTIONS(3169),
    [anon_sym_PROGMEM] = ACTIONS(3169),
    [anon_sym_alignas] = ACTIONS(3169),
    [anon_sym__Alignas] = ACTIONS(3169),
    [aux_sym_primitive_type_token1] = ACTIONS(3169),
    [anon_sym_byte] = ACTIONS(3169),
    [anon_sym_word] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_union] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_case] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym_not] = ACTIONS(3169),
    [anon_sym_compl] = ACTIONS(3169),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym___alignof__] = ACTIONS(3169),
    [anon_sym___alignof] = ACTIONS(3169),
    [anon_sym__alignof] = ACTIONS(3169),
    [anon_sym_alignof] = ACTIONS(3169),
    [anon_sym__Alignof] = ACTIONS(3169),
    [anon_sym_offsetof] = ACTIONS(3169),
    [anon_sym__Generic] = ACTIONS(3169),
    [anon_sym_asm] = ACTIONS(3169),
    [anon_sym___asm__] = ACTIONS(3169),
    [anon_sym___asm] = ACTIONS(3169),
    [aux_sym_number_literal_token1] = ACTIONS(3171),
    [aux_sym_number_literal_token2] = ACTIONS(3169),
    [anon_sym_L_SQUOTE] = ACTIONS(3171),
    [anon_sym_u_SQUOTE] = ACTIONS(3171),
    [anon_sym_U_SQUOTE] = ACTIONS(3171),
    [anon_sym_u8_SQUOTE] = ACTIONS(3171),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_L_DQUOTE] = ACTIONS(3171),
    [anon_sym_u_DQUOTE] = ACTIONS(3171),
    [anon_sym_U_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8_DQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [sym_true] = ACTIONS(3169),
    [sym_false] = ACTIONS(3169),
    [anon_sym_NULL] = ACTIONS(3169),
    [anon_sym_nullptr] = ACTIONS(3169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3169),
    [anon_sym_decltype] = ACTIONS(3169),
    [anon_sym_explicit] = ACTIONS(3169),
    [anon_sym_typename] = ACTIONS(3169),
    [anon_sym_template] = ACTIONS(3169),
    [anon_sym_operator] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_delete] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_static_assert] = ACTIONS(3169),
    [anon_sym_concept] = ACTIONS(3169),
    [anon_sym_co_return] = ACTIONS(3169),
    [anon_sym_co_yield] = ACTIONS(3169),
    [anon_sym_R_DQUOTE] = ACTIONS(3171),
    [anon_sym_LR_DQUOTE] = ACTIONS(3171),
    [anon_sym_uR_DQUOTE] = ACTIONS(3171),
    [anon_sym_UR_DQUOTE] = ACTIONS(3171),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3171),
    [anon_sym_co_await] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_requires] = ACTIONS(3169),
    [sym_this] = ACTIONS(3169),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3027),
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym___attribute] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym__Nonnull] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [anon_sym_PROGMEM] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym__Alignas] = ACTIONS(3223),
    [aux_sym_primitive_type_token1] = ACTIONS(3223),
    [anon_sym_byte] = ACTIONS(3223),
    [anon_sym_word] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [anon_sym___asm] = ACTIONS(3223),
    [aux_sym_number_literal_token1] = ACTIONS(3225),
    [aux_sym_number_literal_token2] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(3035),
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_include_token1] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym___cdecl] = ACTIONS(3033),
    [anon_sym___clrcall] = ACTIONS(3033),
    [anon_sym___stdcall] = ACTIONS(3033),
    [anon_sym___fastcall] = ACTIONS(3033),
    [anon_sym___thiscall] = ACTIONS(3033),
    [anon_sym___vectorcall] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_if] = ACTIONS(3033),
    [anon_sym_switch] = ACTIONS(3033),
    [anon_sym_case] = ACTIONS(3033),
    [anon_sym_default] = ACTIONS(3033),
    [anon_sym_while] = ACTIONS(3033),
    [anon_sym_do] = ACTIONS(3033),
    [anon_sym_for] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3033),
    [anon_sym_break] = ACTIONS(3033),
    [anon_sym_continue] = ACTIONS(3033),
    [anon_sym_goto] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [aux_sym_number_literal_token1] = ACTIONS(3035),
    [aux_sym_number_literal_token2] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_throw] = ACTIONS(3033),
    [anon_sym_namespace] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
    [anon_sym_concept] = ACTIONS(3033),
    [anon_sym_co_return] = ACTIONS(3033),
    [anon_sym_co_yield] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(3217),
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_include_token1] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym___cdecl] = ACTIONS(3215),
    [anon_sym___clrcall] = ACTIONS(3215),
    [anon_sym___stdcall] = ACTIONS(3215),
    [anon_sym___fastcall] = ACTIONS(3215),
    [anon_sym___thiscall] = ACTIONS(3215),
    [anon_sym___vectorcall] = ACTIONS(3215),
    [anon_sym_LBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [anon_sym_if] = ACTIONS(3215),
    [anon_sym_switch] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3215),
    [anon_sym_while] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(3215),
    [anon_sym_for] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3215),
    [anon_sym_break] = ACTIONS(3215),
    [anon_sym_continue] = ACTIONS(3215),
    [anon_sym_goto] = ACTIONS(3215),
    [anon_sym_not] = ACTIONS(3215),
    [anon_sym_compl] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3217),
    [anon_sym_PLUS_PLUS] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3215),
    [anon_sym___alignof__] = ACTIONS(3215),
    [anon_sym___alignof] = ACTIONS(3215),
    [anon_sym__alignof] = ACTIONS(3215),
    [anon_sym_alignof] = ACTIONS(3215),
    [anon_sym__Alignof] = ACTIONS(3215),
    [anon_sym_offsetof] = ACTIONS(3215),
    [anon_sym__Generic] = ACTIONS(3215),
    [anon_sym_asm] = ACTIONS(3215),
    [anon_sym___asm__] = ACTIONS(3215),
    [anon_sym___asm] = ACTIONS(3215),
    [aux_sym_number_literal_token1] = ACTIONS(3217),
    [aux_sym_number_literal_token2] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3217),
    [anon_sym_u_SQUOTE] = ACTIONS(3217),
    [anon_sym_U_SQUOTE] = ACTIONS(3217),
    [anon_sym_u8_SQUOTE] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3217),
    [anon_sym_L_DQUOTE] = ACTIONS(3217),
    [anon_sym_u_DQUOTE] = ACTIONS(3217),
    [anon_sym_U_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8_DQUOTE] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3217),
    [sym_true] = ACTIONS(3215),
    [sym_false] = ACTIONS(3215),
    [anon_sym_NULL] = ACTIONS(3215),
    [anon_sym_nullptr] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_try] = ACTIONS(3215),
    [anon_sym_delete] = ACTIONS(3215),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_namespace] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
    [anon_sym_concept] = ACTIONS(3215),
    [anon_sym_co_return] = ACTIONS(3215),
    [anon_sym_co_yield] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(3217),
    [anon_sym_LR_DQUOTE] = ACTIONS(3217),
    [anon_sym_uR_DQUOTE] = ACTIONS(3217),
    [anon_sym_UR_DQUOTE] = ACTIONS(3217),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3217),
    [anon_sym_co_await] = ACTIONS(3215),
    [anon_sym_new] = ACTIONS(3215),
    [anon_sym_requires] = ACTIONS(3215),
    [sym_this] = ACTIONS(3215),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym___attribute] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_PROGMEM] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [aux_sym_primitive_type_token1] = ACTIONS(3072),
    [anon_sym_byte] = ACTIONS(3072),
    [anon_sym_word] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [aux_sym_number_literal_token1] = ACTIONS(3074),
    [aux_sym_number_literal_token2] = ACTIONS(3072),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(3070),
    [sym_identifier] = ACTIONS(3068),
    [aux_sym_preproc_include_token1] = ACTIONS(3068),
    [aux_sym_preproc_def_token1] = ACTIONS(3068),
    [aux_sym_preproc_if_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3068),
    [sym_preproc_directive] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_TILDE] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym___extension__] = ACTIONS(3068),
    [anon_sym_typedef] = ACTIONS(3068),
    [anon_sym_virtual] = ACTIONS(3068),
    [anon_sym_extern] = ACTIONS(3068),
    [anon_sym___attribute__] = ACTIONS(3068),
    [anon_sym___attribute] = ACTIONS(3068),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3070),
    [anon_sym___declspec] = ACTIONS(3068),
    [anon_sym___based] = ACTIONS(3068),
    [anon_sym___cdecl] = ACTIONS(3068),
    [anon_sym___clrcall] = ACTIONS(3068),
    [anon_sym___stdcall] = ACTIONS(3068),
    [anon_sym___fastcall] = ACTIONS(3068),
    [anon_sym___thiscall] = ACTIONS(3068),
    [anon_sym___vectorcall] = ACTIONS(3068),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_signed] = ACTIONS(3068),
    [anon_sym_unsigned] = ACTIONS(3068),
    [anon_sym_long] = ACTIONS(3068),
    [anon_sym_short] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_static] = ACTIONS(3068),
    [anon_sym_register] = ACTIONS(3068),
    [anon_sym_inline] = ACTIONS(3068),
    [anon_sym___inline] = ACTIONS(3068),
    [anon_sym___inline__] = ACTIONS(3068),
    [anon_sym___forceinline] = ACTIONS(3068),
    [anon_sym_thread_local] = ACTIONS(3068),
    [anon_sym___thread] = ACTIONS(3068),
    [anon_sym_const] = ACTIONS(3068),
    [anon_sym_constexpr] = ACTIONS(3068),
    [anon_sym_volatile] = ACTIONS(3068),
    [anon_sym_restrict] = ACTIONS(3068),
    [anon_sym___restrict__] = ACTIONS(3068),
    [anon_sym__Atomic] = ACTIONS(3068),
    [anon_sym__Noreturn] = ACTIONS(3068),
    [anon_sym_noreturn] = ACTIONS(3068),
    [anon_sym__Nonnull] = ACTIONS(3068),
    [anon_sym_mutable] = ACTIONS(3068),
    [anon_sym_constinit] = ACTIONS(3068),
    [anon_sym_consteval] = ACTIONS(3068),
    [anon_sym_PROGMEM] = ACTIONS(3068),
    [anon_sym_alignas] = ACTIONS(3068),
    [anon_sym__Alignas] = ACTIONS(3068),
    [aux_sym_primitive_type_token1] = ACTIONS(3068),
    [anon_sym_byte] = ACTIONS(3068),
    [anon_sym_word] = ACTIONS(3068),
    [anon_sym_enum] = ACTIONS(3068),
    [anon_sym_class] = ACTIONS(3068),
    [anon_sym_struct] = ACTIONS(3068),
    [anon_sym_union] = ACTIONS(3068),
    [anon_sym_if] = ACTIONS(3068),
    [anon_sym_switch] = ACTIONS(3068),
    [anon_sym_case] = ACTIONS(3068),
    [anon_sym_default] = ACTIONS(3068),
    [anon_sym_while] = ACTIONS(3068),
    [anon_sym_do] = ACTIONS(3068),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_return] = ACTIONS(3068),
    [anon_sym_break] = ACTIONS(3068),
    [anon_sym_continue] = ACTIONS(3068),
    [anon_sym_goto] = ACTIONS(3068),
    [anon_sym_not] = ACTIONS(3068),
    [anon_sym_compl] = ACTIONS(3068),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_sizeof] = ACTIONS(3068),
    [anon_sym___alignof__] = ACTIONS(3068),
    [anon_sym___alignof] = ACTIONS(3068),
    [anon_sym__alignof] = ACTIONS(3068),
    [anon_sym_alignof] = ACTIONS(3068),
    [anon_sym__Alignof] = ACTIONS(3068),
    [anon_sym_offsetof] = ACTIONS(3068),
    [anon_sym__Generic] = ACTIONS(3068),
    [anon_sym_asm] = ACTIONS(3068),
    [anon_sym___asm__] = ACTIONS(3068),
    [anon_sym___asm] = ACTIONS(3068),
    [aux_sym_number_literal_token1] = ACTIONS(3070),
    [aux_sym_number_literal_token2] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3070),
    [anon_sym_u_SQUOTE] = ACTIONS(3070),
    [anon_sym_U_SQUOTE] = ACTIONS(3070),
    [anon_sym_u8_SQUOTE] = ACTIONS(3070),
    [anon_sym_SQUOTE] = ACTIONS(3070),
    [anon_sym_L_DQUOTE] = ACTIONS(3070),
    [anon_sym_u_DQUOTE] = ACTIONS(3070),
    [anon_sym_U_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [anon_sym_NULL] = ACTIONS(3068),
    [anon_sym_nullptr] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3068),
    [anon_sym_decltype] = ACTIONS(3068),
    [anon_sym_explicit] = ACTIONS(3068),
    [anon_sym_typename] = ACTIONS(3068),
    [anon_sym_template] = ACTIONS(3068),
    [anon_sym_operator] = ACTIONS(3068),
    [anon_sym_try] = ACTIONS(3068),
    [anon_sym_delete] = ACTIONS(3068),
    [anon_sym_throw] = ACTIONS(3068),
    [anon_sym_namespace] = ACTIONS(3068),
    [anon_sym_using] = ACTIONS(3068),
    [anon_sym_static_assert] = ACTIONS(3068),
    [anon_sym_concept] = ACTIONS(3068),
    [anon_sym_co_return] = ACTIONS(3068),
    [anon_sym_co_yield] = ACTIONS(3068),
    [anon_sym_R_DQUOTE] = ACTIONS(3070),
    [anon_sym_LR_DQUOTE] = ACTIONS(3070),
    [anon_sym_uR_DQUOTE] = ACTIONS(3070),
    [anon_sym_UR_DQUOTE] = ACTIONS(3070),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3070),
    [anon_sym_co_await] = ACTIONS(3068),
    [anon_sym_new] = ACTIONS(3068),
    [anon_sym_requires] = ACTIONS(3068),
    [sym_this] = ACTIONS(3068),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym___attribute] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_PROGMEM] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [aux_sym_primitive_type_token1] = ACTIONS(3064),
    [anon_sym_byte] = ACTIONS(3064),
    [anon_sym_word] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [aux_sym_number_literal_token1] = ACTIONS(3066),
    [aux_sym_number_literal_token2] = ACTIONS(3064),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3491),
    [aux_sym_preproc_include_token1] = ACTIONS(3491),
    [aux_sym_preproc_def_token1] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3489),
    [anon_sym_BANG] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3489),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3489),
    [anon_sym_AMP_AMP] = ACTIONS(3489),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3489),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_typedef] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym___attribute] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3489),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym___cdecl] = ACTIONS(3491),
    [anon_sym___clrcall] = ACTIONS(3491),
    [anon_sym___stdcall] = ACTIONS(3491),
    [anon_sym___fastcall] = ACTIONS(3491),
    [anon_sym___thiscall] = ACTIONS(3491),
    [anon_sym___vectorcall] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3489),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym__Nonnull] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [anon_sym_PROGMEM] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym__Alignas] = ACTIONS(3491),
    [aux_sym_primitive_type_token1] = ACTIONS(3491),
    [anon_sym_byte] = ACTIONS(3491),
    [anon_sym_word] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_case] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3489),
    [anon_sym_PLUS_PLUS] = ACTIONS(3489),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [anon_sym___asm] = ACTIONS(3491),
    [aux_sym_number_literal_token1] = ACTIONS(3489),
    [aux_sym_number_literal_token2] = ACTIONS(3491),
    [anon_sym_L_SQUOTE] = ACTIONS(3489),
    [anon_sym_u_SQUOTE] = ACTIONS(3489),
    [anon_sym_U_SQUOTE] = ACTIONS(3489),
    [anon_sym_u8_SQUOTE] = ACTIONS(3489),
    [anon_sym_SQUOTE] = ACTIONS(3489),
    [anon_sym_L_DQUOTE] = ACTIONS(3489),
    [anon_sym_u_DQUOTE] = ACTIONS(3489),
    [anon_sym_U_DQUOTE] = ACTIONS(3489),
    [anon_sym_u8_DQUOTE] = ACTIONS(3489),
    [anon_sym_DQUOTE] = ACTIONS(3489),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_static_assert] = ACTIONS(3491),
    [anon_sym_concept] = ACTIONS(3491),
    [anon_sym_co_return] = ACTIONS(3491),
    [anon_sym_co_yield] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3489),
    [anon_sym_LR_DQUOTE] = ACTIONS(3489),
    [anon_sym_uR_DQUOTE] = ACTIONS(3489),
    [anon_sym_UR_DQUOTE] = ACTIONS(3489),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3489),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(3207),
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [anon_sym___asm] = ACTIONS(3205),
    [aux_sym_number_literal_token1] = ACTIONS(3207),
    [aux_sym_number_literal_token2] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(3058),
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym___attribute] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_PROGMEM] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [aux_sym_primitive_type_token1] = ACTIONS(3056),
    [anon_sym_byte] = ACTIONS(3056),
    [anon_sym_word] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [aux_sym_number_literal_token1] = ACTIONS(3058),
    [aux_sym_number_literal_token2] = ACTIONS(3056),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [aux_sym_number_literal_token1] = ACTIONS(3054),
    [aux_sym_number_literal_token2] = ACTIONS(3052),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(3047),
    [sym_identifier] = ACTIONS(3045),
    [aux_sym_preproc_include_token1] = ACTIONS(3045),
    [aux_sym_preproc_def_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3045),
    [sym_preproc_directive] = ACTIONS(3045),
    [anon_sym_LPAREN2] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3047),
    [anon_sym_TILDE] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_STAR] = ACTIONS(3047),
    [anon_sym_AMP_AMP] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3045),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_virtual] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(3045),
    [anon_sym___attribute__] = ACTIONS(3045),
    [anon_sym___attribute] = ACTIONS(3045),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3047),
    [anon_sym___declspec] = ACTIONS(3045),
    [anon_sym___based] = ACTIONS(3045),
    [anon_sym___cdecl] = ACTIONS(3045),
    [anon_sym___clrcall] = ACTIONS(3045),
    [anon_sym___stdcall] = ACTIONS(3045),
    [anon_sym___fastcall] = ACTIONS(3045),
    [anon_sym___thiscall] = ACTIONS(3045),
    [anon_sym___vectorcall] = ACTIONS(3045),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_signed] = ACTIONS(3045),
    [anon_sym_unsigned] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_register] = ACTIONS(3045),
    [anon_sym_inline] = ACTIONS(3045),
    [anon_sym___inline] = ACTIONS(3045),
    [anon_sym___inline__] = ACTIONS(3045),
    [anon_sym___forceinline] = ACTIONS(3045),
    [anon_sym_thread_local] = ACTIONS(3045),
    [anon_sym___thread] = ACTIONS(3045),
    [anon_sym_const] = ACTIONS(3045),
    [anon_sym_constexpr] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_restrict] = ACTIONS(3045),
    [anon_sym___restrict__] = ACTIONS(3045),
    [anon_sym__Atomic] = ACTIONS(3045),
    [anon_sym__Noreturn] = ACTIONS(3045),
    [anon_sym_noreturn] = ACTIONS(3045),
    [anon_sym__Nonnull] = ACTIONS(3045),
    [anon_sym_mutable] = ACTIONS(3045),
    [anon_sym_constinit] = ACTIONS(3045),
    [anon_sym_consteval] = ACTIONS(3045),
    [anon_sym_PROGMEM] = ACTIONS(3045),
    [anon_sym_alignas] = ACTIONS(3045),
    [anon_sym__Alignas] = ACTIONS(3045),
    [aux_sym_primitive_type_token1] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_word] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_struct] = ACTIONS(3045),
    [anon_sym_union] = ACTIONS(3045),
    [anon_sym_if] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_case] = ACTIONS(3045),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_do] = ACTIONS(3045),
    [anon_sym_for] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3045),
    [anon_sym_break] = ACTIONS(3045),
    [anon_sym_continue] = ACTIONS(3045),
    [anon_sym_goto] = ACTIONS(3045),
    [anon_sym_not] = ACTIONS(3045),
    [anon_sym_compl] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3047),
    [anon_sym_PLUS_PLUS] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3045),
    [anon_sym___alignof__] = ACTIONS(3045),
    [anon_sym___alignof] = ACTIONS(3045),
    [anon_sym__alignof] = ACTIONS(3045),
    [anon_sym_alignof] = ACTIONS(3045),
    [anon_sym__Alignof] = ACTIONS(3045),
    [anon_sym_offsetof] = ACTIONS(3045),
    [anon_sym__Generic] = ACTIONS(3045),
    [anon_sym_asm] = ACTIONS(3045),
    [anon_sym___asm__] = ACTIONS(3045),
    [anon_sym___asm] = ACTIONS(3045),
    [aux_sym_number_literal_token1] = ACTIONS(3047),
    [aux_sym_number_literal_token2] = ACTIONS(3045),
    [anon_sym_L_SQUOTE] = ACTIONS(3047),
    [anon_sym_u_SQUOTE] = ACTIONS(3047),
    [anon_sym_U_SQUOTE] = ACTIONS(3047),
    [anon_sym_u8_SQUOTE] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3047),
    [anon_sym_L_DQUOTE] = ACTIONS(3047),
    [anon_sym_u_DQUOTE] = ACTIONS(3047),
    [anon_sym_U_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8_DQUOTE] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3047),
    [sym_true] = ACTIONS(3045),
    [sym_false] = ACTIONS(3045),
    [anon_sym_NULL] = ACTIONS(3045),
    [anon_sym_nullptr] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3045),
    [anon_sym_decltype] = ACTIONS(3045),
    [anon_sym_explicit] = ACTIONS(3045),
    [anon_sym_typename] = ACTIONS(3045),
    [anon_sym_template] = ACTIONS(3045),
    [anon_sym_operator] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3045),
    [anon_sym_delete] = ACTIONS(3045),
    [anon_sym_throw] = ACTIONS(3045),
    [anon_sym_namespace] = ACTIONS(3045),
    [anon_sym_using] = ACTIONS(3045),
    [anon_sym_static_assert] = ACTIONS(3045),
    [anon_sym_concept] = ACTIONS(3045),
    [anon_sym_co_return] = ACTIONS(3045),
    [anon_sym_co_yield] = ACTIONS(3045),
    [anon_sym_R_DQUOTE] = ACTIONS(3047),
    [anon_sym_LR_DQUOTE] = ACTIONS(3047),
    [anon_sym_uR_DQUOTE] = ACTIONS(3047),
    [anon_sym_UR_DQUOTE] = ACTIONS(3047),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3047),
    [anon_sym_co_await] = ACTIONS(3045),
    [anon_sym_new] = ACTIONS(3045),
    [anon_sym_requires] = ACTIONS(3045),
    [sym_this] = ACTIONS(3045),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(3100),
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_include_token1] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym___cdecl] = ACTIONS(3098),
    [anon_sym___clrcall] = ACTIONS(3098),
    [anon_sym___stdcall] = ACTIONS(3098),
    [anon_sym___fastcall] = ACTIONS(3098),
    [anon_sym___thiscall] = ACTIONS(3098),
    [anon_sym___vectorcall] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_goto] = ACTIONS(3098),
    [anon_sym_not] = ACTIONS(3098),
    [anon_sym_compl] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_sizeof] = ACTIONS(3098),
    [anon_sym___alignof__] = ACTIONS(3098),
    [anon_sym___alignof] = ACTIONS(3098),
    [anon_sym__alignof] = ACTIONS(3098),
    [anon_sym_alignof] = ACTIONS(3098),
    [anon_sym__Alignof] = ACTIONS(3098),
    [anon_sym_offsetof] = ACTIONS(3098),
    [anon_sym__Generic] = ACTIONS(3098),
    [anon_sym_asm] = ACTIONS(3098),
    [anon_sym___asm__] = ACTIONS(3098),
    [anon_sym___asm] = ACTIONS(3098),
    [aux_sym_number_literal_token1] = ACTIONS(3100),
    [aux_sym_number_literal_token2] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3100),
    [anon_sym_u_SQUOTE] = ACTIONS(3100),
    [anon_sym_U_SQUOTE] = ACTIONS(3100),
    [anon_sym_u8_SQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [anon_sym_L_DQUOTE] = ACTIONS(3100),
    [anon_sym_u_DQUOTE] = ACTIONS(3100),
    [anon_sym_U_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8_DQUOTE] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3100),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [anon_sym_NULL] = ACTIONS(3098),
    [anon_sym_nullptr] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_delete] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_namespace] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
    [anon_sym_concept] = ACTIONS(3098),
    [anon_sym_co_return] = ACTIONS(3098),
    [anon_sym_co_yield] = ACTIONS(3098),
    [anon_sym_R_DQUOTE] = ACTIONS(3100),
    [anon_sym_LR_DQUOTE] = ACTIONS(3100),
    [anon_sym_uR_DQUOTE] = ACTIONS(3100),
    [anon_sym_UR_DQUOTE] = ACTIONS(3100),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3100),
    [anon_sym_co_await] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_requires] = ACTIONS(3098),
    [sym_this] = ACTIONS(3098),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3043),
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_include_token1] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3041),
    [anon_sym_PLUS] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym___cdecl] = ACTIONS(3041),
    [anon_sym___clrcall] = ACTIONS(3041),
    [anon_sym___stdcall] = ACTIONS(3041),
    [anon_sym___fastcall] = ACTIONS(3041),
    [anon_sym___thiscall] = ACTIONS(3041),
    [anon_sym___vectorcall] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_switch] = ACTIONS(3041),
    [anon_sym_case] = ACTIONS(3041),
    [anon_sym_default] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(3041),
    [anon_sym_do] = ACTIONS(3041),
    [anon_sym_for] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3041),
    [anon_sym_break] = ACTIONS(3041),
    [anon_sym_continue] = ACTIONS(3041),
    [anon_sym_goto] = ACTIONS(3041),
    [anon_sym_not] = ACTIONS(3041),
    [anon_sym_compl] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3041),
    [anon_sym___alignof__] = ACTIONS(3041),
    [anon_sym___alignof] = ACTIONS(3041),
    [anon_sym__alignof] = ACTIONS(3041),
    [anon_sym_alignof] = ACTIONS(3041),
    [anon_sym__Alignof] = ACTIONS(3041),
    [anon_sym_offsetof] = ACTIONS(3041),
    [anon_sym__Generic] = ACTIONS(3041),
    [anon_sym_asm] = ACTIONS(3041),
    [anon_sym___asm__] = ACTIONS(3041),
    [anon_sym___asm] = ACTIONS(3041),
    [aux_sym_number_literal_token1] = ACTIONS(3043),
    [aux_sym_number_literal_token2] = ACTIONS(3041),
    [anon_sym_L_SQUOTE] = ACTIONS(3043),
    [anon_sym_u_SQUOTE] = ACTIONS(3043),
    [anon_sym_U_SQUOTE] = ACTIONS(3043),
    [anon_sym_u8_SQUOTE] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3043),
    [anon_sym_L_DQUOTE] = ACTIONS(3043),
    [anon_sym_u_DQUOTE] = ACTIONS(3043),
    [anon_sym_U_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8_DQUOTE] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3043),
    [sym_true] = ACTIONS(3041),
    [sym_false] = ACTIONS(3041),
    [anon_sym_NULL] = ACTIONS(3041),
    [anon_sym_nullptr] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_try] = ACTIONS(3041),
    [anon_sym_delete] = ACTIONS(3041),
    [anon_sym_throw] = ACTIONS(3041),
    [anon_sym_namespace] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
    [anon_sym_concept] = ACTIONS(3041),
    [anon_sym_co_return] = ACTIONS(3041),
    [anon_sym_co_yield] = ACTIONS(3041),
    [anon_sym_R_DQUOTE] = ACTIONS(3043),
    [anon_sym_LR_DQUOTE] = ACTIONS(3043),
    [anon_sym_uR_DQUOTE] = ACTIONS(3043),
    [anon_sym_UR_DQUOTE] = ACTIONS(3043),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3043),
    [anon_sym_co_await] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3041),
    [anon_sym_requires] = ACTIONS(3041),
    [sym_this] = ACTIONS(3041),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(3156),
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3039),
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3039),
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_include_token1] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3037),
    [anon_sym_PLUS] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym___cdecl] = ACTIONS(3037),
    [anon_sym___clrcall] = ACTIONS(3037),
    [anon_sym___stdcall] = ACTIONS(3037),
    [anon_sym___fastcall] = ACTIONS(3037),
    [anon_sym___thiscall] = ACTIONS(3037),
    [anon_sym___vectorcall] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [anon_sym_if] = ACTIONS(3037),
    [anon_sym_switch] = ACTIONS(3037),
    [anon_sym_case] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(3037),
    [anon_sym_while] = ACTIONS(3037),
    [anon_sym_do] = ACTIONS(3037),
    [anon_sym_for] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3037),
    [anon_sym_break] = ACTIONS(3037),
    [anon_sym_continue] = ACTIONS(3037),
    [anon_sym_goto] = ACTIONS(3037),
    [anon_sym_not] = ACTIONS(3037),
    [anon_sym_compl] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3039),
    [anon_sym_PLUS_PLUS] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3037),
    [anon_sym___alignof__] = ACTIONS(3037),
    [anon_sym___alignof] = ACTIONS(3037),
    [anon_sym__alignof] = ACTIONS(3037),
    [anon_sym_alignof] = ACTIONS(3037),
    [anon_sym__Alignof] = ACTIONS(3037),
    [anon_sym_offsetof] = ACTIONS(3037),
    [anon_sym__Generic] = ACTIONS(3037),
    [anon_sym_asm] = ACTIONS(3037),
    [anon_sym___asm__] = ACTIONS(3037),
    [anon_sym___asm] = ACTIONS(3037),
    [aux_sym_number_literal_token1] = ACTIONS(3039),
    [aux_sym_number_literal_token2] = ACTIONS(3037),
    [anon_sym_L_SQUOTE] = ACTIONS(3039),
    [anon_sym_u_SQUOTE] = ACTIONS(3039),
    [anon_sym_U_SQUOTE] = ACTIONS(3039),
    [anon_sym_u8_SQUOTE] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3039),
    [anon_sym_L_DQUOTE] = ACTIONS(3039),
    [anon_sym_u_DQUOTE] = ACTIONS(3039),
    [anon_sym_U_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8_DQUOTE] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3039),
    [sym_true] = ACTIONS(3037),
    [sym_false] = ACTIONS(3037),
    [anon_sym_NULL] = ACTIONS(3037),
    [anon_sym_nullptr] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_try] = ACTIONS(3037),
    [anon_sym_delete] = ACTIONS(3037),
    [anon_sym_throw] = ACTIONS(3037),
    [anon_sym_namespace] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
    [anon_sym_concept] = ACTIONS(3037),
    [anon_sym_co_return] = ACTIONS(3037),
    [anon_sym_co_yield] = ACTIONS(3037),
    [anon_sym_R_DQUOTE] = ACTIONS(3039),
    [anon_sym_LR_DQUOTE] = ACTIONS(3039),
    [anon_sym_uR_DQUOTE] = ACTIONS(3039),
    [anon_sym_UR_DQUOTE] = ACTIONS(3039),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3039),
    [anon_sym_co_await] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(3037),
    [anon_sym_requires] = ACTIONS(3037),
    [sym_this] = ACTIONS(3037),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(3156),
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [anon_sym___asm] = ACTIONS(3154),
    [aux_sym_number_literal_token1] = ACTIONS(3156),
    [aux_sym_number_literal_token2] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(3027),
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_include_token1] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym___cdecl] = ACTIONS(3025),
    [anon_sym___clrcall] = ACTIONS(3025),
    [anon_sym___stdcall] = ACTIONS(3025),
    [anon_sym___fastcall] = ACTIONS(3025),
    [anon_sym___thiscall] = ACTIONS(3025),
    [anon_sym___vectorcall] = ACTIONS(3025),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [anon_sym_if] = ACTIONS(3025),
    [anon_sym_switch] = ACTIONS(3025),
    [anon_sym_case] = ACTIONS(3025),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_while] = ACTIONS(3025),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_for] = ACTIONS(3025),
    [anon_sym_return] = ACTIONS(3025),
    [anon_sym_break] = ACTIONS(3025),
    [anon_sym_continue] = ACTIONS(3025),
    [anon_sym_goto] = ACTIONS(3025),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_compl] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3027),
    [anon_sym_PLUS_PLUS] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3025),
    [anon_sym___alignof__] = ACTIONS(3025),
    [anon_sym___alignof] = ACTIONS(3025),
    [anon_sym__alignof] = ACTIONS(3025),
    [anon_sym_alignof] = ACTIONS(3025),
    [anon_sym__Alignof] = ACTIONS(3025),
    [anon_sym_offsetof] = ACTIONS(3025),
    [anon_sym__Generic] = ACTIONS(3025),
    [anon_sym_asm] = ACTIONS(3025),
    [anon_sym___asm__] = ACTIONS(3025),
    [anon_sym___asm] = ACTIONS(3025),
    [aux_sym_number_literal_token1] = ACTIONS(3027),
    [aux_sym_number_literal_token2] = ACTIONS(3025),
    [anon_sym_L_SQUOTE] = ACTIONS(3027),
    [anon_sym_u_SQUOTE] = ACTIONS(3027),
    [anon_sym_U_SQUOTE] = ACTIONS(3027),
    [anon_sym_u8_SQUOTE] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3027),
    [anon_sym_L_DQUOTE] = ACTIONS(3027),
    [anon_sym_u_DQUOTE] = ACTIONS(3027),
    [anon_sym_U_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8_DQUOTE] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3027),
    [sym_true] = ACTIONS(3025),
    [sym_false] = ACTIONS(3025),
    [anon_sym_NULL] = ACTIONS(3025),
    [anon_sym_nullptr] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_try] = ACTIONS(3025),
    [anon_sym_delete] = ACTIONS(3025),
    [anon_sym_throw] = ACTIONS(3025),
    [anon_sym_namespace] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
    [anon_sym_concept] = ACTIONS(3025),
    [anon_sym_co_return] = ACTIONS(3025),
    [anon_sym_co_yield] = ACTIONS(3025),
    [anon_sym_R_DQUOTE] = ACTIONS(3027),
    [anon_sym_LR_DQUOTE] = ACTIONS(3027),
    [anon_sym_uR_DQUOTE] = ACTIONS(3027),
    [anon_sym_UR_DQUOTE] = ACTIONS(3027),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3027),
    [anon_sym_co_await] = ACTIONS(3025),
    [anon_sym_new] = ACTIONS(3025),
    [anon_sym_requires] = ACTIONS(3025),
    [sym_this] = ACTIONS(3025),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3495),
    [aux_sym_preproc_include_token1] = ACTIONS(3495),
    [aux_sym_preproc_def_token1] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3495),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3495),
    [sym_preproc_directive] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3495),
    [anon_sym_typedef] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym___attribute__] = ACTIONS(3495),
    [anon_sym___attribute] = ACTIONS(3495),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3495),
    [anon_sym___based] = ACTIONS(3495),
    [anon_sym___cdecl] = ACTIONS(3495),
    [anon_sym___clrcall] = ACTIONS(3495),
    [anon_sym___stdcall] = ACTIONS(3495),
    [anon_sym___fastcall] = ACTIONS(3495),
    [anon_sym___thiscall] = ACTIONS(3495),
    [anon_sym___vectorcall] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3495),
    [anon_sym_unsigned] = ACTIONS(3495),
    [anon_sym_long] = ACTIONS(3495),
    [anon_sym_short] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_register] = ACTIONS(3495),
    [anon_sym_inline] = ACTIONS(3495),
    [anon_sym___inline] = ACTIONS(3495),
    [anon_sym___inline__] = ACTIONS(3495),
    [anon_sym___forceinline] = ACTIONS(3495),
    [anon_sym_thread_local] = ACTIONS(3495),
    [anon_sym___thread] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_constexpr] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_restrict] = ACTIONS(3495),
    [anon_sym___restrict__] = ACTIONS(3495),
    [anon_sym__Atomic] = ACTIONS(3495),
    [anon_sym__Noreturn] = ACTIONS(3495),
    [anon_sym_noreturn] = ACTIONS(3495),
    [anon_sym__Nonnull] = ACTIONS(3495),
    [anon_sym_mutable] = ACTIONS(3495),
    [anon_sym_constinit] = ACTIONS(3495),
    [anon_sym_consteval] = ACTIONS(3495),
    [anon_sym_PROGMEM] = ACTIONS(3495),
    [anon_sym_alignas] = ACTIONS(3495),
    [anon_sym__Alignas] = ACTIONS(3495),
    [aux_sym_primitive_type_token1] = ACTIONS(3495),
    [anon_sym_byte] = ACTIONS(3495),
    [anon_sym_word] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_union] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_case] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym_not] = ACTIONS(3495),
    [anon_sym_compl] = ACTIONS(3495),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym___alignof__] = ACTIONS(3495),
    [anon_sym___alignof] = ACTIONS(3495),
    [anon_sym__alignof] = ACTIONS(3495),
    [anon_sym_alignof] = ACTIONS(3495),
    [anon_sym__Alignof] = ACTIONS(3495),
    [anon_sym_offsetof] = ACTIONS(3495),
    [anon_sym__Generic] = ACTIONS(3495),
    [anon_sym_asm] = ACTIONS(3495),
    [anon_sym___asm__] = ACTIONS(3495),
    [anon_sym___asm] = ACTIONS(3495),
    [aux_sym_number_literal_token1] = ACTIONS(3493),
    [aux_sym_number_literal_token2] = ACTIONS(3495),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3495),
    [sym_false] = ACTIONS(3495),
    [anon_sym_NULL] = ACTIONS(3495),
    [anon_sym_nullptr] = ACTIONS(3495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3495),
    [anon_sym_decltype] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_typename] = ACTIONS(3495),
    [anon_sym_template] = ACTIONS(3495),
    [anon_sym_operator] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_static_assert] = ACTIONS(3495),
    [anon_sym_concept] = ACTIONS(3495),
    [anon_sym_co_return] = ACTIONS(3495),
    [anon_sym_co_yield] = ACTIONS(3495),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_requires] = ACTIONS(3495),
    [sym_this] = ACTIONS(3495),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3012),
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_include_token1] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_BANG] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym___cdecl] = ACTIONS(3010),
    [anon_sym___clrcall] = ACTIONS(3010),
    [anon_sym___stdcall] = ACTIONS(3010),
    [anon_sym___fastcall] = ACTIONS(3010),
    [anon_sym___thiscall] = ACTIONS(3010),
    [anon_sym___vectorcall] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_switch] = ACTIONS(3010),
    [anon_sym_case] = ACTIONS(3010),
    [anon_sym_default] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_do] = ACTIONS(3010),
    [anon_sym_for] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_break] = ACTIONS(3010),
    [anon_sym_continue] = ACTIONS(3010),
    [anon_sym_goto] = ACTIONS(3010),
    [anon_sym_not] = ACTIONS(3010),
    [anon_sym_compl] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_sizeof] = ACTIONS(3010),
    [anon_sym___alignof__] = ACTIONS(3010),
    [anon_sym___alignof] = ACTIONS(3010),
    [anon_sym__alignof] = ACTIONS(3010),
    [anon_sym_alignof] = ACTIONS(3010),
    [anon_sym__Alignof] = ACTIONS(3010),
    [anon_sym_offsetof] = ACTIONS(3010),
    [anon_sym__Generic] = ACTIONS(3010),
    [anon_sym_asm] = ACTIONS(3010),
    [anon_sym___asm__] = ACTIONS(3010),
    [anon_sym___asm] = ACTIONS(3010),
    [aux_sym_number_literal_token1] = ACTIONS(3012),
    [aux_sym_number_literal_token2] = ACTIONS(3010),
    [anon_sym_L_SQUOTE] = ACTIONS(3012),
    [anon_sym_u_SQUOTE] = ACTIONS(3012),
    [anon_sym_U_SQUOTE] = ACTIONS(3012),
    [anon_sym_u8_SQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [anon_sym_L_DQUOTE] = ACTIONS(3012),
    [anon_sym_u_DQUOTE] = ACTIONS(3012),
    [anon_sym_U_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8_DQUOTE] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3012),
    [sym_true] = ACTIONS(3010),
    [sym_false] = ACTIONS(3010),
    [anon_sym_NULL] = ACTIONS(3010),
    [anon_sym_nullptr] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_delete] = ACTIONS(3010),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_namespace] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
    [anon_sym_concept] = ACTIONS(3010),
    [anon_sym_co_return] = ACTIONS(3010),
    [anon_sym_co_yield] = ACTIONS(3010),
    [anon_sym_R_DQUOTE] = ACTIONS(3012),
    [anon_sym_LR_DQUOTE] = ACTIONS(3012),
    [anon_sym_uR_DQUOTE] = ACTIONS(3012),
    [anon_sym_UR_DQUOTE] = ACTIONS(3012),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3012),
    [anon_sym_co_await] = ACTIONS(3010),
    [anon_sym_new] = ACTIONS(3010),
    [anon_sym_requires] = ACTIONS(3010),
    [sym_this] = ACTIONS(3010),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3179),
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_include_token1] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym___cdecl] = ACTIONS(3177),
    [anon_sym___clrcall] = ACTIONS(3177),
    [anon_sym___stdcall] = ACTIONS(3177),
    [anon_sym___fastcall] = ACTIONS(3177),
    [anon_sym___thiscall] = ACTIONS(3177),
    [anon_sym___vectorcall] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym_not] = ACTIONS(3177),
    [anon_sym_compl] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym___alignof__] = ACTIONS(3177),
    [anon_sym___alignof] = ACTIONS(3177),
    [anon_sym__alignof] = ACTIONS(3177),
    [anon_sym_alignof] = ACTIONS(3177),
    [anon_sym__Alignof] = ACTIONS(3177),
    [anon_sym_offsetof] = ACTIONS(3177),
    [anon_sym__Generic] = ACTIONS(3177),
    [anon_sym_asm] = ACTIONS(3177),
    [anon_sym___asm__] = ACTIONS(3177),
    [anon_sym___asm] = ACTIONS(3177),
    [aux_sym_number_literal_token1] = ACTIONS(3179),
    [aux_sym_number_literal_token2] = ACTIONS(3177),
    [anon_sym_L_SQUOTE] = ACTIONS(3179),
    [anon_sym_u_SQUOTE] = ACTIONS(3179),
    [anon_sym_U_SQUOTE] = ACTIONS(3179),
    [anon_sym_u8_SQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [anon_sym_L_DQUOTE] = ACTIONS(3179),
    [anon_sym_u_DQUOTE] = ACTIONS(3179),
    [anon_sym_U_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8_DQUOTE] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [anon_sym_NULL] = ACTIONS(3177),
    [anon_sym_nullptr] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
    [anon_sym_concept] = ACTIONS(3177),
    [anon_sym_co_return] = ACTIONS(3177),
    [anon_sym_co_yield] = ACTIONS(3177),
    [anon_sym_R_DQUOTE] = ACTIONS(3179),
    [anon_sym_LR_DQUOTE] = ACTIONS(3179),
    [anon_sym_uR_DQUOTE] = ACTIONS(3179),
    [anon_sym_UR_DQUOTE] = ACTIONS(3179),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3179),
    [anon_sym_co_await] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_requires] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(3004),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_include_token1] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym___cdecl] = ACTIONS(3002),
    [anon_sym___clrcall] = ACTIONS(3002),
    [anon_sym___stdcall] = ACTIONS(3002),
    [anon_sym___fastcall] = ACTIONS(3002),
    [anon_sym___thiscall] = ACTIONS(3002),
    [anon_sym___vectorcall] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_switch] = ACTIONS(3002),
    [anon_sym_case] = ACTIONS(3002),
    [anon_sym_default] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(3002),
    [anon_sym_for] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_break] = ACTIONS(3002),
    [anon_sym_continue] = ACTIONS(3002),
    [anon_sym_goto] = ACTIONS(3002),
    [anon_sym_not] = ACTIONS(3002),
    [anon_sym_compl] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_sizeof] = ACTIONS(3002),
    [anon_sym___alignof__] = ACTIONS(3002),
    [anon_sym___alignof] = ACTIONS(3002),
    [anon_sym__alignof] = ACTIONS(3002),
    [anon_sym_alignof] = ACTIONS(3002),
    [anon_sym__Alignof] = ACTIONS(3002),
    [anon_sym_offsetof] = ACTIONS(3002),
    [anon_sym__Generic] = ACTIONS(3002),
    [anon_sym_asm] = ACTIONS(3002),
    [anon_sym___asm__] = ACTIONS(3002),
    [anon_sym___asm] = ACTIONS(3002),
    [aux_sym_number_literal_token1] = ACTIONS(3004),
    [aux_sym_number_literal_token2] = ACTIONS(3002),
    [anon_sym_L_SQUOTE] = ACTIONS(3004),
    [anon_sym_u_SQUOTE] = ACTIONS(3004),
    [anon_sym_U_SQUOTE] = ACTIONS(3004),
    [anon_sym_u8_SQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [anon_sym_L_DQUOTE] = ACTIONS(3004),
    [anon_sym_u_DQUOTE] = ACTIONS(3004),
    [anon_sym_U_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8_DQUOTE] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3004),
    [sym_true] = ACTIONS(3002),
    [sym_false] = ACTIONS(3002),
    [anon_sym_NULL] = ACTIONS(3002),
    [anon_sym_nullptr] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_delete] = ACTIONS(3002),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_namespace] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
    [anon_sym_concept] = ACTIONS(3002),
    [anon_sym_co_return] = ACTIONS(3002),
    [anon_sym_co_yield] = ACTIONS(3002),
    [anon_sym_R_DQUOTE] = ACTIONS(3004),
    [anon_sym_LR_DQUOTE] = ACTIONS(3004),
    [anon_sym_uR_DQUOTE] = ACTIONS(3004),
    [anon_sym_UR_DQUOTE] = ACTIONS(3004),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3004),
    [anon_sym_co_await] = ACTIONS(3002),
    [anon_sym_new] = ACTIONS(3002),
    [anon_sym_requires] = ACTIONS(3002),
    [sym_this] = ACTIONS(3002),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3000),
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_include_token1] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym___cdecl] = ACTIONS(2998),
    [anon_sym___clrcall] = ACTIONS(2998),
    [anon_sym___stdcall] = ACTIONS(2998),
    [anon_sym___fastcall] = ACTIONS(2998),
    [anon_sym___thiscall] = ACTIONS(2998),
    [anon_sym___vectorcall] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_switch] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_default] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_do] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_continue] = ACTIONS(2998),
    [anon_sym_goto] = ACTIONS(2998),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_compl] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_sizeof] = ACTIONS(2998),
    [anon_sym___alignof__] = ACTIONS(2998),
    [anon_sym___alignof] = ACTIONS(2998),
    [anon_sym__alignof] = ACTIONS(2998),
    [anon_sym_alignof] = ACTIONS(2998),
    [anon_sym__Alignof] = ACTIONS(2998),
    [anon_sym_offsetof] = ACTIONS(2998),
    [anon_sym__Generic] = ACTIONS(2998),
    [anon_sym_asm] = ACTIONS(2998),
    [anon_sym___asm__] = ACTIONS(2998),
    [anon_sym___asm] = ACTIONS(2998),
    [aux_sym_number_literal_token1] = ACTIONS(3000),
    [aux_sym_number_literal_token2] = ACTIONS(2998),
    [anon_sym_L_SQUOTE] = ACTIONS(3000),
    [anon_sym_u_SQUOTE] = ACTIONS(3000),
    [anon_sym_U_SQUOTE] = ACTIONS(3000),
    [anon_sym_u8_SQUOTE] = ACTIONS(3000),
    [anon_sym_SQUOTE] = ACTIONS(3000),
    [anon_sym_L_DQUOTE] = ACTIONS(3000),
    [anon_sym_u_DQUOTE] = ACTIONS(3000),
    [anon_sym_U_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8_DQUOTE] = ACTIONS(3000),
    [anon_sym_DQUOTE] = ACTIONS(3000),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [anon_sym_NULL] = ACTIONS(2998),
    [anon_sym_nullptr] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_try] = ACTIONS(2998),
    [anon_sym_delete] = ACTIONS(2998),
    [anon_sym_throw] = ACTIONS(2998),
    [anon_sym_namespace] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
    [anon_sym_concept] = ACTIONS(2998),
    [anon_sym_co_return] = ACTIONS(2998),
    [anon_sym_co_yield] = ACTIONS(2998),
    [anon_sym_R_DQUOTE] = ACTIONS(3000),
    [anon_sym_LR_DQUOTE] = ACTIONS(3000),
    [anon_sym_uR_DQUOTE] = ACTIONS(3000),
    [anon_sym_UR_DQUOTE] = ACTIONS(3000),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3000),
    [anon_sym_co_await] = ACTIONS(2998),
    [anon_sym_new] = ACTIONS(2998),
    [anon_sym_requires] = ACTIONS(2998),
    [sym_this] = ACTIONS(2998),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_include_token1] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym___cdecl] = ACTIONS(3094),
    [anon_sym___clrcall] = ACTIONS(3094),
    [anon_sym___stdcall] = ACTIONS(3094),
    [anon_sym___fastcall] = ACTIONS(3094),
    [anon_sym___thiscall] = ACTIONS(3094),
    [anon_sym___vectorcall] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_goto] = ACTIONS(3094),
    [anon_sym_not] = ACTIONS(3094),
    [anon_sym_compl] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_sizeof] = ACTIONS(3094),
    [anon_sym___alignof__] = ACTIONS(3094),
    [anon_sym___alignof] = ACTIONS(3094),
    [anon_sym__alignof] = ACTIONS(3094),
    [anon_sym_alignof] = ACTIONS(3094),
    [anon_sym__Alignof] = ACTIONS(3094),
    [anon_sym_offsetof] = ACTIONS(3094),
    [anon_sym__Generic] = ACTIONS(3094),
    [anon_sym_asm] = ACTIONS(3094),
    [anon_sym___asm__] = ACTIONS(3094),
    [anon_sym___asm] = ACTIONS(3094),
    [aux_sym_number_literal_token1] = ACTIONS(3096),
    [aux_sym_number_literal_token2] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3096),
    [anon_sym_u_SQUOTE] = ACTIONS(3096),
    [anon_sym_U_SQUOTE] = ACTIONS(3096),
    [anon_sym_u8_SQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [anon_sym_L_DQUOTE] = ACTIONS(3096),
    [anon_sym_u_DQUOTE] = ACTIONS(3096),
    [anon_sym_U_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8_DQUOTE] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3096),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_NULL] = ACTIONS(3094),
    [anon_sym_nullptr] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_delete] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_namespace] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
    [anon_sym_concept] = ACTIONS(3094),
    [anon_sym_co_return] = ACTIONS(3094),
    [anon_sym_co_yield] = ACTIONS(3094),
    [anon_sym_R_DQUOTE] = ACTIONS(3096),
    [anon_sym_LR_DQUOTE] = ACTIONS(3096),
    [anon_sym_uR_DQUOTE] = ACTIONS(3096),
    [anon_sym_UR_DQUOTE] = ACTIONS(3096),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3096),
    [anon_sym_co_await] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_requires] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2988),
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_include_token1] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_BANG] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym___cdecl] = ACTIONS(2986),
    [anon_sym___clrcall] = ACTIONS(2986),
    [anon_sym___stdcall] = ACTIONS(2986),
    [anon_sym___fastcall] = ACTIONS(2986),
    [anon_sym___thiscall] = ACTIONS(2986),
    [anon_sym___vectorcall] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_switch] = ACTIONS(2986),
    [anon_sym_case] = ACTIONS(2986),
    [anon_sym_default] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_for] = ACTIONS(2986),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_break] = ACTIONS(2986),
    [anon_sym_continue] = ACTIONS(2986),
    [anon_sym_goto] = ACTIONS(2986),
    [anon_sym_not] = ACTIONS(2986),
    [anon_sym_compl] = ACTIONS(2986),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_sizeof] = ACTIONS(2986),
    [anon_sym___alignof__] = ACTIONS(2986),
    [anon_sym___alignof] = ACTIONS(2986),
    [anon_sym__alignof] = ACTIONS(2986),
    [anon_sym_alignof] = ACTIONS(2986),
    [anon_sym__Alignof] = ACTIONS(2986),
    [anon_sym_offsetof] = ACTIONS(2986),
    [anon_sym__Generic] = ACTIONS(2986),
    [anon_sym_asm] = ACTIONS(2986),
    [anon_sym___asm__] = ACTIONS(2986),
    [anon_sym___asm] = ACTIONS(2986),
    [aux_sym_number_literal_token1] = ACTIONS(2988),
    [aux_sym_number_literal_token2] = ACTIONS(2986),
    [anon_sym_L_SQUOTE] = ACTIONS(2988),
    [anon_sym_u_SQUOTE] = ACTIONS(2988),
    [anon_sym_U_SQUOTE] = ACTIONS(2988),
    [anon_sym_u8_SQUOTE] = ACTIONS(2988),
    [anon_sym_SQUOTE] = ACTIONS(2988),
    [anon_sym_L_DQUOTE] = ACTIONS(2988),
    [anon_sym_u_DQUOTE] = ACTIONS(2988),
    [anon_sym_U_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8_DQUOTE] = ACTIONS(2988),
    [anon_sym_DQUOTE] = ACTIONS(2988),
    [sym_true] = ACTIONS(2986),
    [sym_false] = ACTIONS(2986),
    [anon_sym_NULL] = ACTIONS(2986),
    [anon_sym_nullptr] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_try] = ACTIONS(2986),
    [anon_sym_delete] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2986),
    [anon_sym_namespace] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
    [anon_sym_concept] = ACTIONS(2986),
    [anon_sym_co_return] = ACTIONS(2986),
    [anon_sym_co_yield] = ACTIONS(2986),
    [anon_sym_R_DQUOTE] = ACTIONS(2988),
    [anon_sym_LR_DQUOTE] = ACTIONS(2988),
    [anon_sym_uR_DQUOTE] = ACTIONS(2988),
    [anon_sym_UR_DQUOTE] = ACTIONS(2988),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2988),
    [anon_sym_co_await] = ACTIONS(2986),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_requires] = ACTIONS(2986),
    [sym_this] = ACTIONS(2986),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(3187),
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym___attribute] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym__Nonnull] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [anon_sym_PROGMEM] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym__Alignas] = ACTIONS(3185),
    [aux_sym_primitive_type_token1] = ACTIONS(3185),
    [anon_sym_byte] = ACTIONS(3185),
    [anon_sym_word] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [anon_sym___asm] = ACTIONS(3185),
    [aux_sym_number_literal_token1] = ACTIONS(3187),
    [aux_sym_number_literal_token2] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2974),
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_include_token1] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2972),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym___cdecl] = ACTIONS(2972),
    [anon_sym___clrcall] = ACTIONS(2972),
    [anon_sym___stdcall] = ACTIONS(2972),
    [anon_sym___fastcall] = ACTIONS(2972),
    [anon_sym___thiscall] = ACTIONS(2972),
    [anon_sym___vectorcall] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2972),
    [anon_sym_switch] = ACTIONS(2972),
    [anon_sym_case] = ACTIONS(2972),
    [anon_sym_default] = ACTIONS(2972),
    [anon_sym_while] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2972),
    [anon_sym_for] = ACTIONS(2972),
    [anon_sym_return] = ACTIONS(2972),
    [anon_sym_break] = ACTIONS(2972),
    [anon_sym_continue] = ACTIONS(2972),
    [anon_sym_goto] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2972),
    [anon_sym_compl] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_sizeof] = ACTIONS(2972),
    [anon_sym___alignof__] = ACTIONS(2972),
    [anon_sym___alignof] = ACTIONS(2972),
    [anon_sym__alignof] = ACTIONS(2972),
    [anon_sym_alignof] = ACTIONS(2972),
    [anon_sym__Alignof] = ACTIONS(2972),
    [anon_sym_offsetof] = ACTIONS(2972),
    [anon_sym__Generic] = ACTIONS(2972),
    [anon_sym_asm] = ACTIONS(2972),
    [anon_sym___asm__] = ACTIONS(2972),
    [anon_sym___asm] = ACTIONS(2972),
    [aux_sym_number_literal_token1] = ACTIONS(2974),
    [aux_sym_number_literal_token2] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2974),
    [anon_sym_u_SQUOTE] = ACTIONS(2974),
    [anon_sym_U_SQUOTE] = ACTIONS(2974),
    [anon_sym_u8_SQUOTE] = ACTIONS(2974),
    [anon_sym_SQUOTE] = ACTIONS(2974),
    [anon_sym_L_DQUOTE] = ACTIONS(2974),
    [anon_sym_u_DQUOTE] = ACTIONS(2974),
    [anon_sym_U_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8_DQUOTE] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(2974),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [anon_sym_NULL] = ACTIONS(2972),
    [anon_sym_nullptr] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_try] = ACTIONS(2972),
    [anon_sym_delete] = ACTIONS(2972),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_namespace] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
    [anon_sym_concept] = ACTIONS(2972),
    [anon_sym_co_return] = ACTIONS(2972),
    [anon_sym_co_yield] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2974),
    [anon_sym_LR_DQUOTE] = ACTIONS(2974),
    [anon_sym_uR_DQUOTE] = ACTIONS(2974),
    [anon_sym_UR_DQUOTE] = ACTIONS(2974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2974),
    [anon_sym_co_await] = ACTIONS(2972),
    [anon_sym_new] = ACTIONS(2972),
    [anon_sym_requires] = ACTIONS(2972),
    [sym_this] = ACTIONS(2972),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(3082),
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [anon_sym___asm] = ACTIONS(3080),
    [aux_sym_number_literal_token1] = ACTIONS(3082),
    [aux_sym_number_literal_token2] = ACTIONS(3080),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(3112),
    [sym_identifier] = ACTIONS(3110),
    [aux_sym_preproc_include_token1] = ACTIONS(3110),
    [aux_sym_preproc_def_token1] = ACTIONS(3110),
    [aux_sym_preproc_if_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3110),
    [sym_preproc_directive] = ACTIONS(3110),
    [anon_sym_LPAREN2] = ACTIONS(3112),
    [anon_sym_BANG] = ACTIONS(3112),
    [anon_sym_TILDE] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3110),
    [anon_sym_typedef] = ACTIONS(3110),
    [anon_sym_virtual] = ACTIONS(3110),
    [anon_sym_extern] = ACTIONS(3110),
    [anon_sym___attribute__] = ACTIONS(3110),
    [anon_sym___attribute] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3112),
    [anon_sym___declspec] = ACTIONS(3110),
    [anon_sym___based] = ACTIONS(3110),
    [anon_sym___cdecl] = ACTIONS(3110),
    [anon_sym___clrcall] = ACTIONS(3110),
    [anon_sym___stdcall] = ACTIONS(3110),
    [anon_sym___fastcall] = ACTIONS(3110),
    [anon_sym___thiscall] = ACTIONS(3110),
    [anon_sym___vectorcall] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_signed] = ACTIONS(3110),
    [anon_sym_unsigned] = ACTIONS(3110),
    [anon_sym_long] = ACTIONS(3110),
    [anon_sym_short] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_static] = ACTIONS(3110),
    [anon_sym_register] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym___inline] = ACTIONS(3110),
    [anon_sym___inline__] = ACTIONS(3110),
    [anon_sym___forceinline] = ACTIONS(3110),
    [anon_sym_thread_local] = ACTIONS(3110),
    [anon_sym___thread] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_constexpr] = ACTIONS(3110),
    [anon_sym_volatile] = ACTIONS(3110),
    [anon_sym_restrict] = ACTIONS(3110),
    [anon_sym___restrict__] = ACTIONS(3110),
    [anon_sym__Atomic] = ACTIONS(3110),
    [anon_sym__Noreturn] = ACTIONS(3110),
    [anon_sym_noreturn] = ACTIONS(3110),
    [anon_sym__Nonnull] = ACTIONS(3110),
    [anon_sym_mutable] = ACTIONS(3110),
    [anon_sym_constinit] = ACTIONS(3110),
    [anon_sym_consteval] = ACTIONS(3110),
    [anon_sym_PROGMEM] = ACTIONS(3110),
    [anon_sym_alignas] = ACTIONS(3110),
    [anon_sym__Alignas] = ACTIONS(3110),
    [aux_sym_primitive_type_token1] = ACTIONS(3110),
    [anon_sym_byte] = ACTIONS(3110),
    [anon_sym_word] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_class] = ACTIONS(3110),
    [anon_sym_struct] = ACTIONS(3110),
    [anon_sym_union] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_switch] = ACTIONS(3110),
    [anon_sym_case] = ACTIONS(3110),
    [anon_sym_default] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_do] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_break] = ACTIONS(3110),
    [anon_sym_continue] = ACTIONS(3110),
    [anon_sym_goto] = ACTIONS(3110),
    [anon_sym_not] = ACTIONS(3110),
    [anon_sym_compl] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_sizeof] = ACTIONS(3110),
    [anon_sym___alignof__] = ACTIONS(3110),
    [anon_sym___alignof] = ACTIONS(3110),
    [anon_sym__alignof] = ACTIONS(3110),
    [anon_sym_alignof] = ACTIONS(3110),
    [anon_sym__Alignof] = ACTIONS(3110),
    [anon_sym_offsetof] = ACTIONS(3110),
    [anon_sym__Generic] = ACTIONS(3110),
    [anon_sym_asm] = ACTIONS(3110),
    [anon_sym___asm__] = ACTIONS(3110),
    [anon_sym___asm] = ACTIONS(3110),
    [aux_sym_number_literal_token1] = ACTIONS(3112),
    [aux_sym_number_literal_token2] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3112),
    [anon_sym_u_SQUOTE] = ACTIONS(3112),
    [anon_sym_U_SQUOTE] = ACTIONS(3112),
    [anon_sym_u8_SQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [anon_sym_L_DQUOTE] = ACTIONS(3112),
    [anon_sym_u_DQUOTE] = ACTIONS(3112),
    [anon_sym_U_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8_DQUOTE] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3112),
    [sym_true] = ACTIONS(3110),
    [sym_false] = ACTIONS(3110),
    [anon_sym_NULL] = ACTIONS(3110),
    [anon_sym_nullptr] = ACTIONS(3110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3110),
    [anon_sym_decltype] = ACTIONS(3110),
    [anon_sym_explicit] = ACTIONS(3110),
    [anon_sym_typename] = ACTIONS(3110),
    [anon_sym_template] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_delete] = ACTIONS(3110),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_namespace] = ACTIONS(3110),
    [anon_sym_using] = ACTIONS(3110),
    [anon_sym_static_assert] = ACTIONS(3110),
    [anon_sym_concept] = ACTIONS(3110),
    [anon_sym_co_return] = ACTIONS(3110),
    [anon_sym_co_yield] = ACTIONS(3110),
    [anon_sym_R_DQUOTE] = ACTIONS(3112),
    [anon_sym_LR_DQUOTE] = ACTIONS(3112),
    [anon_sym_uR_DQUOTE] = ACTIONS(3112),
    [anon_sym_UR_DQUOTE] = ACTIONS(3112),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3112),
    [anon_sym_co_await] = ACTIONS(3110),
    [anon_sym_new] = ACTIONS(3110),
    [anon_sym_requires] = ACTIONS(3110),
    [sym_this] = ACTIONS(3110),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(3116),
    [sym_identifier] = ACTIONS(3114),
    [aux_sym_preproc_include_token1] = ACTIONS(3114),
    [aux_sym_preproc_def_token1] = ACTIONS(3114),
    [aux_sym_preproc_if_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3114),
    [sym_preproc_directive] = ACTIONS(3114),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_BANG] = ACTIONS(3116),
    [anon_sym_TILDE] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym___extension__] = ACTIONS(3114),
    [anon_sym_typedef] = ACTIONS(3114),
    [anon_sym_virtual] = ACTIONS(3114),
    [anon_sym_extern] = ACTIONS(3114),
    [anon_sym___attribute__] = ACTIONS(3114),
    [anon_sym___attribute] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3116),
    [anon_sym___declspec] = ACTIONS(3114),
    [anon_sym___based] = ACTIONS(3114),
    [anon_sym___cdecl] = ACTIONS(3114),
    [anon_sym___clrcall] = ACTIONS(3114),
    [anon_sym___stdcall] = ACTIONS(3114),
    [anon_sym___fastcall] = ACTIONS(3114),
    [anon_sym___thiscall] = ACTIONS(3114),
    [anon_sym___vectorcall] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_signed] = ACTIONS(3114),
    [anon_sym_unsigned] = ACTIONS(3114),
    [anon_sym_long] = ACTIONS(3114),
    [anon_sym_short] = ACTIONS(3114),
    [anon_sym_LBRACK] = ACTIONS(3114),
    [anon_sym_static] = ACTIONS(3114),
    [anon_sym_register] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym___inline] = ACTIONS(3114),
    [anon_sym___inline__] = ACTIONS(3114),
    [anon_sym___forceinline] = ACTIONS(3114),
    [anon_sym_thread_local] = ACTIONS(3114),
    [anon_sym___thread] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_constexpr] = ACTIONS(3114),
    [anon_sym_volatile] = ACTIONS(3114),
    [anon_sym_restrict] = ACTIONS(3114),
    [anon_sym___restrict__] = ACTIONS(3114),
    [anon_sym__Atomic] = ACTIONS(3114),
    [anon_sym__Noreturn] = ACTIONS(3114),
    [anon_sym_noreturn] = ACTIONS(3114),
    [anon_sym__Nonnull] = ACTIONS(3114),
    [anon_sym_mutable] = ACTIONS(3114),
    [anon_sym_constinit] = ACTIONS(3114),
    [anon_sym_consteval] = ACTIONS(3114),
    [anon_sym_PROGMEM] = ACTIONS(3114),
    [anon_sym_alignas] = ACTIONS(3114),
    [anon_sym__Alignas] = ACTIONS(3114),
    [aux_sym_primitive_type_token1] = ACTIONS(3114),
    [anon_sym_byte] = ACTIONS(3114),
    [anon_sym_word] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3114),
    [anon_sym_union] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_switch] = ACTIONS(3114),
    [anon_sym_case] = ACTIONS(3114),
    [anon_sym_default] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_do] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_break] = ACTIONS(3114),
    [anon_sym_continue] = ACTIONS(3114),
    [anon_sym_goto] = ACTIONS(3114),
    [anon_sym_not] = ACTIONS(3114),
    [anon_sym_compl] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_sizeof] = ACTIONS(3114),
    [anon_sym___alignof__] = ACTIONS(3114),
    [anon_sym___alignof] = ACTIONS(3114),
    [anon_sym__alignof] = ACTIONS(3114),
    [anon_sym_alignof] = ACTIONS(3114),
    [anon_sym__Alignof] = ACTIONS(3114),
    [anon_sym_offsetof] = ACTIONS(3114),
    [anon_sym__Generic] = ACTIONS(3114),
    [anon_sym_asm] = ACTIONS(3114),
    [anon_sym___asm__] = ACTIONS(3114),
    [anon_sym___asm] = ACTIONS(3114),
    [aux_sym_number_literal_token1] = ACTIONS(3116),
    [aux_sym_number_literal_token2] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3116),
    [anon_sym_u_SQUOTE] = ACTIONS(3116),
    [anon_sym_U_SQUOTE] = ACTIONS(3116),
    [anon_sym_u8_SQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [anon_sym_L_DQUOTE] = ACTIONS(3116),
    [anon_sym_u_DQUOTE] = ACTIONS(3116),
    [anon_sym_U_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8_DQUOTE] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3116),
    [sym_true] = ACTIONS(3114),
    [sym_false] = ACTIONS(3114),
    [anon_sym_NULL] = ACTIONS(3114),
    [anon_sym_nullptr] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3114),
    [anon_sym_decltype] = ACTIONS(3114),
    [anon_sym_explicit] = ACTIONS(3114),
    [anon_sym_typename] = ACTIONS(3114),
    [anon_sym_template] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(3114),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_namespace] = ACTIONS(3114),
    [anon_sym_using] = ACTIONS(3114),
    [anon_sym_static_assert] = ACTIONS(3114),
    [anon_sym_concept] = ACTIONS(3114),
    [anon_sym_co_return] = ACTIONS(3114),
    [anon_sym_co_yield] = ACTIONS(3114),
    [anon_sym_R_DQUOTE] = ACTIONS(3116),
    [anon_sym_LR_DQUOTE] = ACTIONS(3116),
    [anon_sym_uR_DQUOTE] = ACTIONS(3116),
    [anon_sym_UR_DQUOTE] = ACTIONS(3116),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3116),
    [anon_sym_co_await] = ACTIONS(3114),
    [anon_sym_new] = ACTIONS(3114),
    [anon_sym_requires] = ACTIONS(3114),
    [sym_this] = ACTIONS(3114),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2978),
    [sym_identifier] = ACTIONS(2976),
    [aux_sym_preproc_include_token1] = ACTIONS(2976),
    [aux_sym_preproc_def_token1] = ACTIONS(2976),
    [aux_sym_preproc_if_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2976),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2976),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2978),
    [anon_sym_TILDE] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym___extension__] = ACTIONS(2976),
    [anon_sym_typedef] = ACTIONS(2976),
    [anon_sym_virtual] = ACTIONS(2976),
    [anon_sym_extern] = ACTIONS(2976),
    [anon_sym___attribute__] = ACTIONS(2976),
    [anon_sym___attribute] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2978),
    [anon_sym___declspec] = ACTIONS(2976),
    [anon_sym___based] = ACTIONS(2976),
    [anon_sym___cdecl] = ACTIONS(2976),
    [anon_sym___clrcall] = ACTIONS(2976),
    [anon_sym___stdcall] = ACTIONS(2976),
    [anon_sym___fastcall] = ACTIONS(2976),
    [anon_sym___thiscall] = ACTIONS(2976),
    [anon_sym___vectorcall] = ACTIONS(2976),
    [anon_sym_LBRACE] = ACTIONS(2978),
    [anon_sym_signed] = ACTIONS(2976),
    [anon_sym_unsigned] = ACTIONS(2976),
    [anon_sym_long] = ACTIONS(2976),
    [anon_sym_short] = ACTIONS(2976),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_static] = ACTIONS(2976),
    [anon_sym_register] = ACTIONS(2976),
    [anon_sym_inline] = ACTIONS(2976),
    [anon_sym___inline] = ACTIONS(2976),
    [anon_sym___inline__] = ACTIONS(2976),
    [anon_sym___forceinline] = ACTIONS(2976),
    [anon_sym_thread_local] = ACTIONS(2976),
    [anon_sym___thread] = ACTIONS(2976),
    [anon_sym_const] = ACTIONS(2976),
    [anon_sym_constexpr] = ACTIONS(2976),
    [anon_sym_volatile] = ACTIONS(2976),
    [anon_sym_restrict] = ACTIONS(2976),
    [anon_sym___restrict__] = ACTIONS(2976),
    [anon_sym__Atomic] = ACTIONS(2976),
    [anon_sym__Noreturn] = ACTIONS(2976),
    [anon_sym_noreturn] = ACTIONS(2976),
    [anon_sym__Nonnull] = ACTIONS(2976),
    [anon_sym_mutable] = ACTIONS(2976),
    [anon_sym_constinit] = ACTIONS(2976),
    [anon_sym_consteval] = ACTIONS(2976),
    [anon_sym_PROGMEM] = ACTIONS(2976),
    [anon_sym_alignas] = ACTIONS(2976),
    [anon_sym__Alignas] = ACTIONS(2976),
    [aux_sym_primitive_type_token1] = ACTIONS(2976),
    [anon_sym_byte] = ACTIONS(2976),
    [anon_sym_word] = ACTIONS(2976),
    [anon_sym_enum] = ACTIONS(2976),
    [anon_sym_class] = ACTIONS(2976),
    [anon_sym_struct] = ACTIONS(2976),
    [anon_sym_union] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_switch] = ACTIONS(2976),
    [anon_sym_case] = ACTIONS(2976),
    [anon_sym_default] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_do] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2976),
    [anon_sym_return] = ACTIONS(2976),
    [anon_sym_break] = ACTIONS(2976),
    [anon_sym_continue] = ACTIONS(2976),
    [anon_sym_goto] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2976),
    [anon_sym_compl] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2978),
    [anon_sym_PLUS_PLUS] = ACTIONS(2978),
    [anon_sym_sizeof] = ACTIONS(2976),
    [anon_sym___alignof__] = ACTIONS(2976),
    [anon_sym___alignof] = ACTIONS(2976),
    [anon_sym__alignof] = ACTIONS(2976),
    [anon_sym_alignof] = ACTIONS(2976),
    [anon_sym__Alignof] = ACTIONS(2976),
    [anon_sym_offsetof] = ACTIONS(2976),
    [anon_sym__Generic] = ACTIONS(2976),
    [anon_sym_asm] = ACTIONS(2976),
    [anon_sym___asm__] = ACTIONS(2976),
    [anon_sym___asm] = ACTIONS(2976),
    [aux_sym_number_literal_token1] = ACTIONS(2978),
    [aux_sym_number_literal_token2] = ACTIONS(2976),
    [anon_sym_L_SQUOTE] = ACTIONS(2978),
    [anon_sym_u_SQUOTE] = ACTIONS(2978),
    [anon_sym_U_SQUOTE] = ACTIONS(2978),
    [anon_sym_u8_SQUOTE] = ACTIONS(2978),
    [anon_sym_SQUOTE] = ACTIONS(2978),
    [anon_sym_L_DQUOTE] = ACTIONS(2978),
    [anon_sym_u_DQUOTE] = ACTIONS(2978),
    [anon_sym_U_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8_DQUOTE] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(2978),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [anon_sym_NULL] = ACTIONS(2976),
    [anon_sym_nullptr] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2976),
    [anon_sym_decltype] = ACTIONS(2976),
    [anon_sym_explicit] = ACTIONS(2976),
    [anon_sym_typename] = ACTIONS(2976),
    [anon_sym_template] = ACTIONS(2976),
    [anon_sym_operator] = ACTIONS(2976),
    [anon_sym_try] = ACTIONS(2976),
    [anon_sym_delete] = ACTIONS(2976),
    [anon_sym_throw] = ACTIONS(2976),
    [anon_sym_namespace] = ACTIONS(2976),
    [anon_sym_using] = ACTIONS(2976),
    [anon_sym_static_assert] = ACTIONS(2976),
    [anon_sym_concept] = ACTIONS(2976),
    [anon_sym_co_return] = ACTIONS(2976),
    [anon_sym_co_yield] = ACTIONS(2976),
    [anon_sym_R_DQUOTE] = ACTIONS(2978),
    [anon_sym_LR_DQUOTE] = ACTIONS(2978),
    [anon_sym_uR_DQUOTE] = ACTIONS(2978),
    [anon_sym_UR_DQUOTE] = ACTIONS(2978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2978),
    [anon_sym_co_await] = ACTIONS(2976),
    [anon_sym_new] = ACTIONS(2976),
    [anon_sym_requires] = ACTIONS(2976),
    [sym_this] = ACTIONS(2976),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2961),
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [anon_sym___asm] = ACTIONS(2959),
    [aux_sym_number_literal_token1] = ACTIONS(2961),
    [aux_sym_number_literal_token2] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym___attribute] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym__Nonnull] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [anon_sym_PROGMEM] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym__Alignas] = ACTIONS(3189),
    [aux_sym_primitive_type_token1] = ACTIONS(3189),
    [anon_sym_byte] = ACTIONS(3189),
    [anon_sym_word] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [anon_sym___asm] = ACTIONS(3189),
    [aux_sym_number_literal_token1] = ACTIONS(3191),
    [aux_sym_number_literal_token2] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym___attribute] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym__Nonnull] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_PROGMEM] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [aux_sym_primitive_type_token1] = ACTIONS(2955),
    [anon_sym_byte] = ACTIONS(2955),
    [anon_sym_word] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [anon_sym___asm] = ACTIONS(2955),
    [aux_sym_number_literal_token1] = ACTIONS(2957),
    [aux_sym_number_literal_token2] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(3031),
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_include_token1] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3029),
    [anon_sym_PLUS] = ACTIONS(3029),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym___cdecl] = ACTIONS(3029),
    [anon_sym___clrcall] = ACTIONS(3029),
    [anon_sym___stdcall] = ACTIONS(3029),
    [anon_sym___fastcall] = ACTIONS(3029),
    [anon_sym___thiscall] = ACTIONS(3029),
    [anon_sym___vectorcall] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [anon_sym_if] = ACTIONS(3029),
    [anon_sym_switch] = ACTIONS(3029),
    [anon_sym_case] = ACTIONS(3029),
    [anon_sym_default] = ACTIONS(3029),
    [anon_sym_while] = ACTIONS(3029),
    [anon_sym_do] = ACTIONS(3029),
    [anon_sym_for] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3029),
    [anon_sym_break] = ACTIONS(3029),
    [anon_sym_continue] = ACTIONS(3029),
    [anon_sym_goto] = ACTIONS(3029),
    [anon_sym_not] = ACTIONS(3029),
    [anon_sym_compl] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3031),
    [anon_sym_PLUS_PLUS] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3029),
    [anon_sym___alignof__] = ACTIONS(3029),
    [anon_sym___alignof] = ACTIONS(3029),
    [anon_sym__alignof] = ACTIONS(3029),
    [anon_sym_alignof] = ACTIONS(3029),
    [anon_sym__Alignof] = ACTIONS(3029),
    [anon_sym_offsetof] = ACTIONS(3029),
    [anon_sym__Generic] = ACTIONS(3029),
    [anon_sym_asm] = ACTIONS(3029),
    [anon_sym___asm__] = ACTIONS(3029),
    [anon_sym___asm] = ACTIONS(3029),
    [aux_sym_number_literal_token1] = ACTIONS(3031),
    [aux_sym_number_literal_token2] = ACTIONS(3029),
    [anon_sym_L_SQUOTE] = ACTIONS(3031),
    [anon_sym_u_SQUOTE] = ACTIONS(3031),
    [anon_sym_U_SQUOTE] = ACTIONS(3031),
    [anon_sym_u8_SQUOTE] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3031),
    [anon_sym_L_DQUOTE] = ACTIONS(3031),
    [anon_sym_u_DQUOTE] = ACTIONS(3031),
    [anon_sym_U_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8_DQUOTE] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3031),
    [sym_true] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
    [anon_sym_NULL] = ACTIONS(3029),
    [anon_sym_nullptr] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_try] = ACTIONS(3029),
    [anon_sym_delete] = ACTIONS(3029),
    [anon_sym_throw] = ACTIONS(3029),
    [anon_sym_namespace] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
    [anon_sym_concept] = ACTIONS(3029),
    [anon_sym_co_return] = ACTIONS(3029),
    [anon_sym_co_yield] = ACTIONS(3029),
    [anon_sym_R_DQUOTE] = ACTIONS(3031),
    [anon_sym_LR_DQUOTE] = ACTIONS(3031),
    [anon_sym_uR_DQUOTE] = ACTIONS(3031),
    [anon_sym_UR_DQUOTE] = ACTIONS(3031),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3031),
    [anon_sym_co_await] = ACTIONS(3029),
    [anon_sym_new] = ACTIONS(3029),
    [anon_sym_requires] = ACTIONS(3029),
    [sym_this] = ACTIONS(3029),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2953),
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym___attribute] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym__Nonnull] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_PROGMEM] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [aux_sym_primitive_type_token1] = ACTIONS(2951),
    [anon_sym_byte] = ACTIONS(2951),
    [anon_sym_word] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [anon_sym___asm] = ACTIONS(2951),
    [aux_sym_number_literal_token1] = ACTIONS(2953),
    [aux_sym_number_literal_token2] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2949),
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym___attribute] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym__Nonnull] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_PROGMEM] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [aux_sym_primitive_type_token1] = ACTIONS(2947),
    [anon_sym_byte] = ACTIONS(2947),
    [anon_sym_word] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [anon_sym___asm] = ACTIONS(2947),
    [aux_sym_number_literal_token1] = ACTIONS(2949),
    [aux_sym_number_literal_token2] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3183),
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym___attribute] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym__Nonnull] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [anon_sym_PROGMEM] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym__Alignas] = ACTIONS(3181),
    [aux_sym_primitive_type_token1] = ACTIONS(3181),
    [anon_sym_byte] = ACTIONS(3181),
    [anon_sym_word] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [anon_sym___asm] = ACTIONS(3181),
    [aux_sym_number_literal_token1] = ACTIONS(3183),
    [aux_sym_number_literal_token2] = ACTIONS(3181),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3120),
    [sym_identifier] = ACTIONS(3118),
    [aux_sym_preproc_include_token1] = ACTIONS(3118),
    [aux_sym_preproc_def_token1] = ACTIONS(3118),
    [aux_sym_preproc_if_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3118),
    [sym_preproc_directive] = ACTIONS(3118),
    [anon_sym_LPAREN2] = ACTIONS(3120),
    [anon_sym_BANG] = ACTIONS(3120),
    [anon_sym_TILDE] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3118),
    [anon_sym_typedef] = ACTIONS(3118),
    [anon_sym_virtual] = ACTIONS(3118),
    [anon_sym_extern] = ACTIONS(3118),
    [anon_sym___attribute__] = ACTIONS(3118),
    [anon_sym___attribute] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3120),
    [anon_sym___declspec] = ACTIONS(3118),
    [anon_sym___based] = ACTIONS(3118),
    [anon_sym___cdecl] = ACTIONS(3118),
    [anon_sym___clrcall] = ACTIONS(3118),
    [anon_sym___stdcall] = ACTIONS(3118),
    [anon_sym___fastcall] = ACTIONS(3118),
    [anon_sym___thiscall] = ACTIONS(3118),
    [anon_sym___vectorcall] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3118),
    [anon_sym_unsigned] = ACTIONS(3118),
    [anon_sym_long] = ACTIONS(3118),
    [anon_sym_short] = ACTIONS(3118),
    [anon_sym_LBRACK] = ACTIONS(3118),
    [anon_sym_static] = ACTIONS(3118),
    [anon_sym_register] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym___inline] = ACTIONS(3118),
    [anon_sym___inline__] = ACTIONS(3118),
    [anon_sym___forceinline] = ACTIONS(3118),
    [anon_sym_thread_local] = ACTIONS(3118),
    [anon_sym___thread] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_constexpr] = ACTIONS(3118),
    [anon_sym_volatile] = ACTIONS(3118),
    [anon_sym_restrict] = ACTIONS(3118),
    [anon_sym___restrict__] = ACTIONS(3118),
    [anon_sym__Atomic] = ACTIONS(3118),
    [anon_sym__Noreturn] = ACTIONS(3118),
    [anon_sym_noreturn] = ACTIONS(3118),
    [anon_sym__Nonnull] = ACTIONS(3118),
    [anon_sym_mutable] = ACTIONS(3118),
    [anon_sym_constinit] = ACTIONS(3118),
    [anon_sym_consteval] = ACTIONS(3118),
    [anon_sym_PROGMEM] = ACTIONS(3118),
    [anon_sym_alignas] = ACTIONS(3118),
    [anon_sym__Alignas] = ACTIONS(3118),
    [aux_sym_primitive_type_token1] = ACTIONS(3118),
    [anon_sym_byte] = ACTIONS(3118),
    [anon_sym_word] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_class] = ACTIONS(3118),
    [anon_sym_struct] = ACTIONS(3118),
    [anon_sym_union] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_switch] = ACTIONS(3118),
    [anon_sym_case] = ACTIONS(3118),
    [anon_sym_default] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_do] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_break] = ACTIONS(3118),
    [anon_sym_continue] = ACTIONS(3118),
    [anon_sym_goto] = ACTIONS(3118),
    [anon_sym_not] = ACTIONS(3118),
    [anon_sym_compl] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_sizeof] = ACTIONS(3118),
    [anon_sym___alignof__] = ACTIONS(3118),
    [anon_sym___alignof] = ACTIONS(3118),
    [anon_sym__alignof] = ACTIONS(3118),
    [anon_sym_alignof] = ACTIONS(3118),
    [anon_sym__Alignof] = ACTIONS(3118),
    [anon_sym_offsetof] = ACTIONS(3118),
    [anon_sym__Generic] = ACTIONS(3118),
    [anon_sym_asm] = ACTIONS(3118),
    [anon_sym___asm__] = ACTIONS(3118),
    [anon_sym___asm] = ACTIONS(3118),
    [aux_sym_number_literal_token1] = ACTIONS(3120),
    [aux_sym_number_literal_token2] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3120),
    [anon_sym_u_SQUOTE] = ACTIONS(3120),
    [anon_sym_U_SQUOTE] = ACTIONS(3120),
    [anon_sym_u8_SQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [anon_sym_L_DQUOTE] = ACTIONS(3120),
    [anon_sym_u_DQUOTE] = ACTIONS(3120),
    [anon_sym_U_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8_DQUOTE] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3120),
    [sym_true] = ACTIONS(3118),
    [sym_false] = ACTIONS(3118),
    [anon_sym_NULL] = ACTIONS(3118),
    [anon_sym_nullptr] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3118),
    [anon_sym_decltype] = ACTIONS(3118),
    [anon_sym_explicit] = ACTIONS(3118),
    [anon_sym_typename] = ACTIONS(3118),
    [anon_sym_template] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_delete] = ACTIONS(3118),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_namespace] = ACTIONS(3118),
    [anon_sym_using] = ACTIONS(3118),
    [anon_sym_static_assert] = ACTIONS(3118),
    [anon_sym_concept] = ACTIONS(3118),
    [anon_sym_co_return] = ACTIONS(3118),
    [anon_sym_co_yield] = ACTIONS(3118),
    [anon_sym_R_DQUOTE] = ACTIONS(3120),
    [anon_sym_LR_DQUOTE] = ACTIONS(3120),
    [anon_sym_uR_DQUOTE] = ACTIONS(3120),
    [anon_sym_UR_DQUOTE] = ACTIONS(3120),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3120),
    [anon_sym_co_await] = ACTIONS(3118),
    [anon_sym_new] = ACTIONS(3118),
    [anon_sym_requires] = ACTIONS(3118),
    [sym_this] = ACTIONS(3118),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3203),
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym___attribute] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym__Nonnull] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [anon_sym_PROGMEM] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym__Alignas] = ACTIONS(3201),
    [aux_sym_primitive_type_token1] = ACTIONS(3201),
    [anon_sym_byte] = ACTIONS(3201),
    [anon_sym_word] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [anon_sym___asm] = ACTIONS(3201),
    [aux_sym_number_literal_token1] = ACTIONS(3203),
    [aux_sym_number_literal_token2] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(3124),
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [anon_sym___asm] = ACTIONS(3122),
    [aux_sym_number_literal_token1] = ACTIONS(3124),
    [aux_sym_number_literal_token2] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [anon_sym___asm] = ACTIONS(3126),
    [aux_sym_number_literal_token1] = ACTIONS(3128),
    [aux_sym_number_literal_token2] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym___attribute] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym__Nonnull] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_PROGMEM] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [aux_sym_primitive_type_token1] = ACTIONS(2943),
    [anon_sym_byte] = ACTIONS(2943),
    [anon_sym_word] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [anon_sym___asm] = ACTIONS(2943),
    [aux_sym_number_literal_token1] = ACTIONS(2945),
    [aux_sym_number_literal_token2] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2941),
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym___attribute] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym__Nonnull] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [anon_sym_PROGMEM] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym__Alignas] = ACTIONS(2939),
    [aux_sym_primitive_type_token1] = ACTIONS(2939),
    [anon_sym_byte] = ACTIONS(2939),
    [anon_sym_word] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [anon_sym___asm] = ACTIONS(2939),
    [aux_sym_number_literal_token1] = ACTIONS(2941),
    [aux_sym_number_literal_token2] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(3132),
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [anon_sym___asm] = ACTIONS(3130),
    [aux_sym_number_literal_token1] = ACTIONS(3132),
    [aux_sym_number_literal_token2] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [anon_sym___asm] = ACTIONS(2929),
    [aux_sym_number_literal_token1] = ACTIONS(2931),
    [aux_sym_number_literal_token2] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3104),
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym___attribute] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym__Nonnull] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [anon_sym_PROGMEM] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym__Alignas] = ACTIONS(3102),
    [aux_sym_primitive_type_token1] = ACTIONS(3102),
    [anon_sym_byte] = ACTIONS(3102),
    [anon_sym_word] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [anon_sym___asm] = ACTIONS(3102),
    [aux_sym_number_literal_token1] = ACTIONS(3104),
    [aux_sym_number_literal_token2] = ACTIONS(3102),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3500),
    [aux_sym_preproc_include_token1] = ACTIONS(3500),
    [aux_sym_preproc_def_token1] = ACTIONS(3500),
    [aux_sym_preproc_if_token1] = ACTIONS(3500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3500),
    [sym_preproc_directive] = ACTIONS(3500),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3500),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym___extension__] = ACTIONS(3500),
    [anon_sym_typedef] = ACTIONS(3500),
    [anon_sym_virtual] = ACTIONS(3500),
    [anon_sym_extern] = ACTIONS(3500),
    [anon_sym___attribute__] = ACTIONS(3500),
    [anon_sym___attribute] = ACTIONS(3500),
    [anon_sym_COLON_COLON] = ACTIONS(3497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3497),
    [anon_sym___declspec] = ACTIONS(3500),
    [anon_sym___based] = ACTIONS(3500),
    [anon_sym___cdecl] = ACTIONS(3500),
    [anon_sym___clrcall] = ACTIONS(3500),
    [anon_sym___stdcall] = ACTIONS(3500),
    [anon_sym___fastcall] = ACTIONS(3500),
    [anon_sym___thiscall] = ACTIONS(3500),
    [anon_sym___vectorcall] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_signed] = ACTIONS(3500),
    [anon_sym_unsigned] = ACTIONS(3500),
    [anon_sym_long] = ACTIONS(3500),
    [anon_sym_short] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(3500),
    [anon_sym_static] = ACTIONS(3500),
    [anon_sym_register] = ACTIONS(3500),
    [anon_sym_inline] = ACTIONS(3500),
    [anon_sym___inline] = ACTIONS(3500),
    [anon_sym___inline__] = ACTIONS(3500),
    [anon_sym___forceinline] = ACTIONS(3500),
    [anon_sym_thread_local] = ACTIONS(3500),
    [anon_sym___thread] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_constexpr] = ACTIONS(3500),
    [anon_sym_volatile] = ACTIONS(3500),
    [anon_sym_restrict] = ACTIONS(3500),
    [anon_sym___restrict__] = ACTIONS(3500),
    [anon_sym__Atomic] = ACTIONS(3500),
    [anon_sym__Noreturn] = ACTIONS(3500),
    [anon_sym_noreturn] = ACTIONS(3500),
    [anon_sym__Nonnull] = ACTIONS(3500),
    [anon_sym_mutable] = ACTIONS(3500),
    [anon_sym_constinit] = ACTIONS(3500),
    [anon_sym_consteval] = ACTIONS(3500),
    [anon_sym_PROGMEM] = ACTIONS(3500),
    [anon_sym_alignas] = ACTIONS(3500),
    [anon_sym__Alignas] = ACTIONS(3500),
    [aux_sym_primitive_type_token1] = ACTIONS(3500),
    [anon_sym_byte] = ACTIONS(3500),
    [anon_sym_word] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [anon_sym_class] = ACTIONS(3500),
    [anon_sym_struct] = ACTIONS(3500),
    [anon_sym_union] = ACTIONS(3500),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_switch] = ACTIONS(3500),
    [anon_sym_case] = ACTIONS(3500),
    [anon_sym_default] = ACTIONS(3500),
    [anon_sym_while] = ACTIONS(3500),
    [anon_sym_do] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_goto] = ACTIONS(3500),
    [anon_sym_not] = ACTIONS(3500),
    [anon_sym_compl] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_sizeof] = ACTIONS(3500),
    [anon_sym___alignof__] = ACTIONS(3500),
    [anon_sym___alignof] = ACTIONS(3500),
    [anon_sym__alignof] = ACTIONS(3500),
    [anon_sym_alignof] = ACTIONS(3500),
    [anon_sym__Alignof] = ACTIONS(3500),
    [anon_sym_offsetof] = ACTIONS(3500),
    [anon_sym__Generic] = ACTIONS(3500),
    [anon_sym_asm] = ACTIONS(3500),
    [anon_sym___asm__] = ACTIONS(3500),
    [anon_sym___asm] = ACTIONS(3500),
    [aux_sym_number_literal_token1] = ACTIONS(3497),
    [aux_sym_number_literal_token2] = ACTIONS(3500),
    [anon_sym_L_SQUOTE] = ACTIONS(3497),
    [anon_sym_u_SQUOTE] = ACTIONS(3497),
    [anon_sym_U_SQUOTE] = ACTIONS(3497),
    [anon_sym_u8_SQUOTE] = ACTIONS(3497),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [anon_sym_L_DQUOTE] = ACTIONS(3497),
    [anon_sym_u_DQUOTE] = ACTIONS(3497),
    [anon_sym_U_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8_DQUOTE] = ACTIONS(3497),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [anon_sym_NULL] = ACTIONS(3500),
    [anon_sym_nullptr] = ACTIONS(3500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3500),
    [anon_sym_decltype] = ACTIONS(3500),
    [anon_sym_explicit] = ACTIONS(3500),
    [anon_sym_typename] = ACTIONS(3500),
    [anon_sym_template] = ACTIONS(3500),
    [anon_sym_operator] = ACTIONS(3500),
    [anon_sym_try] = ACTIONS(3500),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_throw] = ACTIONS(3500),
    [anon_sym_namespace] = ACTIONS(3500),
    [anon_sym_using] = ACTIONS(3500),
    [anon_sym_static_assert] = ACTIONS(3500),
    [anon_sym_concept] = ACTIONS(3500),
    [anon_sym_co_return] = ACTIONS(3500),
    [anon_sym_co_yield] = ACTIONS(3500),
    [anon_sym_R_DQUOTE] = ACTIONS(3497),
    [anon_sym_LR_DQUOTE] = ACTIONS(3497),
    [anon_sym_uR_DQUOTE] = ACTIONS(3497),
    [anon_sym_UR_DQUOTE] = ACTIONS(3497),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3497),
    [anon_sym_co_await] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(3500),
    [anon_sym_requires] = ACTIONS(3500),
    [sym_this] = ACTIONS(3500),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(3020),
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_include_token1] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym___cdecl] = ACTIONS(3018),
    [anon_sym___clrcall] = ACTIONS(3018),
    [anon_sym___stdcall] = ACTIONS(3018),
    [anon_sym___fastcall] = ACTIONS(3018),
    [anon_sym___thiscall] = ACTIONS(3018),
    [anon_sym___vectorcall] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_switch] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_default] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_do] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_continue] = ACTIONS(3018),
    [anon_sym_goto] = ACTIONS(3018),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_compl] = ACTIONS(3018),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_sizeof] = ACTIONS(3018),
    [anon_sym___alignof__] = ACTIONS(3018),
    [anon_sym___alignof] = ACTIONS(3018),
    [anon_sym__alignof] = ACTIONS(3018),
    [anon_sym_alignof] = ACTIONS(3018),
    [anon_sym__Alignof] = ACTIONS(3018),
    [anon_sym_offsetof] = ACTIONS(3018),
    [anon_sym__Generic] = ACTIONS(3018),
    [anon_sym_asm] = ACTIONS(3018),
    [anon_sym___asm__] = ACTIONS(3018),
    [anon_sym___asm] = ACTIONS(3018),
    [aux_sym_number_literal_token1] = ACTIONS(3020),
    [aux_sym_number_literal_token2] = ACTIONS(3018),
    [anon_sym_L_SQUOTE] = ACTIONS(3020),
    [anon_sym_u_SQUOTE] = ACTIONS(3020),
    [anon_sym_U_SQUOTE] = ACTIONS(3020),
    [anon_sym_u8_SQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [anon_sym_L_DQUOTE] = ACTIONS(3020),
    [anon_sym_u_DQUOTE] = ACTIONS(3020),
    [anon_sym_U_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8_DQUOTE] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3020),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [anon_sym_NULL] = ACTIONS(3018),
    [anon_sym_nullptr] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_delete] = ACTIONS(3018),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_namespace] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
    [anon_sym_concept] = ACTIONS(3018),
    [anon_sym_co_return] = ACTIONS(3018),
    [anon_sym_co_yield] = ACTIONS(3018),
    [anon_sym_R_DQUOTE] = ACTIONS(3020),
    [anon_sym_LR_DQUOTE] = ACTIONS(3020),
    [anon_sym_uR_DQUOTE] = ACTIONS(3020),
    [anon_sym_UR_DQUOTE] = ACTIONS(3020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3020),
    [anon_sym_co_await] = ACTIONS(3018),
    [anon_sym_new] = ACTIONS(3018),
    [anon_sym_requires] = ACTIONS(3018),
    [sym_this] = ACTIONS(3018),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [anon_sym___asm] = ACTIONS(3134),
    [aux_sym_number_literal_token1] = ACTIONS(3136),
    [aux_sym_number_literal_token2] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(3016),
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_include_token1] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym___cdecl] = ACTIONS(3014),
    [anon_sym___clrcall] = ACTIONS(3014),
    [anon_sym___stdcall] = ACTIONS(3014),
    [anon_sym___fastcall] = ACTIONS(3014),
    [anon_sym___thiscall] = ACTIONS(3014),
    [anon_sym___vectorcall] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_switch] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_default] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_do] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_continue] = ACTIONS(3014),
    [anon_sym_goto] = ACTIONS(3014),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_compl] = ACTIONS(3014),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_sizeof] = ACTIONS(3014),
    [anon_sym___alignof__] = ACTIONS(3014),
    [anon_sym___alignof] = ACTIONS(3014),
    [anon_sym__alignof] = ACTIONS(3014),
    [anon_sym_alignof] = ACTIONS(3014),
    [anon_sym__Alignof] = ACTIONS(3014),
    [anon_sym_offsetof] = ACTIONS(3014),
    [anon_sym__Generic] = ACTIONS(3014),
    [anon_sym_asm] = ACTIONS(3014),
    [anon_sym___asm__] = ACTIONS(3014),
    [anon_sym___asm] = ACTIONS(3014),
    [aux_sym_number_literal_token1] = ACTIONS(3016),
    [aux_sym_number_literal_token2] = ACTIONS(3014),
    [anon_sym_L_SQUOTE] = ACTIONS(3016),
    [anon_sym_u_SQUOTE] = ACTIONS(3016),
    [anon_sym_U_SQUOTE] = ACTIONS(3016),
    [anon_sym_u8_SQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [anon_sym_L_DQUOTE] = ACTIONS(3016),
    [anon_sym_u_DQUOTE] = ACTIONS(3016),
    [anon_sym_U_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8_DQUOTE] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3016),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [anon_sym_NULL] = ACTIONS(3014),
    [anon_sym_nullptr] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_delete] = ACTIONS(3014),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_namespace] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
    [anon_sym_concept] = ACTIONS(3014),
    [anon_sym_co_return] = ACTIONS(3014),
    [anon_sym_co_yield] = ACTIONS(3014),
    [anon_sym_R_DQUOTE] = ACTIONS(3016),
    [anon_sym_LR_DQUOTE] = ACTIONS(3016),
    [anon_sym_uR_DQUOTE] = ACTIONS(3016),
    [anon_sym_UR_DQUOTE] = ACTIONS(3016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3016),
    [anon_sym_co_await] = ACTIONS(3014),
    [anon_sym_new] = ACTIONS(3014),
    [anon_sym_requires] = ACTIONS(3014),
    [sym_this] = ACTIONS(3014),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(3008),
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_include_token1] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym___cdecl] = ACTIONS(3006),
    [anon_sym___clrcall] = ACTIONS(3006),
    [anon_sym___stdcall] = ACTIONS(3006),
    [anon_sym___fastcall] = ACTIONS(3006),
    [anon_sym___thiscall] = ACTIONS(3006),
    [anon_sym___vectorcall] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_switch] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_default] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_do] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_continue] = ACTIONS(3006),
    [anon_sym_goto] = ACTIONS(3006),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_compl] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_sizeof] = ACTIONS(3006),
    [anon_sym___alignof__] = ACTIONS(3006),
    [anon_sym___alignof] = ACTIONS(3006),
    [anon_sym__alignof] = ACTIONS(3006),
    [anon_sym_alignof] = ACTIONS(3006),
    [anon_sym__Alignof] = ACTIONS(3006),
    [anon_sym_offsetof] = ACTIONS(3006),
    [anon_sym__Generic] = ACTIONS(3006),
    [anon_sym_asm] = ACTIONS(3006),
    [anon_sym___asm__] = ACTIONS(3006),
    [anon_sym___asm] = ACTIONS(3006),
    [aux_sym_number_literal_token1] = ACTIONS(3008),
    [aux_sym_number_literal_token2] = ACTIONS(3006),
    [anon_sym_L_SQUOTE] = ACTIONS(3008),
    [anon_sym_u_SQUOTE] = ACTIONS(3008),
    [anon_sym_U_SQUOTE] = ACTIONS(3008),
    [anon_sym_u8_SQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [anon_sym_L_DQUOTE] = ACTIONS(3008),
    [anon_sym_u_DQUOTE] = ACTIONS(3008),
    [anon_sym_U_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8_DQUOTE] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [anon_sym_NULL] = ACTIONS(3006),
    [anon_sym_nullptr] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_try] = ACTIONS(3006),
    [anon_sym_delete] = ACTIONS(3006),
    [anon_sym_throw] = ACTIONS(3006),
    [anon_sym_namespace] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
    [anon_sym_concept] = ACTIONS(3006),
    [anon_sym_co_return] = ACTIONS(3006),
    [anon_sym_co_yield] = ACTIONS(3006),
    [anon_sym_R_DQUOTE] = ACTIONS(3008),
    [anon_sym_LR_DQUOTE] = ACTIONS(3008),
    [anon_sym_uR_DQUOTE] = ACTIONS(3008),
    [anon_sym_UR_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3008),
    [anon_sym_co_await] = ACTIONS(3006),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_requires] = ACTIONS(3006),
    [sym_this] = ACTIONS(3006),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2996),
    [sym_identifier] = ACTIONS(2994),
    [aux_sym_preproc_include_token1] = ACTIONS(2994),
    [aux_sym_preproc_def_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2994),
    [sym_preproc_directive] = ACTIONS(2994),
    [anon_sym_LPAREN2] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym___extension__] = ACTIONS(2994),
    [anon_sym_typedef] = ACTIONS(2994),
    [anon_sym_virtual] = ACTIONS(2994),
    [anon_sym_extern] = ACTIONS(2994),
    [anon_sym___attribute__] = ACTIONS(2994),
    [anon_sym___attribute] = ACTIONS(2994),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2996),
    [anon_sym___declspec] = ACTIONS(2994),
    [anon_sym___based] = ACTIONS(2994),
    [anon_sym___cdecl] = ACTIONS(2994),
    [anon_sym___clrcall] = ACTIONS(2994),
    [anon_sym___stdcall] = ACTIONS(2994),
    [anon_sym___fastcall] = ACTIONS(2994),
    [anon_sym___thiscall] = ACTIONS(2994),
    [anon_sym___vectorcall] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_signed] = ACTIONS(2994),
    [anon_sym_unsigned] = ACTIONS(2994),
    [anon_sym_long] = ACTIONS(2994),
    [anon_sym_short] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2994),
    [anon_sym_register] = ACTIONS(2994),
    [anon_sym_inline] = ACTIONS(2994),
    [anon_sym___inline] = ACTIONS(2994),
    [anon_sym___inline__] = ACTIONS(2994),
    [anon_sym___forceinline] = ACTIONS(2994),
    [anon_sym_thread_local] = ACTIONS(2994),
    [anon_sym___thread] = ACTIONS(2994),
    [anon_sym_const] = ACTIONS(2994),
    [anon_sym_constexpr] = ACTIONS(2994),
    [anon_sym_volatile] = ACTIONS(2994),
    [anon_sym_restrict] = ACTIONS(2994),
    [anon_sym___restrict__] = ACTIONS(2994),
    [anon_sym__Atomic] = ACTIONS(2994),
    [anon_sym__Noreturn] = ACTIONS(2994),
    [anon_sym_noreturn] = ACTIONS(2994),
    [anon_sym__Nonnull] = ACTIONS(2994),
    [anon_sym_mutable] = ACTIONS(2994),
    [anon_sym_constinit] = ACTIONS(2994),
    [anon_sym_consteval] = ACTIONS(2994),
    [anon_sym_PROGMEM] = ACTIONS(2994),
    [anon_sym_alignas] = ACTIONS(2994),
    [anon_sym__Alignas] = ACTIONS(2994),
    [aux_sym_primitive_type_token1] = ACTIONS(2994),
    [anon_sym_byte] = ACTIONS(2994),
    [anon_sym_word] = ACTIONS(2994),
    [anon_sym_enum] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_struct] = ACTIONS(2994),
    [anon_sym_union] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_switch] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_default] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_do] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_continue] = ACTIONS(2994),
    [anon_sym_goto] = ACTIONS(2994),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_compl] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_sizeof] = ACTIONS(2994),
    [anon_sym___alignof__] = ACTIONS(2994),
    [anon_sym___alignof] = ACTIONS(2994),
    [anon_sym__alignof] = ACTIONS(2994),
    [anon_sym_alignof] = ACTIONS(2994),
    [anon_sym__Alignof] = ACTIONS(2994),
    [anon_sym_offsetof] = ACTIONS(2994),
    [anon_sym__Generic] = ACTIONS(2994),
    [anon_sym_asm] = ACTIONS(2994),
    [anon_sym___asm__] = ACTIONS(2994),
    [anon_sym___asm] = ACTIONS(2994),
    [aux_sym_number_literal_token1] = ACTIONS(2996),
    [aux_sym_number_literal_token2] = ACTIONS(2994),
    [anon_sym_L_SQUOTE] = ACTIONS(2996),
    [anon_sym_u_SQUOTE] = ACTIONS(2996),
    [anon_sym_U_SQUOTE] = ACTIONS(2996),
    [anon_sym_u8_SQUOTE] = ACTIONS(2996),
    [anon_sym_SQUOTE] = ACTIONS(2996),
    [anon_sym_L_DQUOTE] = ACTIONS(2996),
    [anon_sym_u_DQUOTE] = ACTIONS(2996),
    [anon_sym_U_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8_DQUOTE] = ACTIONS(2996),
    [anon_sym_DQUOTE] = ACTIONS(2996),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [anon_sym_NULL] = ACTIONS(2994),
    [anon_sym_nullptr] = ACTIONS(2994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2994),
    [anon_sym_decltype] = ACTIONS(2994),
    [anon_sym_explicit] = ACTIONS(2994),
    [anon_sym_typename] = ACTIONS(2994),
    [anon_sym_template] = ACTIONS(2994),
    [anon_sym_operator] = ACTIONS(2994),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_delete] = ACTIONS(2994),
    [anon_sym_throw] = ACTIONS(2994),
    [anon_sym_namespace] = ACTIONS(2994),
    [anon_sym_using] = ACTIONS(2994),
    [anon_sym_static_assert] = ACTIONS(2994),
    [anon_sym_concept] = ACTIONS(2994),
    [anon_sym_co_return] = ACTIONS(2994),
    [anon_sym_co_yield] = ACTIONS(2994),
    [anon_sym_R_DQUOTE] = ACTIONS(2996),
    [anon_sym_LR_DQUOTE] = ACTIONS(2996),
    [anon_sym_uR_DQUOTE] = ACTIONS(2996),
    [anon_sym_UR_DQUOTE] = ACTIONS(2996),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2996),
    [anon_sym_co_await] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(2994),
    [anon_sym_requires] = ACTIONS(2994),
    [sym_this] = ACTIONS(2994),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [anon_sym___asm] = ACTIONS(3146),
    [aux_sym_number_literal_token1] = ACTIONS(3148),
    [aux_sym_number_literal_token2] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2992),
    [sym_identifier] = ACTIONS(2990),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2990),
    [aux_sym_preproc_if_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2990),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2990),
    [sym_preproc_directive] = ACTIONS(2990),
    [anon_sym_LPAREN2] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_STAR] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2992),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym___extension__] = ACTIONS(2990),
    [anon_sym_typedef] = ACTIONS(2990),
    [anon_sym_virtual] = ACTIONS(2990),
    [anon_sym_extern] = ACTIONS(2990),
    [anon_sym___attribute__] = ACTIONS(2990),
    [anon_sym___attribute] = ACTIONS(2990),
    [anon_sym_COLON_COLON] = ACTIONS(2992),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2992),
    [anon_sym___declspec] = ACTIONS(2990),
    [anon_sym___based] = ACTIONS(2990),
    [anon_sym___cdecl] = ACTIONS(2990),
    [anon_sym___clrcall] = ACTIONS(2990),
    [anon_sym___stdcall] = ACTIONS(2990),
    [anon_sym___fastcall] = ACTIONS(2990),
    [anon_sym___thiscall] = ACTIONS(2990),
    [anon_sym___vectorcall] = ACTIONS(2990),
    [anon_sym_LBRACE] = ACTIONS(2992),
    [anon_sym_signed] = ACTIONS(2990),
    [anon_sym_unsigned] = ACTIONS(2990),
    [anon_sym_long] = ACTIONS(2990),
    [anon_sym_short] = ACTIONS(2990),
    [anon_sym_LBRACK] = ACTIONS(2990),
    [anon_sym_static] = ACTIONS(2990),
    [anon_sym_register] = ACTIONS(2990),
    [anon_sym_inline] = ACTIONS(2990),
    [anon_sym___inline] = ACTIONS(2990),
    [anon_sym___inline__] = ACTIONS(2990),
    [anon_sym___forceinline] = ACTIONS(2990),
    [anon_sym_thread_local] = ACTIONS(2990),
    [anon_sym___thread] = ACTIONS(2990),
    [anon_sym_const] = ACTIONS(2990),
    [anon_sym_constexpr] = ACTIONS(2990),
    [anon_sym_volatile] = ACTIONS(2990),
    [anon_sym_restrict] = ACTIONS(2990),
    [anon_sym___restrict__] = ACTIONS(2990),
    [anon_sym__Atomic] = ACTIONS(2990),
    [anon_sym__Noreturn] = ACTIONS(2990),
    [anon_sym_noreturn] = ACTIONS(2990),
    [anon_sym__Nonnull] = ACTIONS(2990),
    [anon_sym_mutable] = ACTIONS(2990),
    [anon_sym_constinit] = ACTIONS(2990),
    [anon_sym_consteval] = ACTIONS(2990),
    [anon_sym_PROGMEM] = ACTIONS(2990),
    [anon_sym_alignas] = ACTIONS(2990),
    [anon_sym__Alignas] = ACTIONS(2990),
    [aux_sym_primitive_type_token1] = ACTIONS(2990),
    [anon_sym_byte] = ACTIONS(2990),
    [anon_sym_word] = ACTIONS(2990),
    [anon_sym_enum] = ACTIONS(2990),
    [anon_sym_class] = ACTIONS(2990),
    [anon_sym_struct] = ACTIONS(2990),
    [anon_sym_union] = ACTIONS(2990),
    [anon_sym_if] = ACTIONS(2990),
    [anon_sym_switch] = ACTIONS(2990),
    [anon_sym_case] = ACTIONS(2990),
    [anon_sym_default] = ACTIONS(2990),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_do] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2990),
    [anon_sym_return] = ACTIONS(2990),
    [anon_sym_break] = ACTIONS(2990),
    [anon_sym_continue] = ACTIONS(2990),
    [anon_sym_goto] = ACTIONS(2990),
    [anon_sym_not] = ACTIONS(2990),
    [anon_sym_compl] = ACTIONS(2990),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_sizeof] = ACTIONS(2990),
    [anon_sym___alignof__] = ACTIONS(2990),
    [anon_sym___alignof] = ACTIONS(2990),
    [anon_sym__alignof] = ACTIONS(2990),
    [anon_sym_alignof] = ACTIONS(2990),
    [anon_sym__Alignof] = ACTIONS(2990),
    [anon_sym_offsetof] = ACTIONS(2990),
    [anon_sym__Generic] = ACTIONS(2990),
    [anon_sym_asm] = ACTIONS(2990),
    [anon_sym___asm__] = ACTIONS(2990),
    [anon_sym___asm] = ACTIONS(2990),
    [aux_sym_number_literal_token1] = ACTIONS(2992),
    [aux_sym_number_literal_token2] = ACTIONS(2990),
    [anon_sym_L_SQUOTE] = ACTIONS(2992),
    [anon_sym_u_SQUOTE] = ACTIONS(2992),
    [anon_sym_U_SQUOTE] = ACTIONS(2992),
    [anon_sym_u8_SQUOTE] = ACTIONS(2992),
    [anon_sym_SQUOTE] = ACTIONS(2992),
    [anon_sym_L_DQUOTE] = ACTIONS(2992),
    [anon_sym_u_DQUOTE] = ACTIONS(2992),
    [anon_sym_U_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8_DQUOTE] = ACTIONS(2992),
    [anon_sym_DQUOTE] = ACTIONS(2992),
    [sym_true] = ACTIONS(2990),
    [sym_false] = ACTIONS(2990),
    [anon_sym_NULL] = ACTIONS(2990),
    [anon_sym_nullptr] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2990),
    [anon_sym_decltype] = ACTIONS(2990),
    [anon_sym_explicit] = ACTIONS(2990),
    [anon_sym_typename] = ACTIONS(2990),
    [anon_sym_template] = ACTIONS(2990),
    [anon_sym_operator] = ACTIONS(2990),
    [anon_sym_try] = ACTIONS(2990),
    [anon_sym_delete] = ACTIONS(2990),
    [anon_sym_throw] = ACTIONS(2990),
    [anon_sym_namespace] = ACTIONS(2990),
    [anon_sym_using] = ACTIONS(2990),
    [anon_sym_static_assert] = ACTIONS(2990),
    [anon_sym_concept] = ACTIONS(2990),
    [anon_sym_co_return] = ACTIONS(2990),
    [anon_sym_co_yield] = ACTIONS(2990),
    [anon_sym_R_DQUOTE] = ACTIONS(2992),
    [anon_sym_LR_DQUOTE] = ACTIONS(2992),
    [anon_sym_uR_DQUOTE] = ACTIONS(2992),
    [anon_sym_UR_DQUOTE] = ACTIONS(2992),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2992),
    [anon_sym_co_await] = ACTIONS(2990),
    [anon_sym_new] = ACTIONS(2990),
    [anon_sym_requires] = ACTIONS(2990),
    [sym_this] = ACTIONS(2990),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(3140),
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [anon_sym___asm] = ACTIONS(3138),
    [aux_sym_number_literal_token1] = ACTIONS(3140),
    [aux_sym_number_literal_token2] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(3144),
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [anon_sym___asm] = ACTIONS(3142),
    [aux_sym_number_literal_token1] = ACTIONS(3144),
    [aux_sym_number_literal_token2] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3199),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym___attribute] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym__Nonnull] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [anon_sym_PROGMEM] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym__Alignas] = ACTIONS(3197),
    [aux_sym_primitive_type_token1] = ACTIONS(3197),
    [anon_sym_byte] = ACTIONS(3197),
    [anon_sym_word] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [anon_sym___asm] = ACTIONS(3197),
    [aux_sym_number_literal_token1] = ACTIONS(3199),
    [aux_sym_number_literal_token2] = ACTIONS(3197),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [anon_sym___asm] = ACTIONS(3076),
    [aux_sym_number_literal_token1] = ACTIONS(3078),
    [aux_sym_number_literal_token2] = ACTIONS(3076),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_include_token1] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym___cdecl] = ACTIONS(3173),
    [anon_sym___clrcall] = ACTIONS(3173),
    [anon_sym___stdcall] = ACTIONS(3173),
    [anon_sym___fastcall] = ACTIONS(3173),
    [anon_sym___thiscall] = ACTIONS(3173),
    [anon_sym___vectorcall] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym_not] = ACTIONS(3173),
    [anon_sym_compl] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym___alignof__] = ACTIONS(3173),
    [anon_sym___alignof] = ACTIONS(3173),
    [anon_sym__alignof] = ACTIONS(3173),
    [anon_sym_alignof] = ACTIONS(3173),
    [anon_sym__Alignof] = ACTIONS(3173),
    [anon_sym_offsetof] = ACTIONS(3173),
    [anon_sym__Generic] = ACTIONS(3173),
    [anon_sym_asm] = ACTIONS(3173),
    [anon_sym___asm__] = ACTIONS(3173),
    [anon_sym___asm] = ACTIONS(3173),
    [aux_sym_number_literal_token1] = ACTIONS(3175),
    [aux_sym_number_literal_token2] = ACTIONS(3173),
    [anon_sym_L_SQUOTE] = ACTIONS(3175),
    [anon_sym_u_SQUOTE] = ACTIONS(3175),
    [anon_sym_U_SQUOTE] = ACTIONS(3175),
    [anon_sym_u8_SQUOTE] = ACTIONS(3175),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [anon_sym_L_DQUOTE] = ACTIONS(3175),
    [anon_sym_u_DQUOTE] = ACTIONS(3175),
    [anon_sym_U_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8_DQUOTE] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [sym_true] = ACTIONS(3173),
    [sym_false] = ACTIONS(3173),
    [anon_sym_NULL] = ACTIONS(3173),
    [anon_sym_nullptr] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_delete] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
    [anon_sym_concept] = ACTIONS(3173),
    [anon_sym_co_return] = ACTIONS(3173),
    [anon_sym_co_yield] = ACTIONS(3173),
    [anon_sym_R_DQUOTE] = ACTIONS(3175),
    [anon_sym_LR_DQUOTE] = ACTIONS(3175),
    [anon_sym_uR_DQUOTE] = ACTIONS(3175),
    [anon_sym_UR_DQUOTE] = ACTIONS(3175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3175),
    [anon_sym_co_await] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_requires] = ACTIONS(3173),
    [sym_this] = ACTIONS(3173),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(3062),
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [aux_sym_number_literal_token1] = ACTIONS(3062),
    [aux_sym_number_literal_token2] = ACTIONS(3060),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [anon_sym___asm] = ACTIONS(3162),
    [aux_sym_number_literal_token1] = ACTIONS(3164),
    [aux_sym_number_literal_token2] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(3108),
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_include_token1] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_BANG] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym___cdecl] = ACTIONS(3106),
    [anon_sym___clrcall] = ACTIONS(3106),
    [anon_sym___stdcall] = ACTIONS(3106),
    [anon_sym___fastcall] = ACTIONS(3106),
    [anon_sym___thiscall] = ACTIONS(3106),
    [anon_sym___vectorcall] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_switch] = ACTIONS(3106),
    [anon_sym_case] = ACTIONS(3106),
    [anon_sym_default] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_do] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_break] = ACTIONS(3106),
    [anon_sym_continue] = ACTIONS(3106),
    [anon_sym_goto] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_compl] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_sizeof] = ACTIONS(3106),
    [anon_sym___alignof__] = ACTIONS(3106),
    [anon_sym___alignof] = ACTIONS(3106),
    [anon_sym__alignof] = ACTIONS(3106),
    [anon_sym_alignof] = ACTIONS(3106),
    [anon_sym__Alignof] = ACTIONS(3106),
    [anon_sym_offsetof] = ACTIONS(3106),
    [anon_sym__Generic] = ACTIONS(3106),
    [anon_sym_asm] = ACTIONS(3106),
    [anon_sym___asm__] = ACTIONS(3106),
    [anon_sym___asm] = ACTIONS(3106),
    [aux_sym_number_literal_token1] = ACTIONS(3108),
    [aux_sym_number_literal_token2] = ACTIONS(3106),
    [anon_sym_L_SQUOTE] = ACTIONS(3108),
    [anon_sym_u_SQUOTE] = ACTIONS(3108),
    [anon_sym_U_SQUOTE] = ACTIONS(3108),
    [anon_sym_u8_SQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [anon_sym_L_DQUOTE] = ACTIONS(3108),
    [anon_sym_u_DQUOTE] = ACTIONS(3108),
    [anon_sym_U_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8_DQUOTE] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3108),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [anon_sym_NULL] = ACTIONS(3106),
    [anon_sym_nullptr] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_namespace] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
    [anon_sym_concept] = ACTIONS(3106),
    [anon_sym_co_return] = ACTIONS(3106),
    [anon_sym_co_yield] = ACTIONS(3106),
    [anon_sym_R_DQUOTE] = ACTIONS(3108),
    [anon_sym_LR_DQUOTE] = ACTIONS(3108),
    [anon_sym_uR_DQUOTE] = ACTIONS(3108),
    [anon_sym_UR_DQUOTE] = ACTIONS(3108),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3108),
    [anon_sym_co_await] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_requires] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [anon_sym___asm] = ACTIONS(2933),
    [aux_sym_number_literal_token1] = ACTIONS(2935),
    [aux_sym_number_literal_token2] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(3160),
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [anon_sym___asm] = ACTIONS(3158),
    [aux_sym_number_literal_token1] = ACTIONS(3160),
    [aux_sym_number_literal_token2] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(3152),
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [anon_sym___asm] = ACTIONS(3150),
    [aux_sym_number_literal_token1] = ACTIONS(3152),
    [aux_sym_number_literal_token2] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [anon_sym___asm] = ACTIONS(3211),
    [aux_sym_number_literal_token1] = ACTIONS(3213),
    [aux_sym_number_literal_token2] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(3221),
    [sym_identifier] = ACTIONS(3219),
    [aux_sym_preproc_include_token1] = ACTIONS(3219),
    [aux_sym_preproc_def_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3219),
    [sym_preproc_directive] = ACTIONS(3219),
    [anon_sym_LPAREN2] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3221),
    [anon_sym_AMP_AMP] = ACTIONS(3221),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_virtual] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3219),
    [anon_sym___attribute__] = ACTIONS(3219),
    [anon_sym___attribute] = ACTIONS(3219),
    [anon_sym_COLON_COLON] = ACTIONS(3221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3221),
    [anon_sym___declspec] = ACTIONS(3219),
    [anon_sym___based] = ACTIONS(3219),
    [anon_sym___cdecl] = ACTIONS(3219),
    [anon_sym___clrcall] = ACTIONS(3219),
    [anon_sym___stdcall] = ACTIONS(3219),
    [anon_sym___fastcall] = ACTIONS(3219),
    [anon_sym___thiscall] = ACTIONS(3219),
    [anon_sym___vectorcall] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3219),
    [anon_sym_unsigned] = ACTIONS(3219),
    [anon_sym_long] = ACTIONS(3219),
    [anon_sym_short] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_register] = ACTIONS(3219),
    [anon_sym_inline] = ACTIONS(3219),
    [anon_sym___inline] = ACTIONS(3219),
    [anon_sym___inline__] = ACTIONS(3219),
    [anon_sym___forceinline] = ACTIONS(3219),
    [anon_sym_thread_local] = ACTIONS(3219),
    [anon_sym___thread] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_constexpr] = ACTIONS(3219),
    [anon_sym_volatile] = ACTIONS(3219),
    [anon_sym_restrict] = ACTIONS(3219),
    [anon_sym___restrict__] = ACTIONS(3219),
    [anon_sym__Atomic] = ACTIONS(3219),
    [anon_sym__Noreturn] = ACTIONS(3219),
    [anon_sym_noreturn] = ACTIONS(3219),
    [anon_sym__Nonnull] = ACTIONS(3219),
    [anon_sym_mutable] = ACTIONS(3219),
    [anon_sym_constinit] = ACTIONS(3219),
    [anon_sym_consteval] = ACTIONS(3219),
    [anon_sym_PROGMEM] = ACTIONS(3219),
    [anon_sym_alignas] = ACTIONS(3219),
    [anon_sym__Alignas] = ACTIONS(3219),
    [aux_sym_primitive_type_token1] = ACTIONS(3219),
    [anon_sym_byte] = ACTIONS(3219),
    [anon_sym_word] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_struct] = ACTIONS(3219),
    [anon_sym_union] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_goto] = ACTIONS(3219),
    [anon_sym_not] = ACTIONS(3219),
    [anon_sym_compl] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3219),
    [anon_sym___alignof__] = ACTIONS(3219),
    [anon_sym___alignof] = ACTIONS(3219),
    [anon_sym__alignof] = ACTIONS(3219),
    [anon_sym_alignof] = ACTIONS(3219),
    [anon_sym__Alignof] = ACTIONS(3219),
    [anon_sym_offsetof] = ACTIONS(3219),
    [anon_sym__Generic] = ACTIONS(3219),
    [anon_sym_asm] = ACTIONS(3219),
    [anon_sym___asm__] = ACTIONS(3219),
    [anon_sym___asm] = ACTIONS(3219),
    [aux_sym_number_literal_token1] = ACTIONS(3221),
    [aux_sym_number_literal_token2] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3221),
    [anon_sym_u_SQUOTE] = ACTIONS(3221),
    [anon_sym_U_SQUOTE] = ACTIONS(3221),
    [anon_sym_u8_SQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [anon_sym_L_DQUOTE] = ACTIONS(3221),
    [anon_sym_u_DQUOTE] = ACTIONS(3221),
    [anon_sym_U_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8_DQUOTE] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [anon_sym_NULL] = ACTIONS(3219),
    [anon_sym_nullptr] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3219),
    [anon_sym_decltype] = ACTIONS(3219),
    [anon_sym_explicit] = ACTIONS(3219),
    [anon_sym_typename] = ACTIONS(3219),
    [anon_sym_template] = ACTIONS(3219),
    [anon_sym_operator] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_static_assert] = ACTIONS(3219),
    [anon_sym_concept] = ACTIONS(3219),
    [anon_sym_co_return] = ACTIONS(3219),
    [anon_sym_co_yield] = ACTIONS(3219),
    [anon_sym_R_DQUOTE] = ACTIONS(3221),
    [anon_sym_LR_DQUOTE] = ACTIONS(3221),
    [anon_sym_uR_DQUOTE] = ACTIONS(3221),
    [anon_sym_UR_DQUOTE] = ACTIONS(3221),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3221),
    [anon_sym_co_await] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_requires] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
  },
  [758] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [759] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym___attribute__] = ACTIONS(1918),
    [anon_sym___attribute] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [760] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3545),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [761] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3557),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [762] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3559),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3561),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [763] = {
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_field_declaration_list] = STATE(763),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(763),
    [sym_type_definition] = STATE(763),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5630),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6208),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(763),
    [sym_field_declaration] = STATE(763),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(763),
    [sym_operator_cast] = STATE(6751),
    [sym_inline_method_definition] = STATE(763),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(763),
    [sym_operator_cast_declaration] = STATE(763),
    [sym_constructor_or_destructor_definition] = STATE(763),
    [sym_constructor_or_destructor_declaration] = STATE(763),
    [sym_friend_declaration] = STATE(763),
    [sym_access_specifier] = STATE(8554),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(763),
    [sym_alias_declaration] = STATE(763),
    [sym_static_assert_declaration] = STATE(763),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(763),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3563),
    [aux_sym_preproc_if_token1] = ACTIONS(3566),
    [aux_sym_preproc_if_token2] = ACTIONS(3346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3569),
    [sym_preproc_directive] = ACTIONS(3572),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym___extension__] = ACTIONS(3578),
    [anon_sym_typedef] = ACTIONS(3581),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3584),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3587),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3590),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3593),
    [anon_sym_static_assert] = ACTIONS(3596),
  },
  [764] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3599),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [765] = {
    [sym_preproc_def] = STATE(782),
    [sym_preproc_function_def] = STATE(782),
    [sym_preproc_call] = STATE(782),
    [sym_preproc_if_in_field_declaration_list] = STATE(782),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(782),
    [sym_type_definition] = STATE(782),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(782),
    [sym_field_declaration] = STATE(782),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(782),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(782),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(782),
    [sym_operator_cast_declaration] = STATE(782),
    [sym_constructor_or_destructor_definition] = STATE(782),
    [sym_constructor_or_destructor_declaration] = STATE(782),
    [sym_friend_declaration] = STATE(782),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(782),
    [sym_alias_declaration] = STATE(782),
    [sym_static_assert_declaration] = STATE(782),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(782),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3601),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3603),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [766] = {
    [sym_preproc_def] = STATE(776),
    [sym_preproc_function_def] = STATE(776),
    [sym_preproc_call] = STATE(776),
    [sym_preproc_if_in_field_declaration_list] = STATE(776),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(776),
    [sym_type_definition] = STATE(776),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(776),
    [sym_field_declaration] = STATE(776),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(776),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(776),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(776),
    [sym_operator_cast_declaration] = STATE(776),
    [sym_constructor_or_destructor_definition] = STATE(776),
    [sym_constructor_or_destructor_declaration] = STATE(776),
    [sym_friend_declaration] = STATE(776),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(776),
    [sym_alias_declaration] = STATE(776),
    [sym_static_assert_declaration] = STATE(776),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(776),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3605),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [767] = {
    [sym_preproc_def] = STATE(778),
    [sym_preproc_function_def] = STATE(778),
    [sym_preproc_call] = STATE(778),
    [sym_preproc_if_in_field_declaration_list] = STATE(778),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(778),
    [sym_type_definition] = STATE(778),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(778),
    [sym_field_declaration] = STATE(778),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(778),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(778),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(778),
    [sym_operator_cast_declaration] = STATE(778),
    [sym_constructor_or_destructor_definition] = STATE(778),
    [sym_constructor_or_destructor_declaration] = STATE(778),
    [sym_friend_declaration] = STATE(778),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(778),
    [sym_alias_declaration] = STATE(778),
    [sym_static_assert_declaration] = STATE(778),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(778),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3609),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3611),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [768] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3337),
    [aux_sym_preproc_def_token1] = ACTIONS(3613),
    [aux_sym_preproc_if_token1] = ACTIONS(3616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3619),
    [sym_preproc_directive] = ACTIONS(3622),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3360),
    [anon_sym_AMP_AMP] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3366),
    [anon_sym_SEMI] = ACTIONS(3625),
    [anon_sym___extension__] = ACTIONS(3628),
    [anon_sym_typedef] = ACTIONS(3631),
    [anon_sym_virtual] = ACTIONS(3378),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3384),
    [anon_sym___attribute] = ACTIONS(3384),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3390),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3396),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_signed] = ACTIONS(3399),
    [anon_sym_unsigned] = ACTIONS(3399),
    [anon_sym_long] = ACTIONS(3399),
    [anon_sym_short] = ACTIONS(3399),
    [anon_sym_LBRACK] = ACTIONS(3402),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym__Nonnull] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [anon_sym_PROGMEM] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3411),
    [anon_sym__Alignas] = ACTIONS(3411),
    [aux_sym_primitive_type_token1] = ACTIONS(3414),
    [anon_sym_byte] = ACTIONS(3414),
    [anon_sym_word] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(3417),
    [anon_sym_class] = ACTIONS(3420),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_union] = ACTIONS(3426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3432),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_typename] = ACTIONS(3438),
    [anon_sym_template] = ACTIONS(3639),
    [anon_sym_operator] = ACTIONS(3444),
    [anon_sym_friend] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3450),
    [anon_sym_private] = ACTIONS(3450),
    [anon_sym_protected] = ACTIONS(3450),
    [anon_sym_using] = ACTIONS(3645),
    [anon_sym_static_assert] = ACTIONS(3648),
  },
  [769] = {
    [sym_preproc_def] = STATE(783),
    [sym_preproc_function_def] = STATE(783),
    [sym_preproc_call] = STATE(783),
    [sym_preproc_if_in_field_declaration_list] = STATE(783),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(783),
    [sym_type_definition] = STATE(783),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5630),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6208),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(783),
    [sym_field_declaration] = STATE(783),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(783),
    [sym_operator_cast] = STATE(6751),
    [sym_inline_method_definition] = STATE(783),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(783),
    [sym_operator_cast_declaration] = STATE(783),
    [sym_constructor_or_destructor_definition] = STATE(783),
    [sym_constructor_or_destructor_declaration] = STATE(783),
    [sym_friend_declaration] = STATE(783),
    [sym_access_specifier] = STATE(8554),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(783),
    [sym_alias_declaration] = STATE(783),
    [sym_static_assert_declaration] = STATE(783),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(783),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3651),
    [aux_sym_preproc_if_token1] = ACTIONS(3653),
    [aux_sym_preproc_if_token2] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3657),
    [sym_preproc_directive] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(3663),
    [anon_sym_typedef] = ACTIONS(3665),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3667),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3669),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3671),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3673),
    [anon_sym_static_assert] = ACTIONS(3675),
  },
  [770] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3677),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [771] = {
    [sym_preproc_def] = STATE(773),
    [sym_preproc_function_def] = STATE(773),
    [sym_preproc_call] = STATE(773),
    [sym_preproc_if_in_field_declaration_list] = STATE(773),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(773),
    [sym_type_definition] = STATE(773),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(773),
    [sym_field_declaration] = STATE(773),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(773),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(773),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(773),
    [sym_operator_cast_declaration] = STATE(773),
    [sym_constructor_or_destructor_definition] = STATE(773),
    [sym_constructor_or_destructor_declaration] = STATE(773),
    [sym_friend_declaration] = STATE(773),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(773),
    [sym_alias_declaration] = STATE(773),
    [sym_static_assert_declaration] = STATE(773),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(773),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3679),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3681),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [772] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3683),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [773] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3685),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [774] = {
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_field_declaration_list] = STATE(761),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(761),
    [sym_type_definition] = STATE(761),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(761),
    [sym_field_declaration] = STATE(761),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(761),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(761),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(761),
    [sym_operator_cast_declaration] = STATE(761),
    [sym_constructor_or_destructor_definition] = STATE(761),
    [sym_constructor_or_destructor_declaration] = STATE(761),
    [sym_friend_declaration] = STATE(761),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(761),
    [sym_alias_declaration] = STATE(761),
    [sym_static_assert_declaration] = STATE(761),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(761),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3687),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3689),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [775] = {
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_field_declaration_list] = STATE(764),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(764),
    [sym_type_definition] = STATE(764),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(764),
    [sym_field_declaration] = STATE(764),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(764),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(764),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(764),
    [sym_operator_cast_declaration] = STATE(764),
    [sym_constructor_or_destructor_definition] = STATE(764),
    [sym_constructor_or_destructor_declaration] = STATE(764),
    [sym_friend_declaration] = STATE(764),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(764),
    [sym_alias_declaration] = STATE(764),
    [sym_static_assert_declaration] = STATE(764),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(764),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3691),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3693),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [776] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3695),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [777] = {
    [sym_preproc_def] = STATE(779),
    [sym_preproc_function_def] = STATE(779),
    [sym_preproc_call] = STATE(779),
    [sym_preproc_if_in_field_declaration_list] = STATE(779),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(779),
    [sym_type_definition] = STATE(779),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(779),
    [sym_field_declaration] = STATE(779),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(779),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(779),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(779),
    [sym_operator_cast_declaration] = STATE(779),
    [sym_constructor_or_destructor_definition] = STATE(779),
    [sym_constructor_or_destructor_declaration] = STATE(779),
    [sym_friend_declaration] = STATE(779),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(779),
    [sym_alias_declaration] = STATE(779),
    [sym_static_assert_declaration] = STATE(779),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(779),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3697),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3699),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [778] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3701),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [779] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3703),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [780] = {
    [sym_preproc_def] = STATE(760),
    [sym_preproc_function_def] = STATE(760),
    [sym_preproc_call] = STATE(760),
    [sym_preproc_if_in_field_declaration_list] = STATE(760),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(760),
    [sym_type_definition] = STATE(760),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(760),
    [sym_field_declaration] = STATE(760),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(760),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(760),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(760),
    [sym_operator_cast_declaration] = STATE(760),
    [sym_constructor_or_destructor_definition] = STATE(760),
    [sym_constructor_or_destructor_declaration] = STATE(760),
    [sym_friend_declaration] = STATE(760),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(760),
    [sym_alias_declaration] = STATE(760),
    [sym_static_assert_declaration] = STATE(760),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(760),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3705),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [781] = {
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_field_declaration_list] = STATE(772),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(772),
    [sym_type_definition] = STATE(772),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(772),
    [sym_field_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(772),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(772),
    [sym_alias_declaration] = STATE(772),
    [sym_static_assert_declaration] = STATE(772),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(772),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3709),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [782] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5629),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6722),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(8148),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3535),
    [sym_preproc_directive] = ACTIONS(3537),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3539),
    [anon_sym___extension__] = ACTIONS(3541),
    [anon_sym_typedef] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_RBRACE] = ACTIONS(3713),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3553),
    [anon_sym_static_assert] = ACTIONS(3555),
  },
  [783] = {
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_field_declaration_list] = STATE(763),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(763),
    [sym_type_definition] = STATE(763),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(5630),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6208),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__field_declaration_list_item] = STATE(763),
    [sym_field_declaration] = STATE(763),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(763),
    [sym_operator_cast] = STATE(6751),
    [sym_inline_method_definition] = STATE(763),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(763),
    [sym_operator_cast_declaration] = STATE(763),
    [sym_constructor_or_destructor_definition] = STATE(763),
    [sym_constructor_or_destructor_declaration] = STATE(763),
    [sym_friend_declaration] = STATE(763),
    [sym_access_specifier] = STATE(8554),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_using_declaration] = STATE(763),
    [sym_alias_declaration] = STATE(763),
    [sym_static_assert_declaration] = STATE(763),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5487),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5989),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(763),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1868),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3651),
    [aux_sym_preproc_if_token1] = ACTIONS(3653),
    [aux_sym_preproc_if_token2] = ACTIONS(3715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3657),
    [sym_preproc_directive] = ACTIONS(3659),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3717),
    [anon_sym___extension__] = ACTIONS(3663),
    [anon_sym_typedef] = ACTIONS(3665),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3667),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(3669),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3671),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3673),
    [anon_sym_static_assert] = ACTIONS(3675),
  },
  [784] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_RBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [785] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1920),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1920),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [786] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_initializer_list] = STATE(4774),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_COMMA] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1920),
    [anon_sym_PIPE_PIPE] = ACTIONS(1920),
    [anon_sym_AMP_AMP] = ACTIONS(1920),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_CARET] = ACTIONS(1920),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_EQ_EQ] = ACTIONS(1920),
    [anon_sym_BANG_EQ] = ACTIONS(1920),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_GT_EQ] = ACTIONS(1918),
    [anon_sym_LT_EQ] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_GT_GT] = ACTIONS(1918),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(1920),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_LT_EQ_GT] = ACTIONS(1920),
    [anon_sym_or] = ACTIONS(1918),
    [anon_sym_and] = ACTIONS(1918),
    [anon_sym_bitor] = ACTIONS(1918),
    [anon_sym_xor] = ACTIONS(1918),
    [anon_sym_bitand] = ACTIONS(1918),
    [anon_sym_not_eq] = ACTIONS(1918),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_DOT_STAR] = ACTIONS(1920),
    [anon_sym_DASH_GT] = ACTIONS(1920),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [787] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4709),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3759),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(3763),
    [anon_sym_PERCENT] = ACTIONS(3759),
    [anon_sym_PIPE_PIPE] = ACTIONS(3759),
    [anon_sym_AMP_AMP] = ACTIONS(3759),
    [anon_sym_PIPE] = ACTIONS(3763),
    [anon_sym_CARET] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(3759),
    [anon_sym_BANG_EQ] = ACTIONS(3759),
    [anon_sym_GT] = ACTIONS(3763),
    [anon_sym_GT_EQ] = ACTIONS(3759),
    [anon_sym_LT_EQ] = ACTIONS(3763),
    [anon_sym_LT] = ACTIONS(3763),
    [anon_sym_LT_LT] = ACTIONS(3759),
    [anon_sym_GT_GT] = ACTIONS(3759),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(3759),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_QMARK] = ACTIONS(3759),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_LT_EQ_GT] = ACTIONS(3759),
    [anon_sym_or] = ACTIONS(3763),
    [anon_sym_and] = ACTIONS(3763),
    [anon_sym_bitor] = ACTIONS(3763),
    [anon_sym_xor] = ACTIONS(3763),
    [anon_sym_bitand] = ACTIONS(3763),
    [anon_sym_not_eq] = ACTIONS(3763),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(3763),
    [anon_sym_DOT_STAR] = ACTIONS(3759),
    [anon_sym_DASH_GT] = ACTIONS(3759),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [788] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(2453),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2477),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [789] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3767),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3773),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [790] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3782),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [791] = {
    [sym__declaration_modifiers] = STATE(1875),
    [sym__declaration_specifiers] = STATE(6229),
    [sym_attribute_specifier] = STATE(1875),
    [sym_attribute_declaration] = STATE(1875),
    [sym_ms_declspec_modifier] = STATE(1875),
    [sym_storage_class_specifier] = STATE(1875),
    [sym_type_qualifier] = STATE(1875),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2970),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6544),
    [sym_qualified_type_identifier] = STATE(2674),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2391),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym_COMMA] = ACTIONS(3787),
    [anon_sym_BANG] = ACTIONS(3789),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_DASH] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(3789),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_SLASH] = ACTIONS(3789),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_PIPE_PIPE] = ACTIONS(3787),
    [anon_sym_AMP_AMP] = ACTIONS(3787),
    [anon_sym_PIPE] = ACTIONS(3789),
    [anon_sym_CARET] = ACTIONS(3789),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_EQ_EQ] = ACTIONS(3787),
    [anon_sym_BANG_EQ] = ACTIONS(3787),
    [anon_sym_GT] = ACTIONS(3789),
    [anon_sym_GT_EQ] = ACTIONS(3787),
    [anon_sym_LT_EQ] = ACTIONS(3789),
    [anon_sym_LT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3791),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3789),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [anon_sym_STAR_EQ] = ACTIONS(3787),
    [anon_sym_SLASH_EQ] = ACTIONS(3787),
    [anon_sym_PERCENT_EQ] = ACTIONS(3787),
    [anon_sym_PLUS_EQ] = ACTIONS(3787),
    [anon_sym_DASH_EQ] = ACTIONS(3787),
    [anon_sym_LT_LT_EQ] = ACTIONS(3787),
    [anon_sym_GT_GT_EQ] = ACTIONS(3787),
    [anon_sym_AMP_EQ] = ACTIONS(3787),
    [anon_sym_CARET_EQ] = ACTIONS(3787),
    [anon_sym_PIPE_EQ] = ACTIONS(3787),
    [anon_sym_and_eq] = ACTIONS(3789),
    [anon_sym_or_eq] = ACTIONS(3789),
    [anon_sym_xor_eq] = ACTIONS(3789),
    [anon_sym_not] = ACTIONS(3789),
    [anon_sym_compl] = ACTIONS(3789),
    [anon_sym_LT_EQ_GT] = ACTIONS(3787),
    [anon_sym_or] = ACTIONS(3789),
    [anon_sym_and] = ACTIONS(3789),
    [anon_sym_bitor] = ACTIONS(3789),
    [anon_sym_xor] = ACTIONS(3789),
    [anon_sym_bitand] = ACTIONS(3789),
    [anon_sym_not_eq] = ACTIONS(3789),
    [anon_sym_DASH_DASH] = ACTIONS(3787),
    [anon_sym_PLUS_PLUS] = ACTIONS(3787),
    [anon_sym_DASH_GT] = ACTIONS(3789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3807),
    [anon_sym_co_await] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(3807),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3787),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3787),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3787),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3809),
  },
  [792] = {
    [sym__declaration_modifiers] = STATE(1875),
    [sym__declaration_specifiers] = STATE(6229),
    [sym_attribute_specifier] = STATE(1875),
    [sym_attribute_declaration] = STATE(1875),
    [sym_ms_declspec_modifier] = STATE(1875),
    [sym_storage_class_specifier] = STATE(1875),
    [sym_type_qualifier] = STATE(1875),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4008),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2970),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6544),
    [sym_qualified_type_identifier] = STATE(2674),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1875),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2391),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3813),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3813),
    [anon_sym_SLASH] = ACTIONS(3813),
    [anon_sym_PERCENT] = ACTIONS(3813),
    [anon_sym_PIPE_PIPE] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_PIPE] = ACTIONS(3813),
    [anon_sym_CARET] = ACTIONS(3813),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_EQ_EQ] = ACTIONS(3811),
    [anon_sym_BANG_EQ] = ACTIONS(3811),
    [anon_sym_GT] = ACTIONS(3813),
    [anon_sym_GT_EQ] = ACTIONS(3811),
    [anon_sym_LT_EQ] = ACTIONS(3813),
    [anon_sym_LT] = ACTIONS(3813),
    [anon_sym_LT_LT] = ACTIONS(3813),
    [anon_sym_GT_GT] = ACTIONS(3813),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(3791),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_EQ] = ACTIONS(3813),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [anon_sym_STAR_EQ] = ACTIONS(3811),
    [anon_sym_SLASH_EQ] = ACTIONS(3811),
    [anon_sym_PERCENT_EQ] = ACTIONS(3811),
    [anon_sym_PLUS_EQ] = ACTIONS(3811),
    [anon_sym_DASH_EQ] = ACTIONS(3811),
    [anon_sym_LT_LT_EQ] = ACTIONS(3811),
    [anon_sym_GT_GT_EQ] = ACTIONS(3811),
    [anon_sym_AMP_EQ] = ACTIONS(3811),
    [anon_sym_CARET_EQ] = ACTIONS(3811),
    [anon_sym_PIPE_EQ] = ACTIONS(3811),
    [anon_sym_and_eq] = ACTIONS(3813),
    [anon_sym_or_eq] = ACTIONS(3813),
    [anon_sym_xor_eq] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_LT_EQ_GT] = ACTIONS(3811),
    [anon_sym_or] = ACTIONS(3813),
    [anon_sym_and] = ACTIONS(3813),
    [anon_sym_bitor] = ACTIONS(3813),
    [anon_sym_xor] = ACTIONS(3813),
    [anon_sym_bitand] = ACTIONS(3813),
    [anon_sym_not_eq] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_DASH_GT] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3815),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3811),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3811),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3811),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3817),
  },
  [793] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_COMMA] = ACTIONS(3821),
    [anon_sym_RPAREN] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(3819),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP_AMP] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym___based] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_signed] = ACTIONS(3819),
    [anon_sym_unsigned] = ACTIONS(3819),
    [anon_sym_long] = ACTIONS(3819),
    [anon_sym_short] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_EQ] = ACTIONS(3821),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [aux_sym_primitive_type_token1] = ACTIONS(3819),
    [anon_sym_byte] = ACTIONS(3819),
    [anon_sym_word] = ACTIONS(3819),
    [anon_sym_enum] = ACTIONS(3819),
    [anon_sym_class] = ACTIONS(3819),
    [anon_sym_struct] = ACTIONS(3819),
    [anon_sym_union] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(3819),
    [anon_sym_switch] = ACTIONS(3819),
    [anon_sym_case] = ACTIONS(3819),
    [anon_sym_default] = ACTIONS(3819),
    [anon_sym_while] = ACTIONS(3819),
    [anon_sym_do] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3819),
    [anon_sym_break] = ACTIONS(3819),
    [anon_sym_continue] = ACTIONS(3819),
    [anon_sym_goto] = ACTIONS(3819),
    [anon_sym___try] = ACTIONS(3819),
    [anon_sym___leave] = ACTIONS(3819),
    [anon_sym_not] = ACTIONS(3819),
    [anon_sym_compl] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_PLUS] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3819),
    [anon_sym___alignof__] = ACTIONS(3819),
    [anon_sym___alignof] = ACTIONS(3819),
    [anon_sym__alignof] = ACTIONS(3819),
    [anon_sym_alignof] = ACTIONS(3819),
    [anon_sym__Alignof] = ACTIONS(3819),
    [anon_sym_offsetof] = ACTIONS(3819),
    [anon_sym__Generic] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [aux_sym_number_literal_token1] = ACTIONS(3821),
    [aux_sym_number_literal_token2] = ACTIONS(3819),
    [anon_sym_L_SQUOTE] = ACTIONS(3821),
    [anon_sym_u_SQUOTE] = ACTIONS(3821),
    [anon_sym_U_SQUOTE] = ACTIONS(3821),
    [anon_sym_u8_SQUOTE] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3821),
    [anon_sym_L_DQUOTE] = ACTIONS(3821),
    [anon_sym_u_DQUOTE] = ACTIONS(3821),
    [anon_sym_U_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [sym_true] = ACTIONS(3819),
    [sym_false] = ACTIONS(3819),
    [anon_sym_NULL] = ACTIONS(3819),
    [anon_sym_nullptr] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3819),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_explicit] = ACTIONS(3819),
    [anon_sym_typename] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_GT2] = ACTIONS(3821),
    [anon_sym_operator] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_delete] = ACTIONS(3819),
    [anon_sym_throw] = ACTIONS(3819),
    [anon_sym_co_return] = ACTIONS(3819),
    [anon_sym_co_yield] = ACTIONS(3819),
    [anon_sym_R_DQUOTE] = ACTIONS(3821),
    [anon_sym_LR_DQUOTE] = ACTIONS(3821),
    [anon_sym_uR_DQUOTE] = ACTIONS(3821),
    [anon_sym_UR_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3821),
    [anon_sym_co_await] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
    [sym_this] = ACTIONS(3819),
  },
  [794] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_COMMA] = ACTIONS(3825),
    [anon_sym_RPAREN] = ACTIONS(3825),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(3823),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP_AMP] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym___based] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_signed] = ACTIONS(3823),
    [anon_sym_unsigned] = ACTIONS(3823),
    [anon_sym_long] = ACTIONS(3823),
    [anon_sym_short] = ACTIONS(3823),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_EQ] = ACTIONS(3825),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [aux_sym_primitive_type_token1] = ACTIONS(3823),
    [anon_sym_byte] = ACTIONS(3823),
    [anon_sym_word] = ACTIONS(3823),
    [anon_sym_enum] = ACTIONS(3823),
    [anon_sym_class] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3823),
    [anon_sym_union] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(3823),
    [anon_sym_case] = ACTIONS(3823),
    [anon_sym_default] = ACTIONS(3823),
    [anon_sym_while] = ACTIONS(3823),
    [anon_sym_do] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3823),
    [anon_sym_break] = ACTIONS(3823),
    [anon_sym_continue] = ACTIONS(3823),
    [anon_sym_goto] = ACTIONS(3823),
    [anon_sym___try] = ACTIONS(3823),
    [anon_sym___leave] = ACTIONS(3823),
    [anon_sym_not] = ACTIONS(3823),
    [anon_sym_compl] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_PLUS] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3823),
    [anon_sym___alignof__] = ACTIONS(3823),
    [anon_sym___alignof] = ACTIONS(3823),
    [anon_sym__alignof] = ACTIONS(3823),
    [anon_sym_alignof] = ACTIONS(3823),
    [anon_sym__Alignof] = ACTIONS(3823),
    [anon_sym_offsetof] = ACTIONS(3823),
    [anon_sym__Generic] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [aux_sym_number_literal_token1] = ACTIONS(3825),
    [aux_sym_number_literal_token2] = ACTIONS(3823),
    [anon_sym_L_SQUOTE] = ACTIONS(3825),
    [anon_sym_u_SQUOTE] = ACTIONS(3825),
    [anon_sym_U_SQUOTE] = ACTIONS(3825),
    [anon_sym_u8_SQUOTE] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3825),
    [anon_sym_L_DQUOTE] = ACTIONS(3825),
    [anon_sym_u_DQUOTE] = ACTIONS(3825),
    [anon_sym_U_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [sym_true] = ACTIONS(3823),
    [sym_false] = ACTIONS(3823),
    [anon_sym_NULL] = ACTIONS(3823),
    [anon_sym_nullptr] = ACTIONS(3823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3823),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_explicit] = ACTIONS(3823),
    [anon_sym_typename] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_GT2] = ACTIONS(3825),
    [anon_sym_operator] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_delete] = ACTIONS(3823),
    [anon_sym_throw] = ACTIONS(3823),
    [anon_sym_co_return] = ACTIONS(3823),
    [anon_sym_co_yield] = ACTIONS(3823),
    [anon_sym_R_DQUOTE] = ACTIONS(3825),
    [anon_sym_LR_DQUOTE] = ACTIONS(3825),
    [anon_sym_uR_DQUOTE] = ACTIONS(3825),
    [anon_sym_UR_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3825),
    [anon_sym_co_await] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
    [sym_this] = ACTIONS(3823),
  },
  [795] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4652),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3827),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [796] = {
    [sym_type_qualifier] = STATE(808),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4698),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3841),
    [anon_sym_RBRACK] = ACTIONS(3843),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [797] = {
    [sym_function_definition] = STATE(2012),
    [sym_declaration] = STATE(2012),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2698),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(2012),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(2012),
    [sym_operator_cast] = STATE(6722),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(2012),
    [sym_operator_cast_declaration] = STATE(2012),
    [sym_constructor_or_destructor_definition] = STATE(2012),
    [sym_constructor_or_destructor_declaration] = STATE(2012),
    [sym_friend_declaration] = STATE(2012),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(2012),
    [sym_concept_definition] = STATE(2012),
    [sym_requires_clause] = STATE(823),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_concept] = ACTIONS(3851),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [798] = {
    [sym_type_qualifier] = STATE(812),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4723),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(812),
    [sym_identifier] = ACTIONS(3855),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3857),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3859),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [799] = {
    [sym_function_definition] = STATE(385),
    [sym_declaration] = STATE(385),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6158),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1848),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1848),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(385),
    [sym_concept_definition] = STATE(385),
    [sym_requires_clause] = STATE(829),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1848),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3863),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3865),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3867),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_concept] = ACTIONS(331),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [800] = {
    [sym_type_qualifier] = STATE(813),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4659),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(813),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3871),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4737),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3877),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3879),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [802] = {
    [sym_function_definition] = STATE(2036),
    [sym_declaration] = STATE(2036),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4670),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1847),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6208),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(2036),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(2036),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(2036),
    [sym_operator_cast_declaration] = STATE(2036),
    [sym_constructor_or_destructor_definition] = STATE(2036),
    [sym_constructor_or_destructor_declaration] = STATE(2036),
    [sym_friend_declaration] = STATE(2036),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(2036),
    [sym_concept_definition] = STATE(2036),
    [sym_requires_clause] = STATE(828),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3667),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3669),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3671),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_concept] = ACTIONS(3883),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [803] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4684),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3887),
    [anon_sym_RBRACK] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [804] = {
    [sym_type_qualifier] = STATE(821),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4693),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(821),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3893),
    [anon_sym_RBRACK] = ACTIONS(3895),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [805] = {
    [sym_type_qualifier] = STATE(819),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4662),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(819),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3899),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [806] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4692),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3903),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [807] = {
    [sym_type_qualifier] = STATE(809),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4644),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(809),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3909),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [808] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4695),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3913),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [809] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4734),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3919),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [810] = {
    [sym_function_definition] = STATE(629),
    [sym_declaration] = STATE(629),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1846),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6127),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2686),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(629),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(629),
    [sym_operator_cast] = STATE(6741),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(629),
    [sym_operator_cast_declaration] = STATE(629),
    [sym_constructor_or_destructor_definition] = STATE(629),
    [sym_constructor_or_destructor_declaration] = STATE(629),
    [sym_friend_declaration] = STATE(629),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(629),
    [sym_concept_definition] = STATE(629),
    [sym_requires_clause] = STATE(827),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6741),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3921),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3923),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3927),
    [anon_sym_concept] = ACTIONS(727),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [811] = {
    [sym_type_qualifier] = STATE(817),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4654),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(817),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3929),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3931),
    [anon_sym_RBRACK] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [812] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4731),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [813] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4730),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3939),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [814] = {
    [sym_type_qualifier] = STATE(806),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4713),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(806),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3943),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3945),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [815] = {
    [sym_function_definition] = STATE(756),
    [sym_declaration] = STATE(756),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1838),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2699),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(756),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1835),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(756),
    [sym_operator_cast] = STATE(6719),
    [sym__constructor_specifiers] = STATE(1835),
    [sym_operator_cast_definition] = STATE(756),
    [sym_operator_cast_declaration] = STATE(756),
    [sym_constructor_or_destructor_definition] = STATE(756),
    [sym_constructor_or_destructor_declaration] = STATE(756),
    [sym_friend_declaration] = STATE(756),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(756),
    [sym_concept_definition] = STATE(756),
    [sym_requires_clause] = STATE(830),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6719),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1835),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3951),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3953),
    [anon_sym_using] = ACTIONS(3955),
    [anon_sym_concept] = ACTIONS(149),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [816] = {
    [sym_function_definition] = STATE(554),
    [sym_declaration] = STATE(554),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6198),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(554),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1833),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(554),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1833),
    [sym_operator_cast_definition] = STATE(554),
    [sym_operator_cast_declaration] = STATE(554),
    [sym_constructor_or_destructor_definition] = STATE(554),
    [sym_constructor_or_destructor_declaration] = STATE(554),
    [sym_friend_declaration] = STATE(554),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(554),
    [sym_concept_definition] = STATE(554),
    [sym_requires_clause] = STATE(826),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1833),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3957),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3959),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3961),
    [anon_sym_using] = ACTIONS(3963),
    [anon_sym_concept] = ACTIONS(235),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [817] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4746),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3965),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [818] = {
    [sym_type_qualifier] = STATE(795),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4753),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3969),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3971),
    [anon_sym_RBRACK] = ACTIONS(3973),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [819] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4739),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3975),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3977),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [820] = {
    [sym_type_qualifier] = STATE(812),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4723),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(812),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3857),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3859),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [821] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4649),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_static] = ACTIONS(3831),
    [anon_sym_RBRACK] = ACTIONS(3981),
    [anon_sym_const] = ACTIONS(3835),
    [anon_sym_constexpr] = ACTIONS(3835),
    [anon_sym_volatile] = ACTIONS(3835),
    [anon_sym_restrict] = ACTIONS(3835),
    [anon_sym___restrict__] = ACTIONS(3835),
    [anon_sym__Atomic] = ACTIONS(3835),
    [anon_sym__Noreturn] = ACTIONS(3835),
    [anon_sym_noreturn] = ACTIONS(3835),
    [anon_sym__Nonnull] = ACTIONS(3835),
    [anon_sym_mutable] = ACTIONS(3835),
    [anon_sym_constinit] = ACTIONS(3835),
    [anon_sym_consteval] = ACTIONS(3835),
    [anon_sym_PROGMEM] = ACTIONS(3835),
    [anon_sym_alignas] = ACTIONS(3837),
    [anon_sym__Alignas] = ACTIONS(3837),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [822] = {
    [sym_function_definition] = STATE(1734),
    [sym_declaration] = STATE(1734),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4687),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1841),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2691),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(1734),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(1734),
    [sym_operator_cast] = STATE(6715),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(1734),
    [sym_operator_cast_declaration] = STATE(1734),
    [sym_constructor_or_destructor_definition] = STATE(1734),
    [sym_constructor_or_destructor_declaration] = STATE(1734),
    [sym_friend_declaration] = STATE(1734),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(1734),
    [sym_concept_definition] = STATE(1734),
    [sym_requires_clause] = STATE(824),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3983),
    [anon_sym_concept] = ACTIONS(3985),
    [anon_sym_requires] = ACTIONS(3853),
  },
  [823] = {
    [sym_function_definition] = STATE(1924),
    [sym_declaration] = STATE(1924),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6162),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2698),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(1924),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1851),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(1924),
    [sym_operator_cast] = STATE(6722),
    [sym__constructor_specifiers] = STATE(1851),
    [sym_operator_cast_definition] = STATE(1924),
    [sym_operator_cast_declaration] = STATE(1924),
    [sym_constructor_or_destructor_definition] = STATE(1924),
    [sym_constructor_or_destructor_declaration] = STATE(1924),
    [sym_friend_declaration] = STATE(1924),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(1924),
    [sym_concept_definition] = STATE(1924),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6722),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1851),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3549),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_concept] = ACTIONS(3851),
  },
  [824] = {
    [sym_function_definition] = STATE(1736),
    [sym_declaration] = STATE(1736),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4687),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1841),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6181),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2691),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(1736),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1839),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(1736),
    [sym_operator_cast] = STATE(6715),
    [sym__constructor_specifiers] = STATE(1839),
    [sym_operator_cast_definition] = STATE(1736),
    [sym_operator_cast_declaration] = STATE(1736),
    [sym_constructor_or_destructor_definition] = STATE(1736),
    [sym_constructor_or_destructor_declaration] = STATE(1736),
    [sym_friend_declaration] = STATE(1736),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(1736),
    [sym_concept_definition] = STATE(1736),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6715),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1839),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3983),
    [anon_sym_concept] = ACTIONS(3985),
  },
  [825] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(3987),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(3990),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(3996),
    [anon_sym___extension__] = ACTIONS(3779),
    [anon_sym_COLON_COLON] = ACTIONS(3782),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [826] = {
    [sym_function_definition] = STATE(572),
    [sym_declaration] = STATE(572),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1849),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6198),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2700),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(572),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1833),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(572),
    [sym_operator_cast] = STATE(6724),
    [sym__constructor_specifiers] = STATE(1833),
    [sym_operator_cast_definition] = STATE(572),
    [sym_operator_cast_declaration] = STATE(572),
    [sym_constructor_or_destructor_definition] = STATE(572),
    [sym_constructor_or_destructor_declaration] = STATE(572),
    [sym_friend_declaration] = STATE(572),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(572),
    [sym_concept_definition] = STATE(572),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6724),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1833),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3957),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3959),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3961),
    [anon_sym_using] = ACTIONS(3963),
    [anon_sym_concept] = ACTIONS(235),
  },
  [827] = {
    [sym_function_definition] = STATE(600),
    [sym_declaration] = STATE(600),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1846),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6127),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2686),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(600),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1852),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(600),
    [sym_operator_cast] = STATE(6741),
    [sym__constructor_specifiers] = STATE(1852),
    [sym_operator_cast_definition] = STATE(600),
    [sym_operator_cast_declaration] = STATE(600),
    [sym_constructor_or_destructor_definition] = STATE(600),
    [sym_constructor_or_destructor_declaration] = STATE(600),
    [sym_friend_declaration] = STATE(600),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(600),
    [sym_concept_definition] = STATE(600),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6741),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1852),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3921),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3923),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3927),
    [anon_sym_concept] = ACTIONS(727),
  },
  [828] = {
    [sym_function_definition] = STATE(1967),
    [sym_declaration] = STATE(1967),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4670),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1847),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6208),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2706),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(1967),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1845),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(1967),
    [sym_operator_cast] = STATE(6751),
    [sym__constructor_specifiers] = STATE(1845),
    [sym_operator_cast_definition] = STATE(1967),
    [sym_operator_cast_declaration] = STATE(1967),
    [sym_constructor_or_destructor_definition] = STATE(1967),
    [sym_constructor_or_destructor_declaration] = STATE(1967),
    [sym_friend_declaration] = STATE(1967),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(1967),
    [sym_concept_definition] = STATE(1967),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6751),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1845),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3667),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3669),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3671),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_concept] = ACTIONS(3883),
  },
  [829] = {
    [sym_function_definition] = STATE(335),
    [sym_declaration] = STATE(335),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1836),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6158),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2690),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(335),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1848),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(335),
    [sym_operator_cast] = STATE(6712),
    [sym__constructor_specifiers] = STATE(1848),
    [sym_operator_cast_definition] = STATE(335),
    [sym_operator_cast_declaration] = STATE(335),
    [sym_constructor_or_destructor_definition] = STATE(335),
    [sym_constructor_or_destructor_declaration] = STATE(335),
    [sym_friend_declaration] = STATE(335),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(335),
    [sym_concept_definition] = STATE(335),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6712),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1848),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3863),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3865),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3867),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_concept] = ACTIONS(331),
  },
  [830] = {
    [sym_function_definition] = STATE(698),
    [sym_declaration] = STATE(698),
    [sym__declaration_modifiers] = STATE(2877),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_attribute_specifier] = STATE(2877),
    [sym_attribute_declaration] = STATE(2877),
    [sym_ms_declspec_modifier] = STATE(2877),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(1838),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6177),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(2877),
    [sym_type_qualifier] = STATE(2877),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2699),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym__empty_declaration] = STATE(698),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_explicit_function_specifier] = STATE(1835),
    [sym_dependent_type] = STATE(2364),
    [sym_template_declaration] = STATE(698),
    [sym_operator_cast] = STATE(6719),
    [sym__constructor_specifiers] = STATE(1835),
    [sym_operator_cast_definition] = STATE(698),
    [sym_operator_cast_declaration] = STATE(698),
    [sym_constructor_or_destructor_definition] = STATE(698),
    [sym_constructor_or_destructor_declaration] = STATE(698),
    [sym_friend_declaration] = STATE(698),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_alias_declaration] = STATE(698),
    [sym_concept_definition] = STATE(698),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_qualified_operator_cast_identifier] = STATE(6719),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1835),
    [sym_identifier] = ACTIONS(3845),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3847),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(3951),
    [anon_sym_operator] = ACTIONS(135),
    [anon_sym_friend] = ACTIONS(3953),
    [anon_sym_using] = ACTIONS(3955),
    [anon_sym_concept] = ACTIONS(149),
  },
  [831] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2966),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_LPAREN2] = ACTIONS(4005),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(4008),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2467),
    [anon_sym___extension__] = ACTIONS(4011),
    [anon_sym_COLON_COLON] = ACTIONS(4014),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [832] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4023),
    [anon_sym_TILDE] = ACTIONS(4023),
    [anon_sym_DASH] = ACTIONS(4026),
    [anon_sym_PLUS] = ACTIONS(4026),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(4029),
    [anon_sym_COLON_COLON] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(3999),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2483),
    [anon_sym_byte] = ACTIONS(2483),
    [anon_sym_word] = ACTIONS(2483),
    [anon_sym_not] = ACTIONS(4026),
    [anon_sym_compl] = ACTIONS(4026),
    [anon_sym_DASH_DASH] = ACTIONS(4035),
    [anon_sym_PLUS_PLUS] = ACTIONS(4035),
    [anon_sym_sizeof] = ACTIONS(4038),
    [anon_sym___alignof__] = ACTIONS(4041),
    [anon_sym___alignof] = ACTIONS(4041),
    [anon_sym__alignof] = ACTIONS(4041),
    [anon_sym_alignof] = ACTIONS(4041),
    [anon_sym__Alignof] = ACTIONS(4041),
    [anon_sym_offsetof] = ACTIONS(4044),
    [anon_sym__Generic] = ACTIONS(4047),
    [anon_sym_asm] = ACTIONS(4050),
    [anon_sym___asm__] = ACTIONS(4050),
    [anon_sym___asm] = ACTIONS(4050),
    [aux_sym_number_literal_token1] = ACTIONS(4053),
    [aux_sym_number_literal_token2] = ACTIONS(4056),
    [anon_sym_L_SQUOTE] = ACTIONS(4059),
    [anon_sym_u_SQUOTE] = ACTIONS(4059),
    [anon_sym_U_SQUOTE] = ACTIONS(4059),
    [anon_sym_u8_SQUOTE] = ACTIONS(4059),
    [anon_sym_SQUOTE] = ACTIONS(4059),
    [anon_sym_L_DQUOTE] = ACTIONS(4062),
    [anon_sym_u_DQUOTE] = ACTIONS(4062),
    [anon_sym_U_DQUOTE] = ACTIONS(4062),
    [anon_sym_u8_DQUOTE] = ACTIONS(4062),
    [anon_sym_DQUOTE] = ACTIONS(4062),
    [sym_true] = ACTIONS(4065),
    [sym_false] = ACTIONS(4065),
    [anon_sym_NULL] = ACTIONS(4068),
    [anon_sym_nullptr] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2486),
    [anon_sym_template] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(4071),
    [anon_sym_R_DQUOTE] = ACTIONS(4074),
    [anon_sym_LR_DQUOTE] = ACTIONS(4074),
    [anon_sym_uR_DQUOTE] = ACTIONS(4074),
    [anon_sym_UR_DQUOTE] = ACTIONS(4074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4074),
    [anon_sym_co_await] = ACTIONS(4077),
    [anon_sym_new] = ACTIONS(4080),
    [anon_sym_requires] = ACTIONS(4083),
    [sym_this] = ACTIONS(4065),
  },
  [833] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4094),
    [anon_sym_PLUS] = ACTIONS(4094),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4096),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_SEMI] = ACTIONS(4092),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_virtual] = ACTIONS(4098),
    [anon_sym_extern] = ACTIONS(4098),
    [anon_sym___attribute__] = ACTIONS(4098),
    [anon_sym___attribute] = ACTIONS(4098),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4098),
    [anon_sym___based] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_signed] = ACTIONS(4098),
    [anon_sym_unsigned] = ACTIONS(4098),
    [anon_sym_long] = ACTIONS(4098),
    [anon_sym_short] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_static] = ACTIONS(4098),
    [anon_sym_register] = ACTIONS(4098),
    [anon_sym_inline] = ACTIONS(4098),
    [anon_sym___inline] = ACTIONS(4098),
    [anon_sym___inline__] = ACTIONS(4098),
    [anon_sym___forceinline] = ACTIONS(4098),
    [anon_sym_thread_local] = ACTIONS(4098),
    [anon_sym___thread] = ACTIONS(4098),
    [anon_sym_const] = ACTIONS(4098),
    [anon_sym_constexpr] = ACTIONS(4098),
    [anon_sym_volatile] = ACTIONS(4098),
    [anon_sym_restrict] = ACTIONS(4098),
    [anon_sym___restrict__] = ACTIONS(4098),
    [anon_sym__Atomic] = ACTIONS(4098),
    [anon_sym__Noreturn] = ACTIONS(4098),
    [anon_sym_noreturn] = ACTIONS(4098),
    [anon_sym__Nonnull] = ACTIONS(4098),
    [anon_sym_mutable] = ACTIONS(4098),
    [anon_sym_constinit] = ACTIONS(4098),
    [anon_sym_consteval] = ACTIONS(4098),
    [anon_sym_PROGMEM] = ACTIONS(4098),
    [anon_sym_alignas] = ACTIONS(4098),
    [anon_sym__Alignas] = ACTIONS(4098),
    [aux_sym_primitive_type_token1] = ACTIONS(4086),
    [anon_sym_byte] = ACTIONS(4086),
    [anon_sym_word] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4098),
    [anon_sym_class] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4098),
    [anon_sym_union] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_switch] = ACTIONS(4094),
    [anon_sym_case] = ACTIONS(4094),
    [anon_sym_default] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(4094),
    [anon_sym_do] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym___try] = ACTIONS(4094),
    [anon_sym___leave] = ACTIONS(4094),
    [anon_sym_not] = ACTIONS(4094),
    [anon_sym_compl] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_PLUS] = ACTIONS(4092),
    [anon_sym_sizeof] = ACTIONS(4094),
    [anon_sym___alignof__] = ACTIONS(4094),
    [anon_sym___alignof] = ACTIONS(4094),
    [anon_sym__alignof] = ACTIONS(4094),
    [anon_sym_alignof] = ACTIONS(4094),
    [anon_sym__Alignof] = ACTIONS(4094),
    [anon_sym_offsetof] = ACTIONS(4094),
    [anon_sym__Generic] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym___asm__] = ACTIONS(4094),
    [anon_sym___asm] = ACTIONS(4094),
    [aux_sym_number_literal_token1] = ACTIONS(4092),
    [aux_sym_number_literal_token2] = ACTIONS(4094),
    [anon_sym_L_SQUOTE] = ACTIONS(4092),
    [anon_sym_u_SQUOTE] = ACTIONS(4092),
    [anon_sym_U_SQUOTE] = ACTIONS(4092),
    [anon_sym_u8_SQUOTE] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4092),
    [anon_sym_L_DQUOTE] = ACTIONS(4092),
    [anon_sym_u_DQUOTE] = ACTIONS(4092),
    [anon_sym_U_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_NULL] = ACTIONS(4094),
    [anon_sym_nullptr] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4098),
    [anon_sym_decltype] = ACTIONS(4086),
    [anon_sym_explicit] = ACTIONS(4098),
    [anon_sym_typename] = ACTIONS(4098),
    [anon_sym_template] = ACTIONS(4086),
    [anon_sym_operator] = ACTIONS(4098),
    [anon_sym_try] = ACTIONS(4094),
    [anon_sym_delete] = ACTIONS(4094),
    [anon_sym_throw] = ACTIONS(4094),
    [anon_sym_co_return] = ACTIONS(4094),
    [anon_sym_co_yield] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(4092),
    [anon_sym_LR_DQUOTE] = ACTIONS(4092),
    [anon_sym_uR_DQUOTE] = ACTIONS(4092),
    [anon_sym_UR_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4092),
    [anon_sym_co_await] = ACTIONS(4094),
    [anon_sym_new] = ACTIONS(4094),
    [anon_sym_requires] = ACTIONS(4094),
    [sym_this] = ACTIONS(4094),
  },
  [834] = {
    [sym_catch_clause] = STATE(835),
    [aux_sym_constructor_try_statement_repeat1] = STATE(835),
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [aux_sym_number_literal_token1] = ACTIONS(2558),
    [aux_sym_number_literal_token2] = ACTIONS(2556),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(4100),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [835] = {
    [sym_catch_clause] = STATE(835),
    [aux_sym_constructor_try_statement_repeat1] = STATE(835),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [aux_sym_number_literal_token1] = ACTIONS(2564),
    [aux_sym_number_literal_token2] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(4102),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [836] = {
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_else] = ACTIONS(1968),
    [anon_sym_switch] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym___try] = ACTIONS(1968),
    [anon_sym___leave] = ACTIONS(1968),
    [anon_sym_not] = ACTIONS(1968),
    [anon_sym_compl] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1968),
    [anon_sym___alignof] = ACTIONS(1968),
    [anon_sym__alignof] = ACTIONS(1968),
    [anon_sym_alignof] = ACTIONS(1968),
    [anon_sym__Alignof] = ACTIONS(1968),
    [anon_sym_offsetof] = ACTIONS(1968),
    [anon_sym__Generic] = ACTIONS(1968),
    [anon_sym_asm] = ACTIONS(1968),
    [anon_sym___asm__] = ACTIONS(1968),
    [anon_sym___asm] = ACTIONS(1968),
    [aux_sym_number_literal_token1] = ACTIONS(1966),
    [aux_sym_number_literal_token2] = ACTIONS(1968),
    [anon_sym_L_SQUOTE] = ACTIONS(1966),
    [anon_sym_u_SQUOTE] = ACTIONS(1966),
    [anon_sym_U_SQUOTE] = ACTIONS(1966),
    [anon_sym_u8_SQUOTE] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1966),
    [anon_sym_L_DQUOTE] = ACTIONS(1966),
    [anon_sym_u_DQUOTE] = ACTIONS(1966),
    [anon_sym_U_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8_DQUOTE] = ACTIONS(1966),
    [anon_sym_DQUOTE] = ACTIONS(1966),
    [sym_true] = ACTIONS(1968),
    [sym_false] = ACTIONS(1968),
    [anon_sym_NULL] = ACTIONS(1968),
    [anon_sym_nullptr] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_throw] = ACTIONS(1968),
    [anon_sym_co_return] = ACTIONS(1968),
    [anon_sym_co_yield] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
    [anon_sym_R_DQUOTE] = ACTIONS(1966),
    [anon_sym_LR_DQUOTE] = ACTIONS(1966),
    [anon_sym_uR_DQUOTE] = ACTIONS(1966),
    [anon_sym_UR_DQUOTE] = ACTIONS(1966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1966),
    [anon_sym_co_await] = ACTIONS(1968),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_requires] = ACTIONS(1968),
    [sym_this] = ACTIONS(1968),
  },
  [837] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6363),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5650),
    [sym_qualified_identifier] = STATE(3311),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_goto] = ACTIONS(2667),
    [anon_sym___try] = ACTIONS(2667),
    [anon_sym___leave] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_compl] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2669),
    [anon_sym_sizeof] = ACTIONS(2667),
    [anon_sym___alignof__] = ACTIONS(2667),
    [anon_sym___alignof] = ACTIONS(2667),
    [anon_sym__alignof] = ACTIONS(2667),
    [anon_sym_alignof] = ACTIONS(2667),
    [anon_sym__Alignof] = ACTIONS(2667),
    [anon_sym_offsetof] = ACTIONS(2667),
    [anon_sym__Generic] = ACTIONS(2667),
    [anon_sym_asm] = ACTIONS(2667),
    [anon_sym___asm__] = ACTIONS(2667),
    [anon_sym___asm] = ACTIONS(2667),
    [aux_sym_number_literal_token1] = ACTIONS(2669),
    [aux_sym_number_literal_token2] = ACTIONS(2667),
    [anon_sym_L_SQUOTE] = ACTIONS(2669),
    [anon_sym_u_SQUOTE] = ACTIONS(2669),
    [anon_sym_U_SQUOTE] = ACTIONS(2669),
    [anon_sym_u8_SQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2669),
    [anon_sym_L_DQUOTE] = ACTIONS(2669),
    [anon_sym_u_DQUOTE] = ACTIONS(2669),
    [anon_sym_U_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8_DQUOTE] = ACTIONS(2669),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [anon_sym_NULL] = ACTIONS(2667),
    [anon_sym_nullptr] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_delete] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_co_return] = ACTIONS(2667),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2669),
    [anon_sym_LR_DQUOTE] = ACTIONS(2669),
    [anon_sym_uR_DQUOTE] = ACTIONS(2669),
    [anon_sym_UR_DQUOTE] = ACTIONS(2669),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2669),
    [anon_sym_co_await] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_requires] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
  },
  [839] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6363),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3302),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5655),
    [sym_qualified_identifier] = STATE(3303),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_operator_name] = STATE(5989),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2851),
    [anon_sym_LPAREN2] = ACTIONS(2853),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [840] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_else] = ACTIONS(1972),
    [anon_sym_switch] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym___try] = ACTIONS(1972),
    [anon_sym___leave] = ACTIONS(1972),
    [anon_sym_not] = ACTIONS(1972),
    [anon_sym_compl] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1970),
    [anon_sym_PLUS_PLUS] = ACTIONS(1970),
    [anon_sym_sizeof] = ACTIONS(1972),
    [anon_sym___alignof__] = ACTIONS(1972),
    [anon_sym___alignof] = ACTIONS(1972),
    [anon_sym__alignof] = ACTIONS(1972),
    [anon_sym_alignof] = ACTIONS(1972),
    [anon_sym__Alignof] = ACTIONS(1972),
    [anon_sym_offsetof] = ACTIONS(1972),
    [anon_sym__Generic] = ACTIONS(1972),
    [anon_sym_asm] = ACTIONS(1972),
    [anon_sym___asm__] = ACTIONS(1972),
    [anon_sym___asm] = ACTIONS(1972),
    [aux_sym_number_literal_token1] = ACTIONS(1970),
    [aux_sym_number_literal_token2] = ACTIONS(1972),
    [anon_sym_L_SQUOTE] = ACTIONS(1970),
    [anon_sym_u_SQUOTE] = ACTIONS(1970),
    [anon_sym_U_SQUOTE] = ACTIONS(1970),
    [anon_sym_u8_SQUOTE] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1970),
    [anon_sym_L_DQUOTE] = ACTIONS(1970),
    [anon_sym_u_DQUOTE] = ACTIONS(1970),
    [anon_sym_U_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8_DQUOTE] = ACTIONS(1970),
    [anon_sym_DQUOTE] = ACTIONS(1970),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [anon_sym_NULL] = ACTIONS(1972),
    [anon_sym_nullptr] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_throw] = ACTIONS(1972),
    [anon_sym_co_return] = ACTIONS(1972),
    [anon_sym_co_yield] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
    [anon_sym_R_DQUOTE] = ACTIONS(1970),
    [anon_sym_LR_DQUOTE] = ACTIONS(1970),
    [anon_sym_uR_DQUOTE] = ACTIONS(1970),
    [anon_sym_UR_DQUOTE] = ACTIONS(1970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1970),
    [anon_sym_co_await] = ACTIONS(1972),
    [anon_sym_new] = ACTIONS(1972),
    [anon_sym_requires] = ACTIONS(1972),
    [sym_this] = ACTIONS(1972),
  },
  [841] = {
    [sym_else_clause] = STATE(868),
    [sym_identifier] = ACTIONS(2725),
    [anon_sym_LPAREN2] = ACTIONS(2727),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym___extension__] = ACTIONS(2725),
    [anon_sym_typedef] = ACTIONS(2725),
    [anon_sym_virtual] = ACTIONS(2725),
    [anon_sym_extern] = ACTIONS(2725),
    [anon_sym___attribute__] = ACTIONS(2725),
    [anon_sym___attribute] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2727),
    [anon_sym___declspec] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_signed] = ACTIONS(2725),
    [anon_sym_unsigned] = ACTIONS(2725),
    [anon_sym_long] = ACTIONS(2725),
    [anon_sym_short] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_register] = ACTIONS(2725),
    [anon_sym_inline] = ACTIONS(2725),
    [anon_sym___inline] = ACTIONS(2725),
    [anon_sym___inline__] = ACTIONS(2725),
    [anon_sym___forceinline] = ACTIONS(2725),
    [anon_sym_thread_local] = ACTIONS(2725),
    [anon_sym___thread] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_constexpr] = ACTIONS(2725),
    [anon_sym_volatile] = ACTIONS(2725),
    [anon_sym_restrict] = ACTIONS(2725),
    [anon_sym___restrict__] = ACTIONS(2725),
    [anon_sym__Atomic] = ACTIONS(2725),
    [anon_sym__Noreturn] = ACTIONS(2725),
    [anon_sym_noreturn] = ACTIONS(2725),
    [anon_sym__Nonnull] = ACTIONS(2725),
    [anon_sym_mutable] = ACTIONS(2725),
    [anon_sym_constinit] = ACTIONS(2725),
    [anon_sym_consteval] = ACTIONS(2725),
    [anon_sym_PROGMEM] = ACTIONS(2725),
    [anon_sym_alignas] = ACTIONS(2725),
    [anon_sym__Alignas] = ACTIONS(2725),
    [aux_sym_primitive_type_token1] = ACTIONS(2725),
    [anon_sym_byte] = ACTIONS(2725),
    [anon_sym_word] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_struct] = ACTIONS(2725),
    [anon_sym_union] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2725),
    [anon_sym___try] = ACTIONS(2725),
    [anon_sym___leave] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(2725),
    [anon_sym_compl] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_sizeof] = ACTIONS(2725),
    [anon_sym___alignof__] = ACTIONS(2725),
    [anon_sym___alignof] = ACTIONS(2725),
    [anon_sym__alignof] = ACTIONS(2725),
    [anon_sym_alignof] = ACTIONS(2725),
    [anon_sym__Alignof] = ACTIONS(2725),
    [anon_sym_offsetof] = ACTIONS(2725),
    [anon_sym__Generic] = ACTIONS(2725),
    [anon_sym_asm] = ACTIONS(2725),
    [anon_sym___asm__] = ACTIONS(2725),
    [anon_sym___asm] = ACTIONS(2725),
    [aux_sym_number_literal_token1] = ACTIONS(2727),
    [aux_sym_number_literal_token2] = ACTIONS(2725),
    [anon_sym_L_SQUOTE] = ACTIONS(2727),
    [anon_sym_u_SQUOTE] = ACTIONS(2727),
    [anon_sym_U_SQUOTE] = ACTIONS(2727),
    [anon_sym_u8_SQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [anon_sym_NULL] = ACTIONS(2725),
    [anon_sym_nullptr] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2725),
    [anon_sym_decltype] = ACTIONS(2725),
    [anon_sym_typename] = ACTIONS(2725),
    [anon_sym_template] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_co_return] = ACTIONS(2725),
    [anon_sym_co_yield] = ACTIONS(2725),
    [anon_sym_R_DQUOTE] = ACTIONS(2727),
    [anon_sym_LR_DQUOTE] = ACTIONS(2727),
    [anon_sym_uR_DQUOTE] = ACTIONS(2727),
    [anon_sym_UR_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2727),
    [anon_sym_co_await] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_requires] = ACTIONS(2725),
    [sym_this] = ACTIONS(2725),
  },
  [842] = {
    [sym_else_clause] = STATE(848),
    [sym_identifier] = ACTIONS(2583),
    [anon_sym_LPAREN2] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2583),
    [anon_sym_STAR] = ACTIONS(2585),
    [anon_sym_AMP] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2585),
    [anon_sym___extension__] = ACTIONS(2583),
    [anon_sym_typedef] = ACTIONS(2583),
    [anon_sym_virtual] = ACTIONS(2583),
    [anon_sym_extern] = ACTIONS(2583),
    [anon_sym___attribute__] = ACTIONS(2583),
    [anon_sym___attribute] = ACTIONS(2583),
    [anon_sym_COLON_COLON] = ACTIONS(2585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2585),
    [anon_sym___declspec] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(2585),
    [anon_sym_signed] = ACTIONS(2583),
    [anon_sym_unsigned] = ACTIONS(2583),
    [anon_sym_long] = ACTIONS(2583),
    [anon_sym_short] = ACTIONS(2583),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2583),
    [anon_sym_register] = ACTIONS(2583),
    [anon_sym_inline] = ACTIONS(2583),
    [anon_sym___inline] = ACTIONS(2583),
    [anon_sym___inline__] = ACTIONS(2583),
    [anon_sym___forceinline] = ACTIONS(2583),
    [anon_sym_thread_local] = ACTIONS(2583),
    [anon_sym___thread] = ACTIONS(2583),
    [anon_sym_const] = ACTIONS(2583),
    [anon_sym_constexpr] = ACTIONS(2583),
    [anon_sym_volatile] = ACTIONS(2583),
    [anon_sym_restrict] = ACTIONS(2583),
    [anon_sym___restrict__] = ACTIONS(2583),
    [anon_sym__Atomic] = ACTIONS(2583),
    [anon_sym__Noreturn] = ACTIONS(2583),
    [anon_sym_noreturn] = ACTIONS(2583),
    [anon_sym__Nonnull] = ACTIONS(2583),
    [anon_sym_mutable] = ACTIONS(2583),
    [anon_sym_constinit] = ACTIONS(2583),
    [anon_sym_consteval] = ACTIONS(2583),
    [anon_sym_PROGMEM] = ACTIONS(2583),
    [anon_sym_alignas] = ACTIONS(2583),
    [anon_sym__Alignas] = ACTIONS(2583),
    [aux_sym_primitive_type_token1] = ACTIONS(2583),
    [anon_sym_byte] = ACTIONS(2583),
    [anon_sym_word] = ACTIONS(2583),
    [anon_sym_enum] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2583),
    [anon_sym_struct] = ACTIONS(2583),
    [anon_sym_union] = ACTIONS(2583),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2583),
    [anon_sym_do] = ACTIONS(2583),
    [anon_sym_for] = ACTIONS(2583),
    [anon_sym_return] = ACTIONS(2583),
    [anon_sym_break] = ACTIONS(2583),
    [anon_sym_continue] = ACTIONS(2583),
    [anon_sym_goto] = ACTIONS(2583),
    [anon_sym___try] = ACTIONS(2583),
    [anon_sym___leave] = ACTIONS(2583),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_compl] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2585),
    [anon_sym_sizeof] = ACTIONS(2583),
    [anon_sym___alignof__] = ACTIONS(2583),
    [anon_sym___alignof] = ACTIONS(2583),
    [anon_sym__alignof] = ACTIONS(2583),
    [anon_sym_alignof] = ACTIONS(2583),
    [anon_sym__Alignof] = ACTIONS(2583),
    [anon_sym_offsetof] = ACTIONS(2583),
    [anon_sym__Generic] = ACTIONS(2583),
    [anon_sym_asm] = ACTIONS(2583),
    [anon_sym___asm__] = ACTIONS(2583),
    [anon_sym___asm] = ACTIONS(2583),
    [aux_sym_number_literal_token1] = ACTIONS(2585),
    [aux_sym_number_literal_token2] = ACTIONS(2583),
    [anon_sym_L_SQUOTE] = ACTIONS(2585),
    [anon_sym_u_SQUOTE] = ACTIONS(2585),
    [anon_sym_U_SQUOTE] = ACTIONS(2585),
    [anon_sym_u8_SQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE] = ACTIONS(2585),
    [anon_sym_L_DQUOTE] = ACTIONS(2585),
    [anon_sym_u_DQUOTE] = ACTIONS(2585),
    [anon_sym_U_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8_DQUOTE] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [sym_true] = ACTIONS(2583),
    [sym_false] = ACTIONS(2583),
    [anon_sym_NULL] = ACTIONS(2583),
    [anon_sym_nullptr] = ACTIONS(2583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2583),
    [anon_sym_decltype] = ACTIONS(2583),
    [anon_sym_typename] = ACTIONS(2583),
    [anon_sym_template] = ACTIONS(2583),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_delete] = ACTIONS(2583),
    [anon_sym_throw] = ACTIONS(2583),
    [anon_sym_co_return] = ACTIONS(2583),
    [anon_sym_co_yield] = ACTIONS(2583),
    [anon_sym_R_DQUOTE] = ACTIONS(2585),
    [anon_sym_LR_DQUOTE] = ACTIONS(2585),
    [anon_sym_uR_DQUOTE] = ACTIONS(2585),
    [anon_sym_UR_DQUOTE] = ACTIONS(2585),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2585),
    [anon_sym_co_await] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2583),
    [anon_sym_requires] = ACTIONS(2583),
    [sym_this] = ACTIONS(2583),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym___attribute] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym__Nonnull] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [anon_sym_PROGMEM] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym__Alignas] = ACTIONS(2869),
    [aux_sym_primitive_type_token1] = ACTIONS(2869),
    [anon_sym_byte] = ACTIONS(2869),
    [anon_sym_word] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [anon_sym___asm] = ACTIONS(2869),
    [aux_sym_number_literal_token1] = ACTIONS(2871),
    [aux_sym_number_literal_token2] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [anon_sym___asm] = ACTIONS(2917),
    [aux_sym_number_literal_token1] = ACTIONS(2919),
    [aux_sym_number_literal_token2] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_LPAREN2] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym___extension__] = ACTIONS(2809),
    [anon_sym_typedef] = ACTIONS(2809),
    [anon_sym_virtual] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym___attribute__] = ACTIONS(2809),
    [anon_sym___attribute] = ACTIONS(2809),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2811),
    [anon_sym___declspec] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_signed] = ACTIONS(2809),
    [anon_sym_unsigned] = ACTIONS(2809),
    [anon_sym_long] = ACTIONS(2809),
    [anon_sym_short] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_register] = ACTIONS(2809),
    [anon_sym_inline] = ACTIONS(2809),
    [anon_sym___inline] = ACTIONS(2809),
    [anon_sym___inline__] = ACTIONS(2809),
    [anon_sym___forceinline] = ACTIONS(2809),
    [anon_sym_thread_local] = ACTIONS(2809),
    [anon_sym___thread] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_constexpr] = ACTIONS(2809),
    [anon_sym_volatile] = ACTIONS(2809),
    [anon_sym_restrict] = ACTIONS(2809),
    [anon_sym___restrict__] = ACTIONS(2809),
    [anon_sym__Atomic] = ACTIONS(2809),
    [anon_sym__Noreturn] = ACTIONS(2809),
    [anon_sym_noreturn] = ACTIONS(2809),
    [anon_sym__Nonnull] = ACTIONS(2809),
    [anon_sym_mutable] = ACTIONS(2809),
    [anon_sym_constinit] = ACTIONS(2809),
    [anon_sym_consteval] = ACTIONS(2809),
    [anon_sym_PROGMEM] = ACTIONS(2809),
    [anon_sym_alignas] = ACTIONS(2809),
    [anon_sym__Alignas] = ACTIONS(2809),
    [aux_sym_primitive_type_token1] = ACTIONS(2809),
    [anon_sym_byte] = ACTIONS(2809),
    [anon_sym_word] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_goto] = ACTIONS(2809),
    [anon_sym___try] = ACTIONS(2809),
    [anon_sym___leave] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2809),
    [anon_sym___alignof] = ACTIONS(2809),
    [anon_sym__alignof] = ACTIONS(2809),
    [anon_sym_alignof] = ACTIONS(2809),
    [anon_sym__Alignof] = ACTIONS(2809),
    [anon_sym_offsetof] = ACTIONS(2809),
    [anon_sym__Generic] = ACTIONS(2809),
    [anon_sym_asm] = ACTIONS(2809),
    [anon_sym___asm__] = ACTIONS(2809),
    [anon_sym___asm] = ACTIONS(2809),
    [aux_sym_number_literal_token1] = ACTIONS(2811),
    [aux_sym_number_literal_token2] = ACTIONS(2809),
    [anon_sym_L_SQUOTE] = ACTIONS(2811),
    [anon_sym_u_SQUOTE] = ACTIONS(2811),
    [anon_sym_U_SQUOTE] = ACTIONS(2811),
    [anon_sym_u8_SQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_L_DQUOTE] = ACTIONS(2811),
    [anon_sym_u_DQUOTE] = ACTIONS(2811),
    [anon_sym_U_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8_DQUOTE] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [anon_sym_NULL] = ACTIONS(2809),
    [anon_sym_nullptr] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2809),
    [anon_sym_decltype] = ACTIONS(2809),
    [anon_sym_typename] = ACTIONS(2809),
    [anon_sym_template] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_co_return] = ACTIONS(2809),
    [anon_sym_co_yield] = ACTIONS(2809),
    [anon_sym_R_DQUOTE] = ACTIONS(2811),
    [anon_sym_LR_DQUOTE] = ACTIONS(2811),
    [anon_sym_uR_DQUOTE] = ACTIONS(2811),
    [anon_sym_UR_DQUOTE] = ACTIONS(2811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2811),
    [anon_sym_co_await] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_requires] = ACTIONS(2809),
    [sym_this] = ACTIONS(2809),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [847] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(3823),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3825),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_signed] = ACTIONS(3823),
    [anon_sym_unsigned] = ACTIONS(3823),
    [anon_sym_long] = ACTIONS(3823),
    [anon_sym_short] = ACTIONS(3823),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [aux_sym_primitive_type_token1] = ACTIONS(3823),
    [anon_sym_byte] = ACTIONS(3823),
    [anon_sym_word] = ACTIONS(3823),
    [anon_sym_enum] = ACTIONS(3823),
    [anon_sym_class] = ACTIONS(3823),
    [anon_sym_struct] = ACTIONS(3823),
    [anon_sym_union] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(3823),
    [anon_sym_case] = ACTIONS(3823),
    [anon_sym_default] = ACTIONS(3823),
    [anon_sym_while] = ACTIONS(3823),
    [anon_sym_do] = ACTIONS(3823),
    [anon_sym_for] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3823),
    [anon_sym_break] = ACTIONS(3823),
    [anon_sym_continue] = ACTIONS(3823),
    [anon_sym_goto] = ACTIONS(3823),
    [anon_sym___try] = ACTIONS(3823),
    [anon_sym___leave] = ACTIONS(3823),
    [anon_sym_not] = ACTIONS(3823),
    [anon_sym_compl] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3825),
    [anon_sym_PLUS_PLUS] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3823),
    [anon_sym___alignof__] = ACTIONS(3823),
    [anon_sym___alignof] = ACTIONS(3823),
    [anon_sym__alignof] = ACTIONS(3823),
    [anon_sym_alignof] = ACTIONS(3823),
    [anon_sym__Alignof] = ACTIONS(3823),
    [anon_sym_offsetof] = ACTIONS(3823),
    [anon_sym__Generic] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [aux_sym_number_literal_token1] = ACTIONS(3825),
    [aux_sym_number_literal_token2] = ACTIONS(3823),
    [anon_sym_L_SQUOTE] = ACTIONS(3825),
    [anon_sym_u_SQUOTE] = ACTIONS(3825),
    [anon_sym_U_SQUOTE] = ACTIONS(3825),
    [anon_sym_u8_SQUOTE] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3825),
    [anon_sym_L_DQUOTE] = ACTIONS(3825),
    [anon_sym_u_DQUOTE] = ACTIONS(3825),
    [anon_sym_U_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8_DQUOTE] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3825),
    [sym_true] = ACTIONS(3823),
    [sym_false] = ACTIONS(3823),
    [anon_sym_NULL] = ACTIONS(3823),
    [anon_sym_nullptr] = ACTIONS(3823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3823),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_typename] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_delete] = ACTIONS(3823),
    [anon_sym_throw] = ACTIONS(3823),
    [anon_sym_co_return] = ACTIONS(3823),
    [anon_sym_co_yield] = ACTIONS(3823),
    [anon_sym_R_DQUOTE] = ACTIONS(3825),
    [anon_sym_LR_DQUOTE] = ACTIONS(3825),
    [anon_sym_uR_DQUOTE] = ACTIONS(3825),
    [anon_sym_UR_DQUOTE] = ACTIONS(3825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3825),
    [anon_sym_co_await] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
    [sym_this] = ACTIONS(3823),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2827),
    [anon_sym_LPAREN2] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym___extension__] = ACTIONS(2827),
    [anon_sym_typedef] = ACTIONS(2827),
    [anon_sym_virtual] = ACTIONS(2827),
    [anon_sym_extern] = ACTIONS(2827),
    [anon_sym___attribute__] = ACTIONS(2827),
    [anon_sym___attribute] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2829),
    [anon_sym___declspec] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_signed] = ACTIONS(2827),
    [anon_sym_unsigned] = ACTIONS(2827),
    [anon_sym_long] = ACTIONS(2827),
    [anon_sym_short] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2827),
    [anon_sym_register] = ACTIONS(2827),
    [anon_sym_inline] = ACTIONS(2827),
    [anon_sym___inline] = ACTIONS(2827),
    [anon_sym___inline__] = ACTIONS(2827),
    [anon_sym___forceinline] = ACTIONS(2827),
    [anon_sym_thread_local] = ACTIONS(2827),
    [anon_sym___thread] = ACTIONS(2827),
    [anon_sym_const] = ACTIONS(2827),
    [anon_sym_constexpr] = ACTIONS(2827),
    [anon_sym_volatile] = ACTIONS(2827),
    [anon_sym_restrict] = ACTIONS(2827),
    [anon_sym___restrict__] = ACTIONS(2827),
    [anon_sym__Atomic] = ACTIONS(2827),
    [anon_sym__Noreturn] = ACTIONS(2827),
    [anon_sym_noreturn] = ACTIONS(2827),
    [anon_sym__Nonnull] = ACTIONS(2827),
    [anon_sym_mutable] = ACTIONS(2827),
    [anon_sym_constinit] = ACTIONS(2827),
    [anon_sym_consteval] = ACTIONS(2827),
    [anon_sym_PROGMEM] = ACTIONS(2827),
    [anon_sym_alignas] = ACTIONS(2827),
    [anon_sym__Alignas] = ACTIONS(2827),
    [aux_sym_primitive_type_token1] = ACTIONS(2827),
    [anon_sym_byte] = ACTIONS(2827),
    [anon_sym_word] = ACTIONS(2827),
    [anon_sym_enum] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2827),
    [anon_sym_struct] = ACTIONS(2827),
    [anon_sym_union] = ACTIONS(2827),
    [anon_sym_if] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2827),
    [anon_sym_switch] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_return] = ACTIONS(2827),
    [anon_sym_break] = ACTIONS(2827),
    [anon_sym_continue] = ACTIONS(2827),
    [anon_sym_goto] = ACTIONS(2827),
    [anon_sym___try] = ACTIONS(2827),
    [anon_sym___leave] = ACTIONS(2827),
    [anon_sym_not] = ACTIONS(2827),
    [anon_sym_compl] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_sizeof] = ACTIONS(2827),
    [anon_sym___alignof__] = ACTIONS(2827),
    [anon_sym___alignof] = ACTIONS(2827),
    [anon_sym__alignof] = ACTIONS(2827),
    [anon_sym_alignof] = ACTIONS(2827),
    [anon_sym__Alignof] = ACTIONS(2827),
    [anon_sym_offsetof] = ACTIONS(2827),
    [anon_sym__Generic] = ACTIONS(2827),
    [anon_sym_asm] = ACTIONS(2827),
    [anon_sym___asm__] = ACTIONS(2827),
    [anon_sym___asm] = ACTIONS(2827),
    [aux_sym_number_literal_token1] = ACTIONS(2829),
    [aux_sym_number_literal_token2] = ACTIONS(2827),
    [anon_sym_L_SQUOTE] = ACTIONS(2829),
    [anon_sym_u_SQUOTE] = ACTIONS(2829),
    [anon_sym_U_SQUOTE] = ACTIONS(2829),
    [anon_sym_u8_SQUOTE] = ACTIONS(2829),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_L_DQUOTE] = ACTIONS(2829),
    [anon_sym_u_DQUOTE] = ACTIONS(2829),
    [anon_sym_U_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8_DQUOTE] = ACTIONS(2829),
    [anon_sym_DQUOTE] = ACTIONS(2829),
    [sym_true] = ACTIONS(2827),
    [sym_false] = ACTIONS(2827),
    [anon_sym_NULL] = ACTIONS(2827),
    [anon_sym_nullptr] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2827),
    [anon_sym_decltype] = ACTIONS(2827),
    [anon_sym_typename] = ACTIONS(2827),
    [anon_sym_template] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_delete] = ACTIONS(2827),
    [anon_sym_throw] = ACTIONS(2827),
    [anon_sym_co_return] = ACTIONS(2827),
    [anon_sym_co_yield] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2829),
    [anon_sym_LR_DQUOTE] = ACTIONS(2829),
    [anon_sym_uR_DQUOTE] = ACTIONS(2829),
    [anon_sym_UR_DQUOTE] = ACTIONS(2829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2829),
    [anon_sym_co_await] = ACTIONS(2827),
    [anon_sym_new] = ACTIONS(2827),
    [anon_sym_requires] = ACTIONS(2827),
    [sym_this] = ACTIONS(2827),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym___attribute] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym__Nonnull] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [anon_sym_PROGMEM] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym__Alignas] = ACTIONS(2897),
    [aux_sym_primitive_type_token1] = ACTIONS(2897),
    [anon_sym_byte] = ACTIONS(2897),
    [anon_sym_word] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [anon_sym___asm] = ACTIONS(2897),
    [aux_sym_number_literal_token1] = ACTIONS(2899),
    [aux_sym_number_literal_token2] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_LPAREN2] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2758),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2753),
    [anon_sym_typedef] = ACTIONS(2753),
    [anon_sym_virtual] = ACTIONS(2753),
    [anon_sym_extern] = ACTIONS(2753),
    [anon_sym___attribute__] = ACTIONS(2753),
    [anon_sym___attribute] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2758),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2758),
    [anon_sym___declspec] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2753),
    [anon_sym_unsigned] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_register] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym___inline] = ACTIONS(2753),
    [anon_sym___inline__] = ACTIONS(2753),
    [anon_sym___forceinline] = ACTIONS(2753),
    [anon_sym_thread_local] = ACTIONS(2753),
    [anon_sym___thread] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_constexpr] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_restrict] = ACTIONS(2753),
    [anon_sym___restrict__] = ACTIONS(2753),
    [anon_sym__Atomic] = ACTIONS(2753),
    [anon_sym__Noreturn] = ACTIONS(2753),
    [anon_sym_noreturn] = ACTIONS(2753),
    [anon_sym__Nonnull] = ACTIONS(2753),
    [anon_sym_mutable] = ACTIONS(2753),
    [anon_sym_constinit] = ACTIONS(2753),
    [anon_sym_consteval] = ACTIONS(2753),
    [anon_sym_PROGMEM] = ACTIONS(2753),
    [anon_sym_alignas] = ACTIONS(2753),
    [anon_sym__Alignas] = ACTIONS(2753),
    [aux_sym_primitive_type_token1] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_word] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_struct] = ACTIONS(2753),
    [anon_sym_union] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_goto] = ACTIONS(2753),
    [anon_sym___try] = ACTIONS(2753),
    [anon_sym___leave] = ACTIONS(2753),
    [anon_sym_not] = ACTIONS(2753),
    [anon_sym_compl] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_sizeof] = ACTIONS(2753),
    [anon_sym___alignof__] = ACTIONS(2753),
    [anon_sym___alignof] = ACTIONS(2753),
    [anon_sym__alignof] = ACTIONS(2753),
    [anon_sym_alignof] = ACTIONS(2753),
    [anon_sym__Alignof] = ACTIONS(2753),
    [anon_sym_offsetof] = ACTIONS(2753),
    [anon_sym__Generic] = ACTIONS(2753),
    [anon_sym_asm] = ACTIONS(2753),
    [anon_sym___asm__] = ACTIONS(2753),
    [anon_sym___asm] = ACTIONS(2753),
    [aux_sym_number_literal_token1] = ACTIONS(2758),
    [aux_sym_number_literal_token2] = ACTIONS(2753),
    [anon_sym_L_SQUOTE] = ACTIONS(2758),
    [anon_sym_u_SQUOTE] = ACTIONS(2758),
    [anon_sym_U_SQUOTE] = ACTIONS(2758),
    [anon_sym_u8_SQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_L_DQUOTE] = ACTIONS(2758),
    [anon_sym_u_DQUOTE] = ACTIONS(2758),
    [anon_sym_U_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8_DQUOTE] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_NULL] = ACTIONS(2753),
    [anon_sym_nullptr] = ACTIONS(2753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2753),
    [anon_sym_decltype] = ACTIONS(2753),
    [anon_sym_typename] = ACTIONS(2753),
    [anon_sym_template] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_co_return] = ACTIONS(2753),
    [anon_sym_co_yield] = ACTIONS(2753),
    [anon_sym_R_DQUOTE] = ACTIONS(2758),
    [anon_sym_LR_DQUOTE] = ACTIONS(2758),
    [anon_sym_uR_DQUOTE] = ACTIONS(2758),
    [anon_sym_UR_DQUOTE] = ACTIONS(2758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2758),
    [anon_sym_co_await] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_requires] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym___attribute] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym__Nonnull] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [anon_sym_PROGMEM] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym__Alignas] = ACTIONS(2901),
    [aux_sym_primitive_type_token1] = ACTIONS(2901),
    [anon_sym_byte] = ACTIONS(2901),
    [anon_sym_word] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [anon_sym___asm] = ACTIONS(2901),
    [aux_sym_number_literal_token1] = ACTIONS(2903),
    [aux_sym_number_literal_token2] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [anon_sym___asm] = ACTIONS(2909),
    [aux_sym_number_literal_token1] = ACTIONS(2911),
    [aux_sym_number_literal_token2] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym___attribute] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym__Nonnull] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_PROGMEM] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [aux_sym_primitive_type_token1] = ACTIONS(2905),
    [anon_sym_byte] = ACTIONS(2905),
    [anon_sym_word] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [anon_sym___asm] = ACTIONS(2905),
    [aux_sym_number_literal_token1] = ACTIONS(2907),
    [aux_sym_number_literal_token2] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2709),
    [anon_sym_typedef] = ACTIONS(2709),
    [anon_sym_virtual] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2709),
    [anon_sym___attribute__] = ACTIONS(2709),
    [anon_sym___attribute] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2709),
    [anon_sym_unsigned] = ACTIONS(2709),
    [anon_sym_long] = ACTIONS(2709),
    [anon_sym_short] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_register] = ACTIONS(2709),
    [anon_sym_inline] = ACTIONS(2709),
    [anon_sym___inline] = ACTIONS(2709),
    [anon_sym___inline__] = ACTIONS(2709),
    [anon_sym___forceinline] = ACTIONS(2709),
    [anon_sym_thread_local] = ACTIONS(2709),
    [anon_sym___thread] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_constexpr] = ACTIONS(2709),
    [anon_sym_volatile] = ACTIONS(2709),
    [anon_sym_restrict] = ACTIONS(2709),
    [anon_sym___restrict__] = ACTIONS(2709),
    [anon_sym__Atomic] = ACTIONS(2709),
    [anon_sym__Noreturn] = ACTIONS(2709),
    [anon_sym_noreturn] = ACTIONS(2709),
    [anon_sym__Nonnull] = ACTIONS(2709),
    [anon_sym_mutable] = ACTIONS(2709),
    [anon_sym_constinit] = ACTIONS(2709),
    [anon_sym_consteval] = ACTIONS(2709),
    [anon_sym_PROGMEM] = ACTIONS(2709),
    [anon_sym_alignas] = ACTIONS(2709),
    [anon_sym__Alignas] = ACTIONS(2709),
    [aux_sym_primitive_type_token1] = ACTIONS(2709),
    [anon_sym_byte] = ACTIONS(2709),
    [anon_sym_word] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_struct] = ACTIONS(2709),
    [anon_sym_union] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2709),
    [anon_sym___leave] = ACTIONS(2709),
    [anon_sym_not] = ACTIONS(2709),
    [anon_sym_compl] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2709),
    [anon_sym___alignof__] = ACTIONS(2709),
    [anon_sym___alignof] = ACTIONS(2709),
    [anon_sym__alignof] = ACTIONS(2709),
    [anon_sym_alignof] = ACTIONS(2709),
    [anon_sym__Alignof] = ACTIONS(2709),
    [anon_sym_offsetof] = ACTIONS(2709),
    [anon_sym__Generic] = ACTIONS(2709),
    [anon_sym_asm] = ACTIONS(2709),
    [anon_sym___asm__] = ACTIONS(2709),
    [anon_sym___asm] = ACTIONS(2709),
    [aux_sym_number_literal_token1] = ACTIONS(2714),
    [aux_sym_number_literal_token2] = ACTIONS(2709),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [anon_sym_NULL] = ACTIONS(2709),
    [anon_sym_nullptr] = ACTIONS(2709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2709),
    [anon_sym_decltype] = ACTIONS(2709),
    [anon_sym_typename] = ACTIONS(2709),
    [anon_sym_template] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_co_return] = ACTIONS(2709),
    [anon_sym_co_yield] = ACTIONS(2709),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_requires] = ACTIONS(2709),
    [sym_this] = ACTIONS(2709),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym___attribute] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym__Nonnull] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_PROGMEM] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [aux_sym_primitive_type_token1] = ACTIONS(2925),
    [anon_sym_byte] = ACTIONS(2925),
    [anon_sym_word] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [anon_sym___asm] = ACTIONS(2925),
    [aux_sym_number_literal_token1] = ACTIONS(2927),
    [aux_sym_number_literal_token2] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [856] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_LPAREN2] = ACTIONS(4092),
    [anon_sym_BANG] = ACTIONS(4092),
    [anon_sym_TILDE] = ACTIONS(4092),
    [anon_sym_DASH] = ACTIONS(4094),
    [anon_sym_PLUS] = ACTIONS(4094),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_SEMI] = ACTIONS(4092),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_virtual] = ACTIONS(4098),
    [anon_sym_extern] = ACTIONS(4098),
    [anon_sym___attribute__] = ACTIONS(4098),
    [anon_sym___attribute] = ACTIONS(4098),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(4092),
    [anon_sym_signed] = ACTIONS(4098),
    [anon_sym_unsigned] = ACTIONS(4098),
    [anon_sym_long] = ACTIONS(4098),
    [anon_sym_short] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_static] = ACTIONS(4098),
    [anon_sym_register] = ACTIONS(4098),
    [anon_sym_inline] = ACTIONS(4098),
    [anon_sym___inline] = ACTIONS(4098),
    [anon_sym___inline__] = ACTIONS(4098),
    [anon_sym___forceinline] = ACTIONS(4098),
    [anon_sym_thread_local] = ACTIONS(4098),
    [anon_sym___thread] = ACTIONS(4098),
    [anon_sym_const] = ACTIONS(4098),
    [anon_sym_constexpr] = ACTIONS(4098),
    [anon_sym_volatile] = ACTIONS(4098),
    [anon_sym_restrict] = ACTIONS(4098),
    [anon_sym___restrict__] = ACTIONS(4098),
    [anon_sym__Atomic] = ACTIONS(4098),
    [anon_sym__Noreturn] = ACTIONS(4098),
    [anon_sym_noreturn] = ACTIONS(4098),
    [anon_sym__Nonnull] = ACTIONS(4098),
    [anon_sym_mutable] = ACTIONS(4098),
    [anon_sym_constinit] = ACTIONS(4098),
    [anon_sym_consteval] = ACTIONS(4098),
    [anon_sym_PROGMEM] = ACTIONS(4098),
    [anon_sym_alignas] = ACTIONS(4098),
    [anon_sym__Alignas] = ACTIONS(4098),
    [aux_sym_primitive_type_token1] = ACTIONS(4086),
    [anon_sym_byte] = ACTIONS(4086),
    [anon_sym_word] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4098),
    [anon_sym_class] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4098),
    [anon_sym_union] = ACTIONS(4098),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_switch] = ACTIONS(4094),
    [anon_sym_case] = ACTIONS(4094),
    [anon_sym_default] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(4094),
    [anon_sym_do] = ACTIONS(4094),
    [anon_sym_for] = ACTIONS(4094),
    [anon_sym_return] = ACTIONS(4094),
    [anon_sym_break] = ACTIONS(4094),
    [anon_sym_continue] = ACTIONS(4094),
    [anon_sym_goto] = ACTIONS(4094),
    [anon_sym___try] = ACTIONS(4094),
    [anon_sym___leave] = ACTIONS(4094),
    [anon_sym_not] = ACTIONS(4094),
    [anon_sym_compl] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4092),
    [anon_sym_PLUS_PLUS] = ACTIONS(4092),
    [anon_sym_sizeof] = ACTIONS(4094),
    [anon_sym___alignof__] = ACTIONS(4094),
    [anon_sym___alignof] = ACTIONS(4094),
    [anon_sym__alignof] = ACTIONS(4094),
    [anon_sym_alignof] = ACTIONS(4094),
    [anon_sym__Alignof] = ACTIONS(4094),
    [anon_sym_offsetof] = ACTIONS(4094),
    [anon_sym__Generic] = ACTIONS(4094),
    [anon_sym_asm] = ACTIONS(4094),
    [anon_sym___asm__] = ACTIONS(4094),
    [anon_sym___asm] = ACTIONS(4094),
    [aux_sym_number_literal_token1] = ACTIONS(4092),
    [aux_sym_number_literal_token2] = ACTIONS(4094),
    [anon_sym_L_SQUOTE] = ACTIONS(4092),
    [anon_sym_u_SQUOTE] = ACTIONS(4092),
    [anon_sym_U_SQUOTE] = ACTIONS(4092),
    [anon_sym_u8_SQUOTE] = ACTIONS(4092),
    [anon_sym_SQUOTE] = ACTIONS(4092),
    [anon_sym_L_DQUOTE] = ACTIONS(4092),
    [anon_sym_u_DQUOTE] = ACTIONS(4092),
    [anon_sym_U_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8_DQUOTE] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(4092),
    [sym_true] = ACTIONS(4094),
    [sym_false] = ACTIONS(4094),
    [anon_sym_NULL] = ACTIONS(4094),
    [anon_sym_nullptr] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4098),
    [anon_sym_decltype] = ACTIONS(4086),
    [anon_sym_typename] = ACTIONS(4098),
    [anon_sym_template] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4094),
    [anon_sym_delete] = ACTIONS(4094),
    [anon_sym_throw] = ACTIONS(4094),
    [anon_sym_co_return] = ACTIONS(4094),
    [anon_sym_co_yield] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(4092),
    [anon_sym_LR_DQUOTE] = ACTIONS(4092),
    [anon_sym_uR_DQUOTE] = ACTIONS(4092),
    [anon_sym_UR_DQUOTE] = ACTIONS(4092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4092),
    [anon_sym_co_await] = ACTIONS(4094),
    [anon_sym_new] = ACTIONS(4094),
    [anon_sym_requires] = ACTIONS(4094),
    [sym_this] = ACTIONS(4094),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_goto] = ACTIONS(2777),
    [anon_sym___try] = ACTIONS(2777),
    [anon_sym___leave] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_compl] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_sizeof] = ACTIONS(2777),
    [anon_sym___alignof__] = ACTIONS(2777),
    [anon_sym___alignof] = ACTIONS(2777),
    [anon_sym__alignof] = ACTIONS(2777),
    [anon_sym_alignof] = ACTIONS(2777),
    [anon_sym__Alignof] = ACTIONS(2777),
    [anon_sym_offsetof] = ACTIONS(2777),
    [anon_sym__Generic] = ACTIONS(2777),
    [anon_sym_asm] = ACTIONS(2777),
    [anon_sym___asm__] = ACTIONS(2777),
    [anon_sym___asm] = ACTIONS(2777),
    [aux_sym_number_literal_token1] = ACTIONS(2779),
    [aux_sym_number_literal_token2] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2779),
    [anon_sym_u_SQUOTE] = ACTIONS(2779),
    [anon_sym_U_SQUOTE] = ACTIONS(2779),
    [anon_sym_u8_SQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_L_DQUOTE] = ACTIONS(2779),
    [anon_sym_u_DQUOTE] = ACTIONS(2779),
    [anon_sym_U_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8_DQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [anon_sym_NULL] = ACTIONS(2777),
    [anon_sym_nullptr] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_co_return] = ACTIONS(2777),
    [anon_sym_co_yield] = ACTIONS(2777),
    [anon_sym_R_DQUOTE] = ACTIONS(2779),
    [anon_sym_LR_DQUOTE] = ACTIONS(2779),
    [anon_sym_uR_DQUOTE] = ACTIONS(2779),
    [anon_sym_UR_DQUOTE] = ACTIONS(2779),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2779),
    [anon_sym_co_await] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_requires] = ACTIONS(2777),
    [sym_this] = ACTIONS(2777),
  },
  [858] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1574),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4143),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym___attribute] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym__Nonnull] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [anon_sym_PROGMEM] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym__Alignas] = ACTIONS(2877),
    [aux_sym_primitive_type_token1] = ACTIONS(2877),
    [anon_sym_byte] = ACTIONS(2877),
    [anon_sym_word] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [anon_sym___asm] = ACTIONS(2877),
    [aux_sym_number_literal_token1] = ACTIONS(2879),
    [aux_sym_number_literal_token2] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_LPAREN2] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_AMP] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym___extension__] = ACTIONS(2831),
    [anon_sym_typedef] = ACTIONS(2831),
    [anon_sym_virtual] = ACTIONS(2831),
    [anon_sym_extern] = ACTIONS(2831),
    [anon_sym___attribute__] = ACTIONS(2831),
    [anon_sym___attribute] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2833),
    [anon_sym___declspec] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_signed] = ACTIONS(2831),
    [anon_sym_unsigned] = ACTIONS(2831),
    [anon_sym_long] = ACTIONS(2831),
    [anon_sym_short] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2831),
    [anon_sym_register] = ACTIONS(2831),
    [anon_sym_inline] = ACTIONS(2831),
    [anon_sym___inline] = ACTIONS(2831),
    [anon_sym___inline__] = ACTIONS(2831),
    [anon_sym___forceinline] = ACTIONS(2831),
    [anon_sym_thread_local] = ACTIONS(2831),
    [anon_sym___thread] = ACTIONS(2831),
    [anon_sym_const] = ACTIONS(2831),
    [anon_sym_constexpr] = ACTIONS(2831),
    [anon_sym_volatile] = ACTIONS(2831),
    [anon_sym_restrict] = ACTIONS(2831),
    [anon_sym___restrict__] = ACTIONS(2831),
    [anon_sym__Atomic] = ACTIONS(2831),
    [anon_sym__Noreturn] = ACTIONS(2831),
    [anon_sym_noreturn] = ACTIONS(2831),
    [anon_sym__Nonnull] = ACTIONS(2831),
    [anon_sym_mutable] = ACTIONS(2831),
    [anon_sym_constinit] = ACTIONS(2831),
    [anon_sym_consteval] = ACTIONS(2831),
    [anon_sym_PROGMEM] = ACTIONS(2831),
    [anon_sym_alignas] = ACTIONS(2831),
    [anon_sym__Alignas] = ACTIONS(2831),
    [aux_sym_primitive_type_token1] = ACTIONS(2831),
    [anon_sym_byte] = ACTIONS(2831),
    [anon_sym_word] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2831),
    [anon_sym_struct] = ACTIONS(2831),
    [anon_sym_union] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2831),
    [anon_sym_switch] = ACTIONS(2831),
    [anon_sym_while] = ACTIONS(2831),
    [anon_sym_do] = ACTIONS(2831),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_return] = ACTIONS(2831),
    [anon_sym_break] = ACTIONS(2831),
    [anon_sym_continue] = ACTIONS(2831),
    [anon_sym_goto] = ACTIONS(2831),
    [anon_sym___try] = ACTIONS(2831),
    [anon_sym___leave] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2831),
    [anon_sym_compl] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_sizeof] = ACTIONS(2831),
    [anon_sym___alignof__] = ACTIONS(2831),
    [anon_sym___alignof] = ACTIONS(2831),
    [anon_sym__alignof] = ACTIONS(2831),
    [anon_sym_alignof] = ACTIONS(2831),
    [anon_sym__Alignof] = ACTIONS(2831),
    [anon_sym_offsetof] = ACTIONS(2831),
    [anon_sym__Generic] = ACTIONS(2831),
    [anon_sym_asm] = ACTIONS(2831),
    [anon_sym___asm__] = ACTIONS(2831),
    [anon_sym___asm] = ACTIONS(2831),
    [aux_sym_number_literal_token1] = ACTIONS(2833),
    [aux_sym_number_literal_token2] = ACTIONS(2831),
    [anon_sym_L_SQUOTE] = ACTIONS(2833),
    [anon_sym_u_SQUOTE] = ACTIONS(2833),
    [anon_sym_U_SQUOTE] = ACTIONS(2833),
    [anon_sym_u8_SQUOTE] = ACTIONS(2833),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_L_DQUOTE] = ACTIONS(2833),
    [anon_sym_u_DQUOTE] = ACTIONS(2833),
    [anon_sym_U_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8_DQUOTE] = ACTIONS(2833),
    [anon_sym_DQUOTE] = ACTIONS(2833),
    [sym_true] = ACTIONS(2831),
    [sym_false] = ACTIONS(2831),
    [anon_sym_NULL] = ACTIONS(2831),
    [anon_sym_nullptr] = ACTIONS(2831),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2831),
    [anon_sym_decltype] = ACTIONS(2831),
    [anon_sym_typename] = ACTIONS(2831),
    [anon_sym_template] = ACTIONS(2831),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_delete] = ACTIONS(2831),
    [anon_sym_throw] = ACTIONS(2831),
    [anon_sym_co_return] = ACTIONS(2831),
    [anon_sym_co_yield] = ACTIONS(2831),
    [anon_sym_R_DQUOTE] = ACTIONS(2833),
    [anon_sym_LR_DQUOTE] = ACTIONS(2833),
    [anon_sym_uR_DQUOTE] = ACTIONS(2833),
    [anon_sym_UR_DQUOTE] = ACTIONS(2833),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2833),
    [anon_sym_co_await] = ACTIONS(2831),
    [anon_sym_new] = ACTIONS(2831),
    [anon_sym_requires] = ACTIONS(2831),
    [sym_this] = ACTIONS(2831),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2847),
    [anon_sym_LPAREN2] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2849),
    [anon_sym_AMP] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym___extension__] = ACTIONS(2847),
    [anon_sym_typedef] = ACTIONS(2847),
    [anon_sym_virtual] = ACTIONS(2847),
    [anon_sym_extern] = ACTIONS(2847),
    [anon_sym___attribute__] = ACTIONS(2847),
    [anon_sym___attribute] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2849),
    [anon_sym___declspec] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2849),
    [anon_sym_signed] = ACTIONS(2847),
    [anon_sym_unsigned] = ACTIONS(2847),
    [anon_sym_long] = ACTIONS(2847),
    [anon_sym_short] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2847),
    [anon_sym_register] = ACTIONS(2847),
    [anon_sym_inline] = ACTIONS(2847),
    [anon_sym___inline] = ACTIONS(2847),
    [anon_sym___inline__] = ACTIONS(2847),
    [anon_sym___forceinline] = ACTIONS(2847),
    [anon_sym_thread_local] = ACTIONS(2847),
    [anon_sym___thread] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_constexpr] = ACTIONS(2847),
    [anon_sym_volatile] = ACTIONS(2847),
    [anon_sym_restrict] = ACTIONS(2847),
    [anon_sym___restrict__] = ACTIONS(2847),
    [anon_sym__Atomic] = ACTIONS(2847),
    [anon_sym__Noreturn] = ACTIONS(2847),
    [anon_sym_noreturn] = ACTIONS(2847),
    [anon_sym__Nonnull] = ACTIONS(2847),
    [anon_sym_mutable] = ACTIONS(2847),
    [anon_sym_constinit] = ACTIONS(2847),
    [anon_sym_consteval] = ACTIONS(2847),
    [anon_sym_PROGMEM] = ACTIONS(2847),
    [anon_sym_alignas] = ACTIONS(2847),
    [anon_sym__Alignas] = ACTIONS(2847),
    [aux_sym_primitive_type_token1] = ACTIONS(2847),
    [anon_sym_byte] = ACTIONS(2847),
    [anon_sym_word] = ACTIONS(2847),
    [anon_sym_enum] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2847),
    [anon_sym_struct] = ACTIONS(2847),
    [anon_sym_union] = ACTIONS(2847),
    [anon_sym_if] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_switch] = ACTIONS(2847),
    [anon_sym_while] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_return] = ACTIONS(2847),
    [anon_sym_break] = ACTIONS(2847),
    [anon_sym_continue] = ACTIONS(2847),
    [anon_sym_goto] = ACTIONS(2847),
    [anon_sym___try] = ACTIONS(2847),
    [anon_sym___leave] = ACTIONS(2847),
    [anon_sym_not] = ACTIONS(2847),
    [anon_sym_compl] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_sizeof] = ACTIONS(2847),
    [anon_sym___alignof__] = ACTIONS(2847),
    [anon_sym___alignof] = ACTIONS(2847),
    [anon_sym__alignof] = ACTIONS(2847),
    [anon_sym_alignof] = ACTIONS(2847),
    [anon_sym__Alignof] = ACTIONS(2847),
    [anon_sym_offsetof] = ACTIONS(2847),
    [anon_sym__Generic] = ACTIONS(2847),
    [anon_sym_asm] = ACTIONS(2847),
    [anon_sym___asm__] = ACTIONS(2847),
    [anon_sym___asm] = ACTIONS(2847),
    [aux_sym_number_literal_token1] = ACTIONS(2849),
    [aux_sym_number_literal_token2] = ACTIONS(2847),
    [anon_sym_L_SQUOTE] = ACTIONS(2849),
    [anon_sym_u_SQUOTE] = ACTIONS(2849),
    [anon_sym_U_SQUOTE] = ACTIONS(2849),
    [anon_sym_u8_SQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_L_DQUOTE] = ACTIONS(2849),
    [anon_sym_u_DQUOTE] = ACTIONS(2849),
    [anon_sym_U_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8_DQUOTE] = ACTIONS(2849),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [sym_true] = ACTIONS(2847),
    [sym_false] = ACTIONS(2847),
    [anon_sym_NULL] = ACTIONS(2847),
    [anon_sym_nullptr] = ACTIONS(2847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2847),
    [anon_sym_decltype] = ACTIONS(2847),
    [anon_sym_typename] = ACTIONS(2847),
    [anon_sym_template] = ACTIONS(2847),
    [anon_sym_try] = ACTIONS(2847),
    [anon_sym_delete] = ACTIONS(2847),
    [anon_sym_throw] = ACTIONS(2847),
    [anon_sym_co_return] = ACTIONS(2847),
    [anon_sym_co_yield] = ACTIONS(2847),
    [anon_sym_R_DQUOTE] = ACTIONS(2849),
    [anon_sym_LR_DQUOTE] = ACTIONS(2849),
    [anon_sym_uR_DQUOTE] = ACTIONS(2849),
    [anon_sym_UR_DQUOTE] = ACTIONS(2849),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2849),
    [anon_sym_co_await] = ACTIONS(2847),
    [anon_sym_new] = ACTIONS(2847),
    [anon_sym_requires] = ACTIONS(2847),
    [sym_this] = ACTIONS(2847),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_virtual] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym___attribute] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym__Nonnull] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_PROGMEM] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [aux_sym_primitive_type_token1] = ACTIONS(2793),
    [anon_sym_byte] = ACTIONS(2793),
    [anon_sym_word] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [anon_sym___asm] = ACTIONS(2793),
    [aux_sym_number_literal_token1] = ACTIONS(2795),
    [aux_sym_number_literal_token2] = ACTIONS(2793),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [864] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(3819),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3821),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_signed] = ACTIONS(3819),
    [anon_sym_unsigned] = ACTIONS(3819),
    [anon_sym_long] = ACTIONS(3819),
    [anon_sym_short] = ACTIONS(3819),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [aux_sym_primitive_type_token1] = ACTIONS(3819),
    [anon_sym_byte] = ACTIONS(3819),
    [anon_sym_word] = ACTIONS(3819),
    [anon_sym_enum] = ACTIONS(3819),
    [anon_sym_class] = ACTIONS(3819),
    [anon_sym_struct] = ACTIONS(3819),
    [anon_sym_union] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(3819),
    [anon_sym_switch] = ACTIONS(3819),
    [anon_sym_case] = ACTIONS(3819),
    [anon_sym_default] = ACTIONS(3819),
    [anon_sym_while] = ACTIONS(3819),
    [anon_sym_do] = ACTIONS(3819),
    [anon_sym_for] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3819),
    [anon_sym_break] = ACTIONS(3819),
    [anon_sym_continue] = ACTIONS(3819),
    [anon_sym_goto] = ACTIONS(3819),
    [anon_sym___try] = ACTIONS(3819),
    [anon_sym___leave] = ACTIONS(3819),
    [anon_sym_not] = ACTIONS(3819),
    [anon_sym_compl] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3821),
    [anon_sym_PLUS_PLUS] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3819),
    [anon_sym___alignof__] = ACTIONS(3819),
    [anon_sym___alignof] = ACTIONS(3819),
    [anon_sym__alignof] = ACTIONS(3819),
    [anon_sym_alignof] = ACTIONS(3819),
    [anon_sym__Alignof] = ACTIONS(3819),
    [anon_sym_offsetof] = ACTIONS(3819),
    [anon_sym__Generic] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [aux_sym_number_literal_token1] = ACTIONS(3821),
    [aux_sym_number_literal_token2] = ACTIONS(3819),
    [anon_sym_L_SQUOTE] = ACTIONS(3821),
    [anon_sym_u_SQUOTE] = ACTIONS(3821),
    [anon_sym_U_SQUOTE] = ACTIONS(3821),
    [anon_sym_u8_SQUOTE] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3821),
    [anon_sym_L_DQUOTE] = ACTIONS(3821),
    [anon_sym_u_DQUOTE] = ACTIONS(3821),
    [anon_sym_U_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8_DQUOTE] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3821),
    [sym_true] = ACTIONS(3819),
    [sym_false] = ACTIONS(3819),
    [anon_sym_NULL] = ACTIONS(3819),
    [anon_sym_nullptr] = ACTIONS(3819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3819),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_typename] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_delete] = ACTIONS(3819),
    [anon_sym_throw] = ACTIONS(3819),
    [anon_sym_co_return] = ACTIONS(3819),
    [anon_sym_co_yield] = ACTIONS(3819),
    [anon_sym_R_DQUOTE] = ACTIONS(3821),
    [anon_sym_LR_DQUOTE] = ACTIONS(3821),
    [anon_sym_uR_DQUOTE] = ACTIONS(3821),
    [anon_sym_UR_DQUOTE] = ACTIONS(3821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3821),
    [anon_sym_co_await] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
    [sym_this] = ACTIONS(3819),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [anon_sym___asm] = ACTIONS(2921),
    [aux_sym_number_literal_token1] = ACTIONS(2923),
    [aux_sym_number_literal_token2] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [anon_sym___asm] = ACTIONS(2823),
    [aux_sym_number_literal_token1] = ACTIONS(2825),
    [aux_sym_number_literal_token2] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym___attribute] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym__Nonnull] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_PROGMEM] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [aux_sym_primitive_type_token1] = ACTIONS(2913),
    [anon_sym_byte] = ACTIONS(2913),
    [anon_sym_word] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [anon_sym___asm] = ACTIONS(2913),
    [aux_sym_number_literal_token1] = ACTIONS(2915),
    [aux_sym_number_literal_token2] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym___attribute] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym__Nonnull] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [anon_sym_PROGMEM] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym__Alignas] = ACTIONS(2889),
    [aux_sym_primitive_type_token1] = ACTIONS(2889),
    [anon_sym_byte] = ACTIONS(2889),
    [anon_sym_word] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [anon_sym___asm] = ACTIONS(2889),
    [aux_sym_number_literal_token1] = ACTIONS(2891),
    [aux_sym_number_literal_token2] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym___attribute] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym__Nonnull] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [anon_sym_PROGMEM] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym__Alignas] = ACTIONS(2885),
    [aux_sym_primitive_type_token1] = ACTIONS(2885),
    [anon_sym_byte] = ACTIONS(2885),
    [anon_sym_word] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [anon_sym___asm] = ACTIONS(2885),
    [aux_sym_number_literal_token1] = ACTIONS(2887),
    [aux_sym_number_literal_token2] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym___attribute] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym__Nonnull] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [anon_sym_PROGMEM] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym__Alignas] = ACTIONS(2881),
    [aux_sym_primitive_type_token1] = ACTIONS(2881),
    [anon_sym_byte] = ACTIONS(2881),
    [anon_sym_word] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [anon_sym___asm] = ACTIONS(2881),
    [aux_sym_number_literal_token1] = ACTIONS(2883),
    [aux_sym_number_literal_token2] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym___attribute] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym__Nonnull] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [anon_sym_PROGMEM] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym__Alignas] = ACTIONS(2873),
    [aux_sym_primitive_type_token1] = ACTIONS(2873),
    [anon_sym_byte] = ACTIONS(2873),
    [anon_sym_word] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [anon_sym___asm] = ACTIONS(2873),
    [aux_sym_number_literal_token1] = ACTIONS(2875),
    [aux_sym_number_literal_token2] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2843),
    [anon_sym_LPAREN2] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym___extension__] = ACTIONS(2843),
    [anon_sym_typedef] = ACTIONS(2843),
    [anon_sym_virtual] = ACTIONS(2843),
    [anon_sym_extern] = ACTIONS(2843),
    [anon_sym___attribute__] = ACTIONS(2843),
    [anon_sym___attribute] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2845),
    [anon_sym___declspec] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_signed] = ACTIONS(2843),
    [anon_sym_unsigned] = ACTIONS(2843),
    [anon_sym_long] = ACTIONS(2843),
    [anon_sym_short] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2843),
    [anon_sym_register] = ACTIONS(2843),
    [anon_sym_inline] = ACTIONS(2843),
    [anon_sym___inline] = ACTIONS(2843),
    [anon_sym___inline__] = ACTIONS(2843),
    [anon_sym___forceinline] = ACTIONS(2843),
    [anon_sym_thread_local] = ACTIONS(2843),
    [anon_sym___thread] = ACTIONS(2843),
    [anon_sym_const] = ACTIONS(2843),
    [anon_sym_constexpr] = ACTIONS(2843),
    [anon_sym_volatile] = ACTIONS(2843),
    [anon_sym_restrict] = ACTIONS(2843),
    [anon_sym___restrict__] = ACTIONS(2843),
    [anon_sym__Atomic] = ACTIONS(2843),
    [anon_sym__Noreturn] = ACTIONS(2843),
    [anon_sym_noreturn] = ACTIONS(2843),
    [anon_sym__Nonnull] = ACTIONS(2843),
    [anon_sym_mutable] = ACTIONS(2843),
    [anon_sym_constinit] = ACTIONS(2843),
    [anon_sym_consteval] = ACTIONS(2843),
    [anon_sym_PROGMEM] = ACTIONS(2843),
    [anon_sym_alignas] = ACTIONS(2843),
    [anon_sym__Alignas] = ACTIONS(2843),
    [aux_sym_primitive_type_token1] = ACTIONS(2843),
    [anon_sym_byte] = ACTIONS(2843),
    [anon_sym_word] = ACTIONS(2843),
    [anon_sym_enum] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2843),
    [anon_sym_struct] = ACTIONS(2843),
    [anon_sym_union] = ACTIONS(2843),
    [anon_sym_if] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2843),
    [anon_sym_switch] = ACTIONS(2843),
    [anon_sym_while] = ACTIONS(2843),
    [anon_sym_do] = ACTIONS(2843),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_return] = ACTIONS(2843),
    [anon_sym_break] = ACTIONS(2843),
    [anon_sym_continue] = ACTIONS(2843),
    [anon_sym_goto] = ACTIONS(2843),
    [anon_sym___try] = ACTIONS(2843),
    [anon_sym___leave] = ACTIONS(2843),
    [anon_sym_not] = ACTIONS(2843),
    [anon_sym_compl] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_sizeof] = ACTIONS(2843),
    [anon_sym___alignof__] = ACTIONS(2843),
    [anon_sym___alignof] = ACTIONS(2843),
    [anon_sym__alignof] = ACTIONS(2843),
    [anon_sym_alignof] = ACTIONS(2843),
    [anon_sym__Alignof] = ACTIONS(2843),
    [anon_sym_offsetof] = ACTIONS(2843),
    [anon_sym__Generic] = ACTIONS(2843),
    [anon_sym_asm] = ACTIONS(2843),
    [anon_sym___asm__] = ACTIONS(2843),
    [anon_sym___asm] = ACTIONS(2843),
    [aux_sym_number_literal_token1] = ACTIONS(2845),
    [aux_sym_number_literal_token2] = ACTIONS(2843),
    [anon_sym_L_SQUOTE] = ACTIONS(2845),
    [anon_sym_u_SQUOTE] = ACTIONS(2845),
    [anon_sym_U_SQUOTE] = ACTIONS(2845),
    [anon_sym_u8_SQUOTE] = ACTIONS(2845),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_L_DQUOTE] = ACTIONS(2845),
    [anon_sym_u_DQUOTE] = ACTIONS(2845),
    [anon_sym_U_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8_DQUOTE] = ACTIONS(2845),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_true] = ACTIONS(2843),
    [sym_false] = ACTIONS(2843),
    [anon_sym_NULL] = ACTIONS(2843),
    [anon_sym_nullptr] = ACTIONS(2843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2843),
    [anon_sym_decltype] = ACTIONS(2843),
    [anon_sym_typename] = ACTIONS(2843),
    [anon_sym_template] = ACTIONS(2843),
    [anon_sym_try] = ACTIONS(2843),
    [anon_sym_delete] = ACTIONS(2843),
    [anon_sym_throw] = ACTIONS(2843),
    [anon_sym_co_return] = ACTIONS(2843),
    [anon_sym_co_yield] = ACTIONS(2843),
    [anon_sym_R_DQUOTE] = ACTIONS(2845),
    [anon_sym_LR_DQUOTE] = ACTIONS(2845),
    [anon_sym_uR_DQUOTE] = ACTIONS(2845),
    [anon_sym_UR_DQUOTE] = ACTIONS(2845),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2845),
    [anon_sym_co_await] = ACTIONS(2843),
    [anon_sym_new] = ACTIONS(2843),
    [anon_sym_requires] = ACTIONS(2843),
    [sym_this] = ACTIONS(2843),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_goto] = ACTIONS(2781),
    [anon_sym___try] = ACTIONS(2781),
    [anon_sym___leave] = ACTIONS(2781),
    [anon_sym_not] = ACTIONS(2781),
    [anon_sym_compl] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_sizeof] = ACTIONS(2781),
    [anon_sym___alignof__] = ACTIONS(2781),
    [anon_sym___alignof] = ACTIONS(2781),
    [anon_sym__alignof] = ACTIONS(2781),
    [anon_sym_alignof] = ACTIONS(2781),
    [anon_sym__Alignof] = ACTIONS(2781),
    [anon_sym_offsetof] = ACTIONS(2781),
    [anon_sym__Generic] = ACTIONS(2781),
    [anon_sym_asm] = ACTIONS(2781),
    [anon_sym___asm__] = ACTIONS(2781),
    [anon_sym___asm] = ACTIONS(2781),
    [aux_sym_number_literal_token1] = ACTIONS(2783),
    [aux_sym_number_literal_token2] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2783),
    [anon_sym_u_SQUOTE] = ACTIONS(2783),
    [anon_sym_U_SQUOTE] = ACTIONS(2783),
    [anon_sym_u8_SQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_L_DQUOTE] = ACTIONS(2783),
    [anon_sym_u_DQUOTE] = ACTIONS(2783),
    [anon_sym_U_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8_DQUOTE] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [anon_sym_NULL] = ACTIONS(2781),
    [anon_sym_nullptr] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_co_return] = ACTIONS(2781),
    [anon_sym_co_yield] = ACTIONS(2781),
    [anon_sym_R_DQUOTE] = ACTIONS(2783),
    [anon_sym_LR_DQUOTE] = ACTIONS(2783),
    [anon_sym_uR_DQUOTE] = ACTIONS(2783),
    [anon_sym_UR_DQUOTE] = ACTIONS(2783),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2783),
    [anon_sym_co_await] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_requires] = ACTIONS(2781),
    [sym_this] = ACTIONS(2781),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2775),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2773),
    [anon_sym_typedef] = ACTIONS(2773),
    [anon_sym_virtual] = ACTIONS(2773),
    [anon_sym_extern] = ACTIONS(2773),
    [anon_sym___attribute__] = ACTIONS(2773),
    [anon_sym___attribute] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(2775),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2775),
    [anon_sym___declspec] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2773),
    [anon_sym_unsigned] = ACTIONS(2773),
    [anon_sym_long] = ACTIONS(2773),
    [anon_sym_short] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2773),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_register] = ACTIONS(2773),
    [anon_sym_inline] = ACTIONS(2773),
    [anon_sym___inline] = ACTIONS(2773),
    [anon_sym___inline__] = ACTIONS(2773),
    [anon_sym___forceinline] = ACTIONS(2773),
    [anon_sym_thread_local] = ACTIONS(2773),
    [anon_sym___thread] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_constexpr] = ACTIONS(2773),
    [anon_sym_volatile] = ACTIONS(2773),
    [anon_sym_restrict] = ACTIONS(2773),
    [anon_sym___restrict__] = ACTIONS(2773),
    [anon_sym__Atomic] = ACTIONS(2773),
    [anon_sym__Noreturn] = ACTIONS(2773),
    [anon_sym_noreturn] = ACTIONS(2773),
    [anon_sym__Nonnull] = ACTIONS(2773),
    [anon_sym_mutable] = ACTIONS(2773),
    [anon_sym_constinit] = ACTIONS(2773),
    [anon_sym_consteval] = ACTIONS(2773),
    [anon_sym_PROGMEM] = ACTIONS(2773),
    [anon_sym_alignas] = ACTIONS(2773),
    [anon_sym__Alignas] = ACTIONS(2773),
    [aux_sym_primitive_type_token1] = ACTIONS(2773),
    [anon_sym_byte] = ACTIONS(2773),
    [anon_sym_word] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_struct] = ACTIONS(2773),
    [anon_sym_union] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_goto] = ACTIONS(2773),
    [anon_sym___try] = ACTIONS(2773),
    [anon_sym___leave] = ACTIONS(2773),
    [anon_sym_not] = ACTIONS(2773),
    [anon_sym_compl] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_sizeof] = ACTIONS(2773),
    [anon_sym___alignof__] = ACTIONS(2773),
    [anon_sym___alignof] = ACTIONS(2773),
    [anon_sym__alignof] = ACTIONS(2773),
    [anon_sym_alignof] = ACTIONS(2773),
    [anon_sym__Alignof] = ACTIONS(2773),
    [anon_sym_offsetof] = ACTIONS(2773),
    [anon_sym__Generic] = ACTIONS(2773),
    [anon_sym_asm] = ACTIONS(2773),
    [anon_sym___asm__] = ACTIONS(2773),
    [anon_sym___asm] = ACTIONS(2773),
    [aux_sym_number_literal_token1] = ACTIONS(2775),
    [aux_sym_number_literal_token2] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2775),
    [anon_sym_u_SQUOTE] = ACTIONS(2775),
    [anon_sym_U_SQUOTE] = ACTIONS(2775),
    [anon_sym_u8_SQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_L_DQUOTE] = ACTIONS(2775),
    [anon_sym_u_DQUOTE] = ACTIONS(2775),
    [anon_sym_U_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8_DQUOTE] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [anon_sym_NULL] = ACTIONS(2773),
    [anon_sym_nullptr] = ACTIONS(2773),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2773),
    [anon_sym_decltype] = ACTIONS(2773),
    [anon_sym_typename] = ACTIONS(2773),
    [anon_sym_template] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_co_return] = ACTIONS(2773),
    [anon_sym_co_yield] = ACTIONS(2773),
    [anon_sym_R_DQUOTE] = ACTIONS(2775),
    [anon_sym_LR_DQUOTE] = ACTIONS(2775),
    [anon_sym_uR_DQUOTE] = ACTIONS(2775),
    [anon_sym_UR_DQUOTE] = ACTIONS(2775),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2775),
    [anon_sym_co_await] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_requires] = ACTIONS(2773),
    [sym_this] = ACTIONS(2773),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2835),
    [anon_sym_LPAREN2] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2837),
    [anon_sym_AMP] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym___extension__] = ACTIONS(2835),
    [anon_sym_typedef] = ACTIONS(2835),
    [anon_sym_virtual] = ACTIONS(2835),
    [anon_sym_extern] = ACTIONS(2835),
    [anon_sym___attribute__] = ACTIONS(2835),
    [anon_sym___attribute] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2837),
    [anon_sym___declspec] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2837),
    [anon_sym_signed] = ACTIONS(2835),
    [anon_sym_unsigned] = ACTIONS(2835),
    [anon_sym_long] = ACTIONS(2835),
    [anon_sym_short] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2835),
    [anon_sym_register] = ACTIONS(2835),
    [anon_sym_inline] = ACTIONS(2835),
    [anon_sym___inline] = ACTIONS(2835),
    [anon_sym___inline__] = ACTIONS(2835),
    [anon_sym___forceinline] = ACTIONS(2835),
    [anon_sym_thread_local] = ACTIONS(2835),
    [anon_sym___thread] = ACTIONS(2835),
    [anon_sym_const] = ACTIONS(2835),
    [anon_sym_constexpr] = ACTIONS(2835),
    [anon_sym_volatile] = ACTIONS(2835),
    [anon_sym_restrict] = ACTIONS(2835),
    [anon_sym___restrict__] = ACTIONS(2835),
    [anon_sym__Atomic] = ACTIONS(2835),
    [anon_sym__Noreturn] = ACTIONS(2835),
    [anon_sym_noreturn] = ACTIONS(2835),
    [anon_sym__Nonnull] = ACTIONS(2835),
    [anon_sym_mutable] = ACTIONS(2835),
    [anon_sym_constinit] = ACTIONS(2835),
    [anon_sym_consteval] = ACTIONS(2835),
    [anon_sym_PROGMEM] = ACTIONS(2835),
    [anon_sym_alignas] = ACTIONS(2835),
    [anon_sym__Alignas] = ACTIONS(2835),
    [aux_sym_primitive_type_token1] = ACTIONS(2835),
    [anon_sym_byte] = ACTIONS(2835),
    [anon_sym_word] = ACTIONS(2835),
    [anon_sym_enum] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2835),
    [anon_sym_union] = ACTIONS(2835),
    [anon_sym_if] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2835),
    [anon_sym_switch] = ACTIONS(2835),
    [anon_sym_while] = ACTIONS(2835),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_return] = ACTIONS(2835),
    [anon_sym_break] = ACTIONS(2835),
    [anon_sym_continue] = ACTIONS(2835),
    [anon_sym_goto] = ACTIONS(2835),
    [anon_sym___try] = ACTIONS(2835),
    [anon_sym___leave] = ACTIONS(2835),
    [anon_sym_not] = ACTIONS(2835),
    [anon_sym_compl] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_sizeof] = ACTIONS(2835),
    [anon_sym___alignof__] = ACTIONS(2835),
    [anon_sym___alignof] = ACTIONS(2835),
    [anon_sym__alignof] = ACTIONS(2835),
    [anon_sym_alignof] = ACTIONS(2835),
    [anon_sym__Alignof] = ACTIONS(2835),
    [anon_sym_offsetof] = ACTIONS(2835),
    [anon_sym__Generic] = ACTIONS(2835),
    [anon_sym_asm] = ACTIONS(2835),
    [anon_sym___asm__] = ACTIONS(2835),
    [anon_sym___asm] = ACTIONS(2835),
    [aux_sym_number_literal_token1] = ACTIONS(2837),
    [aux_sym_number_literal_token2] = ACTIONS(2835),
    [anon_sym_L_SQUOTE] = ACTIONS(2837),
    [anon_sym_u_SQUOTE] = ACTIONS(2837),
    [anon_sym_U_SQUOTE] = ACTIONS(2837),
    [anon_sym_u8_SQUOTE] = ACTIONS(2837),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_L_DQUOTE] = ACTIONS(2837),
    [anon_sym_u_DQUOTE] = ACTIONS(2837),
    [anon_sym_U_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8_DQUOTE] = ACTIONS(2837),
    [anon_sym_DQUOTE] = ACTIONS(2837),
    [sym_true] = ACTIONS(2835),
    [sym_false] = ACTIONS(2835),
    [anon_sym_NULL] = ACTIONS(2835),
    [anon_sym_nullptr] = ACTIONS(2835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2835),
    [anon_sym_decltype] = ACTIONS(2835),
    [anon_sym_typename] = ACTIONS(2835),
    [anon_sym_template] = ACTIONS(2835),
    [anon_sym_try] = ACTIONS(2835),
    [anon_sym_delete] = ACTIONS(2835),
    [anon_sym_throw] = ACTIONS(2835),
    [anon_sym_co_return] = ACTIONS(2835),
    [anon_sym_co_yield] = ACTIONS(2835),
    [anon_sym_R_DQUOTE] = ACTIONS(2837),
    [anon_sym_LR_DQUOTE] = ACTIONS(2837),
    [anon_sym_uR_DQUOTE] = ACTIONS(2837),
    [anon_sym_UR_DQUOTE] = ACTIONS(2837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2837),
    [anon_sym_co_await] = ACTIONS(2835),
    [anon_sym_new] = ACTIONS(2835),
    [anon_sym_requires] = ACTIONS(2835),
    [sym_this] = ACTIONS(2835),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_LPAREN2] = ACTIONS(2771),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2769),
    [anon_sym_typedef] = ACTIONS(2769),
    [anon_sym_virtual] = ACTIONS(2769),
    [anon_sym_extern] = ACTIONS(2769),
    [anon_sym___attribute__] = ACTIONS(2769),
    [anon_sym___attribute] = ACTIONS(2769),
    [anon_sym_COLON_COLON] = ACTIONS(2771),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2771),
    [anon_sym___declspec] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2769),
    [anon_sym_unsigned] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_register] = ACTIONS(2769),
    [anon_sym_inline] = ACTIONS(2769),
    [anon_sym___inline] = ACTIONS(2769),
    [anon_sym___inline__] = ACTIONS(2769),
    [anon_sym___forceinline] = ACTIONS(2769),
    [anon_sym_thread_local] = ACTIONS(2769),
    [anon_sym___thread] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_constexpr] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_restrict] = ACTIONS(2769),
    [anon_sym___restrict__] = ACTIONS(2769),
    [anon_sym__Atomic] = ACTIONS(2769),
    [anon_sym__Noreturn] = ACTIONS(2769),
    [anon_sym_noreturn] = ACTIONS(2769),
    [anon_sym__Nonnull] = ACTIONS(2769),
    [anon_sym_mutable] = ACTIONS(2769),
    [anon_sym_constinit] = ACTIONS(2769),
    [anon_sym_consteval] = ACTIONS(2769),
    [anon_sym_PROGMEM] = ACTIONS(2769),
    [anon_sym_alignas] = ACTIONS(2769),
    [anon_sym__Alignas] = ACTIONS(2769),
    [aux_sym_primitive_type_token1] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_word] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(2769),
    [anon_sym_union] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_goto] = ACTIONS(2769),
    [anon_sym___try] = ACTIONS(2769),
    [anon_sym___leave] = ACTIONS(2769),
    [anon_sym_not] = ACTIONS(2769),
    [anon_sym_compl] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_sizeof] = ACTIONS(2769),
    [anon_sym___alignof__] = ACTIONS(2769),
    [anon_sym___alignof] = ACTIONS(2769),
    [anon_sym__alignof] = ACTIONS(2769),
    [anon_sym_alignof] = ACTIONS(2769),
    [anon_sym__Alignof] = ACTIONS(2769),
    [anon_sym_offsetof] = ACTIONS(2769),
    [anon_sym__Generic] = ACTIONS(2769),
    [anon_sym_asm] = ACTIONS(2769),
    [anon_sym___asm__] = ACTIONS(2769),
    [anon_sym___asm] = ACTIONS(2769),
    [aux_sym_number_literal_token1] = ACTIONS(2771),
    [aux_sym_number_literal_token2] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2771),
    [anon_sym_u_SQUOTE] = ACTIONS(2771),
    [anon_sym_U_SQUOTE] = ACTIONS(2771),
    [anon_sym_u8_SQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_L_DQUOTE] = ACTIONS(2771),
    [anon_sym_u_DQUOTE] = ACTIONS(2771),
    [anon_sym_U_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8_DQUOTE] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_NULL] = ACTIONS(2769),
    [anon_sym_nullptr] = ACTIONS(2769),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2769),
    [anon_sym_decltype] = ACTIONS(2769),
    [anon_sym_typename] = ACTIONS(2769),
    [anon_sym_template] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_co_return] = ACTIONS(2769),
    [anon_sym_co_yield] = ACTIONS(2769),
    [anon_sym_R_DQUOTE] = ACTIONS(2771),
    [anon_sym_LR_DQUOTE] = ACTIONS(2771),
    [anon_sym_uR_DQUOTE] = ACTIONS(2771),
    [anon_sym_UR_DQUOTE] = ACTIONS(2771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2771),
    [anon_sym_co_await] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_requires] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2819),
    [anon_sym_LPAREN2] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2819),
    [anon_sym_typedef] = ACTIONS(2819),
    [anon_sym_virtual] = ACTIONS(2819),
    [anon_sym_extern] = ACTIONS(2819),
    [anon_sym___attribute__] = ACTIONS(2819),
    [anon_sym___attribute] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2821),
    [anon_sym___declspec] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2819),
    [anon_sym_unsigned] = ACTIONS(2819),
    [anon_sym_long] = ACTIONS(2819),
    [anon_sym_short] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2819),
    [anon_sym_register] = ACTIONS(2819),
    [anon_sym_inline] = ACTIONS(2819),
    [anon_sym___inline] = ACTIONS(2819),
    [anon_sym___inline__] = ACTIONS(2819),
    [anon_sym___forceinline] = ACTIONS(2819),
    [anon_sym_thread_local] = ACTIONS(2819),
    [anon_sym___thread] = ACTIONS(2819),
    [anon_sym_const] = ACTIONS(2819),
    [anon_sym_constexpr] = ACTIONS(2819),
    [anon_sym_volatile] = ACTIONS(2819),
    [anon_sym_restrict] = ACTIONS(2819),
    [anon_sym___restrict__] = ACTIONS(2819),
    [anon_sym__Atomic] = ACTIONS(2819),
    [anon_sym__Noreturn] = ACTIONS(2819),
    [anon_sym_noreturn] = ACTIONS(2819),
    [anon_sym__Nonnull] = ACTIONS(2819),
    [anon_sym_mutable] = ACTIONS(2819),
    [anon_sym_constinit] = ACTIONS(2819),
    [anon_sym_consteval] = ACTIONS(2819),
    [anon_sym_PROGMEM] = ACTIONS(2819),
    [anon_sym_alignas] = ACTIONS(2819),
    [anon_sym__Alignas] = ACTIONS(2819),
    [aux_sym_primitive_type_token1] = ACTIONS(2819),
    [anon_sym_byte] = ACTIONS(2819),
    [anon_sym_word] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2819),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2819),
    [anon_sym_switch] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_do] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_return] = ACTIONS(2819),
    [anon_sym_break] = ACTIONS(2819),
    [anon_sym_continue] = ACTIONS(2819),
    [anon_sym_goto] = ACTIONS(2819),
    [anon_sym___try] = ACTIONS(2819),
    [anon_sym___leave] = ACTIONS(2819),
    [anon_sym_not] = ACTIONS(2819),
    [anon_sym_compl] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_sizeof] = ACTIONS(2819),
    [anon_sym___alignof__] = ACTIONS(2819),
    [anon_sym___alignof] = ACTIONS(2819),
    [anon_sym__alignof] = ACTIONS(2819),
    [anon_sym_alignof] = ACTIONS(2819),
    [anon_sym__Alignof] = ACTIONS(2819),
    [anon_sym_offsetof] = ACTIONS(2819),
    [anon_sym__Generic] = ACTIONS(2819),
    [anon_sym_asm] = ACTIONS(2819),
    [anon_sym___asm__] = ACTIONS(2819),
    [anon_sym___asm] = ACTIONS(2819),
    [aux_sym_number_literal_token1] = ACTIONS(2821),
    [aux_sym_number_literal_token2] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2821),
    [anon_sym_u_SQUOTE] = ACTIONS(2821),
    [anon_sym_U_SQUOTE] = ACTIONS(2821),
    [anon_sym_u8_SQUOTE] = ACTIONS(2821),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_L_DQUOTE] = ACTIONS(2821),
    [anon_sym_u_DQUOTE] = ACTIONS(2821),
    [anon_sym_U_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8_DQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2821),
    [sym_true] = ACTIONS(2819),
    [sym_false] = ACTIONS(2819),
    [anon_sym_NULL] = ACTIONS(2819),
    [anon_sym_nullptr] = ACTIONS(2819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2819),
    [anon_sym_decltype] = ACTIONS(2819),
    [anon_sym_typename] = ACTIONS(2819),
    [anon_sym_template] = ACTIONS(2819),
    [anon_sym_try] = ACTIONS(2819),
    [anon_sym_delete] = ACTIONS(2819),
    [anon_sym_throw] = ACTIONS(2819),
    [anon_sym_co_return] = ACTIONS(2819),
    [anon_sym_co_yield] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2821),
    [anon_sym_LR_DQUOTE] = ACTIONS(2821),
    [anon_sym_uR_DQUOTE] = ACTIONS(2821),
    [anon_sym_UR_DQUOTE] = ACTIONS(2821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2821),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2819),
    [anon_sym_requires] = ACTIONS(2819),
    [sym_this] = ACTIONS(2819),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [anon_sym___asm] = ACTIONS(2801),
    [aux_sym_number_literal_token1] = ACTIONS(2803),
    [aux_sym_number_literal_token2] = ACTIONS(2801),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2839),
    [anon_sym_LPAREN2] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2841),
    [anon_sym_AMP] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym___extension__] = ACTIONS(2839),
    [anon_sym_typedef] = ACTIONS(2839),
    [anon_sym_virtual] = ACTIONS(2839),
    [anon_sym_extern] = ACTIONS(2839),
    [anon_sym___attribute__] = ACTIONS(2839),
    [anon_sym___attribute] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2841),
    [anon_sym___declspec] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2841),
    [anon_sym_signed] = ACTIONS(2839),
    [anon_sym_unsigned] = ACTIONS(2839),
    [anon_sym_long] = ACTIONS(2839),
    [anon_sym_short] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2839),
    [anon_sym_register] = ACTIONS(2839),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym___inline] = ACTIONS(2839),
    [anon_sym___inline__] = ACTIONS(2839),
    [anon_sym___forceinline] = ACTIONS(2839),
    [anon_sym_thread_local] = ACTIONS(2839),
    [anon_sym___thread] = ACTIONS(2839),
    [anon_sym_const] = ACTIONS(2839),
    [anon_sym_constexpr] = ACTIONS(2839),
    [anon_sym_volatile] = ACTIONS(2839),
    [anon_sym_restrict] = ACTIONS(2839),
    [anon_sym___restrict__] = ACTIONS(2839),
    [anon_sym__Atomic] = ACTIONS(2839),
    [anon_sym__Noreturn] = ACTIONS(2839),
    [anon_sym_noreturn] = ACTIONS(2839),
    [anon_sym__Nonnull] = ACTIONS(2839),
    [anon_sym_mutable] = ACTIONS(2839),
    [anon_sym_constinit] = ACTIONS(2839),
    [anon_sym_consteval] = ACTIONS(2839),
    [anon_sym_PROGMEM] = ACTIONS(2839),
    [anon_sym_alignas] = ACTIONS(2839),
    [anon_sym__Alignas] = ACTIONS(2839),
    [aux_sym_primitive_type_token1] = ACTIONS(2839),
    [anon_sym_byte] = ACTIONS(2839),
    [anon_sym_word] = ACTIONS(2839),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2839),
    [anon_sym_struct] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2839),
    [anon_sym_if] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2839),
    [anon_sym_switch] = ACTIONS(2839),
    [anon_sym_while] = ACTIONS(2839),
    [anon_sym_do] = ACTIONS(2839),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_break] = ACTIONS(2839),
    [anon_sym_continue] = ACTIONS(2839),
    [anon_sym_goto] = ACTIONS(2839),
    [anon_sym___try] = ACTIONS(2839),
    [anon_sym___leave] = ACTIONS(2839),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_compl] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_sizeof] = ACTIONS(2839),
    [anon_sym___alignof__] = ACTIONS(2839),
    [anon_sym___alignof] = ACTIONS(2839),
    [anon_sym__alignof] = ACTIONS(2839),
    [anon_sym_alignof] = ACTIONS(2839),
    [anon_sym__Alignof] = ACTIONS(2839),
    [anon_sym_offsetof] = ACTIONS(2839),
    [anon_sym__Generic] = ACTIONS(2839),
    [anon_sym_asm] = ACTIONS(2839),
    [anon_sym___asm__] = ACTIONS(2839),
    [anon_sym___asm] = ACTIONS(2839),
    [aux_sym_number_literal_token1] = ACTIONS(2841),
    [aux_sym_number_literal_token2] = ACTIONS(2839),
    [anon_sym_L_SQUOTE] = ACTIONS(2841),
    [anon_sym_u_SQUOTE] = ACTIONS(2841),
    [anon_sym_U_SQUOTE] = ACTIONS(2841),
    [anon_sym_u8_SQUOTE] = ACTIONS(2841),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_L_DQUOTE] = ACTIONS(2841),
    [anon_sym_u_DQUOTE] = ACTIONS(2841),
    [anon_sym_U_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8_DQUOTE] = ACTIONS(2841),
    [anon_sym_DQUOTE] = ACTIONS(2841),
    [sym_true] = ACTIONS(2839),
    [sym_false] = ACTIONS(2839),
    [anon_sym_NULL] = ACTIONS(2839),
    [anon_sym_nullptr] = ACTIONS(2839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2839),
    [anon_sym_decltype] = ACTIONS(2839),
    [anon_sym_typename] = ACTIONS(2839),
    [anon_sym_template] = ACTIONS(2839),
    [anon_sym_try] = ACTIONS(2839),
    [anon_sym_delete] = ACTIONS(2839),
    [anon_sym_throw] = ACTIONS(2839),
    [anon_sym_co_return] = ACTIONS(2839),
    [anon_sym_co_yield] = ACTIONS(2839),
    [anon_sym_R_DQUOTE] = ACTIONS(2841),
    [anon_sym_LR_DQUOTE] = ACTIONS(2841),
    [anon_sym_uR_DQUOTE] = ACTIONS(2841),
    [anon_sym_UR_DQUOTE] = ACTIONS(2841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2841),
    [anon_sym_co_await] = ACTIONS(2839),
    [anon_sym_new] = ACTIONS(2839),
    [anon_sym_requires] = ACTIONS(2839),
    [sym_this] = ACTIONS(2839),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2785),
    [anon_sym_typedef] = ACTIONS(2785),
    [anon_sym_virtual] = ACTIONS(2785),
    [anon_sym_extern] = ACTIONS(2785),
    [anon_sym___attribute__] = ACTIONS(2785),
    [anon_sym___attribute] = ACTIONS(2785),
    [anon_sym_COLON_COLON] = ACTIONS(2787),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2787),
    [anon_sym___declspec] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_signed] = ACTIONS(2785),
    [anon_sym_unsigned] = ACTIONS(2785),
    [anon_sym_long] = ACTIONS(2785),
    [anon_sym_short] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_register] = ACTIONS(2785),
    [anon_sym_inline] = ACTIONS(2785),
    [anon_sym___inline] = ACTIONS(2785),
    [anon_sym___inline__] = ACTIONS(2785),
    [anon_sym___forceinline] = ACTIONS(2785),
    [anon_sym_thread_local] = ACTIONS(2785),
    [anon_sym___thread] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_constexpr] = ACTIONS(2785),
    [anon_sym_volatile] = ACTIONS(2785),
    [anon_sym_restrict] = ACTIONS(2785),
    [anon_sym___restrict__] = ACTIONS(2785),
    [anon_sym__Atomic] = ACTIONS(2785),
    [anon_sym__Noreturn] = ACTIONS(2785),
    [anon_sym_noreturn] = ACTIONS(2785),
    [anon_sym__Nonnull] = ACTIONS(2785),
    [anon_sym_mutable] = ACTIONS(2785),
    [anon_sym_constinit] = ACTIONS(2785),
    [anon_sym_consteval] = ACTIONS(2785),
    [anon_sym_PROGMEM] = ACTIONS(2785),
    [anon_sym_alignas] = ACTIONS(2785),
    [anon_sym__Alignas] = ACTIONS(2785),
    [aux_sym_primitive_type_token1] = ACTIONS(2785),
    [anon_sym_byte] = ACTIONS(2785),
    [anon_sym_word] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2785),
    [anon_sym_union] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2785),
    [anon_sym_not] = ACTIONS(2785),
    [anon_sym_compl] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_sizeof] = ACTIONS(2785),
    [anon_sym___alignof__] = ACTIONS(2785),
    [anon_sym___alignof] = ACTIONS(2785),
    [anon_sym__alignof] = ACTIONS(2785),
    [anon_sym_alignof] = ACTIONS(2785),
    [anon_sym__Alignof] = ACTIONS(2785),
    [anon_sym_offsetof] = ACTIONS(2785),
    [anon_sym__Generic] = ACTIONS(2785),
    [anon_sym_asm] = ACTIONS(2785),
    [anon_sym___asm__] = ACTIONS(2785),
    [anon_sym___asm] = ACTIONS(2785),
    [aux_sym_number_literal_token1] = ACTIONS(2787),
    [aux_sym_number_literal_token2] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2787),
    [anon_sym_u_SQUOTE] = ACTIONS(2787),
    [anon_sym_U_SQUOTE] = ACTIONS(2787),
    [anon_sym_u8_SQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_L_DQUOTE] = ACTIONS(2787),
    [anon_sym_u_DQUOTE] = ACTIONS(2787),
    [anon_sym_U_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8_DQUOTE] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [anon_sym_NULL] = ACTIONS(2785),
    [anon_sym_nullptr] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2785),
    [anon_sym_decltype] = ACTIONS(2785),
    [anon_sym_typename] = ACTIONS(2785),
    [anon_sym_template] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_co_return] = ACTIONS(2785),
    [anon_sym_co_yield] = ACTIONS(2785),
    [anon_sym_R_DQUOTE] = ACTIONS(2787),
    [anon_sym_LR_DQUOTE] = ACTIONS(2787),
    [anon_sym_uR_DQUOTE] = ACTIONS(2787),
    [anon_sym_UR_DQUOTE] = ACTIONS(2787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2787),
    [anon_sym_co_await] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_requires] = ACTIONS(2785),
    [sym_this] = ACTIONS(2785),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_LPAREN2] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym___extension__] = ACTIONS(2789),
    [anon_sym_typedef] = ACTIONS(2789),
    [anon_sym_virtual] = ACTIONS(2789),
    [anon_sym_extern] = ACTIONS(2789),
    [anon_sym___attribute__] = ACTIONS(2789),
    [anon_sym___attribute] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2791),
    [anon_sym___declspec] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_signed] = ACTIONS(2789),
    [anon_sym_unsigned] = ACTIONS(2789),
    [anon_sym_long] = ACTIONS(2789),
    [anon_sym_short] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2789),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_register] = ACTIONS(2789),
    [anon_sym_inline] = ACTIONS(2789),
    [anon_sym___inline] = ACTIONS(2789),
    [anon_sym___inline__] = ACTIONS(2789),
    [anon_sym___forceinline] = ACTIONS(2789),
    [anon_sym_thread_local] = ACTIONS(2789),
    [anon_sym___thread] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_constexpr] = ACTIONS(2789),
    [anon_sym_volatile] = ACTIONS(2789),
    [anon_sym_restrict] = ACTIONS(2789),
    [anon_sym___restrict__] = ACTIONS(2789),
    [anon_sym__Atomic] = ACTIONS(2789),
    [anon_sym__Noreturn] = ACTIONS(2789),
    [anon_sym_noreturn] = ACTIONS(2789),
    [anon_sym__Nonnull] = ACTIONS(2789),
    [anon_sym_mutable] = ACTIONS(2789),
    [anon_sym_constinit] = ACTIONS(2789),
    [anon_sym_consteval] = ACTIONS(2789),
    [anon_sym_PROGMEM] = ACTIONS(2789),
    [anon_sym_alignas] = ACTIONS(2789),
    [anon_sym__Alignas] = ACTIONS(2789),
    [aux_sym_primitive_type_token1] = ACTIONS(2789),
    [anon_sym_byte] = ACTIONS(2789),
    [anon_sym_word] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_struct] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_goto] = ACTIONS(2789),
    [anon_sym___try] = ACTIONS(2789),
    [anon_sym___leave] = ACTIONS(2789),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_compl] = ACTIONS(2789),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_sizeof] = ACTIONS(2789),
    [anon_sym___alignof__] = ACTIONS(2789),
    [anon_sym___alignof] = ACTIONS(2789),
    [anon_sym__alignof] = ACTIONS(2789),
    [anon_sym_alignof] = ACTIONS(2789),
    [anon_sym__Alignof] = ACTIONS(2789),
    [anon_sym_offsetof] = ACTIONS(2789),
    [anon_sym__Generic] = ACTIONS(2789),
    [anon_sym_asm] = ACTIONS(2789),
    [anon_sym___asm__] = ACTIONS(2789),
    [anon_sym___asm] = ACTIONS(2789),
    [aux_sym_number_literal_token1] = ACTIONS(2791),
    [aux_sym_number_literal_token2] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2791),
    [anon_sym_u_SQUOTE] = ACTIONS(2791),
    [anon_sym_U_SQUOTE] = ACTIONS(2791),
    [anon_sym_u8_SQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_L_DQUOTE] = ACTIONS(2791),
    [anon_sym_u_DQUOTE] = ACTIONS(2791),
    [anon_sym_U_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8_DQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [anon_sym_NULL] = ACTIONS(2789),
    [anon_sym_nullptr] = ACTIONS(2789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2789),
    [anon_sym_decltype] = ACTIONS(2789),
    [anon_sym_typename] = ACTIONS(2789),
    [anon_sym_template] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_co_return] = ACTIONS(2789),
    [anon_sym_co_yield] = ACTIONS(2789),
    [anon_sym_R_DQUOTE] = ACTIONS(2791),
    [anon_sym_LR_DQUOTE] = ACTIONS(2791),
    [anon_sym_uR_DQUOTE] = ACTIONS(2791),
    [anon_sym_UR_DQUOTE] = ACTIONS(2791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2791),
    [anon_sym_co_await] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_requires] = ACTIONS(2789),
    [sym_this] = ACTIONS(2789),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [anon_sym___asm] = ACTIONS(2815),
    [aux_sym_number_literal_token1] = ACTIONS(2817),
    [aux_sym_number_literal_token2] = ACTIONS(2815),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_virtual] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym___attribute] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym__Nonnull] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_PROGMEM] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [aux_sym_primitive_type_token1] = ACTIONS(2797),
    [anon_sym_byte] = ACTIONS(2797),
    [anon_sym_word] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [anon_sym___asm] = ACTIONS(2797),
    [aux_sym_number_literal_token1] = ACTIONS(2799),
    [aux_sym_number_literal_token2] = ACTIONS(2797),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [884] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1574),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [885] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1574),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [886] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1574),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [887] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_call_modifier] = STATE(4754),
    [sym__declarator] = STATE(6570),
    [sym__abstract_declarator] = STATE(6761),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_list] = STATE(2980),
    [sym_parameter_declaration] = STATE(7180),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7180),
    [sym_variadic_parameter_declaration] = STATE(7180),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(2322),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5649),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4167),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [888] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1574),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4169),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym___cdecl] = ACTIONS(4107),
    [anon_sym___clrcall] = ACTIONS(4107),
    [anon_sym___stdcall] = ACTIONS(4107),
    [anon_sym___fastcall] = ACTIONS(4107),
    [anon_sym___thiscall] = ACTIONS(4107),
    [anon_sym___vectorcall] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [889] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7072),
    [sym_initializer_pair] = STATE(7072),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(4175),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4177),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [890] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4185),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [891] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4189),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [892] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(4191),
    [anon_sym_LPAREN2] = ACTIONS(4194),
    [anon_sym_BANG] = ACTIONS(4197),
    [anon_sym_TILDE] = ACTIONS(4197),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4203),
    [anon_sym_AMP] = ACTIONS(4203),
    [anon_sym_SEMI] = ACTIONS(4206),
    [anon_sym___extension__] = ACTIONS(4209),
    [anon_sym_COLON_COLON] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(4215),
    [anon_sym_RBRACE] = ACTIONS(4218),
    [anon_sym_LBRACK] = ACTIONS(4220),
    [aux_sym_primitive_type_token1] = ACTIONS(4223),
    [anon_sym_byte] = ACTIONS(4223),
    [anon_sym_word] = ACTIONS(4223),
    [anon_sym_not] = ACTIONS(4200),
    [anon_sym_compl] = ACTIONS(4200),
    [anon_sym_DASH_DASH] = ACTIONS(4226),
    [anon_sym_PLUS_PLUS] = ACTIONS(4226),
    [anon_sym_sizeof] = ACTIONS(4229),
    [anon_sym___alignof__] = ACTIONS(4232),
    [anon_sym___alignof] = ACTIONS(4232),
    [anon_sym__alignof] = ACTIONS(4232),
    [anon_sym_alignof] = ACTIONS(4232),
    [anon_sym__Alignof] = ACTIONS(4232),
    [anon_sym_offsetof] = ACTIONS(4235),
    [anon_sym__Generic] = ACTIONS(4238),
    [anon_sym_asm] = ACTIONS(4241),
    [anon_sym___asm__] = ACTIONS(4241),
    [anon_sym___asm] = ACTIONS(4241),
    [aux_sym_number_literal_token1] = ACTIONS(4244),
    [aux_sym_number_literal_token2] = ACTIONS(4247),
    [anon_sym_L_SQUOTE] = ACTIONS(4250),
    [anon_sym_u_SQUOTE] = ACTIONS(4250),
    [anon_sym_U_SQUOTE] = ACTIONS(4250),
    [anon_sym_u8_SQUOTE] = ACTIONS(4250),
    [anon_sym_SQUOTE] = ACTIONS(4250),
    [anon_sym_L_DQUOTE] = ACTIONS(4253),
    [anon_sym_u_DQUOTE] = ACTIONS(4253),
    [anon_sym_U_DQUOTE] = ACTIONS(4253),
    [anon_sym_u8_DQUOTE] = ACTIONS(4253),
    [anon_sym_DQUOTE] = ACTIONS(4253),
    [sym_true] = ACTIONS(4256),
    [sym_false] = ACTIONS(4256),
    [anon_sym_NULL] = ACTIONS(4259),
    [anon_sym_nullptr] = ACTIONS(4259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4262),
    [anon_sym_typename] = ACTIONS(4265),
    [anon_sym_template] = ACTIONS(4268),
    [anon_sym_delete] = ACTIONS(4271),
    [anon_sym_R_DQUOTE] = ACTIONS(4274),
    [anon_sym_LR_DQUOTE] = ACTIONS(4274),
    [anon_sym_uR_DQUOTE] = ACTIONS(4274),
    [anon_sym_UR_DQUOTE] = ACTIONS(4274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4274),
    [anon_sym_co_await] = ACTIONS(4277),
    [anon_sym_new] = ACTIONS(4280),
    [anon_sym_requires] = ACTIONS(4283),
    [sym_this] = ACTIONS(4256),
  },
  [893] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(897),
    [sym_compound_requirement] = STATE(897),
    [sym__requirement] = STATE(897),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(897),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [894] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7433),
    [sym_initializer_pair] = STATE(7433),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [895] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [896] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4294),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [897] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4296),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [898] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(903),
    [sym_compound_requirement] = STATE(903),
    [sym__requirement] = STATE(903),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(903),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4298),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [899] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(912),
    [sym_compound_requirement] = STATE(912),
    [sym__requirement] = STATE(912),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [900] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(895),
    [sym_compound_requirement] = STATE(895),
    [sym__requirement] = STATE(895),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(895),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [901] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(914),
    [sym_compound_requirement] = STATE(914),
    [sym__requirement] = STATE(914),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(914),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [902] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [903] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [904] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7375),
    [sym_initializer_pair] = STATE(7375),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4310),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [905] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7100),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [906] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(907),
    [sym_compound_requirement] = STATE(907),
    [sym__requirement] = STATE(907),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(907),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [907] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [908] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(902),
    [sym_compound_requirement] = STATE(902),
    [sym__requirement] = STATE(902),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4318),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [909] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7412),
    [sym_initializer_pair] = STATE(7412),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(4320),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4322),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [910] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(890),
    [sym_compound_requirement] = STATE(890),
    [sym__requirement] = STATE(890),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [911] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7365),
    [sym_initializer_pair] = STATE(7365),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4328),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [912] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4330),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [913] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7376),
    [sym_initializer_pair] = STATE(7376),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_COMMA] = ACTIONS(4332),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4334),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [914] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression_statement] = STATE(2582),
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8302),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4183),
    [anon_sym_RBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_typename] = ACTIONS(4187),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [915] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [916] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4338),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [917] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4340),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [918] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4342),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [919] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [920] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4346),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [921] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4348),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [922] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4350),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [923] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4352),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [924] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4354),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [925] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [926] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(4358),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [927] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_lambda_default_capture] = STATE(7530),
    [sym__lambda_capture_identifier] = STATE(7316),
    [sym_lambda_capture_initializer] = STATE(7316),
    [sym__lambda_capture] = STATE(7316),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_identifier_parameter_pack_expansion] = STATE(7316),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3679),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(4360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(4366),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_EQ] = ACTIONS(4370),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(4372),
  },
  [928] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_lambda_default_capture] = STATE(7530),
    [sym__lambda_capture_identifier] = STATE(7316),
    [sym_lambda_capture_initializer] = STATE(7316),
    [sym__lambda_capture] = STATE(7316),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_identifier_parameter_pack_expansion] = STATE(7316),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3679),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(4374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4364),
    [anon_sym_AMP] = ACTIONS(4366),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4368),
    [anon_sym_EQ] = ACTIONS(4370),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(4372),
  },
  [929] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7560),
    [sym_initializer_pair] = STATE(7560),
    [sym_subscript_designator] = STATE(6626),
    [sym_subscript_range_designator] = STATE(6626),
    [sym_field_designator] = STATE(6626),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [aux_sym_initializer_pair_repeat1] = STATE(6626),
    [sym_identifier] = ACTIONS(4173),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(4179),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(219),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [930] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [931] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4376),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [932] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [933] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4378),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [934] = {
    [sym_string_literal] = STATE(2357),
    [sym_template_argument_list] = STATE(1557),
    [sym_raw_string_literal] = STATE(2357),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4380),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4119),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4383),
    [anon_sym_or_eq] = ACTIONS(4383),
    [anon_sym_xor_eq] = ACTIONS(4383),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4385),
    [anon_sym_u_DQUOTE] = ACTIONS(4385),
    [anon_sym_U_DQUOTE] = ACTIONS(4385),
    [anon_sym_u8_DQUOTE] = ACTIONS(4385),
    [anon_sym_DQUOTE] = ACTIONS(4385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(4387),
    [anon_sym_LR_DQUOTE] = ACTIONS(4387),
    [anon_sym_uR_DQUOTE] = ACTIONS(4387),
    [anon_sym_UR_DQUOTE] = ACTIONS(4387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4387),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [935] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [936] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [937] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1631),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [938] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1651),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2550),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4125),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4135),
    [anon_sym_unsigned] = ACTIONS(4135),
    [anon_sym_long] = ACTIONS(4135),
    [anon_sym_short] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym__Nonnull] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [anon_sym_PROGMEM] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym__Alignas] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4141),
    [anon_sym_or_eq] = ACTIONS(4141),
    [anon_sym_xor_eq] = ACTIONS(4141),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [939] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3320),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8363),
    [sym__unary_right_fold] = STATE(8367),
    [sym__binary_fold] = STATE(8369),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [940] = {
    [sym_compound_statement] = STATE(7443),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7443),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4389),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [941] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8299),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(8299),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4391),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [942] = {
    [sym_compound_statement] = STATE(8523),
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3397),
    [sym__string] = STATE(2960),
    [sym_comma_expression] = STATE(8523),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym__assignment_expression_lhs] = STATE(8515),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [943] = {
    [sym_compound_statement] = STATE(7103),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7103),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4395),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [944] = {
    [sym_compound_statement] = STATE(7184),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7184),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4397),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [945] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3322),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8026),
    [sym__unary_right_fold] = STATE(8027),
    [sym__binary_fold] = STATE(8032),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [946] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8311),
    [sym__unary_right_fold] = STATE(8310),
    [sym__binary_fold] = STATE(8308),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [947] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4616),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8163),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(8163),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4399),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [948] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3364),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8104),
    [sym__unary_right_fold] = STATE(8108),
    [sym__binary_fold] = STATE(8109),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [949] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_identifier_parameter_pack_expansion] = STATE(7614),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3644),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4405),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [950] = {
    [sym_compound_statement] = STATE(7378),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7378),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4407),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [951] = {
    [sym_compound_statement] = STATE(7320),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7320),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [952] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4609),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8169),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(8169),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [953] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4561),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8484),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(8484),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4413),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [954] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(7981),
    [sym__unary_right_fold] = STATE(7978),
    [sym__binary_fold] = STATE(7977),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [955] = {
    [sym_compound_statement] = STATE(7098),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7098),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [956] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3307),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8519),
    [sym__unary_right_fold] = STATE(8518),
    [sym__binary_fold] = STATE(8517),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [957] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3277),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8188),
    [sym__unary_right_fold] = STATE(8187),
    [sym__binary_fold] = STATE(8186),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [958] = {
    [sym_compound_statement] = STATE(7432),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7432),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [959] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3293),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(7836),
    [sym__unary_right_fold] = STATE(7835),
    [sym__binary_fold] = STATE(7834),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [960] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(6710),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4423),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4427),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4429),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [961] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4189),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(6749),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4431),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4433),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4435),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [962] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4199),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(6701),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_default] = ACTIONS(4437),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4439),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4441),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [963] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3291),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym__unary_left_fold] = STATE(8261),
    [sym__unary_right_fold] = STATE(8257),
    [sym__binary_fold] = STATE(8254),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [964] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8395),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(8395),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4443),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [965] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3370),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [966] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4451),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [967] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3287),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [968] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3279),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [969] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(7383),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4456),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [970] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2817),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [971] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [972] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [973] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4568),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [974] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [975] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4562),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [976] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2786),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [977] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3262),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [978] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [979] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3001),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [980] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3681),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [981] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [982] = {
    [sym_compound_statement] = STATE(7511),
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4581),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7511),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [983] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(7105),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4464),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [984] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(7387),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4466),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [985] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3193),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [986] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3294),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [987] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2920),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [988] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [989] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3694),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [990] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [991] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [992] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [993] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4468),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [994] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4582),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [995] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4471),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [996] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4474),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [997] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4168),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [998] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [999] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1000] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4487),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1001] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4490),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1002] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1003] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4165),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT] = ACTIONS(4445),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1004] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4496),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1005] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1006] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3751),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_initializer_list] = STATE(3926),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1007] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7455),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1008] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8334),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1009] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8082),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4508),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1010] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8319),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4510),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1011] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3705),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_initializer_list] = STATE(3880),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1012] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8178),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4512),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1013] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8529),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4514),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1014] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4741),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7793),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1015] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1016] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4590),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7889),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4516),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1017] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4614),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_initializer_list] = STATE(4789),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1018] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8282),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4518),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1019] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7559),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1020] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7100),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4520),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1021] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1022] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_initializer_list] = STATE(4774),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1023] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7561),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1024] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1025] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1026] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4633),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7832),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1027] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4710),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7831),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1028] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4627),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7830),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1029] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4626),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7829),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4527),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1030] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7955),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1031] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4630),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7455),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1032] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1033] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4690),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_initializer_list] = STATE(7961),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1034] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8244),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4531),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1035] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3289),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1036] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8525),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1037] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1038] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4498),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8207),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4541),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1039] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1040] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4597),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8189),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4543),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1041] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4576),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8559),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4545),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1042] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_initializer_list] = STATE(7019),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1043] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4620),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1044] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4501),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(7659),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1045] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4147),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1046] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7911),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4547),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1047] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3221),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_initializer_list] = STATE(3445),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1048] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1049] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4573),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(8057),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4551),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1050] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3775),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1051] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3281),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_initializer_list] = STATE(3747),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1052] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4602),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7935),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(4555),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1053] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2366),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_initializer_list] = STATE(2450),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1054] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_initializer_list] = STATE(3842),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1055] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4577),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_initializer_list] = STATE(3903),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1056] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3091),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4559),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1057] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4764),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4562),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1058] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4564),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1059] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4566),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1060] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1061] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3785),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1062] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1063] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3733),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4578),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1064] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3734),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1065] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4748),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4581),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1066] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1067] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4586),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1068] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3731),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1069] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3736),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4575),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1070] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4592),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1071] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4594),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1072] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1073] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3148),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4600),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1074] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3148),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4603),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1075] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4606),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(4608),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1076] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4699),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4610),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1077] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4612),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1078] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1079] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3276),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4616),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1080] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3729),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1081] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3729),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1082] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3728),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4624),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1083] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3728),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4627),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1084] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3785),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1085] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3730),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1086] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4635),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1087] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4752),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4637),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1088] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3339),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4639),
    [anon_sym_LPAREN2] = ACTIONS(4641),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1089] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3171),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1090] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4586),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1091] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4594),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1092] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3091),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1093] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4643),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1094] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1095] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4645),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1096] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1097] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4650),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1098] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4652),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1099] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1100] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3736),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4656),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1101] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3740),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4600),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1102] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3734),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1103] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3740),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4603),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1104] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4662),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1105] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1106] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3733),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1107] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4578),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1108] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2397),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4639),
    [anon_sym_LPAREN2] = ACTIONS(4669),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1109] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3731),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4671),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1110] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4674),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1111] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3730),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4559),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1112] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3091),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4676),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1113] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4679),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1114] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4667),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4682),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1115] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3785),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(4684),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1116] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4686),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1117] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4618),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1118] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2397),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4639),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1119] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4712),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4691),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1120] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4647),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4693),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1121] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3179),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4695),
    [anon_sym_LPAREN2] = ACTIONS(4697),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1122] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2397),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4639),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1123] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4714),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4701),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1124] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4645),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1125] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1126] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4637),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1127] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3730),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4676),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1128] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4707),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1129] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4709),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(4608),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1130] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3174),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4624),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1131] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3729),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4679),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1132] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4711),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1133] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4572),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7100),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1134] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4751),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4713),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1135] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4738),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4715),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1136] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3174),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4627),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1137] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4750),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_RPAREN] = ACTIONS(4717),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1138] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4643),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1139] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(4721),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1140] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3729),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4686),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1141] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(4246),
    [sym_comma_expression] = STATE(7100),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1142] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4723),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1143] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4725),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1144] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4681),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4727),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1145] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4729),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1146] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1147] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4540),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4733),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1148] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4682),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4737),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1149] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3760),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4739),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1150] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4647),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1151] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4656),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1152] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1153] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3171),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4671),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1154] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4743),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(4608),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1155] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1156] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4745),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1157] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4727),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4747),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1158] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4760),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4749),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1159] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3785),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4571),
    [anon_sym_LPAREN2] = ACTIONS(4751),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1160] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4765),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(4753),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1161] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4755),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1162] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1163] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3733),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1164] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1165] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4607),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1166] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4593),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1167] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1168] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2998),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(4759),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1169] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4596),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1170] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3749),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1171] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4322),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1172] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4599),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1173] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3792),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1174] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(4608),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1175] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4601),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1176] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4604),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1177] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3085),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1178] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2774),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1179] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2775),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1180] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2777),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1181] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3740),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1182] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1183] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1184] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3736),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1185] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4721),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1186] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2780),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1187] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3734),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1188] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2773),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1189] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4761),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1190] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1191] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3731),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1192] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4642),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1193] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2793),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1194] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3730),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1195] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4756),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1196] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3729),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1197] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3792),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1198] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1199] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2751),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1200] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2406),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1201] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2834),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1202] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4747),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1203] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2410),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1204] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4575),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1205] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3728),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1206] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2769),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1207] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3280),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1208] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3391),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1209] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3390),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1210] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2825),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1211] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1212] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3781),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1213] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4617),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1214] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3384),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1215] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1216] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3365),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1217] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4592),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1218] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1219] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3358),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1220] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4715),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1221] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1222] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1223] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1224] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3748),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1225] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3355),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1226] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1227] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3214),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1228] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3363),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1229] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4660),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1230] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(4767),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1231] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3333),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1232] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3348),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1233] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4641),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1234] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4676),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1235] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3686),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1236] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4591),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1237] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1238] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4556),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1239] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2791),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1240] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3759),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1241] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4711),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1242] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4665),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1243] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4589),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1244] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1245] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4588),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1246] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4587),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1247] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1248] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4706),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1249] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2944),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1250] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4758),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1251] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4705),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1252] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4628),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1253] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1254] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3332),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1255] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1256] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4532),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1257] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4648),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1258] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3420),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1259] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1260] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3791),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1261] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4656),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1262] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1263] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1264] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4646),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1265] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3324),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(4773),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1266] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1267] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3331),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1268] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3325),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1269] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2410),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1270] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4663),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1271] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4586),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1272] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(4775),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1273] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4726),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1274] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3791),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1275] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4762),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1276] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3755),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(4777),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1277] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2410),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1278] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4427),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1279] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1280] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4170),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1281] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4606),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1282] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1283] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1284] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3330),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1285] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3063),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1286] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2986),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(4783),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1287] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1288] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3792),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1289] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(4785),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1290] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3329),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1291] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3327),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1292] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2995),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1293] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1294] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4704),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1295] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1296] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4459),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1297] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3374),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1298] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4675),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1299] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4679),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1300] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4651),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1301] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3781),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1302] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1303] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3323),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1304] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3361),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1305] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4298),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1306] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4558),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1307] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1308] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3429),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1309] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3347),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1310] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1311] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3346),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1312] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1313] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1314] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1315] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3314),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1316] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4740),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1317] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1318] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1319] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4152),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1320] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1321] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4151),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1322] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4701),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1323] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3787),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1324] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1325] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4635),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1326] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4619),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1327] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4159),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1328] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1329] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1330] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3410),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1331] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3183),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1332] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4691),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1333] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2974),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1334] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2973),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1335] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2971),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1336] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2969),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1337] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2968),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1338] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4745),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1339] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3195),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1340] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2964),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1341] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1342] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4294),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1343] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3787),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1344] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4700),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1345] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2959),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1346] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4578),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1347] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2914),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1348] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1349] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2406),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1350] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3195),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(4789),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1351] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1352] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3297),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1353] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4531),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1354] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4725),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1355] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3338),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1356] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1357] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4162),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1358] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1359] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1360] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1361] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4172),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1362] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1363] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4744),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1364] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4178),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1365] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1366] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4634),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1367] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4686),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1368] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3337),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1369] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1370] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3102),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1371] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4549),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1372] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3326),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1373] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1374] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4702),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1375] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1376] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1377] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2396),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1378] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4180),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1379] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1380] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4585),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1381] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4126),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1382] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4174),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1383] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4564),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1384] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3180),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1385] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4722),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1386] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2830),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1387] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4703),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1388] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2365),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(4795),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1389] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4640),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1390] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4142),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(4797),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1391] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4673),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1392] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2396),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1393] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2365),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1394] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4579),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1395] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4720),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1396] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4655),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1397] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4282),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1398] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1399] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4610),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1400] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3765),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1401] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4653),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1402] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2365),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1403] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3764),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(4799),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1404] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1405] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1406] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1407] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4669),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1408] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3335),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(4801),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1409] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3119),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(4803),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1410] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3787),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1411] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4668),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1412] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3295),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1413] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(4380),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3432),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3432),
    [sym_call_expression] = STATE(3432),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3432),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3432),
    [sym_number_literal] = STATE(4380),
    [sym_char_literal] = STATE(4380),
    [sym_concatenated_string] = STATE(4380),
    [sym_string_literal] = STATE(3447),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3447),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3432),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3432),
    [sym_identifier] = ACTIONS(3505),
    [anon_sym_LPAREN2] = ACTIONS(4419),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(3511),
    [anon_sym_COLON_COLON] = ACTIONS(3513),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3507),
    [anon_sym_compl] = ACTIONS(3507),
    [anon_sym_DASH_DASH] = ACTIONS(4425),
    [anon_sym_PLUS_PLUS] = ACTIONS(4425),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3517),
    [aux_sym_number_literal_token2] = ACTIONS(3519),
    [anon_sym_L_SQUOTE] = ACTIONS(3521),
    [anon_sym_u_SQUOTE] = ACTIONS(3521),
    [anon_sym_U_SQUOTE] = ACTIONS(3521),
    [anon_sym_u8_SQUOTE] = ACTIONS(3521),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [anon_sym_L_DQUOTE] = ACTIONS(3523),
    [anon_sym_u_DQUOTE] = ACTIONS(3523),
    [anon_sym_U_DQUOTE] = ACTIONS(3523),
    [anon_sym_u8_DQUOTE] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3523),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3529),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1414] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2807),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1415] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2966),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1416] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3286),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1417] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3792),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1418] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2398),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(4805),
  },
  [1419] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4622),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1420] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3791),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1421] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4671),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1422] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4674),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1423] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3781),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(4807),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1424] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1425] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4689),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1426] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3005),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1427] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4677),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1428] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4718),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1429] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2396),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1430] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1431] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3176),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1432] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3177),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(4809),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1433] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1434] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4680),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1435] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1436] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2365),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1437] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1438] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3336),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(4454),
    [anon_sym_PLUS_PLUS] = ACTIONS(4454),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1439] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3000),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1440] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2814),
    [sym__string] = STATE(2888),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2888),
    [sym_char_literal] = STATE(2888),
    [sym_concatenated_string] = STATE(2888),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2105),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_PLUS] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1922),
    [anon_sym_compl] = ACTIONS(1922),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(1932),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1942),
    [aux_sym_number_literal_token2] = ACTIONS(1944),
    [anon_sym_L_SQUOTE] = ACTIONS(1946),
    [anon_sym_u_SQUOTE] = ACTIONS(1946),
    [anon_sym_U_SQUOTE] = ACTIONS(1946),
    [anon_sym_u8_SQUOTE] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1946),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [anon_sym_co_await] = ACTIONS(1960),
    [anon_sym_new] = ACTIONS(1962),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1441] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4658),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1442] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4611),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1443] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4171),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1444] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1445] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4766),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1446] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3781),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1447] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4666),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1448] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4156),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(4811),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1449] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3696),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3696),
    [sym_call_expression] = STATE(3696),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3696),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3696),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3696),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3696),
    [sym_identifier] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_BANG] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(3739),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(3743),
    [anon_sym_COLON_COLON] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3739),
    [anon_sym_compl] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(4460),
    [anon_sym_PLUS_PLUS] = ACTIONS(4460),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3749),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1450] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3658),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1451] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1452] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4167),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1453] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4729),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1454] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1455] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1456] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3787),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1457] = {
    [sym_primitive_type] = STATE(7005),
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(4759),
    [sym_conditional_expression] = STATE(4810),
    [sym_assignment_expression] = STATE(4810),
    [sym_pointer_expression] = STATE(3713),
    [sym_unary_expression] = STATE(4810),
    [sym_binary_expression] = STATE(4810),
    [sym_update_expression] = STATE(4810),
    [sym_cast_expression] = STATE(4810),
    [sym_sizeof_expression] = STATE(4810),
    [sym_alignof_expression] = STATE(4810),
    [sym_offsetof_expression] = STATE(4810),
    [sym_generic_expression] = STATE(4810),
    [sym_subscript_expression] = STATE(3713),
    [sym_call_expression] = STATE(3713),
    [sym_gnu_asm_expression] = STATE(4810),
    [sym_extension_expression] = STATE(4810),
    [sym_field_expression] = STATE(3713),
    [sym_compound_literal_expression] = STATE(4810),
    [sym_parenthesized_expression] = STATE(3713),
    [sym_number_literal] = STATE(4759),
    [sym_char_literal] = STATE(4759),
    [sym_concatenated_string] = STATE(4759),
    [sym_string_literal] = STATE(3789),
    [sym_null] = STATE(4810),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7551),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(4810),
    [sym_raw_string_literal] = STATE(3789),
    [sym_co_await_expression] = STATE(4810),
    [sym_new_expression] = STATE(4810),
    [sym_delete_expression] = STATE(4810),
    [sym_requires_clause] = STATE(4810),
    [sym_requires_expression] = STATE(4810),
    [sym_lambda_expression] = STATE(4810),
    [sym_lambda_capture_specifier] = STATE(5931),
    [sym_fold_expression] = STATE(4810),
    [sym_parameter_pack_expansion] = STATE(4810),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3713),
    [sym_qualified_type_identifier] = STATE(7551),
    [sym_user_defined_literal] = STATE(3713),
    [sym_identifier] = ACTIONS(3753),
    [anon_sym_LPAREN2] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2595),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(3755),
    [anon_sym_COLON_COLON] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(4813),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2595),
    [anon_sym_compl] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_sizeof] = ACTIONS(2617),
    [anon_sym___alignof__] = ACTIONS(2619),
    [anon_sym___alignof] = ACTIONS(2619),
    [anon_sym__alignof] = ACTIONS(2619),
    [anon_sym_alignof] = ACTIONS(2619),
    [anon_sym__Alignof] = ACTIONS(2619),
    [anon_sym_offsetof] = ACTIONS(2621),
    [anon_sym__Generic] = ACTIONS(2623),
    [anon_sym_asm] = ACTIONS(2625),
    [anon_sym___asm__] = ACTIONS(2625),
    [anon_sym___asm] = ACTIONS(2625),
    [aux_sym_number_literal_token1] = ACTIONS(2627),
    [aux_sym_number_literal_token2] = ACTIONS(2629),
    [anon_sym_L_SQUOTE] = ACTIONS(2631),
    [anon_sym_u_SQUOTE] = ACTIONS(2631),
    [anon_sym_U_SQUOTE] = ACTIONS(2631),
    [anon_sym_u8_SQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_L_DQUOTE] = ACTIONS(2633),
    [anon_sym_u_DQUOTE] = ACTIONS(2633),
    [anon_sym_U_DQUOTE] = ACTIONS(2633),
    [anon_sym_u8_DQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [anon_sym_NULL] = ACTIONS(2637),
    [anon_sym_nullptr] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2647),
    [anon_sym_R_DQUOTE] = ACTIONS(2649),
    [anon_sym_LR_DQUOTE] = ACTIONS(2649),
    [anon_sym_uR_DQUOTE] = ACTIONS(2649),
    [anon_sym_UR_DQUOTE] = ACTIONS(2649),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2649),
    [anon_sym_co_await] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_requires] = ACTIONS(2655),
    [sym_this] = ACTIONS(2635),
  },
  [1458] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2965),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1459] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4482),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(4815),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1460] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2979),
    [sym__string] = STATE(2960),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(2960),
    [sym_char_literal] = STATE(2960),
    [sym_concatenated_string] = STATE(2960),
    [sym_string_literal] = STATE(2143),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2143),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1982),
    [anon_sym_compl] = ACTIONS(1982),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(1990),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(1992),
    [aux_sym_number_literal_token2] = ACTIONS(1994),
    [anon_sym_L_SQUOTE] = ACTIONS(1996),
    [anon_sym_u_SQUOTE] = ACTIONS(1996),
    [anon_sym_U_SQUOTE] = ACTIONS(1996),
    [anon_sym_u8_SQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_L_DQUOTE] = ACTIONS(1998),
    [anon_sym_u_DQUOTE] = ACTIONS(1998),
    [anon_sym_U_DQUOTE] = ACTIONS(1998),
    [anon_sym_u8_DQUOTE] = ACTIONS(1998),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_R_DQUOTE] = ACTIONS(2002),
    [anon_sym_LR_DQUOTE] = ACTIONS(2002),
    [anon_sym_uR_DQUOTE] = ACTIONS(2002),
    [anon_sym_UR_DQUOTE] = ACTIONS(2002),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2002),
    [anon_sym_co_await] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1461] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3174),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1462] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3172),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1463] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4639),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1464] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3091),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1465] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3171),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1466] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3268),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1467] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3044),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1468] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1469] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2999),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1470] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3192),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1471] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1472] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3167),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1473] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(2406),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1474] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1475] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3161),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1476] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1477] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4678),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1478] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3791),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1479] = {
    [sym_primitive_type] = STATE(6975),
    [sym_expression] = STATE(3148),
    [sym__string] = STATE(3385),
    [sym_conditional_expression] = STATE(3596),
    [sym_assignment_expression] = STATE(3596),
    [sym_pointer_expression] = STATE(3597),
    [sym_unary_expression] = STATE(3596),
    [sym_binary_expression] = STATE(3596),
    [sym_update_expression] = STATE(3596),
    [sym_cast_expression] = STATE(3596),
    [sym_sizeof_expression] = STATE(3596),
    [sym_alignof_expression] = STATE(3596),
    [sym_offsetof_expression] = STATE(3596),
    [sym_generic_expression] = STATE(3596),
    [sym_subscript_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_gnu_asm_expression] = STATE(3596),
    [sym_extension_expression] = STATE(3596),
    [sym_field_expression] = STATE(3597),
    [sym_compound_literal_expression] = STATE(3596),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_number_literal] = STATE(3385),
    [sym_char_literal] = STATE(3385),
    [sym_concatenated_string] = STATE(3385),
    [sym_string_literal] = STATE(2312),
    [sym_null] = STATE(3596),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7568),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3596),
    [sym_raw_string_literal] = STATE(2312),
    [sym_co_await_expression] = STATE(3596),
    [sym_new_expression] = STATE(3596),
    [sym_delete_expression] = STATE(3596),
    [sym_requires_clause] = STATE(3596),
    [sym_requires_expression] = STATE(3596),
    [sym_lambda_expression] = STATE(3596),
    [sym_lambda_capture_specifier] = STATE(5895),
    [sym_fold_expression] = STATE(3596),
    [sym_parameter_pack_expansion] = STATE(3596),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3597),
    [sym_qualified_type_identifier] = STATE(7568),
    [sym_user_defined_literal] = STATE(3597),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1780),
    [anon_sym_compl] = ACTIONS(1780),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_sizeof] = ACTIONS(1808),
    [anon_sym___alignof__] = ACTIONS(1810),
    [anon_sym___alignof] = ACTIONS(1810),
    [anon_sym__alignof] = ACTIONS(1810),
    [anon_sym_alignof] = ACTIONS(1810),
    [anon_sym__Alignof] = ACTIONS(1810),
    [anon_sym_offsetof] = ACTIONS(1812),
    [anon_sym__Generic] = ACTIONS(1814),
    [anon_sym_asm] = ACTIONS(1816),
    [anon_sym___asm__] = ACTIONS(1816),
    [anon_sym___asm] = ACTIONS(1816),
    [aux_sym_number_literal_token1] = ACTIONS(1818),
    [aux_sym_number_literal_token2] = ACTIONS(1820),
    [anon_sym_L_SQUOTE] = ACTIONS(1822),
    [anon_sym_u_SQUOTE] = ACTIONS(1822),
    [anon_sym_U_SQUOTE] = ACTIONS(1822),
    [anon_sym_u8_SQUOTE] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1822),
    [anon_sym_L_DQUOTE] = ACTIONS(1824),
    [anon_sym_u_DQUOTE] = ACTIONS(1824),
    [anon_sym_U_DQUOTE] = ACTIONS(1824),
    [anon_sym_u8_DQUOTE] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [anon_sym_NULL] = ACTIONS(1828),
    [anon_sym_nullptr] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_R_DQUOTE] = ACTIONS(1840),
    [anon_sym_LR_DQUOTE] = ACTIONS(1840),
    [anon_sym_uR_DQUOTE] = ACTIONS(1840),
    [anon_sym_UR_DQUOTE] = ACTIONS(1840),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1840),
    [anon_sym_co_await] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1844),
    [anon_sym_requires] = ACTIONS(1846),
    [sym_this] = ACTIONS(1826),
  },
  [1480] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3002),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1481] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3009),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1482] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3042),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1483] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(3781),
    [sym__string] = STATE(4183),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(2935),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(2935),
    [sym_call_expression] = STATE(2935),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(2935),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(2935),
    [sym_number_literal] = STATE(4183),
    [sym_char_literal] = STATE(4183),
    [sym_concatenated_string] = STATE(4183),
    [sym_string_literal] = STATE(3051),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3051),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2935),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(2935),
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(4539),
    [anon_sym___extension__] = ACTIONS(3463),
    [anon_sym_COLON_COLON] = ACTIONS(3465),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3459),
    [anon_sym_compl] = ACTIONS(3459),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_sizeof] = ACTIONS(3469),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(3471),
    [aux_sym_number_literal_token2] = ACTIONS(3473),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3479),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
    [anon_sym_co_await] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3487),
    [sym_this] = ACTIONS(221),
  },
  [1484] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1485] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4584),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1486] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1487] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1488] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3055),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1489] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1490] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3027),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1491] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3026),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1492] = {
    [sym_primitive_type] = STATE(7023),
    [sym_expression] = STATE(3064),
    [sym__string] = STATE(3202),
    [sym_conditional_expression] = STATE(2463),
    [sym_assignment_expression] = STATE(2463),
    [sym_pointer_expression] = STATE(2417),
    [sym_unary_expression] = STATE(2463),
    [sym_binary_expression] = STATE(2463),
    [sym_update_expression] = STATE(2463),
    [sym_cast_expression] = STATE(2463),
    [sym_sizeof_expression] = STATE(2463),
    [sym_alignof_expression] = STATE(2463),
    [sym_offsetof_expression] = STATE(2463),
    [sym_generic_expression] = STATE(2463),
    [sym_subscript_expression] = STATE(2417),
    [sym_call_expression] = STATE(2417),
    [sym_gnu_asm_expression] = STATE(2463),
    [sym_extension_expression] = STATE(2463),
    [sym_field_expression] = STATE(2417),
    [sym_compound_literal_expression] = STATE(2463),
    [sym_parenthesized_expression] = STATE(2417),
    [sym_number_literal] = STATE(3202),
    [sym_char_literal] = STATE(3202),
    [sym_concatenated_string] = STATE(3202),
    [sym_string_literal] = STATE(2224),
    [sym_null] = STATE(2463),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7542),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(2463),
    [sym_raw_string_literal] = STATE(2224),
    [sym_co_await_expression] = STATE(2463),
    [sym_new_expression] = STATE(2463),
    [sym_delete_expression] = STATE(2463),
    [sym_requires_clause] = STATE(2463),
    [sym_requires_expression] = STATE(2463),
    [sym_lambda_expression] = STATE(2463),
    [sym_lambda_capture_specifier] = STATE(5935),
    [sym_fold_expression] = STATE(2463),
    [sym_parameter_pack_expansion] = STATE(2463),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(2417),
    [sym_qualified_type_identifier] = STATE(7542),
    [sym_user_defined_literal] = STATE(2417),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_AMP] = ACTIONS(4421),
    [anon_sym___extension__] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2010),
    [anon_sym_compl] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(4462),
    [anon_sym_PLUS_PLUS] = ACTIONS(4462),
    [anon_sym_sizeof] = ACTIONS(2018),
    [anon_sym___alignof__] = ACTIONS(1934),
    [anon_sym___alignof] = ACTIONS(1934),
    [anon_sym__alignof] = ACTIONS(1934),
    [anon_sym_alignof] = ACTIONS(1934),
    [anon_sym__Alignof] = ACTIONS(1934),
    [anon_sym_offsetof] = ACTIONS(1936),
    [anon_sym__Generic] = ACTIONS(1938),
    [anon_sym_asm] = ACTIONS(1940),
    [anon_sym___asm__] = ACTIONS(1940),
    [anon_sym___asm] = ACTIONS(1940),
    [aux_sym_number_literal_token1] = ACTIONS(2020),
    [aux_sym_number_literal_token2] = ACTIONS(2022),
    [anon_sym_L_SQUOTE] = ACTIONS(2024),
    [anon_sym_u_SQUOTE] = ACTIONS(2024),
    [anon_sym_U_SQUOTE] = ACTIONS(2024),
    [anon_sym_u8_SQUOTE] = ACTIONS(2024),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_L_DQUOTE] = ACTIONS(2026),
    [anon_sym_u_DQUOTE] = ACTIONS(2026),
    [anon_sym_U_DQUOTE] = ACTIONS(2026),
    [anon_sym_u8_DQUOTE] = ACTIONS(2026),
    [anon_sym_DQUOTE] = ACTIONS(2026),
    [sym_true] = ACTIONS(1950),
    [sym_false] = ACTIONS(1950),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_R_DQUOTE] = ACTIONS(2030),
    [anon_sym_LR_DQUOTE] = ACTIONS(2030),
    [anon_sym_uR_DQUOTE] = ACTIONS(2030),
    [anon_sym_UR_DQUOTE] = ACTIONS(2030),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2030),
    [anon_sym_co_await] = ACTIONS(2032),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_requires] = ACTIONS(1964),
    [sym_this] = ACTIONS(1950),
  },
  [1493] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1494] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4650),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3300),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3300),
    [sym_call_expression] = STATE(3300),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3300),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3300),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3300),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3300),
    [sym_identifier] = ACTIONS(3503),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(2036),
    [anon_sym_COLON_COLON] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(101),
    [anon_sym_sizeof] = ACTIONS(103),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(139),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1495] = {
    [sym_primitive_type] = STATE(6957),
    [sym_expression] = STATE(3727),
    [sym__string] = STATE(3779),
    [sym_conditional_expression] = STATE(3893),
    [sym_assignment_expression] = STATE(3893),
    [sym_pointer_expression] = STATE(3618),
    [sym_unary_expression] = STATE(3893),
    [sym_binary_expression] = STATE(3893),
    [sym_update_expression] = STATE(3893),
    [sym_cast_expression] = STATE(3893),
    [sym_sizeof_expression] = STATE(3893),
    [sym_alignof_expression] = STATE(3893),
    [sym_offsetof_expression] = STATE(3893),
    [sym_generic_expression] = STATE(3893),
    [sym_subscript_expression] = STATE(3618),
    [sym_call_expression] = STATE(3618),
    [sym_gnu_asm_expression] = STATE(3893),
    [sym_extension_expression] = STATE(3893),
    [sym_field_expression] = STATE(3618),
    [sym_compound_literal_expression] = STATE(3893),
    [sym_parenthesized_expression] = STATE(3618),
    [sym_number_literal] = STATE(3779),
    [sym_char_literal] = STATE(3779),
    [sym_concatenated_string] = STATE(3779),
    [sym_string_literal] = STATE(2561),
    [sym_null] = STATE(3893),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7631),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3893),
    [sym_raw_string_literal] = STATE(2561),
    [sym_co_await_expression] = STATE(3893),
    [sym_new_expression] = STATE(3893),
    [sym_delete_expression] = STATE(3893),
    [sym_requires_clause] = STATE(3893),
    [sym_requires_expression] = STATE(3893),
    [sym_lambda_expression] = STATE(3893),
    [sym_lambda_capture_specifier] = STATE(5912),
    [sym_fold_expression] = STATE(3893),
    [sym_parameter_pack_expansion] = STATE(3893),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5712),
    [sym_qualified_identifier] = STATE(3618),
    [sym_qualified_type_identifier] = STATE(7631),
    [sym_user_defined_literal] = STATE(3618),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_LPAREN2] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_TILDE] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym___extension__] = ACTIONS(2571),
    [anon_sym_COLON_COLON] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_compl] = ACTIONS(1856),
    [anon_sym_DASH_DASH] = ACTIONS(1874),
    [anon_sym_PLUS_PLUS] = ACTIONS(1874),
    [anon_sym_sizeof] = ACTIONS(1876),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1880),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1884),
    [anon_sym___asm__] = ACTIONS(1884),
    [anon_sym___asm] = ACTIONS(1884),
    [aux_sym_number_literal_token1] = ACTIONS(1886),
    [aux_sym_number_literal_token2] = ACTIONS(1888),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1892),
    [anon_sym_u_DQUOTE] = ACTIONS(1892),
    [anon_sym_U_DQUOTE] = ACTIONS(1892),
    [anon_sym_u8_DQUOTE] = ACTIONS(1892),
    [anon_sym_DQUOTE] = ACTIONS(1892),
    [sym_true] = ACTIONS(1894),
    [sym_false] = ACTIONS(1894),
    [anon_sym_NULL] = ACTIONS(1896),
    [anon_sym_nullptr] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_R_DQUOTE] = ACTIONS(1902),
    [anon_sym_LR_DQUOTE] = ACTIONS(1902),
    [anon_sym_uR_DQUOTE] = ACTIONS(1902),
    [anon_sym_UR_DQUOTE] = ACTIONS(1902),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1902),
    [anon_sym_co_await] = ACTIONS(1904),
    [anon_sym_new] = ACTIONS(1906),
    [anon_sym_requires] = ACTIONS(1908),
    [sym_this] = ACTIONS(1894),
  },
  [1496] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3282),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1497] = {
    [sym_primitive_type] = STATE(6935),
    [sym_expression] = STATE(3341),
    [sym__string] = STATE(3607),
    [sym_conditional_expression] = STATE(3634),
    [sym_assignment_expression] = STATE(3634),
    [sym_pointer_expression] = STATE(3726),
    [sym_unary_expression] = STATE(3634),
    [sym_binary_expression] = STATE(3634),
    [sym_update_expression] = STATE(3634),
    [sym_cast_expression] = STATE(3634),
    [sym_sizeof_expression] = STATE(3634),
    [sym_alignof_expression] = STATE(3634),
    [sym_offsetof_expression] = STATE(3634),
    [sym_generic_expression] = STATE(3634),
    [sym_subscript_expression] = STATE(3726),
    [sym_call_expression] = STATE(3726),
    [sym_gnu_asm_expression] = STATE(3634),
    [sym_extension_expression] = STATE(3634),
    [sym_field_expression] = STATE(3726),
    [sym_compound_literal_expression] = STATE(3634),
    [sym_parenthesized_expression] = STATE(3726),
    [sym_number_literal] = STATE(3607),
    [sym_char_literal] = STATE(3607),
    [sym_concatenated_string] = STATE(3607),
    [sym_string_literal] = STATE(2344),
    [sym_null] = STATE(3634),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7708),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3634),
    [sym_raw_string_literal] = STATE(2344),
    [sym_co_await_expression] = STATE(3634),
    [sym_new_expression] = STATE(3634),
    [sym_delete_expression] = STATE(3634),
    [sym_requires_clause] = STATE(3634),
    [sym_requires_expression] = STATE(3634),
    [sym_lambda_expression] = STATE(3634),
    [sym_lambda_capture_specifier] = STATE(5922),
    [sym_fold_expression] = STATE(3634),
    [sym_parameter_pack_expansion] = STATE(3634),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5642),
    [sym_qualified_identifier] = STATE(3726),
    [sym_qualified_type_identifier] = STATE(7708),
    [sym_user_defined_literal] = STATE(3726),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2597),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(4449),
    [anon_sym_PLUS_PLUS] = ACTIONS(4449),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [anon_sym___asm] = ACTIONS(2530),
    [aux_sym_number_literal_token1] = ACTIONS(2532),
    [aux_sym_number_literal_token2] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2542),
    [anon_sym_nullptr] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2540),
  },
  [1498] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4613),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1499] = {
    [sym_primitive_type] = STATE(6864),
    [sym_expression] = STATE(4621),
    [sym__string] = STATE(4246),
    [sym_conditional_expression] = STATE(3834),
    [sym_assignment_expression] = STATE(3834),
    [sym_pointer_expression] = STATE(3722),
    [sym_unary_expression] = STATE(3834),
    [sym_binary_expression] = STATE(3834),
    [sym_update_expression] = STATE(3834),
    [sym_cast_expression] = STATE(3834),
    [sym_sizeof_expression] = STATE(3834),
    [sym_alignof_expression] = STATE(3834),
    [sym_offsetof_expression] = STATE(3834),
    [sym_generic_expression] = STATE(3834),
    [sym_subscript_expression] = STATE(3722),
    [sym_call_expression] = STATE(3722),
    [sym_gnu_asm_expression] = STATE(3834),
    [sym_extension_expression] = STATE(3834),
    [sym_field_expression] = STATE(3722),
    [sym_compound_literal_expression] = STATE(3834),
    [sym_parenthesized_expression] = STATE(3722),
    [sym_number_literal] = STATE(4246),
    [sym_char_literal] = STATE(4246),
    [sym_concatenated_string] = STATE(4246),
    [sym_string_literal] = STATE(3153),
    [sym_null] = STATE(3834),
    [sym_decltype] = STATE(8540),
    [sym__class_name] = STATE(7492),
    [sym_template_type] = STATE(2138),
    [sym_template_function] = STATE(3834),
    [sym_raw_string_literal] = STATE(3153),
    [sym_co_await_expression] = STATE(3834),
    [sym_new_expression] = STATE(3834),
    [sym_delete_expression] = STATE(3834),
    [sym_requires_clause] = STATE(3834),
    [sym_requires_expression] = STATE(3834),
    [sym_lambda_expression] = STATE(3834),
    [sym_lambda_capture_specifier] = STATE(5920),
    [sym_fold_expression] = STATE(3834),
    [sym_parameter_pack_expansion] = STATE(3834),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5699),
    [sym_qualified_identifier] = STATE(3722),
    [sym_qualified_type_identifier] = STATE(7492),
    [sym_user_defined_literal] = STATE(3722),
    [sym_identifier] = ACTIONS(3719),
    [anon_sym_LPAREN2] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym___extension__] = ACTIONS(3725),
    [anon_sym_COLON_COLON] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_not] = ACTIONS(3721),
    [anon_sym_compl] = ACTIONS(3721),
    [anon_sym_DASH_DASH] = ACTIONS(3765),
    [anon_sym_PLUS_PLUS] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym___alignof__] = ACTIONS(105),
    [anon_sym___alignof] = ACTIONS(105),
    [anon_sym__alignof] = ACTIONS(105),
    [anon_sym_alignof] = ACTIONS(105),
    [anon_sym__Alignof] = ACTIONS(105),
    [anon_sym_offsetof] = ACTIONS(107),
    [anon_sym__Generic] = ACTIONS(109),
    [anon_sym_asm] = ACTIONS(111),
    [anon_sym___asm__] = ACTIONS(111),
    [anon_sym___asm] = ACTIONS(111),
    [aux_sym_number_literal_token1] = ACTIONS(113),
    [aux_sym_number_literal_token2] = ACTIONS(115),
    [anon_sym_L_SQUOTE] = ACTIONS(117),
    [anon_sym_u_SQUOTE] = ACTIONS(117),
    [anon_sym_U_SQUOTE] = ACTIONS(117),
    [anon_sym_u8_SQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_L_DQUOTE] = ACTIONS(119),
    [anon_sym_u_DQUOTE] = ACTIONS(119),
    [anon_sym_U_DQUOTE] = ACTIONS(119),
    [anon_sym_u8_DQUOTE] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(119),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [anon_sym_NULL] = ACTIONS(123),
    [anon_sym_nullptr] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3731),
    [anon_sym_R_DQUOTE] = ACTIONS(155),
    [anon_sym_LR_DQUOTE] = ACTIONS(155),
    [anon_sym_uR_DQUOTE] = ACTIONS(155),
    [anon_sym_UR_DQUOTE] = ACTIONS(155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(155),
    [anon_sym_co_await] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3735),
    [anon_sym_requires] = ACTIONS(161),
    [sym_this] = ACTIONS(221),
  },
  [1500] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym_virtual] = ACTIONS(4817),
    [anon_sym_extern] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4819),
    [anon_sym___declspec] = ACTIONS(4817),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym___cdecl] = ACTIONS(4817),
    [anon_sym___clrcall] = ACTIONS(4817),
    [anon_sym___stdcall] = ACTIONS(4817),
    [anon_sym___fastcall] = ACTIONS(4817),
    [anon_sym___thiscall] = ACTIONS(4817),
    [anon_sym___vectorcall] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_static] = ACTIONS(4817),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_register] = ACTIONS(4817),
    [anon_sym_inline] = ACTIONS(4817),
    [anon_sym___inline] = ACTIONS(4817),
    [anon_sym___inline__] = ACTIONS(4817),
    [anon_sym___forceinline] = ACTIONS(4817),
    [anon_sym_thread_local] = ACTIONS(4817),
    [anon_sym___thread] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4819),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_and_eq] = ACTIONS(4817),
    [anon_sym_or_eq] = ACTIONS(4817),
    [anon_sym_xor_eq] = ACTIONS(4817),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_template] = ACTIONS(4817),
    [anon_sym_operator] = ACTIONS(4817),
  },
  [1501] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym_virtual] = ACTIONS(4821),
    [anon_sym_extern] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4823),
    [anon_sym___declspec] = ACTIONS(4821),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym___cdecl] = ACTIONS(4821),
    [anon_sym___clrcall] = ACTIONS(4821),
    [anon_sym___stdcall] = ACTIONS(4821),
    [anon_sym___fastcall] = ACTIONS(4821),
    [anon_sym___thiscall] = ACTIONS(4821),
    [anon_sym___vectorcall] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4821),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_register] = ACTIONS(4821),
    [anon_sym_inline] = ACTIONS(4821),
    [anon_sym___inline] = ACTIONS(4821),
    [anon_sym___inline__] = ACTIONS(4821),
    [anon_sym___forceinline] = ACTIONS(4821),
    [anon_sym_thread_local] = ACTIONS(4821),
    [anon_sym___thread] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4823),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_and_eq] = ACTIONS(4821),
    [anon_sym_or_eq] = ACTIONS(4821),
    [anon_sym_xor_eq] = ACTIONS(4821),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_template] = ACTIONS(4821),
    [anon_sym_operator] = ACTIONS(4821),
  },
  [1502] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_TILDE] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym_SEMI] = ACTIONS(4827),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym_virtual] = ACTIONS(4825),
    [anon_sym_extern] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4827),
    [anon_sym___declspec] = ACTIONS(4825),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym___cdecl] = ACTIONS(4825),
    [anon_sym___clrcall] = ACTIONS(4825),
    [anon_sym___stdcall] = ACTIONS(4825),
    [anon_sym___fastcall] = ACTIONS(4825),
    [anon_sym___thiscall] = ACTIONS(4825),
    [anon_sym___vectorcall] = ACTIONS(4825),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_RBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [anon_sym_static] = ACTIONS(4825),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_register] = ACTIONS(4825),
    [anon_sym_inline] = ACTIONS(4825),
    [anon_sym___inline] = ACTIONS(4825),
    [anon_sym___inline__] = ACTIONS(4825),
    [anon_sym___forceinline] = ACTIONS(4825),
    [anon_sym_thread_local] = ACTIONS(4825),
    [anon_sym___thread] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4827),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_and_eq] = ACTIONS(4825),
    [anon_sym_or_eq] = ACTIONS(4825),
    [anon_sym_xor_eq] = ACTIONS(4825),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_template] = ACTIONS(4825),
    [anon_sym_operator] = ACTIONS(4825),
  },
  [1503] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_ms_call_modifier] = STATE(6245),
    [sym__abstract_declarator] = STATE(6786),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_list] = STATE(2980),
    [sym_parameter_declaration] = STATE(7180),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7180),
    [sym_variadic_parameter_declaration] = STATE(7180),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4831),
    [anon_sym_STAR] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1504] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
  },
  [1505] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_ms_call_modifier] = STATE(6255),
    [sym__abstract_declarator] = STATE(6761),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_list] = STATE(2980),
    [sym_parameter_declaration] = STATE(7180),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7180),
    [sym_variadic_parameter_declaration] = STATE(7180),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym_LPAREN2] = ACTIONS(4831),
    [anon_sym_STAR] = ACTIONS(4833),
    [anon_sym_AMP_AMP] = ACTIONS(4835),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1506] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
  },
  [1507] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
  },
  [1508] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1509] = {
    [sym_template_argument_list] = STATE(1511),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_COMMA] = ACTIONS(4861),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4873),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4863),
    [anon_sym___extension__] = ACTIONS(4859),
    [anon_sym_virtual] = ACTIONS(4859),
    [anon_sym_extern] = ACTIONS(4859),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4863),
    [anon_sym___declspec] = ACTIONS(4859),
    [anon_sym___based] = ACTIONS(4859),
    [anon_sym___cdecl] = ACTIONS(4859),
    [anon_sym___clrcall] = ACTIONS(4859),
    [anon_sym___stdcall] = ACTIONS(4859),
    [anon_sym___fastcall] = ACTIONS(4859),
    [anon_sym___thiscall] = ACTIONS(4859),
    [anon_sym___vectorcall] = ACTIONS(4859),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4861),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_static] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4859),
    [anon_sym_inline] = ACTIONS(4859),
    [anon_sym___inline] = ACTIONS(4859),
    [anon_sym___inline__] = ACTIONS(4859),
    [anon_sym___forceinline] = ACTIONS(4859),
    [anon_sym_thread_local] = ACTIONS(4859),
    [anon_sym___thread] = ACTIONS(4859),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4859),
    [anon_sym_volatile] = ACTIONS(4859),
    [anon_sym_restrict] = ACTIONS(4859),
    [anon_sym___restrict__] = ACTIONS(4859),
    [anon_sym__Atomic] = ACTIONS(4859),
    [anon_sym__Noreturn] = ACTIONS(4859),
    [anon_sym_noreturn] = ACTIONS(4859),
    [anon_sym__Nonnull] = ACTIONS(4859),
    [anon_sym_mutable] = ACTIONS(4859),
    [anon_sym_constinit] = ACTIONS(4859),
    [anon_sym_consteval] = ACTIONS(4859),
    [anon_sym_PROGMEM] = ACTIONS(4859),
    [anon_sym_alignas] = ACTIONS(4859),
    [anon_sym__Alignas] = ACTIONS(4859),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_template] = ACTIONS(4859),
    [anon_sym_operator] = ACTIONS(4859),
  },
  [1510] = {
    [sym_identifier] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3033),
    [anon_sym_PLUS] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [anon_sym_not] = ACTIONS(3033),
    [anon_sym_compl] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3035),
    [anon_sym_PLUS_PLUS] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3033),
    [anon_sym___alignof__] = ACTIONS(3033),
    [anon_sym___alignof] = ACTIONS(3033),
    [anon_sym__alignof] = ACTIONS(3033),
    [anon_sym_alignof] = ACTIONS(3033),
    [anon_sym__Alignof] = ACTIONS(3033),
    [anon_sym_offsetof] = ACTIONS(3033),
    [anon_sym__Generic] = ACTIONS(3033),
    [anon_sym_asm] = ACTIONS(3033),
    [anon_sym___asm__] = ACTIONS(3033),
    [anon_sym___asm] = ACTIONS(3033),
    [aux_sym_number_literal_token1] = ACTIONS(3035),
    [aux_sym_number_literal_token2] = ACTIONS(3033),
    [anon_sym_L_SQUOTE] = ACTIONS(3035),
    [anon_sym_u_SQUOTE] = ACTIONS(3035),
    [anon_sym_U_SQUOTE] = ACTIONS(3035),
    [anon_sym_u8_SQUOTE] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3035),
    [anon_sym_L_DQUOTE] = ACTIONS(3035),
    [anon_sym_u_DQUOTE] = ACTIONS(3035),
    [anon_sym_U_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8_DQUOTE] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_true] = ACTIONS(3033),
    [sym_false] = ACTIONS(3033),
    [anon_sym_NULL] = ACTIONS(3033),
    [anon_sym_nullptr] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_delete] = ACTIONS(3033),
    [anon_sym_R_DQUOTE] = ACTIONS(3035),
    [anon_sym_LR_DQUOTE] = ACTIONS(3035),
    [anon_sym_uR_DQUOTE] = ACTIONS(3035),
    [anon_sym_UR_DQUOTE] = ACTIONS(3035),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3035),
    [anon_sym_co_await] = ACTIONS(3033),
    [anon_sym_new] = ACTIONS(3033),
    [anon_sym_requires] = ACTIONS(3033),
    [sym_this] = ACTIONS(3033),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4880),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1512] = {
    [sym_identifier] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_compl] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_sizeof] = ACTIONS(3006),
    [anon_sym___alignof__] = ACTIONS(3006),
    [anon_sym___alignof] = ACTIONS(3006),
    [anon_sym__alignof] = ACTIONS(3006),
    [anon_sym_alignof] = ACTIONS(3006),
    [anon_sym__Alignof] = ACTIONS(3006),
    [anon_sym_offsetof] = ACTIONS(3006),
    [anon_sym__Generic] = ACTIONS(3006),
    [anon_sym_asm] = ACTIONS(3006),
    [anon_sym___asm__] = ACTIONS(3006),
    [anon_sym___asm] = ACTIONS(3006),
    [aux_sym_number_literal_token1] = ACTIONS(3008),
    [aux_sym_number_literal_token2] = ACTIONS(3006),
    [anon_sym_L_SQUOTE] = ACTIONS(3008),
    [anon_sym_u_SQUOTE] = ACTIONS(3008),
    [anon_sym_U_SQUOTE] = ACTIONS(3008),
    [anon_sym_u8_SQUOTE] = ACTIONS(3008),
    [anon_sym_SQUOTE] = ACTIONS(3008),
    [anon_sym_L_DQUOTE] = ACTIONS(3008),
    [anon_sym_u_DQUOTE] = ACTIONS(3008),
    [anon_sym_U_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8_DQUOTE] = ACTIONS(3008),
    [anon_sym_DQUOTE] = ACTIONS(3008),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [anon_sym_NULL] = ACTIONS(3006),
    [anon_sym_nullptr] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_delete] = ACTIONS(3006),
    [anon_sym_R_DQUOTE] = ACTIONS(3008),
    [anon_sym_LR_DQUOTE] = ACTIONS(3008),
    [anon_sym_uR_DQUOTE] = ACTIONS(3008),
    [anon_sym_UR_DQUOTE] = ACTIONS(3008),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3008),
    [anon_sym_co_await] = ACTIONS(3006),
    [anon_sym_new] = ACTIONS(3006),
    [anon_sym_requires] = ACTIONS(3006),
    [sym_this] = ACTIONS(3006),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(2681),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2686),
    [anon_sym___extension__] = ACTIONS(2681),
    [anon_sym_virtual] = ACTIONS(2681),
    [anon_sym_extern] = ACTIONS(2681),
    [anon_sym___attribute__] = ACTIONS(2681),
    [anon_sym___attribute] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2681),
    [anon_sym_signed] = ACTIONS(2681),
    [anon_sym_unsigned] = ACTIONS(2681),
    [anon_sym_long] = ACTIONS(2681),
    [anon_sym_short] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_register] = ACTIONS(2681),
    [anon_sym_inline] = ACTIONS(2681),
    [anon_sym___inline] = ACTIONS(2681),
    [anon_sym___inline__] = ACTIONS(2681),
    [anon_sym___forceinline] = ACTIONS(2681),
    [anon_sym_thread_local] = ACTIONS(2681),
    [anon_sym___thread] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_constexpr] = ACTIONS(2681),
    [anon_sym_volatile] = ACTIONS(2681),
    [anon_sym_restrict] = ACTIONS(2681),
    [anon_sym___restrict__] = ACTIONS(2681),
    [anon_sym__Atomic] = ACTIONS(2681),
    [anon_sym__Noreturn] = ACTIONS(2681),
    [anon_sym_noreturn] = ACTIONS(2681),
    [anon_sym__Nonnull] = ACTIONS(2681),
    [anon_sym_mutable] = ACTIONS(2681),
    [anon_sym_constinit] = ACTIONS(2681),
    [anon_sym_consteval] = ACTIONS(2681),
    [anon_sym_PROGMEM] = ACTIONS(2681),
    [anon_sym_alignas] = ACTIONS(2681),
    [anon_sym__Alignas] = ACTIONS(2681),
    [aux_sym_primitive_type_token1] = ACTIONS(2681),
    [anon_sym_byte] = ACTIONS(2681),
    [anon_sym_word] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_struct] = ACTIONS(2681),
    [anon_sym_union] = ACTIONS(2681),
    [anon_sym_not] = ACTIONS(2681),
    [anon_sym_compl] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_sizeof] = ACTIONS(2681),
    [anon_sym___alignof__] = ACTIONS(2681),
    [anon_sym___alignof] = ACTIONS(2681),
    [anon_sym__alignof] = ACTIONS(2681),
    [anon_sym_alignof] = ACTIONS(2681),
    [anon_sym__Alignof] = ACTIONS(2681),
    [anon_sym_offsetof] = ACTIONS(2681),
    [anon_sym__Generic] = ACTIONS(2681),
    [anon_sym_asm] = ACTIONS(2681),
    [anon_sym___asm__] = ACTIONS(2681),
    [anon_sym___asm] = ACTIONS(2681),
    [aux_sym_number_literal_token1] = ACTIONS(2686),
    [aux_sym_number_literal_token2] = ACTIONS(2681),
    [anon_sym_L_SQUOTE] = ACTIONS(2686),
    [anon_sym_u_SQUOTE] = ACTIONS(2686),
    [anon_sym_U_SQUOTE] = ACTIONS(2686),
    [anon_sym_u8_SQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_L_DQUOTE] = ACTIONS(2686),
    [anon_sym_u_DQUOTE] = ACTIONS(2686),
    [anon_sym_U_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [anon_sym_NULL] = ACTIONS(2681),
    [anon_sym_nullptr] = ACTIONS(2681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2681),
    [anon_sym_decltype] = ACTIONS(2681),
    [anon_sym_typename] = ACTIONS(2681),
    [anon_sym_template] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_R_DQUOTE] = ACTIONS(2686),
    [anon_sym_LR_DQUOTE] = ACTIONS(2686),
    [anon_sym_uR_DQUOTE] = ACTIONS(2686),
    [anon_sym_UR_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2686),
    [anon_sym_co_await] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_requires] = ACTIONS(2681),
    [sym_this] = ACTIONS(2681),
  },
  [1514] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5237),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6595),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_parameter_list] = STATE(810),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(4175),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1515] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5230),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6614),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_parameter_list] = STATE(815),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(4175),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1516] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6606),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_parameter_list] = STATE(816),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(4175),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1517] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5224),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6582),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(5989),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_parameter_list] = STATE(799),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(4175),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5667),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_type_identifier] = STATE(2993),
    [sym_operator_name] = STATE(5989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4890),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1518] = {
    [sym_template_argument_list] = STATE(1520),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_COMMA] = ACTIONS(4861),
    [anon_sym_RPAREN] = ACTIONS(4861),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4873),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4861),
    [anon_sym___extension__] = ACTIONS(4859),
    [anon_sym_virtual] = ACTIONS(4859),
    [anon_sym_extern] = ACTIONS(4859),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4859),
    [anon_sym___based] = ACTIONS(4859),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4861),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_static] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4859),
    [anon_sym_inline] = ACTIONS(4859),
    [anon_sym___inline] = ACTIONS(4859),
    [anon_sym___inline__] = ACTIONS(4859),
    [anon_sym___forceinline] = ACTIONS(4859),
    [anon_sym_thread_local] = ACTIONS(4859),
    [anon_sym___thread] = ACTIONS(4859),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4859),
    [anon_sym_volatile] = ACTIONS(4859),
    [anon_sym_restrict] = ACTIONS(4859),
    [anon_sym___restrict__] = ACTIONS(4859),
    [anon_sym__Atomic] = ACTIONS(4859),
    [anon_sym__Noreturn] = ACTIONS(4859),
    [anon_sym_noreturn] = ACTIONS(4859),
    [anon_sym__Nonnull] = ACTIONS(4859),
    [anon_sym_mutable] = ACTIONS(4859),
    [anon_sym_constinit] = ACTIONS(4859),
    [anon_sym_consteval] = ACTIONS(4859),
    [anon_sym_PROGMEM] = ACTIONS(4859),
    [anon_sym_alignas] = ACTIONS(4859),
    [anon_sym__Alignas] = ACTIONS(4859),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_template] = ACTIONS(4859),
    [anon_sym_operator] = ACTIONS(4859),
  },
  [1519] = {
    [sym_type_qualifier] = STATE(1519),
    [sym_alignas_qualifier] = STATE(1542),
    [aux_sym__type_definition_type_repeat1] = STATE(1519),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(4900),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(4900),
    [anon_sym_constexpr] = ACTIONS(4900),
    [anon_sym_volatile] = ACTIONS(4900),
    [anon_sym_restrict] = ACTIONS(4900),
    [anon_sym___restrict__] = ACTIONS(4900),
    [anon_sym__Atomic] = ACTIONS(4900),
    [anon_sym__Noreturn] = ACTIONS(4900),
    [anon_sym_noreturn] = ACTIONS(4900),
    [anon_sym__Nonnull] = ACTIONS(4900),
    [anon_sym_mutable] = ACTIONS(4900),
    [anon_sym_constinit] = ACTIONS(4900),
    [anon_sym_consteval] = ACTIONS(4900),
    [anon_sym_PROGMEM] = ACTIONS(4900),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4898),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
  },
  [1520] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1521] = {
    [sym_template_argument_list] = STATE(1537),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4863),
    [anon_sym_COMMA] = ACTIONS(4863),
    [anon_sym_RPAREN] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4906),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4859),
    [anon_sym_virtual] = ACTIONS(4859),
    [anon_sym_extern] = ACTIONS(4859),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4859),
    [anon_sym___based] = ACTIONS(4859),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_static] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4870),
    [anon_sym_register] = ACTIONS(4859),
    [anon_sym_inline] = ACTIONS(4859),
    [anon_sym___inline] = ACTIONS(4859),
    [anon_sym___inline__] = ACTIONS(4859),
    [anon_sym___forceinline] = ACTIONS(4859),
    [anon_sym_thread_local] = ACTIONS(4859),
    [anon_sym___thread] = ACTIONS(4859),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4859),
    [anon_sym_volatile] = ACTIONS(4859),
    [anon_sym_restrict] = ACTIONS(4859),
    [anon_sym___restrict__] = ACTIONS(4859),
    [anon_sym__Atomic] = ACTIONS(4859),
    [anon_sym__Noreturn] = ACTIONS(4859),
    [anon_sym_noreturn] = ACTIONS(4859),
    [anon_sym__Nonnull] = ACTIONS(4859),
    [anon_sym_mutable] = ACTIONS(4859),
    [anon_sym_constinit] = ACTIONS(4859),
    [anon_sym_consteval] = ACTIONS(4859),
    [anon_sym_PROGMEM] = ACTIONS(4859),
    [anon_sym_alignas] = ACTIONS(4859),
    [anon_sym__Alignas] = ACTIONS(4859),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_template] = ACTIONS(4859),
    [anon_sym_operator] = ACTIONS(4859),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4861),
  },
  [1522] = {
    [sym_string_literal] = STATE(2169),
    [sym_template_argument_list] = STATE(1820),
    [sym_raw_string_literal] = STATE(2169),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4111),
    [anon_sym_LPAREN2] = ACTIONS(4111),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4909),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4857),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4857),
    [anon_sym_GT_GT] = ACTIONS(4857),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_try] = ACTIONS(4855),
    [anon_sym_requires] = ACTIONS(4855),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4819),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4819),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4819),
    [anon_sym_GT_GT] = ACTIONS(4819),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym_virtual] = ACTIONS(4817),
    [anon_sym_extern] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4819),
    [anon_sym___declspec] = ACTIONS(4817),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym___cdecl] = ACTIONS(4817),
    [anon_sym___clrcall] = ACTIONS(4817),
    [anon_sym___stdcall] = ACTIONS(4817),
    [anon_sym___fastcall] = ACTIONS(4817),
    [anon_sym___thiscall] = ACTIONS(4817),
    [anon_sym___vectorcall] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_static] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(4819),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_register] = ACTIONS(4817),
    [anon_sym_inline] = ACTIONS(4817),
    [anon_sym___inline] = ACTIONS(4817),
    [anon_sym___inline__] = ACTIONS(4817),
    [anon_sym___forceinline] = ACTIONS(4817),
    [anon_sym_thread_local] = ACTIONS(4817),
    [anon_sym___thread] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_final] = ACTIONS(4817),
    [anon_sym_override] = ACTIONS(4817),
    [anon_sym_template] = ACTIONS(4817),
    [anon_sym_operator] = ACTIONS(4817),
    [anon_sym_try] = ACTIONS(4817),
    [anon_sym_requires] = ACTIONS(4817),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_try] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym_virtual] = ACTIONS(4821),
    [anon_sym_extern] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4823),
    [anon_sym___declspec] = ACTIONS(4821),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4821),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_register] = ACTIONS(4821),
    [anon_sym_inline] = ACTIONS(4821),
    [anon_sym___inline] = ACTIONS(4821),
    [anon_sym___inline__] = ACTIONS(4821),
    [anon_sym___forceinline] = ACTIONS(4821),
    [anon_sym_thread_local] = ACTIONS(4821),
    [anon_sym___thread] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4823),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_and_eq] = ACTIONS(4821),
    [anon_sym_or_eq] = ACTIONS(4821),
    [anon_sym_xor_eq] = ACTIONS(4821),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_template] = ACTIONS(4821),
    [anon_sym_operator] = ACTIONS(4821),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4823),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_TILDE] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym_virtual] = ACTIONS(4825),
    [anon_sym_extern] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4827),
    [anon_sym___declspec] = ACTIONS(4825),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [anon_sym_static] = ACTIONS(4825),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_register] = ACTIONS(4825),
    [anon_sym_inline] = ACTIONS(4825),
    [anon_sym___inline] = ACTIONS(4825),
    [anon_sym___inline__] = ACTIONS(4825),
    [anon_sym___forceinline] = ACTIONS(4825),
    [anon_sym_thread_local] = ACTIONS(4825),
    [anon_sym___thread] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4827),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_and_eq] = ACTIONS(4825),
    [anon_sym_or_eq] = ACTIONS(4825),
    [anon_sym_xor_eq] = ACTIONS(4825),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_template] = ACTIONS(4825),
    [anon_sym_operator] = ACTIONS(4825),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4827),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_try] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1530] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_try] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4823),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4823),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4823),
    [anon_sym_GT_GT] = ACTIONS(4823),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym_virtual] = ACTIONS(4821),
    [anon_sym_extern] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4823),
    [anon_sym___declspec] = ACTIONS(4821),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym___cdecl] = ACTIONS(4821),
    [anon_sym___clrcall] = ACTIONS(4821),
    [anon_sym___stdcall] = ACTIONS(4821),
    [anon_sym___fastcall] = ACTIONS(4821),
    [anon_sym___thiscall] = ACTIONS(4821),
    [anon_sym___vectorcall] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4821),
    [anon_sym_RBRACK] = ACTIONS(4823),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_register] = ACTIONS(4821),
    [anon_sym_inline] = ACTIONS(4821),
    [anon_sym___inline] = ACTIONS(4821),
    [anon_sym___inline__] = ACTIONS(4821),
    [anon_sym___forceinline] = ACTIONS(4821),
    [anon_sym_thread_local] = ACTIONS(4821),
    [anon_sym___thread] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_final] = ACTIONS(4821),
    [anon_sym_override] = ACTIONS(4821),
    [anon_sym_template] = ACTIONS(4821),
    [anon_sym_operator] = ACTIONS(4821),
    [anon_sym_try] = ACTIONS(4821),
    [anon_sym_requires] = ACTIONS(4821),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym_virtual] = ACTIONS(4817),
    [anon_sym_extern] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4819),
    [anon_sym___declspec] = ACTIONS(4817),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_static] = ACTIONS(4817),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_register] = ACTIONS(4817),
    [anon_sym_inline] = ACTIONS(4817),
    [anon_sym___inline] = ACTIONS(4817),
    [anon_sym___inline__] = ACTIONS(4817),
    [anon_sym___forceinline] = ACTIONS(4817),
    [anon_sym_thread_local] = ACTIONS(4817),
    [anon_sym___thread] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4819),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_and_eq] = ACTIONS(4817),
    [anon_sym_or_eq] = ACTIONS(4817),
    [anon_sym_xor_eq] = ACTIONS(4817),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_template] = ACTIONS(4817),
    [anon_sym_operator] = ACTIONS(4817),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4819),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_TILDE] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4827),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4827),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4827),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4827),
    [anon_sym_GT_GT] = ACTIONS(4827),
    [anon_sym_SEMI] = ACTIONS(4827),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym_virtual] = ACTIONS(4825),
    [anon_sym_extern] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4827),
    [anon_sym___declspec] = ACTIONS(4825),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym___cdecl] = ACTIONS(4825),
    [anon_sym___clrcall] = ACTIONS(4825),
    [anon_sym___stdcall] = ACTIONS(4825),
    [anon_sym___fastcall] = ACTIONS(4825),
    [anon_sym___thiscall] = ACTIONS(4825),
    [anon_sym___vectorcall] = ACTIONS(4825),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_RBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [anon_sym_static] = ACTIONS(4825),
    [anon_sym_RBRACK] = ACTIONS(4827),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_register] = ACTIONS(4825),
    [anon_sym_inline] = ACTIONS(4825),
    [anon_sym___inline] = ACTIONS(4825),
    [anon_sym___inline__] = ACTIONS(4825),
    [anon_sym___forceinline] = ACTIONS(4825),
    [anon_sym_thread_local] = ACTIONS(4825),
    [anon_sym___thread] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [anon_sym_COLON] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_final] = ACTIONS(4825),
    [anon_sym_override] = ACTIONS(4825),
    [anon_sym_template] = ACTIONS(4825),
    [anon_sym_operator] = ACTIONS(4825),
    [anon_sym_try] = ACTIONS(4825),
    [anon_sym_requires] = ACTIONS(4825),
  },
  [1536] = {
    [sym_template_argument_list] = STATE(1539),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4863),
    [anon_sym_COMMA] = ACTIONS(4863),
    [anon_sym_RPAREN] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4873),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4859),
    [anon_sym_virtual] = ACTIONS(4859),
    [anon_sym_extern] = ACTIONS(4859),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4859),
    [anon_sym___based] = ACTIONS(4859),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_static] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4870),
    [anon_sym_register] = ACTIONS(4859),
    [anon_sym_inline] = ACTIONS(4859),
    [anon_sym___inline] = ACTIONS(4859),
    [anon_sym___inline__] = ACTIONS(4859),
    [anon_sym___forceinline] = ACTIONS(4859),
    [anon_sym_thread_local] = ACTIONS(4859),
    [anon_sym___thread] = ACTIONS(4859),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4859),
    [anon_sym_volatile] = ACTIONS(4859),
    [anon_sym_restrict] = ACTIONS(4859),
    [anon_sym___restrict__] = ACTIONS(4859),
    [anon_sym__Atomic] = ACTIONS(4859),
    [anon_sym__Noreturn] = ACTIONS(4859),
    [anon_sym_noreturn] = ACTIONS(4859),
    [anon_sym__Nonnull] = ACTIONS(4859),
    [anon_sym_mutable] = ACTIONS(4859),
    [anon_sym_constinit] = ACTIONS(4859),
    [anon_sym_consteval] = ACTIONS(4859),
    [anon_sym_PROGMEM] = ACTIONS(4859),
    [anon_sym_alignas] = ACTIONS(4859),
    [anon_sym__Alignas] = ACTIONS(4859),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_template] = ACTIONS(4859),
    [anon_sym_operator] = ACTIONS(4859),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1539] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1540] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
  },
  [1541] = {
    [sym_string_literal] = STATE(2169),
    [sym_template_argument_list] = STATE(1873),
    [sym_raw_string_literal] = STATE(2169),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2465),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_COLON] = ACTIONS(4932),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4930),
    [anon_sym_or_eq] = ACTIONS(4930),
    [anon_sym_xor_eq] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
  },
  [1544] = {
    [sym_type_qualifier] = STATE(1519),
    [sym_alignas_qualifier] = STATE(1542),
    [sym_primitive_type] = STATE(2319),
    [aux_sym__type_definition_type_repeat1] = STATE(1519),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2323),
    [sym_identifier] = ACTIONS(4934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4942),
    [anon_sym_unsigned] = ACTIONS(4942),
    [anon_sym_long] = ACTIONS(4942),
    [anon_sym_short] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym__Nonnull] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_PROGMEM] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4944),
    [anon_sym__Alignas] = ACTIONS(4944),
    [aux_sym_primitive_type_token1] = ACTIONS(4946),
    [anon_sym_byte] = ACTIONS(4946),
    [anon_sym_word] = ACTIONS(4946),
    [anon_sym_COLON] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4936),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
  },
  [1545] = {
    [sym_string_literal] = STATE(3595),
    [sym_template_argument_list] = STATE(2850),
    [sym_raw_string_literal] = STATE(3595),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4951),
    [anon_sym_unsigned] = ACTIONS(4951),
    [anon_sym_long] = ACTIONS(4951),
    [anon_sym_short] = ACTIONS(4951),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4953),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4955),
    [anon_sym_SLASH_EQ] = ACTIONS(4955),
    [anon_sym_PERCENT_EQ] = ACTIONS(4955),
    [anon_sym_PLUS_EQ] = ACTIONS(4955),
    [anon_sym_DASH_EQ] = ACTIONS(4955),
    [anon_sym_LT_LT_EQ] = ACTIONS(4955),
    [anon_sym_GT_GT_EQ] = ACTIONS(4953),
    [anon_sym_AMP_EQ] = ACTIONS(4955),
    [anon_sym_CARET_EQ] = ACTIONS(4955),
    [anon_sym_PIPE_EQ] = ACTIONS(4955),
    [anon_sym_and_eq] = ACTIONS(4955),
    [anon_sym_or_eq] = ACTIONS(4955),
    [anon_sym_xor_eq] = ACTIONS(4955),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4957),
    [anon_sym_u_DQUOTE] = ACTIONS(4957),
    [anon_sym_U_DQUOTE] = ACTIONS(4957),
    [anon_sym_u8_DQUOTE] = ACTIONS(4957),
    [anon_sym_DQUOTE] = ACTIONS(4957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_GT2] = ACTIONS(4122),
    [anon_sym_R_DQUOTE] = ACTIONS(4959),
    [anon_sym_LR_DQUOTE] = ACTIONS(4959),
    [anon_sym_uR_DQUOTE] = ACTIONS(4959),
    [anon_sym_UR_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4959),
  },
  [1546] = {
    [sym_type_qualifier] = STATE(1548),
    [sym_alignas_qualifier] = STATE(1542),
    [sym_primitive_type] = STATE(2286),
    [aux_sym__type_definition_type_repeat1] = STATE(1548),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1560),
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [aux_sym_preproc_if_token2] = ACTIONS(4964),
    [aux_sym_preproc_else_token1] = ACTIONS(4964),
    [aux_sym_preproc_elif_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4968),
    [anon_sym_unsigned] = ACTIONS(4968),
    [anon_sym_long] = ACTIONS(4968),
    [anon_sym_short] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym__Nonnull] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_PROGMEM] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4944),
    [anon_sym__Alignas] = ACTIONS(4944),
    [aux_sym_primitive_type_token1] = ACTIONS(4946),
    [anon_sym_byte] = ACTIONS(4946),
    [anon_sym_word] = ACTIONS(4946),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1547] = {
    [sym_type_qualifier] = STATE(1544),
    [sym_alignas_qualifier] = STATE(1542),
    [sym_primitive_type] = STATE(2311),
    [aux_sym__type_definition_type_repeat1] = STATE(1544),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1570),
    [sym_identifier] = ACTIONS(4970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4972),
    [anon_sym_unsigned] = ACTIONS(4972),
    [anon_sym_long] = ACTIONS(4972),
    [anon_sym_short] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_RBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym__Nonnull] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_PROGMEM] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4944),
    [anon_sym__Alignas] = ACTIONS(4944),
    [aux_sym_primitive_type_token1] = ACTIONS(4946),
    [anon_sym_byte] = ACTIONS(4946),
    [anon_sym_word] = ACTIONS(4946),
    [anon_sym_COLON] = ACTIONS(4964),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1548] = {
    [sym_type_qualifier] = STATE(1519),
    [sym_alignas_qualifier] = STATE(1542),
    [sym_primitive_type] = STATE(2248),
    [aux_sym__type_definition_type_repeat1] = STATE(1519),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2239),
    [sym_identifier] = ACTIONS(4974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4977),
    [anon_sym_unsigned] = ACTIONS(4977),
    [anon_sym_long] = ACTIONS(4977),
    [anon_sym_short] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym__Nonnull] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_PROGMEM] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4944),
    [anon_sym__Alignas] = ACTIONS(4944),
    [aux_sym_primitive_type_token1] = ACTIONS(4946),
    [anon_sym_byte] = ACTIONS(4946),
    [anon_sym_word] = ACTIONS(4946),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4936),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym_virtual] = ACTIONS(4817),
    [anon_sym_extern] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4819),
    [anon_sym___declspec] = ACTIONS(4817),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_static] = ACTIONS(4817),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_register] = ACTIONS(4817),
    [anon_sym_inline] = ACTIONS(4817),
    [anon_sym___inline] = ACTIONS(4817),
    [anon_sym___inline__] = ACTIONS(4817),
    [anon_sym___forceinline] = ACTIONS(4817),
    [anon_sym_thread_local] = ACTIONS(4817),
    [anon_sym___thread] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4819),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_template] = ACTIONS(4817),
    [anon_sym_operator] = ACTIONS(4817),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4819),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_TILDE] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym_virtual] = ACTIONS(4825),
    [anon_sym_extern] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4827),
    [anon_sym___declspec] = ACTIONS(4825),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [anon_sym_static] = ACTIONS(4825),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_register] = ACTIONS(4825),
    [anon_sym_inline] = ACTIONS(4825),
    [anon_sym___inline] = ACTIONS(4825),
    [anon_sym___inline__] = ACTIONS(4825),
    [anon_sym___forceinline] = ACTIONS(4825),
    [anon_sym_thread_local] = ACTIONS(4825),
    [anon_sym___thread] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4827),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_template] = ACTIONS(4825),
    [anon_sym_operator] = ACTIONS(4825),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4827),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1552] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1553] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym_virtual] = ACTIONS(4821),
    [anon_sym_extern] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4823),
    [anon_sym___declspec] = ACTIONS(4821),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4821),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_register] = ACTIONS(4821),
    [anon_sym_inline] = ACTIONS(4821),
    [anon_sym___inline] = ACTIONS(4821),
    [anon_sym___inline__] = ACTIONS(4821),
    [anon_sym___forceinline] = ACTIONS(4821),
    [anon_sym_thread_local] = ACTIONS(4821),
    [anon_sym___thread] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4823),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_template] = ACTIONS(4821),
    [anon_sym_operator] = ACTIONS(4821),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4823),
  },
  [1554] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(2915),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4119),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4115),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(4914),
    [anon_sym_unsigned] = ACTIONS(4914),
    [anon_sym_long] = ACTIONS(4914),
    [anon_sym_short] = ACTIONS(4914),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4115),
    [anon_sym_volatile] = ACTIONS(4115),
    [anon_sym_restrict] = ACTIONS(4115),
    [anon_sym___restrict__] = ACTIONS(4115),
    [anon_sym__Atomic] = ACTIONS(4115),
    [anon_sym__Noreturn] = ACTIONS(4115),
    [anon_sym_noreturn] = ACTIONS(4115),
    [anon_sym__Nonnull] = ACTIONS(4115),
    [anon_sym_mutable] = ACTIONS(4115),
    [anon_sym_constinit] = ACTIONS(4115),
    [anon_sym_consteval] = ACTIONS(4115),
    [anon_sym_PROGMEM] = ACTIONS(4115),
    [anon_sym_alignas] = ACTIONS(4115),
    [anon_sym__Alignas] = ACTIONS(4115),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1557] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4887),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1558] = {
    [sym_type_qualifier] = STATE(1576),
    [sym_alignas_qualifier] = STATE(1616),
    [sym_primitive_type] = STATE(2597),
    [aux_sym__type_definition_type_repeat1] = STATE(1576),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2598),
    [sym_identifier] = ACTIONS(4982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4986),
    [anon_sym_unsigned] = ACTIONS(4986),
    [anon_sym_long] = ACTIONS(4986),
    [anon_sym_short] = ACTIONS(4986),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym__Nonnull] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [anon_sym_PROGMEM] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [aux_sym_primitive_type_token1] = ACTIONS(4990),
    [anon_sym_byte] = ACTIONS(4990),
    [anon_sym_word] = ACTIONS(4990),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4936),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4936),
  },
  [1559] = {
    [sym_type_qualifier] = STATE(1558),
    [sym_alignas_qualifier] = STATE(1616),
    [sym_primitive_type] = STATE(2603),
    [aux_sym__type_definition_type_repeat1] = STATE(1558),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1597),
    [sym_identifier] = ACTIONS(4992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4994),
    [anon_sym_unsigned] = ACTIONS(4994),
    [anon_sym_long] = ACTIONS(4994),
    [anon_sym_short] = ACTIONS(4994),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym__Nonnull] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [anon_sym_PROGMEM] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [aux_sym_primitive_type_token1] = ACTIONS(4990),
    [anon_sym_byte] = ACTIONS(4990),
    [anon_sym_word] = ACTIONS(4990),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4964),
  },
  [1560] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [sym_identifier] = ACTIONS(4996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [aux_sym_preproc_if_token2] = ACTIONS(4999),
    [aux_sym_preproc_else_token1] = ACTIONS(4999),
    [aux_sym_preproc_elif_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4999),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_STAR_EQ] = ACTIONS(4999),
    [anon_sym_SLASH_EQ] = ACTIONS(4999),
    [anon_sym_PERCENT_EQ] = ACTIONS(4999),
    [anon_sym_PLUS_EQ] = ACTIONS(4999),
    [anon_sym_DASH_EQ] = ACTIONS(4999),
    [anon_sym_LT_LT_EQ] = ACTIONS(4999),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(4999),
    [anon_sym_CARET_EQ] = ACTIONS(4999),
    [anon_sym_PIPE_EQ] = ACTIONS(4999),
    [anon_sym_and_eq] = ACTIONS(4996),
    [anon_sym_or_eq] = ACTIONS(4996),
    [anon_sym_xor_eq] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [aux_sym_preproc_if_token2] = ACTIONS(4857),
    [aux_sym_preproc_else_token1] = ACTIONS(4857),
    [aux_sym_preproc_elif_token1] = ACTIONS(4855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [aux_sym_preproc_if_token2] = ACTIONS(4827),
    [aux_sym_preproc_else_token1] = ACTIONS(4827),
    [aux_sym_preproc_elif_token1] = ACTIONS(4825),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4827),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym_SEMI] = ACTIONS(4827),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_RBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [anon_sym_RBRACK] = ACTIONS(4827),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [anon_sym_COLON] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4827),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_and_eq] = ACTIONS(4825),
    [anon_sym_or_eq] = ACTIONS(4825),
    [anon_sym_xor_eq] = ACTIONS(4825),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_final] = ACTIONS(4825),
    [anon_sym_override] = ACTIONS(4825),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [aux_sym_preproc_if_token2] = ACTIONS(4845),
    [aux_sym_preproc_else_token1] = ACTIONS(4845),
    [aux_sym_preproc_elif_token1] = ACTIONS(4843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [aux_sym_preproc_if_token2] = ACTIONS(4853),
    [aux_sym_preproc_else_token1] = ACTIONS(4853),
    [aux_sym_preproc_elif_token1] = ACTIONS(4851),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
  },
  [1565] = {
    [sym_type_qualifier] = STATE(1569),
    [sym_alignas_qualifier] = STATE(1622),
    [sym_primitive_type] = STATE(2658),
    [aux_sym__type_definition_type_repeat1] = STATE(1569),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(5002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5006),
    [anon_sym_unsigned] = ACTIONS(5006),
    [anon_sym_long] = ACTIONS(5006),
    [anon_sym_short] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym__Nonnull] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [anon_sym_PROGMEM] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [aux_sym_primitive_type_token1] = ACTIONS(5010),
    [anon_sym_byte] = ACTIONS(5010),
    [anon_sym_word] = ACTIONS(5010),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4966),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_and_eq] = ACTIONS(4966),
    [anon_sym_or_eq] = ACTIONS(4966),
    [anon_sym_xor_eq] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [aux_sym_preproc_if_token2] = ACTIONS(4823),
    [aux_sym_preproc_else_token1] = ACTIONS(4823),
    [aux_sym_preproc_elif_token1] = ACTIONS(4821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [anon_sym_RBRACK] = ACTIONS(4823),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4823),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_and_eq] = ACTIONS(4821),
    [anon_sym_or_eq] = ACTIONS(4821),
    [anon_sym_xor_eq] = ACTIONS(4821),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_final] = ACTIONS(4821),
    [anon_sym_override] = ACTIONS(4821),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [aux_sym_preproc_if_token2] = ACTIONS(4819),
    [aux_sym_preproc_else_token1] = ACTIONS(4819),
    [aux_sym_preproc_elif_token1] = ACTIONS(4817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4819),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_RBRACK] = ACTIONS(4819),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4819),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_and_eq] = ACTIONS(4817),
    [anon_sym_or_eq] = ACTIONS(4817),
    [anon_sym_xor_eq] = ACTIONS(4817),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_final] = ACTIONS(4817),
    [anon_sym_override] = ACTIONS(4817),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [aux_sym_preproc_if_token2] = ACTIONS(4849),
    [aux_sym_preproc_else_token1] = ACTIONS(4849),
    [aux_sym_preproc_elif_token1] = ACTIONS(4847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
  },
  [1569] = {
    [sym_type_qualifier] = STATE(1593),
    [sym_alignas_qualifier] = STATE(1622),
    [sym_primitive_type] = STATE(2642),
    [aux_sym__type_definition_type_repeat1] = STATE(1593),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2641),
    [sym_identifier] = ACTIONS(5012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4938),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5014),
    [anon_sym_unsigned] = ACTIONS(5014),
    [anon_sym_long] = ACTIONS(5014),
    [anon_sym_short] = ACTIONS(5014),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym__Nonnull] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [anon_sym_PROGMEM] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [aux_sym_primitive_type_token1] = ACTIONS(5010),
    [anon_sym_byte] = ACTIONS(5010),
    [anon_sym_word] = ACTIONS(5010),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4938),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_and_eq] = ACTIONS(4938),
    [anon_sym_or_eq] = ACTIONS(4938),
    [anon_sym_xor_eq] = ACTIONS(4938),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_GT2] = ACTIONS(4936),
  },
  [1570] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_RBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_RBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_STAR_EQ] = ACTIONS(4999),
    [anon_sym_SLASH_EQ] = ACTIONS(4999),
    [anon_sym_PERCENT_EQ] = ACTIONS(4999),
    [anon_sym_PLUS_EQ] = ACTIONS(4999),
    [anon_sym_DASH_EQ] = ACTIONS(4999),
    [anon_sym_LT_LT_EQ] = ACTIONS(4999),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(4999),
    [anon_sym_CARET_EQ] = ACTIONS(4999),
    [anon_sym_PIPE_EQ] = ACTIONS(4999),
    [anon_sym_and_eq] = ACTIONS(4996),
    [anon_sym_or_eq] = ACTIONS(4996),
    [anon_sym_xor_eq] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
  },
  [1571] = {
    [sym_function_definition] = STATE(747),
    [sym_declaration] = STATE(747),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1838),
    [sym_declaration_list] = STATE(747),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5020),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1572] = {
    [sym_function_definition] = STATE(381),
    [sym_declaration] = STATE(381),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1836),
    [sym_declaration_list] = STATE(381),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5022),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1573] = {
    [sym_function_definition] = STATE(540),
    [sym_declaration] = STATE(540),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1846),
    [sym_declaration_list] = STATE(540),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5024),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4880),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1575] = {
    [sym_function_definition] = STATE(574),
    [sym_declaration] = STATE(574),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_declaration_list] = STATE(574),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1576] = {
    [sym_type_qualifier] = STATE(1576),
    [sym_alignas_qualifier] = STATE(1616),
    [aux_sym__type_definition_type_repeat1] = STATE(1576),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(5028),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(5028),
    [anon_sym_constexpr] = ACTIONS(5028),
    [anon_sym_volatile] = ACTIONS(5028),
    [anon_sym_restrict] = ACTIONS(5028),
    [anon_sym___restrict__] = ACTIONS(5028),
    [anon_sym__Atomic] = ACTIONS(5028),
    [anon_sym__Noreturn] = ACTIONS(5028),
    [anon_sym_noreturn] = ACTIONS(5028),
    [anon_sym__Nonnull] = ACTIONS(5028),
    [anon_sym_mutable] = ACTIONS(5028),
    [anon_sym_constinit] = ACTIONS(5028),
    [anon_sym_consteval] = ACTIONS(5028),
    [anon_sym_PROGMEM] = ACTIONS(5028),
    [anon_sym_alignas] = ACTIONS(5031),
    [anon_sym__Alignas] = ACTIONS(5031),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4898),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4883),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [aux_sym_primitive_type_token1] = ACTIONS(4876),
    [anon_sym_byte] = ACTIONS(4876),
    [anon_sym_word] = ACTIONS(4876),
    [anon_sym_enum] = ACTIONS(4876),
    [anon_sym_class] = ACTIONS(4876),
    [anon_sym_struct] = ACTIONS(4876),
    [anon_sym_union] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_asm] = ACTIONS(4876),
    [anon_sym___asm__] = ACTIONS(4876),
    [anon_sym___asm] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_explicit] = ACTIONS(4876),
    [anon_sym_typename] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_GT2] = ACTIONS(4883),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_try] = ACTIONS(4876),
    [anon_sym_friend] = ACTIONS(4876),
    [anon_sym_using] = ACTIONS(4876),
    [anon_sym_concept] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1578] = {
    [sym_function_definition] = STATE(638),
    [sym_declaration] = STATE(638),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1846),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7899),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5036),
    [anon_sym_struct] = ACTIONS(5038),
    [anon_sym_union] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1579] = {
    [sym_function_definition] = STATE(1892),
    [sym_declaration] = STATE(1892),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4670),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1847),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7926),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5042),
    [anon_sym_struct] = ACTIONS(5044),
    [anon_sym_union] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1580] = {
    [sym_function_definition] = STATE(691),
    [sym_declaration] = STATE(691),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1838),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8111),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5048),
    [anon_sym_struct] = ACTIONS(5050),
    [anon_sym_union] = ACTIONS(5052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1581] = {
    [sym_type_qualifier] = STATE(1588),
    [sym_alignas_qualifier] = STATE(1635),
    [sym_primitive_type] = STATE(2735),
    [aux_sym__type_definition_type_repeat1] = STATE(1588),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5056),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5058),
    [anon_sym_unsigned] = ACTIONS(5058),
    [anon_sym_long] = ACTIONS(5058),
    [anon_sym_short] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_EQ] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5056),
    [anon_sym_constexpr] = ACTIONS(5056),
    [anon_sym_volatile] = ACTIONS(5056),
    [anon_sym_restrict] = ACTIONS(5056),
    [anon_sym___restrict__] = ACTIONS(5056),
    [anon_sym__Atomic] = ACTIONS(5056),
    [anon_sym__Noreturn] = ACTIONS(5056),
    [anon_sym_noreturn] = ACTIONS(5056),
    [anon_sym__Nonnull] = ACTIONS(5056),
    [anon_sym_mutable] = ACTIONS(5056),
    [anon_sym_constinit] = ACTIONS(5056),
    [anon_sym_consteval] = ACTIONS(5056),
    [anon_sym_PROGMEM] = ACTIONS(5056),
    [anon_sym_alignas] = ACTIONS(5060),
    [anon_sym__Alignas] = ACTIONS(5060),
    [aux_sym_primitive_type_token1] = ACTIONS(5062),
    [anon_sym_byte] = ACTIONS(5062),
    [anon_sym_word] = ACTIONS(5062),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_STAR_EQ] = ACTIONS(4964),
    [anon_sym_SLASH_EQ] = ACTIONS(4964),
    [anon_sym_PERCENT_EQ] = ACTIONS(4964),
    [anon_sym_PLUS_EQ] = ACTIONS(4964),
    [anon_sym_DASH_EQ] = ACTIONS(4964),
    [anon_sym_LT_LT_EQ] = ACTIONS(4964),
    [anon_sym_GT_GT_EQ] = ACTIONS(4964),
    [anon_sym_AMP_EQ] = ACTIONS(4964),
    [anon_sym_CARET_EQ] = ACTIONS(4964),
    [anon_sym_PIPE_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4964),
  },
  [1582] = {
    [sym_function_definition] = STATE(658),
    [sym_declaration] = STATE(658),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8430),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5064),
    [anon_sym_struct] = ACTIONS(5066),
    [anon_sym_union] = ACTIONS(5068),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1583] = {
    [sym_function_definition] = STATE(644),
    [sym_declaration] = STATE(644),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4672),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1849),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8505),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5072),
    [anon_sym_union] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1584] = {
    [sym_function_definition] = STATE(700),
    [sym_declaration] = STATE(700),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4697),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1838),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8061),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5076),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1585] = {
    [sym_function_definition] = STATE(2005),
    [sym_declaration] = STATE(2005),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4670),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1847),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7963),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5082),
    [anon_sym_struct] = ACTIONS(5084),
    [anon_sym_union] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1586] = {
    [sym_function_definition] = STATE(386),
    [sym_declaration] = STATE(386),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1836),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8232),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5088),
    [anon_sym_struct] = ACTIONS(5090),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1587] = {
    [sym_function_definition] = STATE(1890),
    [sym_declaration] = STATE(1890),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8120),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5094),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1588] = {
    [sym_type_qualifier] = STATE(1619),
    [sym_alignas_qualifier] = STATE(1635),
    [sym_primitive_type] = STATE(2743),
    [aux_sym__type_definition_type_repeat1] = STATE(1619),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(5100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4938),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4938),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(5056),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5102),
    [anon_sym_unsigned] = ACTIONS(5102),
    [anon_sym_long] = ACTIONS(5102),
    [anon_sym_short] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(5056),
    [anon_sym_constexpr] = ACTIONS(5056),
    [anon_sym_volatile] = ACTIONS(5056),
    [anon_sym_restrict] = ACTIONS(5056),
    [anon_sym___restrict__] = ACTIONS(5056),
    [anon_sym__Atomic] = ACTIONS(5056),
    [anon_sym__Noreturn] = ACTIONS(5056),
    [anon_sym_noreturn] = ACTIONS(5056),
    [anon_sym__Nonnull] = ACTIONS(5056),
    [anon_sym_mutable] = ACTIONS(5056),
    [anon_sym_constinit] = ACTIONS(5056),
    [anon_sym_consteval] = ACTIONS(5056),
    [anon_sym_PROGMEM] = ACTIONS(5056),
    [anon_sym_alignas] = ACTIONS(5060),
    [anon_sym__Alignas] = ACTIONS(5060),
    [aux_sym_primitive_type_token1] = ACTIONS(5062),
    [anon_sym_byte] = ACTIONS(5062),
    [anon_sym_word] = ACTIONS(5062),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_STAR_EQ] = ACTIONS(4936),
    [anon_sym_SLASH_EQ] = ACTIONS(4936),
    [anon_sym_PERCENT_EQ] = ACTIONS(4936),
    [anon_sym_PLUS_EQ] = ACTIONS(4936),
    [anon_sym_DASH_EQ] = ACTIONS(4936),
    [anon_sym_LT_LT_EQ] = ACTIONS(4936),
    [anon_sym_GT_GT_EQ] = ACTIONS(4936),
    [anon_sym_AMP_EQ] = ACTIONS(4936),
    [anon_sym_CARET_EQ] = ACTIONS(4936),
    [anon_sym_PIPE_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4936),
  },
  [1589] = {
    [sym_function_definition] = STATE(354),
    [sym_declaration] = STATE(354),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1836),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8218),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5104),
    [anon_sym_struct] = ACTIONS(5106),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1590] = {
    [sym_function_definition] = STATE(1978),
    [sym_declaration] = STATE(1978),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4708),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8435),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5110),
    [anon_sym_struct] = ACTIONS(5112),
    [anon_sym_union] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1591] = {
    [sym_function_definition] = STATE(1696),
    [sym_declaration] = STATE(1696),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4687),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1841),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8023),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5116),
    [anon_sym_struct] = ACTIONS(5118),
    [anon_sym_union] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1592] = {
    [sym_function_definition] = STATE(1709),
    [sym_declaration] = STATE(1709),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4687),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1841),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(8044),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5122),
    [anon_sym_struct] = ACTIONS(5124),
    [anon_sym_union] = ACTIONS(5126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1593] = {
    [sym_type_qualifier] = STATE(1593),
    [sym_alignas_qualifier] = STATE(1622),
    [aux_sym__type_definition_type_repeat1] = STATE(1593),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4896),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(5128),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(5128),
    [anon_sym_constexpr] = ACTIONS(5128),
    [anon_sym_volatile] = ACTIONS(5128),
    [anon_sym_restrict] = ACTIONS(5128),
    [anon_sym___restrict__] = ACTIONS(5128),
    [anon_sym__Atomic] = ACTIONS(5128),
    [anon_sym__Noreturn] = ACTIONS(5128),
    [anon_sym_noreturn] = ACTIONS(5128),
    [anon_sym__Nonnull] = ACTIONS(5128),
    [anon_sym_mutable] = ACTIONS(5128),
    [anon_sym_constinit] = ACTIONS(5128),
    [anon_sym_consteval] = ACTIONS(5128),
    [anon_sym_PROGMEM] = ACTIONS(5128),
    [anon_sym_alignas] = ACTIONS(5131),
    [anon_sym__Alignas] = ACTIONS(5131),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4896),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_and_eq] = ACTIONS(4896),
    [anon_sym_or_eq] = ACTIONS(4896),
    [anon_sym_xor_eq] = ACTIONS(4896),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_GT2] = ACTIONS(4898),
  },
  [1594] = {
    [sym_function_definition] = STATE(660),
    [sym_declaration] = STATE(660),
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4728),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_ms_call_modifier] = STATE(1846),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym__class_name] = STATE(7874),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(3661),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(3666),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(53),
    [anon_sym___clrcall] = ACTIONS(53),
    [anon_sym___stdcall] = ACTIONS(53),
    [anon_sym___fastcall] = ACTIONS(53),
    [anon_sym___thiscall] = ACTIONS(53),
    [anon_sym___vectorcall] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(5134),
    [anon_sym_struct] = ACTIONS(5136),
    [anon_sym_union] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1595] = {
    [sym_identifier] = ACTIONS(5140),
    [anon_sym_COMMA] = ACTIONS(5142),
    [anon_sym_RPAREN] = ACTIONS(5142),
    [anon_sym_LPAREN2] = ACTIONS(5142),
    [anon_sym_TILDE] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE] = ACTIONS(5142),
    [anon_sym_AMP_AMP] = ACTIONS(5142),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5142),
    [anon_sym___extension__] = ACTIONS(5140),
    [anon_sym_virtual] = ACTIONS(5140),
    [anon_sym_extern] = ACTIONS(5140),
    [anon_sym___attribute__] = ACTIONS(5140),
    [anon_sym___attribute] = ACTIONS(5140),
    [anon_sym_COLON_COLON] = ACTIONS(5142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5142),
    [anon_sym___declspec] = ACTIONS(5140),
    [anon_sym___based] = ACTIONS(5140),
    [anon_sym___cdecl] = ACTIONS(5140),
    [anon_sym___clrcall] = ACTIONS(5140),
    [anon_sym___stdcall] = ACTIONS(5140),
    [anon_sym___fastcall] = ACTIONS(5140),
    [anon_sym___thiscall] = ACTIONS(5140),
    [anon_sym___vectorcall] = ACTIONS(5140),
    [anon_sym_LBRACE] = ACTIONS(5142),
    [anon_sym_signed] = ACTIONS(5140),
    [anon_sym_unsigned] = ACTIONS(5140),
    [anon_sym_long] = ACTIONS(5140),
    [anon_sym_short] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5142),
    [anon_sym_register] = ACTIONS(5140),
    [anon_sym_inline] = ACTIONS(5140),
    [anon_sym___inline] = ACTIONS(5140),
    [anon_sym___inline__] = ACTIONS(5140),
    [anon_sym___forceinline] = ACTIONS(5140),
    [anon_sym_thread_local] = ACTIONS(5140),
    [anon_sym___thread] = ACTIONS(5140),
    [anon_sym_const] = ACTIONS(5140),
    [anon_sym_constexpr] = ACTIONS(5140),
    [anon_sym_volatile] = ACTIONS(5140),
    [anon_sym_restrict] = ACTIONS(5140),
    [anon_sym___restrict__] = ACTIONS(5140),
    [anon_sym__Atomic] = ACTIONS(5140),
    [anon_sym__Noreturn] = ACTIONS(5140),
    [anon_sym_noreturn] = ACTIONS(5140),
    [anon_sym__Nonnull] = ACTIONS(5140),
    [anon_sym_mutable] = ACTIONS(5140),
    [anon_sym_constinit] = ACTIONS(5140),
    [anon_sym_consteval] = ACTIONS(5140),
    [anon_sym_PROGMEM] = ACTIONS(5140),
    [anon_sym_alignas] = ACTIONS(5140),
    [anon_sym__Alignas] = ACTIONS(5140),
    [aux_sym_primitive_type_token1] = ACTIONS(5140),
    [anon_sym_byte] = ACTIONS(5140),
    [anon_sym_word] = ACTIONS(5140),
    [anon_sym_enum] = ACTIONS(5140),
    [anon_sym_class] = ACTIONS(5140),
    [anon_sym_struct] = ACTIONS(5140),
    [anon_sym_union] = ACTIONS(5140),
    [anon_sym_or] = ACTIONS(5140),
    [anon_sym_and] = ACTIONS(5140),
    [anon_sym_asm] = ACTIONS(5140),
    [anon_sym___asm__] = ACTIONS(5140),
    [anon_sym___asm] = ACTIONS(5140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5140),
    [anon_sym_decltype] = ACTIONS(5140),
    [anon_sym_final] = ACTIONS(5140),
    [anon_sym_override] = ACTIONS(5140),
    [anon_sym_explicit] = ACTIONS(5140),
    [anon_sym_typename] = ACTIONS(5140),
    [anon_sym_template] = ACTIONS(5140),
    [anon_sym_GT2] = ACTIONS(5142),
    [anon_sym_operator] = ACTIONS(5140),
    [anon_sym_try] = ACTIONS(5140),
    [anon_sym_friend] = ACTIONS(5140),
    [anon_sym_using] = ACTIONS(5140),
    [anon_sym_concept] = ACTIONS(5140),
    [anon_sym_requires] = ACTIONS(5140),
  },
  [1596] = {
    [sym_type_qualifier] = STATE(1596),
    [sym_alignas_qualifier] = STATE(1624),
    [aux_sym__type_definition_type_repeat1] = STATE(1596),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_TILDE] = ACTIONS(4898),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(5144),
    [anon_sym_virtual] = ACTIONS(4896),
    [anon_sym_extern] = ACTIONS(4896),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(4898),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4898),
    [anon_sym___declspec] = ACTIONS(4896),
    [anon_sym___based] = ACTIONS(4896),
    [anon_sym___cdecl] = ACTIONS(4896),
    [anon_sym___clrcall] = ACTIONS(4896),
    [anon_sym___stdcall] = ACTIONS(4896),
    [anon_sym___fastcall] = ACTIONS(4896),
    [anon_sym___thiscall] = ACTIONS(4896),
    [anon_sym___vectorcall] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4896),
    [anon_sym_static] = ACTIONS(4896),
    [anon_sym_EQ] = ACTIONS(4898),
    [anon_sym_register] = ACTIONS(4896),
    [anon_sym_inline] = ACTIONS(4896),
    [anon_sym___inline] = ACTIONS(4896),
    [anon_sym___inline__] = ACTIONS(4896),
    [anon_sym___forceinline] = ACTIONS(4896),
    [anon_sym_thread_local] = ACTIONS(4896),
    [anon_sym___thread] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(5144),
    [anon_sym_constexpr] = ACTIONS(5144),
    [anon_sym_volatile] = ACTIONS(5144),
    [anon_sym_restrict] = ACTIONS(5144),
    [anon_sym___restrict__] = ACTIONS(5144),
    [anon_sym__Atomic] = ACTIONS(5144),
    [anon_sym__Noreturn] = ACTIONS(5144),
    [anon_sym_noreturn] = ACTIONS(5144),
    [anon_sym__Nonnull] = ACTIONS(5144),
    [anon_sym_mutable] = ACTIONS(5144),
    [anon_sym_constinit] = ACTIONS(5144),
    [anon_sym_consteval] = ACTIONS(5144),
    [anon_sym_PROGMEM] = ACTIONS(5144),
    [anon_sym_alignas] = ACTIONS(5147),
    [anon_sym__Alignas] = ACTIONS(5147),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_enum] = ACTIONS(4896),
    [anon_sym_class] = ACTIONS(4896),
    [anon_sym_struct] = ACTIONS(4896),
    [anon_sym_union] = ACTIONS(4896),
    [anon_sym_asm] = ACTIONS(4896),
    [anon_sym___asm__] = ACTIONS(4896),
    [anon_sym___asm] = ACTIONS(4896),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_typename] = ACTIONS(4896),
    [anon_sym_template] = ACTIONS(4896),
    [anon_sym_GT2] = ACTIONS(4898),
    [anon_sym_operator] = ACTIONS(4896),
    [anon_sym_try] = ACTIONS(4896),
    [anon_sym_noexcept] = ACTIONS(4896),
    [anon_sym_throw] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1597] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1611),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5150),
    [anon_sym_unsigned] = ACTIONS(5150),
    [anon_sym_long] = ACTIONS(5150),
    [anon_sym_short] = ACTIONS(5150),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_STAR_EQ] = ACTIONS(4999),
    [anon_sym_SLASH_EQ] = ACTIONS(4999),
    [anon_sym_PERCENT_EQ] = ACTIONS(4999),
    [anon_sym_PLUS_EQ] = ACTIONS(4999),
    [anon_sym_DASH_EQ] = ACTIONS(4999),
    [anon_sym_LT_LT_EQ] = ACTIONS(4999),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(4999),
    [anon_sym_CARET_EQ] = ACTIONS(4999),
    [anon_sym_PIPE_EQ] = ACTIONS(4999),
    [anon_sym_and_eq] = ACTIONS(4996),
    [anon_sym_or_eq] = ACTIONS(4996),
    [anon_sym_xor_eq] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4999),
  },
  [1598] = {
    [sym_identifier] = ACTIONS(5153),
    [anon_sym_COMMA] = ACTIONS(5155),
    [anon_sym_RPAREN] = ACTIONS(5155),
    [anon_sym_LPAREN2] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5155),
    [anon_sym_STAR] = ACTIONS(5155),
    [anon_sym_PIPE_PIPE] = ACTIONS(5155),
    [anon_sym_AMP_AMP] = ACTIONS(5155),
    [anon_sym_AMP] = ACTIONS(5153),
    [anon_sym_SEMI] = ACTIONS(5155),
    [anon_sym___extension__] = ACTIONS(5153),
    [anon_sym_virtual] = ACTIONS(5153),
    [anon_sym_extern] = ACTIONS(5153),
    [anon_sym___attribute__] = ACTIONS(5153),
    [anon_sym___attribute] = ACTIONS(5153),
    [anon_sym_COLON_COLON] = ACTIONS(5155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5155),
    [anon_sym___declspec] = ACTIONS(5153),
    [anon_sym___based] = ACTIONS(5153),
    [anon_sym___cdecl] = ACTIONS(5153),
    [anon_sym___clrcall] = ACTIONS(5153),
    [anon_sym___stdcall] = ACTIONS(5153),
    [anon_sym___fastcall] = ACTIONS(5153),
    [anon_sym___thiscall] = ACTIONS(5153),
    [anon_sym___vectorcall] = ACTIONS(5153),
    [anon_sym_LBRACE] = ACTIONS(5155),
    [anon_sym_signed] = ACTIONS(5153),
    [anon_sym_unsigned] = ACTIONS(5153),
    [anon_sym_long] = ACTIONS(5153),
    [anon_sym_short] = ACTIONS(5153),
    [anon_sym_LBRACK] = ACTIONS(5153),
    [anon_sym_static] = ACTIONS(5153),
    [anon_sym_EQ] = ACTIONS(5155),
    [anon_sym_register] = ACTIONS(5153),
    [anon_sym_inline] = ACTIONS(5153),
    [anon_sym___inline] = ACTIONS(5153),
    [anon_sym___inline__] = ACTIONS(5153),
    [anon_sym___forceinline] = ACTIONS(5153),
    [anon_sym_thread_local] = ACTIONS(5153),
    [anon_sym___thread] = ACTIONS(5153),
    [anon_sym_const] = ACTIONS(5153),
    [anon_sym_constexpr] = ACTIONS(5153),
    [anon_sym_volatile] = ACTIONS(5153),
    [anon_sym_restrict] = ACTIONS(5153),
    [anon_sym___restrict__] = ACTIONS(5153),
    [anon_sym__Atomic] = ACTIONS(5153),
    [anon_sym__Noreturn] = ACTIONS(5153),
    [anon_sym_noreturn] = ACTIONS(5153),
    [anon_sym__Nonnull] = ACTIONS(5153),
    [anon_sym_mutable] = ACTIONS(5153),
    [anon_sym_constinit] = ACTIONS(5153),
    [anon_sym_consteval] = ACTIONS(5153),
    [anon_sym_PROGMEM] = ACTIONS(5153),
    [anon_sym_alignas] = ACTIONS(5153),
    [anon_sym__Alignas] = ACTIONS(5153),
    [aux_sym_primitive_type_token1] = ACTIONS(5153),
    [anon_sym_byte] = ACTIONS(5153),
    [anon_sym_word] = ACTIONS(5153),
    [anon_sym_enum] = ACTIONS(5153),
    [anon_sym_class] = ACTIONS(5153),
    [anon_sym_struct] = ACTIONS(5153),
    [anon_sym_union] = ACTIONS(5153),
    [anon_sym_or] = ACTIONS(5153),
    [anon_sym_and] = ACTIONS(5153),
    [anon_sym_asm] = ACTIONS(5153),
    [anon_sym___asm__] = ACTIONS(5153),
    [anon_sym___asm] = ACTIONS(5153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5153),
    [anon_sym_decltype] = ACTIONS(5153),
    [anon_sym_final] = ACTIONS(5153),
    [anon_sym_override] = ACTIONS(5153),
    [anon_sym_explicit] = ACTIONS(5153),
    [anon_sym_typename] = ACTIONS(5153),
    [anon_sym_template] = ACTIONS(5153),
    [anon_sym_GT2] = ACTIONS(5155),
    [anon_sym_operator] = ACTIONS(5153),
    [anon_sym_try] = ACTIONS(5153),
    [anon_sym_friend] = ACTIONS(5153),
    [anon_sym_using] = ACTIONS(5153),
    [anon_sym_concept] = ACTIONS(5153),
    [anon_sym_requires] = ACTIONS(5153),
  },
  [1599] = {
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_COMMA] = ACTIONS(5159),
    [anon_sym_RPAREN] = ACTIONS(5159),
    [anon_sym_LPAREN2] = ACTIONS(5159),
    [anon_sym_TILDE] = ACTIONS(5159),
    [anon_sym_STAR] = ACTIONS(5159),
    [anon_sym_PIPE_PIPE] = ACTIONS(5159),
    [anon_sym_AMP_AMP] = ACTIONS(5159),
    [anon_sym_AMP] = ACTIONS(5157),
    [anon_sym_SEMI] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(5157),
    [anon_sym_virtual] = ACTIONS(5157),
    [anon_sym_extern] = ACTIONS(5157),
    [anon_sym___attribute__] = ACTIONS(5157),
    [anon_sym___attribute] = ACTIONS(5157),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5159),
    [anon_sym___declspec] = ACTIONS(5157),
    [anon_sym___based] = ACTIONS(5157),
    [anon_sym___cdecl] = ACTIONS(5157),
    [anon_sym___clrcall] = ACTIONS(5157),
    [anon_sym___stdcall] = ACTIONS(5157),
    [anon_sym___fastcall] = ACTIONS(5157),
    [anon_sym___thiscall] = ACTIONS(5157),
    [anon_sym___vectorcall] = ACTIONS(5157),
    [anon_sym_LBRACE] = ACTIONS(5159),
    [anon_sym_signed] = ACTIONS(5157),
    [anon_sym_unsigned] = ACTIONS(5157),
    [anon_sym_long] = ACTIONS(5157),
    [anon_sym_short] = ACTIONS(5157),
    [anon_sym_LBRACK] = ACTIONS(5157),
    [anon_sym_static] = ACTIONS(5157),
    [anon_sym_EQ] = ACTIONS(5159),
    [anon_sym_register] = ACTIONS(5157),
    [anon_sym_inline] = ACTIONS(5157),
    [anon_sym___inline] = ACTIONS(5157),
    [anon_sym___inline__] = ACTIONS(5157),
    [anon_sym___forceinline] = ACTIONS(5157),
    [anon_sym_thread_local] = ACTIONS(5157),
    [anon_sym___thread] = ACTIONS(5157),
    [anon_sym_const] = ACTIONS(5157),
    [anon_sym_constexpr] = ACTIONS(5157),
    [anon_sym_volatile] = ACTIONS(5157),
    [anon_sym_restrict] = ACTIONS(5157),
    [anon_sym___restrict__] = ACTIONS(5157),
    [anon_sym__Atomic] = ACTIONS(5157),
    [anon_sym__Noreturn] = ACTIONS(5157),
    [anon_sym_noreturn] = ACTIONS(5157),
    [anon_sym__Nonnull] = ACTIONS(5157),
    [anon_sym_mutable] = ACTIONS(5157),
    [anon_sym_constinit] = ACTIONS(5157),
    [anon_sym_consteval] = ACTIONS(5157),
    [anon_sym_PROGMEM] = ACTIONS(5157),
    [anon_sym_alignas] = ACTIONS(5157),
    [anon_sym__Alignas] = ACTIONS(5157),
    [aux_sym_primitive_type_token1] = ACTIONS(5157),
    [anon_sym_byte] = ACTIONS(5157),
    [anon_sym_word] = ACTIONS(5157),
    [anon_sym_enum] = ACTIONS(5157),
    [anon_sym_class] = ACTIONS(5157),
    [anon_sym_struct] = ACTIONS(5157),
    [anon_sym_union] = ACTIONS(5157),
    [anon_sym_or] = ACTIONS(5157),
    [anon_sym_and] = ACTIONS(5157),
    [anon_sym_asm] = ACTIONS(5157),
    [anon_sym___asm__] = ACTIONS(5157),
    [anon_sym___asm] = ACTIONS(5157),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5157),
    [anon_sym_decltype] = ACTIONS(5157),
    [anon_sym_final] = ACTIONS(5157),
    [anon_sym_override] = ACTIONS(5157),
    [anon_sym_explicit] = ACTIONS(5157),
    [anon_sym_typename] = ACTIONS(5157),
    [anon_sym_template] = ACTIONS(5157),
    [anon_sym_GT2] = ACTIONS(5159),
    [anon_sym_operator] = ACTIONS(5157),
    [anon_sym_try] = ACTIONS(5157),
    [anon_sym_friend] = ACTIONS(5157),
    [anon_sym_using] = ACTIONS(5157),
    [anon_sym_concept] = ACTIONS(5157),
    [anon_sym_requires] = ACTIONS(5157),
  },
  [1600] = {
    [sym_identifier] = ACTIONS(5161),
    [anon_sym_COMMA] = ACTIONS(5163),
    [anon_sym_RPAREN] = ACTIONS(5163),
    [anon_sym_LPAREN2] = ACTIONS(5163),
    [anon_sym_TILDE] = ACTIONS(5163),
    [anon_sym_STAR] = ACTIONS(5163),
    [anon_sym_PIPE_PIPE] = ACTIONS(5163),
    [anon_sym_AMP_AMP] = ACTIONS(5163),
    [anon_sym_AMP] = ACTIONS(5161),
    [anon_sym_SEMI] = ACTIONS(5163),
    [anon_sym___extension__] = ACTIONS(5161),
    [anon_sym_virtual] = ACTIONS(5161),
    [anon_sym_extern] = ACTIONS(5161),
    [anon_sym___attribute__] = ACTIONS(5161),
    [anon_sym___attribute] = ACTIONS(5161),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5163),
    [anon_sym___declspec] = ACTIONS(5161),
    [anon_sym___based] = ACTIONS(5161),
    [anon_sym___cdecl] = ACTIONS(5161),
    [anon_sym___clrcall] = ACTIONS(5161),
    [anon_sym___stdcall] = ACTIONS(5161),
    [anon_sym___fastcall] = ACTIONS(5161),
    [anon_sym___thiscall] = ACTIONS(5161),
    [anon_sym___vectorcall] = ACTIONS(5161),
    [anon_sym_LBRACE] = ACTIONS(5163),
    [anon_sym_signed] = ACTIONS(5161),
    [anon_sym_unsigned] = ACTIONS(5161),
    [anon_sym_long] = ACTIONS(5161),
    [anon_sym_short] = ACTIONS(5161),
    [anon_sym_LBRACK] = ACTIONS(5161),
    [anon_sym_static] = ACTIONS(5161),
    [anon_sym_EQ] = ACTIONS(5163),
    [anon_sym_register] = ACTIONS(5161),
    [anon_sym_inline] = ACTIONS(5161),
    [anon_sym___inline] = ACTIONS(5161),
    [anon_sym___inline__] = ACTIONS(5161),
    [anon_sym___forceinline] = ACTIONS(5161),
    [anon_sym_thread_local] = ACTIONS(5161),
    [anon_sym___thread] = ACTIONS(5161),
    [anon_sym_const] = ACTIONS(5161),
    [anon_sym_constexpr] = ACTIONS(5161),
    [anon_sym_volatile] = ACTIONS(5161),
    [anon_sym_restrict] = ACTIONS(5161),
    [anon_sym___restrict__] = ACTIONS(5161),
    [anon_sym__Atomic] = ACTIONS(5161),
    [anon_sym__Noreturn] = ACTIONS(5161),
    [anon_sym_noreturn] = ACTIONS(5161),
    [anon_sym__Nonnull] = ACTIONS(5161),
    [anon_sym_mutable] = ACTIONS(5161),
    [anon_sym_constinit] = ACTIONS(5161),
    [anon_sym_consteval] = ACTIONS(5161),
    [anon_sym_PROGMEM] = ACTIONS(5161),
    [anon_sym_alignas] = ACTIONS(5161),
    [anon_sym__Alignas] = ACTIONS(5161),
    [aux_sym_primitive_type_token1] = ACTIONS(5161),
    [anon_sym_byte] = ACTIONS(5161),
    [anon_sym_word] = ACTIONS(5161),
    [anon_sym_enum] = ACTIONS(5161),
    [anon_sym_class] = ACTIONS(5161),
    [anon_sym_struct] = ACTIONS(5161),
    [anon_sym_union] = ACTIONS(5161),
    [anon_sym_or] = ACTIONS(5161),
    [anon_sym_and] = ACTIONS(5161),
    [anon_sym_asm] = ACTIONS(5161),
    [anon_sym___asm__] = ACTIONS(5161),
    [anon_sym___asm] = ACTIONS(5161),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5161),
    [anon_sym_decltype] = ACTIONS(5161),
    [anon_sym_final] = ACTIONS(5161),
    [anon_sym_override] = ACTIONS(5161),
    [anon_sym_explicit] = ACTIONS(5161),
    [anon_sym_typename] = ACTIONS(5161),
    [anon_sym_template] = ACTIONS(5161),
    [anon_sym_GT2] = ACTIONS(5163),
    [anon_sym_operator] = ACTIONS(5161),
    [anon_sym_try] = ACTIONS(5161),
    [anon_sym_friend] = ACTIONS(5161),
    [anon_sym_using] = ACTIONS(5161),
    [anon_sym_concept] = ACTIONS(5161),
    [anon_sym_requires] = ACTIONS(5161),
  },
  [1601] = {
    [sym_identifier] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5167),
    [anon_sym_RPAREN] = ACTIONS(5167),
    [anon_sym_LPAREN2] = ACTIONS(5167),
    [anon_sym_TILDE] = ACTIONS(5167),
    [anon_sym_STAR] = ACTIONS(5167),
    [anon_sym_PIPE_PIPE] = ACTIONS(5167),
    [anon_sym_AMP_AMP] = ACTIONS(5167),
    [anon_sym_AMP] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(5165),
    [anon_sym_virtual] = ACTIONS(5165),
    [anon_sym_extern] = ACTIONS(5165),
    [anon_sym___attribute__] = ACTIONS(5165),
    [anon_sym___attribute] = ACTIONS(5165),
    [anon_sym_COLON_COLON] = ACTIONS(5167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5167),
    [anon_sym___declspec] = ACTIONS(5165),
    [anon_sym___based] = ACTIONS(5165),
    [anon_sym___cdecl] = ACTIONS(5165),
    [anon_sym___clrcall] = ACTIONS(5165),
    [anon_sym___stdcall] = ACTIONS(5165),
    [anon_sym___fastcall] = ACTIONS(5165),
    [anon_sym___thiscall] = ACTIONS(5165),
    [anon_sym___vectorcall] = ACTIONS(5165),
    [anon_sym_LBRACE] = ACTIONS(5167),
    [anon_sym_signed] = ACTIONS(5165),
    [anon_sym_unsigned] = ACTIONS(5165),
    [anon_sym_long] = ACTIONS(5165),
    [anon_sym_short] = ACTIONS(5165),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_static] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5165),
    [anon_sym_inline] = ACTIONS(5165),
    [anon_sym___inline] = ACTIONS(5165),
    [anon_sym___inline__] = ACTIONS(5165),
    [anon_sym___forceinline] = ACTIONS(5165),
    [anon_sym_thread_local] = ACTIONS(5165),
    [anon_sym___thread] = ACTIONS(5165),
    [anon_sym_const] = ACTIONS(5165),
    [anon_sym_constexpr] = ACTIONS(5165),
    [anon_sym_volatile] = ACTIONS(5165),
    [anon_sym_restrict] = ACTIONS(5165),
    [anon_sym___restrict__] = ACTIONS(5165),
    [anon_sym__Atomic] = ACTIONS(5165),
    [anon_sym__Noreturn] = ACTIONS(5165),
    [anon_sym_noreturn] = ACTIONS(5165),
    [anon_sym__Nonnull] = ACTIONS(5165),
    [anon_sym_mutable] = ACTIONS(5165),
    [anon_sym_constinit] = ACTIONS(5165),
    [anon_sym_consteval] = ACTIONS(5165),
    [anon_sym_PROGMEM] = ACTIONS(5165),
    [anon_sym_alignas] = ACTIONS(5165),
    [anon_sym__Alignas] = ACTIONS(5165),
    [aux_sym_primitive_type_token1] = ACTIONS(5165),
    [anon_sym_byte] = ACTIONS(5165),
    [anon_sym_word] = ACTIONS(5165),
    [anon_sym_enum] = ACTIONS(5165),
    [anon_sym_class] = ACTIONS(5165),
    [anon_sym_struct] = ACTIONS(5165),
    [anon_sym_union] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5165),
    [anon_sym_and] = ACTIONS(5165),
    [anon_sym_asm] = ACTIONS(5165),
    [anon_sym___asm__] = ACTIONS(5165),
    [anon_sym___asm] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5165),
    [anon_sym_decltype] = ACTIONS(5165),
    [anon_sym_final] = ACTIONS(5165),
    [anon_sym_override] = ACTIONS(5165),
    [anon_sym_explicit] = ACTIONS(5165),
    [anon_sym_typename] = ACTIONS(5165),
    [anon_sym_template] = ACTIONS(5165),
    [anon_sym_GT2] = ACTIONS(5167),
    [anon_sym_operator] = ACTIONS(5165),
    [anon_sym_try] = ACTIONS(5165),
    [anon_sym_friend] = ACTIONS(5165),
    [anon_sym_using] = ACTIONS(5165),
    [anon_sym_concept] = ACTIONS(5165),
    [anon_sym_requires] = ACTIONS(5165),
  },
  [1602] = {
    [sym_identifier] = ACTIONS(5169),
    [anon_sym_COMMA] = ACTIONS(5171),
    [anon_sym_RPAREN] = ACTIONS(5171),
    [anon_sym_LPAREN2] = ACTIONS(5171),
    [anon_sym_TILDE] = ACTIONS(5171),
    [anon_sym_STAR] = ACTIONS(5171),
    [anon_sym_PIPE_PIPE] = ACTIONS(5171),
    [anon_sym_AMP_AMP] = ACTIONS(5171),
    [anon_sym_AMP] = ACTIONS(5169),
    [anon_sym_SEMI] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(5169),
    [anon_sym_virtual] = ACTIONS(5169),
    [anon_sym_extern] = ACTIONS(5169),
    [anon_sym___attribute__] = ACTIONS(5169),
    [anon_sym___attribute] = ACTIONS(5169),
    [anon_sym_COLON_COLON] = ACTIONS(5171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5171),
    [anon_sym___declspec] = ACTIONS(5169),
    [anon_sym___based] = ACTIONS(5169),
    [anon_sym___cdecl] = ACTIONS(5169),
    [anon_sym___clrcall] = ACTIONS(5169),
    [anon_sym___stdcall] = ACTIONS(5169),
    [anon_sym___fastcall] = ACTIONS(5169),
    [anon_sym___thiscall] = ACTIONS(5169),
    [anon_sym___vectorcall] = ACTIONS(5169),
    [anon_sym_LBRACE] = ACTIONS(5171),
    [anon_sym_signed] = ACTIONS(5169),
    [anon_sym_unsigned] = ACTIONS(5169),
    [anon_sym_long] = ACTIONS(5169),
    [anon_sym_short] = ACTIONS(5169),
    [anon_sym_LBRACK] = ACTIONS(5169),
    [anon_sym_static] = ACTIONS(5169),
    [anon_sym_EQ] = ACTIONS(5171),
    [anon_sym_register] = ACTIONS(5169),
    [anon_sym_inline] = ACTIONS(5169),
    [anon_sym___inline] = ACTIONS(5169),
    [anon_sym___inline__] = ACTIONS(5169),
    [anon_sym___forceinline] = ACTIONS(5169),
    [anon_sym_thread_local] = ACTIONS(5169),
    [anon_sym___thread] = ACTIONS(5169),
    [anon_sym_const] = ACTIONS(5169),
    [anon_sym_constexpr] = ACTIONS(5169),
    [anon_sym_volatile] = ACTIONS(5169),
    [anon_sym_restrict] = ACTIONS(5169),
    [anon_sym___restrict__] = ACTIONS(5169),
    [anon_sym__Atomic] = ACTIONS(5169),
    [anon_sym__Noreturn] = ACTIONS(5169),
    [anon_sym_noreturn] = ACTIONS(5169),
    [anon_sym__Nonnull] = ACTIONS(5169),
    [anon_sym_mutable] = ACTIONS(5169),
    [anon_sym_constinit] = ACTIONS(5169),
    [anon_sym_consteval] = ACTIONS(5169),
    [anon_sym_PROGMEM] = ACTIONS(5169),
    [anon_sym_alignas] = ACTIONS(5169),
    [anon_sym__Alignas] = ACTIONS(5169),
    [aux_sym_primitive_type_token1] = ACTIONS(5169),
    [anon_sym_byte] = ACTIONS(5169),
    [anon_sym_word] = ACTIONS(5169),
    [anon_sym_enum] = ACTIONS(5169),
    [anon_sym_class] = ACTIONS(5169),
    [anon_sym_struct] = ACTIONS(5169),
    [anon_sym_union] = ACTIONS(5169),
    [anon_sym_or] = ACTIONS(5169),
    [anon_sym_and] = ACTIONS(5169),
    [anon_sym_asm] = ACTIONS(5169),
    [anon_sym___asm__] = ACTIONS(5169),
    [anon_sym___asm] = ACTIONS(5169),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5169),
    [anon_sym_decltype] = ACTIONS(5169),
    [anon_sym_final] = ACTIONS(5169),
    [anon_sym_override] = ACTIONS(5169),
    [anon_sym_explicit] = ACTIONS(5169),
    [anon_sym_typename] = ACTIONS(5169),
    [anon_sym_template] = ACTIONS(5169),
    [anon_sym_GT2] = ACTIONS(5171),
    [anon_sym_operator] = ACTIONS(5169),
    [anon_sym_try] = ACTIONS(5169),
    [anon_sym_friend] = ACTIONS(5169),
    [anon_sym_using] = ACTIONS(5169),
    [anon_sym_concept] = ACTIONS(5169),
    [anon_sym_requires] = ACTIONS(5169),
  },
  [1603] = {
    [sym_identifier] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5167),
    [anon_sym_RPAREN] = ACTIONS(5167),
    [anon_sym_LPAREN2] = ACTIONS(5167),
    [anon_sym_TILDE] = ACTIONS(5167),
    [anon_sym_STAR] = ACTIONS(5167),
    [anon_sym_PIPE_PIPE] = ACTIONS(5167),
    [anon_sym_AMP_AMP] = ACTIONS(5167),
    [anon_sym_AMP] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(5165),
    [anon_sym_virtual] = ACTIONS(5165),
    [anon_sym_extern] = ACTIONS(5165),
    [anon_sym___attribute__] = ACTIONS(5165),
    [anon_sym___attribute] = ACTIONS(5165),
    [anon_sym_COLON_COLON] = ACTIONS(5167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5167),
    [anon_sym___declspec] = ACTIONS(5165),
    [anon_sym___based] = ACTIONS(5165),
    [anon_sym___cdecl] = ACTIONS(5165),
    [anon_sym___clrcall] = ACTIONS(5165),
    [anon_sym___stdcall] = ACTIONS(5165),
    [anon_sym___fastcall] = ACTIONS(5165),
    [anon_sym___thiscall] = ACTIONS(5165),
    [anon_sym___vectorcall] = ACTIONS(5165),
    [anon_sym_LBRACE] = ACTIONS(5167),
    [anon_sym_signed] = ACTIONS(5165),
    [anon_sym_unsigned] = ACTIONS(5165),
    [anon_sym_long] = ACTIONS(5165),
    [anon_sym_short] = ACTIONS(5165),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_static] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5165),
    [anon_sym_inline] = ACTIONS(5165),
    [anon_sym___inline] = ACTIONS(5165),
    [anon_sym___inline__] = ACTIONS(5165),
    [anon_sym___forceinline] = ACTIONS(5165),
    [anon_sym_thread_local] = ACTIONS(5165),
    [anon_sym___thread] = ACTIONS(5165),
    [anon_sym_const] = ACTIONS(5165),
    [anon_sym_constexpr] = ACTIONS(5165),
    [anon_sym_volatile] = ACTIONS(5165),
    [anon_sym_restrict] = ACTIONS(5165),
    [anon_sym___restrict__] = ACTIONS(5165),
    [anon_sym__Atomic] = ACTIONS(5165),
    [anon_sym__Noreturn] = ACTIONS(5165),
    [anon_sym_noreturn] = ACTIONS(5165),
    [anon_sym__Nonnull] = ACTIONS(5165),
    [anon_sym_mutable] = ACTIONS(5165),
    [anon_sym_constinit] = ACTIONS(5165),
    [anon_sym_consteval] = ACTIONS(5165),
    [anon_sym_PROGMEM] = ACTIONS(5165),
    [anon_sym_alignas] = ACTIONS(5165),
    [anon_sym__Alignas] = ACTIONS(5165),
    [aux_sym_primitive_type_token1] = ACTIONS(5165),
    [anon_sym_byte] = ACTIONS(5165),
    [anon_sym_word] = ACTIONS(5165),
    [anon_sym_enum] = ACTIONS(5165),
    [anon_sym_class] = ACTIONS(5165),
    [anon_sym_struct] = ACTIONS(5165),
    [anon_sym_union] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5165),
    [anon_sym_and] = ACTIONS(5165),
    [anon_sym_asm] = ACTIONS(5165),
    [anon_sym___asm__] = ACTIONS(5165),
    [anon_sym___asm] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5165),
    [anon_sym_decltype] = ACTIONS(5165),
    [anon_sym_final] = ACTIONS(5165),
    [anon_sym_override] = ACTIONS(5165),
    [anon_sym_explicit] = ACTIONS(5165),
    [anon_sym_typename] = ACTIONS(5165),
    [anon_sym_template] = ACTIONS(5165),
    [anon_sym_GT2] = ACTIONS(5167),
    [anon_sym_operator] = ACTIONS(5165),
    [anon_sym_try] = ACTIONS(5165),
    [anon_sym_friend] = ACTIONS(5165),
    [anon_sym_using] = ACTIONS(5165),
    [anon_sym_concept] = ACTIONS(5165),
    [anon_sym_requires] = ACTIONS(5165),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(5173),
    [anon_sym_COMMA] = ACTIONS(5175),
    [anon_sym_RPAREN] = ACTIONS(5175),
    [anon_sym_LPAREN2] = ACTIONS(5175),
    [anon_sym_TILDE] = ACTIONS(5175),
    [anon_sym_STAR] = ACTIONS(5175),
    [anon_sym_PIPE_PIPE] = ACTIONS(5175),
    [anon_sym_AMP_AMP] = ACTIONS(5175),
    [anon_sym_AMP] = ACTIONS(5173),
    [anon_sym_SEMI] = ACTIONS(5175),
    [anon_sym___extension__] = ACTIONS(5173),
    [anon_sym_virtual] = ACTIONS(5173),
    [anon_sym_extern] = ACTIONS(5173),
    [anon_sym___attribute__] = ACTIONS(5173),
    [anon_sym___attribute] = ACTIONS(5173),
    [anon_sym_COLON_COLON] = ACTIONS(5175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5175),
    [anon_sym___declspec] = ACTIONS(5173),
    [anon_sym___based] = ACTIONS(5173),
    [anon_sym___cdecl] = ACTIONS(5173),
    [anon_sym___clrcall] = ACTIONS(5173),
    [anon_sym___stdcall] = ACTIONS(5173),
    [anon_sym___fastcall] = ACTIONS(5173),
    [anon_sym___thiscall] = ACTIONS(5173),
    [anon_sym___vectorcall] = ACTIONS(5173),
    [anon_sym_LBRACE] = ACTIONS(5175),
    [anon_sym_signed] = ACTIONS(5173),
    [anon_sym_unsigned] = ACTIONS(5173),
    [anon_sym_long] = ACTIONS(5173),
    [anon_sym_short] = ACTIONS(5173),
    [anon_sym_LBRACK] = ACTIONS(5173),
    [anon_sym_static] = ACTIONS(5173),
    [anon_sym_EQ] = ACTIONS(5175),
    [anon_sym_register] = ACTIONS(5173),
    [anon_sym_inline] = ACTIONS(5173),
    [anon_sym___inline] = ACTIONS(5173),
    [anon_sym___inline__] = ACTIONS(5173),
    [anon_sym___forceinline] = ACTIONS(5173),
    [anon_sym_thread_local] = ACTIONS(5173),
    [anon_sym___thread] = ACTIONS(5173),
    [anon_sym_const] = ACTIONS(5173),
    [anon_sym_constexpr] = ACTIONS(5173),
    [anon_sym_volatile] = ACTIONS(5173),
    [anon_sym_restrict] = ACTIONS(5173),
    [anon_sym___restrict__] = ACTIONS(5173),
    [anon_sym__Atomic] = ACTIONS(5173),
    [anon_sym__Noreturn] = ACTIONS(5173),
    [anon_sym_noreturn] = ACTIONS(5173),
    [anon_sym__Nonnull] = ACTIONS(5173),
    [anon_sym_mutable] = ACTIONS(5173),
    [anon_sym_constinit] = ACTIONS(5173),
    [anon_sym_consteval] = ACTIONS(5173),
    [anon_sym_PROGMEM] = ACTIONS(5173),
    [anon_sym_alignas] = ACTIONS(5173),
    [anon_sym__Alignas] = ACTIONS(5173),
    [aux_sym_primitive_type_token1] = ACTIONS(5173),
    [anon_sym_byte] = ACTIONS(5173),
    [anon_sym_word] = ACTIONS(5173),
    [anon_sym_enum] = ACTIONS(5173),
    [anon_sym_class] = ACTIONS(5173),
    [anon_sym_struct] = ACTIONS(5173),
    [anon_sym_union] = ACTIONS(5173),
    [anon_sym_or] = ACTIONS(5173),
    [anon_sym_and] = ACTIONS(5173),
    [anon_sym_asm] = ACTIONS(5173),
    [anon_sym___asm__] = ACTIONS(5173),
    [anon_sym___asm] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5173),
    [anon_sym_decltype] = ACTIONS(5173),
    [anon_sym_final] = ACTIONS(5173),
    [anon_sym_override] = ACTIONS(5173),
    [anon_sym_explicit] = ACTIONS(5173),
    [anon_sym_typename] = ACTIONS(5173),
    [anon_sym_template] = ACTIONS(5173),
    [anon_sym_GT2] = ACTIONS(5175),
    [anon_sym_operator] = ACTIONS(5173),
    [anon_sym_try] = ACTIONS(5173),
    [anon_sym_friend] = ACTIONS(5173),
    [anon_sym_using] = ACTIONS(5173),
    [anon_sym_concept] = ACTIONS(5173),
    [anon_sym_requires] = ACTIONS(5173),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(5165),
    [anon_sym_COMMA] = ACTIONS(5167),
    [anon_sym_RPAREN] = ACTIONS(5167),
    [anon_sym_LPAREN2] = ACTIONS(5167),
    [anon_sym_TILDE] = ACTIONS(5167),
    [anon_sym_STAR] = ACTIONS(5167),
    [anon_sym_PIPE_PIPE] = ACTIONS(5167),
    [anon_sym_AMP_AMP] = ACTIONS(5167),
    [anon_sym_AMP] = ACTIONS(5165),
    [anon_sym_SEMI] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(5165),
    [anon_sym_virtual] = ACTIONS(5165),
    [anon_sym_extern] = ACTIONS(5165),
    [anon_sym___attribute__] = ACTIONS(5165),
    [anon_sym___attribute] = ACTIONS(5165),
    [anon_sym_COLON_COLON] = ACTIONS(5167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5167),
    [anon_sym___declspec] = ACTIONS(5165),
    [anon_sym___based] = ACTIONS(5165),
    [anon_sym___cdecl] = ACTIONS(5165),
    [anon_sym___clrcall] = ACTIONS(5165),
    [anon_sym___stdcall] = ACTIONS(5165),
    [anon_sym___fastcall] = ACTIONS(5165),
    [anon_sym___thiscall] = ACTIONS(5165),
    [anon_sym___vectorcall] = ACTIONS(5165),
    [anon_sym_LBRACE] = ACTIONS(5167),
    [anon_sym_signed] = ACTIONS(5165),
    [anon_sym_unsigned] = ACTIONS(5165),
    [anon_sym_long] = ACTIONS(5165),
    [anon_sym_short] = ACTIONS(5165),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_static] = ACTIONS(5165),
    [anon_sym_EQ] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5165),
    [anon_sym_inline] = ACTIONS(5165),
    [anon_sym___inline] = ACTIONS(5165),
    [anon_sym___inline__] = ACTIONS(5165),
    [anon_sym___forceinline] = ACTIONS(5165),
    [anon_sym_thread_local] = ACTIONS(5165),
    [anon_sym___thread] = ACTIONS(5165),
    [anon_sym_const] = ACTIONS(5165),
    [anon_sym_constexpr] = ACTIONS(5165),
    [anon_sym_volatile] = ACTIONS(5165),
    [anon_sym_restrict] = ACTIONS(5165),
    [anon_sym___restrict__] = ACTIONS(5165),
    [anon_sym__Atomic] = ACTIONS(5165),
    [anon_sym__Noreturn] = ACTIONS(5165),
    [anon_sym_noreturn] = ACTIONS(5165),
    [anon_sym__Nonnull] = ACTIONS(5165),
    [anon_sym_mutable] = ACTIONS(5165),
    [anon_sym_constinit] = ACTIONS(5165),
    [anon_sym_consteval] = ACTIONS(5165),
    [anon_sym_PROGMEM] = ACTIONS(5165),
    [anon_sym_alignas] = ACTIONS(5165),
    [anon_sym__Alignas] = ACTIONS(5165),
    [aux_sym_primitive_type_token1] = ACTIONS(5165),
    [anon_sym_byte] = ACTIONS(5165),
    [anon_sym_word] = ACTIONS(5165),
    [anon_sym_enum] = ACTIONS(5165),
    [anon_sym_class] = ACTIONS(5165),
    [anon_sym_struct] = ACTIONS(5165),
    [anon_sym_union] = ACTIONS(5165),
    [anon_sym_or] = ACTIONS(5165),
    [anon_sym_and] = ACTIONS(5165),
    [anon_sym_asm] = ACTIONS(5165),
    [anon_sym___asm__] = ACTIONS(5165),
    [anon_sym___asm] = ACTIONS(5165),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5165),
    [anon_sym_decltype] = ACTIONS(5165),
    [anon_sym_final] = ACTIONS(5165),
    [anon_sym_override] = ACTIONS(5165),
    [anon_sym_explicit] = ACTIONS(5165),
    [anon_sym_typename] = ACTIONS(5165),
    [anon_sym_template] = ACTIONS(5165),
    [anon_sym_GT2] = ACTIONS(5167),
    [anon_sym_operator] = ACTIONS(5165),
    [anon_sym_try] = ACTIONS(5165),
    [anon_sym_friend] = ACTIONS(5165),
    [anon_sym_using] = ACTIONS(5165),
    [anon_sym_concept] = ACTIONS(5165),
    [anon_sym_requires] = ACTIONS(5165),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(5177),
    [anon_sym_COMMA] = ACTIONS(5179),
    [anon_sym_RPAREN] = ACTIONS(5179),
    [anon_sym_LPAREN2] = ACTIONS(5179),
    [anon_sym_TILDE] = ACTIONS(5179),
    [anon_sym_STAR] = ACTIONS(5179),
    [anon_sym_PIPE_PIPE] = ACTIONS(5179),
    [anon_sym_AMP_AMP] = ACTIONS(5179),
    [anon_sym_AMP] = ACTIONS(5177),
    [anon_sym_SEMI] = ACTIONS(5179),
    [anon_sym___extension__] = ACTIONS(5177),
    [anon_sym_virtual] = ACTIONS(5177),
    [anon_sym_extern] = ACTIONS(5177),
    [anon_sym___attribute__] = ACTIONS(5177),
    [anon_sym___attribute] = ACTIONS(5177),
    [anon_sym_COLON_COLON] = ACTIONS(5179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5179),
    [anon_sym___declspec] = ACTIONS(5177),
    [anon_sym___based] = ACTIONS(5177),
    [anon_sym___cdecl] = ACTIONS(5177),
    [anon_sym___clrcall] = ACTIONS(5177),
    [anon_sym___stdcall] = ACTIONS(5177),
    [anon_sym___fastcall] = ACTIONS(5177),
    [anon_sym___thiscall] = ACTIONS(5177),
    [anon_sym___vectorcall] = ACTIONS(5177),
    [anon_sym_LBRACE] = ACTIONS(5179),
    [anon_sym_signed] = ACTIONS(5177),
    [anon_sym_unsigned] = ACTIONS(5177),
    [anon_sym_long] = ACTIONS(5177),
    [anon_sym_short] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [anon_sym_static] = ACTIONS(5177),
    [anon_sym_EQ] = ACTIONS(5179),
    [anon_sym_register] = ACTIONS(5177),
    [anon_sym_inline] = ACTIONS(5177),
    [anon_sym___inline] = ACTIONS(5177),
    [anon_sym___inline__] = ACTIONS(5177),
    [anon_sym___forceinline] = ACTIONS(5177),
    [anon_sym_thread_local] = ACTIONS(5177),
    [anon_sym___thread] = ACTIONS(5177),
    [anon_sym_const] = ACTIONS(5177),
    [anon_sym_constexpr] = ACTIONS(5177),
    [anon_sym_volatile] = ACTIONS(5177),
    [anon_sym_restrict] = ACTIONS(5177),
    [anon_sym___restrict__] = ACTIONS(5177),
    [anon_sym__Atomic] = ACTIONS(5177),
    [anon_sym__Noreturn] = ACTIONS(5177),
    [anon_sym_noreturn] = ACTIONS(5177),
    [anon_sym__Nonnull] = ACTIONS(5177),
    [anon_sym_mutable] = ACTIONS(5177),
    [anon_sym_constinit] = ACTIONS(5177),
    [anon_sym_consteval] = ACTIONS(5177),
    [anon_sym_PROGMEM] = ACTIONS(5177),
    [anon_sym_alignas] = ACTIONS(5177),
    [anon_sym__Alignas] = ACTIONS(5177),
    [aux_sym_primitive_type_token1] = ACTIONS(5177),
    [anon_sym_byte] = ACTIONS(5177),
    [anon_sym_word] = ACTIONS(5177),
    [anon_sym_enum] = ACTIONS(5177),
    [anon_sym_class] = ACTIONS(5177),
    [anon_sym_struct] = ACTIONS(5177),
    [anon_sym_union] = ACTIONS(5177),
    [anon_sym_or] = ACTIONS(5177),
    [anon_sym_and] = ACTIONS(5177),
    [anon_sym_asm] = ACTIONS(5177),
    [anon_sym___asm__] = ACTIONS(5177),
    [anon_sym___asm] = ACTIONS(5177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5177),
    [anon_sym_decltype] = ACTIONS(5177),
    [anon_sym_final] = ACTIONS(5177),
    [anon_sym_override] = ACTIONS(5177),
    [anon_sym_explicit] = ACTIONS(5177),
    [anon_sym_typename] = ACTIONS(5177),
    [anon_sym_template] = ACTIONS(5177),
    [anon_sym_GT2] = ACTIONS(5179),
    [anon_sym_operator] = ACTIONS(5177),
    [anon_sym_try] = ACTIONS(5177),
    [anon_sym_friend] = ACTIONS(5177),
    [anon_sym_using] = ACTIONS(5177),
    [anon_sym_concept] = ACTIONS(5177),
    [anon_sym_requires] = ACTIONS(5177),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(5181),
    [anon_sym_COMMA] = ACTIONS(5183),
    [anon_sym_RPAREN] = ACTIONS(5183),
    [anon_sym_LPAREN2] = ACTIONS(5183),
    [anon_sym_TILDE] = ACTIONS(5183),
    [anon_sym_STAR] = ACTIONS(5183),
    [anon_sym_PIPE_PIPE] = ACTIONS(5183),
    [anon_sym_AMP_AMP] = ACTIONS(5183),
    [anon_sym_AMP] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5183),
    [anon_sym___extension__] = ACTIONS(5181),
    [anon_sym_virtual] = ACTIONS(5181),
    [anon_sym_extern] = ACTIONS(5181),
    [anon_sym___attribute__] = ACTIONS(5181),
    [anon_sym___attribute] = ACTIONS(5181),
    [anon_sym_COLON_COLON] = ACTIONS(5183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5183),
    [anon_sym___declspec] = ACTIONS(5181),
    [anon_sym___based] = ACTIONS(5181),
    [anon_sym___cdecl] = ACTIONS(5181),
    [anon_sym___clrcall] = ACTIONS(5181),
    [anon_sym___stdcall] = ACTIONS(5181),
    [anon_sym___fastcall] = ACTIONS(5181),
    [anon_sym___thiscall] = ACTIONS(5181),
    [anon_sym___vectorcall] = ACTIONS(5181),
    [anon_sym_LBRACE] = ACTIONS(5183),
    [anon_sym_signed] = ACTIONS(5181),
    [anon_sym_unsigned] = ACTIONS(5181),
    [anon_sym_long] = ACTIONS(5181),
    [anon_sym_short] = ACTIONS(5181),
    [anon_sym_LBRACK] = ACTIONS(5181),
    [anon_sym_static] = ACTIONS(5181),
    [anon_sym_EQ] = ACTIONS(5183),
    [anon_sym_register] = ACTIONS(5181),
    [anon_sym_inline] = ACTIONS(5181),
    [anon_sym___inline] = ACTIONS(5181),
    [anon_sym___inline__] = ACTIONS(5181),
    [anon_sym___forceinline] = ACTIONS(5181),
    [anon_sym_thread_local] = ACTIONS(5181),
    [anon_sym___thread] = ACTIONS(5181),
    [anon_sym_const] = ACTIONS(5181),
    [anon_sym_constexpr] = ACTIONS(5181),
    [anon_sym_volatile] = ACTIONS(5181),
    [anon_sym_restrict] = ACTIONS(5181),
    [anon_sym___restrict__] = ACTIONS(5181),
    [anon_sym__Atomic] = ACTIONS(5181),
    [anon_sym__Noreturn] = ACTIONS(5181),
    [anon_sym_noreturn] = ACTIONS(5181),
    [anon_sym__Nonnull] = ACTIONS(5181),
    [anon_sym_mutable] = ACTIONS(5181),
    [anon_sym_constinit] = ACTIONS(5181),
    [anon_sym_consteval] = ACTIONS(5181),
    [anon_sym_PROGMEM] = ACTIONS(5181),
    [anon_sym_alignas] = ACTIONS(5181),
    [anon_sym__Alignas] = ACTIONS(5181),
    [aux_sym_primitive_type_token1] = ACTIONS(5181),
    [anon_sym_byte] = ACTIONS(5181),
    [anon_sym_word] = ACTIONS(5181),
    [anon_sym_enum] = ACTIONS(5181),
    [anon_sym_class] = ACTIONS(5181),
    [anon_sym_struct] = ACTIONS(5181),
    [anon_sym_union] = ACTIONS(5181),
    [anon_sym_or] = ACTIONS(5181),
    [anon_sym_and] = ACTIONS(5181),
    [anon_sym_asm] = ACTIONS(5181),
    [anon_sym___asm__] = ACTIONS(5181),
    [anon_sym___asm] = ACTIONS(5181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5181),
    [anon_sym_decltype] = ACTIONS(5181),
    [anon_sym_final] = ACTIONS(5181),
    [anon_sym_override] = ACTIONS(5181),
    [anon_sym_explicit] = ACTIONS(5181),
    [anon_sym_typename] = ACTIONS(5181),
    [anon_sym_template] = ACTIONS(5181),
    [anon_sym_GT2] = ACTIONS(5183),
    [anon_sym_operator] = ACTIONS(5181),
    [anon_sym_try] = ACTIONS(5181),
    [anon_sym_friend] = ACTIONS(5181),
    [anon_sym_using] = ACTIONS(5181),
    [anon_sym_concept] = ACTIONS(5181),
    [anon_sym_requires] = ACTIONS(5181),
  },
  [1608] = {
    [sym_identifier] = ACTIONS(5185),
    [anon_sym_COMMA] = ACTIONS(5187),
    [anon_sym_RPAREN] = ACTIONS(5187),
    [anon_sym_LPAREN2] = ACTIONS(5187),
    [anon_sym_TILDE] = ACTIONS(5187),
    [anon_sym_STAR] = ACTIONS(5187),
    [anon_sym_PIPE_PIPE] = ACTIONS(5187),
    [anon_sym_AMP_AMP] = ACTIONS(5187),
    [anon_sym_AMP] = ACTIONS(5185),
    [anon_sym_SEMI] = ACTIONS(5187),
    [anon_sym___extension__] = ACTIONS(5185),
    [anon_sym_virtual] = ACTIONS(5185),
    [anon_sym_extern] = ACTIONS(5185),
    [anon_sym___attribute__] = ACTIONS(5185),
    [anon_sym___attribute] = ACTIONS(5185),
    [anon_sym_COLON_COLON] = ACTIONS(5187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5187),
    [anon_sym___declspec] = ACTIONS(5185),
    [anon_sym___based] = ACTIONS(5185),
    [anon_sym___cdecl] = ACTIONS(5185),
    [anon_sym___clrcall] = ACTIONS(5185),
    [anon_sym___stdcall] = ACTIONS(5185),
    [anon_sym___fastcall] = ACTIONS(5185),
    [anon_sym___thiscall] = ACTIONS(5185),
    [anon_sym___vectorcall] = ACTIONS(5185),
    [anon_sym_LBRACE] = ACTIONS(5187),
    [anon_sym_signed] = ACTIONS(5185),
    [anon_sym_unsigned] = ACTIONS(5185),
    [anon_sym_long] = ACTIONS(5185),
    [anon_sym_short] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [anon_sym_static] = ACTIONS(5185),
    [anon_sym_EQ] = ACTIONS(5187),
    [anon_sym_register] = ACTIONS(5185),
    [anon_sym_inline] = ACTIONS(5185),
    [anon_sym___inline] = ACTIONS(5185),
    [anon_sym___inline__] = ACTIONS(5185),
    [anon_sym___forceinline] = ACTIONS(5185),
    [anon_sym_thread_local] = ACTIONS(5185),
    [anon_sym___thread] = ACTIONS(5185),
    [anon_sym_const] = ACTIONS(5185),
    [anon_sym_constexpr] = ACTIONS(5185),
    [anon_sym_volatile] = ACTIONS(5185),
    [anon_sym_restrict] = ACTIONS(5185),
    [anon_sym___restrict__] = ACTIONS(5185),
    [anon_sym__Atomic] = ACTIONS(5185),
    [anon_sym__Noreturn] = ACTIONS(5185),
    [anon_sym_noreturn] = ACTIONS(5185),
    [anon_sym__Nonnull] = ACTIONS(5185),
    [anon_sym_mutable] = ACTIONS(5185),
    [anon_sym_constinit] = ACTIONS(5185),
    [anon_sym_consteval] = ACTIONS(5185),
    [anon_sym_PROGMEM] = ACTIONS(5185),
    [anon_sym_alignas] = ACTIONS(5185),
    [anon_sym__Alignas] = ACTIONS(5185),
    [aux_sym_primitive_type_token1] = ACTIONS(5185),
    [anon_sym_byte] = ACTIONS(5185),
    [anon_sym_word] = ACTIONS(5185),
    [anon_sym_enum] = ACTIONS(5185),
    [anon_sym_class] = ACTIONS(5185),
    [anon_sym_struct] = ACTIONS(5185),
    [anon_sym_union] = ACTIONS(5185),
    [anon_sym_or] = ACTIONS(5185),
    [anon_sym_and] = ACTIONS(5185),
    [anon_sym_asm] = ACTIONS(5185),
    [anon_sym___asm__] = ACTIONS(5185),
    [anon_sym___asm] = ACTIONS(5185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5185),
    [anon_sym_decltype] = ACTIONS(5185),
    [anon_sym_final] = ACTIONS(5185),
    [anon_sym_override] = ACTIONS(5185),
    [anon_sym_explicit] = ACTIONS(5185),
    [anon_sym_typename] = ACTIONS(5185),
    [anon_sym_template] = ACTIONS(5185),
    [anon_sym_GT2] = ACTIONS(5187),
    [anon_sym_operator] = ACTIONS(5185),
    [anon_sym_try] = ACTIONS(5185),
    [anon_sym_friend] = ACTIONS(5185),
    [anon_sym_using] = ACTIONS(5185),
    [anon_sym_concept] = ACTIONS(5185),
    [anon_sym_requires] = ACTIONS(5185),
  },
  [1609] = {
    [sym_identifier] = ACTIONS(5189),
    [anon_sym_COMMA] = ACTIONS(5191),
    [anon_sym_RPAREN] = ACTIONS(5191),
    [anon_sym_LPAREN2] = ACTIONS(5191),
    [anon_sym_TILDE] = ACTIONS(5191),
    [anon_sym_STAR] = ACTIONS(5191),
    [anon_sym_PIPE_PIPE] = ACTIONS(5191),
    [anon_sym_AMP_AMP] = ACTIONS(5191),
    [anon_sym_AMP] = ACTIONS(5189),
    [anon_sym_SEMI] = ACTIONS(5191),
    [anon_sym___extension__] = ACTIONS(5189),
    [anon_sym_virtual] = ACTIONS(5189),
    [anon_sym_extern] = ACTIONS(5189),
    [anon_sym___attribute__] = ACTIONS(5189),
    [anon_sym___attribute] = ACTIONS(5189),
    [anon_sym_COLON_COLON] = ACTIONS(5191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5191),
    [anon_sym___declspec] = ACTIONS(5189),
    [anon_sym___based] = ACTIONS(5189),
    [anon_sym___cdecl] = ACTIONS(5189),
    [anon_sym___clrcall] = ACTIONS(5189),
    [anon_sym___stdcall] = ACTIONS(5189),
    [anon_sym___fastcall] = ACTIONS(5189),
    [anon_sym___thiscall] = ACTIONS(5189),
    [anon_sym___vectorcall] = ACTIONS(5189),
    [anon_sym_LBRACE] = ACTIONS(5191),
    [anon_sym_signed] = ACTIONS(5189),
    [anon_sym_unsigned] = ACTIONS(5189),
    [anon_sym_long] = ACTIONS(5189),
    [anon_sym_short] = ACTIONS(5189),
    [anon_sym_LBRACK] = ACTIONS(5189),
    [anon_sym_static] = ACTIONS(5189),
    [anon_sym_EQ] = ACTIONS(5191),
    [anon_sym_register] = ACTIONS(5189),
    [anon_sym_inline] = ACTIONS(5189),
    [anon_sym___inline] = ACTIONS(5189),
    [anon_sym___inline__] = ACTIONS(5189),
    [anon_sym___forceinline] = ACTIONS(5189),
    [anon_sym_thread_local] = ACTIONS(5189),
    [anon_sym___thread] = ACTIONS(5189),
    [anon_sym_const] = ACTIONS(5189),
    [anon_sym_constexpr] = ACTIONS(5189),
    [anon_sym_volatile] = ACTIONS(5189),
    [anon_sym_restrict] = ACTIONS(5189),
    [anon_sym___restrict__] = ACTIONS(5189),
    [anon_sym__Atomic] = ACTIONS(5189),
    [anon_sym__Noreturn] = ACTIONS(5189),
    [anon_sym_noreturn] = ACTIONS(5189),
    [anon_sym__Nonnull] = ACTIONS(5189),
    [anon_sym_mutable] = ACTIONS(5189),
    [anon_sym_constinit] = ACTIONS(5189),
    [anon_sym_consteval] = ACTIONS(5189),
    [anon_sym_PROGMEM] = ACTIONS(5189),
    [anon_sym_alignas] = ACTIONS(5189),
    [anon_sym__Alignas] = ACTIONS(5189),
    [aux_sym_primitive_type_token1] = ACTIONS(5189),
    [anon_sym_byte] = ACTIONS(5189),
    [anon_sym_word] = ACTIONS(5189),
    [anon_sym_enum] = ACTIONS(5189),
    [anon_sym_class] = ACTIONS(5189),
    [anon_sym_struct] = ACTIONS(5189),
    [anon_sym_union] = ACTIONS(5189),
    [anon_sym_or] = ACTIONS(5189),
    [anon_sym_and] = ACTIONS(5189),
    [anon_sym_asm] = ACTIONS(5189),
    [anon_sym___asm__] = ACTIONS(5189),
    [anon_sym___asm] = ACTIONS(5189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5189),
    [anon_sym_decltype] = ACTIONS(5189),
    [anon_sym_final] = ACTIONS(5189),
    [anon_sym_override] = ACTIONS(5189),
    [anon_sym_explicit] = ACTIONS(5189),
    [anon_sym_typename] = ACTIONS(5189),
    [anon_sym_template] = ACTIONS(5189),
    [anon_sym_GT2] = ACTIONS(5191),
    [anon_sym_operator] = ACTIONS(5189),
    [anon_sym_try] = ACTIONS(5189),
    [anon_sym_friend] = ACTIONS(5189),
    [anon_sym_using] = ACTIONS(5189),
    [anon_sym_concept] = ACTIONS(5189),
    [anon_sym_requires] = ACTIONS(5189),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5195),
    [anon_sym_RPAREN] = ACTIONS(5195),
    [anon_sym_LPAREN2] = ACTIONS(5195),
    [anon_sym_TILDE] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5195),
    [anon_sym_AMP_AMP] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5193),
    [anon_sym_SEMI] = ACTIONS(5195),
    [anon_sym___extension__] = ACTIONS(5193),
    [anon_sym_virtual] = ACTIONS(5193),
    [anon_sym_extern] = ACTIONS(5193),
    [anon_sym___attribute__] = ACTIONS(5193),
    [anon_sym___attribute] = ACTIONS(5193),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5195),
    [anon_sym___declspec] = ACTIONS(5193),
    [anon_sym___based] = ACTIONS(5193),
    [anon_sym___cdecl] = ACTIONS(5193),
    [anon_sym___clrcall] = ACTIONS(5193),
    [anon_sym___stdcall] = ACTIONS(5193),
    [anon_sym___fastcall] = ACTIONS(5193),
    [anon_sym___thiscall] = ACTIONS(5193),
    [anon_sym___vectorcall] = ACTIONS(5193),
    [anon_sym_LBRACE] = ACTIONS(5195),
    [anon_sym_signed] = ACTIONS(5193),
    [anon_sym_unsigned] = ACTIONS(5193),
    [anon_sym_long] = ACTIONS(5193),
    [anon_sym_short] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_static] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_register] = ACTIONS(5193),
    [anon_sym_inline] = ACTIONS(5193),
    [anon_sym___inline] = ACTIONS(5193),
    [anon_sym___inline__] = ACTIONS(5193),
    [anon_sym___forceinline] = ACTIONS(5193),
    [anon_sym_thread_local] = ACTIONS(5193),
    [anon_sym___thread] = ACTIONS(5193),
    [anon_sym_const] = ACTIONS(5193),
    [anon_sym_constexpr] = ACTIONS(5193),
    [anon_sym_volatile] = ACTIONS(5193),
    [anon_sym_restrict] = ACTIONS(5193),
    [anon_sym___restrict__] = ACTIONS(5193),
    [anon_sym__Atomic] = ACTIONS(5193),
    [anon_sym__Noreturn] = ACTIONS(5193),
    [anon_sym_noreturn] = ACTIONS(5193),
    [anon_sym__Nonnull] = ACTIONS(5193),
    [anon_sym_mutable] = ACTIONS(5193),
    [anon_sym_constinit] = ACTIONS(5193),
    [anon_sym_consteval] = ACTIONS(5193),
    [anon_sym_PROGMEM] = ACTIONS(5193),
    [anon_sym_alignas] = ACTIONS(5193),
    [anon_sym__Alignas] = ACTIONS(5193),
    [aux_sym_primitive_type_token1] = ACTIONS(5193),
    [anon_sym_byte] = ACTIONS(5193),
    [anon_sym_word] = ACTIONS(5193),
    [anon_sym_enum] = ACTIONS(5193),
    [anon_sym_class] = ACTIONS(5193),
    [anon_sym_struct] = ACTIONS(5193),
    [anon_sym_union] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5193),
    [anon_sym_and] = ACTIONS(5193),
    [anon_sym_asm] = ACTIONS(5193),
    [anon_sym___asm__] = ACTIONS(5193),
    [anon_sym___asm] = ACTIONS(5193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5193),
    [anon_sym_decltype] = ACTIONS(5193),
    [anon_sym_final] = ACTIONS(5193),
    [anon_sym_override] = ACTIONS(5193),
    [anon_sym_explicit] = ACTIONS(5193),
    [anon_sym_typename] = ACTIONS(5193),
    [anon_sym_template] = ACTIONS(5193),
    [anon_sym_GT2] = ACTIONS(5195),
    [anon_sym_operator] = ACTIONS(5193),
    [anon_sym_try] = ACTIONS(5193),
    [anon_sym_friend] = ACTIONS(5193),
    [anon_sym_using] = ACTIONS(5193),
    [anon_sym_concept] = ACTIONS(5193),
    [anon_sym_requires] = ACTIONS(5193),
  },
  [1611] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1611),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5150),
    [anon_sym_unsigned] = ACTIONS(5150),
    [anon_sym_long] = ACTIONS(5150),
    [anon_sym_short] = ACTIONS(5150),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4922),
  },
  [1612] = {
    [sym_identifier] = ACTIONS(5197),
    [anon_sym_COMMA] = ACTIONS(5199),
    [anon_sym_RPAREN] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_TILDE] = ACTIONS(5199),
    [anon_sym_STAR] = ACTIONS(5199),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_AMP] = ACTIONS(5197),
    [anon_sym_SEMI] = ACTIONS(5199),
    [anon_sym___extension__] = ACTIONS(5197),
    [anon_sym_virtual] = ACTIONS(5197),
    [anon_sym_extern] = ACTIONS(5197),
    [anon_sym___attribute__] = ACTIONS(5197),
    [anon_sym___attribute] = ACTIONS(5197),
    [anon_sym_COLON_COLON] = ACTIONS(5199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5199),
    [anon_sym___declspec] = ACTIONS(5197),
    [anon_sym___based] = ACTIONS(5197),
    [anon_sym___cdecl] = ACTIONS(5197),
    [anon_sym___clrcall] = ACTIONS(5197),
    [anon_sym___stdcall] = ACTIONS(5197),
    [anon_sym___fastcall] = ACTIONS(5197),
    [anon_sym___thiscall] = ACTIONS(5197),
    [anon_sym___vectorcall] = ACTIONS(5197),
    [anon_sym_LBRACE] = ACTIONS(5199),
    [anon_sym_signed] = ACTIONS(5197),
    [anon_sym_unsigned] = ACTIONS(5197),
    [anon_sym_long] = ACTIONS(5197),
    [anon_sym_short] = ACTIONS(5197),
    [anon_sym_LBRACK] = ACTIONS(5197),
    [anon_sym_static] = ACTIONS(5197),
    [anon_sym_EQ] = ACTIONS(5199),
    [anon_sym_register] = ACTIONS(5197),
    [anon_sym_inline] = ACTIONS(5197),
    [anon_sym___inline] = ACTIONS(5197),
    [anon_sym___inline__] = ACTIONS(5197),
    [anon_sym___forceinline] = ACTIONS(5197),
    [anon_sym_thread_local] = ACTIONS(5197),
    [anon_sym___thread] = ACTIONS(5197),
    [anon_sym_const] = ACTIONS(5197),
    [anon_sym_constexpr] = ACTIONS(5197),
    [anon_sym_volatile] = ACTIONS(5197),
    [anon_sym_restrict] = ACTIONS(5197),
    [anon_sym___restrict__] = ACTIONS(5197),
    [anon_sym__Atomic] = ACTIONS(5197),
    [anon_sym__Noreturn] = ACTIONS(5197),
    [anon_sym_noreturn] = ACTIONS(5197),
    [anon_sym__Nonnull] = ACTIONS(5197),
    [anon_sym_mutable] = ACTIONS(5197),
    [anon_sym_constinit] = ACTIONS(5197),
    [anon_sym_consteval] = ACTIONS(5197),
    [anon_sym_PROGMEM] = ACTIONS(5197),
    [anon_sym_alignas] = ACTIONS(5197),
    [anon_sym__Alignas] = ACTIONS(5197),
    [aux_sym_primitive_type_token1] = ACTIONS(5197),
    [anon_sym_byte] = ACTIONS(5197),
    [anon_sym_word] = ACTIONS(5197),
    [anon_sym_enum] = ACTIONS(5197),
    [anon_sym_class] = ACTIONS(5197),
    [anon_sym_struct] = ACTIONS(5197),
    [anon_sym_union] = ACTIONS(5197),
    [anon_sym_or] = ACTIONS(5197),
    [anon_sym_and] = ACTIONS(5197),
    [anon_sym_asm] = ACTIONS(5197),
    [anon_sym___asm__] = ACTIONS(5197),
    [anon_sym___asm] = ACTIONS(5197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5197),
    [anon_sym_decltype] = ACTIONS(5197),
    [anon_sym_final] = ACTIONS(5197),
    [anon_sym_override] = ACTIONS(5197),
    [anon_sym_explicit] = ACTIONS(5197),
    [anon_sym_typename] = ACTIONS(5197),
    [anon_sym_template] = ACTIONS(5197),
    [anon_sym_GT2] = ACTIONS(5199),
    [anon_sym_operator] = ACTIONS(5197),
    [anon_sym_try] = ACTIONS(5197),
    [anon_sym_friend] = ACTIONS(5197),
    [anon_sym_using] = ACTIONS(5197),
    [anon_sym_concept] = ACTIONS(5197),
    [anon_sym_requires] = ACTIONS(5197),
  },
  [1613] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1630),
    [aux_sym__type_definition_type_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [aux_sym_preproc_if_token2] = ACTIONS(4898),
    [aux_sym_preproc_else_token1] = ACTIONS(4898),
    [aux_sym_preproc_elif_token1] = ACTIONS(4896),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4898),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(5201),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_RBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(5201),
    [anon_sym_constexpr] = ACTIONS(5201),
    [anon_sym_volatile] = ACTIONS(5201),
    [anon_sym_restrict] = ACTIONS(5201),
    [anon_sym___restrict__] = ACTIONS(5201),
    [anon_sym__Atomic] = ACTIONS(5201),
    [anon_sym__Noreturn] = ACTIONS(5201),
    [anon_sym_noreturn] = ACTIONS(5201),
    [anon_sym__Nonnull] = ACTIONS(5201),
    [anon_sym_mutable] = ACTIONS(5201),
    [anon_sym_constinit] = ACTIONS(5201),
    [anon_sym_consteval] = ACTIONS(5201),
    [anon_sym_PROGMEM] = ACTIONS(5201),
    [anon_sym_alignas] = ACTIONS(5204),
    [anon_sym__Alignas] = ACTIONS(5204),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_COLON] = ACTIONS(4898),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1614] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1614),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4920),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4920),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4930),
    [anon_sym_or_eq] = ACTIONS(4930),
    [anon_sym_xor_eq] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4932),
  },
  [1616] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2465),
  },
  [1617] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1614),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_STAR_EQ] = ACTIONS(4999),
    [anon_sym_SLASH_EQ] = ACTIONS(4999),
    [anon_sym_PERCENT_EQ] = ACTIONS(4999),
    [anon_sym_PLUS_EQ] = ACTIONS(4999),
    [anon_sym_DASH_EQ] = ACTIONS(4999),
    [anon_sym_LT_LT_EQ] = ACTIONS(4999),
    [anon_sym_GT_GT_EQ] = ACTIONS(4996),
    [anon_sym_AMP_EQ] = ACTIONS(4999),
    [anon_sym_CARET_EQ] = ACTIONS(4999),
    [anon_sym_PIPE_EQ] = ACTIONS(4999),
    [anon_sym_and_eq] = ACTIONS(4996),
    [anon_sym_or_eq] = ACTIONS(4996),
    [anon_sym_xor_eq] = ACTIONS(4996),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [anon_sym_GT2] = ACTIONS(4999),
  },
  [1618] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3992),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7279),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_type_parameter_declaration] = STATE(7279),
    [sym_variadic_type_parameter_declaration] = STATE(7279),
    [sym_optional_type_parameter_declaration] = STATE(7279),
    [sym_template_template_parameter_declaration] = STATE(7279),
    [sym_optional_parameter_declaration] = STATE(7279),
    [sym_variadic_parameter_declaration] = STATE(7279),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5210),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5212),
    [anon_sym_template] = ACTIONS(5214),
    [anon_sym_GT2] = ACTIONS(5216),
  },
  [1619] = {
    [sym_type_qualifier] = STATE(1619),
    [sym_alignas_qualifier] = STATE(1635),
    [aux_sym__type_definition_type_repeat1] = STATE(1619),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4896),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4896),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4896),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4896),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(5218),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_EQ] = ACTIONS(4896),
    [anon_sym_const] = ACTIONS(5218),
    [anon_sym_constexpr] = ACTIONS(5218),
    [anon_sym_volatile] = ACTIONS(5218),
    [anon_sym_restrict] = ACTIONS(5218),
    [anon_sym___restrict__] = ACTIONS(5218),
    [anon_sym__Atomic] = ACTIONS(5218),
    [anon_sym__Noreturn] = ACTIONS(5218),
    [anon_sym_noreturn] = ACTIONS(5218),
    [anon_sym__Nonnull] = ACTIONS(5218),
    [anon_sym_mutable] = ACTIONS(5218),
    [anon_sym_constinit] = ACTIONS(5218),
    [anon_sym_consteval] = ACTIONS(5218),
    [anon_sym_PROGMEM] = ACTIONS(5218),
    [anon_sym_alignas] = ACTIONS(5221),
    [anon_sym__Alignas] = ACTIONS(5221),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_STAR_EQ] = ACTIONS(4898),
    [anon_sym_SLASH_EQ] = ACTIONS(4898),
    [anon_sym_PERCENT_EQ] = ACTIONS(4898),
    [anon_sym_PLUS_EQ] = ACTIONS(4898),
    [anon_sym_DASH_EQ] = ACTIONS(4898),
    [anon_sym_LT_LT_EQ] = ACTIONS(4898),
    [anon_sym_GT_GT_EQ] = ACTIONS(4898),
    [anon_sym_AMP_EQ] = ACTIONS(4898),
    [anon_sym_CARET_EQ] = ACTIONS(4898),
    [anon_sym_PIPE_EQ] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4898),
  },
  [1620] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3992),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7384),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_type_parameter_declaration] = STATE(7384),
    [sym_variadic_type_parameter_declaration] = STATE(7384),
    [sym_optional_type_parameter_declaration] = STATE(7384),
    [sym_template_template_parameter_declaration] = STATE(7384),
    [sym_optional_parameter_declaration] = STATE(7384),
    [sym_variadic_parameter_declaration] = STATE(7384),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5210),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5212),
    [anon_sym_template] = ACTIONS(5214),
    [anon_sym_GT2] = ACTIONS(5224),
  },
  [1621] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3992),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7598),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_type_parameter_declaration] = STATE(7598),
    [sym_variadic_type_parameter_declaration] = STATE(7598),
    [sym_optional_type_parameter_declaration] = STATE(7598),
    [sym_template_template_parameter_declaration] = STATE(7598),
    [sym_optional_parameter_declaration] = STATE(7598),
    [sym_variadic_parameter_declaration] = STATE(7598),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(5210),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(5212),
    [anon_sym_template] = ACTIONS(5214),
  },
  [1622] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2475),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_and_eq] = ACTIONS(2475),
    [anon_sym_or_eq] = ACTIONS(2475),
    [anon_sym_xor_eq] = ACTIONS(2475),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
  },
  [1623] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_and_eq] = ACTIONS(4930),
    [anon_sym_or_eq] = ACTIONS(4930),
    [anon_sym_xor_eq] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_GT2] = ACTIONS(4932),
  },
  [1624] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym_virtual] = ACTIONS(2475),
    [anon_sym_extern] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2465),
    [anon_sym___declspec] = ACTIONS(2475),
    [anon_sym___based] = ACTIONS(2475),
    [anon_sym___cdecl] = ACTIONS(2475),
    [anon_sym___clrcall] = ACTIONS(2475),
    [anon_sym___stdcall] = ACTIONS(2475),
    [anon_sym___fastcall] = ACTIONS(2475),
    [anon_sym___thiscall] = ACTIONS(2475),
    [anon_sym___vectorcall] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_EQ] = ACTIONS(2465),
    [anon_sym_register] = ACTIONS(2475),
    [anon_sym_inline] = ACTIONS(2475),
    [anon_sym___inline] = ACTIONS(2475),
    [anon_sym___inline__] = ACTIONS(2475),
    [anon_sym___forceinline] = ACTIONS(2475),
    [anon_sym_thread_local] = ACTIONS(2475),
    [anon_sym___thread] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_struct] = ACTIONS(2475),
    [anon_sym_union] = ACTIONS(2475),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_explicit] = ACTIONS(2475),
    [anon_sym_typename] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
    [anon_sym_operator] = ACTIONS(2475),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_noexcept] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [1625] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_TILDE] = ACTIONS(4932),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym_virtual] = ACTIONS(4930),
    [anon_sym_extern] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_COLON_COLON] = ACTIONS(4932),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4932),
    [anon_sym___declspec] = ACTIONS(4930),
    [anon_sym___based] = ACTIONS(4930),
    [anon_sym___cdecl] = ACTIONS(4930),
    [anon_sym___clrcall] = ACTIONS(4930),
    [anon_sym___stdcall] = ACTIONS(4930),
    [anon_sym___fastcall] = ACTIONS(4930),
    [anon_sym___thiscall] = ACTIONS(4930),
    [anon_sym___vectorcall] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_static] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4930),
    [anon_sym_inline] = ACTIONS(4930),
    [anon_sym___inline] = ACTIONS(4930),
    [anon_sym___inline__] = ACTIONS(4930),
    [anon_sym___forceinline] = ACTIONS(4930),
    [anon_sym_thread_local] = ACTIONS(4930),
    [anon_sym___thread] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_enum] = ACTIONS(4930),
    [anon_sym_class] = ACTIONS(4930),
    [anon_sym_struct] = ACTIONS(4930),
    [anon_sym_union] = ACTIONS(4930),
    [anon_sym_asm] = ACTIONS(4930),
    [anon_sym___asm__] = ACTIONS(4930),
    [anon_sym___asm] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_final] = ACTIONS(4930),
    [anon_sym_override] = ACTIONS(4930),
    [anon_sym_explicit] = ACTIONS(4930),
    [anon_sym_typename] = ACTIONS(4930),
    [anon_sym_template] = ACTIONS(4930),
    [anon_sym_GT2] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4930),
    [anon_sym_try] = ACTIONS(4930),
    [anon_sym_noexcept] = ACTIONS(4930),
    [anon_sym_throw] = ACTIONS(4930),
    [anon_sym_requires] = ACTIONS(4930),
  },
  [1626] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4922),
  },
  [1627] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4922),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1628] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4996),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4996),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4996),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5226),
    [anon_sym_unsigned] = ACTIONS(5226),
    [anon_sym_long] = ACTIONS(5226),
    [anon_sym_short] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_STAR_EQ] = ACTIONS(4999),
    [anon_sym_SLASH_EQ] = ACTIONS(4999),
    [anon_sym_PERCENT_EQ] = ACTIONS(4999),
    [anon_sym_PLUS_EQ] = ACTIONS(4999),
    [anon_sym_DASH_EQ] = ACTIONS(4999),
    [anon_sym_LT_LT_EQ] = ACTIONS(4999),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(4999),
    [anon_sym_CARET_EQ] = ACTIONS(4999),
    [anon_sym_PIPE_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4999),
  },
  [1629] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7391),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7391),
    [sym_variadic_parameter_declaration] = STATE(7391),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5232),
    [anon_sym_RPAREN] = ACTIONS(5234),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1630] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [aux_sym_preproc_if_token2] = ACTIONS(2465),
    [aux_sym_preproc_else_token1] = ACTIONS(2465),
    [aux_sym_preproc_elif_token1] = ACTIONS(2475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_COLON] = ACTIONS(2465),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [1631] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1632] = {
    [sym_type_qualifier] = STATE(1632),
    [sym_alignas_qualifier] = STATE(1694),
    [aux_sym_array_declarator_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5238),
    [anon_sym_BANG] = ACTIONS(5238),
    [anon_sym_TILDE] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5236),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym___extension__] = ACTIONS(5240),
    [anon_sym_COLON_COLON] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [anon_sym_static] = ACTIONS(5243),
    [anon_sym_RBRACK] = ACTIONS(5238),
    [anon_sym_const] = ACTIONS(5240),
    [anon_sym_constexpr] = ACTIONS(5240),
    [anon_sym_volatile] = ACTIONS(5240),
    [anon_sym_restrict] = ACTIONS(5240),
    [anon_sym___restrict__] = ACTIONS(5240),
    [anon_sym__Atomic] = ACTIONS(5240),
    [anon_sym__Noreturn] = ACTIONS(5240),
    [anon_sym_noreturn] = ACTIONS(5240),
    [anon_sym__Nonnull] = ACTIONS(5240),
    [anon_sym_mutable] = ACTIONS(5240),
    [anon_sym_constinit] = ACTIONS(5240),
    [anon_sym_consteval] = ACTIONS(5240),
    [anon_sym_PROGMEM] = ACTIONS(5240),
    [anon_sym_alignas] = ACTIONS(5246),
    [anon_sym__Alignas] = ACTIONS(5246),
    [aux_sym_primitive_type_token1] = ACTIONS(5236),
    [anon_sym_byte] = ACTIONS(5236),
    [anon_sym_word] = ACTIONS(5236),
    [anon_sym_not] = ACTIONS(5236),
    [anon_sym_compl] = ACTIONS(5236),
    [anon_sym_DASH_DASH] = ACTIONS(5238),
    [anon_sym_PLUS_PLUS] = ACTIONS(5238),
    [anon_sym_sizeof] = ACTIONS(5236),
    [anon_sym___alignof__] = ACTIONS(5236),
    [anon_sym___alignof] = ACTIONS(5236),
    [anon_sym__alignof] = ACTIONS(5236),
    [anon_sym_alignof] = ACTIONS(5236),
    [anon_sym__Alignof] = ACTIONS(5236),
    [anon_sym_offsetof] = ACTIONS(5236),
    [anon_sym__Generic] = ACTIONS(5236),
    [anon_sym_asm] = ACTIONS(5236),
    [anon_sym___asm__] = ACTIONS(5236),
    [anon_sym___asm] = ACTIONS(5236),
    [aux_sym_number_literal_token1] = ACTIONS(5238),
    [aux_sym_number_literal_token2] = ACTIONS(5236),
    [anon_sym_L_SQUOTE] = ACTIONS(5238),
    [anon_sym_u_SQUOTE] = ACTIONS(5238),
    [anon_sym_U_SQUOTE] = ACTIONS(5238),
    [anon_sym_u8_SQUOTE] = ACTIONS(5238),
    [anon_sym_SQUOTE] = ACTIONS(5238),
    [anon_sym_L_DQUOTE] = ACTIONS(5238),
    [anon_sym_u_DQUOTE] = ACTIONS(5238),
    [anon_sym_U_DQUOTE] = ACTIONS(5238),
    [anon_sym_u8_DQUOTE] = ACTIONS(5238),
    [anon_sym_DQUOTE] = ACTIONS(5238),
    [sym_true] = ACTIONS(5236),
    [sym_false] = ACTIONS(5236),
    [anon_sym_NULL] = ACTIONS(5236),
    [anon_sym_nullptr] = ACTIONS(5236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5236),
    [anon_sym_template] = ACTIONS(5236),
    [anon_sym_delete] = ACTIONS(5236),
    [anon_sym_R_DQUOTE] = ACTIONS(5238),
    [anon_sym_LR_DQUOTE] = ACTIONS(5238),
    [anon_sym_uR_DQUOTE] = ACTIONS(5238),
    [anon_sym_UR_DQUOTE] = ACTIONS(5238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5238),
    [anon_sym_co_await] = ACTIONS(5236),
    [anon_sym_new] = ACTIONS(5236),
    [anon_sym_requires] = ACTIONS(5236),
    [sym_this] = ACTIONS(5236),
  },
  [1633] = {
    [sym_catch_clause] = STATE(1637),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [aux_sym_preproc_else_token1] = ACTIONS(2575),
    [aux_sym_preproc_elif_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5249),
  },
  [1634] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7054),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7054),
    [sym_variadic_parameter_declaration] = STATE(7054),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5251),
    [anon_sym_RPAREN] = ACTIONS(5253),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1635] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2475),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2475),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_STAR_EQ] = ACTIONS(2465),
    [anon_sym_SLASH_EQ] = ACTIONS(2465),
    [anon_sym_PERCENT_EQ] = ACTIONS(2465),
    [anon_sym_PLUS_EQ] = ACTIONS(2465),
    [anon_sym_DASH_EQ] = ACTIONS(2465),
    [anon_sym_LT_LT_EQ] = ACTIONS(2465),
    [anon_sym_GT_GT_EQ] = ACTIONS(2465),
    [anon_sym_AMP_EQ] = ACTIONS(2465),
    [anon_sym_CARET_EQ] = ACTIONS(2465),
    [anon_sym_PIPE_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2465),
  },
  [1636] = {
    [sym_catch_clause] = STATE(1637),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [aux_sym_preproc_else_token1] = ACTIONS(2579),
    [aux_sym_preproc_elif_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5249),
  },
  [1637] = {
    [sym_catch_clause] = STATE(1637),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5255),
  },
  [1638] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7174),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7174),
    [sym_variadic_parameter_declaration] = STATE(7174),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5258),
    [anon_sym_RPAREN] = ACTIONS(5260),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1639] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_STAR_EQ] = ACTIONS(4932),
    [anon_sym_SLASH_EQ] = ACTIONS(4932),
    [anon_sym_PERCENT_EQ] = ACTIONS(4932),
    [anon_sym_PLUS_EQ] = ACTIONS(4932),
    [anon_sym_DASH_EQ] = ACTIONS(4932),
    [anon_sym_LT_LT_EQ] = ACTIONS(4932),
    [anon_sym_GT_GT_EQ] = ACTIONS(4932),
    [anon_sym_AMP_EQ] = ACTIONS(4932),
    [anon_sym_CARET_EQ] = ACTIONS(4932),
    [anon_sym_PIPE_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4932),
  },
  [1640] = {
    [sym_catch_clause] = STATE(1637),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5249),
  },
  [1641] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4932),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4932),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4932),
    [anon_sym_GT_GT] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_COLON] = ACTIONS(4932),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_final] = ACTIONS(4930),
    [anon_sym_override] = ACTIONS(4930),
    [anon_sym_requires] = ACTIONS(4930),
  },
  [1642] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7180),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7180),
    [sym_variadic_parameter_declaration] = STATE(7180),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_RPAREN] = ACTIONS(4155),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1643] = {
    [sym_identifier] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_BANG] = ACTIONS(5264),
    [anon_sym_TILDE] = ACTIONS(5264),
    [anon_sym_DASH] = ACTIONS(5262),
    [anon_sym_PLUS] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5264),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5264),
    [anon_sym___extension__] = ACTIONS(5262),
    [anon_sym_COLON_COLON] = ACTIONS(5264),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5264),
    [anon_sym_LBRACE] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [aux_sym_primitive_type_token1] = ACTIONS(5262),
    [anon_sym_byte] = ACTIONS(5262),
    [anon_sym_word] = ACTIONS(5262),
    [anon_sym_if] = ACTIONS(5262),
    [anon_sym_switch] = ACTIONS(5262),
    [anon_sym_case] = ACTIONS(5262),
    [anon_sym_default] = ACTIONS(5262),
    [anon_sym_while] = ACTIONS(5262),
    [anon_sym_do] = ACTIONS(5262),
    [anon_sym_for] = ACTIONS(5262),
    [anon_sym_return] = ACTIONS(5262),
    [anon_sym_break] = ACTIONS(5262),
    [anon_sym_continue] = ACTIONS(5262),
    [anon_sym_goto] = ACTIONS(5262),
    [anon_sym___try] = ACTIONS(5262),
    [anon_sym___leave] = ACTIONS(5262),
    [anon_sym_not] = ACTIONS(5262),
    [anon_sym_compl] = ACTIONS(5262),
    [anon_sym_DASH_DASH] = ACTIONS(5264),
    [anon_sym_PLUS_PLUS] = ACTIONS(5264),
    [anon_sym_sizeof] = ACTIONS(5262),
    [anon_sym___alignof__] = ACTIONS(5262),
    [anon_sym___alignof] = ACTIONS(5262),
    [anon_sym__alignof] = ACTIONS(5262),
    [anon_sym_alignof] = ACTIONS(5262),
    [anon_sym__Alignof] = ACTIONS(5262),
    [anon_sym_offsetof] = ACTIONS(5262),
    [anon_sym__Generic] = ACTIONS(5262),
    [anon_sym_asm] = ACTIONS(5262),
    [anon_sym___asm__] = ACTIONS(5262),
    [anon_sym___asm] = ACTIONS(5262),
    [aux_sym_number_literal_token1] = ACTIONS(5264),
    [aux_sym_number_literal_token2] = ACTIONS(5262),
    [anon_sym_L_SQUOTE] = ACTIONS(5264),
    [anon_sym_u_SQUOTE] = ACTIONS(5264),
    [anon_sym_U_SQUOTE] = ACTIONS(5264),
    [anon_sym_u8_SQUOTE] = ACTIONS(5264),
    [anon_sym_SQUOTE] = ACTIONS(5264),
    [anon_sym_L_DQUOTE] = ACTIONS(5264),
    [anon_sym_u_DQUOTE] = ACTIONS(5264),
    [anon_sym_U_DQUOTE] = ACTIONS(5264),
    [anon_sym_u8_DQUOTE] = ACTIONS(5264),
    [anon_sym_DQUOTE] = ACTIONS(5264),
    [sym_true] = ACTIONS(5262),
    [sym_false] = ACTIONS(5262),
    [anon_sym_NULL] = ACTIONS(5262),
    [anon_sym_nullptr] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5262),
    [anon_sym_template] = ACTIONS(5262),
    [anon_sym_try] = ACTIONS(5262),
    [anon_sym_delete] = ACTIONS(5262),
    [anon_sym_throw] = ACTIONS(5262),
    [anon_sym_co_return] = ACTIONS(5262),
    [anon_sym_co_yield] = ACTIONS(5262),
    [anon_sym_R_DQUOTE] = ACTIONS(5264),
    [anon_sym_LR_DQUOTE] = ACTIONS(5264),
    [anon_sym_uR_DQUOTE] = ACTIONS(5264),
    [anon_sym_UR_DQUOTE] = ACTIONS(5264),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5264),
    [anon_sym_co_await] = ACTIONS(5262),
    [anon_sym_new] = ACTIONS(5262),
    [anon_sym_requires] = ACTIONS(5262),
    [sym_this] = ACTIONS(5262),
  },
  [1644] = {
    [sym_identifier] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_BANG] = ACTIONS(5268),
    [anon_sym_TILDE] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5268),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5268),
    [anon_sym___extension__] = ACTIONS(5266),
    [anon_sym_COLON_COLON] = ACTIONS(5268),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5268),
    [anon_sym_LBRACE] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_primitive_type_token1] = ACTIONS(5266),
    [anon_sym_byte] = ACTIONS(5266),
    [anon_sym_word] = ACTIONS(5266),
    [anon_sym_if] = ACTIONS(5266),
    [anon_sym_switch] = ACTIONS(5266),
    [anon_sym_case] = ACTIONS(5266),
    [anon_sym_default] = ACTIONS(5266),
    [anon_sym_while] = ACTIONS(5266),
    [anon_sym_do] = ACTIONS(5266),
    [anon_sym_for] = ACTIONS(5266),
    [anon_sym_return] = ACTIONS(5266),
    [anon_sym_break] = ACTIONS(5266),
    [anon_sym_continue] = ACTIONS(5266),
    [anon_sym_goto] = ACTIONS(5266),
    [anon_sym___try] = ACTIONS(5266),
    [anon_sym___leave] = ACTIONS(5266),
    [anon_sym_not] = ACTIONS(5266),
    [anon_sym_compl] = ACTIONS(5266),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_sizeof] = ACTIONS(5266),
    [anon_sym___alignof__] = ACTIONS(5266),
    [anon_sym___alignof] = ACTIONS(5266),
    [anon_sym__alignof] = ACTIONS(5266),
    [anon_sym_alignof] = ACTIONS(5266),
    [anon_sym__Alignof] = ACTIONS(5266),
    [anon_sym_offsetof] = ACTIONS(5266),
    [anon_sym__Generic] = ACTIONS(5266),
    [anon_sym_asm] = ACTIONS(5266),
    [anon_sym___asm__] = ACTIONS(5266),
    [anon_sym___asm] = ACTIONS(5266),
    [aux_sym_number_literal_token1] = ACTIONS(5268),
    [aux_sym_number_literal_token2] = ACTIONS(5266),
    [anon_sym_L_SQUOTE] = ACTIONS(5268),
    [anon_sym_u_SQUOTE] = ACTIONS(5268),
    [anon_sym_U_SQUOTE] = ACTIONS(5268),
    [anon_sym_u8_SQUOTE] = ACTIONS(5268),
    [anon_sym_SQUOTE] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5268),
    [anon_sym_u_DQUOTE] = ACTIONS(5268),
    [anon_sym_U_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8_DQUOTE] = ACTIONS(5268),
    [anon_sym_DQUOTE] = ACTIONS(5268),
    [sym_true] = ACTIONS(5266),
    [sym_false] = ACTIONS(5266),
    [anon_sym_NULL] = ACTIONS(5266),
    [anon_sym_nullptr] = ACTIONS(5266),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5266),
    [anon_sym_template] = ACTIONS(5266),
    [anon_sym_try] = ACTIONS(5266),
    [anon_sym_delete] = ACTIONS(5266),
    [anon_sym_throw] = ACTIONS(5266),
    [anon_sym_co_return] = ACTIONS(5266),
    [anon_sym_co_yield] = ACTIONS(5266),
    [anon_sym_R_DQUOTE] = ACTIONS(5268),
    [anon_sym_LR_DQUOTE] = ACTIONS(5268),
    [anon_sym_uR_DQUOTE] = ACTIONS(5268),
    [anon_sym_UR_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5268),
    [anon_sym_co_await] = ACTIONS(5266),
    [anon_sym_new] = ACTIONS(5266),
    [anon_sym_requires] = ACTIONS(5266),
    [sym_this] = ACTIONS(5266),
  },
  [1645] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(4827),
    [anon_sym___attribute__] = ACTIONS(4827),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4827),
    [anon_sym_volatile] = ACTIONS(4827),
    [anon_sym_restrict] = ACTIONS(4827),
    [anon_sym___restrict__] = ACTIONS(4827),
    [anon_sym__Atomic] = ACTIONS(4827),
    [anon_sym__Noreturn] = ACTIONS(4827),
    [anon_sym_noreturn] = ACTIONS(4827),
    [anon_sym__Nonnull] = ACTIONS(4827),
    [anon_sym_mutable] = ACTIONS(4827),
    [anon_sym_constinit] = ACTIONS(4827),
    [anon_sym_consteval] = ACTIONS(4827),
    [anon_sym_PROGMEM] = ACTIONS(4827),
    [anon_sym_alignas] = ACTIONS(4827),
    [anon_sym__Alignas] = ACTIONS(4827),
    [anon_sym_COLON] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4827),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_and_eq] = ACTIONS(4827),
    [anon_sym_or_eq] = ACTIONS(4827),
    [anon_sym_xor_eq] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4827),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4827),
    [anon_sym_not_eq] = ACTIONS(4827),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4827),
    [anon_sym_decltype] = ACTIONS(4827),
    [anon_sym_final] = ACTIONS(4827),
    [anon_sym_override] = ACTIONS(4827),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4827),
  },
  [1646] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7622),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7622),
    [sym_variadic_parameter_declaration] = STATE(7622),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1647] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_PROGMEM] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1648] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_PROGMEM] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1649] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_PROGMEM] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1650] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(4819),
    [anon_sym___attribute__] = ACTIONS(4819),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4819),
    [anon_sym_volatile] = ACTIONS(4819),
    [anon_sym_restrict] = ACTIONS(4819),
    [anon_sym___restrict__] = ACTIONS(4819),
    [anon_sym__Atomic] = ACTIONS(4819),
    [anon_sym__Noreturn] = ACTIONS(4819),
    [anon_sym_noreturn] = ACTIONS(4819),
    [anon_sym__Nonnull] = ACTIONS(4819),
    [anon_sym_mutable] = ACTIONS(4819),
    [anon_sym_constinit] = ACTIONS(4819),
    [anon_sym_consteval] = ACTIONS(4819),
    [anon_sym_PROGMEM] = ACTIONS(4819),
    [anon_sym_alignas] = ACTIONS(4819),
    [anon_sym__Alignas] = ACTIONS(4819),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4819),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_and_eq] = ACTIONS(4819),
    [anon_sym_or_eq] = ACTIONS(4819),
    [anon_sym_xor_eq] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4819),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4819),
    [anon_sym_not_eq] = ACTIONS(4819),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4819),
    [anon_sym_decltype] = ACTIONS(4819),
    [anon_sym_final] = ACTIONS(4819),
    [anon_sym_override] = ACTIONS(4819),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4819),
  },
  [1651] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4883),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1652] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(4823),
    [anon_sym___attribute__] = ACTIONS(4823),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4823),
    [anon_sym_volatile] = ACTIONS(4823),
    [anon_sym_restrict] = ACTIONS(4823),
    [anon_sym___restrict__] = ACTIONS(4823),
    [anon_sym__Atomic] = ACTIONS(4823),
    [anon_sym__Noreturn] = ACTIONS(4823),
    [anon_sym_noreturn] = ACTIONS(4823),
    [anon_sym__Nonnull] = ACTIONS(4823),
    [anon_sym_mutable] = ACTIONS(4823),
    [anon_sym_constinit] = ACTIONS(4823),
    [anon_sym_consteval] = ACTIONS(4823),
    [anon_sym_PROGMEM] = ACTIONS(4823),
    [anon_sym_alignas] = ACTIONS(4823),
    [anon_sym__Alignas] = ACTIONS(4823),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4823),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_and_eq] = ACTIONS(4823),
    [anon_sym_or_eq] = ACTIONS(4823),
    [anon_sym_xor_eq] = ACTIONS(4823),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4823),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4823),
    [anon_sym_not_eq] = ACTIONS(4823),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4823),
    [anon_sym_decltype] = ACTIONS(4823),
    [anon_sym_final] = ACTIONS(4823),
    [anon_sym_override] = ACTIONS(4823),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4823),
  },
  [1653] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7058),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7058),
    [sym_variadic_parameter_declaration] = STATE(7058),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(1850),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1654] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(4857),
    [anon_sym___attribute__] = ACTIONS(4857),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4857),
    [anon_sym_volatile] = ACTIONS(4857),
    [anon_sym_restrict] = ACTIONS(4857),
    [anon_sym___restrict__] = ACTIONS(4857),
    [anon_sym__Atomic] = ACTIONS(4857),
    [anon_sym__Noreturn] = ACTIONS(4857),
    [anon_sym_noreturn] = ACTIONS(4857),
    [anon_sym__Nonnull] = ACTIONS(4857),
    [anon_sym_mutable] = ACTIONS(4857),
    [anon_sym_constinit] = ACTIONS(4857),
    [anon_sym_consteval] = ACTIONS(4857),
    [anon_sym_PROGMEM] = ACTIONS(4857),
    [anon_sym_alignas] = ACTIONS(4857),
    [anon_sym__Alignas] = ACTIONS(4857),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4857),
    [anon_sym_decltype] = ACTIONS(4857),
    [anon_sym_final] = ACTIONS(4857),
    [anon_sym_override] = ACTIONS(4857),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1655] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4825),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4825),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4825),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4825),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4825),
    [anon_sym_GT_GT] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(4827),
    [anon_sym___attribute__] = ACTIONS(4827),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [anon_sym_EQ] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4827),
    [anon_sym_volatile] = ACTIONS(4827),
    [anon_sym_restrict] = ACTIONS(4827),
    [anon_sym___restrict__] = ACTIONS(4827),
    [anon_sym__Atomic] = ACTIONS(4827),
    [anon_sym__Noreturn] = ACTIONS(4827),
    [anon_sym_noreturn] = ACTIONS(4827),
    [anon_sym__Nonnull] = ACTIONS(4827),
    [anon_sym_mutable] = ACTIONS(4827),
    [anon_sym_constinit] = ACTIONS(4827),
    [anon_sym_consteval] = ACTIONS(4827),
    [anon_sym_PROGMEM] = ACTIONS(4827),
    [anon_sym_alignas] = ACTIONS(4827),
    [anon_sym__Alignas] = ACTIONS(4827),
    [anon_sym_COLON] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_STAR_EQ] = ACTIONS(4827),
    [anon_sym_SLASH_EQ] = ACTIONS(4827),
    [anon_sym_PERCENT_EQ] = ACTIONS(4827),
    [anon_sym_PLUS_EQ] = ACTIONS(4827),
    [anon_sym_DASH_EQ] = ACTIONS(4827),
    [anon_sym_LT_LT_EQ] = ACTIONS(4827),
    [anon_sym_GT_GT_EQ] = ACTIONS(4825),
    [anon_sym_AMP_EQ] = ACTIONS(4827),
    [anon_sym_CARET_EQ] = ACTIONS(4827),
    [anon_sym_PIPE_EQ] = ACTIONS(4827),
    [anon_sym_and_eq] = ACTIONS(4827),
    [anon_sym_or_eq] = ACTIONS(4827),
    [anon_sym_xor_eq] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4827),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4827),
    [anon_sym_not_eq] = ACTIONS(4827),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4827),
    [anon_sym_decltype] = ACTIONS(4827),
    [anon_sym_final] = ACTIONS(4827),
    [anon_sym_override] = ACTIONS(4827),
    [anon_sym_GT2] = ACTIONS(4827),
  },
  [1656] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4855),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(4857),
    [anon_sym___attribute__] = ACTIONS(4857),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4857),
    [anon_sym_volatile] = ACTIONS(4857),
    [anon_sym_restrict] = ACTIONS(4857),
    [anon_sym___restrict__] = ACTIONS(4857),
    [anon_sym__Atomic] = ACTIONS(4857),
    [anon_sym__Noreturn] = ACTIONS(4857),
    [anon_sym_noreturn] = ACTIONS(4857),
    [anon_sym__Nonnull] = ACTIONS(4857),
    [anon_sym_mutable] = ACTIONS(4857),
    [anon_sym_constinit] = ACTIONS(4857),
    [anon_sym_consteval] = ACTIONS(4857),
    [anon_sym_PROGMEM] = ACTIONS(4857),
    [anon_sym_alignas] = ACTIONS(4857),
    [anon_sym__Alignas] = ACTIONS(4857),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4855),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4857),
    [anon_sym_decltype] = ACTIONS(4857),
    [anon_sym_final] = ACTIONS(4857),
    [anon_sym_override] = ACTIONS(4857),
    [anon_sym_GT2] = ACTIONS(4857),
  },
  [1657] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4817),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4817),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4817),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4817),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4817),
    [anon_sym_GT_GT] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(4819),
    [anon_sym___attribute__] = ACTIONS(4819),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_EQ] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4819),
    [anon_sym_volatile] = ACTIONS(4819),
    [anon_sym_restrict] = ACTIONS(4819),
    [anon_sym___restrict__] = ACTIONS(4819),
    [anon_sym__Atomic] = ACTIONS(4819),
    [anon_sym__Noreturn] = ACTIONS(4819),
    [anon_sym_noreturn] = ACTIONS(4819),
    [anon_sym__Nonnull] = ACTIONS(4819),
    [anon_sym_mutable] = ACTIONS(4819),
    [anon_sym_constinit] = ACTIONS(4819),
    [anon_sym_consteval] = ACTIONS(4819),
    [anon_sym_PROGMEM] = ACTIONS(4819),
    [anon_sym_alignas] = ACTIONS(4819),
    [anon_sym__Alignas] = ACTIONS(4819),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_STAR_EQ] = ACTIONS(4819),
    [anon_sym_SLASH_EQ] = ACTIONS(4819),
    [anon_sym_PERCENT_EQ] = ACTIONS(4819),
    [anon_sym_PLUS_EQ] = ACTIONS(4819),
    [anon_sym_DASH_EQ] = ACTIONS(4819),
    [anon_sym_LT_LT_EQ] = ACTIONS(4819),
    [anon_sym_GT_GT_EQ] = ACTIONS(4817),
    [anon_sym_AMP_EQ] = ACTIONS(4819),
    [anon_sym_CARET_EQ] = ACTIONS(4819),
    [anon_sym_PIPE_EQ] = ACTIONS(4819),
    [anon_sym_and_eq] = ACTIONS(4819),
    [anon_sym_or_eq] = ACTIONS(4819),
    [anon_sym_xor_eq] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4819),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4819),
    [anon_sym_not_eq] = ACTIONS(4819),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4819),
    [anon_sym_decltype] = ACTIONS(4819),
    [anon_sym_final] = ACTIONS(4819),
    [anon_sym_override] = ACTIONS(4819),
    [anon_sym_GT2] = ACTIONS(4819),
  },
  [1658] = {
    [sym__declaration_modifiers] = STATE(1866),
    [sym__declaration_specifiers] = STATE(3965),
    [sym_attribute_specifier] = STATE(1866),
    [sym_attribute_declaration] = STATE(1866),
    [sym_ms_declspec_modifier] = STATE(1866),
    [sym_storage_class_specifier] = STATE(1866),
    [sym_type_qualifier] = STATE(1866),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_parameter_declaration] = STATE(7603),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_optional_parameter_declaration] = STATE(7603),
    [sym_variadic_parameter_declaration] = STATE(7603),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1862),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1659] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4847),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_PROGMEM] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4847),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_GT2] = ACTIONS(4849),
  },
  [1660] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4851),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_PROGMEM] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4851),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_GT2] = ACTIONS(4853),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [aux_sym_preproc_else_token1] = ACTIONS(1968),
    [aux_sym_preproc_elif_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1662] = {
    [sym_string_literal] = STATE(1679),
    [sym_template_argument_list] = STATE(2306),
    [sym_raw_string_literal] = STATE(1679),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [aux_sym_preproc_if_token2] = ACTIONS(4109),
    [aux_sym_preproc_else_token1] = ACTIONS(4109),
    [aux_sym_preproc_elif_token1] = ACTIONS(4117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4117),
    [anon_sym_or_eq] = ACTIONS(4117),
    [anon_sym_xor_eq] = ACTIONS(4117),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [aux_sym_preproc_else_token1] = ACTIONS(1968),
    [aux_sym_preproc_elif_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [aux_sym_preproc_else_token1] = ACTIONS(1972),
    [aux_sym_preproc_elif_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_friend] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [aux_sym_preproc_else_token1] = ACTIONS(1968),
    [aux_sym_preproc_elif_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1666] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4843),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_PROGMEM] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4843),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_GT2] = ACTIONS(4845),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token2] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [aux_sym_preproc_else_token1] = ACTIONS(2667),
    [aux_sym_preproc_elif_token1] = ACTIONS(2667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_friend] = ACTIONS(2667),
    [anon_sym_public] = ACTIONS(2667),
    [anon_sym_private] = ACTIONS(2667),
    [anon_sym_protected] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
  },
  [1668] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4821),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4821),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4821),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4821),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4821),
    [anon_sym_GT_GT] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(4823),
    [anon_sym___attribute__] = ACTIONS(4823),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4823),
    [anon_sym_volatile] = ACTIONS(4823),
    [anon_sym_restrict] = ACTIONS(4823),
    [anon_sym___restrict__] = ACTIONS(4823),
    [anon_sym__Atomic] = ACTIONS(4823),
    [anon_sym__Noreturn] = ACTIONS(4823),
    [anon_sym_noreturn] = ACTIONS(4823),
    [anon_sym__Nonnull] = ACTIONS(4823),
    [anon_sym_mutable] = ACTIONS(4823),
    [anon_sym_constinit] = ACTIONS(4823),
    [anon_sym_consteval] = ACTIONS(4823),
    [anon_sym_PROGMEM] = ACTIONS(4823),
    [anon_sym_alignas] = ACTIONS(4823),
    [anon_sym__Alignas] = ACTIONS(4823),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_STAR_EQ] = ACTIONS(4823),
    [anon_sym_SLASH_EQ] = ACTIONS(4823),
    [anon_sym_PERCENT_EQ] = ACTIONS(4823),
    [anon_sym_PLUS_EQ] = ACTIONS(4823),
    [anon_sym_DASH_EQ] = ACTIONS(4823),
    [anon_sym_LT_LT_EQ] = ACTIONS(4823),
    [anon_sym_GT_GT_EQ] = ACTIONS(4821),
    [anon_sym_AMP_EQ] = ACTIONS(4823),
    [anon_sym_CARET_EQ] = ACTIONS(4823),
    [anon_sym_PIPE_EQ] = ACTIONS(4823),
    [anon_sym_and_eq] = ACTIONS(4823),
    [anon_sym_or_eq] = ACTIONS(4823),
    [anon_sym_xor_eq] = ACTIONS(4823),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4823),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4823),
    [anon_sym_not_eq] = ACTIONS(4823),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4823),
    [anon_sym_decltype] = ACTIONS(4823),
    [anon_sym_final] = ACTIONS(4823),
    [anon_sym_override] = ACTIONS(4823),
    [anon_sym_GT2] = ACTIONS(4823),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [aux_sym_preproc_else_token1] = ACTIONS(3033),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token2] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [aux_sym_preproc_else_token1] = ACTIONS(5277),
    [aux_sym_preproc_elif_token1] = ACTIONS(5277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [aux_sym_preproc_else_token1] = ACTIONS(5281),
    [aux_sym_preproc_elif_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token2] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [aux_sym_preproc_else_token1] = ACTIONS(5277),
    [aux_sym_preproc_elif_token1] = ACTIONS(5277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token2] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [aux_sym_preproc_else_token1] = ACTIONS(5285),
    [aux_sym_preproc_elif_token1] = ACTIONS(5285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [aux_sym_preproc_else_token1] = ACTIONS(3106),
    [aux_sym_preproc_elif_token1] = ACTIONS(3106),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_friend] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_friend] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token2] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [aux_sym_preproc_else_token1] = ACTIONS(5285),
    [aux_sym_preproc_elif_token1] = ACTIONS(5285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5291),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [aux_sym_preproc_else_token1] = ACTIONS(5295),
    [aux_sym_preproc_elif_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1679] = {
    [sym_string_literal] = STATE(1751),
    [sym_raw_string_literal] = STATE(1751),
    [aux_sym_concatenated_string_repeat1] = STATE(1751),
    [sym_identifier] = ACTIONS(5299),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5301),
    [anon_sym_COMMA] = ACTIONS(5301),
    [anon_sym_RPAREN] = ACTIONS(5301),
    [aux_sym_preproc_if_token2] = ACTIONS(5301),
    [aux_sym_preproc_else_token1] = ACTIONS(5301),
    [aux_sym_preproc_elif_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5301),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_DASH] = ACTIONS(5303),
    [anon_sym_PLUS] = ACTIONS(5303),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_SLASH] = ACTIONS(5303),
    [anon_sym_PERCENT] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_PIPE] = ACTIONS(5303),
    [anon_sym_CARET] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_EQ_EQ] = ACTIONS(5301),
    [anon_sym_BANG_EQ] = ACTIONS(5301),
    [anon_sym_GT] = ACTIONS(5303),
    [anon_sym_GT_EQ] = ACTIONS(5301),
    [anon_sym_LT_EQ] = ACTIONS(5303),
    [anon_sym_LT] = ACTIONS(5303),
    [anon_sym_LT_LT] = ACTIONS(5303),
    [anon_sym_GT_GT] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym_RBRACE] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [anon_sym_RBRACK] = ACTIONS(5301),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_COLON] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5301),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5303),
    [anon_sym_or_eq] = ACTIONS(5303),
    [anon_sym_xor_eq] = ACTIONS(5303),
    [anon_sym_LT_EQ_GT] = ACTIONS(5301),
    [anon_sym_or] = ACTIONS(5303),
    [anon_sym_and] = ACTIONS(5303),
    [anon_sym_bitor] = ACTIONS(5303),
    [anon_sym_xor] = ACTIONS(5303),
    [anon_sym_bitand] = ACTIONS(5303),
    [anon_sym_not_eq] = ACTIONS(5303),
    [anon_sym_DASH_DASH] = ACTIONS(5301),
    [anon_sym_PLUS_PLUS] = ACTIONS(5301),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_DOT_STAR] = ACTIONS(5301),
    [anon_sym_DASH_GT] = ACTIONS(5301),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [sym_literal_suffix] = ACTIONS(5303),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [aux_sym_preproc_else_token1] = ACTIONS(5295),
    [aux_sym_preproc_elif_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4857),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4857),
    [anon_sym_GT_GT] = ACTIONS(4857),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4857),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_signed] = ACTIONS(4855),
    [anon_sym_unsigned] = ACTIONS(4855),
    [anon_sym_long] = ACTIONS(4855),
    [anon_sym_short] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [aux_sym_primitive_type_token1] = ACTIONS(4855),
    [anon_sym_byte] = ACTIONS(4855),
    [anon_sym_word] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
    [anon_sym_requires] = ACTIONS(4855),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token2] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [aux_sym_preproc_else_token1] = ACTIONS(2986),
    [aux_sym_preproc_elif_token1] = ACTIONS(2986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_friend] = ACTIONS(2986),
    [anon_sym_public] = ACTIONS(2986),
    [anon_sym_private] = ACTIONS(2986),
    [anon_sym_protected] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
  },
  [1683] = {
    [sym_type_qualifier] = STATE(1711),
    [sym_alignas_qualifier] = STATE(1630),
    [sym_primitive_type] = STATE(2076),
    [aux_sym__type_definition_type_repeat1] = STATE(1711),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(5305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4964),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5309),
    [anon_sym_unsigned] = ACTIONS(5309),
    [anon_sym_long] = ACTIONS(5309),
    [anon_sym_short] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_RBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(4964),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(5313),
    [aux_sym_preproc_def_token1] = ACTIONS(5313),
    [aux_sym_preproc_if_token1] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5313),
    [aux_sym_preproc_else_token1] = ACTIONS(5313),
    [aux_sym_preproc_elif_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5313),
    [sym_preproc_directive] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5315),
    [anon_sym_TILDE] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym_typedef] = ACTIONS(5313),
    [anon_sym_virtual] = ACTIONS(5313),
    [anon_sym_extern] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym___attribute] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(5315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5315),
    [anon_sym___declspec] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5313),
    [anon_sym_signed] = ACTIONS(5313),
    [anon_sym_unsigned] = ACTIONS(5313),
    [anon_sym_long] = ACTIONS(5313),
    [anon_sym_short] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_static] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5313),
    [anon_sym_inline] = ACTIONS(5313),
    [anon_sym___inline] = ACTIONS(5313),
    [anon_sym___inline__] = ACTIONS(5313),
    [anon_sym___forceinline] = ACTIONS(5313),
    [anon_sym_thread_local] = ACTIONS(5313),
    [anon_sym___thread] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5313),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym__Nonnull] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [anon_sym_PROGMEM] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym__Alignas] = ACTIONS(5313),
    [aux_sym_primitive_type_token1] = ACTIONS(5313),
    [anon_sym_byte] = ACTIONS(5313),
    [anon_sym_word] = ACTIONS(5313),
    [anon_sym_enum] = ACTIONS(5313),
    [anon_sym_class] = ACTIONS(5313),
    [anon_sym_struct] = ACTIONS(5313),
    [anon_sym_union] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_explicit] = ACTIONS(5313),
    [anon_sym_typename] = ACTIONS(5313),
    [anon_sym_template] = ACTIONS(5313),
    [anon_sym_operator] = ACTIONS(5313),
    [anon_sym_friend] = ACTIONS(5313),
    [anon_sym_public] = ACTIONS(5313),
    [anon_sym_private] = ACTIONS(5313),
    [anon_sym_protected] = ACTIONS(5313),
    [anon_sym_using] = ACTIONS(5313),
    [anon_sym_static_assert] = ACTIONS(5313),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(5317),
    [aux_sym_preproc_def_token1] = ACTIONS(5317),
    [aux_sym_preproc_if_token1] = ACTIONS(5317),
    [aux_sym_preproc_if_token2] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5317),
    [aux_sym_preproc_else_token1] = ACTIONS(5317),
    [aux_sym_preproc_elif_token1] = ACTIONS(5317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5317),
    [sym_preproc_directive] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5319),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_AMP_AMP] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_SEMI] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5317),
    [anon_sym_typedef] = ACTIONS(5317),
    [anon_sym_virtual] = ACTIONS(5317),
    [anon_sym_extern] = ACTIONS(5317),
    [anon_sym___attribute__] = ACTIONS(5317),
    [anon_sym___attribute] = ACTIONS(5317),
    [anon_sym_COLON_COLON] = ACTIONS(5319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5319),
    [anon_sym___declspec] = ACTIONS(5317),
    [anon_sym___based] = ACTIONS(5317),
    [anon_sym_signed] = ACTIONS(5317),
    [anon_sym_unsigned] = ACTIONS(5317),
    [anon_sym_long] = ACTIONS(5317),
    [anon_sym_short] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_static] = ACTIONS(5317),
    [anon_sym_register] = ACTIONS(5317),
    [anon_sym_inline] = ACTIONS(5317),
    [anon_sym___inline] = ACTIONS(5317),
    [anon_sym___inline__] = ACTIONS(5317),
    [anon_sym___forceinline] = ACTIONS(5317),
    [anon_sym_thread_local] = ACTIONS(5317),
    [anon_sym___thread] = ACTIONS(5317),
    [anon_sym_const] = ACTIONS(5317),
    [anon_sym_constexpr] = ACTIONS(5317),
    [anon_sym_volatile] = ACTIONS(5317),
    [anon_sym_restrict] = ACTIONS(5317),
    [anon_sym___restrict__] = ACTIONS(5317),
    [anon_sym__Atomic] = ACTIONS(5317),
    [anon_sym__Noreturn] = ACTIONS(5317),
    [anon_sym_noreturn] = ACTIONS(5317),
    [anon_sym__Nonnull] = ACTIONS(5317),
    [anon_sym_mutable] = ACTIONS(5317),
    [anon_sym_constinit] = ACTIONS(5317),
    [anon_sym_consteval] = ACTIONS(5317),
    [anon_sym_PROGMEM] = ACTIONS(5317),
    [anon_sym_alignas] = ACTIONS(5317),
    [anon_sym__Alignas] = ACTIONS(5317),
    [aux_sym_primitive_type_token1] = ACTIONS(5317),
    [anon_sym_byte] = ACTIONS(5317),
    [anon_sym_word] = ACTIONS(5317),
    [anon_sym_enum] = ACTIONS(5317),
    [anon_sym_class] = ACTIONS(5317),
    [anon_sym_struct] = ACTIONS(5317),
    [anon_sym_union] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5317),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_explicit] = ACTIONS(5317),
    [anon_sym_typename] = ACTIONS(5317),
    [anon_sym_template] = ACTIONS(5317),
    [anon_sym_operator] = ACTIONS(5317),
    [anon_sym_friend] = ACTIONS(5317),
    [anon_sym_public] = ACTIONS(5317),
    [anon_sym_private] = ACTIONS(5317),
    [anon_sym_protected] = ACTIONS(5317),
    [anon_sym_using] = ACTIONS(5317),
    [anon_sym_static_assert] = ACTIONS(5317),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(5321),
    [aux_sym_preproc_def_token1] = ACTIONS(5321),
    [aux_sym_preproc_if_token1] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5321),
    [aux_sym_preproc_else_token1] = ACTIONS(5321),
    [aux_sym_preproc_elif_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5321),
    [sym_preproc_directive] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_TILDE] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5321),
    [anon_sym_typedef] = ACTIONS(5321),
    [anon_sym_virtual] = ACTIONS(5321),
    [anon_sym_extern] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5321),
    [anon_sym___attribute] = ACTIONS(5321),
    [anon_sym_COLON_COLON] = ACTIONS(5323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5323),
    [anon_sym___declspec] = ACTIONS(5321),
    [anon_sym___based] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5321),
    [anon_sym_unsigned] = ACTIONS(5321),
    [anon_sym_long] = ACTIONS(5321),
    [anon_sym_short] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_static] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5321),
    [anon_sym_inline] = ACTIONS(5321),
    [anon_sym___inline] = ACTIONS(5321),
    [anon_sym___inline__] = ACTIONS(5321),
    [anon_sym___forceinline] = ACTIONS(5321),
    [anon_sym_thread_local] = ACTIONS(5321),
    [anon_sym___thread] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5321),
    [anon_sym_constexpr] = ACTIONS(5321),
    [anon_sym_volatile] = ACTIONS(5321),
    [anon_sym_restrict] = ACTIONS(5321),
    [anon_sym___restrict__] = ACTIONS(5321),
    [anon_sym__Atomic] = ACTIONS(5321),
    [anon_sym__Noreturn] = ACTIONS(5321),
    [anon_sym_noreturn] = ACTIONS(5321),
    [anon_sym__Nonnull] = ACTIONS(5321),
    [anon_sym_mutable] = ACTIONS(5321),
    [anon_sym_constinit] = ACTIONS(5321),
    [anon_sym_consteval] = ACTIONS(5321),
    [anon_sym_PROGMEM] = ACTIONS(5321),
    [anon_sym_alignas] = ACTIONS(5321),
    [anon_sym__Alignas] = ACTIONS(5321),
    [aux_sym_primitive_type_token1] = ACTIONS(5321),
    [anon_sym_byte] = ACTIONS(5321),
    [anon_sym_word] = ACTIONS(5321),
    [anon_sym_enum] = ACTIONS(5321),
    [anon_sym_class] = ACTIONS(5321),
    [anon_sym_struct] = ACTIONS(5321),
    [anon_sym_union] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5321),
    [anon_sym_decltype] = ACTIONS(5321),
    [anon_sym_explicit] = ACTIONS(5321),
    [anon_sym_typename] = ACTIONS(5321),
    [anon_sym_template] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5321),
    [anon_sym_friend] = ACTIONS(5321),
    [anon_sym_public] = ACTIONS(5321),
    [anon_sym_private] = ACTIONS(5321),
    [anon_sym_protected] = ACTIONS(5321),
    [anon_sym_using] = ACTIONS(5321),
    [anon_sym_static_assert] = ACTIONS(5321),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(5325),
    [aux_sym_preproc_def_token1] = ACTIONS(5325),
    [aux_sym_preproc_if_token1] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5325),
    [aux_sym_preproc_else_token1] = ACTIONS(5325),
    [aux_sym_preproc_elif_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5325),
    [sym_preproc_directive] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_TILDE] = ACTIONS(5327),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym___extension__] = ACTIONS(5325),
    [anon_sym_typedef] = ACTIONS(5325),
    [anon_sym_virtual] = ACTIONS(5325),
    [anon_sym_extern] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5325),
    [anon_sym___attribute] = ACTIONS(5325),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5327),
    [anon_sym___declspec] = ACTIONS(5325),
    [anon_sym___based] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5325),
    [anon_sym_unsigned] = ACTIONS(5325),
    [anon_sym_long] = ACTIONS(5325),
    [anon_sym_short] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_static] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5325),
    [anon_sym_inline] = ACTIONS(5325),
    [anon_sym___inline] = ACTIONS(5325),
    [anon_sym___inline__] = ACTIONS(5325),
    [anon_sym___forceinline] = ACTIONS(5325),
    [anon_sym_thread_local] = ACTIONS(5325),
    [anon_sym___thread] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5325),
    [anon_sym_constexpr] = ACTIONS(5325),
    [anon_sym_volatile] = ACTIONS(5325),
    [anon_sym_restrict] = ACTIONS(5325),
    [anon_sym___restrict__] = ACTIONS(5325),
    [anon_sym__Atomic] = ACTIONS(5325),
    [anon_sym__Noreturn] = ACTIONS(5325),
    [anon_sym_noreturn] = ACTIONS(5325),
    [anon_sym__Nonnull] = ACTIONS(5325),
    [anon_sym_mutable] = ACTIONS(5325),
    [anon_sym_constinit] = ACTIONS(5325),
    [anon_sym_consteval] = ACTIONS(5325),
    [anon_sym_PROGMEM] = ACTIONS(5325),
    [anon_sym_alignas] = ACTIONS(5325),
    [anon_sym__Alignas] = ACTIONS(5325),
    [aux_sym_primitive_type_token1] = ACTIONS(5325),
    [anon_sym_byte] = ACTIONS(5325),
    [anon_sym_word] = ACTIONS(5325),
    [anon_sym_enum] = ACTIONS(5325),
    [anon_sym_class] = ACTIONS(5325),
    [anon_sym_struct] = ACTIONS(5325),
    [anon_sym_union] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5325),
    [anon_sym_decltype] = ACTIONS(5325),
    [anon_sym_explicit] = ACTIONS(5325),
    [anon_sym_typename] = ACTIONS(5325),
    [anon_sym_template] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5325),
    [anon_sym_friend] = ACTIONS(5325),
    [anon_sym_public] = ACTIONS(5325),
    [anon_sym_private] = ACTIONS(5325),
    [anon_sym_protected] = ACTIONS(5325),
    [anon_sym_using] = ACTIONS(5325),
    [anon_sym_static_assert] = ACTIONS(5325),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token2] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [aux_sym_preproc_else_token1] = ACTIONS(5329),
    [aux_sym_preproc_elif_token1] = ACTIONS(5329),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym___attribute] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [aux_sym_preproc_else_token1] = ACTIONS(2998),
    [aux_sym_preproc_elif_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_COMMA] = ACTIONS(4827),
    [anon_sym_RPAREN] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_DASH] = ACTIONS(4825),
    [anon_sym_PLUS] = ACTIONS(4825),
    [anon_sym_STAR] = ACTIONS(4827),
    [anon_sym_SLASH] = ACTIONS(4825),
    [anon_sym_PERCENT] = ACTIONS(4827),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_PIPE] = ACTIONS(4825),
    [anon_sym_CARET] = ACTIONS(4827),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym_EQ_EQ] = ACTIONS(4827),
    [anon_sym_BANG_EQ] = ACTIONS(4827),
    [anon_sym_GT] = ACTIONS(4825),
    [anon_sym_GT_EQ] = ACTIONS(4827),
    [anon_sym_LT_EQ] = ACTIONS(4825),
    [anon_sym_LT] = ACTIONS(4825),
    [anon_sym_LT_LT] = ACTIONS(4827),
    [anon_sym_GT_GT] = ACTIONS(4827),
    [anon_sym_SEMI] = ACTIONS(4827),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym_LBRACE] = ACTIONS(4827),
    [anon_sym_RBRACE] = ACTIONS(4827),
    [anon_sym_signed] = ACTIONS(4825),
    [anon_sym_unsigned] = ACTIONS(4825),
    [anon_sym_long] = ACTIONS(4825),
    [anon_sym_short] = ACTIONS(4825),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [anon_sym_RBRACK] = ACTIONS(4827),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [aux_sym_primitive_type_token1] = ACTIONS(4825),
    [anon_sym_byte] = ACTIONS(4825),
    [anon_sym_word] = ACTIONS(4825),
    [anon_sym_COLON] = ACTIONS(4825),
    [anon_sym_QMARK] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4827),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [anon_sym_bitor] = ACTIONS(4825),
    [anon_sym_xor] = ACTIONS(4825),
    [anon_sym_bitand] = ACTIONS(4825),
    [anon_sym_not_eq] = ACTIONS(4825),
    [anon_sym_DASH_DASH] = ACTIONS(4827),
    [anon_sym_PLUS_PLUS] = ACTIONS(4827),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_DOT_STAR] = ACTIONS(4827),
    [anon_sym_DASH_GT] = ACTIONS(4827),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_final] = ACTIONS(4825),
    [anon_sym_override] = ACTIONS(4825),
    [anon_sym_requires] = ACTIONS(4825),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token2] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [aux_sym_preproc_else_token1] = ACTIONS(5333),
    [aux_sym_preproc_elif_token1] = ACTIONS(5333),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym___attribute] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2465),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_RBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_not] = ACTIONS(2475),
    [anon_sym_compl] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_sizeof] = ACTIONS(2475),
    [anon_sym___alignof__] = ACTIONS(2475),
    [anon_sym___alignof] = ACTIONS(2475),
    [anon_sym__alignof] = ACTIONS(2475),
    [anon_sym_alignof] = ACTIONS(2475),
    [anon_sym__Alignof] = ACTIONS(2475),
    [anon_sym_offsetof] = ACTIONS(2475),
    [anon_sym__Generic] = ACTIONS(2475),
    [anon_sym_asm] = ACTIONS(2475),
    [anon_sym___asm__] = ACTIONS(2475),
    [anon_sym___asm] = ACTIONS(2475),
    [aux_sym_number_literal_token1] = ACTIONS(2465),
    [aux_sym_number_literal_token2] = ACTIONS(2475),
    [anon_sym_L_SQUOTE] = ACTIONS(2465),
    [anon_sym_u_SQUOTE] = ACTIONS(2465),
    [anon_sym_U_SQUOTE] = ACTIONS(2465),
    [anon_sym_u8_SQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_L_DQUOTE] = ACTIONS(2465),
    [anon_sym_u_DQUOTE] = ACTIONS(2465),
    [anon_sym_U_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8_DQUOTE] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [anon_sym_NULL] = ACTIONS(2475),
    [anon_sym_nullptr] = ACTIONS(2475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_template] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2475),
    [anon_sym_R_DQUOTE] = ACTIONS(2465),
    [anon_sym_LR_DQUOTE] = ACTIONS(2465),
    [anon_sym_uR_DQUOTE] = ACTIONS(2465),
    [anon_sym_UR_DQUOTE] = ACTIONS(2465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2465),
    [anon_sym_co_await] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2475),
    [anon_sym_requires] = ACTIONS(2475),
    [sym_this] = ACTIONS(2475),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token2] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [aux_sym_preproc_else_token1] = ACTIONS(3098),
    [aux_sym_preproc_elif_token1] = ACTIONS(3098),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_friend] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [aux_sym_preproc_else_token1] = ACTIONS(3094),
    [aux_sym_preproc_elif_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_friend] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token2] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [aux_sym_preproc_else_token1] = ACTIONS(5341),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [aux_sym_preproc_else_token1] = ACTIONS(5337),
    [aux_sym_preproc_elif_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token2] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [aux_sym_preproc_else_token1] = ACTIONS(5341),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(5345),
    [aux_sym_preproc_def_token1] = ACTIONS(5345),
    [aux_sym_preproc_if_token1] = ACTIONS(5345),
    [aux_sym_preproc_if_token2] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5345),
    [aux_sym_preproc_else_token1] = ACTIONS(5345),
    [aux_sym_preproc_elif_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5345),
    [sym_preproc_directive] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5347),
    [anon_sym_STAR] = ACTIONS(5347),
    [anon_sym_AMP_AMP] = ACTIONS(5347),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5347),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym_typedef] = ACTIONS(5345),
    [anon_sym_virtual] = ACTIONS(5345),
    [anon_sym_extern] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym___attribute] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5347),
    [anon_sym___declspec] = ACTIONS(5345),
    [anon_sym___based] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5345),
    [anon_sym_register] = ACTIONS(5345),
    [anon_sym_inline] = ACTIONS(5345),
    [anon_sym___inline] = ACTIONS(5345),
    [anon_sym___inline__] = ACTIONS(5345),
    [anon_sym___forceinline] = ACTIONS(5345),
    [anon_sym_thread_local] = ACTIONS(5345),
    [anon_sym___thread] = ACTIONS(5345),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5345),
    [anon_sym_byte] = ACTIONS(5345),
    [anon_sym_word] = ACTIONS(5345),
    [anon_sym_enum] = ACTIONS(5345),
    [anon_sym_class] = ACTIONS(5345),
    [anon_sym_struct] = ACTIONS(5345),
    [anon_sym_union] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_explicit] = ACTIONS(5345),
    [anon_sym_typename] = ACTIONS(5345),
    [anon_sym_template] = ACTIONS(5345),
    [anon_sym_operator] = ACTIONS(5345),
    [anon_sym_friend] = ACTIONS(5345),
    [anon_sym_public] = ACTIONS(5345),
    [anon_sym_private] = ACTIONS(5345),
    [anon_sym_protected] = ACTIONS(5345),
    [anon_sym_using] = ACTIONS(5345),
    [anon_sym_static_assert] = ACTIONS(5345),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token2] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [aux_sym_preproc_else_token1] = ACTIONS(3002),
    [aux_sym_preproc_elif_token1] = ACTIONS(3002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_friend] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token2] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [aux_sym_preproc_else_token1] = ACTIONS(3010),
    [aux_sym_preproc_elif_token1] = ACTIONS(3010),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_friend] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [aux_sym_preproc_else_token1] = ACTIONS(2972),
    [aux_sym_preproc_elif_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_friend] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [aux_sym_preproc_else_token1] = ACTIONS(3215),
    [aux_sym_preproc_elif_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_BANG] = ACTIONS(4932),
    [anon_sym_TILDE] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym_COLON_COLON] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_not] = ACTIONS(4930),
    [anon_sym_compl] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_sizeof] = ACTIONS(4930),
    [anon_sym___alignof__] = ACTIONS(4930),
    [anon_sym___alignof] = ACTIONS(4930),
    [anon_sym__alignof] = ACTIONS(4930),
    [anon_sym_alignof] = ACTIONS(4930),
    [anon_sym__Alignof] = ACTIONS(4930),
    [anon_sym_offsetof] = ACTIONS(4930),
    [anon_sym__Generic] = ACTIONS(4930),
    [anon_sym_asm] = ACTIONS(4930),
    [anon_sym___asm__] = ACTIONS(4930),
    [anon_sym___asm] = ACTIONS(4930),
    [aux_sym_number_literal_token1] = ACTIONS(4932),
    [aux_sym_number_literal_token2] = ACTIONS(4930),
    [anon_sym_L_SQUOTE] = ACTIONS(4932),
    [anon_sym_u_SQUOTE] = ACTIONS(4932),
    [anon_sym_U_SQUOTE] = ACTIONS(4932),
    [anon_sym_u8_SQUOTE] = ACTIONS(4932),
    [anon_sym_SQUOTE] = ACTIONS(4932),
    [anon_sym_L_DQUOTE] = ACTIONS(4932),
    [anon_sym_u_DQUOTE] = ACTIONS(4932),
    [anon_sym_U_DQUOTE] = ACTIONS(4932),
    [anon_sym_u8_DQUOTE] = ACTIONS(4932),
    [anon_sym_DQUOTE] = ACTIONS(4932),
    [sym_true] = ACTIONS(4930),
    [sym_false] = ACTIONS(4930),
    [anon_sym_NULL] = ACTIONS(4930),
    [anon_sym_nullptr] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_template] = ACTIONS(4930),
    [anon_sym_delete] = ACTIONS(4930),
    [anon_sym_R_DQUOTE] = ACTIONS(4932),
    [anon_sym_LR_DQUOTE] = ACTIONS(4932),
    [anon_sym_uR_DQUOTE] = ACTIONS(4932),
    [anon_sym_UR_DQUOTE] = ACTIONS(4932),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4932),
    [anon_sym_co_await] = ACTIONS(4930),
    [anon_sym_new] = ACTIONS(4930),
    [anon_sym_requires] = ACTIONS(4930),
    [sym_this] = ACTIONS(4930),
  },
  [1711] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1630),
    [sym_primitive_type] = STATE(2084),
    [aux_sym__type_definition_type_repeat1] = STATE(1613),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2081),
    [sym_identifier] = ACTIONS(5349),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4936),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4936),
    [anon_sym_GT_GT] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5351),
    [anon_sym_unsigned] = ACTIONS(5351),
    [anon_sym_long] = ACTIONS(5351),
    [anon_sym_short] = ACTIONS(5351),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(1796),
    [anon_sym_byte] = ACTIONS(1796),
    [anon_sym_word] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(4936),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_friend] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_COMMA] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4823),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_DASH] = ACTIONS(4821),
    [anon_sym_PLUS] = ACTIONS(4821),
    [anon_sym_STAR] = ACTIONS(4823),
    [anon_sym_SLASH] = ACTIONS(4821),
    [anon_sym_PERCENT] = ACTIONS(4823),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_PIPE] = ACTIONS(4821),
    [anon_sym_CARET] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym_EQ_EQ] = ACTIONS(4823),
    [anon_sym_BANG_EQ] = ACTIONS(4823),
    [anon_sym_GT] = ACTIONS(4821),
    [anon_sym_GT_EQ] = ACTIONS(4823),
    [anon_sym_LT_EQ] = ACTIONS(4821),
    [anon_sym_LT] = ACTIONS(4821),
    [anon_sym_LT_LT] = ACTIONS(4823),
    [anon_sym_GT_GT] = ACTIONS(4823),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_signed] = ACTIONS(4821),
    [anon_sym_unsigned] = ACTIONS(4821),
    [anon_sym_long] = ACTIONS(4821),
    [anon_sym_short] = ACTIONS(4821),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [anon_sym_RBRACK] = ACTIONS(4823),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [aux_sym_primitive_type_token1] = ACTIONS(4821),
    [anon_sym_byte] = ACTIONS(4821),
    [anon_sym_word] = ACTIONS(4821),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4823),
    [anon_sym_LT_EQ_GT] = ACTIONS(4823),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [anon_sym_bitor] = ACTIONS(4821),
    [anon_sym_xor] = ACTIONS(4821),
    [anon_sym_bitand] = ACTIONS(4821),
    [anon_sym_not_eq] = ACTIONS(4821),
    [anon_sym_DASH_DASH] = ACTIONS(4823),
    [anon_sym_PLUS_PLUS] = ACTIONS(4823),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_DOT_STAR] = ACTIONS(4823),
    [anon_sym_DASH_GT] = ACTIONS(4823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_final] = ACTIONS(4821),
    [anon_sym_override] = ACTIONS(4821),
    [anon_sym_requires] = ACTIONS(4821),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [aux_sym_primitive_type_token1] = ACTIONS(4843),
    [anon_sym_byte] = ACTIONS(4843),
    [anon_sym_word] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_friend] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [aux_sym_primitive_type_token1] = ACTIONS(4847),
    [anon_sym_byte] = ACTIONS(4847),
    [anon_sym_word] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token2] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [aux_sym_preproc_else_token1] = ACTIONS(3173),
    [aux_sym_preproc_elif_token1] = ACTIONS(3173),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_friend] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [aux_sym_preproc_else_token1] = ACTIONS(5353),
    [aux_sym_preproc_elif_token1] = ACTIONS(5353),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [aux_sym_primitive_type_token1] = ACTIONS(5353),
    [anon_sym_byte] = ACTIONS(5353),
    [anon_sym_word] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_class] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_explicit] = ACTIONS(5353),
    [anon_sym_typename] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_friend] = ACTIONS(5353),
    [anon_sym_public] = ACTIONS(5353),
    [anon_sym_private] = ACTIONS(5353),
    [anon_sym_protected] = ACTIONS(5353),
    [anon_sym_using] = ACTIONS(5353),
    [anon_sym_static_assert] = ACTIONS(5353),
  },
  [1720] = {
    [sym_decltype_auto] = STATE(1825),
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5359),
    [anon_sym_COMMA] = ACTIONS(5359),
    [anon_sym_RPAREN] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_DASH] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_SLASH] = ACTIONS(5357),
    [anon_sym_PERCENT] = ACTIONS(5359),
    [anon_sym_PIPE_PIPE] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_PIPE] = ACTIONS(5357),
    [anon_sym_CARET] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_EQ_EQ] = ACTIONS(5359),
    [anon_sym_BANG_EQ] = ACTIONS(5359),
    [anon_sym_GT] = ACTIONS(5357),
    [anon_sym_GT_EQ] = ACTIONS(5359),
    [anon_sym_LT_EQ] = ACTIONS(5357),
    [anon_sym_LT] = ACTIONS(5357),
    [anon_sym_LT_LT] = ACTIONS(5359),
    [anon_sym_GT_GT] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym___attribute] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5359),
    [anon_sym_signed] = ACTIONS(5357),
    [anon_sym_unsigned] = ACTIONS(5357),
    [anon_sym_long] = ACTIONS(5357),
    [anon_sym_short] = ACTIONS(5357),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_RBRACK] = ACTIONS(5359),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_PROGMEM] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [aux_sym_primitive_type_token1] = ACTIONS(5357),
    [anon_sym_byte] = ACTIONS(5357),
    [anon_sym_word] = ACTIONS(5357),
    [anon_sym_COLON] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_LT_EQ_GT] = ACTIONS(5359),
    [anon_sym_or] = ACTIONS(5357),
    [anon_sym_and] = ACTIONS(5357),
    [anon_sym_bitor] = ACTIONS(5357),
    [anon_sym_xor] = ACTIONS(5357),
    [anon_sym_bitand] = ACTIONS(5357),
    [anon_sym_not_eq] = ACTIONS(5357),
    [anon_sym_DASH_DASH] = ACTIONS(5359),
    [anon_sym_PLUS_PLUS] = ACTIONS(5359),
    [anon_sym_DOT] = ACTIONS(5357),
    [anon_sym_DOT_STAR] = ACTIONS(5359),
    [anon_sym_DASH_GT] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5363),
    [anon_sym_final] = ACTIONS(5357),
    [anon_sym_override] = ACTIONS(5357),
    [anon_sym_requires] = ACTIONS(5357),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [aux_sym_preproc_else_token1] = ACTIONS(5365),
    [aux_sym_preproc_elif_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym___attribute] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3029),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_friend] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_protected] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token2] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [aux_sym_preproc_else_token1] = ACTIONS(5373),
    [aux_sym_preproc_elif_token1] = ACTIONS(5373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym___attribute] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_PROGMEM] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [aux_sym_primitive_type_token1] = ACTIONS(5373),
    [anon_sym_byte] = ACTIONS(5373),
    [anon_sym_word] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4819),
    [anon_sym_COMMA] = ACTIONS(4819),
    [anon_sym_RPAREN] = ACTIONS(4819),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_DASH] = ACTIONS(4817),
    [anon_sym_PLUS] = ACTIONS(4817),
    [anon_sym_STAR] = ACTIONS(4819),
    [anon_sym_SLASH] = ACTIONS(4817),
    [anon_sym_PERCENT] = ACTIONS(4819),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_PIPE] = ACTIONS(4817),
    [anon_sym_CARET] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym_EQ_EQ] = ACTIONS(4819),
    [anon_sym_BANG_EQ] = ACTIONS(4819),
    [anon_sym_GT] = ACTIONS(4817),
    [anon_sym_GT_EQ] = ACTIONS(4819),
    [anon_sym_LT_EQ] = ACTIONS(4817),
    [anon_sym_LT] = ACTIONS(4817),
    [anon_sym_LT_LT] = ACTIONS(4819),
    [anon_sym_GT_GT] = ACTIONS(4819),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4819),
    [anon_sym_signed] = ACTIONS(4817),
    [anon_sym_unsigned] = ACTIONS(4817),
    [anon_sym_long] = ACTIONS(4817),
    [anon_sym_short] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_RBRACK] = ACTIONS(4819),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [aux_sym_primitive_type_token1] = ACTIONS(4817),
    [anon_sym_byte] = ACTIONS(4817),
    [anon_sym_word] = ACTIONS(4817),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4819),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [anon_sym_bitor] = ACTIONS(4817),
    [anon_sym_xor] = ACTIONS(4817),
    [anon_sym_bitand] = ACTIONS(4817),
    [anon_sym_not_eq] = ACTIONS(4817),
    [anon_sym_DASH_DASH] = ACTIONS(4819),
    [anon_sym_PLUS_PLUS] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_DOT_STAR] = ACTIONS(4819),
    [anon_sym_DASH_GT] = ACTIONS(4819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_final] = ACTIONS(4817),
    [anon_sym_override] = ACTIONS(4817),
    [anon_sym_requires] = ACTIONS(4817),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token2] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [aux_sym_preproc_else_token1] = ACTIONS(5377),
    [aux_sym_preproc_elif_token1] = ACTIONS(5377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym___attribute] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_PROGMEM] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [aux_sym_primitive_type_token1] = ACTIONS(5377),
    [anon_sym_byte] = ACTIONS(5377),
    [anon_sym_word] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1730] = {
    [sym_string_literal] = STATE(1730),
    [sym_raw_string_literal] = STATE(1730),
    [aux_sym_concatenated_string_repeat1] = STATE(1730),
    [sym_identifier] = ACTIONS(5381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_RPAREN] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_else_token1] = ACTIONS(5384),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5386),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5384),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_SEMI] = ACTIONS(5384),
    [anon_sym_RBRACE] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_RBRACK] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_COLON] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5384),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_and_eq] = ACTIONS(5386),
    [anon_sym_or_eq] = ACTIONS(5386),
    [anon_sym_xor_eq] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5384),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5384),
    [anon_sym_PLUS_PLUS] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_DOT_STAR] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5384),
    [anon_sym_L_DQUOTE] = ACTIONS(5388),
    [anon_sym_u_DQUOTE] = ACTIONS(5388),
    [anon_sym_U_DQUOTE] = ACTIONS(5388),
    [anon_sym_u8_DQUOTE] = ACTIONS(5388),
    [anon_sym_DQUOTE] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5391),
    [anon_sym_LR_DQUOTE] = ACTIONS(5391),
    [anon_sym_uR_DQUOTE] = ACTIONS(5391),
    [anon_sym_UR_DQUOTE] = ACTIONS(5391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5391),
    [sym_literal_suffix] = ACTIONS(5386),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token2] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [aux_sym_preproc_else_token1] = ACTIONS(3018),
    [aux_sym_preproc_elif_token1] = ACTIONS(3018),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_friend] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(5394),
    [aux_sym_preproc_def_token1] = ACTIONS(5394),
    [aux_sym_preproc_if_token1] = ACTIONS(5394),
    [aux_sym_preproc_if_token2] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5394),
    [aux_sym_preproc_else_token1] = ACTIONS(5394),
    [aux_sym_preproc_elif_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5394),
    [sym_preproc_directive] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_TILDE] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5396),
    [anon_sym___extension__] = ACTIONS(5394),
    [anon_sym_typedef] = ACTIONS(5394),
    [anon_sym_virtual] = ACTIONS(5394),
    [anon_sym_extern] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5394),
    [anon_sym___attribute] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(5396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym___declspec] = ACTIONS(5394),
    [anon_sym___based] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_static] = ACTIONS(5394),
    [anon_sym_register] = ACTIONS(5394),
    [anon_sym_inline] = ACTIONS(5394),
    [anon_sym___inline] = ACTIONS(5394),
    [anon_sym___inline__] = ACTIONS(5394),
    [anon_sym___forceinline] = ACTIONS(5394),
    [anon_sym_thread_local] = ACTIONS(5394),
    [anon_sym___thread] = ACTIONS(5394),
    [anon_sym_const] = ACTIONS(5394),
    [anon_sym_constexpr] = ACTIONS(5394),
    [anon_sym_volatile] = ACTIONS(5394),
    [anon_sym_restrict] = ACTIONS(5394),
    [anon_sym___restrict__] = ACTIONS(5394),
    [anon_sym__Atomic] = ACTIONS(5394),
    [anon_sym__Noreturn] = ACTIONS(5394),
    [anon_sym_noreturn] = ACTIONS(5394),
    [anon_sym__Nonnull] = ACTIONS(5394),
    [anon_sym_mutable] = ACTIONS(5394),
    [anon_sym_constinit] = ACTIONS(5394),
    [anon_sym_consteval] = ACTIONS(5394),
    [anon_sym_PROGMEM] = ACTIONS(5394),
    [anon_sym_alignas] = ACTIONS(5394),
    [anon_sym__Alignas] = ACTIONS(5394),
    [aux_sym_primitive_type_token1] = ACTIONS(5394),
    [anon_sym_byte] = ACTIONS(5394),
    [anon_sym_word] = ACTIONS(5394),
    [anon_sym_enum] = ACTIONS(5394),
    [anon_sym_class] = ACTIONS(5394),
    [anon_sym_struct] = ACTIONS(5394),
    [anon_sym_union] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5394),
    [anon_sym_decltype] = ACTIONS(5394),
    [anon_sym_explicit] = ACTIONS(5394),
    [anon_sym_typename] = ACTIONS(5394),
    [anon_sym_template] = ACTIONS(5394),
    [anon_sym_operator] = ACTIONS(5394),
    [anon_sym_friend] = ACTIONS(5394),
    [anon_sym_public] = ACTIONS(5394),
    [anon_sym_private] = ACTIONS(5394),
    [anon_sym_protected] = ACTIONS(5394),
    [anon_sym_using] = ACTIONS(5394),
    [anon_sym_static_assert] = ACTIONS(5394),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token2] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [aux_sym_preproc_else_token1] = ACTIONS(5398),
    [aux_sym_preproc_elif_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_TILDE] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_AMP_AMP] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5400),
    [anon_sym___extension__] = ACTIONS(5398),
    [anon_sym_typedef] = ACTIONS(5398),
    [anon_sym_virtual] = ACTIONS(5398),
    [anon_sym_extern] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5398),
    [anon_sym___attribute] = ACTIONS(5398),
    [anon_sym_COLON_COLON] = ACTIONS(5400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5400),
    [anon_sym___declspec] = ACTIONS(5398),
    [anon_sym___based] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5398),
    [anon_sym_unsigned] = ACTIONS(5398),
    [anon_sym_long] = ACTIONS(5398),
    [anon_sym_short] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_static] = ACTIONS(5398),
    [anon_sym_register] = ACTIONS(5398),
    [anon_sym_inline] = ACTIONS(5398),
    [anon_sym___inline] = ACTIONS(5398),
    [anon_sym___inline__] = ACTIONS(5398),
    [anon_sym___forceinline] = ACTIONS(5398),
    [anon_sym_thread_local] = ACTIONS(5398),
    [anon_sym___thread] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5398),
    [anon_sym_constexpr] = ACTIONS(5398),
    [anon_sym_volatile] = ACTIONS(5398),
    [anon_sym_restrict] = ACTIONS(5398),
    [anon_sym___restrict__] = ACTIONS(5398),
    [anon_sym__Atomic] = ACTIONS(5398),
    [anon_sym__Noreturn] = ACTIONS(5398),
    [anon_sym_noreturn] = ACTIONS(5398),
    [anon_sym__Nonnull] = ACTIONS(5398),
    [anon_sym_mutable] = ACTIONS(5398),
    [anon_sym_constinit] = ACTIONS(5398),
    [anon_sym_consteval] = ACTIONS(5398),
    [anon_sym_PROGMEM] = ACTIONS(5398),
    [anon_sym_alignas] = ACTIONS(5398),
    [anon_sym__Alignas] = ACTIONS(5398),
    [aux_sym_primitive_type_token1] = ACTIONS(5398),
    [anon_sym_byte] = ACTIONS(5398),
    [anon_sym_word] = ACTIONS(5398),
    [anon_sym_enum] = ACTIONS(5398),
    [anon_sym_class] = ACTIONS(5398),
    [anon_sym_struct] = ACTIONS(5398),
    [anon_sym_union] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5398),
    [anon_sym_decltype] = ACTIONS(5398),
    [anon_sym_explicit] = ACTIONS(5398),
    [anon_sym_typename] = ACTIONS(5398),
    [anon_sym_template] = ACTIONS(5398),
    [anon_sym_operator] = ACTIONS(5398),
    [anon_sym_friend] = ACTIONS(5398),
    [anon_sym_public] = ACTIONS(5398),
    [anon_sym_private] = ACTIONS(5398),
    [anon_sym_protected] = ACTIONS(5398),
    [anon_sym_using] = ACTIONS(5398),
    [anon_sym_static_assert] = ACTIONS(5398),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(5402),
    [aux_sym_preproc_def_token1] = ACTIONS(5402),
    [aux_sym_preproc_if_token1] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5402),
    [aux_sym_preproc_else_token1] = ACTIONS(5402),
    [aux_sym_preproc_elif_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5402),
    [sym_preproc_directive] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_AMP_AMP] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5404),
    [anon_sym___extension__] = ACTIONS(5402),
    [anon_sym_typedef] = ACTIONS(5402),
    [anon_sym_virtual] = ACTIONS(5402),
    [anon_sym_extern] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5402),
    [anon_sym___attribute] = ACTIONS(5402),
    [anon_sym_COLON_COLON] = ACTIONS(5404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym___declspec] = ACTIONS(5402),
    [anon_sym___based] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5402),
    [anon_sym_unsigned] = ACTIONS(5402),
    [anon_sym_long] = ACTIONS(5402),
    [anon_sym_short] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_static] = ACTIONS(5402),
    [anon_sym_register] = ACTIONS(5402),
    [anon_sym_inline] = ACTIONS(5402),
    [anon_sym___inline] = ACTIONS(5402),
    [anon_sym___inline__] = ACTIONS(5402),
    [anon_sym___forceinline] = ACTIONS(5402),
    [anon_sym_thread_local] = ACTIONS(5402),
    [anon_sym___thread] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5402),
    [anon_sym_constexpr] = ACTIONS(5402),
    [anon_sym_volatile] = ACTIONS(5402),
    [anon_sym_restrict] = ACTIONS(5402),
    [anon_sym___restrict__] = ACTIONS(5402),
    [anon_sym__Atomic] = ACTIONS(5402),
    [anon_sym__Noreturn] = ACTIONS(5402),
    [anon_sym_noreturn] = ACTIONS(5402),
    [anon_sym__Nonnull] = ACTIONS(5402),
    [anon_sym_mutable] = ACTIONS(5402),
    [anon_sym_constinit] = ACTIONS(5402),
    [anon_sym_consteval] = ACTIONS(5402),
    [anon_sym_PROGMEM] = ACTIONS(5402),
    [anon_sym_alignas] = ACTIONS(5402),
    [anon_sym__Alignas] = ACTIONS(5402),
    [aux_sym_primitive_type_token1] = ACTIONS(5402),
    [anon_sym_byte] = ACTIONS(5402),
    [anon_sym_word] = ACTIONS(5402),
    [anon_sym_enum] = ACTIONS(5402),
    [anon_sym_class] = ACTIONS(5402),
    [anon_sym_struct] = ACTIONS(5402),
    [anon_sym_union] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5402),
    [anon_sym_decltype] = ACTIONS(5402),
    [anon_sym_explicit] = ACTIONS(5402),
    [anon_sym_typename] = ACTIONS(5402),
    [anon_sym_template] = ACTIONS(5402),
    [anon_sym_operator] = ACTIONS(5402),
    [anon_sym_friend] = ACTIONS(5402),
    [anon_sym_public] = ACTIONS(5402),
    [anon_sym_private] = ACTIONS(5402),
    [anon_sym_protected] = ACTIONS(5402),
    [anon_sym_using] = ACTIONS(5402),
    [anon_sym_static_assert] = ACTIONS(5402),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(5406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5408),
    [anon_sym_COMMA] = ACTIONS(5408),
    [anon_sym_RPAREN] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_SLASH] = ACTIONS(5406),
    [anon_sym_PERCENT] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5408),
    [anon_sym_AMP_AMP] = ACTIONS(5408),
    [anon_sym_PIPE] = ACTIONS(5406),
    [anon_sym_CARET] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5406),
    [anon_sym_EQ_EQ] = ACTIONS(5408),
    [anon_sym_BANG_EQ] = ACTIONS(5408),
    [anon_sym_GT] = ACTIONS(5406),
    [anon_sym_GT_EQ] = ACTIONS(5408),
    [anon_sym_LT_EQ] = ACTIONS(5406),
    [anon_sym_LT] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5408),
    [anon_sym___extension__] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5406),
    [anon_sym___attribute] = ACTIONS(5406),
    [anon_sym_COLON_COLON] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5406),
    [anon_sym_LBRACE] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5408),
    [anon_sym_signed] = ACTIONS(5406),
    [anon_sym_unsigned] = ACTIONS(5406),
    [anon_sym_long] = ACTIONS(5406),
    [anon_sym_short] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_RBRACK] = ACTIONS(5408),
    [anon_sym_const] = ACTIONS(5406),
    [anon_sym_constexpr] = ACTIONS(5406),
    [anon_sym_volatile] = ACTIONS(5406),
    [anon_sym_restrict] = ACTIONS(5406),
    [anon_sym___restrict__] = ACTIONS(5406),
    [anon_sym__Atomic] = ACTIONS(5406),
    [anon_sym__Noreturn] = ACTIONS(5406),
    [anon_sym_noreturn] = ACTIONS(5406),
    [anon_sym__Nonnull] = ACTIONS(5406),
    [anon_sym_mutable] = ACTIONS(5406),
    [anon_sym_constinit] = ACTIONS(5406),
    [anon_sym_consteval] = ACTIONS(5406),
    [anon_sym_PROGMEM] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(5406),
    [anon_sym__Alignas] = ACTIONS(5406),
    [aux_sym_primitive_type_token1] = ACTIONS(5406),
    [anon_sym_byte] = ACTIONS(5406),
    [anon_sym_word] = ACTIONS(5406),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5408),
    [anon_sym_LT_EQ_GT] = ACTIONS(5408),
    [anon_sym_or] = ACTIONS(5406),
    [anon_sym_and] = ACTIONS(5406),
    [anon_sym_bitor] = ACTIONS(5406),
    [anon_sym_xor] = ACTIONS(5406),
    [anon_sym_bitand] = ACTIONS(5406),
    [anon_sym_not_eq] = ACTIONS(5406),
    [anon_sym_DASH_DASH] = ACTIONS(5408),
    [anon_sym_PLUS_PLUS] = ACTIONS(5408),
    [anon_sym_DOT] = ACTIONS(5406),
    [anon_sym_DOT_STAR] = ACTIONS(5408),
    [anon_sym_DASH_GT] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5406),
    [anon_sym_decltype] = ACTIONS(5406),
    [anon_sym_final] = ACTIONS(5406),
    [anon_sym_override] = ACTIONS(5406),
    [anon_sym_requires] = ACTIONS(5406),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token2] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [aux_sym_preproc_else_token1] = ACTIONS(3006),
    [aux_sym_preproc_elif_token1] = ACTIONS(3006),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_friend] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [aux_sym_primitive_type_token1] = ACTIONS(4851),
    [anon_sym_byte] = ACTIONS(4851),
    [anon_sym_word] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1742] = {
    [sym_type_qualifier] = STATE(1766),
    [sym_alignas_qualifier] = STATE(1630),
    [sym_primitive_type] = STATE(3490),
    [aux_sym__type_definition_type_repeat1] = STATE(1766),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2045),
    [sym_identifier] = ACTIONS(5410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [aux_sym_preproc_if_token2] = ACTIONS(4964),
    [aux_sym_preproc_else_token1] = ACTIONS(4964),
    [aux_sym_preproc_elif_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4964),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5413),
    [anon_sym_unsigned] = ACTIONS(5413),
    [anon_sym_long] = ACTIONS(5413),
    [anon_sym_short] = ACTIONS(5413),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5415),
    [anon_sym_byte] = ACTIONS(5415),
    [anon_sym_word] = ACTIONS(5415),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [aux_sym_preproc_else_token1] = ACTIONS(5281),
    [aux_sym_preproc_elif_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_friend] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1751] = {
    [sym_string_literal] = STATE(1730),
    [sym_raw_string_literal] = STATE(1730),
    [aux_sym_concatenated_string_repeat1] = STATE(1730),
    [sym_identifier] = ACTIONS(5421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5423),
    [anon_sym_COMMA] = ACTIONS(5423),
    [anon_sym_RPAREN] = ACTIONS(5423),
    [aux_sym_preproc_if_token2] = ACTIONS(5423),
    [aux_sym_preproc_else_token1] = ACTIONS(5423),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5423),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5423),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5423),
    [anon_sym_BANG_EQ] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5423),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_SEMI] = ACTIONS(5423),
    [anon_sym_RBRACE] = ACTIONS(5423),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_RBRACK] = ACTIONS(5423),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5423),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_STAR_EQ] = ACTIONS(5423),
    [anon_sym_SLASH_EQ] = ACTIONS(5423),
    [anon_sym_PERCENT_EQ] = ACTIONS(5423),
    [anon_sym_PLUS_EQ] = ACTIONS(5423),
    [anon_sym_DASH_EQ] = ACTIONS(5423),
    [anon_sym_LT_LT_EQ] = ACTIONS(5423),
    [anon_sym_GT_GT_EQ] = ACTIONS(5423),
    [anon_sym_AMP_EQ] = ACTIONS(5423),
    [anon_sym_CARET_EQ] = ACTIONS(5423),
    [anon_sym_PIPE_EQ] = ACTIONS(5423),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5423),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5423),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5423),
    [anon_sym_DASH_GT] = ACTIONS(5423),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token2] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [aux_sym_preproc_else_token1] = ACTIONS(3177),
    [aux_sym_preproc_elif_token1] = ACTIONS(3177),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_friend] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(5427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5429),
    [anon_sym_COMMA] = ACTIONS(5429),
    [anon_sym_RPAREN] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5429),
    [anon_sym_PIPE_PIPE] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_CARET] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_EQ_EQ] = ACTIONS(5429),
    [anon_sym_BANG_EQ] = ACTIONS(5429),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_GT_EQ] = ACTIONS(5429),
    [anon_sym_LT_EQ] = ACTIONS(5427),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5429),
    [anon_sym_GT_GT] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym_LBRACE] = ACTIONS(5429),
    [anon_sym_RBRACE] = ACTIONS(5429),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_PROGMEM] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [aux_sym_primitive_type_token1] = ACTIONS(5427),
    [anon_sym_byte] = ACTIONS(5427),
    [anon_sym_word] = ACTIONS(5427),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5429),
    [anon_sym_LT_EQ_GT] = ACTIONS(5429),
    [anon_sym_or] = ACTIONS(5427),
    [anon_sym_and] = ACTIONS(5427),
    [anon_sym_bitor] = ACTIONS(5427),
    [anon_sym_xor] = ACTIONS(5427),
    [anon_sym_bitand] = ACTIONS(5427),
    [anon_sym_not_eq] = ACTIONS(5427),
    [anon_sym_DASH_DASH] = ACTIONS(5429),
    [anon_sym_PLUS_PLUS] = ACTIONS(5429),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_DOT_STAR] = ACTIONS(5429),
    [anon_sym_DASH_GT] = ACTIONS(5429),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_final] = ACTIONS(5427),
    [anon_sym_override] = ACTIONS(5427),
    [anon_sym_requires] = ACTIONS(5427),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [aux_sym_preproc_else_token1] = ACTIONS(5281),
    [aux_sym_preproc_elif_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [aux_sym_preproc_else_token1] = ACTIONS(5431),
    [aux_sym_preproc_elif_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [aux_sym_preproc_else_token1] = ACTIONS(5435),
    [aux_sym_preproc_elif_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [aux_sym_primitive_type_token1] = ACTIONS(5439),
    [anon_sym_byte] = ACTIONS(5439),
    [anon_sym_word] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_final] = ACTIONS(5439),
    [anon_sym_override] = ACTIONS(5439),
    [anon_sym_requires] = ACTIONS(5439),
  },
  [1766] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1630),
    [sym_primitive_type] = STATE(3501),
    [aux_sym__type_definition_type_repeat1] = STATE(1613),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3506),
    [sym_identifier] = ACTIONS(5443),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4936),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4936),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4936),
    [anon_sym_GT_GT] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(5307),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5446),
    [anon_sym_unsigned] = ACTIONS(5446),
    [anon_sym_long] = ACTIONS(5446),
    [anon_sym_short] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(5307),
    [anon_sym_constexpr] = ACTIONS(5307),
    [anon_sym_volatile] = ACTIONS(5307),
    [anon_sym_restrict] = ACTIONS(5307),
    [anon_sym___restrict__] = ACTIONS(5307),
    [anon_sym__Atomic] = ACTIONS(5307),
    [anon_sym__Noreturn] = ACTIONS(5307),
    [anon_sym_noreturn] = ACTIONS(5307),
    [anon_sym__Nonnull] = ACTIONS(5307),
    [anon_sym_mutable] = ACTIONS(5307),
    [anon_sym_constinit] = ACTIONS(5307),
    [anon_sym_consteval] = ACTIONS(5307),
    [anon_sym_PROGMEM] = ACTIONS(5307),
    [anon_sym_alignas] = ACTIONS(5311),
    [anon_sym__Alignas] = ACTIONS(5311),
    [aux_sym_primitive_type_token1] = ACTIONS(5415),
    [anon_sym_byte] = ACTIONS(5415),
    [anon_sym_word] = ACTIONS(5415),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_PROGMEM] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [aux_sym_primitive_type_token1] = ACTIONS(5448),
    [anon_sym_byte] = ACTIONS(5448),
    [anon_sym_word] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_PROGMEM] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [aux_sym_primitive_type_token1] = ACTIONS(5452),
    [anon_sym_byte] = ACTIONS(5452),
    [anon_sym_word] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_PROGMEM] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [aux_sym_primitive_type_token1] = ACTIONS(5456),
    [anon_sym_byte] = ACTIONS(5456),
    [anon_sym_word] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [aux_sym_preproc_else_token1] = ACTIONS(2777),
    [aux_sym_preproc_elif_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_PROGMEM] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [aux_sym_primitive_type_token1] = ACTIONS(5460),
    [anon_sym_byte] = ACTIONS(5460),
    [anon_sym_word] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_friend] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_friend] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5291),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(5464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5466),
    [anon_sym_COMMA] = ACTIONS(5466),
    [anon_sym_RPAREN] = ACTIONS(5466),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_DASH] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5464),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5464),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_PIPE] = ACTIONS(5464),
    [anon_sym_CARET] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_EQ_EQ] = ACTIONS(5466),
    [anon_sym_BANG_EQ] = ACTIONS(5466),
    [anon_sym_GT] = ACTIONS(5464),
    [anon_sym_GT_EQ] = ACTIONS(5466),
    [anon_sym_LT_EQ] = ACTIONS(5464),
    [anon_sym_LT] = ACTIONS(5464),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_LBRACE] = ACTIONS(5466),
    [anon_sym_RBRACE] = ACTIONS(5466),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5466),
    [anon_sym_RBRACK] = ACTIONS(5466),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [aux_sym_primitive_type_token1] = ACTIONS(5464),
    [anon_sym_byte] = ACTIONS(5464),
    [anon_sym_word] = ACTIONS(5464),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5466),
    [anon_sym_LT_EQ_GT] = ACTIONS(5466),
    [anon_sym_or] = ACTIONS(5464),
    [anon_sym_and] = ACTIONS(5464),
    [anon_sym_bitor] = ACTIONS(5464),
    [anon_sym_xor] = ACTIONS(5464),
    [anon_sym_bitand] = ACTIONS(5464),
    [anon_sym_not_eq] = ACTIONS(5464),
    [anon_sym_DASH_DASH] = ACTIONS(5466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5466),
    [anon_sym_DOT] = ACTIONS(5464),
    [anon_sym_DOT_STAR] = ACTIONS(5466),
    [anon_sym_DASH_GT] = ACTIONS(5466),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_final] = ACTIONS(5464),
    [anon_sym_override] = ACTIONS(5464),
    [anon_sym_requires] = ACTIONS(5464),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token2] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [aux_sym_preproc_else_token1] = ACTIONS(3014),
    [aux_sym_preproc_elif_token1] = ACTIONS(3014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym__Nonnull] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [anon_sym_PROGMEM] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym__Alignas] = ACTIONS(5468),
    [aux_sym_primitive_type_token1] = ACTIONS(5468),
    [anon_sym_byte] = ACTIONS(5468),
    [anon_sym_word] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
    [anon_sym_requires] = ACTIONS(5468),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_PROGMEM] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [aux_sym_primitive_type_token1] = ACTIONS(5472),
    [anon_sym_byte] = ACTIONS(5472),
    [anon_sym_word] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_final] = ACTIONS(5472),
    [anon_sym_override] = ACTIONS(5472),
    [anon_sym_requires] = ACTIONS(5472),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_PROGMEM] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [aux_sym_primitive_type_token1] = ACTIONS(5472),
    [anon_sym_byte] = ACTIONS(5472),
    [anon_sym_word] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_final] = ACTIONS(5472),
    [anon_sym_override] = ACTIONS(5472),
    [anon_sym_requires] = ACTIONS(5472),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym__Nonnull] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [anon_sym_PROGMEM] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym__Alignas] = ACTIONS(5476),
    [aux_sym_primitive_type_token1] = ACTIONS(5476),
    [anon_sym_byte] = ACTIONS(5476),
    [anon_sym_word] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_final] = ACTIONS(5476),
    [anon_sym_override] = ACTIONS(5476),
    [anon_sym_requires] = ACTIONS(5476),
  },
  [1787] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym__Nonnull] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [anon_sym_PROGMEM] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym__Alignas] = ACTIONS(5472),
    [aux_sym_primitive_type_token1] = ACTIONS(5472),
    [anon_sym_byte] = ACTIONS(5472),
    [anon_sym_word] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_final] = ACTIONS(5472),
    [anon_sym_override] = ACTIONS(5472),
    [anon_sym_requires] = ACTIONS(5472),
  },
  [1788] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym__Nonnull] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [anon_sym_PROGMEM] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym__Alignas] = ACTIONS(5480),
    [aux_sym_primitive_type_token1] = ACTIONS(5480),
    [anon_sym_byte] = ACTIONS(5480),
    [anon_sym_word] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_final] = ACTIONS(5480),
    [anon_sym_override] = ACTIONS(5480),
    [anon_sym_requires] = ACTIONS(5480),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym__Nonnull] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [anon_sym_PROGMEM] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym__Alignas] = ACTIONS(5484),
    [aux_sym_primitive_type_token1] = ACTIONS(5484),
    [anon_sym_byte] = ACTIONS(5484),
    [anon_sym_word] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_final] = ACTIONS(5484),
    [anon_sym_override] = ACTIONS(5484),
    [anon_sym_requires] = ACTIONS(5484),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym__Nonnull] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [anon_sym_PROGMEM] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym__Alignas] = ACTIONS(5488),
    [aux_sym_primitive_type_token1] = ACTIONS(5488),
    [anon_sym_byte] = ACTIONS(5488),
    [anon_sym_word] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_final] = ACTIONS(5488),
    [anon_sym_override] = ACTIONS(5488),
    [anon_sym_requires] = ACTIONS(5488),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym__Nonnull] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [anon_sym_PROGMEM] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym__Alignas] = ACTIONS(5492),
    [aux_sym_primitive_type_token1] = ACTIONS(5492),
    [anon_sym_byte] = ACTIONS(5492),
    [anon_sym_word] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_final] = ACTIONS(5492),
    [anon_sym_override] = ACTIONS(5492),
    [anon_sym_requires] = ACTIONS(5492),
  },
  [1792] = {
    [sym_catch_clause] = STATE(1830),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5496),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5500),
    [anon_sym_COMMA] = ACTIONS(5500),
    [anon_sym_RPAREN] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5498),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_PIPE] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5498),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5498),
    [anon_sym___attribute] = ACTIONS(5498),
    [anon_sym___based] = ACTIONS(5498),
    [anon_sym_LBRACE] = ACTIONS(5500),
    [anon_sym_RBRACE] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5498),
    [anon_sym_unsigned] = ACTIONS(5498),
    [anon_sym_long] = ACTIONS(5498),
    [anon_sym_short] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_RBRACK] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5498),
    [anon_sym_constexpr] = ACTIONS(5498),
    [anon_sym_volatile] = ACTIONS(5498),
    [anon_sym_restrict] = ACTIONS(5498),
    [anon_sym___restrict__] = ACTIONS(5498),
    [anon_sym__Atomic] = ACTIONS(5498),
    [anon_sym__Noreturn] = ACTIONS(5498),
    [anon_sym_noreturn] = ACTIONS(5498),
    [anon_sym__Nonnull] = ACTIONS(5498),
    [anon_sym_mutable] = ACTIONS(5498),
    [anon_sym_constinit] = ACTIONS(5498),
    [anon_sym_consteval] = ACTIONS(5498),
    [anon_sym_PROGMEM] = ACTIONS(5498),
    [anon_sym_alignas] = ACTIONS(5498),
    [anon_sym__Alignas] = ACTIONS(5498),
    [aux_sym_primitive_type_token1] = ACTIONS(5498),
    [anon_sym_byte] = ACTIONS(5498),
    [anon_sym_word] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_bitor] = ACTIONS(5498),
    [anon_sym_xor] = ACTIONS(5498),
    [anon_sym_bitand] = ACTIONS(5498),
    [anon_sym_not_eq] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5500),
    [anon_sym_DOT] = ACTIONS(5498),
    [anon_sym_DOT_STAR] = ACTIONS(5500),
    [anon_sym_DASH_GT] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5498),
    [anon_sym_decltype] = ACTIONS(5498),
    [anon_sym_final] = ACTIONS(5498),
    [anon_sym_override] = ACTIONS(5498),
    [anon_sym_requires] = ACTIONS(5498),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5504),
    [anon_sym_COMMA] = ACTIONS(5504),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5502),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5502),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5504),
    [anon_sym___extension__] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym___attribute] = ACTIONS(5502),
    [anon_sym___based] = ACTIONS(5502),
    [anon_sym_LBRACE] = ACTIONS(5504),
    [anon_sym_RBRACE] = ACTIONS(5504),
    [anon_sym_signed] = ACTIONS(5502),
    [anon_sym_unsigned] = ACTIONS(5502),
    [anon_sym_long] = ACTIONS(5502),
    [anon_sym_short] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_RBRACK] = ACTIONS(5504),
    [anon_sym_const] = ACTIONS(5502),
    [anon_sym_constexpr] = ACTIONS(5502),
    [anon_sym_volatile] = ACTIONS(5502),
    [anon_sym_restrict] = ACTIONS(5502),
    [anon_sym___restrict__] = ACTIONS(5502),
    [anon_sym__Atomic] = ACTIONS(5502),
    [anon_sym__Noreturn] = ACTIONS(5502),
    [anon_sym_noreturn] = ACTIONS(5502),
    [anon_sym__Nonnull] = ACTIONS(5502),
    [anon_sym_mutable] = ACTIONS(5502),
    [anon_sym_constinit] = ACTIONS(5502),
    [anon_sym_consteval] = ACTIONS(5502),
    [anon_sym_PROGMEM] = ACTIONS(5502),
    [anon_sym_alignas] = ACTIONS(5502),
    [anon_sym__Alignas] = ACTIONS(5502),
    [aux_sym_primitive_type_token1] = ACTIONS(5502),
    [anon_sym_byte] = ACTIONS(5502),
    [anon_sym_word] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5504),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [anon_sym_bitor] = ACTIONS(5502),
    [anon_sym_xor] = ACTIONS(5502),
    [anon_sym_bitand] = ACTIONS(5502),
    [anon_sym_not_eq] = ACTIONS(5502),
    [anon_sym_DASH_DASH] = ACTIONS(5504),
    [anon_sym_PLUS_PLUS] = ACTIONS(5504),
    [anon_sym_DOT] = ACTIONS(5502),
    [anon_sym_DOT_STAR] = ACTIONS(5504),
    [anon_sym_DASH_GT] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5502),
    [anon_sym_decltype] = ACTIONS(5502),
    [anon_sym_final] = ACTIONS(5502),
    [anon_sym_override] = ACTIONS(5502),
    [anon_sym_requires] = ACTIONS(5502),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5508),
    [anon_sym_COMMA] = ACTIONS(5508),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5506),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym_EQ_EQ] = ACTIONS(5508),
    [anon_sym_BANG_EQ] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5506),
    [anon_sym_GT_EQ] = ACTIONS(5508),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5506),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5508),
    [anon_sym___extension__] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym___attribute] = ACTIONS(5506),
    [anon_sym___based] = ACTIONS(5506),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_RBRACE] = ACTIONS(5508),
    [anon_sym_signed] = ACTIONS(5506),
    [anon_sym_unsigned] = ACTIONS(5506),
    [anon_sym_long] = ACTIONS(5506),
    [anon_sym_short] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_const] = ACTIONS(5506),
    [anon_sym_constexpr] = ACTIONS(5506),
    [anon_sym_volatile] = ACTIONS(5506),
    [anon_sym_restrict] = ACTIONS(5506),
    [anon_sym___restrict__] = ACTIONS(5506),
    [anon_sym__Atomic] = ACTIONS(5506),
    [anon_sym__Noreturn] = ACTIONS(5506),
    [anon_sym_noreturn] = ACTIONS(5506),
    [anon_sym__Nonnull] = ACTIONS(5506),
    [anon_sym_mutable] = ACTIONS(5506),
    [anon_sym_constinit] = ACTIONS(5506),
    [anon_sym_consteval] = ACTIONS(5506),
    [anon_sym_PROGMEM] = ACTIONS(5506),
    [anon_sym_alignas] = ACTIONS(5506),
    [anon_sym__Alignas] = ACTIONS(5506),
    [aux_sym_primitive_type_token1] = ACTIONS(5506),
    [anon_sym_byte] = ACTIONS(5506),
    [anon_sym_word] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_QMARK] = ACTIONS(5508),
    [anon_sym_LT_EQ_GT] = ACTIONS(5508),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [anon_sym_bitor] = ACTIONS(5506),
    [anon_sym_xor] = ACTIONS(5506),
    [anon_sym_bitand] = ACTIONS(5506),
    [anon_sym_not_eq] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_DOT_STAR] = ACTIONS(5508),
    [anon_sym_DASH_GT] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5506),
    [anon_sym_decltype] = ACTIONS(5506),
    [anon_sym_final] = ACTIONS(5506),
    [anon_sym_override] = ACTIONS(5506),
    [anon_sym_requires] = ACTIONS(5506),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___extension__] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___attribute] = ACTIONS(5510),
    [anon_sym___based] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_signed] = ACTIONS(5510),
    [anon_sym_unsigned] = ACTIONS(5510),
    [anon_sym_long] = ACTIONS(5510),
    [anon_sym_short] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_const] = ACTIONS(5510),
    [anon_sym_constexpr] = ACTIONS(5510),
    [anon_sym_volatile] = ACTIONS(5510),
    [anon_sym_restrict] = ACTIONS(5510),
    [anon_sym___restrict__] = ACTIONS(5510),
    [anon_sym__Atomic] = ACTIONS(5510),
    [anon_sym__Noreturn] = ACTIONS(5510),
    [anon_sym_noreturn] = ACTIONS(5510),
    [anon_sym__Nonnull] = ACTIONS(5510),
    [anon_sym_mutable] = ACTIONS(5510),
    [anon_sym_constinit] = ACTIONS(5510),
    [anon_sym_consteval] = ACTIONS(5510),
    [anon_sym_PROGMEM] = ACTIONS(5510),
    [anon_sym_alignas] = ACTIONS(5510),
    [anon_sym__Alignas] = ACTIONS(5510),
    [aux_sym_primitive_type_token1] = ACTIONS(5510),
    [anon_sym_byte] = ACTIONS(5510),
    [anon_sym_word] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
    [anon_sym_final] = ACTIONS(5510),
    [anon_sym_override] = ACTIONS(5510),
    [anon_sym_requires] = ACTIONS(5510),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_PROGMEM] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [aux_sym_primitive_type_token1] = ACTIONS(5514),
    [anon_sym_byte] = ACTIONS(5514),
    [anon_sym_word] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
  },
  [1798] = {
    [sym_catch_clause] = STATE(1830),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2577),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5496),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5520),
    [anon_sym_COMMA] = ACTIONS(5520),
    [anon_sym_RPAREN] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5520),
    [anon_sym_SLASH] = ACTIONS(5518),
    [anon_sym_PERCENT] = ACTIONS(5520),
    [anon_sym_PIPE_PIPE] = ACTIONS(5520),
    [anon_sym_AMP_AMP] = ACTIONS(5520),
    [anon_sym_PIPE] = ACTIONS(5518),
    [anon_sym_CARET] = ACTIONS(5520),
    [anon_sym_AMP] = ACTIONS(5518),
    [anon_sym_EQ_EQ] = ACTIONS(5520),
    [anon_sym_BANG_EQ] = ACTIONS(5520),
    [anon_sym_GT] = ACTIONS(5518),
    [anon_sym_GT_EQ] = ACTIONS(5520),
    [anon_sym_LT_EQ] = ACTIONS(5518),
    [anon_sym_LT] = ACTIONS(5518),
    [anon_sym_LT_LT] = ACTIONS(5520),
    [anon_sym_GT_GT] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5518),
    [anon_sym___attribute__] = ACTIONS(5518),
    [anon_sym___attribute] = ACTIONS(5518),
    [anon_sym___based] = ACTIONS(5518),
    [anon_sym_LBRACE] = ACTIONS(5520),
    [anon_sym_RBRACE] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5518),
    [anon_sym_unsigned] = ACTIONS(5518),
    [anon_sym_long] = ACTIONS(5518),
    [anon_sym_short] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_RBRACK] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5518),
    [anon_sym_constexpr] = ACTIONS(5518),
    [anon_sym_volatile] = ACTIONS(5518),
    [anon_sym_restrict] = ACTIONS(5518),
    [anon_sym___restrict__] = ACTIONS(5518),
    [anon_sym__Atomic] = ACTIONS(5518),
    [anon_sym__Noreturn] = ACTIONS(5518),
    [anon_sym_noreturn] = ACTIONS(5518),
    [anon_sym__Nonnull] = ACTIONS(5518),
    [anon_sym_mutable] = ACTIONS(5518),
    [anon_sym_constinit] = ACTIONS(5518),
    [anon_sym_consteval] = ACTIONS(5518),
    [anon_sym_PROGMEM] = ACTIONS(5518),
    [anon_sym_alignas] = ACTIONS(5518),
    [anon_sym__Alignas] = ACTIONS(5518),
    [aux_sym_primitive_type_token1] = ACTIONS(5518),
    [anon_sym_byte] = ACTIONS(5518),
    [anon_sym_word] = ACTIONS(5518),
    [anon_sym_COLON] = ACTIONS(5520),
    [anon_sym_QMARK] = ACTIONS(5520),
    [anon_sym_LT_EQ_GT] = ACTIONS(5520),
    [anon_sym_or] = ACTIONS(5518),
    [anon_sym_and] = ACTIONS(5518),
    [anon_sym_bitor] = ACTIONS(5518),
    [anon_sym_xor] = ACTIONS(5518),
    [anon_sym_bitand] = ACTIONS(5518),
    [anon_sym_not_eq] = ACTIONS(5518),
    [anon_sym_DASH_DASH] = ACTIONS(5520),
    [anon_sym_PLUS_PLUS] = ACTIONS(5520),
    [anon_sym_DOT] = ACTIONS(5518),
    [anon_sym_DOT_STAR] = ACTIONS(5520),
    [anon_sym_DASH_GT] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5518),
    [anon_sym_decltype] = ACTIONS(5518),
    [anon_sym_final] = ACTIONS(5518),
    [anon_sym_override] = ACTIONS(5518),
    [anon_sym_requires] = ACTIONS(5518),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [aux_sym_primitive_type_token1] = ACTIONS(5439),
    [anon_sym_byte] = ACTIONS(5439),
    [anon_sym_word] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_final] = ACTIONS(5439),
    [anon_sym_override] = ACTIONS(5439),
    [anon_sym_requires] = ACTIONS(5439),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(5522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5524),
    [anon_sym_COMMA] = ACTIONS(5524),
    [anon_sym_RPAREN] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5524),
    [anon_sym_SLASH] = ACTIONS(5522),
    [anon_sym_PERCENT] = ACTIONS(5524),
    [anon_sym_PIPE_PIPE] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5524),
    [anon_sym_PIPE] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5524),
    [anon_sym_BANG_EQ] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5524),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5522),
    [anon_sym_LT_LT] = ACTIONS(5524),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_SEMI] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5522),
    [anon_sym___attribute__] = ACTIONS(5522),
    [anon_sym___attribute] = ACTIONS(5522),
    [anon_sym___based] = ACTIONS(5522),
    [anon_sym_LBRACE] = ACTIONS(5524),
    [anon_sym_RBRACE] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5522),
    [anon_sym_unsigned] = ACTIONS(5522),
    [anon_sym_long] = ACTIONS(5522),
    [anon_sym_short] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_RBRACK] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5522),
    [anon_sym_constexpr] = ACTIONS(5522),
    [anon_sym_volatile] = ACTIONS(5522),
    [anon_sym_restrict] = ACTIONS(5522),
    [anon_sym___restrict__] = ACTIONS(5522),
    [anon_sym__Atomic] = ACTIONS(5522),
    [anon_sym__Noreturn] = ACTIONS(5522),
    [anon_sym_noreturn] = ACTIONS(5522),
    [anon_sym__Nonnull] = ACTIONS(5522),
    [anon_sym_mutable] = ACTIONS(5522),
    [anon_sym_constinit] = ACTIONS(5522),
    [anon_sym_consteval] = ACTIONS(5522),
    [anon_sym_PROGMEM] = ACTIONS(5522),
    [anon_sym_alignas] = ACTIONS(5522),
    [anon_sym__Alignas] = ACTIONS(5522),
    [aux_sym_primitive_type_token1] = ACTIONS(5522),
    [anon_sym_byte] = ACTIONS(5522),
    [anon_sym_word] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_LT_EQ_GT] = ACTIONS(5524),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_bitor] = ACTIONS(5522),
    [anon_sym_xor] = ACTIONS(5522),
    [anon_sym_bitand] = ACTIONS(5522),
    [anon_sym_not_eq] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5522),
    [anon_sym_DOT_STAR] = ACTIONS(5524),
    [anon_sym_DASH_GT] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5522),
    [anon_sym_decltype] = ACTIONS(5522),
    [anon_sym_final] = ACTIONS(5522),
    [anon_sym_override] = ACTIONS(5522),
    [anon_sym_requires] = ACTIONS(5522),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5528),
    [anon_sym_COMMA] = ACTIONS(5528),
    [anon_sym_RPAREN] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_SLASH] = ACTIONS(5526),
    [anon_sym_PERCENT] = ACTIONS(5528),
    [anon_sym_PIPE_PIPE] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_PIPE] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5528),
    [anon_sym_BANG_EQ] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5528),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(5528),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_SEMI] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym___attribute] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_LBRACE] = ACTIONS(5528),
    [anon_sym_RBRACE] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_RBRACK] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym__Nonnull] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [anon_sym_PROGMEM] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym__Alignas] = ACTIONS(5526),
    [aux_sym_primitive_type_token1] = ACTIONS(5526),
    [anon_sym_byte] = ACTIONS(5526),
    [anon_sym_word] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5528),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_LT_EQ_GT] = ACTIONS(5528),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_bitor] = ACTIONS(5526),
    [anon_sym_xor] = ACTIONS(5526),
    [anon_sym_bitand] = ACTIONS(5526),
    [anon_sym_not_eq] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5528),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_DOT_STAR] = ACTIONS(5528),
    [anon_sym_DASH_GT] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_final] = ACTIONS(5526),
    [anon_sym_override] = ACTIONS(5526),
    [anon_sym_requires] = ACTIONS(5526),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5532),
    [anon_sym_COMMA] = ACTIONS(5532),
    [anon_sym_RPAREN] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5532),
    [anon_sym_SLASH] = ACTIONS(5530),
    [anon_sym_PERCENT] = ACTIONS(5532),
    [anon_sym_PIPE_PIPE] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_PIPE] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5532),
    [anon_sym_BANG_EQ] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5532),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5530),
    [anon_sym_LT_LT] = ACTIONS(5532),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_SEMI] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5530),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym___attribute] = ACTIONS(5530),
    [anon_sym___based] = ACTIONS(5530),
    [anon_sym_LBRACE] = ACTIONS(5532),
    [anon_sym_RBRACE] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5530),
    [anon_sym_unsigned] = ACTIONS(5530),
    [anon_sym_long] = ACTIONS(5530),
    [anon_sym_short] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_RBRACK] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5530),
    [anon_sym_constexpr] = ACTIONS(5530),
    [anon_sym_volatile] = ACTIONS(5530),
    [anon_sym_restrict] = ACTIONS(5530),
    [anon_sym___restrict__] = ACTIONS(5530),
    [anon_sym__Atomic] = ACTIONS(5530),
    [anon_sym__Noreturn] = ACTIONS(5530),
    [anon_sym_noreturn] = ACTIONS(5530),
    [anon_sym__Nonnull] = ACTIONS(5530),
    [anon_sym_mutable] = ACTIONS(5530),
    [anon_sym_constinit] = ACTIONS(5530),
    [anon_sym_consteval] = ACTIONS(5530),
    [anon_sym_PROGMEM] = ACTIONS(5530),
    [anon_sym_alignas] = ACTIONS(5530),
    [anon_sym__Alignas] = ACTIONS(5530),
    [aux_sym_primitive_type_token1] = ACTIONS(5530),
    [anon_sym_byte] = ACTIONS(5530),
    [anon_sym_word] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_LT_EQ_GT] = ACTIONS(5532),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_bitor] = ACTIONS(5530),
    [anon_sym_xor] = ACTIONS(5530),
    [anon_sym_bitand] = ACTIONS(5530),
    [anon_sym_not_eq] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5532),
    [anon_sym_DOT] = ACTIONS(5530),
    [anon_sym_DOT_STAR] = ACTIONS(5532),
    [anon_sym_DASH_GT] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
    [anon_sym_final] = ACTIONS(5530),
    [anon_sym_override] = ACTIONS(5530),
    [anon_sym_requires] = ACTIONS(5530),
  },
  [1804] = {
    [sym_identifier] = ACTIONS(5534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5536),
    [anon_sym_COMMA] = ACTIONS(5536),
    [anon_sym_RPAREN] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5536),
    [anon_sym_SLASH] = ACTIONS(5534),
    [anon_sym_PERCENT] = ACTIONS(5536),
    [anon_sym_PIPE_PIPE] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_PIPE] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5536),
    [anon_sym_BANG_EQ] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5536),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5534),
    [anon_sym_LT_LT] = ACTIONS(5536),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5534),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym___attribute] = ACTIONS(5534),
    [anon_sym___based] = ACTIONS(5534),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_RBRACE] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5534),
    [anon_sym_unsigned] = ACTIONS(5534),
    [anon_sym_long] = ACTIONS(5534),
    [anon_sym_short] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_RBRACK] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5534),
    [anon_sym_constexpr] = ACTIONS(5534),
    [anon_sym_volatile] = ACTIONS(5534),
    [anon_sym_restrict] = ACTIONS(5534),
    [anon_sym___restrict__] = ACTIONS(5534),
    [anon_sym__Atomic] = ACTIONS(5534),
    [anon_sym__Noreturn] = ACTIONS(5534),
    [anon_sym_noreturn] = ACTIONS(5534),
    [anon_sym__Nonnull] = ACTIONS(5534),
    [anon_sym_mutable] = ACTIONS(5534),
    [anon_sym_constinit] = ACTIONS(5534),
    [anon_sym_consteval] = ACTIONS(5534),
    [anon_sym_PROGMEM] = ACTIONS(5534),
    [anon_sym_alignas] = ACTIONS(5534),
    [anon_sym__Alignas] = ACTIONS(5534),
    [aux_sym_primitive_type_token1] = ACTIONS(5534),
    [anon_sym_byte] = ACTIONS(5534),
    [anon_sym_word] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_LT_EQ_GT] = ACTIONS(5536),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_bitor] = ACTIONS(5534),
    [anon_sym_xor] = ACTIONS(5534),
    [anon_sym_bitand] = ACTIONS(5534),
    [anon_sym_not_eq] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5536),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_DOT_STAR] = ACTIONS(5536),
    [anon_sym_DASH_GT] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
    [anon_sym_final] = ACTIONS(5534),
    [anon_sym_override] = ACTIONS(5534),
    [anon_sym_requires] = ACTIONS(5534),
  },
  [1805] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5540),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5540),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym__Nonnull] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [anon_sym_PROGMEM] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym__Alignas] = ACTIONS(5538),
    [aux_sym_primitive_type_token1] = ACTIONS(5538),
    [anon_sym_byte] = ACTIONS(5538),
    [anon_sym_word] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_final] = ACTIONS(5538),
    [anon_sym_override] = ACTIONS(5538),
    [anon_sym_requires] = ACTIONS(5538),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(5542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5542),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5542),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5542),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5544),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym___attribute] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_LBRACE] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym__Nonnull] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [anon_sym_PROGMEM] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym__Alignas] = ACTIONS(5542),
    [aux_sym_primitive_type_token1] = ACTIONS(5542),
    [anon_sym_byte] = ACTIONS(5542),
    [anon_sym_word] = ACTIONS(5542),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5544),
    [anon_sym_LT_EQ_GT] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5542),
    [anon_sym_and] = ACTIONS(5542),
    [anon_sym_bitor] = ACTIONS(5542),
    [anon_sym_xor] = ACTIONS(5542),
    [anon_sym_bitand] = ACTIONS(5542),
    [anon_sym_not_eq] = ACTIONS(5542),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_DOT_STAR] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_final] = ACTIONS(5542),
    [anon_sym_override] = ACTIONS(5542),
    [anon_sym_requires] = ACTIONS(5542),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___extension__] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym___attribute] = ACTIONS(5546),
    [anon_sym___based] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_const] = ACTIONS(5546),
    [anon_sym_constexpr] = ACTIONS(5546),
    [anon_sym_volatile] = ACTIONS(5546),
    [anon_sym_restrict] = ACTIONS(5546),
    [anon_sym___restrict__] = ACTIONS(5546),
    [anon_sym__Atomic] = ACTIONS(5546),
    [anon_sym__Noreturn] = ACTIONS(5546),
    [anon_sym_noreturn] = ACTIONS(5546),
    [anon_sym__Nonnull] = ACTIONS(5546),
    [anon_sym_mutable] = ACTIONS(5546),
    [anon_sym_constinit] = ACTIONS(5546),
    [anon_sym_consteval] = ACTIONS(5546),
    [anon_sym_PROGMEM] = ACTIONS(5546),
    [anon_sym_alignas] = ACTIONS(5546),
    [anon_sym__Alignas] = ACTIONS(5546),
    [aux_sym_primitive_type_token1] = ACTIONS(5546),
    [anon_sym_byte] = ACTIONS(5546),
    [anon_sym_word] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
    [anon_sym_final] = ACTIONS(5546),
    [anon_sym_override] = ACTIONS(5546),
    [anon_sym_requires] = ACTIONS(5546),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___attribute] = ACTIONS(5550),
    [anon_sym___based] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5550),
    [anon_sym_unsigned] = ACTIONS(5550),
    [anon_sym_long] = ACTIONS(5550),
    [anon_sym_short] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5550),
    [anon_sym_constexpr] = ACTIONS(5550),
    [anon_sym_volatile] = ACTIONS(5550),
    [anon_sym_restrict] = ACTIONS(5550),
    [anon_sym___restrict__] = ACTIONS(5550),
    [anon_sym__Atomic] = ACTIONS(5550),
    [anon_sym__Noreturn] = ACTIONS(5550),
    [anon_sym_noreturn] = ACTIONS(5550),
    [anon_sym__Nonnull] = ACTIONS(5550),
    [anon_sym_mutable] = ACTIONS(5550),
    [anon_sym_constinit] = ACTIONS(5550),
    [anon_sym_consteval] = ACTIONS(5550),
    [anon_sym_PROGMEM] = ACTIONS(5550),
    [anon_sym_alignas] = ACTIONS(5550),
    [anon_sym__Alignas] = ACTIONS(5550),
    [aux_sym_primitive_type_token1] = ACTIONS(5550),
    [anon_sym_byte] = ACTIONS(5550),
    [anon_sym_word] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
    [anon_sym_final] = ACTIONS(5550),
    [anon_sym_override] = ACTIONS(5550),
    [anon_sym_requires] = ACTIONS(5550),
  },
  [1809] = {
    [sym_catch_clause] = STATE(1809),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1809),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5554),
  },
  [1810] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5559),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5559),
    [anon_sym_GT_GT] = ACTIONS(5559),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym___based] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_PROGMEM] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [aux_sym_primitive_type_token1] = ACTIONS(5557),
    [anon_sym_byte] = ACTIONS(5557),
    [anon_sym_word] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [1811] = {
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5563),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5563),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5563),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5563),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5563),
    [anon_sym_GT_GT] = ACTIONS(5563),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5561),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym___attribute] = ACTIONS(5561),
    [anon_sym___based] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(5563),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5561),
    [anon_sym_unsigned] = ACTIONS(5561),
    [anon_sym_long] = ACTIONS(5561),
    [anon_sym_short] = ACTIONS(5561),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5561),
    [anon_sym_constexpr] = ACTIONS(5561),
    [anon_sym_volatile] = ACTIONS(5561),
    [anon_sym_restrict] = ACTIONS(5561),
    [anon_sym___restrict__] = ACTIONS(5561),
    [anon_sym__Atomic] = ACTIONS(5561),
    [anon_sym__Noreturn] = ACTIONS(5561),
    [anon_sym_noreturn] = ACTIONS(5561),
    [anon_sym__Nonnull] = ACTIONS(5561),
    [anon_sym_mutable] = ACTIONS(5561),
    [anon_sym_constinit] = ACTIONS(5561),
    [anon_sym_consteval] = ACTIONS(5561),
    [anon_sym_PROGMEM] = ACTIONS(5561),
    [anon_sym_alignas] = ACTIONS(5561),
    [anon_sym__Alignas] = ACTIONS(5561),
    [aux_sym_primitive_type_token1] = ACTIONS(5561),
    [anon_sym_byte] = ACTIONS(5561),
    [anon_sym_word] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5563),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5561),
    [anon_sym_decltype] = ACTIONS(5561),
    [anon_sym_final] = ACTIONS(5561),
    [anon_sym_override] = ACTIONS(5561),
    [anon_sym_requires] = ACTIONS(5561),
  },
  [1812] = {
    [sym_template_argument_list] = STATE(1820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_COMMA] = ACTIONS(4861),
    [anon_sym_RPAREN] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(4906),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4861),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4861),
    [anon_sym_or_eq] = ACTIONS(4861),
    [anon_sym_xor_eq] = ACTIONS(4861),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4861),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4861),
    [anon_sym_not_eq] = ACTIONS(4861),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4861),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5567),
    [anon_sym_COMMA] = ACTIONS(5567),
    [anon_sym_RPAREN] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_DASH] = ACTIONS(5565),
    [anon_sym_PLUS] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5567),
    [anon_sym_SLASH] = ACTIONS(5565),
    [anon_sym_PERCENT] = ACTIONS(5567),
    [anon_sym_PIPE_PIPE] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_PIPE] = ACTIONS(5565),
    [anon_sym_CARET] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym_EQ_EQ] = ACTIONS(5567),
    [anon_sym_BANG_EQ] = ACTIONS(5567),
    [anon_sym_GT] = ACTIONS(5565),
    [anon_sym_GT_EQ] = ACTIONS(5567),
    [anon_sym_LT_EQ] = ACTIONS(5565),
    [anon_sym_LT] = ACTIONS(5565),
    [anon_sym_LT_LT] = ACTIONS(5567),
    [anon_sym_GT_GT] = ACTIONS(5567),
    [anon_sym_SEMI] = ACTIONS(5567),
    [anon_sym___extension__] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym___attribute] = ACTIONS(5565),
    [anon_sym___based] = ACTIONS(5565),
    [anon_sym_LBRACE] = ACTIONS(5567),
    [anon_sym_RBRACE] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5565),
    [anon_sym_unsigned] = ACTIONS(5565),
    [anon_sym_long] = ACTIONS(5565),
    [anon_sym_short] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5567),
    [anon_sym_const] = ACTIONS(5565),
    [anon_sym_constexpr] = ACTIONS(5565),
    [anon_sym_volatile] = ACTIONS(5565),
    [anon_sym_restrict] = ACTIONS(5565),
    [anon_sym___restrict__] = ACTIONS(5565),
    [anon_sym__Atomic] = ACTIONS(5565),
    [anon_sym__Noreturn] = ACTIONS(5565),
    [anon_sym_noreturn] = ACTIONS(5565),
    [anon_sym__Nonnull] = ACTIONS(5565),
    [anon_sym_mutable] = ACTIONS(5565),
    [anon_sym_constinit] = ACTIONS(5565),
    [anon_sym_consteval] = ACTIONS(5565),
    [anon_sym_PROGMEM] = ACTIONS(5565),
    [anon_sym_alignas] = ACTIONS(5565),
    [anon_sym__Alignas] = ACTIONS(5565),
    [aux_sym_primitive_type_token1] = ACTIONS(5565),
    [anon_sym_byte] = ACTIONS(5565),
    [anon_sym_word] = ACTIONS(5565),
    [anon_sym_COLON] = ACTIONS(5567),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_LT_EQ_GT] = ACTIONS(5567),
    [anon_sym_or] = ACTIONS(5565),
    [anon_sym_and] = ACTIONS(5565),
    [anon_sym_bitor] = ACTIONS(5565),
    [anon_sym_xor] = ACTIONS(5565),
    [anon_sym_bitand] = ACTIONS(5565),
    [anon_sym_not_eq] = ACTIONS(5565),
    [anon_sym_DASH_DASH] = ACTIONS(5567),
    [anon_sym_PLUS_PLUS] = ACTIONS(5567),
    [anon_sym_DOT] = ACTIONS(5565),
    [anon_sym_DOT_STAR] = ACTIONS(5567),
    [anon_sym_DASH_GT] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
    [anon_sym_final] = ACTIONS(5565),
    [anon_sym_override] = ACTIONS(5565),
    [anon_sym_requires] = ACTIONS(5565),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_PROGMEM] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [aux_sym_primitive_type_token1] = ACTIONS(5514),
    [anon_sym_byte] = ACTIONS(5514),
    [anon_sym_word] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
  },
  [1815] = {
    [sym_catch_clause] = STATE(1830),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2581),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5496),
  },
  [1816] = {
    [sym_identifier] = ACTIONS(5569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5571),
    [anon_sym_COMMA] = ACTIONS(5571),
    [anon_sym_RPAREN] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_DASH] = ACTIONS(5569),
    [anon_sym_PLUS] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_SLASH] = ACTIONS(5569),
    [anon_sym_PERCENT] = ACTIONS(5571),
    [anon_sym_PIPE_PIPE] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_PIPE] = ACTIONS(5569),
    [anon_sym_CARET] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_EQ_EQ] = ACTIONS(5571),
    [anon_sym_BANG_EQ] = ACTIONS(5571),
    [anon_sym_GT] = ACTIONS(5569),
    [anon_sym_GT_EQ] = ACTIONS(5571),
    [anon_sym_LT_EQ] = ACTIONS(5569),
    [anon_sym_LT] = ACTIONS(5569),
    [anon_sym_LT_LT] = ACTIONS(5571),
    [anon_sym_GT_GT] = ACTIONS(5571),
    [anon_sym_SEMI] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym___attribute] = ACTIONS(5569),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_LBRACE] = ACTIONS(5571),
    [anon_sym_RBRACE] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym__Nonnull] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [anon_sym_PROGMEM] = ACTIONS(5569),
    [anon_sym_alignas] = ACTIONS(5569),
    [anon_sym__Alignas] = ACTIONS(5569),
    [aux_sym_primitive_type_token1] = ACTIONS(5569),
    [anon_sym_byte] = ACTIONS(5569),
    [anon_sym_word] = ACTIONS(5569),
    [anon_sym_COLON] = ACTIONS(5571),
    [anon_sym_QMARK] = ACTIONS(5571),
    [anon_sym_LT_EQ_GT] = ACTIONS(5571),
    [anon_sym_or] = ACTIONS(5569),
    [anon_sym_and] = ACTIONS(5569),
    [anon_sym_bitor] = ACTIONS(5569),
    [anon_sym_xor] = ACTIONS(5569),
    [anon_sym_bitand] = ACTIONS(5569),
    [anon_sym_not_eq] = ACTIONS(5569),
    [anon_sym_DASH_DASH] = ACTIONS(5571),
    [anon_sym_PLUS_PLUS] = ACTIONS(5571),
    [anon_sym_DOT] = ACTIONS(5569),
    [anon_sym_DOT_STAR] = ACTIONS(5571),
    [anon_sym_DASH_GT] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_final] = ACTIONS(5569),
    [anon_sym_override] = ACTIONS(5569),
    [anon_sym_requires] = ACTIONS(5569),
  },
  [1817] = {
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5575),
    [anon_sym_COMMA] = ACTIONS(5575),
    [anon_sym_RPAREN] = ACTIONS(5575),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_DASH] = ACTIONS(5573),
    [anon_sym_PLUS] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_SLASH] = ACTIONS(5573),
    [anon_sym_PERCENT] = ACTIONS(5575),
    [anon_sym_PIPE_PIPE] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_PIPE] = ACTIONS(5573),
    [anon_sym_CARET] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym_EQ_EQ] = ACTIONS(5575),
    [anon_sym_BANG_EQ] = ACTIONS(5575),
    [anon_sym_GT] = ACTIONS(5573),
    [anon_sym_GT_EQ] = ACTIONS(5575),
    [anon_sym_LT_EQ] = ACTIONS(5573),
    [anon_sym_LT] = ACTIONS(5573),
    [anon_sym_LT_LT] = ACTIONS(5575),
    [anon_sym_GT_GT] = ACTIONS(5575),
    [anon_sym_SEMI] = ACTIONS(5575),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym___attribute] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(5575),
    [anon_sym_RBRACE] = ACTIONS(5575),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5575),
    [anon_sym_RBRACK] = ACTIONS(5575),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym__Nonnull] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [anon_sym_PROGMEM] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym__Alignas] = ACTIONS(5573),
    [aux_sym_primitive_type_token1] = ACTIONS(5573),
    [anon_sym_byte] = ACTIONS(5573),
    [anon_sym_word] = ACTIONS(5573),
    [anon_sym_COLON] = ACTIONS(5575),
    [anon_sym_QMARK] = ACTIONS(5575),
    [anon_sym_LT_EQ_GT] = ACTIONS(5575),
    [anon_sym_or] = ACTIONS(5573),
    [anon_sym_and] = ACTIONS(5573),
    [anon_sym_bitor] = ACTIONS(5573),
    [anon_sym_xor] = ACTIONS(5573),
    [anon_sym_bitand] = ACTIONS(5573),
    [anon_sym_not_eq] = ACTIONS(5573),
    [anon_sym_DASH_DASH] = ACTIONS(5575),
    [anon_sym_PLUS_PLUS] = ACTIONS(5575),
    [anon_sym_DOT] = ACTIONS(5573),
    [anon_sym_DOT_STAR] = ACTIONS(5575),
    [anon_sym_DASH_GT] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_final] = ACTIONS(5573),
    [anon_sym_override] = ACTIONS(5573),
    [anon_sym_requires] = ACTIONS(5573),
  },
  [1818] = {
    [sym_identifier] = ACTIONS(5577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5579),
    [anon_sym_COMMA] = ACTIONS(5579),
    [anon_sym_RPAREN] = ACTIONS(5579),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_DASH] = ACTIONS(5577),
    [anon_sym_PLUS] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_SLASH] = ACTIONS(5577),
    [anon_sym_PERCENT] = ACTIONS(5579),
    [anon_sym_PIPE_PIPE] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_PIPE] = ACTIONS(5577),
    [anon_sym_CARET] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym_EQ_EQ] = ACTIONS(5579),
    [anon_sym_BANG_EQ] = ACTIONS(5579),
    [anon_sym_GT] = ACTIONS(5577),
    [anon_sym_GT_EQ] = ACTIONS(5579),
    [anon_sym_LT_EQ] = ACTIONS(5577),
    [anon_sym_LT] = ACTIONS(5577),
    [anon_sym_LT_LT] = ACTIONS(5579),
    [anon_sym_GT_GT] = ACTIONS(5579),
    [anon_sym_SEMI] = ACTIONS(5579),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym___attribute] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_LBRACE] = ACTIONS(5579),
    [anon_sym_RBRACE] = ACTIONS(5579),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5579),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym__Nonnull] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [anon_sym_PROGMEM] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym__Alignas] = ACTIONS(5577),
    [aux_sym_primitive_type_token1] = ACTIONS(5577),
    [anon_sym_byte] = ACTIONS(5577),
    [anon_sym_word] = ACTIONS(5577),
    [anon_sym_COLON] = ACTIONS(5579),
    [anon_sym_QMARK] = ACTIONS(5579),
    [anon_sym_LT_EQ_GT] = ACTIONS(5579),
    [anon_sym_or] = ACTIONS(5577),
    [anon_sym_and] = ACTIONS(5577),
    [anon_sym_bitor] = ACTIONS(5577),
    [anon_sym_xor] = ACTIONS(5577),
    [anon_sym_bitand] = ACTIONS(5577),
    [anon_sym_not_eq] = ACTIONS(5577),
    [anon_sym_DASH_DASH] = ACTIONS(5579),
    [anon_sym_PLUS_PLUS] = ACTIONS(5579),
    [anon_sym_DOT] = ACTIONS(5577),
    [anon_sym_DOT_STAR] = ACTIONS(5579),
    [anon_sym_DASH_GT] = ACTIONS(5579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_final] = ACTIONS(5577),
    [anon_sym_override] = ACTIONS(5577),
    [anon_sym_requires] = ACTIONS(5577),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(5581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5583),
    [anon_sym_COMMA] = ACTIONS(5583),
    [anon_sym_RPAREN] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_DASH] = ACTIONS(5581),
    [anon_sym_PLUS] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_SLASH] = ACTIONS(5581),
    [anon_sym_PERCENT] = ACTIONS(5583),
    [anon_sym_PIPE_PIPE] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_PIPE] = ACTIONS(5581),
    [anon_sym_CARET] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym_EQ_EQ] = ACTIONS(5583),
    [anon_sym_BANG_EQ] = ACTIONS(5583),
    [anon_sym_GT] = ACTIONS(5581),
    [anon_sym_GT_EQ] = ACTIONS(5583),
    [anon_sym_LT_EQ] = ACTIONS(5581),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(5583),
    [anon_sym_GT_GT] = ACTIONS(5583),
    [anon_sym_SEMI] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym___attribute] = ACTIONS(5581),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(5583),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym__Nonnull] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [anon_sym_PROGMEM] = ACTIONS(5581),
    [anon_sym_alignas] = ACTIONS(5581),
    [anon_sym__Alignas] = ACTIONS(5581),
    [aux_sym_primitive_type_token1] = ACTIONS(5581),
    [anon_sym_byte] = ACTIONS(5581),
    [anon_sym_word] = ACTIONS(5581),
    [anon_sym_COLON] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LT_EQ_GT] = ACTIONS(5583),
    [anon_sym_or] = ACTIONS(5581),
    [anon_sym_and] = ACTIONS(5581),
    [anon_sym_bitor] = ACTIONS(5581),
    [anon_sym_xor] = ACTIONS(5581),
    [anon_sym_bitand] = ACTIONS(5581),
    [anon_sym_not_eq] = ACTIONS(5581),
    [anon_sym_DASH_DASH] = ACTIONS(5583),
    [anon_sym_PLUS_PLUS] = ACTIONS(5583),
    [anon_sym_DOT] = ACTIONS(5581),
    [anon_sym_DOT_STAR] = ACTIONS(5583),
    [anon_sym_DASH_GT] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_final] = ACTIONS(5581),
    [anon_sym_override] = ACTIONS(5581),
    [anon_sym_requires] = ACTIONS(5581),
  },
  [1820] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1821] = {
    [sym_catch_clause] = STATE(1809),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1809),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_virtual] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_PROGMEM] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [aux_sym_primitive_type_token1] = ACTIONS(2556),
    [anon_sym_byte] = ACTIONS(2556),
    [anon_sym_word] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_friend] = ACTIONS(2556),
    [anon_sym_public] = ACTIONS(2556),
    [anon_sym_private] = ACTIONS(2556),
    [anon_sym_protected] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_catch] = ACTIONS(5585),
  },
  [1822] = {
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5589),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5589),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5589),
    [anon_sym_GT_GT] = ACTIONS(5589),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym___attribute] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_RBRACE] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5587),
    [anon_sym_unsigned] = ACTIONS(5587),
    [anon_sym_long] = ACTIONS(5587),
    [anon_sym_short] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym__Nonnull] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [anon_sym_PROGMEM] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym__Alignas] = ACTIONS(5587),
    [aux_sym_primitive_type_token1] = ACTIONS(5587),
    [anon_sym_byte] = ACTIONS(5587),
    [anon_sym_word] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5589),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_final] = ACTIONS(5587),
    [anon_sym_override] = ACTIONS(5587),
    [anon_sym_requires] = ACTIONS(5587),
  },
  [1823] = {
    [sym_identifier] = ACTIONS(5591),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [anon_sym_RPAREN] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5593),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5593),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5593),
    [anon_sym_GT_GT] = ACTIONS(5593),
    [anon_sym_SEMI] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5591),
    [anon_sym___attribute__] = ACTIONS(5591),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym___based] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_RBRACE] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_RBRACK] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5591),
    [anon_sym_constexpr] = ACTIONS(5591),
    [anon_sym_volatile] = ACTIONS(5591),
    [anon_sym_restrict] = ACTIONS(5591),
    [anon_sym___restrict__] = ACTIONS(5591),
    [anon_sym__Atomic] = ACTIONS(5591),
    [anon_sym__Noreturn] = ACTIONS(5591),
    [anon_sym_noreturn] = ACTIONS(5591),
    [anon_sym__Nonnull] = ACTIONS(5591),
    [anon_sym_mutable] = ACTIONS(5591),
    [anon_sym_constinit] = ACTIONS(5591),
    [anon_sym_consteval] = ACTIONS(5591),
    [anon_sym_PROGMEM] = ACTIONS(5591),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym__Alignas] = ACTIONS(5591),
    [aux_sym_primitive_type_token1] = ACTIONS(5591),
    [anon_sym_byte] = ACTIONS(5591),
    [anon_sym_word] = ACTIONS(5591),
    [anon_sym_COLON] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_bitor] = ACTIONS(5591),
    [anon_sym_xor] = ACTIONS(5591),
    [anon_sym_bitand] = ACTIONS(5591),
    [anon_sym_not_eq] = ACTIONS(5591),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5591),
    [anon_sym_decltype] = ACTIONS(5591),
    [anon_sym_final] = ACTIONS(5591),
    [anon_sym_override] = ACTIONS(5591),
    [anon_sym_requires] = ACTIONS(5591),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5597),
    [anon_sym_COMMA] = ACTIONS(5597),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_TILDE] = ACTIONS(5597),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym_SEMI] = ACTIONS(5597),
    [anon_sym___extension__] = ACTIONS(5595),
    [anon_sym_virtual] = ACTIONS(5595),
    [anon_sym_extern] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym___attribute] = ACTIONS(5595),
    [anon_sym_COLON_COLON] = ACTIONS(5597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5597),
    [anon_sym___declspec] = ACTIONS(5595),
    [anon_sym___based] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5597),
    [anon_sym_signed] = ACTIONS(5595),
    [anon_sym_unsigned] = ACTIONS(5595),
    [anon_sym_long] = ACTIONS(5595),
    [anon_sym_short] = ACTIONS(5595),
    [anon_sym_LBRACK] = ACTIONS(5595),
    [anon_sym_static] = ACTIONS(5595),
    [anon_sym_EQ] = ACTIONS(5597),
    [anon_sym_register] = ACTIONS(5595),
    [anon_sym_inline] = ACTIONS(5595),
    [anon_sym___inline] = ACTIONS(5595),
    [anon_sym___inline__] = ACTIONS(5595),
    [anon_sym___forceinline] = ACTIONS(5595),
    [anon_sym_thread_local] = ACTIONS(5595),
    [anon_sym___thread] = ACTIONS(5595),
    [anon_sym_const] = ACTIONS(5595),
    [anon_sym_constexpr] = ACTIONS(5595),
    [anon_sym_volatile] = ACTIONS(5595),
    [anon_sym_restrict] = ACTIONS(5595),
    [anon_sym___restrict__] = ACTIONS(5595),
    [anon_sym__Atomic] = ACTIONS(5595),
    [anon_sym__Noreturn] = ACTIONS(5595),
    [anon_sym_noreturn] = ACTIONS(5595),
    [anon_sym__Nonnull] = ACTIONS(5595),
    [anon_sym_mutable] = ACTIONS(5595),
    [anon_sym_constinit] = ACTIONS(5595),
    [anon_sym_consteval] = ACTIONS(5595),
    [anon_sym_PROGMEM] = ACTIONS(5595),
    [anon_sym_alignas] = ACTIONS(5595),
    [anon_sym__Alignas] = ACTIONS(5595),
    [aux_sym_primitive_type_token1] = ACTIONS(5595),
    [anon_sym_byte] = ACTIONS(5595),
    [anon_sym_word] = ACTIONS(5595),
    [anon_sym_enum] = ACTIONS(5595),
    [anon_sym_class] = ACTIONS(5595),
    [anon_sym_struct] = ACTIONS(5595),
    [anon_sym_union] = ACTIONS(5595),
    [anon_sym_asm] = ACTIONS(5595),
    [anon_sym___asm__] = ACTIONS(5595),
    [anon_sym___asm] = ACTIONS(5595),
    [anon_sym_DASH_GT] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
    [anon_sym_final] = ACTIONS(5595),
    [anon_sym_override] = ACTIONS(5595),
    [anon_sym_explicit] = ACTIONS(5595),
    [anon_sym_typename] = ACTIONS(5595),
    [anon_sym_template] = ACTIONS(5595),
    [anon_sym_GT2] = ACTIONS(5597),
    [anon_sym_operator] = ACTIONS(5595),
    [anon_sym_try] = ACTIONS(5595),
    [anon_sym_noexcept] = ACTIONS(5595),
    [anon_sym_throw] = ACTIONS(5595),
    [anon_sym_requires] = ACTIONS(5595),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(5599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5601),
    [anon_sym_COMMA] = ACTIONS(5601),
    [anon_sym_RPAREN] = ACTIONS(5601),
    [anon_sym_LPAREN2] = ACTIONS(5601),
    [anon_sym_DASH] = ACTIONS(5599),
    [anon_sym_PLUS] = ACTIONS(5599),
    [anon_sym_STAR] = ACTIONS(5601),
    [anon_sym_SLASH] = ACTIONS(5599),
    [anon_sym_PERCENT] = ACTIONS(5601),
    [anon_sym_PIPE_PIPE] = ACTIONS(5601),
    [anon_sym_AMP_AMP] = ACTIONS(5601),
    [anon_sym_PIPE] = ACTIONS(5599),
    [anon_sym_CARET] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5599),
    [anon_sym_EQ_EQ] = ACTIONS(5601),
    [anon_sym_BANG_EQ] = ACTIONS(5601),
    [anon_sym_GT] = ACTIONS(5599),
    [anon_sym_GT_EQ] = ACTIONS(5601),
    [anon_sym_LT_EQ] = ACTIONS(5599),
    [anon_sym_LT] = ACTIONS(5599),
    [anon_sym_LT_LT] = ACTIONS(5601),
    [anon_sym_GT_GT] = ACTIONS(5601),
    [anon_sym_SEMI] = ACTIONS(5601),
    [anon_sym___extension__] = ACTIONS(5599),
    [anon_sym___attribute__] = ACTIONS(5599),
    [anon_sym___attribute] = ACTIONS(5599),
    [anon_sym___based] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(5601),
    [anon_sym_RBRACE] = ACTIONS(5601),
    [anon_sym_signed] = ACTIONS(5599),
    [anon_sym_unsigned] = ACTIONS(5599),
    [anon_sym_long] = ACTIONS(5599),
    [anon_sym_short] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_RBRACK] = ACTIONS(5601),
    [anon_sym_const] = ACTIONS(5599),
    [anon_sym_constexpr] = ACTIONS(5599),
    [anon_sym_volatile] = ACTIONS(5599),
    [anon_sym_restrict] = ACTIONS(5599),
    [anon_sym___restrict__] = ACTIONS(5599),
    [anon_sym__Atomic] = ACTIONS(5599),
    [anon_sym__Noreturn] = ACTIONS(5599),
    [anon_sym_noreturn] = ACTIONS(5599),
    [anon_sym__Nonnull] = ACTIONS(5599),
    [anon_sym_mutable] = ACTIONS(5599),
    [anon_sym_constinit] = ACTIONS(5599),
    [anon_sym_consteval] = ACTIONS(5599),
    [anon_sym_PROGMEM] = ACTIONS(5599),
    [anon_sym_alignas] = ACTIONS(5599),
    [anon_sym__Alignas] = ACTIONS(5599),
    [aux_sym_primitive_type_token1] = ACTIONS(5599),
    [anon_sym_byte] = ACTIONS(5599),
    [anon_sym_word] = ACTIONS(5599),
    [anon_sym_COLON] = ACTIONS(5601),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_LT_EQ_GT] = ACTIONS(5601),
    [anon_sym_or] = ACTIONS(5599),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_bitor] = ACTIONS(5599),
    [anon_sym_xor] = ACTIONS(5599),
    [anon_sym_bitand] = ACTIONS(5599),
    [anon_sym_not_eq] = ACTIONS(5599),
    [anon_sym_DASH_DASH] = ACTIONS(5601),
    [anon_sym_PLUS_PLUS] = ACTIONS(5601),
    [anon_sym_DOT] = ACTIONS(5599),
    [anon_sym_DOT_STAR] = ACTIONS(5601),
    [anon_sym_DASH_GT] = ACTIONS(5601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5599),
    [anon_sym_decltype] = ACTIONS(5599),
    [anon_sym_final] = ACTIONS(5599),
    [anon_sym_override] = ACTIONS(5599),
    [anon_sym_requires] = ACTIONS(5599),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(5603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5605),
    [anon_sym_COMMA] = ACTIONS(5605),
    [anon_sym_RPAREN] = ACTIONS(5605),
    [anon_sym_LPAREN2] = ACTIONS(5605),
    [anon_sym_DASH] = ACTIONS(5603),
    [anon_sym_PLUS] = ACTIONS(5603),
    [anon_sym_STAR] = ACTIONS(5605),
    [anon_sym_SLASH] = ACTIONS(5603),
    [anon_sym_PERCENT] = ACTIONS(5605),
    [anon_sym_PIPE_PIPE] = ACTIONS(5605),
    [anon_sym_AMP_AMP] = ACTIONS(5605),
    [anon_sym_PIPE] = ACTIONS(5603),
    [anon_sym_CARET] = ACTIONS(5605),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_EQ_EQ] = ACTIONS(5605),
    [anon_sym_BANG_EQ] = ACTIONS(5605),
    [anon_sym_GT] = ACTIONS(5603),
    [anon_sym_GT_EQ] = ACTIONS(5605),
    [anon_sym_LT_EQ] = ACTIONS(5603),
    [anon_sym_LT] = ACTIONS(5603),
    [anon_sym_LT_LT] = ACTIONS(5605),
    [anon_sym_GT_GT] = ACTIONS(5605),
    [anon_sym_SEMI] = ACTIONS(5605),
    [anon_sym___extension__] = ACTIONS(5603),
    [anon_sym___attribute__] = ACTIONS(5603),
    [anon_sym___attribute] = ACTIONS(5603),
    [anon_sym___based] = ACTIONS(5603),
    [anon_sym_LBRACE] = ACTIONS(5605),
    [anon_sym_RBRACE] = ACTIONS(5605),
    [anon_sym_signed] = ACTIONS(5603),
    [anon_sym_unsigned] = ACTIONS(5603),
    [anon_sym_long] = ACTIONS(5603),
    [anon_sym_short] = ACTIONS(5603),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_const] = ACTIONS(5603),
    [anon_sym_constexpr] = ACTIONS(5603),
    [anon_sym_volatile] = ACTIONS(5603),
    [anon_sym_restrict] = ACTIONS(5603),
    [anon_sym___restrict__] = ACTIONS(5603),
    [anon_sym__Atomic] = ACTIONS(5603),
    [anon_sym__Noreturn] = ACTIONS(5603),
    [anon_sym_noreturn] = ACTIONS(5603),
    [anon_sym__Nonnull] = ACTIONS(5603),
    [anon_sym_mutable] = ACTIONS(5603),
    [anon_sym_constinit] = ACTIONS(5603),
    [anon_sym_consteval] = ACTIONS(5603),
    [anon_sym_PROGMEM] = ACTIONS(5603),
    [anon_sym_alignas] = ACTIONS(5603),
    [anon_sym__Alignas] = ACTIONS(5603),
    [aux_sym_primitive_type_token1] = ACTIONS(5603),
    [anon_sym_byte] = ACTIONS(5603),
    [anon_sym_word] = ACTIONS(5603),
    [anon_sym_COLON] = ACTIONS(5605),
    [anon_sym_QMARK] = ACTIONS(5605),
    [anon_sym_LT_EQ_GT] = ACTIONS(5605),
    [anon_sym_or] = ACTIONS(5603),
    [anon_sym_and] = ACTIONS(5603),
    [anon_sym_bitor] = ACTIONS(5603),
    [anon_sym_xor] = ACTIONS(5603),
    [anon_sym_bitand] = ACTIONS(5603),
    [anon_sym_not_eq] = ACTIONS(5603),
    [anon_sym_DASH_DASH] = ACTIONS(5605),
    [anon_sym_PLUS_PLUS] = ACTIONS(5605),
    [anon_sym_DOT] = ACTIONS(5603),
    [anon_sym_DOT_STAR] = ACTIONS(5605),
    [anon_sym_DASH_GT] = ACTIONS(5605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5603),
    [anon_sym_decltype] = ACTIONS(5603),
    [anon_sym_final] = ACTIONS(5603),
    [anon_sym_override] = ACTIONS(5603),
    [anon_sym_requires] = ACTIONS(5603),
  },
  [1827] = {
    [sym_catch_clause] = STATE(1809),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1809),
    [sym_identifier] = ACTIONS(2575),
    [aux_sym_preproc_def_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token1] = ACTIONS(2575),
    [aux_sym_preproc_if_token2] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2575),
    [sym_preproc_directive] = ACTIONS(2575),
    [anon_sym_LPAREN2] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2577),
    [anon_sym_STAR] = ACTIONS(2577),
    [anon_sym_AMP_AMP] = ACTIONS(2577),
    [anon_sym_AMP] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2577),
    [anon_sym___extension__] = ACTIONS(2575),
    [anon_sym_typedef] = ACTIONS(2575),
    [anon_sym_virtual] = ACTIONS(2575),
    [anon_sym_extern] = ACTIONS(2575),
    [anon_sym___attribute__] = ACTIONS(2575),
    [anon_sym___attribute] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(2577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2577),
    [anon_sym___declspec] = ACTIONS(2575),
    [anon_sym___based] = ACTIONS(2575),
    [anon_sym_signed] = ACTIONS(2575),
    [anon_sym_unsigned] = ACTIONS(2575),
    [anon_sym_long] = ACTIONS(2575),
    [anon_sym_short] = ACTIONS(2575),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2575),
    [anon_sym_register] = ACTIONS(2575),
    [anon_sym_inline] = ACTIONS(2575),
    [anon_sym___inline] = ACTIONS(2575),
    [anon_sym___inline__] = ACTIONS(2575),
    [anon_sym___forceinline] = ACTIONS(2575),
    [anon_sym_thread_local] = ACTIONS(2575),
    [anon_sym___thread] = ACTIONS(2575),
    [anon_sym_const] = ACTIONS(2575),
    [anon_sym_constexpr] = ACTIONS(2575),
    [anon_sym_volatile] = ACTIONS(2575),
    [anon_sym_restrict] = ACTIONS(2575),
    [anon_sym___restrict__] = ACTIONS(2575),
    [anon_sym__Atomic] = ACTIONS(2575),
    [anon_sym__Noreturn] = ACTIONS(2575),
    [anon_sym_noreturn] = ACTIONS(2575),
    [anon_sym__Nonnull] = ACTIONS(2575),
    [anon_sym_mutable] = ACTIONS(2575),
    [anon_sym_constinit] = ACTIONS(2575),
    [anon_sym_consteval] = ACTIONS(2575),
    [anon_sym_PROGMEM] = ACTIONS(2575),
    [anon_sym_alignas] = ACTIONS(2575),
    [anon_sym__Alignas] = ACTIONS(2575),
    [aux_sym_primitive_type_token1] = ACTIONS(2575),
    [anon_sym_byte] = ACTIONS(2575),
    [anon_sym_word] = ACTIONS(2575),
    [anon_sym_enum] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2575),
    [anon_sym_struct] = ACTIONS(2575),
    [anon_sym_union] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2575),
    [anon_sym_decltype] = ACTIONS(2575),
    [anon_sym_explicit] = ACTIONS(2575),
    [anon_sym_typename] = ACTIONS(2575),
    [anon_sym_template] = ACTIONS(2575),
    [anon_sym_operator] = ACTIONS(2575),
    [anon_sym_friend] = ACTIONS(2575),
    [anon_sym_public] = ACTIONS(2575),
    [anon_sym_private] = ACTIONS(2575),
    [anon_sym_protected] = ACTIONS(2575),
    [anon_sym_using] = ACTIONS(2575),
    [anon_sym_static_assert] = ACTIONS(2575),
    [anon_sym_catch] = ACTIONS(5585),
  },
  [1828] = {
    [sym_catch_clause] = STATE(1809),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1809),
    [sym_identifier] = ACTIONS(2579),
    [aux_sym_preproc_def_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token1] = ACTIONS(2579),
    [aux_sym_preproc_if_token2] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2579),
    [sym_preproc_directive] = ACTIONS(2579),
    [anon_sym_LPAREN2] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2581),
    [anon_sym_STAR] = ACTIONS(2581),
    [anon_sym_AMP_AMP] = ACTIONS(2581),
    [anon_sym_AMP] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2581),
    [anon_sym___extension__] = ACTIONS(2579),
    [anon_sym_typedef] = ACTIONS(2579),
    [anon_sym_virtual] = ACTIONS(2579),
    [anon_sym_extern] = ACTIONS(2579),
    [anon_sym___attribute__] = ACTIONS(2579),
    [anon_sym___attribute] = ACTIONS(2579),
    [anon_sym_COLON_COLON] = ACTIONS(2581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2581),
    [anon_sym___declspec] = ACTIONS(2579),
    [anon_sym___based] = ACTIONS(2579),
    [anon_sym_signed] = ACTIONS(2579),
    [anon_sym_unsigned] = ACTIONS(2579),
    [anon_sym_long] = ACTIONS(2579),
    [anon_sym_short] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2579),
    [anon_sym_register] = ACTIONS(2579),
    [anon_sym_inline] = ACTIONS(2579),
    [anon_sym___inline] = ACTIONS(2579),
    [anon_sym___inline__] = ACTIONS(2579),
    [anon_sym___forceinline] = ACTIONS(2579),
    [anon_sym_thread_local] = ACTIONS(2579),
    [anon_sym___thread] = ACTIONS(2579),
    [anon_sym_const] = ACTIONS(2579),
    [anon_sym_constexpr] = ACTIONS(2579),
    [anon_sym_volatile] = ACTIONS(2579),
    [anon_sym_restrict] = ACTIONS(2579),
    [anon_sym___restrict__] = ACTIONS(2579),
    [anon_sym__Atomic] = ACTIONS(2579),
    [anon_sym__Noreturn] = ACTIONS(2579),
    [anon_sym_noreturn] = ACTIONS(2579),
    [anon_sym__Nonnull] = ACTIONS(2579),
    [anon_sym_mutable] = ACTIONS(2579),
    [anon_sym_constinit] = ACTIONS(2579),
    [anon_sym_consteval] = ACTIONS(2579),
    [anon_sym_PROGMEM] = ACTIONS(2579),
    [anon_sym_alignas] = ACTIONS(2579),
    [anon_sym__Alignas] = ACTIONS(2579),
    [aux_sym_primitive_type_token1] = ACTIONS(2579),
    [anon_sym_byte] = ACTIONS(2579),
    [anon_sym_word] = ACTIONS(2579),
    [anon_sym_enum] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(2579),
    [anon_sym_union] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2579),
    [anon_sym_decltype] = ACTIONS(2579),
    [anon_sym_explicit] = ACTIONS(2579),
    [anon_sym_typename] = ACTIONS(2579),
    [anon_sym_template] = ACTIONS(2579),
    [anon_sym_operator] = ACTIONS(2579),
    [anon_sym_friend] = ACTIONS(2579),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_using] = ACTIONS(2579),
    [anon_sym_static_assert] = ACTIONS(2579),
    [anon_sym_catch] = ACTIONS(5585),
  },
  [1829] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5291),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5291),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [1830] = {
    [sym_catch_clause] = STATE(1830),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym___attribute] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_PROGMEM] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [aux_sym_primitive_type_token1] = ACTIONS(2562),
    [anon_sym_byte] = ACTIONS(2562),
    [anon_sym_word] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5607),
  },
  [1831] = {
    [sym_identifier] = ACTIONS(5610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5610),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym___extension__] = ACTIONS(5610),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym___attribute] = ACTIONS(5610),
    [anon_sym___based] = ACTIONS(5610),
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_const] = ACTIONS(5610),
    [anon_sym_constexpr] = ACTIONS(5610),
    [anon_sym_volatile] = ACTIONS(5610),
    [anon_sym_restrict] = ACTIONS(5610),
    [anon_sym___restrict__] = ACTIONS(5610),
    [anon_sym__Atomic] = ACTIONS(5610),
    [anon_sym__Noreturn] = ACTIONS(5610),
    [anon_sym_noreturn] = ACTIONS(5610),
    [anon_sym__Nonnull] = ACTIONS(5610),
    [anon_sym_mutable] = ACTIONS(5610),
    [anon_sym_constinit] = ACTIONS(5610),
    [anon_sym_consteval] = ACTIONS(5610),
    [anon_sym_PROGMEM] = ACTIONS(5610),
    [anon_sym_alignas] = ACTIONS(5610),
    [anon_sym__Alignas] = ACTIONS(5610),
    [aux_sym_primitive_type_token1] = ACTIONS(5610),
    [anon_sym_byte] = ACTIONS(5610),
    [anon_sym_word] = ACTIONS(5610),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_LT_EQ_GT] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_and] = ACTIONS(5610),
    [anon_sym_bitor] = ACTIONS(5610),
    [anon_sym_xor] = ACTIONS(5610),
    [anon_sym_bitand] = ACTIONS(5610),
    [anon_sym_not_eq] = ACTIONS(5610),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_DOT_STAR] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
    [anon_sym_final] = ACTIONS(5610),
    [anon_sym_override] = ACTIONS(5610),
    [anon_sym_requires] = ACTIONS(5610),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(5614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5614),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5616),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym___extension__] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym___attribute] = ACTIONS(5614),
    [anon_sym___based] = ACTIONS(5614),
    [anon_sym_LBRACE] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_signed] = ACTIONS(5614),
    [anon_sym_unsigned] = ACTIONS(5614),
    [anon_sym_long] = ACTIONS(5614),
    [anon_sym_short] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_const] = ACTIONS(5614),
    [anon_sym_constexpr] = ACTIONS(5614),
    [anon_sym_volatile] = ACTIONS(5614),
    [anon_sym_restrict] = ACTIONS(5614),
    [anon_sym___restrict__] = ACTIONS(5614),
    [anon_sym__Atomic] = ACTIONS(5614),
    [anon_sym__Noreturn] = ACTIONS(5614),
    [anon_sym_noreturn] = ACTIONS(5614),
    [anon_sym__Nonnull] = ACTIONS(5614),
    [anon_sym_mutable] = ACTIONS(5614),
    [anon_sym_constinit] = ACTIONS(5614),
    [anon_sym_consteval] = ACTIONS(5614),
    [anon_sym_PROGMEM] = ACTIONS(5614),
    [anon_sym_alignas] = ACTIONS(5614),
    [anon_sym__Alignas] = ACTIONS(5614),
    [aux_sym_primitive_type_token1] = ACTIONS(5614),
    [anon_sym_byte] = ACTIONS(5614),
    [anon_sym_word] = ACTIONS(5614),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5616),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_and] = ACTIONS(5614),
    [anon_sym_bitor] = ACTIONS(5614),
    [anon_sym_xor] = ACTIONS(5614),
    [anon_sym_bitand] = ACTIONS(5614),
    [anon_sym_not_eq] = ACTIONS(5614),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_DOT_STAR] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
    [anon_sym_final] = ACTIONS(5614),
    [anon_sym_override] = ACTIONS(5614),
    [anon_sym_requires] = ACTIONS(5614),
  },
  [1833] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6160),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6738),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6738),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1834] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6249),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6718),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6718),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1835] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6156),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1836] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4836),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1837] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(5215),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1838] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1839] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6225),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6733),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6733),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1840] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6243),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6738),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6738),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1841] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4795),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1842] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6248),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6703),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6703),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1843] = {
    [sym_template_argument_list] = STATE(1873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_COMMA] = ACTIONS(4861),
    [anon_sym_RPAREN] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(5636),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4863),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4861),
    [anon_sym_or_eq] = ACTIONS(4861),
    [anon_sym_xor_eq] = ACTIONS(4861),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4861),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4861),
    [anon_sym_not_eq] = ACTIONS(4861),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4861),
  },
  [1844] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6295),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6737),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6737),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1845] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6168),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6729),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6729),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1846] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1847] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4779),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6175),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6703),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6703),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1849] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4769),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1850] = {
    [sym__declaration_modifiers] = STATE(1855),
    [sym__declaration_specifiers] = STATE(4833),
    [sym_attribute_specifier] = STATE(1855),
    [sym_attribute_declaration] = STATE(1855),
    [sym_ms_declspec_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1855),
    [sym_type_qualifier] = STATE(1855),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2305),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1855),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1851] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6200),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6727),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6727),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1852] = {
    [sym__declaration_modifiers] = STATE(3234),
    [sym_attribute_specifier] = STATE(3234),
    [sym_attribute_declaration] = STATE(3234),
    [sym_ms_declspec_modifier] = STATE(3234),
    [sym_ms_based_modifier] = STATE(8547),
    [sym__declarator] = STATE(6630),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_function_declarator] = STATE(6172),
    [sym_array_declarator] = STATE(5989),
    [sym_storage_class_specifier] = STATE(3234),
    [sym_type_qualifier] = STATE(3234),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype] = STATE(8540),
    [sym_explicit_function_specifier] = STATE(3234),
    [sym_operator_cast] = STATE(6718),
    [sym__constructor_specifiers] = STATE(3234),
    [sym_reference_declarator] = STATE(5989),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5631),
    [sym_qualified_identifier] = STATE(5989),
    [sym_qualified_operator_cast_identifier] = STATE(6718),
    [sym_operator_name] = STATE(5989),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3234),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_explicit] = ACTIONS(129),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(135),
  },
  [1853] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_friend] = ACTIONS(2667),
    [anon_sym_public] = ACTIONS(2667),
    [anon_sym_private] = ACTIONS(2667),
    [anon_sym_protected] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
  },
  [1854] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1855] = {
    [sym__declaration_modifiers] = STATE(2943),
    [sym_attribute_specifier] = STATE(2943),
    [sym_attribute_declaration] = STATE(2943),
    [sym_ms_declspec_modifier] = STATE(2943),
    [sym_storage_class_specifier] = STATE(2943),
    [sym_type_qualifier] = STATE(2943),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2321),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2943),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_struct] = ACTIONS(75),
    [anon_sym_union] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(131),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1856] = {
    [sym_identifier] = ACTIONS(2667),
    [aux_sym_preproc_def_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token1] = ACTIONS(2667),
    [aux_sym_preproc_if_token2] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2667),
    [sym_preproc_directive] = ACTIONS(2667),
    [anon_sym_LPAREN2] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_AMP_AMP] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym___extension__] = ACTIONS(2667),
    [anon_sym_typedef] = ACTIONS(2667),
    [anon_sym_virtual] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym___attribute__] = ACTIONS(2667),
    [anon_sym___attribute] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2669),
    [anon_sym___declspec] = ACTIONS(2667),
    [anon_sym___based] = ACTIONS(2667),
    [anon_sym_signed] = ACTIONS(2667),
    [anon_sym_unsigned] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_register] = ACTIONS(2667),
    [anon_sym_inline] = ACTIONS(2667),
    [anon_sym___inline] = ACTIONS(2667),
    [anon_sym___inline__] = ACTIONS(2667),
    [anon_sym___forceinline] = ACTIONS(2667),
    [anon_sym_thread_local] = ACTIONS(2667),
    [anon_sym___thread] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_constexpr] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_restrict] = ACTIONS(2667),
    [anon_sym___restrict__] = ACTIONS(2667),
    [anon_sym__Atomic] = ACTIONS(2667),
    [anon_sym__Noreturn] = ACTIONS(2667),
    [anon_sym_noreturn] = ACTIONS(2667),
    [anon_sym__Nonnull] = ACTIONS(2667),
    [anon_sym_mutable] = ACTIONS(2667),
    [anon_sym_constinit] = ACTIONS(2667),
    [anon_sym_consteval] = ACTIONS(2667),
    [anon_sym_PROGMEM] = ACTIONS(2667),
    [anon_sym_alignas] = ACTIONS(2667),
    [anon_sym__Alignas] = ACTIONS(2667),
    [aux_sym_primitive_type_token1] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_word] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2667),
    [anon_sym_decltype] = ACTIONS(2667),
    [anon_sym_explicit] = ACTIONS(2667),
    [anon_sym_typename] = ACTIONS(2667),
    [anon_sym_template] = ACTIONS(2667),
    [anon_sym_operator] = ACTIONS(2667),
    [anon_sym_friend] = ACTIONS(2667),
    [anon_sym_public] = ACTIONS(2667),
    [anon_sym_private] = ACTIONS(2667),
    [anon_sym_protected] = ACTIONS(2667),
    [anon_sym_using] = ACTIONS(2667),
    [anon_sym_static_assert] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
  },
  [1857] = {
    [sym_template_argument_list] = STATE(1878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4863),
    [anon_sym_COMMA] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4868),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(5641),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4863),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4868),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4861),
    [anon_sym_or_eq] = ACTIONS(4861),
    [anon_sym_xor_eq] = ACTIONS(4861),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4861),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4861),
    [anon_sym_not_eq] = ACTIONS(4861),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
    [anon_sym_GT2] = ACTIONS(4863),
  },
  [1858] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1859] = {
    [sym_type_qualifier] = STATE(1859),
    [sym_alignas_qualifier] = STATE(2106),
    [aux_sym__type_definition_type_repeat1] = STATE(1859),
    [sym_identifier] = ACTIONS(4896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_COMMA] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4898),
    [anon_sym_DASH] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(4896),
    [anon_sym_STAR] = ACTIONS(4898),
    [anon_sym_SLASH] = ACTIONS(4896),
    [anon_sym_PERCENT] = ACTIONS(4898),
    [anon_sym_PIPE_PIPE] = ACTIONS(4898),
    [anon_sym_AMP_AMP] = ACTIONS(4898),
    [anon_sym_PIPE] = ACTIONS(4896),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_AMP] = ACTIONS(4896),
    [anon_sym_EQ_EQ] = ACTIONS(4898),
    [anon_sym_BANG_EQ] = ACTIONS(4898),
    [anon_sym_GT] = ACTIONS(4896),
    [anon_sym_GT_EQ] = ACTIONS(4896),
    [anon_sym_LT_EQ] = ACTIONS(4896),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_LT_LT] = ACTIONS(4898),
    [anon_sym_GT_GT] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(5644),
    [anon_sym___attribute__] = ACTIONS(4896),
    [anon_sym___attribute] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(4898),
    [anon_sym_signed] = ACTIONS(4896),
    [anon_sym_unsigned] = ACTIONS(4896),
    [anon_sym_long] = ACTIONS(4896),
    [anon_sym_short] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_const] = ACTIONS(5644),
    [anon_sym_constexpr] = ACTIONS(5644),
    [anon_sym_volatile] = ACTIONS(5644),
    [anon_sym_restrict] = ACTIONS(5644),
    [anon_sym___restrict__] = ACTIONS(5644),
    [anon_sym__Atomic] = ACTIONS(5644),
    [anon_sym__Noreturn] = ACTIONS(5644),
    [anon_sym_noreturn] = ACTIONS(5644),
    [anon_sym__Nonnull] = ACTIONS(5644),
    [anon_sym_mutable] = ACTIONS(5644),
    [anon_sym_constinit] = ACTIONS(5644),
    [anon_sym_consteval] = ACTIONS(5644),
    [anon_sym_PROGMEM] = ACTIONS(5644),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym__Alignas] = ACTIONS(5647),
    [aux_sym_primitive_type_token1] = ACTIONS(4896),
    [anon_sym_byte] = ACTIONS(4896),
    [anon_sym_word] = ACTIONS(4896),
    [anon_sym_QMARK] = ACTIONS(4898),
    [anon_sym_LT_EQ_GT] = ACTIONS(4898),
    [anon_sym_or] = ACTIONS(4896),
    [anon_sym_and] = ACTIONS(4896),
    [anon_sym_bitor] = ACTIONS(4896),
    [anon_sym_xor] = ACTIONS(4896),
    [anon_sym_bitand] = ACTIONS(4896),
    [anon_sym_not_eq] = ACTIONS(4896),
    [anon_sym_DASH_DASH] = ACTIONS(4898),
    [anon_sym_PLUS_PLUS] = ACTIONS(4898),
    [anon_sym_DOT] = ACTIONS(4896),
    [anon_sym_DOT_STAR] = ACTIONS(4898),
    [anon_sym_DASH_GT] = ACTIONS(4898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(4896),
    [anon_sym_final] = ACTIONS(4896),
    [anon_sym_override] = ACTIONS(4896),
    [anon_sym_GT2] = ACTIONS(4898),
    [anon_sym_requires] = ACTIONS(4896),
  },
  [1860] = {
    [sym_attribute_specifier] = STATE(2216),
    [sym_field_declaration_list] = STATE(2176),
    [sym_virtual_specifier] = STATE(7036),
    [sym_base_class_clause] = STATE(7584),
    [sym_identifier] = ACTIONS(5650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5650),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5650),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5650),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_STAR_EQ] = ACTIONS(5652),
    [anon_sym_SLASH_EQ] = ACTIONS(5652),
    [anon_sym_PERCENT_EQ] = ACTIONS(5652),
    [anon_sym_PLUS_EQ] = ACTIONS(5652),
    [anon_sym_DASH_EQ] = ACTIONS(5652),
    [anon_sym_LT_LT_EQ] = ACTIONS(5652),
    [anon_sym_GT_GT_EQ] = ACTIONS(5652),
    [anon_sym_AMP_EQ] = ACTIONS(5652),
    [anon_sym_CARET_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_and_eq] = ACTIONS(5650),
    [anon_sym_or_eq] = ACTIONS(5650),
    [anon_sym_xor_eq] = ACTIONS(5650),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5650),
    [anon_sym_and] = ACTIONS(5650),
    [anon_sym_bitor] = ACTIONS(5650),
    [anon_sym_xor] = ACTIONS(5650),
    [anon_sym_bitand] = ACTIONS(5650),
    [anon_sym_not_eq] = ACTIONS(5650),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5650),
    [anon_sym_decltype] = ACTIONS(5650),
    [anon_sym_final] = ACTIONS(5660),
    [anon_sym_override] = ACTIONS(5660),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym___attribute] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1862] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [aux_sym_preproc_if_token2] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_L_DQUOTE] = ACTIONS(5664),
    [anon_sym_u_DQUOTE] = ACTIONS(5664),
    [anon_sym_U_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8_DQUOTE] = ACTIONS(5664),
    [anon_sym_DQUOTE] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5664),
    [anon_sym_LR_DQUOTE] = ACTIONS(5664),
    [anon_sym_uR_DQUOTE] = ACTIONS(5664),
    [anon_sym_UR_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5664),
    [sym_literal_suffix] = ACTIONS(5662),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(5666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [aux_sym_preproc_if_token2] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5666),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_and_eq] = ACTIONS(5666),
    [anon_sym_or_eq] = ACTIONS(5666),
    [anon_sym_xor_eq] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_and] = ACTIONS(5666),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5666),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_DOT_STAR] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_L_DQUOTE] = ACTIONS(5668),
    [anon_sym_u_DQUOTE] = ACTIONS(5668),
    [anon_sym_U_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8_DQUOTE] = ACTIONS(5668),
    [anon_sym_DQUOTE] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5668),
    [anon_sym_LR_DQUOTE] = ACTIONS(5668),
    [anon_sym_uR_DQUOTE] = ACTIONS(5668),
    [anon_sym_UR_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5668),
    [sym_literal_suffix] = ACTIONS(5666),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [anon_sym_COMMA] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
  },
  [1865] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_friend] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
  },
  [1866] = {
    [sym__declaration_modifiers] = STATE(2943),
    [sym_attribute_specifier] = STATE(2943),
    [sym_attribute_declaration] = STATE(2943),
    [sym_ms_declspec_modifier] = STATE(2943),
    [sym_storage_class_specifier] = STATE(2943),
    [sym_type_qualifier] = STATE(2943),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2321),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6512),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2943),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(4839),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(1866),
    [anon_sym_class] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_union] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(1898),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1867] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_PROGMEM] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1868] = {
    [sym__declaration_modifiers] = STATE(2943),
    [sym_attribute_specifier] = STATE(2943),
    [sym_attribute_declaration] = STATE(2943),
    [sym_ms_declspec_modifier] = STATE(2943),
    [sym_storage_class_specifier] = STATE(2943),
    [sym_type_qualifier] = STATE(2943),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(2321),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2669),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6556),
    [sym_qualified_type_identifier] = STATE(2993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2943),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5016),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(5018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(57),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3273),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [aux_sym_preproc_if_token2] = ACTIONS(5672),
    [aux_sym_preproc_else_token1] = ACTIONS(5672),
    [aux_sym_preproc_elif_token1] = ACTIONS(5670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5672),
    [anon_sym_LPAREN2] = ACTIONS(5672),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_EQ] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_and_eq] = ACTIONS(5670),
    [anon_sym_or_eq] = ACTIONS(5670),
    [anon_sym_xor_eq] = ACTIONS(5670),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_L_DQUOTE] = ACTIONS(5672),
    [anon_sym_u_DQUOTE] = ACTIONS(5672),
    [anon_sym_U_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8_DQUOTE] = ACTIONS(5672),
    [anon_sym_DQUOTE] = ACTIONS(5672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5672),
    [anon_sym_LR_DQUOTE] = ACTIONS(5672),
    [anon_sym_uR_DQUOTE] = ACTIONS(5672),
    [anon_sym_UR_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5672),
    [sym_literal_suffix] = ACTIONS(5670),
  },
  [1870] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5674),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_L_DQUOTE] = ACTIONS(5676),
    [anon_sym_u_DQUOTE] = ACTIONS(5676),
    [anon_sym_U_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8_DQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5676),
    [anon_sym_LR_DQUOTE] = ACTIONS(5676),
    [anon_sym_uR_DQUOTE] = ACTIONS(5676),
    [anon_sym_UR_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5676),
    [sym_literal_suffix] = ACTIONS(5674),
  },
  [1871] = {
    [sym_identifier] = ACTIONS(1972),
    [aux_sym_preproc_def_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token1] = ACTIONS(1972),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1972),
    [sym_preproc_directive] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_friend] = ACTIONS(1972),
    [anon_sym_public] = ACTIONS(1972),
    [anon_sym_private] = ACTIONS(1972),
    [anon_sym_protected] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_static_assert] = ACTIONS(1972),
    [anon_sym_catch] = ACTIONS(1972),
  },
  [1872] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1872),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_TILDE] = ACTIONS(4922),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym_virtual] = ACTIONS(4920),
    [anon_sym_extern] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4922),
    [anon_sym___declspec] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym___cdecl] = ACTIONS(4920),
    [anon_sym___clrcall] = ACTIONS(4920),
    [anon_sym___stdcall] = ACTIONS(4920),
    [anon_sym___fastcall] = ACTIONS(4920),
    [anon_sym___thiscall] = ACTIONS(4920),
    [anon_sym___vectorcall] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5678),
    [anon_sym_unsigned] = ACTIONS(5678),
    [anon_sym_long] = ACTIONS(5678),
    [anon_sym_short] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_static] = ACTIONS(4920),
    [anon_sym_EQ] = ACTIONS(4922),
    [anon_sym_register] = ACTIONS(4920),
    [anon_sym_inline] = ACTIONS(4920),
    [anon_sym___inline] = ACTIONS(4920),
    [anon_sym___inline__] = ACTIONS(4920),
    [anon_sym___forceinline] = ACTIONS(4920),
    [anon_sym_thread_local] = ACTIONS(4920),
    [anon_sym___thread] = ACTIONS(4920),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_asm] = ACTIONS(4920),
    [anon_sym___asm__] = ACTIONS(4920),
    [anon_sym___asm] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_template] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
    [anon_sym_operator] = ACTIONS(4920),
    [anon_sym_try] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1873] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
  },
  [1875] = {
    [sym__declaration_modifiers] = STATE(2943),
    [sym_attribute_specifier] = STATE(2943),
    [sym_attribute_declaration] = STATE(2943),
    [sym_ms_declspec_modifier] = STATE(2943),
    [sym_storage_class_specifier] = STATE(2943),
    [sym_type_qualifier] = STATE(2943),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_type_specifier] = STATE(4009),
    [sym_sized_type_specifier] = STATE(2364),
    [sym_primitive_type] = STATE(2970),
    [sym_enum_specifier] = STATE(2364),
    [sym_struct_specifier] = STATE(2364),
    [sym_union_specifier] = STATE(2364),
    [sym_placeholder_type_specifier] = STATE(2364),
    [sym_decltype_auto] = STATE(2372),
    [sym_decltype] = STATE(2322),
    [sym_class_specifier] = STATE(2364),
    [sym_dependent_type] = STATE(2364),
    [sym_template_type] = STATE(2322),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(6544),
    [sym_qualified_type_identifier] = STATE(2674),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2943),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2391),
    [sym_identifier] = ACTIONS(3785),
    [anon_sym___extension__] = ACTIONS(65),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym___attribute__] = ACTIONS(43),
    [anon_sym___attribute] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(3793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1764),
    [anon_sym___declspec] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(3795),
    [anon_sym_unsigned] = ACTIONS(3795),
    [anon_sym_long] = ACTIONS(3795),
    [anon_sym_short] = ACTIONS(3795),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(61),
    [anon_sym___inline__] = ACTIONS(61),
    [anon_sym___forceinline] = ACTIONS(61),
    [anon_sym_thread_local] = ACTIONS(61),
    [anon_sym___thread] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_constexpr] = ACTIONS(65),
    [anon_sym_volatile] = ACTIONS(65),
    [anon_sym_restrict] = ACTIONS(65),
    [anon_sym___restrict__] = ACTIONS(65),
    [anon_sym__Atomic] = ACTIONS(65),
    [anon_sym__Noreturn] = ACTIONS(65),
    [anon_sym_noreturn] = ACTIONS(65),
    [anon_sym__Nonnull] = ACTIONS(65),
    [anon_sym_mutable] = ACTIONS(65),
    [anon_sym_constinit] = ACTIONS(65),
    [anon_sym_consteval] = ACTIONS(65),
    [anon_sym_PROGMEM] = ACTIONS(65),
    [anon_sym_alignas] = ACTIONS(67),
    [anon_sym__Alignas] = ACTIONS(67),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3799),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_union] = ACTIONS(3803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(125),
    [anon_sym_decltype] = ACTIONS(127),
    [anon_sym_typename] = ACTIONS(3805),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(1968),
    [aux_sym_preproc_def_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token1] = ACTIONS(1968),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1968),
    [sym_preproc_directive] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_typedef] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_public] = ACTIONS(1968),
    [anon_sym_private] = ACTIONS(1968),
    [anon_sym_protected] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_static_assert] = ACTIONS(1968),
    [anon_sym_catch] = ACTIONS(1968),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [1878] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4880),
    [anon_sym_COMMA] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4885),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4885),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
    [anon_sym_GT2] = ACTIONS(4880),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_friend] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
  },
  [1882] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_friend] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
  },
  [1883] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [1884] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
  },
  [1886] = {
    [sym_identifier] = ACTIONS(5402),
    [aux_sym_preproc_def_token1] = ACTIONS(5402),
    [aux_sym_preproc_if_token1] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5402),
    [sym_preproc_directive] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_AMP_AMP] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5404),
    [anon_sym___extension__] = ACTIONS(5402),
    [anon_sym_typedef] = ACTIONS(5402),
    [anon_sym_virtual] = ACTIONS(5402),
    [anon_sym_extern] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5402),
    [anon_sym___attribute] = ACTIONS(5402),
    [anon_sym_COLON_COLON] = ACTIONS(5404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym___declspec] = ACTIONS(5402),
    [anon_sym___based] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5402),
    [anon_sym_unsigned] = ACTIONS(5402),
    [anon_sym_long] = ACTIONS(5402),
    [anon_sym_short] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_static] = ACTIONS(5402),
    [anon_sym_register] = ACTIONS(5402),
    [anon_sym_inline] = ACTIONS(5402),
    [anon_sym___inline] = ACTIONS(5402),
    [anon_sym___inline__] = ACTIONS(5402),
    [anon_sym___forceinline] = ACTIONS(5402),
    [anon_sym_thread_local] = ACTIONS(5402),
    [anon_sym___thread] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5402),
    [anon_sym_constexpr] = ACTIONS(5402),
    [anon_sym_volatile] = ACTIONS(5402),
    [anon_sym_restrict] = ACTIONS(5402),
    [anon_sym___restrict__] = ACTIONS(5402),
    [anon_sym__Atomic] = ACTIONS(5402),
    [anon_sym__Noreturn] = ACTIONS(5402),
    [anon_sym_noreturn] = ACTIONS(5402),
    [anon_sym__Nonnull] = ACTIONS(5402),
    [anon_sym_mutable] = ACTIONS(5402),
    [anon_sym_constinit] = ACTIONS(5402),
    [anon_sym_consteval] = ACTIONS(5402),
    [anon_sym_PROGMEM] = ACTIONS(5402),
    [anon_sym_alignas] = ACTIONS(5402),
    [anon_sym__Alignas] = ACTIONS(5402),
    [aux_sym_primitive_type_token1] = ACTIONS(5402),
    [anon_sym_byte] = ACTIONS(5402),
    [anon_sym_word] = ACTIONS(5402),
    [anon_sym_enum] = ACTIONS(5402),
    [anon_sym_class] = ACTIONS(5402),
    [anon_sym_struct] = ACTIONS(5402),
    [anon_sym_union] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5402),
    [anon_sym_decltype] = ACTIONS(5402),
    [anon_sym_explicit] = ACTIONS(5402),
    [anon_sym_typename] = ACTIONS(5402),
    [anon_sym_template] = ACTIONS(5402),
    [anon_sym_operator] = ACTIONS(5402),
    [anon_sym_friend] = ACTIONS(5402),
    [anon_sym_public] = ACTIONS(5402),
    [anon_sym_private] = ACTIONS(5402),
    [anon_sym_protected] = ACTIONS(5402),
    [anon_sym_using] = ACTIONS(5402),
    [anon_sym_static_assert] = ACTIONS(5402),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(5345),
    [aux_sym_preproc_def_token1] = ACTIONS(5345),
    [aux_sym_preproc_if_token1] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5345),
    [sym_preproc_directive] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5347),
    [anon_sym_STAR] = ACTIONS(5347),
    [anon_sym_AMP_AMP] = ACTIONS(5347),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5347),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym_typedef] = ACTIONS(5345),
    [anon_sym_virtual] = ACTIONS(5345),
    [anon_sym_extern] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym___attribute] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5347),
    [anon_sym___declspec] = ACTIONS(5345),
    [anon_sym___based] = ACTIONS(5345),
    [anon_sym_RBRACE] = ACTIONS(5347),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5345),
    [anon_sym_register] = ACTIONS(5345),
    [anon_sym_inline] = ACTIONS(5345),
    [anon_sym___inline] = ACTIONS(5345),
    [anon_sym___inline__] = ACTIONS(5345),
    [anon_sym___forceinline] = ACTIONS(5345),
    [anon_sym_thread_local] = ACTIONS(5345),
    [anon_sym___thread] = ACTIONS(5345),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5345),
    [anon_sym_byte] = ACTIONS(5345),
    [anon_sym_word] = ACTIONS(5345),
    [anon_sym_enum] = ACTIONS(5345),
    [anon_sym_class] = ACTIONS(5345),
    [anon_sym_struct] = ACTIONS(5345),
    [anon_sym_union] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_explicit] = ACTIONS(5345),
    [anon_sym_typename] = ACTIONS(5345),
    [anon_sym_template] = ACTIONS(5345),
    [anon_sym_operator] = ACTIONS(5345),
    [anon_sym_friend] = ACTIONS(5345),
    [anon_sym_public] = ACTIONS(5345),
    [anon_sym_private] = ACTIONS(5345),
    [anon_sym_protected] = ACTIONS(5345),
    [anon_sym_using] = ACTIONS(5345),
    [anon_sym_static_assert] = ACTIONS(5345),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token2] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(5313),
    [aux_sym_preproc_def_token1] = ACTIONS(5313),
    [aux_sym_preproc_if_token1] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5313),
    [sym_preproc_directive] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5315),
    [anon_sym_TILDE] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym_typedef] = ACTIONS(5313),
    [anon_sym_virtual] = ACTIONS(5313),
    [anon_sym_extern] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym___attribute] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(5315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5315),
    [anon_sym___declspec] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5313),
    [anon_sym_signed] = ACTIONS(5313),
    [anon_sym_unsigned] = ACTIONS(5313),
    [anon_sym_long] = ACTIONS(5313),
    [anon_sym_short] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_static] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5313),
    [anon_sym_inline] = ACTIONS(5313),
    [anon_sym___inline] = ACTIONS(5313),
    [anon_sym___inline__] = ACTIONS(5313),
    [anon_sym___forceinline] = ACTIONS(5313),
    [anon_sym_thread_local] = ACTIONS(5313),
    [anon_sym___thread] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5313),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym__Nonnull] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [anon_sym_PROGMEM] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym__Alignas] = ACTIONS(5313),
    [aux_sym_primitive_type_token1] = ACTIONS(5313),
    [anon_sym_byte] = ACTIONS(5313),
    [anon_sym_word] = ACTIONS(5313),
    [anon_sym_enum] = ACTIONS(5313),
    [anon_sym_class] = ACTIONS(5313),
    [anon_sym_struct] = ACTIONS(5313),
    [anon_sym_union] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_explicit] = ACTIONS(5313),
    [anon_sym_typename] = ACTIONS(5313),
    [anon_sym_template] = ACTIONS(5313),
    [anon_sym_operator] = ACTIONS(5313),
    [anon_sym_friend] = ACTIONS(5313),
    [anon_sym_public] = ACTIONS(5313),
    [anon_sym_private] = ACTIONS(5313),
    [anon_sym_protected] = ACTIONS(5313),
    [anon_sym_using] = ACTIONS(5313),
    [anon_sym_static_assert] = ACTIONS(5313),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(3215),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token2] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3215),
    [sym_preproc_directive] = ACTIONS(3215),
    [anon_sym_LPAREN2] = ACTIONS(3217),
    [anon_sym_TILDE] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_AMP_AMP] = ACTIONS(3217),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3215),
    [anon_sym_typedef] = ACTIONS(3215),
    [anon_sym_virtual] = ACTIONS(3215),
    [anon_sym_extern] = ACTIONS(3215),
    [anon_sym___attribute__] = ACTIONS(3215),
    [anon_sym___attribute] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3217),
    [anon_sym___declspec] = ACTIONS(3215),
    [anon_sym___based] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3215),
    [anon_sym_unsigned] = ACTIONS(3215),
    [anon_sym_long] = ACTIONS(3215),
    [anon_sym_short] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_static] = ACTIONS(3215),
    [anon_sym_register] = ACTIONS(3215),
    [anon_sym_inline] = ACTIONS(3215),
    [anon_sym___inline] = ACTIONS(3215),
    [anon_sym___inline__] = ACTIONS(3215),
    [anon_sym___forceinline] = ACTIONS(3215),
    [anon_sym_thread_local] = ACTIONS(3215),
    [anon_sym___thread] = ACTIONS(3215),
    [anon_sym_const] = ACTIONS(3215),
    [anon_sym_constexpr] = ACTIONS(3215),
    [anon_sym_volatile] = ACTIONS(3215),
    [anon_sym_restrict] = ACTIONS(3215),
    [anon_sym___restrict__] = ACTIONS(3215),
    [anon_sym__Atomic] = ACTIONS(3215),
    [anon_sym__Noreturn] = ACTIONS(3215),
    [anon_sym_noreturn] = ACTIONS(3215),
    [anon_sym__Nonnull] = ACTIONS(3215),
    [anon_sym_mutable] = ACTIONS(3215),
    [anon_sym_constinit] = ACTIONS(3215),
    [anon_sym_consteval] = ACTIONS(3215),
    [anon_sym_PROGMEM] = ACTIONS(3215),
    [anon_sym_alignas] = ACTIONS(3215),
    [anon_sym__Alignas] = ACTIONS(3215),
    [aux_sym_primitive_type_token1] = ACTIONS(3215),
    [anon_sym_byte] = ACTIONS(3215),
    [anon_sym_word] = ACTIONS(3215),
    [anon_sym_enum] = ACTIONS(3215),
    [anon_sym_class] = ACTIONS(3215),
    [anon_sym_struct] = ACTIONS(3215),
    [anon_sym_union] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3215),
    [anon_sym_decltype] = ACTIONS(3215),
    [anon_sym_explicit] = ACTIONS(3215),
    [anon_sym_typename] = ACTIONS(3215),
    [anon_sym_template] = ACTIONS(3215),
    [anon_sym_operator] = ACTIONS(3215),
    [anon_sym_friend] = ACTIONS(3215),
    [anon_sym_public] = ACTIONS(3215),
    [anon_sym_private] = ACTIONS(3215),
    [anon_sym_protected] = ACTIONS(3215),
    [anon_sym_using] = ACTIONS(3215),
    [anon_sym_static_assert] = ACTIONS(3215),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_friend] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym___attribute] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym__Nonnull] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_PROGMEM] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [aux_sym_primitive_type_token1] = ACTIONS(2917),
    [anon_sym_byte] = ACTIONS(2917),
    [anon_sym_word] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym___attribute] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym__Nonnull] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_PROGMEM] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [aux_sym_primitive_type_token1] = ACTIONS(2921),
    [anon_sym_byte] = ACTIONS(2921),
    [anon_sym_word] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2974),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1898] = {
    [sym_identifier] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token2] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_TILDE] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_AMP_AMP] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5400),
    [anon_sym___extension__] = ACTIONS(5398),
    [anon_sym_typedef] = ACTIONS(5398),
    [anon_sym_virtual] = ACTIONS(5398),
    [anon_sym_extern] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5398),
    [anon_sym___attribute] = ACTIONS(5398),
    [anon_sym_COLON_COLON] = ACTIONS(5400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5400),
    [anon_sym___declspec] = ACTIONS(5398),
    [anon_sym___based] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5398),
    [anon_sym_unsigned] = ACTIONS(5398),
    [anon_sym_long] = ACTIONS(5398),
    [anon_sym_short] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_static] = ACTIONS(5398),
    [anon_sym_register] = ACTIONS(5398),
    [anon_sym_inline] = ACTIONS(5398),
    [anon_sym___inline] = ACTIONS(5398),
    [anon_sym___inline__] = ACTIONS(5398),
    [anon_sym___forceinline] = ACTIONS(5398),
    [anon_sym_thread_local] = ACTIONS(5398),
    [anon_sym___thread] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5398),
    [anon_sym_constexpr] = ACTIONS(5398),
    [anon_sym_volatile] = ACTIONS(5398),
    [anon_sym_restrict] = ACTIONS(5398),
    [anon_sym___restrict__] = ACTIONS(5398),
    [anon_sym__Atomic] = ACTIONS(5398),
    [anon_sym__Noreturn] = ACTIONS(5398),
    [anon_sym_noreturn] = ACTIONS(5398),
    [anon_sym__Nonnull] = ACTIONS(5398),
    [anon_sym_mutable] = ACTIONS(5398),
    [anon_sym_constinit] = ACTIONS(5398),
    [anon_sym_consteval] = ACTIONS(5398),
    [anon_sym_PROGMEM] = ACTIONS(5398),
    [anon_sym_alignas] = ACTIONS(5398),
    [anon_sym__Alignas] = ACTIONS(5398),
    [aux_sym_primitive_type_token1] = ACTIONS(5398),
    [anon_sym_byte] = ACTIONS(5398),
    [anon_sym_word] = ACTIONS(5398),
    [anon_sym_enum] = ACTIONS(5398),
    [anon_sym_class] = ACTIONS(5398),
    [anon_sym_struct] = ACTIONS(5398),
    [anon_sym_union] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5398),
    [anon_sym_decltype] = ACTIONS(5398),
    [anon_sym_explicit] = ACTIONS(5398),
    [anon_sym_typename] = ACTIONS(5398),
    [anon_sym_template] = ACTIONS(5398),
    [anon_sym_operator] = ACTIONS(5398),
    [anon_sym_friend] = ACTIONS(5398),
    [anon_sym_public] = ACTIONS(5398),
    [anon_sym_private] = ACTIONS(5398),
    [anon_sym_protected] = ACTIONS(5398),
    [anon_sym_using] = ACTIONS(5398),
    [anon_sym_static_assert] = ACTIONS(5398),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token2] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_friend] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(5394),
    [aux_sym_preproc_def_token1] = ACTIONS(5394),
    [aux_sym_preproc_if_token1] = ACTIONS(5394),
    [aux_sym_preproc_if_token2] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5394),
    [sym_preproc_directive] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_TILDE] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5396),
    [anon_sym___extension__] = ACTIONS(5394),
    [anon_sym_typedef] = ACTIONS(5394),
    [anon_sym_virtual] = ACTIONS(5394),
    [anon_sym_extern] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5394),
    [anon_sym___attribute] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(5396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym___declspec] = ACTIONS(5394),
    [anon_sym___based] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_static] = ACTIONS(5394),
    [anon_sym_register] = ACTIONS(5394),
    [anon_sym_inline] = ACTIONS(5394),
    [anon_sym___inline] = ACTIONS(5394),
    [anon_sym___inline__] = ACTIONS(5394),
    [anon_sym___forceinline] = ACTIONS(5394),
    [anon_sym_thread_local] = ACTIONS(5394),
    [anon_sym___thread] = ACTIONS(5394),
    [anon_sym_const] = ACTIONS(5394),
    [anon_sym_constexpr] = ACTIONS(5394),
    [anon_sym_volatile] = ACTIONS(5394),
    [anon_sym_restrict] = ACTIONS(5394),
    [anon_sym___restrict__] = ACTIONS(5394),
    [anon_sym__Atomic] = ACTIONS(5394),
    [anon_sym__Noreturn] = ACTIONS(5394),
    [anon_sym_noreturn] = ACTIONS(5394),
    [anon_sym__Nonnull] = ACTIONS(5394),
    [anon_sym_mutable] = ACTIONS(5394),
    [anon_sym_constinit] = ACTIONS(5394),
    [anon_sym_consteval] = ACTIONS(5394),
    [anon_sym_PROGMEM] = ACTIONS(5394),
    [anon_sym_alignas] = ACTIONS(5394),
    [anon_sym__Alignas] = ACTIONS(5394),
    [aux_sym_primitive_type_token1] = ACTIONS(5394),
    [anon_sym_byte] = ACTIONS(5394),
    [anon_sym_word] = ACTIONS(5394),
    [anon_sym_enum] = ACTIONS(5394),
    [anon_sym_class] = ACTIONS(5394),
    [anon_sym_struct] = ACTIONS(5394),
    [anon_sym_union] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5394),
    [anon_sym_decltype] = ACTIONS(5394),
    [anon_sym_explicit] = ACTIONS(5394),
    [anon_sym_typename] = ACTIONS(5394),
    [anon_sym_template] = ACTIONS(5394),
    [anon_sym_operator] = ACTIONS(5394),
    [anon_sym_friend] = ACTIONS(5394),
    [anon_sym_public] = ACTIONS(5394),
    [anon_sym_private] = ACTIONS(5394),
    [anon_sym_protected] = ACTIONS(5394),
    [anon_sym_using] = ACTIONS(5394),
    [anon_sym_static_assert] = ACTIONS(5394),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token2] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym___attribute] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_PROGMEM] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [aux_sym_primitive_type_token1] = ACTIONS(5377),
    [anon_sym_byte] = ACTIONS(5377),
    [anon_sym_word] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token2] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1912] = {
    [sym_type_qualifier] = STATE(2027),
    [sym_alignas_qualifier] = STATE(2106),
    [sym_primitive_type] = STATE(2202),
    [aux_sym__type_definition_type_repeat1] = STATE(2027),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2189),
    [sym_identifier] = ACTIONS(5681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4966),
    [anon_sym_PLUS] = ACTIONS(4966),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4966),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_PIPE] = ACTIONS(4966),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_EQ_EQ] = ACTIONS(4964),
    [anon_sym_BANG_EQ] = ACTIONS(4964),
    [anon_sym_GT] = ACTIONS(4966),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4966),
    [anon_sym_LT] = ACTIONS(4966),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5685),
    [anon_sym_unsigned] = ACTIONS(5685),
    [anon_sym_long] = ACTIONS(5685),
    [anon_sym_short] = ACTIONS(5685),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym__Nonnull] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [anon_sym_PROGMEM] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym__Alignas] = ACTIONS(5687),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4964),
    [anon_sym_or] = ACTIONS(4966),
    [anon_sym_and] = ACTIONS(4966),
    [anon_sym_bitor] = ACTIONS(4966),
    [anon_sym_xor] = ACTIONS(4966),
    [anon_sym_bitand] = ACTIONS(4966),
    [anon_sym_not_eq] = ACTIONS(4966),
    [anon_sym_DASH_DASH] = ACTIONS(4964),
    [anon_sym_PLUS_PLUS] = ACTIONS(4964),
    [anon_sym_DOT] = ACTIONS(4966),
    [anon_sym_DOT_STAR] = ACTIONS(4964),
    [anon_sym_DASH_GT] = ACTIONS(4964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token1] = ACTIONS(3010),
    [aux_sym_preproc_if_token2] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3010),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_TILDE] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym___extension__] = ACTIONS(3010),
    [anon_sym_typedef] = ACTIONS(3010),
    [anon_sym_virtual] = ACTIONS(3010),
    [anon_sym_extern] = ACTIONS(3010),
    [anon_sym___attribute__] = ACTIONS(3010),
    [anon_sym___attribute] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3012),
    [anon_sym___declspec] = ACTIONS(3010),
    [anon_sym___based] = ACTIONS(3010),
    [anon_sym_signed] = ACTIONS(3010),
    [anon_sym_unsigned] = ACTIONS(3010),
    [anon_sym_long] = ACTIONS(3010),
    [anon_sym_short] = ACTIONS(3010),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3010),
    [anon_sym_register] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym___inline] = ACTIONS(3010),
    [anon_sym___inline__] = ACTIONS(3010),
    [anon_sym___forceinline] = ACTIONS(3010),
    [anon_sym_thread_local] = ACTIONS(3010),
    [anon_sym___thread] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_constexpr] = ACTIONS(3010),
    [anon_sym_volatile] = ACTIONS(3010),
    [anon_sym_restrict] = ACTIONS(3010),
    [anon_sym___restrict__] = ACTIONS(3010),
    [anon_sym__Atomic] = ACTIONS(3010),
    [anon_sym__Noreturn] = ACTIONS(3010),
    [anon_sym_noreturn] = ACTIONS(3010),
    [anon_sym__Nonnull] = ACTIONS(3010),
    [anon_sym_mutable] = ACTIONS(3010),
    [anon_sym_constinit] = ACTIONS(3010),
    [anon_sym_consteval] = ACTIONS(3010),
    [anon_sym_PROGMEM] = ACTIONS(3010),
    [anon_sym_alignas] = ACTIONS(3010),
    [anon_sym__Alignas] = ACTIONS(3010),
    [aux_sym_primitive_type_token1] = ACTIONS(3010),
    [anon_sym_byte] = ACTIONS(3010),
    [anon_sym_word] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_struct] = ACTIONS(3010),
    [anon_sym_union] = ACTIONS(3010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3010),
    [anon_sym_decltype] = ACTIONS(3010),
    [anon_sym_explicit] = ACTIONS(3010),
    [anon_sym_typename] = ACTIONS(3010),
    [anon_sym_template] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_friend] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_using] = ACTIONS(3010),
    [anon_sym_static_assert] = ACTIONS(3010),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5462),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_PROGMEM] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [aux_sym_primitive_type_token1] = ACTIONS(5460),
    [anon_sym_byte] = ACTIONS(5460),
    [anon_sym_word] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token2] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym___attribute] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_PROGMEM] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [aux_sym_primitive_type_token1] = ACTIONS(5373),
    [anon_sym_byte] = ACTIONS(5373),
    [anon_sym_word] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token2] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(5345),
    [aux_sym_preproc_def_token1] = ACTIONS(5345),
    [aux_sym_preproc_if_token1] = ACTIONS(5345),
    [aux_sym_preproc_if_token2] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5345),
    [sym_preproc_directive] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5347),
    [anon_sym_TILDE] = ACTIONS(5347),
    [anon_sym_STAR] = ACTIONS(5347),
    [anon_sym_AMP_AMP] = ACTIONS(5347),
    [anon_sym_AMP] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5347),
    [anon_sym___extension__] = ACTIONS(5345),
    [anon_sym_typedef] = ACTIONS(5345),
    [anon_sym_virtual] = ACTIONS(5345),
    [anon_sym_extern] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5345),
    [anon_sym___attribute] = ACTIONS(5345),
    [anon_sym_COLON_COLON] = ACTIONS(5347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5347),
    [anon_sym___declspec] = ACTIONS(5345),
    [anon_sym___based] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5345),
    [anon_sym_register] = ACTIONS(5345),
    [anon_sym_inline] = ACTIONS(5345),
    [anon_sym___inline] = ACTIONS(5345),
    [anon_sym___inline__] = ACTIONS(5345),
    [anon_sym___forceinline] = ACTIONS(5345),
    [anon_sym_thread_local] = ACTIONS(5345),
    [anon_sym___thread] = ACTIONS(5345),
    [anon_sym_const] = ACTIONS(5345),
    [anon_sym_constexpr] = ACTIONS(5345),
    [anon_sym_volatile] = ACTIONS(5345),
    [anon_sym_restrict] = ACTIONS(5345),
    [anon_sym___restrict__] = ACTIONS(5345),
    [anon_sym__Atomic] = ACTIONS(5345),
    [anon_sym__Noreturn] = ACTIONS(5345),
    [anon_sym_noreturn] = ACTIONS(5345),
    [anon_sym__Nonnull] = ACTIONS(5345),
    [anon_sym_mutable] = ACTIONS(5345),
    [anon_sym_constinit] = ACTIONS(5345),
    [anon_sym_consteval] = ACTIONS(5345),
    [anon_sym_PROGMEM] = ACTIONS(5345),
    [anon_sym_alignas] = ACTIONS(5345),
    [anon_sym__Alignas] = ACTIONS(5345),
    [aux_sym_primitive_type_token1] = ACTIONS(5345),
    [anon_sym_byte] = ACTIONS(5345),
    [anon_sym_word] = ACTIONS(5345),
    [anon_sym_enum] = ACTIONS(5345),
    [anon_sym_class] = ACTIONS(5345),
    [anon_sym_struct] = ACTIONS(5345),
    [anon_sym_union] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5345),
    [anon_sym_decltype] = ACTIONS(5345),
    [anon_sym_explicit] = ACTIONS(5345),
    [anon_sym_typename] = ACTIONS(5345),
    [anon_sym_template] = ACTIONS(5345),
    [anon_sym_operator] = ACTIONS(5345),
    [anon_sym_friend] = ACTIONS(5345),
    [anon_sym_public] = ACTIONS(5345),
    [anon_sym_private] = ACTIONS(5345),
    [anon_sym_protected] = ACTIONS(5345),
    [anon_sym_using] = ACTIONS(5345),
    [anon_sym_static_assert] = ACTIONS(5345),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_friend] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_friend] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(5325),
    [aux_sym_preproc_def_token1] = ACTIONS(5325),
    [aux_sym_preproc_if_token1] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5325),
    [sym_preproc_directive] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_TILDE] = ACTIONS(5327),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym___extension__] = ACTIONS(5325),
    [anon_sym_typedef] = ACTIONS(5325),
    [anon_sym_virtual] = ACTIONS(5325),
    [anon_sym_extern] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5325),
    [anon_sym___attribute] = ACTIONS(5325),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5327),
    [anon_sym___declspec] = ACTIONS(5325),
    [anon_sym___based] = ACTIONS(5325),
    [anon_sym_RBRACE] = ACTIONS(5327),
    [anon_sym_signed] = ACTIONS(5325),
    [anon_sym_unsigned] = ACTIONS(5325),
    [anon_sym_long] = ACTIONS(5325),
    [anon_sym_short] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_static] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5325),
    [anon_sym_inline] = ACTIONS(5325),
    [anon_sym___inline] = ACTIONS(5325),
    [anon_sym___inline__] = ACTIONS(5325),
    [anon_sym___forceinline] = ACTIONS(5325),
    [anon_sym_thread_local] = ACTIONS(5325),
    [anon_sym___thread] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5325),
    [anon_sym_constexpr] = ACTIONS(5325),
    [anon_sym_volatile] = ACTIONS(5325),
    [anon_sym_restrict] = ACTIONS(5325),
    [anon_sym___restrict__] = ACTIONS(5325),
    [anon_sym__Atomic] = ACTIONS(5325),
    [anon_sym__Noreturn] = ACTIONS(5325),
    [anon_sym_noreturn] = ACTIONS(5325),
    [anon_sym__Nonnull] = ACTIONS(5325),
    [anon_sym_mutable] = ACTIONS(5325),
    [anon_sym_constinit] = ACTIONS(5325),
    [anon_sym_consteval] = ACTIONS(5325),
    [anon_sym_PROGMEM] = ACTIONS(5325),
    [anon_sym_alignas] = ACTIONS(5325),
    [anon_sym__Alignas] = ACTIONS(5325),
    [aux_sym_primitive_type_token1] = ACTIONS(5325),
    [anon_sym_byte] = ACTIONS(5325),
    [anon_sym_word] = ACTIONS(5325),
    [anon_sym_enum] = ACTIONS(5325),
    [anon_sym_class] = ACTIONS(5325),
    [anon_sym_struct] = ACTIONS(5325),
    [anon_sym_union] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5325),
    [anon_sym_decltype] = ACTIONS(5325),
    [anon_sym_explicit] = ACTIONS(5325),
    [anon_sym_typename] = ACTIONS(5325),
    [anon_sym_template] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5325),
    [anon_sym_friend] = ACTIONS(5325),
    [anon_sym_public] = ACTIONS(5325),
    [anon_sym_private] = ACTIONS(5325),
    [anon_sym_protected] = ACTIONS(5325),
    [anon_sym_using] = ACTIONS(5325),
    [anon_sym_static_assert] = ACTIONS(5325),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [aux_sym_primitive_type_token1] = ACTIONS(5353),
    [anon_sym_byte] = ACTIONS(5353),
    [anon_sym_word] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_class] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_explicit] = ACTIONS(5353),
    [anon_sym_typename] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_friend] = ACTIONS(5353),
    [anon_sym_public] = ACTIONS(5353),
    [anon_sym_private] = ACTIONS(5353),
    [anon_sym_protected] = ACTIONS(5353),
    [anon_sym_using] = ACTIONS(5353),
    [anon_sym_static_assert] = ACTIONS(5353),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5454),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_PROGMEM] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [aux_sym_primitive_type_token1] = ACTIONS(5452),
    [anon_sym_byte] = ACTIONS(5452),
    [anon_sym_word] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5450),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_PROGMEM] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [aux_sym_primitive_type_token1] = ACTIONS(5448),
    [anon_sym_byte] = ACTIONS(5448),
    [anon_sym_word] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_friend] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym___attribute] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym__Nonnull] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [anon_sym_PROGMEM] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym__Alignas] = ACTIONS(3076),
    [aux_sym_primitive_type_token1] = ACTIONS(3076),
    [anon_sym_byte] = ACTIONS(3076),
    [anon_sym_word] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_friend] = ACTIONS(3076),
    [anon_sym_public] = ACTIONS(3076),
    [anon_sym_private] = ACTIONS(3076),
    [anon_sym_protected] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token2] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym___attribute] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token2] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token2] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym___attribute] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym__Nonnull] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_PROGMEM] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [aux_sym_primitive_type_token1] = ACTIONS(2933),
    [anon_sym_byte] = ACTIONS(2933),
    [anon_sym_word] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_friend] = ACTIONS(2933),
    [anon_sym_public] = ACTIONS(2933),
    [anon_sym_private] = ACTIONS(2933),
    [anon_sym_protected] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token2] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3175),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_friend] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_friend] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_RBRACE] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(3025),
    [aux_sym_preproc_def_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3025),
    [anon_sym_LPAREN2] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_AMP_AMP] = ACTIONS(3027),
    [anon_sym_AMP] = ACTIONS(3025),
    [anon_sym_SEMI] = ACTIONS(3027),
    [anon_sym___extension__] = ACTIONS(3025),
    [anon_sym_typedef] = ACTIONS(3025),
    [anon_sym_virtual] = ACTIONS(3025),
    [anon_sym_extern] = ACTIONS(3025),
    [anon_sym___attribute__] = ACTIONS(3025),
    [anon_sym___attribute] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(3027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3027),
    [anon_sym___declspec] = ACTIONS(3025),
    [anon_sym___based] = ACTIONS(3025),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_signed] = ACTIONS(3025),
    [anon_sym_unsigned] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_LBRACK] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_register] = ACTIONS(3025),
    [anon_sym_inline] = ACTIONS(3025),
    [anon_sym___inline] = ACTIONS(3025),
    [anon_sym___inline__] = ACTIONS(3025),
    [anon_sym___forceinline] = ACTIONS(3025),
    [anon_sym_thread_local] = ACTIONS(3025),
    [anon_sym___thread] = ACTIONS(3025),
    [anon_sym_const] = ACTIONS(3025),
    [anon_sym_constexpr] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_restrict] = ACTIONS(3025),
    [anon_sym___restrict__] = ACTIONS(3025),
    [anon_sym__Atomic] = ACTIONS(3025),
    [anon_sym__Noreturn] = ACTIONS(3025),
    [anon_sym_noreturn] = ACTIONS(3025),
    [anon_sym__Nonnull] = ACTIONS(3025),
    [anon_sym_mutable] = ACTIONS(3025),
    [anon_sym_constinit] = ACTIONS(3025),
    [anon_sym_consteval] = ACTIONS(3025),
    [anon_sym_PROGMEM] = ACTIONS(3025),
    [anon_sym_alignas] = ACTIONS(3025),
    [anon_sym__Alignas] = ACTIONS(3025),
    [aux_sym_primitive_type_token1] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_word] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_struct] = ACTIONS(3025),
    [anon_sym_union] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3025),
    [anon_sym_decltype] = ACTIONS(3025),
    [anon_sym_explicit] = ACTIONS(3025),
    [anon_sym_typename] = ACTIONS(3025),
    [anon_sym_template] = ACTIONS(3025),
    [anon_sym_operator] = ACTIONS(3025),
    [anon_sym_friend] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_using] = ACTIONS(3025),
    [anon_sym_static_assert] = ACTIONS(3025),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym___attribute] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym__Nonnull] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_PROGMEM] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [aux_sym_primitive_type_token1] = ACTIONS(2929),
    [anon_sym_byte] = ACTIONS(2929),
    [anon_sym_word] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_RBRACE] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token2] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym___attribute] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token2] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym___attribute] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym__Nonnull] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [anon_sym_PROGMEM] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym__Alignas] = ACTIONS(3162),
    [aux_sym_primitive_type_token1] = ACTIONS(3162),
    [anon_sym_byte] = ACTIONS(3162),
    [anon_sym_word] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym___attribute] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym__Nonnull] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [anon_sym_PROGMEM] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym__Alignas] = ACTIONS(3193),
    [aux_sym_primitive_type_token1] = ACTIONS(3193),
    [anon_sym_byte] = ACTIONS(3193),
    [anon_sym_word] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token2] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym___attribute] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5419),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token1] = ACTIONS(3002),
    [aux_sym_preproc_if_token2] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3002),
    [sym_preproc_directive] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym___extension__] = ACTIONS(3002),
    [anon_sym_typedef] = ACTIONS(3002),
    [anon_sym_virtual] = ACTIONS(3002),
    [anon_sym_extern] = ACTIONS(3002),
    [anon_sym___attribute__] = ACTIONS(3002),
    [anon_sym___attribute] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3004),
    [anon_sym___declspec] = ACTIONS(3002),
    [anon_sym___based] = ACTIONS(3002),
    [anon_sym_signed] = ACTIONS(3002),
    [anon_sym_unsigned] = ACTIONS(3002),
    [anon_sym_long] = ACTIONS(3002),
    [anon_sym_short] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3002),
    [anon_sym_register] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym___inline] = ACTIONS(3002),
    [anon_sym___inline__] = ACTIONS(3002),
    [anon_sym___forceinline] = ACTIONS(3002),
    [anon_sym_thread_local] = ACTIONS(3002),
    [anon_sym___thread] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_constexpr] = ACTIONS(3002),
    [anon_sym_volatile] = ACTIONS(3002),
    [anon_sym_restrict] = ACTIONS(3002),
    [anon_sym___restrict__] = ACTIONS(3002),
    [anon_sym__Atomic] = ACTIONS(3002),
    [anon_sym__Noreturn] = ACTIONS(3002),
    [anon_sym_noreturn] = ACTIONS(3002),
    [anon_sym__Nonnull] = ACTIONS(3002),
    [anon_sym_mutable] = ACTIONS(3002),
    [anon_sym_constinit] = ACTIONS(3002),
    [anon_sym_consteval] = ACTIONS(3002),
    [anon_sym_PROGMEM] = ACTIONS(3002),
    [anon_sym_alignas] = ACTIONS(3002),
    [anon_sym__Alignas] = ACTIONS(3002),
    [aux_sym_primitive_type_token1] = ACTIONS(3002),
    [anon_sym_byte] = ACTIONS(3002),
    [anon_sym_word] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3002),
    [anon_sym_struct] = ACTIONS(3002),
    [anon_sym_union] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3002),
    [anon_sym_decltype] = ACTIONS(3002),
    [anon_sym_explicit] = ACTIONS(3002),
    [anon_sym_typename] = ACTIONS(3002),
    [anon_sym_template] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_friend] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_using] = ACTIONS(3002),
    [anon_sym_static_assert] = ACTIONS(3002),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5419),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(3037),
    [aux_sym_preproc_def_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3037),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_SEMI] = ACTIONS(3039),
    [anon_sym___extension__] = ACTIONS(3037),
    [anon_sym_typedef] = ACTIONS(3037),
    [anon_sym_virtual] = ACTIONS(3037),
    [anon_sym_extern] = ACTIONS(3037),
    [anon_sym___attribute__] = ACTIONS(3037),
    [anon_sym___attribute] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(3039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3039),
    [anon_sym___declspec] = ACTIONS(3037),
    [anon_sym___based] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3039),
    [anon_sym_signed] = ACTIONS(3037),
    [anon_sym_unsigned] = ACTIONS(3037),
    [anon_sym_long] = ACTIONS(3037),
    [anon_sym_short] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_static] = ACTIONS(3037),
    [anon_sym_register] = ACTIONS(3037),
    [anon_sym_inline] = ACTIONS(3037),
    [anon_sym___inline] = ACTIONS(3037),
    [anon_sym___inline__] = ACTIONS(3037),
    [anon_sym___forceinline] = ACTIONS(3037),
    [anon_sym_thread_local] = ACTIONS(3037),
    [anon_sym___thread] = ACTIONS(3037),
    [anon_sym_const] = ACTIONS(3037),
    [anon_sym_constexpr] = ACTIONS(3037),
    [anon_sym_volatile] = ACTIONS(3037),
    [anon_sym_restrict] = ACTIONS(3037),
    [anon_sym___restrict__] = ACTIONS(3037),
    [anon_sym__Atomic] = ACTIONS(3037),
    [anon_sym__Noreturn] = ACTIONS(3037),
    [anon_sym_noreturn] = ACTIONS(3037),
    [anon_sym__Nonnull] = ACTIONS(3037),
    [anon_sym_mutable] = ACTIONS(3037),
    [anon_sym_constinit] = ACTIONS(3037),
    [anon_sym_consteval] = ACTIONS(3037),
    [anon_sym_PROGMEM] = ACTIONS(3037),
    [anon_sym_alignas] = ACTIONS(3037),
    [anon_sym__Alignas] = ACTIONS(3037),
    [aux_sym_primitive_type_token1] = ACTIONS(3037),
    [anon_sym_byte] = ACTIONS(3037),
    [anon_sym_word] = ACTIONS(3037),
    [anon_sym_enum] = ACTIONS(3037),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_struct] = ACTIONS(3037),
    [anon_sym_union] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3037),
    [anon_sym_decltype] = ACTIONS(3037),
    [anon_sym_explicit] = ACTIONS(3037),
    [anon_sym_typename] = ACTIONS(3037),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(3037),
    [anon_sym_friend] = ACTIONS(3037),
    [anon_sym_public] = ACTIONS(3037),
    [anon_sym_private] = ACTIONS(3037),
    [anon_sym_protected] = ACTIONS(3037),
    [anon_sym_using] = ACTIONS(3037),
    [anon_sym_static_assert] = ACTIONS(3037),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_RBRACE] = ACTIONS(5437),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5402),
    [aux_sym_preproc_def_token1] = ACTIONS(5402),
    [aux_sym_preproc_if_token1] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5402),
    [sym_preproc_directive] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_AMP_AMP] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5404),
    [anon_sym___extension__] = ACTIONS(5402),
    [anon_sym_typedef] = ACTIONS(5402),
    [anon_sym_virtual] = ACTIONS(5402),
    [anon_sym_extern] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5402),
    [anon_sym___attribute] = ACTIONS(5402),
    [anon_sym_COLON_COLON] = ACTIONS(5404),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym___declspec] = ACTIONS(5402),
    [anon_sym___based] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5404),
    [anon_sym_signed] = ACTIONS(5402),
    [anon_sym_unsigned] = ACTIONS(5402),
    [anon_sym_long] = ACTIONS(5402),
    [anon_sym_short] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_static] = ACTIONS(5402),
    [anon_sym_register] = ACTIONS(5402),
    [anon_sym_inline] = ACTIONS(5402),
    [anon_sym___inline] = ACTIONS(5402),
    [anon_sym___inline__] = ACTIONS(5402),
    [anon_sym___forceinline] = ACTIONS(5402),
    [anon_sym_thread_local] = ACTIONS(5402),
    [anon_sym___thread] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5402),
    [anon_sym_constexpr] = ACTIONS(5402),
    [anon_sym_volatile] = ACTIONS(5402),
    [anon_sym_restrict] = ACTIONS(5402),
    [anon_sym___restrict__] = ACTIONS(5402),
    [anon_sym__Atomic] = ACTIONS(5402),
    [anon_sym__Noreturn] = ACTIONS(5402),
    [anon_sym_noreturn] = ACTIONS(5402),
    [anon_sym__Nonnull] = ACTIONS(5402),
    [anon_sym_mutable] = ACTIONS(5402),
    [anon_sym_constinit] = ACTIONS(5402),
    [anon_sym_consteval] = ACTIONS(5402),
    [anon_sym_PROGMEM] = ACTIONS(5402),
    [anon_sym_alignas] = ACTIONS(5402),
    [anon_sym__Alignas] = ACTIONS(5402),
    [aux_sym_primitive_type_token1] = ACTIONS(5402),
    [anon_sym_byte] = ACTIONS(5402),
    [anon_sym_word] = ACTIONS(5402),
    [anon_sym_enum] = ACTIONS(5402),
    [anon_sym_class] = ACTIONS(5402),
    [anon_sym_struct] = ACTIONS(5402),
    [anon_sym_union] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5402),
    [anon_sym_decltype] = ACTIONS(5402),
    [anon_sym_explicit] = ACTIONS(5402),
    [anon_sym_typename] = ACTIONS(5402),
    [anon_sym_template] = ACTIONS(5402),
    [anon_sym_operator] = ACTIONS(5402),
    [anon_sym_friend] = ACTIONS(5402),
    [anon_sym_public] = ACTIONS(5402),
    [anon_sym_private] = ACTIONS(5402),
    [anon_sym_protected] = ACTIONS(5402),
    [anon_sym_using] = ACTIONS(5402),
    [anon_sym_static_assert] = ACTIONS(5402),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(2781),
    [aux_sym_preproc_def_token1] = ACTIONS(2781),
    [aux_sym_preproc_if_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2781),
    [anon_sym_LPAREN2] = ACTIONS(2783),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2781),
    [anon_sym_typedef] = ACTIONS(2781),
    [anon_sym_virtual] = ACTIONS(2781),
    [anon_sym_extern] = ACTIONS(2781),
    [anon_sym___attribute__] = ACTIONS(2781),
    [anon_sym___attribute] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2783),
    [anon_sym___declspec] = ACTIONS(2781),
    [anon_sym___based] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2781),
    [anon_sym_unsigned] = ACTIONS(2781),
    [anon_sym_long] = ACTIONS(2781),
    [anon_sym_short] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_register] = ACTIONS(2781),
    [anon_sym_inline] = ACTIONS(2781),
    [anon_sym___inline] = ACTIONS(2781),
    [anon_sym___inline__] = ACTIONS(2781),
    [anon_sym___forceinline] = ACTIONS(2781),
    [anon_sym_thread_local] = ACTIONS(2781),
    [anon_sym___thread] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_constexpr] = ACTIONS(2781),
    [anon_sym_volatile] = ACTIONS(2781),
    [anon_sym_restrict] = ACTIONS(2781),
    [anon_sym___restrict__] = ACTIONS(2781),
    [anon_sym__Atomic] = ACTIONS(2781),
    [anon_sym__Noreturn] = ACTIONS(2781),
    [anon_sym_noreturn] = ACTIONS(2781),
    [anon_sym__Nonnull] = ACTIONS(2781),
    [anon_sym_mutable] = ACTIONS(2781),
    [anon_sym_constinit] = ACTIONS(2781),
    [anon_sym_consteval] = ACTIONS(2781),
    [anon_sym_PROGMEM] = ACTIONS(2781),
    [anon_sym_alignas] = ACTIONS(2781),
    [anon_sym__Alignas] = ACTIONS(2781),
    [aux_sym_primitive_type_token1] = ACTIONS(2781),
    [anon_sym_byte] = ACTIONS(2781),
    [anon_sym_word] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_struct] = ACTIONS(2781),
    [anon_sym_union] = ACTIONS(2781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2781),
    [anon_sym_decltype] = ACTIONS(2781),
    [anon_sym_explicit] = ACTIONS(2781),
    [anon_sym_typename] = ACTIONS(2781),
    [anon_sym_template] = ACTIONS(2781),
    [anon_sym_operator] = ACTIONS(2781),
    [anon_sym_friend] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_static_assert] = ACTIONS(2781),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym___attribute] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_PROGMEM] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [aux_sym_primitive_type_token1] = ACTIONS(3052),
    [anon_sym_byte] = ACTIONS(3052),
    [anon_sym_word] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(2777),
    [aux_sym_preproc_def_token1] = ACTIONS(2777),
    [aux_sym_preproc_if_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2777),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2777),
    [sym_preproc_directive] = ACTIONS(2777),
    [anon_sym_LPAREN2] = ACTIONS(2779),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2777),
    [anon_sym_typedef] = ACTIONS(2777),
    [anon_sym_virtual] = ACTIONS(2777),
    [anon_sym_extern] = ACTIONS(2777),
    [anon_sym___attribute__] = ACTIONS(2777),
    [anon_sym___attribute] = ACTIONS(2777),
    [anon_sym_COLON_COLON] = ACTIONS(2779),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2779),
    [anon_sym___declspec] = ACTIONS(2777),
    [anon_sym___based] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2777),
    [anon_sym_unsigned] = ACTIONS(2777),
    [anon_sym_long] = ACTIONS(2777),
    [anon_sym_short] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_register] = ACTIONS(2777),
    [anon_sym_inline] = ACTIONS(2777),
    [anon_sym___inline] = ACTIONS(2777),
    [anon_sym___inline__] = ACTIONS(2777),
    [anon_sym___forceinline] = ACTIONS(2777),
    [anon_sym_thread_local] = ACTIONS(2777),
    [anon_sym___thread] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_constexpr] = ACTIONS(2777),
    [anon_sym_volatile] = ACTIONS(2777),
    [anon_sym_restrict] = ACTIONS(2777),
    [anon_sym___restrict__] = ACTIONS(2777),
    [anon_sym__Atomic] = ACTIONS(2777),
    [anon_sym__Noreturn] = ACTIONS(2777),
    [anon_sym_noreturn] = ACTIONS(2777),
    [anon_sym__Nonnull] = ACTIONS(2777),
    [anon_sym_mutable] = ACTIONS(2777),
    [anon_sym_constinit] = ACTIONS(2777),
    [anon_sym_consteval] = ACTIONS(2777),
    [anon_sym_PROGMEM] = ACTIONS(2777),
    [anon_sym_alignas] = ACTIONS(2777),
    [anon_sym__Alignas] = ACTIONS(2777),
    [aux_sym_primitive_type_token1] = ACTIONS(2777),
    [anon_sym_byte] = ACTIONS(2777),
    [anon_sym_word] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_union] = ACTIONS(2777),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2777),
    [anon_sym_decltype] = ACTIONS(2777),
    [anon_sym_explicit] = ACTIONS(2777),
    [anon_sym_typename] = ACTIONS(2777),
    [anon_sym_template] = ACTIONS(2777),
    [anon_sym_operator] = ACTIONS(2777),
    [anon_sym_friend] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_static_assert] = ACTIONS(2777),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5398),
    [aux_sym_preproc_def_token1] = ACTIONS(5398),
    [aux_sym_preproc_if_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5398),
    [sym_preproc_directive] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_TILDE] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_AMP_AMP] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5400),
    [anon_sym___extension__] = ACTIONS(5398),
    [anon_sym_typedef] = ACTIONS(5398),
    [anon_sym_virtual] = ACTIONS(5398),
    [anon_sym_extern] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5398),
    [anon_sym___attribute] = ACTIONS(5398),
    [anon_sym_COLON_COLON] = ACTIONS(5400),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5400),
    [anon_sym___declspec] = ACTIONS(5398),
    [anon_sym___based] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5400),
    [anon_sym_signed] = ACTIONS(5398),
    [anon_sym_unsigned] = ACTIONS(5398),
    [anon_sym_long] = ACTIONS(5398),
    [anon_sym_short] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_static] = ACTIONS(5398),
    [anon_sym_register] = ACTIONS(5398),
    [anon_sym_inline] = ACTIONS(5398),
    [anon_sym___inline] = ACTIONS(5398),
    [anon_sym___inline__] = ACTIONS(5398),
    [anon_sym___forceinline] = ACTIONS(5398),
    [anon_sym_thread_local] = ACTIONS(5398),
    [anon_sym___thread] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5398),
    [anon_sym_constexpr] = ACTIONS(5398),
    [anon_sym_volatile] = ACTIONS(5398),
    [anon_sym_restrict] = ACTIONS(5398),
    [anon_sym___restrict__] = ACTIONS(5398),
    [anon_sym__Atomic] = ACTIONS(5398),
    [anon_sym__Noreturn] = ACTIONS(5398),
    [anon_sym_noreturn] = ACTIONS(5398),
    [anon_sym__Nonnull] = ACTIONS(5398),
    [anon_sym_mutable] = ACTIONS(5398),
    [anon_sym_constinit] = ACTIONS(5398),
    [anon_sym_consteval] = ACTIONS(5398),
    [anon_sym_PROGMEM] = ACTIONS(5398),
    [anon_sym_alignas] = ACTIONS(5398),
    [anon_sym__Alignas] = ACTIONS(5398),
    [aux_sym_primitive_type_token1] = ACTIONS(5398),
    [anon_sym_byte] = ACTIONS(5398),
    [anon_sym_word] = ACTIONS(5398),
    [anon_sym_enum] = ACTIONS(5398),
    [anon_sym_class] = ACTIONS(5398),
    [anon_sym_struct] = ACTIONS(5398),
    [anon_sym_union] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5398),
    [anon_sym_decltype] = ACTIONS(5398),
    [anon_sym_explicit] = ACTIONS(5398),
    [anon_sym_typename] = ACTIONS(5398),
    [anon_sym_template] = ACTIONS(5398),
    [anon_sym_operator] = ACTIONS(5398),
    [anon_sym_friend] = ACTIONS(5398),
    [anon_sym_public] = ACTIONS(5398),
    [anon_sym_private] = ACTIONS(5398),
    [anon_sym_protected] = ACTIONS(5398),
    [anon_sym_using] = ACTIONS(5398),
    [anon_sym_static_assert] = ACTIONS(5398),
  },
  [1970] = {
    [sym_template_argument_list] = STATE(1577),
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_STAR] = ACTIONS(4133),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(5689),
    [anon_sym_virtual] = ACTIONS(5689),
    [anon_sym_extern] = ACTIONS(5689),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___attribute] = ACTIONS(5689),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(5689),
    [anon_sym___based] = ACTIONS(5689),
    [anon_sym___cdecl] = ACTIONS(5689),
    [anon_sym___clrcall] = ACTIONS(5689),
    [anon_sym___stdcall] = ACTIONS(5689),
    [anon_sym___fastcall] = ACTIONS(5689),
    [anon_sym___thiscall] = ACTIONS(5689),
    [anon_sym___vectorcall] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5689),
    [anon_sym_unsigned] = ACTIONS(5689),
    [anon_sym_long] = ACTIONS(5689),
    [anon_sym_short] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_static] = ACTIONS(5689),
    [anon_sym_register] = ACTIONS(5689),
    [anon_sym_inline] = ACTIONS(5689),
    [anon_sym___inline] = ACTIONS(5689),
    [anon_sym___inline__] = ACTIONS(5689),
    [anon_sym___forceinline] = ACTIONS(5689),
    [anon_sym_thread_local] = ACTIONS(5689),
    [anon_sym___thread] = ACTIONS(5689),
    [anon_sym_const] = ACTIONS(5689),
    [anon_sym_constexpr] = ACTIONS(5689),
    [anon_sym_volatile] = ACTIONS(5689),
    [anon_sym_restrict] = ACTIONS(5689),
    [anon_sym___restrict__] = ACTIONS(5689),
    [anon_sym__Atomic] = ACTIONS(5689),
    [anon_sym__Noreturn] = ACTIONS(5689),
    [anon_sym_noreturn] = ACTIONS(5689),
    [anon_sym__Nonnull] = ACTIONS(5689),
    [anon_sym_mutable] = ACTIONS(5689),
    [anon_sym_constinit] = ACTIONS(5689),
    [anon_sym_consteval] = ACTIONS(5689),
    [anon_sym_PROGMEM] = ACTIONS(5689),
    [anon_sym_alignas] = ACTIONS(5689),
    [anon_sym__Alignas] = ACTIONS(5689),
    [aux_sym_primitive_type_token1] = ACTIONS(5689),
    [anon_sym_byte] = ACTIONS(5689),
    [anon_sym_word] = ACTIONS(5689),
    [anon_sym_enum] = ACTIONS(5689),
    [anon_sym_class] = ACTIONS(5689),
    [anon_sym_struct] = ACTIONS(5689),
    [anon_sym_union] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
    [anon_sym_explicit] = ACTIONS(5689),
    [anon_sym_typename] = ACTIONS(5689),
    [anon_sym_template] = ACTIONS(5689),
    [anon_sym_operator] = ACTIONS(5689),
    [anon_sym_friend] = ACTIONS(5689),
    [anon_sym_using] = ACTIONS(5689),
    [anon_sym_concept] = ACTIONS(5689),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5394),
    [aux_sym_preproc_def_token1] = ACTIONS(5394),
    [aux_sym_preproc_if_token1] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5394),
    [sym_preproc_directive] = ACTIONS(5394),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_TILDE] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5396),
    [anon_sym___extension__] = ACTIONS(5394),
    [anon_sym_typedef] = ACTIONS(5394),
    [anon_sym_virtual] = ACTIONS(5394),
    [anon_sym_extern] = ACTIONS(5394),
    [anon_sym___attribute__] = ACTIONS(5394),
    [anon_sym___attribute] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(5396),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym___declspec] = ACTIONS(5394),
    [anon_sym___based] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5396),
    [anon_sym_signed] = ACTIONS(5394),
    [anon_sym_unsigned] = ACTIONS(5394),
    [anon_sym_long] = ACTIONS(5394),
    [anon_sym_short] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_static] = ACTIONS(5394),
    [anon_sym_register] = ACTIONS(5394),
    [anon_sym_inline] = ACTIONS(5394),
    [anon_sym___inline] = ACTIONS(5394),
    [anon_sym___inline__] = ACTIONS(5394),
    [anon_sym___forceinline] = ACTIONS(5394),
    [anon_sym_thread_local] = ACTIONS(5394),
    [anon_sym___thread] = ACTIONS(5394),
    [anon_sym_const] = ACTIONS(5394),
    [anon_sym_constexpr] = ACTIONS(5394),
    [anon_sym_volatile] = ACTIONS(5394),
    [anon_sym_restrict] = ACTIONS(5394),
    [anon_sym___restrict__] = ACTIONS(5394),
    [anon_sym__Atomic] = ACTIONS(5394),
    [anon_sym__Noreturn] = ACTIONS(5394),
    [anon_sym_noreturn] = ACTIONS(5394),
    [anon_sym__Nonnull] = ACTIONS(5394),
    [anon_sym_mutable] = ACTIONS(5394),
    [anon_sym_constinit] = ACTIONS(5394),
    [anon_sym_consteval] = ACTIONS(5394),
    [anon_sym_PROGMEM] = ACTIONS(5394),
    [anon_sym_alignas] = ACTIONS(5394),
    [anon_sym__Alignas] = ACTIONS(5394),
    [aux_sym_primitive_type_token1] = ACTIONS(5394),
    [anon_sym_byte] = ACTIONS(5394),
    [anon_sym_word] = ACTIONS(5394),
    [anon_sym_enum] = ACTIONS(5394),
    [anon_sym_class] = ACTIONS(5394),
    [anon_sym_struct] = ACTIONS(5394),
    [anon_sym_union] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5394),
    [anon_sym_decltype] = ACTIONS(5394),
    [anon_sym_explicit] = ACTIONS(5394),
    [anon_sym_typename] = ACTIONS(5394),
    [anon_sym_template] = ACTIONS(5394),
    [anon_sym_operator] = ACTIONS(5394),
    [anon_sym_friend] = ACTIONS(5394),
    [anon_sym_public] = ACTIONS(5394),
    [anon_sym_private] = ACTIONS(5394),
    [anon_sym_protected] = ACTIONS(5394),
    [anon_sym_using] = ACTIONS(5394),
    [anon_sym_static_assert] = ACTIONS(5394),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5377),
    [aux_sym_preproc_def_token1] = ACTIONS(5377),
    [aux_sym_preproc_if_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5377),
    [sym_preproc_directive] = ACTIONS(5377),
    [anon_sym_LPAREN2] = ACTIONS(5379),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_STAR] = ACTIONS(5379),
    [anon_sym_AMP_AMP] = ACTIONS(5379),
    [anon_sym_AMP] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym___extension__] = ACTIONS(5377),
    [anon_sym_typedef] = ACTIONS(5377),
    [anon_sym_virtual] = ACTIONS(5377),
    [anon_sym_extern] = ACTIONS(5377),
    [anon_sym___attribute__] = ACTIONS(5377),
    [anon_sym___attribute] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(5379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5379),
    [anon_sym___declspec] = ACTIONS(5377),
    [anon_sym___based] = ACTIONS(5377),
    [anon_sym_RBRACE] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym_static] = ACTIONS(5377),
    [anon_sym_register] = ACTIONS(5377),
    [anon_sym_inline] = ACTIONS(5377),
    [anon_sym___inline] = ACTIONS(5377),
    [anon_sym___inline__] = ACTIONS(5377),
    [anon_sym___forceinline] = ACTIONS(5377),
    [anon_sym_thread_local] = ACTIONS(5377),
    [anon_sym___thread] = ACTIONS(5377),
    [anon_sym_const] = ACTIONS(5377),
    [anon_sym_constexpr] = ACTIONS(5377),
    [anon_sym_volatile] = ACTIONS(5377),
    [anon_sym_restrict] = ACTIONS(5377),
    [anon_sym___restrict__] = ACTIONS(5377),
    [anon_sym__Atomic] = ACTIONS(5377),
    [anon_sym__Noreturn] = ACTIONS(5377),
    [anon_sym_noreturn] = ACTIONS(5377),
    [anon_sym__Nonnull] = ACTIONS(5377),
    [anon_sym_mutable] = ACTIONS(5377),
    [anon_sym_constinit] = ACTIONS(5377),
    [anon_sym_consteval] = ACTIONS(5377),
    [anon_sym_PROGMEM] = ACTIONS(5377),
    [anon_sym_alignas] = ACTIONS(5377),
    [anon_sym__Alignas] = ACTIONS(5377),
    [aux_sym_primitive_type_token1] = ACTIONS(5377),
    [anon_sym_byte] = ACTIONS(5377),
    [anon_sym_word] = ACTIONS(5377),
    [anon_sym_enum] = ACTIONS(5377),
    [anon_sym_class] = ACTIONS(5377),
    [anon_sym_struct] = ACTIONS(5377),
    [anon_sym_union] = ACTIONS(5377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5377),
    [anon_sym_decltype] = ACTIONS(5377),
    [anon_sym_explicit] = ACTIONS(5377),
    [anon_sym_typename] = ACTIONS(5377),
    [anon_sym_template] = ACTIONS(5377),
    [anon_sym_operator] = ACTIONS(5377),
    [anon_sym_friend] = ACTIONS(5377),
    [anon_sym_public] = ACTIONS(5377),
    [anon_sym_private] = ACTIONS(5377),
    [anon_sym_protected] = ACTIONS(5377),
    [anon_sym_using] = ACTIONS(5377),
    [anon_sym_static_assert] = ACTIONS(5377),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [1975] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(3809),
    [sym__declarator] = STATE(6232),
    [sym__abstract_declarator] = STATE(6499),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2511),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(2918),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2511),
    [aux_sym_pointer_declarator_repeat1] = STATE(3809),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5699),
    [anon_sym_AMP] = ACTIONS(5701),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym___attribute] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_EQ] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym___attribute] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym__Nonnull] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [anon_sym_PROGMEM] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym__Alignas] = ACTIONS(3134),
    [aux_sym_primitive_type_token1] = ACTIONS(3134),
    [anon_sym_byte] = ACTIONS(3134),
    [anon_sym_word] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_friend] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token2] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_friend] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5373),
    [aux_sym_preproc_def_token1] = ACTIONS(5373),
    [aux_sym_preproc_if_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5373),
    [sym_preproc_directive] = ACTIONS(5373),
    [anon_sym_LPAREN2] = ACTIONS(5375),
    [anon_sym_TILDE] = ACTIONS(5375),
    [anon_sym_STAR] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5375),
    [anon_sym_AMP] = ACTIONS(5373),
    [anon_sym_SEMI] = ACTIONS(5375),
    [anon_sym___extension__] = ACTIONS(5373),
    [anon_sym_typedef] = ACTIONS(5373),
    [anon_sym_virtual] = ACTIONS(5373),
    [anon_sym_extern] = ACTIONS(5373),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym___attribute] = ACTIONS(5373),
    [anon_sym_COLON_COLON] = ACTIONS(5375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5375),
    [anon_sym___declspec] = ACTIONS(5373),
    [anon_sym___based] = ACTIONS(5373),
    [anon_sym_RBRACE] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5373),
    [anon_sym_unsigned] = ACTIONS(5373),
    [anon_sym_long] = ACTIONS(5373),
    [anon_sym_short] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5373),
    [anon_sym_static] = ACTIONS(5373),
    [anon_sym_register] = ACTIONS(5373),
    [anon_sym_inline] = ACTIONS(5373),
    [anon_sym___inline] = ACTIONS(5373),
    [anon_sym___inline__] = ACTIONS(5373),
    [anon_sym___forceinline] = ACTIONS(5373),
    [anon_sym_thread_local] = ACTIONS(5373),
    [anon_sym___thread] = ACTIONS(5373),
    [anon_sym_const] = ACTIONS(5373),
    [anon_sym_constexpr] = ACTIONS(5373),
    [anon_sym_volatile] = ACTIONS(5373),
    [anon_sym_restrict] = ACTIONS(5373),
    [anon_sym___restrict__] = ACTIONS(5373),
    [anon_sym__Atomic] = ACTIONS(5373),
    [anon_sym__Noreturn] = ACTIONS(5373),
    [anon_sym_noreturn] = ACTIONS(5373),
    [anon_sym__Nonnull] = ACTIONS(5373),
    [anon_sym_mutable] = ACTIONS(5373),
    [anon_sym_constinit] = ACTIONS(5373),
    [anon_sym_consteval] = ACTIONS(5373),
    [anon_sym_PROGMEM] = ACTIONS(5373),
    [anon_sym_alignas] = ACTIONS(5373),
    [anon_sym__Alignas] = ACTIONS(5373),
    [aux_sym_primitive_type_token1] = ACTIONS(5373),
    [anon_sym_byte] = ACTIONS(5373),
    [anon_sym_word] = ACTIONS(5373),
    [anon_sym_enum] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_struct] = ACTIONS(5373),
    [anon_sym_union] = ACTIONS(5373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5373),
    [anon_sym_decltype] = ACTIONS(5373),
    [anon_sym_explicit] = ACTIONS(5373),
    [anon_sym_typename] = ACTIONS(5373),
    [anon_sym_template] = ACTIONS(5373),
    [anon_sym_operator] = ACTIONS(5373),
    [anon_sym_friend] = ACTIONS(5373),
    [anon_sym_public] = ACTIONS(5373),
    [anon_sym_private] = ACTIONS(5373),
    [anon_sym_protected] = ACTIONS(5373),
    [anon_sym_using] = ACTIONS(5373),
    [anon_sym_static_assert] = ACTIONS(5373),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym___attribute] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym__Nonnull] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [anon_sym_PROGMEM] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym__Alignas] = ACTIONS(3154),
    [aux_sym_primitive_type_token1] = ACTIONS(3154),
    [anon_sym_byte] = ACTIONS(3154),
    [anon_sym_word] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_friend] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5454),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym___attribute] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym__Nonnull] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [anon_sym_PROGMEM] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym__Alignas] = ACTIONS(5452),
    [aux_sym_primitive_type_token1] = ACTIONS(5452),
    [anon_sym_byte] = ACTIONS(5452),
    [anon_sym_word] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_friend] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_friend] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token2] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [aux_sym_preproc_if_token2] = ACTIONS(5441),
    [aux_sym_preproc_else_token1] = ACTIONS(5441),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_final] = ACTIONS(5439),
    [anon_sym_override] = ACTIONS(5439),
    [anon_sym_requires] = ACTIONS(5439),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(2998),
    [aux_sym_preproc_def_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token1] = ACTIONS(2998),
    [aux_sym_preproc_if_token2] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2998),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2998),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3000),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym___extension__] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2998),
    [anon_sym_virtual] = ACTIONS(2998),
    [anon_sym_extern] = ACTIONS(2998),
    [anon_sym___attribute__] = ACTIONS(2998),
    [anon_sym___attribute] = ACTIONS(2998),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2998),
    [anon_sym___based] = ACTIONS(2998),
    [anon_sym_signed] = ACTIONS(2998),
    [anon_sym_unsigned] = ACTIONS(2998),
    [anon_sym_long] = ACTIONS(2998),
    [anon_sym_short] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2998),
    [anon_sym_register] = ACTIONS(2998),
    [anon_sym_inline] = ACTIONS(2998),
    [anon_sym___inline] = ACTIONS(2998),
    [anon_sym___inline__] = ACTIONS(2998),
    [anon_sym___forceinline] = ACTIONS(2998),
    [anon_sym_thread_local] = ACTIONS(2998),
    [anon_sym___thread] = ACTIONS(2998),
    [anon_sym_const] = ACTIONS(2998),
    [anon_sym_constexpr] = ACTIONS(2998),
    [anon_sym_volatile] = ACTIONS(2998),
    [anon_sym_restrict] = ACTIONS(2998),
    [anon_sym___restrict__] = ACTIONS(2998),
    [anon_sym__Atomic] = ACTIONS(2998),
    [anon_sym__Noreturn] = ACTIONS(2998),
    [anon_sym_noreturn] = ACTIONS(2998),
    [anon_sym__Nonnull] = ACTIONS(2998),
    [anon_sym_mutable] = ACTIONS(2998),
    [anon_sym_constinit] = ACTIONS(2998),
    [anon_sym_consteval] = ACTIONS(2998),
    [anon_sym_PROGMEM] = ACTIONS(2998),
    [anon_sym_alignas] = ACTIONS(2998),
    [anon_sym__Alignas] = ACTIONS(2998),
    [aux_sym_primitive_type_token1] = ACTIONS(2998),
    [anon_sym_byte] = ACTIONS(2998),
    [anon_sym_word] = ACTIONS(2998),
    [anon_sym_enum] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_struct] = ACTIONS(2998),
    [anon_sym_union] = ACTIONS(2998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2998),
    [anon_sym_decltype] = ACTIONS(2998),
    [anon_sym_explicit] = ACTIONS(2998),
    [anon_sym_typename] = ACTIONS(2998),
    [anon_sym_template] = ACTIONS(2998),
    [anon_sym_operator] = ACTIONS(2998),
    [anon_sym_friend] = ACTIONS(2998),
    [anon_sym_public] = ACTIONS(2998),
    [anon_sym_private] = ACTIONS(2998),
    [anon_sym_protected] = ACTIONS(2998),
    [anon_sym_using] = ACTIONS(2998),
    [anon_sym_static_assert] = ACTIONS(2998),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(3014),
    [aux_sym_preproc_def_token1] = ACTIONS(3014),
    [aux_sym_preproc_if_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3014),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3014),
    [sym_preproc_directive] = ACTIONS(3014),
    [anon_sym_LPAREN2] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3014),
    [anon_sym_typedef] = ACTIONS(3014),
    [anon_sym_virtual] = ACTIONS(3014),
    [anon_sym_extern] = ACTIONS(3014),
    [anon_sym___attribute__] = ACTIONS(3014),
    [anon_sym___attribute] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3016),
    [anon_sym___declspec] = ACTIONS(3014),
    [anon_sym___based] = ACTIONS(3014),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_signed] = ACTIONS(3014),
    [anon_sym_unsigned] = ACTIONS(3014),
    [anon_sym_long] = ACTIONS(3014),
    [anon_sym_short] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3014),
    [anon_sym_static] = ACTIONS(3014),
    [anon_sym_register] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym___inline] = ACTIONS(3014),
    [anon_sym___inline__] = ACTIONS(3014),
    [anon_sym___forceinline] = ACTIONS(3014),
    [anon_sym_thread_local] = ACTIONS(3014),
    [anon_sym___thread] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_constexpr] = ACTIONS(3014),
    [anon_sym_volatile] = ACTIONS(3014),
    [anon_sym_restrict] = ACTIONS(3014),
    [anon_sym___restrict__] = ACTIONS(3014),
    [anon_sym__Atomic] = ACTIONS(3014),
    [anon_sym__Noreturn] = ACTIONS(3014),
    [anon_sym_noreturn] = ACTIONS(3014),
    [anon_sym__Nonnull] = ACTIONS(3014),
    [anon_sym_mutable] = ACTIONS(3014),
    [anon_sym_constinit] = ACTIONS(3014),
    [anon_sym_consteval] = ACTIONS(3014),
    [anon_sym_PROGMEM] = ACTIONS(3014),
    [anon_sym_alignas] = ACTIONS(3014),
    [anon_sym__Alignas] = ACTIONS(3014),
    [aux_sym_primitive_type_token1] = ACTIONS(3014),
    [anon_sym_byte] = ACTIONS(3014),
    [anon_sym_word] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_struct] = ACTIONS(3014),
    [anon_sym_union] = ACTIONS(3014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3014),
    [anon_sym_decltype] = ACTIONS(3014),
    [anon_sym_explicit] = ACTIONS(3014),
    [anon_sym_typename] = ACTIONS(3014),
    [anon_sym_template] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_friend] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_using] = ACTIONS(3014),
    [anon_sym_static_assert] = ACTIONS(3014),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5458),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_PROGMEM] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [aux_sym_primitive_type_token1] = ACTIONS(5456),
    [anon_sym_byte] = ACTIONS(5456),
    [anon_sym_word] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5317),
    [aux_sym_preproc_def_token1] = ACTIONS(5317),
    [aux_sym_preproc_if_token1] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5317),
    [sym_preproc_directive] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5319),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_AMP_AMP] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_SEMI] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5317),
    [anon_sym_typedef] = ACTIONS(5317),
    [anon_sym_virtual] = ACTIONS(5317),
    [anon_sym_extern] = ACTIONS(5317),
    [anon_sym___attribute__] = ACTIONS(5317),
    [anon_sym___attribute] = ACTIONS(5317),
    [anon_sym_COLON_COLON] = ACTIONS(5319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5319),
    [anon_sym___declspec] = ACTIONS(5317),
    [anon_sym___based] = ACTIONS(5317),
    [anon_sym_RBRACE] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5317),
    [anon_sym_unsigned] = ACTIONS(5317),
    [anon_sym_long] = ACTIONS(5317),
    [anon_sym_short] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_static] = ACTIONS(5317),
    [anon_sym_register] = ACTIONS(5317),
    [anon_sym_inline] = ACTIONS(5317),
    [anon_sym___inline] = ACTIONS(5317),
    [anon_sym___inline__] = ACTIONS(5317),
    [anon_sym___forceinline] = ACTIONS(5317),
    [anon_sym_thread_local] = ACTIONS(5317),
    [anon_sym___thread] = ACTIONS(5317),
    [anon_sym_const] = ACTIONS(5317),
    [anon_sym_constexpr] = ACTIONS(5317),
    [anon_sym_volatile] = ACTIONS(5317),
    [anon_sym_restrict] = ACTIONS(5317),
    [anon_sym___restrict__] = ACTIONS(5317),
    [anon_sym__Atomic] = ACTIONS(5317),
    [anon_sym__Noreturn] = ACTIONS(5317),
    [anon_sym_noreturn] = ACTIONS(5317),
    [anon_sym__Nonnull] = ACTIONS(5317),
    [anon_sym_mutable] = ACTIONS(5317),
    [anon_sym_constinit] = ACTIONS(5317),
    [anon_sym_consteval] = ACTIONS(5317),
    [anon_sym_PROGMEM] = ACTIONS(5317),
    [anon_sym_alignas] = ACTIONS(5317),
    [anon_sym__Alignas] = ACTIONS(5317),
    [aux_sym_primitive_type_token1] = ACTIONS(5317),
    [anon_sym_byte] = ACTIONS(5317),
    [anon_sym_word] = ACTIONS(5317),
    [anon_sym_enum] = ACTIONS(5317),
    [anon_sym_class] = ACTIONS(5317),
    [anon_sym_struct] = ACTIONS(5317),
    [anon_sym_union] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5317),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_explicit] = ACTIONS(5317),
    [anon_sym_typename] = ACTIONS(5317),
    [anon_sym_template] = ACTIONS(5317),
    [anon_sym_operator] = ACTIONS(5317),
    [anon_sym_friend] = ACTIONS(5317),
    [anon_sym_public] = ACTIONS(5317),
    [anon_sym_private] = ACTIONS(5317),
    [anon_sym_protected] = ACTIONS(5317),
    [anon_sym_using] = ACTIONS(5317),
    [anon_sym_static_assert] = ACTIONS(5317),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(3106),
    [aux_sym_preproc_def_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token1] = ACTIONS(3106),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3106),
    [sym_preproc_directive] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3108),
    [anon_sym_TILDE] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_typedef] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym___attribute] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3108),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym___based] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym__Nonnull] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [anon_sym_PROGMEM] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym__Alignas] = ACTIONS(3106),
    [aux_sym_primitive_type_token1] = ACTIONS(3106),
    [anon_sym_byte] = ACTIONS(3106),
    [anon_sym_word] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_explicit] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_friend] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_using] = ACTIONS(3106),
    [anon_sym_static_assert] = ACTIONS(3106),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(5313),
    [aux_sym_preproc_def_token1] = ACTIONS(5313),
    [aux_sym_preproc_if_token1] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5313),
    [sym_preproc_directive] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5315),
    [anon_sym_TILDE] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym_typedef] = ACTIONS(5313),
    [anon_sym_virtual] = ACTIONS(5313),
    [anon_sym_extern] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym___attribute] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(5315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5315),
    [anon_sym___declspec] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5313),
    [anon_sym_RBRACE] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5313),
    [anon_sym_unsigned] = ACTIONS(5313),
    [anon_sym_long] = ACTIONS(5313),
    [anon_sym_short] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_static] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5313),
    [anon_sym_inline] = ACTIONS(5313),
    [anon_sym___inline] = ACTIONS(5313),
    [anon_sym___inline__] = ACTIONS(5313),
    [anon_sym___forceinline] = ACTIONS(5313),
    [anon_sym_thread_local] = ACTIONS(5313),
    [anon_sym___thread] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5313),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym__Nonnull] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [anon_sym_PROGMEM] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym__Alignas] = ACTIONS(5313),
    [aux_sym_primitive_type_token1] = ACTIONS(5313),
    [anon_sym_byte] = ACTIONS(5313),
    [anon_sym_word] = ACTIONS(5313),
    [anon_sym_enum] = ACTIONS(5313),
    [anon_sym_class] = ACTIONS(5313),
    [anon_sym_struct] = ACTIONS(5313),
    [anon_sym_union] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_explicit] = ACTIONS(5313),
    [anon_sym_typename] = ACTIONS(5313),
    [anon_sym_template] = ACTIONS(5313),
    [anon_sym_operator] = ACTIONS(5313),
    [anon_sym_friend] = ACTIONS(5313),
    [anon_sym_public] = ACTIONS(5313),
    [anon_sym_private] = ACTIONS(5313),
    [anon_sym_protected] = ACTIONS(5313),
    [anon_sym_using] = ACTIONS(5313),
    [anon_sym_static_assert] = ACTIONS(5313),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_RBRACE] = ACTIONS(5297),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_friend] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym_RBRACE] = ACTIONS(3031),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_friend] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_protected] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token2] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_virtual] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym___attribute] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym__Nonnull] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_PROGMEM] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [aux_sym_primitive_type_token1] = ACTIONS(2801),
    [anon_sym_byte] = ACTIONS(2801),
    [anon_sym_word] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5295),
    [aux_sym_preproc_def_token1] = ACTIONS(5295),
    [aux_sym_preproc_if_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5295),
    [sym_preproc_directive] = ACTIONS(5295),
    [anon_sym_LPAREN2] = ACTIONS(5297),
    [anon_sym_TILDE] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_AMP_AMP] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5295),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym___extension__] = ACTIONS(5295),
    [anon_sym_typedef] = ACTIONS(5295),
    [anon_sym_virtual] = ACTIONS(5295),
    [anon_sym_extern] = ACTIONS(5295),
    [anon_sym___attribute__] = ACTIONS(5295),
    [anon_sym___attribute] = ACTIONS(5295),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5297),
    [anon_sym___declspec] = ACTIONS(5295),
    [anon_sym___based] = ACTIONS(5295),
    [anon_sym_RBRACE] = ACTIONS(5297),
    [anon_sym_signed] = ACTIONS(5295),
    [anon_sym_unsigned] = ACTIONS(5295),
    [anon_sym_long] = ACTIONS(5295),
    [anon_sym_short] = ACTIONS(5295),
    [anon_sym_LBRACK] = ACTIONS(5295),
    [anon_sym_static] = ACTIONS(5295),
    [anon_sym_register] = ACTIONS(5295),
    [anon_sym_inline] = ACTIONS(5295),
    [anon_sym___inline] = ACTIONS(5295),
    [anon_sym___inline__] = ACTIONS(5295),
    [anon_sym___forceinline] = ACTIONS(5295),
    [anon_sym_thread_local] = ACTIONS(5295),
    [anon_sym___thread] = ACTIONS(5295),
    [anon_sym_const] = ACTIONS(5295),
    [anon_sym_constexpr] = ACTIONS(5295),
    [anon_sym_volatile] = ACTIONS(5295),
    [anon_sym_restrict] = ACTIONS(5295),
    [anon_sym___restrict__] = ACTIONS(5295),
    [anon_sym__Atomic] = ACTIONS(5295),
    [anon_sym__Noreturn] = ACTIONS(5295),
    [anon_sym_noreturn] = ACTIONS(5295),
    [anon_sym__Nonnull] = ACTIONS(5295),
    [anon_sym_mutable] = ACTIONS(5295),
    [anon_sym_constinit] = ACTIONS(5295),
    [anon_sym_consteval] = ACTIONS(5295),
    [anon_sym_PROGMEM] = ACTIONS(5295),
    [anon_sym_alignas] = ACTIONS(5295),
    [anon_sym__Alignas] = ACTIONS(5295),
    [aux_sym_primitive_type_token1] = ACTIONS(5295),
    [anon_sym_byte] = ACTIONS(5295),
    [anon_sym_word] = ACTIONS(5295),
    [anon_sym_enum] = ACTIONS(5295),
    [anon_sym_class] = ACTIONS(5295),
    [anon_sym_struct] = ACTIONS(5295),
    [anon_sym_union] = ACTIONS(5295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5295),
    [anon_sym_decltype] = ACTIONS(5295),
    [anon_sym_explicit] = ACTIONS(5295),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5295),
    [anon_sym_operator] = ACTIONS(5295),
    [anon_sym_friend] = ACTIONS(5295),
    [anon_sym_public] = ACTIONS(5295),
    [anon_sym_private] = ACTIONS(5295),
    [anon_sym_protected] = ACTIONS(5295),
    [anon_sym_using] = ACTIONS(5295),
    [anon_sym_static_assert] = ACTIONS(5295),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(3094),
    [aux_sym_preproc_def_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token1] = ACTIONS(3094),
    [aux_sym_preproc_if_token2] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3094),
    [sym_preproc_directive] = ACTIONS(3094),
    [anon_sym_LPAREN2] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3094),
    [anon_sym_typedef] = ACTIONS(3094),
    [anon_sym_virtual] = ACTIONS(3094),
    [anon_sym_extern] = ACTIONS(3094),
    [anon_sym___attribute__] = ACTIONS(3094),
    [anon_sym___attribute] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3096),
    [anon_sym___declspec] = ACTIONS(3094),
    [anon_sym___based] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3094),
    [anon_sym_unsigned] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_LBRACK] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_register] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym___inline] = ACTIONS(3094),
    [anon_sym___inline__] = ACTIONS(3094),
    [anon_sym___forceinline] = ACTIONS(3094),
    [anon_sym_thread_local] = ACTIONS(3094),
    [anon_sym___thread] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_constexpr] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_restrict] = ACTIONS(3094),
    [anon_sym___restrict__] = ACTIONS(3094),
    [anon_sym__Atomic] = ACTIONS(3094),
    [anon_sym__Noreturn] = ACTIONS(3094),
    [anon_sym_noreturn] = ACTIONS(3094),
    [anon_sym__Nonnull] = ACTIONS(3094),
    [anon_sym_mutable] = ACTIONS(3094),
    [anon_sym_constinit] = ACTIONS(3094),
    [anon_sym_consteval] = ACTIONS(3094),
    [anon_sym_PROGMEM] = ACTIONS(3094),
    [anon_sym_alignas] = ACTIONS(3094),
    [anon_sym__Alignas] = ACTIONS(3094),
    [aux_sym_primitive_type_token1] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_word] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_struct] = ACTIONS(3094),
    [anon_sym_union] = ACTIONS(3094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3094),
    [anon_sym_decltype] = ACTIONS(3094),
    [anon_sym_explicit] = ACTIONS(3094),
    [anon_sym_typename] = ACTIONS(3094),
    [anon_sym_template] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_friend] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_using] = ACTIONS(3094),
    [anon_sym_static_assert] = ACTIONS(3094),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(3098),
    [aux_sym_preproc_def_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token1] = ACTIONS(3098),
    [aux_sym_preproc_if_token2] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3098),
    [sym_preproc_directive] = ACTIONS(3098),
    [anon_sym_LPAREN2] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3098),
    [anon_sym_typedef] = ACTIONS(3098),
    [anon_sym_virtual] = ACTIONS(3098),
    [anon_sym_extern] = ACTIONS(3098),
    [anon_sym___attribute__] = ACTIONS(3098),
    [anon_sym___attribute] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3100),
    [anon_sym___declspec] = ACTIONS(3098),
    [anon_sym___based] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3098),
    [anon_sym_unsigned] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_LBRACK] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_register] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym___inline] = ACTIONS(3098),
    [anon_sym___inline__] = ACTIONS(3098),
    [anon_sym___forceinline] = ACTIONS(3098),
    [anon_sym_thread_local] = ACTIONS(3098),
    [anon_sym___thread] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_constexpr] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_restrict] = ACTIONS(3098),
    [anon_sym___restrict__] = ACTIONS(3098),
    [anon_sym__Atomic] = ACTIONS(3098),
    [anon_sym__Noreturn] = ACTIONS(3098),
    [anon_sym_noreturn] = ACTIONS(3098),
    [anon_sym__Nonnull] = ACTIONS(3098),
    [anon_sym_mutable] = ACTIONS(3098),
    [anon_sym_constinit] = ACTIONS(3098),
    [anon_sym_consteval] = ACTIONS(3098),
    [anon_sym_PROGMEM] = ACTIONS(3098),
    [anon_sym_alignas] = ACTIONS(3098),
    [anon_sym__Alignas] = ACTIONS(3098),
    [aux_sym_primitive_type_token1] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_word] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_struct] = ACTIONS(3098),
    [anon_sym_union] = ACTIONS(3098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3098),
    [anon_sym_decltype] = ACTIONS(3098),
    [anon_sym_explicit] = ACTIONS(3098),
    [anon_sym_typename] = ACTIONS(3098),
    [anon_sym_template] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_friend] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_using] = ACTIONS(3098),
    [anon_sym_static_assert] = ACTIONS(3098),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(3006),
    [aux_sym_preproc_def_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_if_token2] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3006),
    [sym_preproc_directive] = ACTIONS(3006),
    [anon_sym_LPAREN2] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3008),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym___extension__] = ACTIONS(3006),
    [anon_sym_typedef] = ACTIONS(3006),
    [anon_sym_virtual] = ACTIONS(3006),
    [anon_sym_extern] = ACTIONS(3006),
    [anon_sym___attribute__] = ACTIONS(3006),
    [anon_sym___attribute] = ACTIONS(3006),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3008),
    [anon_sym___declspec] = ACTIONS(3006),
    [anon_sym___based] = ACTIONS(3006),
    [anon_sym_signed] = ACTIONS(3006),
    [anon_sym_unsigned] = ACTIONS(3006),
    [anon_sym_long] = ACTIONS(3006),
    [anon_sym_short] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3006),
    [anon_sym_register] = ACTIONS(3006),
    [anon_sym_inline] = ACTIONS(3006),
    [anon_sym___inline] = ACTIONS(3006),
    [anon_sym___inline__] = ACTIONS(3006),
    [anon_sym___forceinline] = ACTIONS(3006),
    [anon_sym_thread_local] = ACTIONS(3006),
    [anon_sym___thread] = ACTIONS(3006),
    [anon_sym_const] = ACTIONS(3006),
    [anon_sym_constexpr] = ACTIONS(3006),
    [anon_sym_volatile] = ACTIONS(3006),
    [anon_sym_restrict] = ACTIONS(3006),
    [anon_sym___restrict__] = ACTIONS(3006),
    [anon_sym__Atomic] = ACTIONS(3006),
    [anon_sym__Noreturn] = ACTIONS(3006),
    [anon_sym_noreturn] = ACTIONS(3006),
    [anon_sym__Nonnull] = ACTIONS(3006),
    [anon_sym_mutable] = ACTIONS(3006),
    [anon_sym_constinit] = ACTIONS(3006),
    [anon_sym_consteval] = ACTIONS(3006),
    [anon_sym_PROGMEM] = ACTIONS(3006),
    [anon_sym_alignas] = ACTIONS(3006),
    [anon_sym__Alignas] = ACTIONS(3006),
    [aux_sym_primitive_type_token1] = ACTIONS(3006),
    [anon_sym_byte] = ACTIONS(3006),
    [anon_sym_word] = ACTIONS(3006),
    [anon_sym_enum] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_struct] = ACTIONS(3006),
    [anon_sym_union] = ACTIONS(3006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3006),
    [anon_sym_decltype] = ACTIONS(3006),
    [anon_sym_explicit] = ACTIONS(3006),
    [anon_sym_typename] = ACTIONS(3006),
    [anon_sym_template] = ACTIONS(3006),
    [anon_sym_operator] = ACTIONS(3006),
    [anon_sym_friend] = ACTIONS(3006),
    [anon_sym_public] = ACTIONS(3006),
    [anon_sym_private] = ACTIONS(3006),
    [anon_sym_protected] = ACTIONS(3006),
    [anon_sym_using] = ACTIONS(3006),
    [anon_sym_static_assert] = ACTIONS(3006),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym___attribute] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym__Nonnull] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [anon_sym_PROGMEM] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym__Alignas] = ACTIONS(2815),
    [aux_sym_primitive_type_token1] = ACTIONS(2815),
    [anon_sym_byte] = ACTIONS(2815),
    [anon_sym_word] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5417),
    [aux_sym_preproc_def_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token1] = ACTIONS(5417),
    [aux_sym_preproc_if_token2] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5417),
    [sym_preproc_directive] = ACTIONS(5417),
    [anon_sym_LPAREN2] = ACTIONS(5419),
    [anon_sym_TILDE] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5417),
    [anon_sym_typedef] = ACTIONS(5417),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_extern] = ACTIONS(5417),
    [anon_sym___attribute__] = ACTIONS(5417),
    [anon_sym___attribute] = ACTIONS(5417),
    [anon_sym_COLON_COLON] = ACTIONS(5419),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5419),
    [anon_sym___declspec] = ACTIONS(5417),
    [anon_sym___based] = ACTIONS(5417),
    [anon_sym_signed] = ACTIONS(5417),
    [anon_sym_unsigned] = ACTIONS(5417),
    [anon_sym_long] = ACTIONS(5417),
    [anon_sym_short] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_static] = ACTIONS(5417),
    [anon_sym_register] = ACTIONS(5417),
    [anon_sym_inline] = ACTIONS(5417),
    [anon_sym___inline] = ACTIONS(5417),
    [anon_sym___inline__] = ACTIONS(5417),
    [anon_sym___forceinline] = ACTIONS(5417),
    [anon_sym_thread_local] = ACTIONS(5417),
    [anon_sym___thread] = ACTIONS(5417),
    [anon_sym_const] = ACTIONS(5417),
    [anon_sym_constexpr] = ACTIONS(5417),
    [anon_sym_volatile] = ACTIONS(5417),
    [anon_sym_restrict] = ACTIONS(5417),
    [anon_sym___restrict__] = ACTIONS(5417),
    [anon_sym__Atomic] = ACTIONS(5417),
    [anon_sym__Noreturn] = ACTIONS(5417),
    [anon_sym_noreturn] = ACTIONS(5417),
    [anon_sym__Nonnull] = ACTIONS(5417),
    [anon_sym_mutable] = ACTIONS(5417),
    [anon_sym_constinit] = ACTIONS(5417),
    [anon_sym_consteval] = ACTIONS(5417),
    [anon_sym_PROGMEM] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5417),
    [anon_sym__Alignas] = ACTIONS(5417),
    [aux_sym_primitive_type_token1] = ACTIONS(5417),
    [anon_sym_byte] = ACTIONS(5417),
    [anon_sym_word] = ACTIONS(5417),
    [anon_sym_enum] = ACTIONS(5417),
    [anon_sym_class] = ACTIONS(5417),
    [anon_sym_struct] = ACTIONS(5417),
    [anon_sym_union] = ACTIONS(5417),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5417),
    [anon_sym_decltype] = ACTIONS(5417),
    [anon_sym_explicit] = ACTIONS(5417),
    [anon_sym_typename] = ACTIONS(5417),
    [anon_sym_template] = ACTIONS(5417),
    [anon_sym_operator] = ACTIONS(5417),
    [anon_sym_friend] = ACTIONS(5417),
    [anon_sym_public] = ACTIONS(5417),
    [anon_sym_private] = ACTIONS(5417),
    [anon_sym_protected] = ACTIONS(5417),
    [anon_sym_using] = ACTIONS(5417),
    [anon_sym_static_assert] = ACTIONS(5417),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym___attribute] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym__Nonnull] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [anon_sym_PROGMEM] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym__Alignas] = ACTIONS(3205),
    [aux_sym_primitive_type_token1] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_word] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_friend] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5597),
    [anon_sym_COMMA] = ACTIONS(5597),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [aux_sym_preproc_if_token2] = ACTIONS(5597),
    [aux_sym_preproc_else_token1] = ACTIONS(5597),
    [aux_sym_preproc_elif_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_DASH] = ACTIONS(5595),
    [anon_sym_PLUS] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_SLASH] = ACTIONS(5595),
    [anon_sym_PERCENT] = ACTIONS(5597),
    [anon_sym_PIPE_PIPE] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_PIPE] = ACTIONS(5595),
    [anon_sym_CARET] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym_EQ_EQ] = ACTIONS(5597),
    [anon_sym_BANG_EQ] = ACTIONS(5597),
    [anon_sym_GT] = ACTIONS(5595),
    [anon_sym_GT_EQ] = ACTIONS(5597),
    [anon_sym_LT_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(5595),
    [anon_sym_LT_LT] = ACTIONS(5597),
    [anon_sym_GT_GT] = ACTIONS(5597),
    [anon_sym_SEMI] = ACTIONS(5597),
    [anon_sym___extension__] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym___attribute] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5597),
    [anon_sym_RBRACE] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_const] = ACTIONS(5595),
    [anon_sym_constexpr] = ACTIONS(5595),
    [anon_sym_volatile] = ACTIONS(5595),
    [anon_sym_restrict] = ACTIONS(5595),
    [anon_sym___restrict__] = ACTIONS(5595),
    [anon_sym__Atomic] = ACTIONS(5595),
    [anon_sym__Noreturn] = ACTIONS(5595),
    [anon_sym_noreturn] = ACTIONS(5595),
    [anon_sym__Nonnull] = ACTIONS(5595),
    [anon_sym_mutable] = ACTIONS(5595),
    [anon_sym_constinit] = ACTIONS(5595),
    [anon_sym_consteval] = ACTIONS(5595),
    [anon_sym_PROGMEM] = ACTIONS(5595),
    [anon_sym_alignas] = ACTIONS(5595),
    [anon_sym__Alignas] = ACTIONS(5595),
    [anon_sym_COLON] = ACTIONS(5597),
    [anon_sym_QMARK] = ACTIONS(5597),
    [anon_sym_LT_EQ_GT] = ACTIONS(5597),
    [anon_sym_or] = ACTIONS(5595),
    [anon_sym_and] = ACTIONS(5595),
    [anon_sym_bitor] = ACTIONS(5595),
    [anon_sym_xor] = ACTIONS(5595),
    [anon_sym_bitand] = ACTIONS(5595),
    [anon_sym_not_eq] = ACTIONS(5595),
    [anon_sym_DASH_DASH] = ACTIONS(5597),
    [anon_sym_PLUS_PLUS] = ACTIONS(5597),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_DOT_STAR] = ACTIONS(5597),
    [anon_sym_DASH_GT] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
    [anon_sym_final] = ACTIONS(5595),
    [anon_sym_override] = ACTIONS(5595),
    [anon_sym_requires] = ACTIONS(5595),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym___attribute] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym__Nonnull] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_PROGMEM] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [aux_sym_primitive_type_token1] = ACTIONS(2909),
    [anon_sym_byte] = ACTIONS(2909),
    [anon_sym_word] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5287),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5285),
    [aux_sym_preproc_def_token1] = ACTIONS(5285),
    [aux_sym_preproc_if_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5285),
    [sym_preproc_directive] = ACTIONS(5285),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_typedef] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym___attribute] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym_RBRACE] = ACTIONS(5287),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym__Nonnull] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [anon_sym_PROGMEM] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym__Alignas] = ACTIONS(5285),
    [aux_sym_primitive_type_token1] = ACTIONS(5285),
    [anon_sym_byte] = ACTIONS(5285),
    [anon_sym_word] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_public] = ACTIONS(5285),
    [anon_sym_private] = ACTIONS(5285),
    [anon_sym_protected] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_static_assert] = ACTIONS(5285),
  },
  [2015] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(1975),
    [sym__declarator] = STATE(6291),
    [sym__abstract_declarator] = STATE(6459),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2510),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(2918),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2510),
    [aux_sym_pointer_declarator_repeat1] = STATE(1975),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_AMP_AMP] = ACTIONS(5699),
    [anon_sym_AMP] = ACTIONS(5701),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___attribute] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_EQ] = ACTIONS(5709),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(5709),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5321),
    [aux_sym_preproc_def_token1] = ACTIONS(5321),
    [aux_sym_preproc_if_token1] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5321),
    [sym_preproc_directive] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_TILDE] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5321),
    [anon_sym_typedef] = ACTIONS(5321),
    [anon_sym_virtual] = ACTIONS(5321),
    [anon_sym_extern] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5321),
    [anon_sym___attribute] = ACTIONS(5321),
    [anon_sym_COLON_COLON] = ACTIONS(5323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5323),
    [anon_sym___declspec] = ACTIONS(5321),
    [anon_sym___based] = ACTIONS(5321),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5321),
    [anon_sym_unsigned] = ACTIONS(5321),
    [anon_sym_long] = ACTIONS(5321),
    [anon_sym_short] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_static] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5321),
    [anon_sym_inline] = ACTIONS(5321),
    [anon_sym___inline] = ACTIONS(5321),
    [anon_sym___inline__] = ACTIONS(5321),
    [anon_sym___forceinline] = ACTIONS(5321),
    [anon_sym_thread_local] = ACTIONS(5321),
    [anon_sym___thread] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5321),
    [anon_sym_constexpr] = ACTIONS(5321),
    [anon_sym_volatile] = ACTIONS(5321),
    [anon_sym_restrict] = ACTIONS(5321),
    [anon_sym___restrict__] = ACTIONS(5321),
    [anon_sym__Atomic] = ACTIONS(5321),
    [anon_sym__Noreturn] = ACTIONS(5321),
    [anon_sym_noreturn] = ACTIONS(5321),
    [anon_sym__Nonnull] = ACTIONS(5321),
    [anon_sym_mutable] = ACTIONS(5321),
    [anon_sym_constinit] = ACTIONS(5321),
    [anon_sym_consteval] = ACTIONS(5321),
    [anon_sym_PROGMEM] = ACTIONS(5321),
    [anon_sym_alignas] = ACTIONS(5321),
    [anon_sym__Alignas] = ACTIONS(5321),
    [aux_sym_primitive_type_token1] = ACTIONS(5321),
    [anon_sym_byte] = ACTIONS(5321),
    [anon_sym_word] = ACTIONS(5321),
    [anon_sym_enum] = ACTIONS(5321),
    [anon_sym_class] = ACTIONS(5321),
    [anon_sym_struct] = ACTIONS(5321),
    [anon_sym_union] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5321),
    [anon_sym_decltype] = ACTIONS(5321),
    [anon_sym_explicit] = ACTIONS(5321),
    [anon_sym_typename] = ACTIONS(5321),
    [anon_sym_template] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5321),
    [anon_sym_friend] = ACTIONS(5321),
    [anon_sym_public] = ACTIONS(5321),
    [anon_sym_private] = ACTIONS(5321),
    [anon_sym_protected] = ACTIONS(5321),
    [anon_sym_using] = ACTIONS(5321),
    [anon_sym_static_assert] = ACTIONS(5321),
  },
  [2017] = {
    [sym_template_argument_list] = STATE(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_RPAREN] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(4863),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4870),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4863),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4870),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(5713),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4863),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_mutable] = ACTIONS(4866),
    [anon_sym_constinit] = ACTIONS(4866),
    [anon_sym_consteval] = ACTIONS(4866),
    [anon_sym_PROGMEM] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4861),
    [anon_sym_or_eq] = ACTIONS(4861),
    [anon_sym_xor_eq] = ACTIONS(4861),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4861),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4861),
    [anon_sym_not_eq] = ACTIONS(4861),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4866),
    [anon_sym_decltype] = ACTIONS(4866),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym___attribute] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym__Nonnull] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [anon_sym_PROGMEM] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym__Alignas] = ACTIONS(3122),
    [aux_sym_primitive_type_token1] = ACTIONS(3122),
    [anon_sym_byte] = ACTIONS(3122),
    [anon_sym_word] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_friend] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym___attribute] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym__Nonnull] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [anon_sym_PROGMEM] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym__Alignas] = ACTIONS(3126),
    [aux_sym_primitive_type_token1] = ACTIONS(3126),
    [anon_sym_byte] = ACTIONS(3126),
    [anon_sym_word] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_friend] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym___attribute] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym__Nonnull] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [anon_sym_PROGMEM] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym__Alignas] = ACTIONS(3130),
    [aux_sym_primitive_type_token1] = ACTIONS(3130),
    [anon_sym_byte] = ACTIONS(3130),
    [anon_sym_word] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_friend] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(3173),
    [aux_sym_preproc_def_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token1] = ACTIONS(3173),
    [aux_sym_preproc_if_token2] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3173),
    [sym_preproc_directive] = ACTIONS(3173),
    [anon_sym_LPAREN2] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_AMP_AMP] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym___extension__] = ACTIONS(3173),
    [anon_sym_typedef] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym___attribute__] = ACTIONS(3173),
    [anon_sym___attribute] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(3175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3175),
    [anon_sym___declspec] = ACTIONS(3173),
    [anon_sym___based] = ACTIONS(3173),
    [anon_sym_signed] = ACTIONS(3173),
    [anon_sym_unsigned] = ACTIONS(3173),
    [anon_sym_long] = ACTIONS(3173),
    [anon_sym_short] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_register] = ACTIONS(3173),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym___inline] = ACTIONS(3173),
    [anon_sym___inline__] = ACTIONS(3173),
    [anon_sym___forceinline] = ACTIONS(3173),
    [anon_sym_thread_local] = ACTIONS(3173),
    [anon_sym___thread] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_constexpr] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_restrict] = ACTIONS(3173),
    [anon_sym___restrict__] = ACTIONS(3173),
    [anon_sym__Atomic] = ACTIONS(3173),
    [anon_sym__Noreturn] = ACTIONS(3173),
    [anon_sym_noreturn] = ACTIONS(3173),
    [anon_sym__Nonnull] = ACTIONS(3173),
    [anon_sym_mutable] = ACTIONS(3173),
    [anon_sym_constinit] = ACTIONS(3173),
    [anon_sym_consteval] = ACTIONS(3173),
    [anon_sym_PROGMEM] = ACTIONS(3173),
    [anon_sym_alignas] = ACTIONS(3173),
    [anon_sym__Alignas] = ACTIONS(3173),
    [aux_sym_primitive_type_token1] = ACTIONS(3173),
    [anon_sym_byte] = ACTIONS(3173),
    [anon_sym_word] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_union] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3173),
    [anon_sym_decltype] = ACTIONS(3173),
    [anon_sym_explicit] = ACTIONS(3173),
    [anon_sym_typename] = ACTIONS(3173),
    [anon_sym_template] = ACTIONS(3173),
    [anon_sym_operator] = ACTIONS(3173),
    [anon_sym_friend] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_static_assert] = ACTIONS(3173),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5317),
    [aux_sym_preproc_def_token1] = ACTIONS(5317),
    [aux_sym_preproc_if_token1] = ACTIONS(5317),
    [aux_sym_preproc_if_token2] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5317),
    [sym_preproc_directive] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5319),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_AMP_AMP] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_SEMI] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5317),
    [anon_sym_typedef] = ACTIONS(5317),
    [anon_sym_virtual] = ACTIONS(5317),
    [anon_sym_extern] = ACTIONS(5317),
    [anon_sym___attribute__] = ACTIONS(5317),
    [anon_sym___attribute] = ACTIONS(5317),
    [anon_sym_COLON_COLON] = ACTIONS(5319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5319),
    [anon_sym___declspec] = ACTIONS(5317),
    [anon_sym___based] = ACTIONS(5317),
    [anon_sym_signed] = ACTIONS(5317),
    [anon_sym_unsigned] = ACTIONS(5317),
    [anon_sym_long] = ACTIONS(5317),
    [anon_sym_short] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_static] = ACTIONS(5317),
    [anon_sym_register] = ACTIONS(5317),
    [anon_sym_inline] = ACTIONS(5317),
    [anon_sym___inline] = ACTIONS(5317),
    [anon_sym___inline__] = ACTIONS(5317),
    [anon_sym___forceinline] = ACTIONS(5317),
    [anon_sym_thread_local] = ACTIONS(5317),
    [anon_sym___thread] = ACTIONS(5317),
    [anon_sym_const] = ACTIONS(5317),
    [anon_sym_constexpr] = ACTIONS(5317),
    [anon_sym_volatile] = ACTIONS(5317),
    [anon_sym_restrict] = ACTIONS(5317),
    [anon_sym___restrict__] = ACTIONS(5317),
    [anon_sym__Atomic] = ACTIONS(5317),
    [anon_sym__Noreturn] = ACTIONS(5317),
    [anon_sym_noreturn] = ACTIONS(5317),
    [anon_sym__Nonnull] = ACTIONS(5317),
    [anon_sym_mutable] = ACTIONS(5317),
    [anon_sym_constinit] = ACTIONS(5317),
    [anon_sym_consteval] = ACTIONS(5317),
    [anon_sym_PROGMEM] = ACTIONS(5317),
    [anon_sym_alignas] = ACTIONS(5317),
    [anon_sym__Alignas] = ACTIONS(5317),
    [aux_sym_primitive_type_token1] = ACTIONS(5317),
    [anon_sym_byte] = ACTIONS(5317),
    [anon_sym_word] = ACTIONS(5317),
    [anon_sym_enum] = ACTIONS(5317),
    [anon_sym_class] = ACTIONS(5317),
    [anon_sym_struct] = ACTIONS(5317),
    [anon_sym_union] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5317),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_explicit] = ACTIONS(5317),
    [anon_sym_typename] = ACTIONS(5317),
    [anon_sym_template] = ACTIONS(5317),
    [anon_sym_operator] = ACTIONS(5317),
    [anon_sym_friend] = ACTIONS(5317),
    [anon_sym_public] = ACTIONS(5317),
    [anon_sym_private] = ACTIONS(5317),
    [anon_sym_protected] = ACTIONS(5317),
    [anon_sym_using] = ACTIONS(5317),
    [anon_sym_static_assert] = ACTIONS(5317),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym___attribute] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym__Nonnull] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [anon_sym_PROGMEM] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym__Alignas] = ACTIONS(3138),
    [aux_sym_primitive_type_token1] = ACTIONS(3138),
    [anon_sym_byte] = ACTIONS(3138),
    [anon_sym_word] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym___attribute] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym__Nonnull] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [anon_sym_PROGMEM] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym__Alignas] = ACTIONS(3142),
    [aux_sym_primitive_type_token1] = ACTIONS(3142),
    [anon_sym_byte] = ACTIONS(3142),
    [anon_sym_word] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym___attribute] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym__Nonnull] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [anon_sym_PROGMEM] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym__Alignas] = ACTIONS(3158),
    [aux_sym_primitive_type_token1] = ACTIONS(3158),
    [anon_sym_byte] = ACTIONS(3158),
    [anon_sym_word] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(3029),
    [aux_sym_preproc_def_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token2] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3031),
    [anon_sym_AMP_AMP] = ACTIONS(3031),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym___extension__] = ACTIONS(3029),
    [anon_sym_typedef] = ACTIONS(3029),
    [anon_sym_virtual] = ACTIONS(3029),
    [anon_sym_extern] = ACTIONS(3029),
    [anon_sym___attribute__] = ACTIONS(3029),
    [anon_sym___attribute] = ACTIONS(3029),
    [anon_sym_COLON_COLON] = ACTIONS(3031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3031),
    [anon_sym___declspec] = ACTIONS(3029),
    [anon_sym___based] = ACTIONS(3029),
    [anon_sym_signed] = ACTIONS(3029),
    [anon_sym_unsigned] = ACTIONS(3029),
    [anon_sym_long] = ACTIONS(3029),
    [anon_sym_short] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_static] = ACTIONS(3029),
    [anon_sym_register] = ACTIONS(3029),
    [anon_sym_inline] = ACTIONS(3029),
    [anon_sym___inline] = ACTIONS(3029),
    [anon_sym___inline__] = ACTIONS(3029),
    [anon_sym___forceinline] = ACTIONS(3029),
    [anon_sym_thread_local] = ACTIONS(3029),
    [anon_sym___thread] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3029),
    [anon_sym_constexpr] = ACTIONS(3029),
    [anon_sym_volatile] = ACTIONS(3029),
    [anon_sym_restrict] = ACTIONS(3029),
    [anon_sym___restrict__] = ACTIONS(3029),
    [anon_sym__Atomic] = ACTIONS(3029),
    [anon_sym__Noreturn] = ACTIONS(3029),
    [anon_sym_noreturn] = ACTIONS(3029),
    [anon_sym__Nonnull] = ACTIONS(3029),
    [anon_sym_mutable] = ACTIONS(3029),
    [anon_sym_constinit] = ACTIONS(3029),
    [anon_sym_consteval] = ACTIONS(3029),
    [anon_sym_PROGMEM] = ACTIONS(3029),
    [anon_sym_alignas] = ACTIONS(3029),
    [anon_sym__Alignas] = ACTIONS(3029),
    [aux_sym_primitive_type_token1] = ACTIONS(3029),
    [anon_sym_byte] = ACTIONS(3029),
    [anon_sym_word] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3029),
    [anon_sym_union] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3029),
    [anon_sym_decltype] = ACTIONS(3029),
    [anon_sym_explicit] = ACTIONS(3029),
    [anon_sym_typename] = ACTIONS(3029),
    [anon_sym_template] = ACTIONS(3029),
    [anon_sym_operator] = ACTIONS(3029),
    [anon_sym_friend] = ACTIONS(3029),
    [anon_sym_public] = ACTIONS(3029),
    [anon_sym_private] = ACTIONS(3029),
    [anon_sym_protected] = ACTIONS(3029),
    [anon_sym_using] = ACTIONS(3029),
    [anon_sym_static_assert] = ACTIONS(3029),
  },
  [2027] = {
    [sym_type_qualifier] = STATE(1859),
    [sym_alignas_qualifier] = STATE(2106),
    [sym_primitive_type] = STATE(2271),
    [aux_sym__type_definition_type_repeat1] = STATE(1859),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2260),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4938),
    [anon_sym_PLUS] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_SLASH] = ACTIONS(4938),
    [anon_sym_PERCENT] = ACTIONS(4936),
    [anon_sym_PIPE_PIPE] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_PIPE] = ACTIONS(4938),
    [anon_sym_CARET] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_EQ_EQ] = ACTIONS(4936),
    [anon_sym_BANG_EQ] = ACTIONS(4936),
    [anon_sym_GT] = ACTIONS(4938),
    [anon_sym_GT_EQ] = ACTIONS(4938),
    [anon_sym_LT_EQ] = ACTIONS(4938),
    [anon_sym_LT] = ACTIONS(4938),
    [anon_sym_LT_LT] = ACTIONS(4936),
    [anon_sym_GT_GT] = ACTIONS(4938),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5718),
    [anon_sym_unsigned] = ACTIONS(5718),
    [anon_sym_long] = ACTIONS(5718),
    [anon_sym_short] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym__Nonnull] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [anon_sym_PROGMEM] = ACTIONS(5683),
    [anon_sym_alignas] = ACTIONS(5687),
    [anon_sym__Alignas] = ACTIONS(5687),
    [aux_sym_primitive_type_token1] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_word] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(4936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4936),
    [anon_sym_or] = ACTIONS(4938),
    [anon_sym_and] = ACTIONS(4938),
    [anon_sym_bitor] = ACTIONS(4938),
    [anon_sym_xor] = ACTIONS(4938),
    [anon_sym_bitand] = ACTIONS(4938),
    [anon_sym_not_eq] = ACTIONS(4938),
    [anon_sym_DASH_DASH] = ACTIONS(4936),
    [anon_sym_PLUS_PLUS] = ACTIONS(4936),
    [anon_sym_DOT] = ACTIONS(4938),
    [anon_sym_DOT_STAR] = ACTIONS(4936),
    [anon_sym_DASH_GT] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_GT2] = ACTIONS(4936),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token2] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_friend] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym___attribute] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym__Nonnull] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [anon_sym_PROGMEM] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym__Alignas] = ACTIONS(3150),
    [aux_sym_primitive_type_token1] = ACTIONS(3150),
    [anon_sym_byte] = ACTIONS(3150),
    [anon_sym_word] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym___attribute] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_PROGMEM] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [aux_sym_primitive_type_token1] = ACTIONS(3060),
    [anon_sym_byte] = ACTIONS(3060),
    [anon_sym_word] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_friend] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym___attribute] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym__Nonnull] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [anon_sym_PROGMEM] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym__Alignas] = ACTIONS(5460),
    [aux_sym_primitive_type_token1] = ACTIONS(5460),
    [anon_sym_byte] = ACTIONS(5460),
    [anon_sym_word] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_friend] = ACTIONS(2986),
    [anon_sym_public] = ACTIONS(2986),
    [anon_sym_private] = ACTIONS(2986),
    [anon_sym_protected] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_RBRACE] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_friend] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP_AMP] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5353),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_virtual] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___based] = ACTIONS(5353),
    [anon_sym_RBRACE] = ACTIONS(5355),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_mutable] = ACTIONS(5353),
    [anon_sym_constinit] = ACTIONS(5353),
    [anon_sym_consteval] = ACTIONS(5353),
    [anon_sym_PROGMEM] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [aux_sym_primitive_type_token1] = ACTIONS(5353),
    [anon_sym_byte] = ACTIONS(5353),
    [anon_sym_word] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_class] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5353),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_explicit] = ACTIONS(5353),
    [anon_sym_typename] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_operator] = ACTIONS(5353),
    [anon_sym_friend] = ACTIONS(5353),
    [anon_sym_public] = ACTIONS(5353),
    [anon_sym_private] = ACTIONS(5353),
    [anon_sym_protected] = ACTIONS(5353),
    [anon_sym_using] = ACTIONS(5353),
    [anon_sym_static_assert] = ACTIONS(5353),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym___attribute] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym__Nonnull] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [anon_sym_PROGMEM] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym__Alignas] = ACTIONS(3211),
    [aux_sym_primitive_type_token1] = ACTIONS(3211),
    [anon_sym_byte] = ACTIONS(3211),
    [anon_sym_word] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(3033),
    [aux_sym_preproc_def_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3033),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(3035),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3035),
    [anon_sym___extension__] = ACTIONS(3033),
    [anon_sym_typedef] = ACTIONS(3033),
    [anon_sym_virtual] = ACTIONS(3033),
    [anon_sym_extern] = ACTIONS(3033),
    [anon_sym___attribute__] = ACTIONS(3033),
    [anon_sym___attribute] = ACTIONS(3033),
    [anon_sym_COLON_COLON] = ACTIONS(3035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3035),
    [anon_sym___declspec] = ACTIONS(3033),
    [anon_sym___based] = ACTIONS(3033),
    [anon_sym_RBRACE] = ACTIONS(3035),
    [anon_sym_signed] = ACTIONS(3033),
    [anon_sym_unsigned] = ACTIONS(3033),
    [anon_sym_long] = ACTIONS(3033),
    [anon_sym_short] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_static] = ACTIONS(3033),
    [anon_sym_register] = ACTIONS(3033),
    [anon_sym_inline] = ACTIONS(3033),
    [anon_sym___inline] = ACTIONS(3033),
    [anon_sym___inline__] = ACTIONS(3033),
    [anon_sym___forceinline] = ACTIONS(3033),
    [anon_sym_thread_local] = ACTIONS(3033),
    [anon_sym___thread] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_constexpr] = ACTIONS(3033),
    [anon_sym_volatile] = ACTIONS(3033),
    [anon_sym_restrict] = ACTIONS(3033),
    [anon_sym___restrict__] = ACTIONS(3033),
    [anon_sym__Atomic] = ACTIONS(3033),
    [anon_sym__Noreturn] = ACTIONS(3033),
    [anon_sym_noreturn] = ACTIONS(3033),
    [anon_sym__Nonnull] = ACTIONS(3033),
    [anon_sym_mutable] = ACTIONS(3033),
    [anon_sym_constinit] = ACTIONS(3033),
    [anon_sym_consteval] = ACTIONS(3033),
    [anon_sym_PROGMEM] = ACTIONS(3033),
    [anon_sym_alignas] = ACTIONS(3033),
    [anon_sym__Alignas] = ACTIONS(3033),
    [aux_sym_primitive_type_token1] = ACTIONS(3033),
    [anon_sym_byte] = ACTIONS(3033),
    [anon_sym_word] = ACTIONS(3033),
    [anon_sym_enum] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(3033),
    [anon_sym_struct] = ACTIONS(3033),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3033),
    [anon_sym_decltype] = ACTIONS(3033),
    [anon_sym_explicit] = ACTIONS(3033),
    [anon_sym_typename] = ACTIONS(3033),
    [anon_sym_template] = ACTIONS(3033),
    [anon_sym_operator] = ACTIONS(3033),
    [anon_sym_friend] = ACTIONS(3033),
    [anon_sym_public] = ACTIONS(3033),
    [anon_sym_private] = ACTIONS(3033),
    [anon_sym_protected] = ACTIONS(3033),
    [anon_sym_using] = ACTIONS(3033),
    [anon_sym_static_assert] = ACTIONS(3033),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(3041),
    [aux_sym_preproc_def_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token2] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3041),
    [sym_preproc_directive] = ACTIONS(3041),
    [anon_sym_LPAREN2] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym___extension__] = ACTIONS(3041),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_virtual] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(3041),
    [anon_sym___attribute__] = ACTIONS(3041),
    [anon_sym___attribute] = ACTIONS(3041),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3043),
    [anon_sym___declspec] = ACTIONS(3041),
    [anon_sym___based] = ACTIONS(3041),
    [anon_sym_signed] = ACTIONS(3041),
    [anon_sym_unsigned] = ACTIONS(3041),
    [anon_sym_long] = ACTIONS(3041),
    [anon_sym_short] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_static] = ACTIONS(3041),
    [anon_sym_register] = ACTIONS(3041),
    [anon_sym_inline] = ACTIONS(3041),
    [anon_sym___inline] = ACTIONS(3041),
    [anon_sym___inline__] = ACTIONS(3041),
    [anon_sym___forceinline] = ACTIONS(3041),
    [anon_sym_thread_local] = ACTIONS(3041),
    [anon_sym___thread] = ACTIONS(3041),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_constexpr] = ACTIONS(3041),
    [anon_sym_volatile] = ACTIONS(3041),
    [anon_sym_restrict] = ACTIONS(3041),
    [anon_sym___restrict__] = ACTIONS(3041),
    [anon_sym__Atomic] = ACTIONS(3041),
    [anon_sym__Noreturn] = ACTIONS(3041),
    [anon_sym_noreturn] = ACTIONS(3041),
    [anon_sym__Nonnull] = ACTIONS(3041),
    [anon_sym_mutable] = ACTIONS(3041),
    [anon_sym_constinit] = ACTIONS(3041),
    [anon_sym_consteval] = ACTIONS(3041),
    [anon_sym_PROGMEM] = ACTIONS(3041),
    [anon_sym_alignas] = ACTIONS(3041),
    [anon_sym__Alignas] = ACTIONS(3041),
    [aux_sym_primitive_type_token1] = ACTIONS(3041),
    [anon_sym_byte] = ACTIONS(3041),
    [anon_sym_word] = ACTIONS(3041),
    [anon_sym_enum] = ACTIONS(3041),
    [anon_sym_class] = ACTIONS(3041),
    [anon_sym_struct] = ACTIONS(3041),
    [anon_sym_union] = ACTIONS(3041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3041),
    [anon_sym_decltype] = ACTIONS(3041),
    [anon_sym_explicit] = ACTIONS(3041),
    [anon_sym_typename] = ACTIONS(3041),
    [anon_sym_template] = ACTIONS(3041),
    [anon_sym_operator] = ACTIONS(3041),
    [anon_sym_friend] = ACTIONS(3041),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3041),
    [anon_sym_static_assert] = ACTIONS(3041),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym___attribute] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym__Nonnull] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_PROGMEM] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [aux_sym_primitive_type_token1] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_word] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_friend] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(3018),
    [aux_sym_preproc_def_token1] = ACTIONS(3018),
    [aux_sym_preproc_if_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3018),
    [sym_preproc_directive] = ACTIONS(3018),
    [anon_sym_LPAREN2] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3018),
    [anon_sym_virtual] = ACTIONS(3018),
    [anon_sym_extern] = ACTIONS(3018),
    [anon_sym___attribute__] = ACTIONS(3018),
    [anon_sym___attribute] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3020),
    [anon_sym___declspec] = ACTIONS(3018),
    [anon_sym___based] = ACTIONS(3018),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_signed] = ACTIONS(3018),
    [anon_sym_unsigned] = ACTIONS(3018),
    [anon_sym_long] = ACTIONS(3018),
    [anon_sym_short] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_static] = ACTIONS(3018),
    [anon_sym_register] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym___inline] = ACTIONS(3018),
    [anon_sym___inline__] = ACTIONS(3018),
    [anon_sym___forceinline] = ACTIONS(3018),
    [anon_sym_thread_local] = ACTIONS(3018),
    [anon_sym___thread] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_constexpr] = ACTIONS(3018),
    [anon_sym_volatile] = ACTIONS(3018),
    [anon_sym_restrict] = ACTIONS(3018),
    [anon_sym___restrict__] = ACTIONS(3018),
    [anon_sym__Atomic] = ACTIONS(3018),
    [anon_sym__Noreturn] = ACTIONS(3018),
    [anon_sym_noreturn] = ACTIONS(3018),
    [anon_sym__Nonnull] = ACTIONS(3018),
    [anon_sym_mutable] = ACTIONS(3018),
    [anon_sym_constinit] = ACTIONS(3018),
    [anon_sym_consteval] = ACTIONS(3018),
    [anon_sym_PROGMEM] = ACTIONS(3018),
    [anon_sym_alignas] = ACTIONS(3018),
    [anon_sym__Alignas] = ACTIONS(3018),
    [aux_sym_primitive_type_token1] = ACTIONS(3018),
    [anon_sym_byte] = ACTIONS(3018),
    [anon_sym_word] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_struct] = ACTIONS(3018),
    [anon_sym_union] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3018),
    [anon_sym_decltype] = ACTIONS(3018),
    [anon_sym_explicit] = ACTIONS(3018),
    [anon_sym_typename] = ACTIONS(3018),
    [anon_sym_template] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_friend] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_using] = ACTIONS(3018),
    [anon_sym_static_assert] = ACTIONS(3018),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_STAR] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_virtual] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_COLON_COLON] = ACTIONS(5371),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___based] = ACTIONS(5369),
    [anon_sym_RBRACE] = ACTIONS(5371),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_mutable] = ACTIONS(5369),
    [anon_sym_constinit] = ACTIONS(5369),
    [anon_sym_consteval] = ACTIONS(5369),
    [anon_sym_PROGMEM] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [aux_sym_primitive_type_token1] = ACTIONS(5369),
    [anon_sym_byte] = ACTIONS(5369),
    [anon_sym_word] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_class] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_explicit] = ACTIONS(5369),
    [anon_sym_typename] = ACTIONS(5369),
    [anon_sym_template] = ACTIONS(5369),
    [anon_sym_operator] = ACTIONS(5369),
    [anon_sym_friend] = ACTIONS(5369),
    [anon_sym_public] = ACTIONS(5369),
    [anon_sym_private] = ACTIONS(5369),
    [anon_sym_protected] = ACTIONS(5369),
    [anon_sym_using] = ACTIONS(5369),
    [anon_sym_static_assert] = ACTIONS(5369),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3177),
    [aux_sym_preproc_if_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3177),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3177),
    [sym_preproc_directive] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_AMP_AMP] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym___extension__] = ACTIONS(3177),
    [anon_sym_typedef] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym___attribute__] = ACTIONS(3177),
    [anon_sym___attribute] = ACTIONS(3177),
    [anon_sym_COLON_COLON] = ACTIONS(3179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3179),
    [anon_sym___declspec] = ACTIONS(3177),
    [anon_sym___based] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_signed] = ACTIONS(3177),
    [anon_sym_unsigned] = ACTIONS(3177),
    [anon_sym_long] = ACTIONS(3177),
    [anon_sym_short] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_register] = ACTIONS(3177),
    [anon_sym_inline] = ACTIONS(3177),
    [anon_sym___inline] = ACTIONS(3177),
    [anon_sym___inline__] = ACTIONS(3177),
    [anon_sym___forceinline] = ACTIONS(3177),
    [anon_sym_thread_local] = ACTIONS(3177),
    [anon_sym___thread] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_constexpr] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_restrict] = ACTIONS(3177),
    [anon_sym___restrict__] = ACTIONS(3177),
    [anon_sym__Atomic] = ACTIONS(3177),
    [anon_sym__Noreturn] = ACTIONS(3177),
    [anon_sym_noreturn] = ACTIONS(3177),
    [anon_sym__Nonnull] = ACTIONS(3177),
    [anon_sym_mutable] = ACTIONS(3177),
    [anon_sym_constinit] = ACTIONS(3177),
    [anon_sym_consteval] = ACTIONS(3177),
    [anon_sym_PROGMEM] = ACTIONS(3177),
    [anon_sym_alignas] = ACTIONS(3177),
    [anon_sym__Alignas] = ACTIONS(3177),
    [aux_sym_primitive_type_token1] = ACTIONS(3177),
    [anon_sym_byte] = ACTIONS(3177),
    [anon_sym_word] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_union] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3177),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_explicit] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3177),
    [anon_sym_template] = ACTIONS(3177),
    [anon_sym_operator] = ACTIONS(3177),
    [anon_sym_friend] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_static_assert] = ACTIONS(3177),
  },
  [2043] = {
    [sym_template_argument_list] = STATE(1577),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4859),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym___extension__] = ACTIONS(4859),
    [anon_sym_virtual] = ACTIONS(4859),
    [anon_sym_extern] = ACTIONS(4859),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4866),
    [anon_sym___declspec] = ACTIONS(4859),
    [anon_sym___based] = ACTIONS(4859),
    [anon_sym___cdecl] = ACTIONS(4859),
    [anon_sym___clrcall] = ACTIONS(4859),
    [anon_sym___stdcall] = ACTIONS(4859),
    [anon_sym___fastcall] = ACTIONS(4859),
    [anon_sym___thiscall] = ACTIONS(4859),
    [anon_sym___vectorcall] = ACTIONS(4859),
    [anon_sym_signed] = ACTIONS(4859),
    [anon_sym_unsigned] = ACTIONS(4859),
    [anon_sym_long] = ACTIONS(4859),
    [anon_sym_short] = ACTIONS(4859),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_static] = ACTIONS(4859),
    [anon_sym_register] = ACTIONS(4859),
    [anon_sym_inline] = ACTIONS(4859),
    [anon_sym___inline] = ACTIONS(4859),
    [anon_sym___inline__] = ACTIONS(4859),
    [anon_sym___forceinline] = ACTIONS(4859),
    [anon_sym_thread_local] = ACTIONS(4859),
    [anon_sym___thread] = ACTIONS(4859),
    [anon_sym_const] = ACTIONS(4859),
    [anon_sym_constexpr] = ACTIONS(4859),
    [anon_sym_volatile] = ACTIONS(4859),
    [anon_sym_restrict] = ACTIONS(4859),
    [anon_sym___restrict__] = ACTIONS(4859),
    [anon_sym__Atomic] = ACTIONS(4859),
    [anon_sym__Noreturn] = ACTIONS(4859),
    [anon_sym_noreturn] = ACTIONS(4859),
    [anon_sym__Nonnull] = ACTIONS(4859),
    [anon_sym_mutable] = ACTIONS(4859),
    [anon_sym_constinit] = ACTIONS(4859),
    [anon_sym_consteval] = ACTIONS(4859),
    [anon_sym_PROGMEM] = ACTIONS(4859),
    [anon_sym_alignas] = ACTIONS(4859),
    [anon_sym__Alignas] = ACTIONS(4859),
    [aux_sym_primitive_type_token1] = ACTIONS(4859),
    [anon_sym_byte] = ACTIONS(4859),
    [anon_sym_word] = ACTIONS(4859),
    [anon_sym_enum] = ACTIONS(4859),
    [anon_sym_class] = ACTIONS(4859),
    [anon_sym_struct] = ACTIONS(4859),
    [anon_sym_union] = ACTIONS(4859),
    [anon_sym_or] = ACTIONS(4859),
    [anon_sym_and] = ACTIONS(4859),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_explicit] = ACTIONS(4859),
    [anon_sym_typename] = ACTIONS(4859),
    [anon_sym_template] = ACTIONS(4859),
    [anon_sym_operator] = ACTIONS(4859),
    [anon_sym_friend] = ACTIONS(4859),
    [anon_sym_using] = ACTIONS(4859),
    [anon_sym_concept] = ACTIONS(4859),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5365),
    [aux_sym_preproc_def_token1] = ACTIONS(5365),
    [aux_sym_preproc_if_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5365),
    [sym_preproc_directive] = ACTIONS(5365),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_TILDE] = ACTIONS(5367),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5365),
    [anon_sym_typedef] = ACTIONS(5365),
    [anon_sym_virtual] = ACTIONS(5365),
    [anon_sym_extern] = ACTIONS(5365),
    [anon_sym___attribute__] = ACTIONS(5365),
    [anon_sym___attribute] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(5367),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5367),
    [anon_sym___declspec] = ACTIONS(5365),
    [anon_sym___based] = ACTIONS(5365),
    [anon_sym_RBRACE] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym_static] = ACTIONS(5365),
    [anon_sym_register] = ACTIONS(5365),
    [anon_sym_inline] = ACTIONS(5365),
    [anon_sym___inline] = ACTIONS(5365),
    [anon_sym___inline__] = ACTIONS(5365),
    [anon_sym___forceinline] = ACTIONS(5365),
    [anon_sym_thread_local] = ACTIONS(5365),
    [anon_sym___thread] = ACTIONS(5365),
    [anon_sym_const] = ACTIONS(5365),
    [anon_sym_constexpr] = ACTIONS(5365),
    [anon_sym_volatile] = ACTIONS(5365),
    [anon_sym_restrict] = ACTIONS(5365),
    [anon_sym___restrict__] = ACTIONS(5365),
    [anon_sym__Atomic] = ACTIONS(5365),
    [anon_sym__Noreturn] = ACTIONS(5365),
    [anon_sym_noreturn] = ACTIONS(5365),
    [anon_sym__Nonnull] = ACTIONS(5365),
    [anon_sym_mutable] = ACTIONS(5365),
    [anon_sym_constinit] = ACTIONS(5365),
    [anon_sym_consteval] = ACTIONS(5365),
    [anon_sym_PROGMEM] = ACTIONS(5365),
    [anon_sym_alignas] = ACTIONS(5365),
    [anon_sym__Alignas] = ACTIONS(5365),
    [aux_sym_primitive_type_token1] = ACTIONS(5365),
    [anon_sym_byte] = ACTIONS(5365),
    [anon_sym_word] = ACTIONS(5365),
    [anon_sym_enum] = ACTIONS(5365),
    [anon_sym_class] = ACTIONS(5365),
    [anon_sym_struct] = ACTIONS(5365),
    [anon_sym_union] = ACTIONS(5365),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5365),
    [anon_sym_decltype] = ACTIONS(5365),
    [anon_sym_explicit] = ACTIONS(5365),
    [anon_sym_typename] = ACTIONS(5365),
    [anon_sym_template] = ACTIONS(5365),
    [anon_sym_operator] = ACTIONS(5365),
    [anon_sym_friend] = ACTIONS(5365),
    [anon_sym_public] = ACTIONS(5365),
    [anon_sym_private] = ACTIONS(5365),
    [anon_sym_protected] = ACTIONS(5365),
    [anon_sym_using] = ACTIONS(5365),
    [anon_sym_static_assert] = ACTIONS(5365),
  },
  [2045] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(4996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [aux_sym_preproc_if_token2] = ACTIONS(4999),
    [aux_sym_preproc_else_token1] = ACTIONS(4999),
    [aux_sym_preproc_elif_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4999),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(5329),
    [aux_sym_preproc_def_token1] = ACTIONS(5329),
    [aux_sym_preproc_if_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5329),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5329),
    [sym_preproc_directive] = ACTIONS(5329),
    [anon_sym_LPAREN2] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5331),
    [anon_sym_AMP_AMP] = ACTIONS(5331),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(5329),
    [anon_sym_typedef] = ACTIONS(5329),
    [anon_sym_virtual] = ACTIONS(5329),
    [anon_sym_extern] = ACTIONS(5329),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym___attribute] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5331),
    [anon_sym___declspec] = ACTIONS(5329),
    [anon_sym___based] = ACTIONS(5329),
    [anon_sym_RBRACE] = ACTIONS(5331),
    [anon_sym_signed] = ACTIONS(5329),
    [anon_sym_unsigned] = ACTIONS(5329),
    [anon_sym_long] = ACTIONS(5329),
    [anon_sym_short] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5329),
    [anon_sym_static] = ACTIONS(5329),
    [anon_sym_register] = ACTIONS(5329),
    [anon_sym_inline] = ACTIONS(5329),
    [anon_sym___inline] = ACTIONS(5329),
    [anon_sym___inline__] = ACTIONS(5329),
    [anon_sym___forceinline] = ACTIONS(5329),
    [anon_sym_thread_local] = ACTIONS(5329),
    [anon_sym___thread] = ACTIONS(5329),
    [anon_sym_const] = ACTIONS(5329),
    [anon_sym_constexpr] = ACTIONS(5329),
    [anon_sym_volatile] = ACTIONS(5329),
    [anon_sym_restrict] = ACTIONS(5329),
    [anon_sym___restrict__] = ACTIONS(5329),
    [anon_sym__Atomic] = ACTIONS(5329),
    [anon_sym__Noreturn] = ACTIONS(5329),
    [anon_sym_noreturn] = ACTIONS(5329),
    [anon_sym__Nonnull] = ACTIONS(5329),
    [anon_sym_mutable] = ACTIONS(5329),
    [anon_sym_constinit] = ACTIONS(5329),
    [anon_sym_consteval] = ACTIONS(5329),
    [anon_sym_PROGMEM] = ACTIONS(5329),
    [anon_sym_alignas] = ACTIONS(5329),
    [anon_sym__Alignas] = ACTIONS(5329),
    [aux_sym_primitive_type_token1] = ACTIONS(5329),
    [anon_sym_byte] = ACTIONS(5329),
    [anon_sym_word] = ACTIONS(5329),
    [anon_sym_enum] = ACTIONS(5329),
    [anon_sym_class] = ACTIONS(5329),
    [anon_sym_struct] = ACTIONS(5329),
    [anon_sym_union] = ACTIONS(5329),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5329),
    [anon_sym_decltype] = ACTIONS(5329),
    [anon_sym_explicit] = ACTIONS(5329),
    [anon_sym_typename] = ACTIONS(5329),
    [anon_sym_template] = ACTIONS(5329),
    [anon_sym_operator] = ACTIONS(5329),
    [anon_sym_friend] = ACTIONS(5329),
    [anon_sym_public] = ACTIONS(5329),
    [anon_sym_private] = ACTIONS(5329),
    [anon_sym_protected] = ACTIONS(5329),
    [anon_sym_using] = ACTIONS(5329),
    [anon_sym_static_assert] = ACTIONS(5329),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5333),
    [aux_sym_preproc_def_token1] = ACTIONS(5333),
    [aux_sym_preproc_if_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5333),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5333),
    [sym_preproc_directive] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5335),
    [anon_sym_STAR] = ACTIONS(5335),
    [anon_sym_AMP_AMP] = ACTIONS(5335),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(5333),
    [anon_sym_typedef] = ACTIONS(5333),
    [anon_sym_virtual] = ACTIONS(5333),
    [anon_sym_extern] = ACTIONS(5333),
    [anon_sym___attribute__] = ACTIONS(5333),
    [anon_sym___attribute] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5335),
    [anon_sym___declspec] = ACTIONS(5333),
    [anon_sym___based] = ACTIONS(5333),
    [anon_sym_RBRACE] = ACTIONS(5335),
    [anon_sym_signed] = ACTIONS(5333),
    [anon_sym_unsigned] = ACTIONS(5333),
    [anon_sym_long] = ACTIONS(5333),
    [anon_sym_short] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5333),
    [anon_sym_register] = ACTIONS(5333),
    [anon_sym_inline] = ACTIONS(5333),
    [anon_sym___inline] = ACTIONS(5333),
    [anon_sym___inline__] = ACTIONS(5333),
    [anon_sym___forceinline] = ACTIONS(5333),
    [anon_sym_thread_local] = ACTIONS(5333),
    [anon_sym___thread] = ACTIONS(5333),
    [anon_sym_const] = ACTIONS(5333),
    [anon_sym_constexpr] = ACTIONS(5333),
    [anon_sym_volatile] = ACTIONS(5333),
    [anon_sym_restrict] = ACTIONS(5333),
    [anon_sym___restrict__] = ACTIONS(5333),
    [anon_sym__Atomic] = ACTIONS(5333),
    [anon_sym__Noreturn] = ACTIONS(5333),
    [anon_sym_noreturn] = ACTIONS(5333),
    [anon_sym__Nonnull] = ACTIONS(5333),
    [anon_sym_mutable] = ACTIONS(5333),
    [anon_sym_constinit] = ACTIONS(5333),
    [anon_sym_consteval] = ACTIONS(5333),
    [anon_sym_PROGMEM] = ACTIONS(5333),
    [anon_sym_alignas] = ACTIONS(5333),
    [anon_sym__Alignas] = ACTIONS(5333),
    [aux_sym_primitive_type_token1] = ACTIONS(5333),
    [anon_sym_byte] = ACTIONS(5333),
    [anon_sym_word] = ACTIONS(5333),
    [anon_sym_enum] = ACTIONS(5333),
    [anon_sym_class] = ACTIONS(5333),
    [anon_sym_struct] = ACTIONS(5333),
    [anon_sym_union] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5333),
    [anon_sym_decltype] = ACTIONS(5333),
    [anon_sym_explicit] = ACTIONS(5333),
    [anon_sym_typename] = ACTIONS(5333),
    [anon_sym_template] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5333),
    [anon_sym_friend] = ACTIONS(5333),
    [anon_sym_public] = ACTIONS(5333),
    [anon_sym_private] = ACTIONS(5333),
    [anon_sym_protected] = ACTIONS(5333),
    [anon_sym_using] = ACTIONS(5333),
    [anon_sym_static_assert] = ACTIONS(5333),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym___attribute] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym__Nonnull] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [anon_sym_PROGMEM] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym__Alignas] = ACTIONS(3080),
    [aux_sym_primitive_type_token1] = ACTIONS(3080),
    [anon_sym_byte] = ACTIONS(3080),
    [anon_sym_word] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_friend] = ACTIONS(3080),
    [anon_sym_public] = ACTIONS(3080),
    [anon_sym_private] = ACTIONS(3080),
    [anon_sym_protected] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
  },
  [2049] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_RBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_RBRACK] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(5337),
    [aux_sym_preproc_def_token1] = ACTIONS(5337),
    [aux_sym_preproc_if_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5337),
    [sym_preproc_directive] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5339),
    [anon_sym_TILDE] = ACTIONS(5339),
    [anon_sym_STAR] = ACTIONS(5339),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_AMP] = ACTIONS(5337),
    [anon_sym_SEMI] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(5337),
    [anon_sym_typedef] = ACTIONS(5337),
    [anon_sym_virtual] = ACTIONS(5337),
    [anon_sym_extern] = ACTIONS(5337),
    [anon_sym___attribute__] = ACTIONS(5337),
    [anon_sym___attribute] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(5339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5339),
    [anon_sym___declspec] = ACTIONS(5337),
    [anon_sym___based] = ACTIONS(5337),
    [anon_sym_RBRACE] = ACTIONS(5339),
    [anon_sym_signed] = ACTIONS(5337),
    [anon_sym_unsigned] = ACTIONS(5337),
    [anon_sym_long] = ACTIONS(5337),
    [anon_sym_short] = ACTIONS(5337),
    [anon_sym_LBRACK] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5337),
    [anon_sym_register] = ACTIONS(5337),
    [anon_sym_inline] = ACTIONS(5337),
    [anon_sym___inline] = ACTIONS(5337),
    [anon_sym___inline__] = ACTIONS(5337),
    [anon_sym___forceinline] = ACTIONS(5337),
    [anon_sym_thread_local] = ACTIONS(5337),
    [anon_sym___thread] = ACTIONS(5337),
    [anon_sym_const] = ACTIONS(5337),
    [anon_sym_constexpr] = ACTIONS(5337),
    [anon_sym_volatile] = ACTIONS(5337),
    [anon_sym_restrict] = ACTIONS(5337),
    [anon_sym___restrict__] = ACTIONS(5337),
    [anon_sym__Atomic] = ACTIONS(5337),
    [anon_sym__Noreturn] = ACTIONS(5337),
    [anon_sym_noreturn] = ACTIONS(5337),
    [anon_sym__Nonnull] = ACTIONS(5337),
    [anon_sym_mutable] = ACTIONS(5337),
    [anon_sym_constinit] = ACTIONS(5337),
    [anon_sym_consteval] = ACTIONS(5337),
    [anon_sym_PROGMEM] = ACTIONS(5337),
    [anon_sym_alignas] = ACTIONS(5337),
    [anon_sym__Alignas] = ACTIONS(5337),
    [aux_sym_primitive_type_token1] = ACTIONS(5337),
    [anon_sym_byte] = ACTIONS(5337),
    [anon_sym_word] = ACTIONS(5337),
    [anon_sym_enum] = ACTIONS(5337),
    [anon_sym_class] = ACTIONS(5337),
    [anon_sym_struct] = ACTIONS(5337),
    [anon_sym_union] = ACTIONS(5337),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5337),
    [anon_sym_decltype] = ACTIONS(5337),
    [anon_sym_explicit] = ACTIONS(5337),
    [anon_sym_typename] = ACTIONS(5337),
    [anon_sym_template] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5337),
    [anon_sym_friend] = ACTIONS(5337),
    [anon_sym_public] = ACTIONS(5337),
    [anon_sym_private] = ACTIONS(5337),
    [anon_sym_protected] = ACTIONS(5337),
    [anon_sym_using] = ACTIONS(5337),
    [anon_sym_static_assert] = ACTIONS(5337),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym___attribute] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym__Nonnull] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [anon_sym_PROGMEM] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym__Alignas] = ACTIONS(3084),
    [aux_sym_primitive_type_token1] = ACTIONS(3084),
    [anon_sym_byte] = ACTIONS(3084),
    [anon_sym_word] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_friend] = ACTIONS(3084),
    [anon_sym_public] = ACTIONS(3084),
    [anon_sym_private] = ACTIONS(3084),
    [anon_sym_protected] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5321),
    [aux_sym_preproc_def_token1] = ACTIONS(5321),
    [aux_sym_preproc_if_token1] = ACTIONS(5321),
    [aux_sym_preproc_if_token2] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5321),
    [sym_preproc_directive] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_TILDE] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5321),
    [anon_sym_typedef] = ACTIONS(5321),
    [anon_sym_virtual] = ACTIONS(5321),
    [anon_sym_extern] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5321),
    [anon_sym___attribute] = ACTIONS(5321),
    [anon_sym_COLON_COLON] = ACTIONS(5323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5323),
    [anon_sym___declspec] = ACTIONS(5321),
    [anon_sym___based] = ACTIONS(5321),
    [anon_sym_signed] = ACTIONS(5321),
    [anon_sym_unsigned] = ACTIONS(5321),
    [anon_sym_long] = ACTIONS(5321),
    [anon_sym_short] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_static] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5321),
    [anon_sym_inline] = ACTIONS(5321),
    [anon_sym___inline] = ACTIONS(5321),
    [anon_sym___inline__] = ACTIONS(5321),
    [anon_sym___forceinline] = ACTIONS(5321),
    [anon_sym_thread_local] = ACTIONS(5321),
    [anon_sym___thread] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5321),
    [anon_sym_constexpr] = ACTIONS(5321),
    [anon_sym_volatile] = ACTIONS(5321),
    [anon_sym_restrict] = ACTIONS(5321),
    [anon_sym___restrict__] = ACTIONS(5321),
    [anon_sym__Atomic] = ACTIONS(5321),
    [anon_sym__Noreturn] = ACTIONS(5321),
    [anon_sym_noreturn] = ACTIONS(5321),
    [anon_sym__Nonnull] = ACTIONS(5321),
    [anon_sym_mutable] = ACTIONS(5321),
    [anon_sym_constinit] = ACTIONS(5321),
    [anon_sym_consteval] = ACTIONS(5321),
    [anon_sym_PROGMEM] = ACTIONS(5321),
    [anon_sym_alignas] = ACTIONS(5321),
    [anon_sym__Alignas] = ACTIONS(5321),
    [aux_sym_primitive_type_token1] = ACTIONS(5321),
    [anon_sym_byte] = ACTIONS(5321),
    [anon_sym_word] = ACTIONS(5321),
    [anon_sym_enum] = ACTIONS(5321),
    [anon_sym_class] = ACTIONS(5321),
    [anon_sym_struct] = ACTIONS(5321),
    [anon_sym_union] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5321),
    [anon_sym_decltype] = ACTIONS(5321),
    [anon_sym_explicit] = ACTIONS(5321),
    [anon_sym_typename] = ACTIONS(5321),
    [anon_sym_template] = ACTIONS(5321),
    [anon_sym_operator] = ACTIONS(5321),
    [anon_sym_friend] = ACTIONS(5321),
    [anon_sym_public] = ACTIONS(5321),
    [anon_sym_private] = ACTIONS(5321),
    [anon_sym_protected] = ACTIONS(5321),
    [anon_sym_using] = ACTIONS(5321),
    [anon_sym_static_assert] = ACTIONS(5321),
  },
  [2056] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [aux_sym_preproc_if_token2] = ACTIONS(4109),
    [aux_sym_preproc_else_token1] = ACTIONS(4109),
    [aux_sym_preproc_elif_token1] = ACTIONS(4117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5720),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5723),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5725),
    [anon_sym_SLASH_EQ] = ACTIONS(5725),
    [anon_sym_PERCENT_EQ] = ACTIONS(5725),
    [anon_sym_PLUS_EQ] = ACTIONS(5725),
    [anon_sym_DASH_EQ] = ACTIONS(5725),
    [anon_sym_LT_LT_EQ] = ACTIONS(5725),
    [anon_sym_GT_GT_EQ] = ACTIONS(5725),
    [anon_sym_AMP_EQ] = ACTIONS(5725),
    [anon_sym_CARET_EQ] = ACTIONS(5725),
    [anon_sym_PIPE_EQ] = ACTIONS(5725),
    [anon_sym_and_eq] = ACTIONS(5723),
    [anon_sym_or_eq] = ACTIONS(5723),
    [anon_sym_xor_eq] = ACTIONS(5723),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4117),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4117),
    [anon_sym_not_eq] = ACTIONS(4117),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token2] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(5325),
    [aux_sym_preproc_def_token1] = ACTIONS(5325),
    [aux_sym_preproc_if_token1] = ACTIONS(5325),
    [aux_sym_preproc_if_token2] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5325),
    [sym_preproc_directive] = ACTIONS(5325),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_TILDE] = ACTIONS(5327),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym___extension__] = ACTIONS(5325),
    [anon_sym_typedef] = ACTIONS(5325),
    [anon_sym_virtual] = ACTIONS(5325),
    [anon_sym_extern] = ACTIONS(5325),
    [anon_sym___attribute__] = ACTIONS(5325),
    [anon_sym___attribute] = ACTIONS(5325),
    [anon_sym_COLON_COLON] = ACTIONS(5327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5327),
    [anon_sym___declspec] = ACTIONS(5325),
    [anon_sym___based] = ACTIONS(5325),
    [anon_sym_signed] = ACTIONS(5325),
    [anon_sym_unsigned] = ACTIONS(5325),
    [anon_sym_long] = ACTIONS(5325),
    [anon_sym_short] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5325),
    [anon_sym_static] = ACTIONS(5325),
    [anon_sym_register] = ACTIONS(5325),
    [anon_sym_inline] = ACTIONS(5325),
    [anon_sym___inline] = ACTIONS(5325),
    [anon_sym___inline__] = ACTIONS(5325),
    [anon_sym___forceinline] = ACTIONS(5325),
    [anon_sym_thread_local] = ACTIONS(5325),
    [anon_sym___thread] = ACTIONS(5325),
    [anon_sym_const] = ACTIONS(5325),
    [anon_sym_constexpr] = ACTIONS(5325),
    [anon_sym_volatile] = ACTIONS(5325),
    [anon_sym_restrict] = ACTIONS(5325),
    [anon_sym___restrict__] = ACTIONS(5325),
    [anon_sym__Atomic] = ACTIONS(5325),
    [anon_sym__Noreturn] = ACTIONS(5325),
    [anon_sym_noreturn] = ACTIONS(5325),
    [anon_sym__Nonnull] = ACTIONS(5325),
    [anon_sym_mutable] = ACTIONS(5325),
    [anon_sym_constinit] = ACTIONS(5325),
    [anon_sym_consteval] = ACTIONS(5325),
    [anon_sym_PROGMEM] = ACTIONS(5325),
    [anon_sym_alignas] = ACTIONS(5325),
    [anon_sym__Alignas] = ACTIONS(5325),
    [aux_sym_primitive_type_token1] = ACTIONS(5325),
    [anon_sym_byte] = ACTIONS(5325),
    [anon_sym_word] = ACTIONS(5325),
    [anon_sym_enum] = ACTIONS(5325),
    [anon_sym_class] = ACTIONS(5325),
    [anon_sym_struct] = ACTIONS(5325),
    [anon_sym_union] = ACTIONS(5325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5325),
    [anon_sym_decltype] = ACTIONS(5325),
    [anon_sym_explicit] = ACTIONS(5325),
    [anon_sym_typename] = ACTIONS(5325),
    [anon_sym_template] = ACTIONS(5325),
    [anon_sym_operator] = ACTIONS(5325),
    [anon_sym_friend] = ACTIONS(5325),
    [anon_sym_public] = ACTIONS(5325),
    [anon_sym_private] = ACTIONS(5325),
    [anon_sym_protected] = ACTIONS(5325),
    [anon_sym_using] = ACTIONS(5325),
    [anon_sym_static_assert] = ACTIONS(5325),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(5281),
    [aux_sym_preproc_def_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token1] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5281),
    [sym_preproc_directive] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_typedef] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym___attribute] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym__Nonnull] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [anon_sym_PROGMEM] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym__Alignas] = ACTIONS(5281),
    [aux_sym_primitive_type_token1] = ACTIONS(5281),
    [anon_sym_byte] = ACTIONS(5281),
    [anon_sym_word] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_public] = ACTIONS(5281),
    [anon_sym_private] = ACTIONS(5281),
    [anon_sym_protected] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_static_assert] = ACTIONS(5281),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym___attribute] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym__Nonnull] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [anon_sym_PROGMEM] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym__Alignas] = ACTIONS(3146),
    [aux_sym_primitive_type_token1] = ACTIONS(3146),
    [anon_sym_byte] = ACTIONS(3146),
    [anon_sym_word] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5450),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym___attribute] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym__Nonnull] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [anon_sym_PROGMEM] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym__Alignas] = ACTIONS(5448),
    [aux_sym_primitive_type_token1] = ACTIONS(5448),
    [anon_sym_byte] = ACTIONS(5448),
    [anon_sym_word] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(5341),
    [aux_sym_preproc_def_token1] = ACTIONS(5341),
    [aux_sym_preproc_if_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5341),
    [sym_preproc_directive] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym_typedef] = ACTIONS(5341),
    [anon_sym_virtual] = ACTIONS(5341),
    [anon_sym_extern] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym___attribute] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(5343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5343),
    [anon_sym___declspec] = ACTIONS(5341),
    [anon_sym___based] = ACTIONS(5341),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5341),
    [anon_sym_unsigned] = ACTIONS(5341),
    [anon_sym_long] = ACTIONS(5341),
    [anon_sym_short] = ACTIONS(5341),
    [anon_sym_LBRACK] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5341),
    [anon_sym_register] = ACTIONS(5341),
    [anon_sym_inline] = ACTIONS(5341),
    [anon_sym___inline] = ACTIONS(5341),
    [anon_sym___inline__] = ACTIONS(5341),
    [anon_sym___forceinline] = ACTIONS(5341),
    [anon_sym_thread_local] = ACTIONS(5341),
    [anon_sym___thread] = ACTIONS(5341),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym__Nonnull] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [anon_sym_PROGMEM] = ACTIONS(5341),
    [anon_sym_alignas] = ACTIONS(5341),
    [anon_sym__Alignas] = ACTIONS(5341),
    [aux_sym_primitive_type_token1] = ACTIONS(5341),
    [anon_sym_byte] = ACTIONS(5341),
    [anon_sym_word] = ACTIONS(5341),
    [anon_sym_enum] = ACTIONS(5341),
    [anon_sym_class] = ACTIONS(5341),
    [anon_sym_struct] = ACTIONS(5341),
    [anon_sym_union] = ACTIONS(5341),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_explicit] = ACTIONS(5341),
    [anon_sym_typename] = ACTIONS(5341),
    [anon_sym_template] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5341),
    [anon_sym_friend] = ACTIONS(5341),
    [anon_sym_public] = ACTIONS(5341),
    [anon_sym_private] = ACTIONS(5341),
    [anon_sym_protected] = ACTIONS(5341),
    [anon_sym_using] = ACTIONS(5341),
    [anon_sym_static_assert] = ACTIONS(5341),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym___attribute] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym__Nonnull] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [anon_sym_PROGMEM] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym__Alignas] = ACTIONS(5456),
    [aux_sym_primitive_type_token1] = ACTIONS(5456),
    [anon_sym_byte] = ACTIONS(5456),
    [anon_sym_word] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym___attribute] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym__Nonnull] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [anon_sym_PROGMEM] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym__Alignas] = ACTIONS(2823),
    [aux_sym_primitive_type_token1] = ACTIONS(2823),
    [anon_sym_byte] = ACTIONS(2823),
    [anon_sym_word] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(5277),
    [aux_sym_preproc_def_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token1] = ACTIONS(5277),
    [aux_sym_preproc_if_token2] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5277),
    [sym_preproc_directive] = ACTIONS(5277),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_typedef] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym___attribute] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym__Nonnull] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [anon_sym_PROGMEM] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym__Alignas] = ACTIONS(5277),
    [aux_sym_primitive_type_token1] = ACTIONS(5277),
    [anon_sym_byte] = ACTIONS(5277),
    [anon_sym_word] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_public] = ACTIONS(5277),
    [anon_sym_private] = ACTIONS(5277),
    [anon_sym_protected] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_static_assert] = ACTIONS(5277),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5431),
    [aux_sym_preproc_def_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token1] = ACTIONS(5431),
    [aux_sym_preproc_if_token2] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5431),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5431),
    [sym_preproc_directive] = ACTIONS(5431),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(5433),
    [anon_sym_AMP_AMP] = ACTIONS(5433),
    [anon_sym_AMP] = ACTIONS(5431),
    [anon_sym_SEMI] = ACTIONS(5433),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_typedef] = ACTIONS(5431),
    [anon_sym_virtual] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5431),
    [anon_sym___attribute__] = ACTIONS(5431),
    [anon_sym___attribute] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(5433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5433),
    [anon_sym___declspec] = ACTIONS(5431),
    [anon_sym___based] = ACTIONS(5431),
    [anon_sym_signed] = ACTIONS(5431),
    [anon_sym_unsigned] = ACTIONS(5431),
    [anon_sym_long] = ACTIONS(5431),
    [anon_sym_short] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_static] = ACTIONS(5431),
    [anon_sym_register] = ACTIONS(5431),
    [anon_sym_inline] = ACTIONS(5431),
    [anon_sym___inline] = ACTIONS(5431),
    [anon_sym___inline__] = ACTIONS(5431),
    [anon_sym___forceinline] = ACTIONS(5431),
    [anon_sym_thread_local] = ACTIONS(5431),
    [anon_sym___thread] = ACTIONS(5431),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym__Nonnull] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [anon_sym_PROGMEM] = ACTIONS(5431),
    [anon_sym_alignas] = ACTIONS(5431),
    [anon_sym__Alignas] = ACTIONS(5431),
    [aux_sym_primitive_type_token1] = ACTIONS(5431),
    [anon_sym_byte] = ACTIONS(5431),
    [anon_sym_word] = ACTIONS(5431),
    [anon_sym_enum] = ACTIONS(5431),
    [anon_sym_class] = ACTIONS(5431),
    [anon_sym_struct] = ACTIONS(5431),
    [anon_sym_union] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5431),
    [anon_sym_decltype] = ACTIONS(5431),
    [anon_sym_explicit] = ACTIONS(5431),
    [anon_sym_typename] = ACTIONS(5431),
    [anon_sym_template] = ACTIONS(5431),
    [anon_sym_operator] = ACTIONS(5431),
    [anon_sym_friend] = ACTIONS(5431),
    [anon_sym_public] = ACTIONS(5431),
    [anon_sym_private] = ACTIONS(5431),
    [anon_sym_protected] = ACTIONS(5431),
    [anon_sym_using] = ACTIONS(5431),
    [anon_sym_static_assert] = ACTIONS(5431),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5435),
    [aux_sym_preproc_def_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token1] = ACTIONS(5435),
    [aux_sym_preproc_if_token2] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5435),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5435),
    [sym_preproc_directive] = ACTIONS(5435),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_TILDE] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_AMP_AMP] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5435),
    [anon_sym_typedef] = ACTIONS(5435),
    [anon_sym_virtual] = ACTIONS(5435),
    [anon_sym_extern] = ACTIONS(5435),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym___attribute] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5437),
    [anon_sym___declspec] = ACTIONS(5435),
    [anon_sym___based] = ACTIONS(5435),
    [anon_sym_signed] = ACTIONS(5435),
    [anon_sym_unsigned] = ACTIONS(5435),
    [anon_sym_long] = ACTIONS(5435),
    [anon_sym_short] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym_static] = ACTIONS(5435),
    [anon_sym_register] = ACTIONS(5435),
    [anon_sym_inline] = ACTIONS(5435),
    [anon_sym___inline] = ACTIONS(5435),
    [anon_sym___inline__] = ACTIONS(5435),
    [anon_sym___forceinline] = ACTIONS(5435),
    [anon_sym_thread_local] = ACTIONS(5435),
    [anon_sym___thread] = ACTIONS(5435),
    [anon_sym_const] = ACTIONS(5435),
    [anon_sym_constexpr] = ACTIONS(5435),
    [anon_sym_volatile] = ACTIONS(5435),
    [anon_sym_restrict] = ACTIONS(5435),
    [anon_sym___restrict__] = ACTIONS(5435),
    [anon_sym__Atomic] = ACTIONS(5435),
    [anon_sym__Noreturn] = ACTIONS(5435),
    [anon_sym_noreturn] = ACTIONS(5435),
    [anon_sym__Nonnull] = ACTIONS(5435),
    [anon_sym_mutable] = ACTIONS(5435),
    [anon_sym_constinit] = ACTIONS(5435),
    [anon_sym_consteval] = ACTIONS(5435),
    [anon_sym_PROGMEM] = ACTIONS(5435),
    [anon_sym_alignas] = ACTIONS(5435),
    [anon_sym__Alignas] = ACTIONS(5435),
    [aux_sym_primitive_type_token1] = ACTIONS(5435),
    [anon_sym_byte] = ACTIONS(5435),
    [anon_sym_word] = ACTIONS(5435),
    [anon_sym_enum] = ACTIONS(5435),
    [anon_sym_class] = ACTIONS(5435),
    [anon_sym_struct] = ACTIONS(5435),
    [anon_sym_union] = ACTIONS(5435),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5435),
    [anon_sym_decltype] = ACTIONS(5435),
    [anon_sym_explicit] = ACTIONS(5435),
    [anon_sym_typename] = ACTIONS(5435),
    [anon_sym_template] = ACTIONS(5435),
    [anon_sym_operator] = ACTIONS(5435),
    [anon_sym_friend] = ACTIONS(5435),
    [anon_sym_public] = ACTIONS(5435),
    [anon_sym_private] = ACTIONS(5435),
    [anon_sym_protected] = ACTIONS(5435),
    [anon_sym_using] = ACTIONS(5435),
    [anon_sym_static_assert] = ACTIONS(5435),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(2986),
    [aux_sym_preproc_def_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token1] = ACTIONS(2986),
    [aux_sym_preproc_if_token2] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2986),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2986),
    [sym_preproc_directive] = ACTIONS(2986),
    [anon_sym_LPAREN2] = ACTIONS(2988),
    [anon_sym_TILDE] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym___extension__] = ACTIONS(2986),
    [anon_sym_typedef] = ACTIONS(2986),
    [anon_sym_virtual] = ACTIONS(2986),
    [anon_sym_extern] = ACTIONS(2986),
    [anon_sym___attribute__] = ACTIONS(2986),
    [anon_sym___attribute] = ACTIONS(2986),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2988),
    [anon_sym___declspec] = ACTIONS(2986),
    [anon_sym___based] = ACTIONS(2986),
    [anon_sym_signed] = ACTIONS(2986),
    [anon_sym_unsigned] = ACTIONS(2986),
    [anon_sym_long] = ACTIONS(2986),
    [anon_sym_short] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2986),
    [anon_sym_static] = ACTIONS(2986),
    [anon_sym_register] = ACTIONS(2986),
    [anon_sym_inline] = ACTIONS(2986),
    [anon_sym___inline] = ACTIONS(2986),
    [anon_sym___inline__] = ACTIONS(2986),
    [anon_sym___forceinline] = ACTIONS(2986),
    [anon_sym_thread_local] = ACTIONS(2986),
    [anon_sym___thread] = ACTIONS(2986),
    [anon_sym_const] = ACTIONS(2986),
    [anon_sym_constexpr] = ACTIONS(2986),
    [anon_sym_volatile] = ACTIONS(2986),
    [anon_sym_restrict] = ACTIONS(2986),
    [anon_sym___restrict__] = ACTIONS(2986),
    [anon_sym__Atomic] = ACTIONS(2986),
    [anon_sym__Noreturn] = ACTIONS(2986),
    [anon_sym_noreturn] = ACTIONS(2986),
    [anon_sym__Nonnull] = ACTIONS(2986),
    [anon_sym_mutable] = ACTIONS(2986),
    [anon_sym_constinit] = ACTIONS(2986),
    [anon_sym_consteval] = ACTIONS(2986),
    [anon_sym_PROGMEM] = ACTIONS(2986),
    [anon_sym_alignas] = ACTIONS(2986),
    [anon_sym__Alignas] = ACTIONS(2986),
    [aux_sym_primitive_type_token1] = ACTIONS(2986),
    [anon_sym_byte] = ACTIONS(2986),
    [anon_sym_word] = ACTIONS(2986),
    [anon_sym_enum] = ACTIONS(2986),
    [anon_sym_class] = ACTIONS(2986),
    [anon_sym_struct] = ACTIONS(2986),
    [anon_sym_union] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2986),
    [anon_sym_decltype] = ACTIONS(2986),
    [anon_sym_explicit] = ACTIONS(2986),
    [anon_sym_typename] = ACTIONS(2986),
    [anon_sym_template] = ACTIONS(2986),
    [anon_sym_operator] = ACTIONS(2986),
    [anon_sym_friend] = ACTIONS(2986),
    [anon_sym_public] = ACTIONS(2986),
    [anon_sym_private] = ACTIONS(2986),
    [anon_sym_protected] = ACTIONS(2986),
    [anon_sym_using] = ACTIONS(2986),
    [anon_sym_static_assert] = ACTIONS(2986),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(2972),
    [aux_sym_preproc_def_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_if_token2] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [sym_preproc_directive] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2974),
    [anon_sym_TILDE] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym___extension__] = ACTIONS(2972),
    [anon_sym_typedef] = ACTIONS(2972),
    [anon_sym_virtual] = ACTIONS(2972),
    [anon_sym_extern] = ACTIONS(2972),
    [anon_sym___attribute__] = ACTIONS(2972),
    [anon_sym___attribute] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2974),
    [anon_sym___declspec] = ACTIONS(2972),
    [anon_sym___based] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2972),
    [anon_sym_unsigned] = ACTIONS(2972),
    [anon_sym_long] = ACTIONS(2972),
    [anon_sym_short] = ACTIONS(2972),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2972),
    [anon_sym_register] = ACTIONS(2972),
    [anon_sym_inline] = ACTIONS(2972),
    [anon_sym___inline] = ACTIONS(2972),
    [anon_sym___inline__] = ACTIONS(2972),
    [anon_sym___forceinline] = ACTIONS(2972),
    [anon_sym_thread_local] = ACTIONS(2972),
    [anon_sym___thread] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2972),
    [anon_sym_constexpr] = ACTIONS(2972),
    [anon_sym_volatile] = ACTIONS(2972),
    [anon_sym_restrict] = ACTIONS(2972),
    [anon_sym___restrict__] = ACTIONS(2972),
    [anon_sym__Atomic] = ACTIONS(2972),
    [anon_sym__Noreturn] = ACTIONS(2972),
    [anon_sym_noreturn] = ACTIONS(2972),
    [anon_sym__Nonnull] = ACTIONS(2972),
    [anon_sym_mutable] = ACTIONS(2972),
    [anon_sym_constinit] = ACTIONS(2972),
    [anon_sym_consteval] = ACTIONS(2972),
    [anon_sym_PROGMEM] = ACTIONS(2972),
    [anon_sym_alignas] = ACTIONS(2972),
    [anon_sym__Alignas] = ACTIONS(2972),
    [aux_sym_primitive_type_token1] = ACTIONS(2972),
    [anon_sym_byte] = ACTIONS(2972),
    [anon_sym_word] = ACTIONS(2972),
    [anon_sym_enum] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2972),
    [anon_sym_union] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2972),
    [anon_sym_decltype] = ACTIONS(2972),
    [anon_sym_explicit] = ACTIONS(2972),
    [anon_sym_typename] = ACTIONS(2972),
    [anon_sym_template] = ACTIONS(2972),
    [anon_sym_operator] = ACTIONS(2972),
    [anon_sym_friend] = ACTIONS(2972),
    [anon_sym_public] = ACTIONS(2972),
    [anon_sym_private] = ACTIONS(2972),
    [anon_sym_protected] = ACTIONS(2972),
    [anon_sym_using] = ACTIONS(2972),
    [anon_sym_static_assert] = ACTIONS(2972),
  },
  [2072] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4920),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(5727),
    [anon_sym_unsigned] = ACTIONS(5727),
    [anon_sym_long] = ACTIONS(5727),
    [anon_sym_short] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_GT2] = ACTIONS(4922),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [2073] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [anon_sym_RPAREN] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5730),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5730),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5730),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5730),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5730),
    [anon_sym_GT_GT] = ACTIONS(5730),
    [anon_sym_SEMI] = ACTIONS(5730),
    [anon_sym___extension__] = ACTIONS(5730),
    [anon_sym___attribute__] = ACTIONS(5730),
    [anon_sym___attribute] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_RBRACE] = ACTIONS(5730),
    [anon_sym_signed] = ACTIONS(5734),
    [anon_sym_unsigned] = ACTIONS(5734),
    [anon_sym_long] = ACTIONS(5734),
    [anon_sym_short] = ACTIONS(5734),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_RBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5730),
    [anon_sym_volatile] = ACTIONS(5730),
    [anon_sym_restrict] = ACTIONS(5730),
    [anon_sym___restrict__] = ACTIONS(5730),
    [anon_sym__Atomic] = ACTIONS(5730),
    [anon_sym__Noreturn] = ACTIONS(5730),
    [anon_sym_noreturn] = ACTIONS(5730),
    [anon_sym__Nonnull] = ACTIONS(5730),
    [anon_sym_mutable] = ACTIONS(5730),
    [anon_sym_constinit] = ACTIONS(5730),
    [anon_sym_consteval] = ACTIONS(5730),
    [anon_sym_PROGMEM] = ACTIONS(5730),
    [anon_sym_alignas] = ACTIONS(5730),
    [anon_sym__Alignas] = ACTIONS(5730),
    [anon_sym_COLON] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5730),
    [anon_sym_and] = ACTIONS(5730),
    [anon_sym_bitor] = ACTIONS(5730),
    [anon_sym_xor] = ACTIONS(5730),
    [anon_sym_bitand] = ACTIONS(5730),
    [anon_sym_not_eq] = ACTIONS(5730),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5730),
    [anon_sym_decltype] = ACTIONS(5730),
    [anon_sym_final] = ACTIONS(5730),
    [anon_sym_override] = ACTIONS(5730),
    [anon_sym_requires] = ACTIONS(5730),
  },
  [2074] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_RPAREN] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_RBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_RBRACK] = ACTIONS(5736),
    [anon_sym_const] = ACTIONS(5738),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym__Nonnull] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [anon_sym_PROGMEM] = ACTIONS(5736),
    [anon_sym_alignas] = ACTIONS(5736),
    [anon_sym__Alignas] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_final] = ACTIONS(5736),
    [anon_sym_override] = ACTIONS(5736),
    [anon_sym_requires] = ACTIONS(5736),
  },
  [2075] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_RPAREN] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5742),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5742),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5742),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5742),
    [anon_sym_GT_GT] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5742),
    [anon_sym___extension__] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(5742),
    [anon_sym___attribute] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_RBRACK] = ACTIONS(5742),
    [anon_sym_const] = ACTIONS(5744),
    [anon_sym_constexpr] = ACTIONS(5742),
    [anon_sym_volatile] = ACTIONS(5742),
    [anon_sym_restrict] = ACTIONS(5742),
    [anon_sym___restrict__] = ACTIONS(5742),
    [anon_sym__Atomic] = ACTIONS(5742),
    [anon_sym__Noreturn] = ACTIONS(5742),
    [anon_sym_noreturn] = ACTIONS(5742),
    [anon_sym__Nonnull] = ACTIONS(5742),
    [anon_sym_mutable] = ACTIONS(5742),
    [anon_sym_constinit] = ACTIONS(5742),
    [anon_sym_consteval] = ACTIONS(5742),
    [anon_sym_PROGMEM] = ACTIONS(5742),
    [anon_sym_alignas] = ACTIONS(5742),
    [anon_sym__Alignas] = ACTIONS(5742),
    [anon_sym_COLON] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5742),
    [anon_sym_and] = ACTIONS(5742),
    [anon_sym_bitor] = ACTIONS(5742),
    [anon_sym_xor] = ACTIONS(5742),
    [anon_sym_bitand] = ACTIONS(5742),
    [anon_sym_not_eq] = ACTIONS(5742),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5742),
    [anon_sym_decltype] = ACTIONS(5742),
    [anon_sym_final] = ACTIONS(5742),
    [anon_sym_override] = ACTIONS(5742),
    [anon_sym_requires] = ACTIONS(5742),
  },
  [2076] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5746),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5746),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5746),
    [anon_sym_GT_GT] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___extension__] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5746),
    [anon_sym___attribute] = ACTIONS(5748),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(5750),
    [anon_sym_unsigned] = ACTIONS(5750),
    [anon_sym_long] = ACTIONS(5750),
    [anon_sym_short] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5748),
    [anon_sym_constexpr] = ACTIONS(5746),
    [anon_sym_volatile] = ACTIONS(5746),
    [anon_sym_restrict] = ACTIONS(5746),
    [anon_sym___restrict__] = ACTIONS(5746),
    [anon_sym__Atomic] = ACTIONS(5746),
    [anon_sym__Noreturn] = ACTIONS(5746),
    [anon_sym_noreturn] = ACTIONS(5746),
    [anon_sym__Nonnull] = ACTIONS(5746),
    [anon_sym_mutable] = ACTIONS(5746),
    [anon_sym_constinit] = ACTIONS(5746),
    [anon_sym_consteval] = ACTIONS(5746),
    [anon_sym_PROGMEM] = ACTIONS(5746),
    [anon_sym_alignas] = ACTIONS(5746),
    [anon_sym__Alignas] = ACTIONS(5746),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5746),
    [anon_sym_and] = ACTIONS(5746),
    [anon_sym_bitor] = ACTIONS(5746),
    [anon_sym_xor] = ACTIONS(5746),
    [anon_sym_bitand] = ACTIONS(5746),
    [anon_sym_not_eq] = ACTIONS(5746),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5746),
    [anon_sym_decltype] = ACTIONS(5746),
    [anon_sym_final] = ACTIONS(5746),
    [anon_sym_override] = ACTIONS(5746),
    [anon_sym_requires] = ACTIONS(5746),
  },
  [2077] = {
    [sym_template_argument_list] = STATE(2094),
    [sym_identifier] = ACTIONS(5689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4133),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_RPAREN] = ACTIONS(4133),
    [aux_sym_preproc_if_token2] = ACTIONS(4133),
    [aux_sym_preproc_else_token1] = ACTIONS(4133),
    [aux_sym_preproc_elif_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4133),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(5689),
    [anon_sym_PLUS] = ACTIONS(5689),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_SLASH] = ACTIONS(5689),
    [anon_sym_PERCENT] = ACTIONS(5689),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_PIPE] = ACTIONS(5689),
    [anon_sym_CARET] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5689),
    [anon_sym_EQ_EQ] = ACTIONS(4133),
    [anon_sym_BANG_EQ] = ACTIONS(4133),
    [anon_sym_GT] = ACTIONS(5689),
    [anon_sym_GT_EQ] = ACTIONS(4133),
    [anon_sym_LT_EQ] = ACTIONS(5689),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5689),
    [anon_sym_GT_GT] = ACTIONS(5689),
    [anon_sym_SEMI] = ACTIONS(4133),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym___attribute] = ACTIONS(5689),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4133),
    [anon_sym_RBRACK] = ACTIONS(4133),
    [anon_sym_EQ] = ACTIONS(5689),
    [anon_sym_COLON] = ACTIONS(5689),
    [anon_sym_QMARK] = ACTIONS(4133),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(5689),
    [anon_sym_or_eq] = ACTIONS(5689),
    [anon_sym_xor_eq] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(4133),
    [anon_sym_or] = ACTIONS(5689),
    [anon_sym_and] = ACTIONS(5689),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5689),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(4133),
    [anon_sym_PLUS_PLUS] = ACTIONS(4133),
    [anon_sym_DOT] = ACTIONS(5689),
    [anon_sym_DOT_STAR] = ACTIONS(4133),
    [anon_sym_DASH_GT] = ACTIONS(4133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
    [anon_sym_final] = ACTIONS(5689),
    [anon_sym_override] = ACTIONS(5689),
  },
  [2078] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5754),
    [anon_sym_COMMA] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5756),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5754),
    [anon_sym_AMP_AMP] = ACTIONS(5754),
    [anon_sym_PIPE] = ACTIONS(5756),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym_EQ_EQ] = ACTIONS(5754),
    [anon_sym_BANG_EQ] = ACTIONS(5754),
    [anon_sym_GT] = ACTIONS(5756),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5756),
    [anon_sym_LT] = ACTIONS(5756),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5754),
    [anon_sym___extension__] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5756),
    [anon_sym_LBRACE] = ACTIONS(5754),
    [anon_sym_RBRACE] = ACTIONS(5754),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5754),
    [anon_sym_RBRACK] = ACTIONS(5754),
    [anon_sym_const] = ACTIONS(5756),
    [anon_sym_constexpr] = ACTIONS(5754),
    [anon_sym_volatile] = ACTIONS(5754),
    [anon_sym_restrict] = ACTIONS(5754),
    [anon_sym___restrict__] = ACTIONS(5754),
    [anon_sym__Atomic] = ACTIONS(5754),
    [anon_sym__Noreturn] = ACTIONS(5754),
    [anon_sym_noreturn] = ACTIONS(5754),
    [anon_sym__Nonnull] = ACTIONS(5754),
    [anon_sym_mutable] = ACTIONS(5754),
    [anon_sym_constinit] = ACTIONS(5754),
    [anon_sym_consteval] = ACTIONS(5754),
    [anon_sym_PROGMEM] = ACTIONS(5754),
    [anon_sym_alignas] = ACTIONS(5754),
    [anon_sym__Alignas] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5754),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5754),
    [anon_sym_PLUS_PLUS] = ACTIONS(5754),
    [anon_sym_DOT] = ACTIONS(5756),
    [anon_sym_DOT_STAR] = ACTIONS(5754),
    [anon_sym_DASH_GT] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
    [anon_sym_final] = ACTIONS(5754),
    [anon_sym_override] = ACTIONS(5754),
    [anon_sym_requires] = ACTIONS(5754),
  },
  [2079] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_RPAREN] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5758),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym__Nonnull] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [anon_sym_PROGMEM] = ACTIONS(5758),
    [anon_sym_alignas] = ACTIONS(5758),
    [anon_sym__Alignas] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_final] = ACTIONS(5758),
    [anon_sym_override] = ACTIONS(5758),
    [anon_sym_requires] = ACTIONS(5758),
  },
  [2080] = {
    [sym_argument_list] = STATE(2435),
    [sym_initializer_list] = STATE(2435),
    [sym_decltype_auto] = STATE(2294),
    [sym_new_declarator] = STATE(2207),
    [sym_identifier] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5762),
    [anon_sym___attribute] = ACTIONS(5762),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5764),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_STAR_EQ] = ACTIONS(5764),
    [anon_sym_SLASH_EQ] = ACTIONS(5764),
    [anon_sym_PERCENT_EQ] = ACTIONS(5764),
    [anon_sym_PLUS_EQ] = ACTIONS(5764),
    [anon_sym_DASH_EQ] = ACTIONS(5764),
    [anon_sym_LT_LT_EQ] = ACTIONS(5764),
    [anon_sym_GT_GT_EQ] = ACTIONS(5764),
    [anon_sym_AMP_EQ] = ACTIONS(5764),
    [anon_sym_CARET_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_and_eq] = ACTIONS(5762),
    [anon_sym_or_eq] = ACTIONS(5762),
    [anon_sym_xor_eq] = ACTIONS(5762),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5762),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5762),
    [anon_sym_not_eq] = ACTIONS(5762),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2081] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5774),
    [anon_sym_COMMA] = ACTIONS(5774),
    [anon_sym_RPAREN] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5776),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5774),
    [anon_sym_AMP_AMP] = ACTIONS(5774),
    [anon_sym_PIPE] = ACTIONS(5776),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5776),
    [anon_sym_EQ_EQ] = ACTIONS(5774),
    [anon_sym_BANG_EQ] = ACTIONS(5774),
    [anon_sym_GT] = ACTIONS(5776),
    [anon_sym_GT_EQ] = ACTIONS(5774),
    [anon_sym_LT_EQ] = ACTIONS(5776),
    [anon_sym_LT] = ACTIONS(5776),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5774),
    [anon_sym___extension__] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5776),
    [anon_sym_LBRACE] = ACTIONS(5774),
    [anon_sym_RBRACE] = ACTIONS(5774),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5774),
    [anon_sym_RBRACK] = ACTIONS(5774),
    [anon_sym_const] = ACTIONS(5776),
    [anon_sym_constexpr] = ACTIONS(5774),
    [anon_sym_volatile] = ACTIONS(5774),
    [anon_sym_restrict] = ACTIONS(5774),
    [anon_sym___restrict__] = ACTIONS(5774),
    [anon_sym__Atomic] = ACTIONS(5774),
    [anon_sym__Noreturn] = ACTIONS(5774),
    [anon_sym_noreturn] = ACTIONS(5774),
    [anon_sym__Nonnull] = ACTIONS(5774),
    [anon_sym_mutable] = ACTIONS(5774),
    [anon_sym_constinit] = ACTIONS(5774),
    [anon_sym_consteval] = ACTIONS(5774),
    [anon_sym_PROGMEM] = ACTIONS(5774),
    [anon_sym_alignas] = ACTIONS(5774),
    [anon_sym__Alignas] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5774),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5774),
    [anon_sym_PLUS_PLUS] = ACTIONS(5774),
    [anon_sym_DOT] = ACTIONS(5776),
    [anon_sym_DOT_STAR] = ACTIONS(5774),
    [anon_sym_DASH_GT] = ACTIONS(5774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
    [anon_sym_final] = ACTIONS(5774),
    [anon_sym_override] = ACTIONS(5774),
    [anon_sym_requires] = ACTIONS(5774),
  },
  [2082] = {
    [sym_argument_list] = STATE(2428),
    [sym_initializer_list] = STATE(2428),
    [sym_decltype_auto] = STATE(2294),
    [sym_new_declarator] = STATE(2204),
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [aux_sym_preproc_if_token2] = ACTIONS(5780),
    [aux_sym_preproc_else_token1] = ACTIONS(5780),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___attribute] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5780),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_STAR_EQ] = ACTIONS(5780),
    [anon_sym_SLASH_EQ] = ACTIONS(5780),
    [anon_sym_PERCENT_EQ] = ACTIONS(5780),
    [anon_sym_PLUS_EQ] = ACTIONS(5780),
    [anon_sym_DASH_EQ] = ACTIONS(5780),
    [anon_sym_LT_LT_EQ] = ACTIONS(5780),
    [anon_sym_GT_GT_EQ] = ACTIONS(5780),
    [anon_sym_AMP_EQ] = ACTIONS(5780),
    [anon_sym_CARET_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_and_eq] = ACTIONS(5778),
    [anon_sym_or_eq] = ACTIONS(5778),
    [anon_sym_xor_eq] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2083] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5441),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(5782),
    [anon_sym_unsigned] = ACTIONS(5782),
    [anon_sym_long] = ACTIONS(5782),
    [anon_sym_short] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5441),
    [anon_sym_volatile] = ACTIONS(5441),
    [anon_sym_restrict] = ACTIONS(5441),
    [anon_sym___restrict__] = ACTIONS(5441),
    [anon_sym__Atomic] = ACTIONS(5441),
    [anon_sym__Noreturn] = ACTIONS(5441),
    [anon_sym_noreturn] = ACTIONS(5441),
    [anon_sym__Nonnull] = ACTIONS(5441),
    [anon_sym_mutable] = ACTIONS(5441),
    [anon_sym_constinit] = ACTIONS(5441),
    [anon_sym_consteval] = ACTIONS(5441),
    [anon_sym_PROGMEM] = ACTIONS(5441),
    [anon_sym_alignas] = ACTIONS(5441),
    [anon_sym__Alignas] = ACTIONS(5441),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5441),
    [anon_sym_and] = ACTIONS(5441),
    [anon_sym_bitor] = ACTIONS(5441),
    [anon_sym_xor] = ACTIONS(5441),
    [anon_sym_bitand] = ACTIONS(5441),
    [anon_sym_not_eq] = ACTIONS(5441),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5441),
    [anon_sym_decltype] = ACTIONS(5441),
    [anon_sym_final] = ACTIONS(5441),
    [anon_sym_override] = ACTIONS(5441),
    [anon_sym_requires] = ACTIONS(5441),
  },
  [2084] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5786),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5786),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5786),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5786),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5786),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym___extension__] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5786),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_signed] = ACTIONS(5788),
    [anon_sym_unsigned] = ACTIONS(5788),
    [anon_sym_long] = ACTIONS(5788),
    [anon_sym_short] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_RBRACK] = ACTIONS(5784),
    [anon_sym_const] = ACTIONS(5786),
    [anon_sym_constexpr] = ACTIONS(5784),
    [anon_sym_volatile] = ACTIONS(5784),
    [anon_sym_restrict] = ACTIONS(5784),
    [anon_sym___restrict__] = ACTIONS(5784),
    [anon_sym__Atomic] = ACTIONS(5784),
    [anon_sym__Noreturn] = ACTIONS(5784),
    [anon_sym_noreturn] = ACTIONS(5784),
    [anon_sym__Nonnull] = ACTIONS(5784),
    [anon_sym_mutable] = ACTIONS(5784),
    [anon_sym_constinit] = ACTIONS(5784),
    [anon_sym_consteval] = ACTIONS(5784),
    [anon_sym_PROGMEM] = ACTIONS(5784),
    [anon_sym_alignas] = ACTIONS(5784),
    [anon_sym__Alignas] = ACTIONS(5784),
    [anon_sym_COLON] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
    [anon_sym_final] = ACTIONS(5784),
    [anon_sym_override] = ACTIONS(5784),
    [anon_sym_requires] = ACTIONS(5784),
  },
  [2085] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(5794),
    [anon_sym_unsigned] = ACTIONS(5794),
    [anon_sym_long] = ACTIONS(5794),
    [anon_sym_short] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_PROGMEM] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [2086] = {
    [sym_argument_list] = STATE(2524),
    [sym_initializer_list] = STATE(2524),
    [sym_decltype_auto] = STATE(2294),
    [sym_new_declarator] = STATE(2195),
    [sym_identifier] = ACTIONS(5796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5798),
    [anon_sym_COMMA] = ACTIONS(5798),
    [anon_sym_RPAREN] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5796),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_STAR] = ACTIONS(5796),
    [anon_sym_SLASH] = ACTIONS(5796),
    [anon_sym_PERCENT] = ACTIONS(5796),
    [anon_sym_PIPE_PIPE] = ACTIONS(5798),
    [anon_sym_AMP_AMP] = ACTIONS(5798),
    [anon_sym_PIPE] = ACTIONS(5796),
    [anon_sym_CARET] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5796),
    [anon_sym_EQ_EQ] = ACTIONS(5798),
    [anon_sym_BANG_EQ] = ACTIONS(5798),
    [anon_sym_GT] = ACTIONS(5796),
    [anon_sym_GT_EQ] = ACTIONS(5798),
    [anon_sym_LT_EQ] = ACTIONS(5796),
    [anon_sym_LT] = ACTIONS(5796),
    [anon_sym_LT_LT] = ACTIONS(5796),
    [anon_sym_GT_GT] = ACTIONS(5796),
    [anon_sym_SEMI] = ACTIONS(5798),
    [anon_sym___attribute__] = ACTIONS(5796),
    [anon_sym___attribute] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_EQ] = ACTIONS(5796),
    [anon_sym_COLON] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_STAR_EQ] = ACTIONS(5798),
    [anon_sym_SLASH_EQ] = ACTIONS(5798),
    [anon_sym_PERCENT_EQ] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(5798),
    [anon_sym_DASH_EQ] = ACTIONS(5798),
    [anon_sym_LT_LT_EQ] = ACTIONS(5798),
    [anon_sym_GT_GT_EQ] = ACTIONS(5798),
    [anon_sym_AMP_EQ] = ACTIONS(5798),
    [anon_sym_CARET_EQ] = ACTIONS(5798),
    [anon_sym_PIPE_EQ] = ACTIONS(5798),
    [anon_sym_and_eq] = ACTIONS(5796),
    [anon_sym_or_eq] = ACTIONS(5796),
    [anon_sym_xor_eq] = ACTIONS(5796),
    [anon_sym_LT_EQ_GT] = ACTIONS(5798),
    [anon_sym_or] = ACTIONS(5796),
    [anon_sym_and] = ACTIONS(5796),
    [anon_sym_bitor] = ACTIONS(5796),
    [anon_sym_xor] = ACTIONS(5796),
    [anon_sym_bitand] = ACTIONS(5796),
    [anon_sym_not_eq] = ACTIONS(5796),
    [anon_sym_DASH_DASH] = ACTIONS(5798),
    [anon_sym_PLUS_PLUS] = ACTIONS(5798),
    [anon_sym_DOT] = ACTIONS(5796),
    [anon_sym_DOT_STAR] = ACTIONS(5798),
    [anon_sym_DASH_GT] = ACTIONS(5798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2087] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5800),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_PROGMEM] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2088] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___extension__] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_const] = ACTIONS(5806),
    [anon_sym_constexpr] = ACTIONS(5804),
    [anon_sym_volatile] = ACTIONS(5804),
    [anon_sym_restrict] = ACTIONS(5804),
    [anon_sym___restrict__] = ACTIONS(5804),
    [anon_sym__Atomic] = ACTIONS(5804),
    [anon_sym__Noreturn] = ACTIONS(5804),
    [anon_sym_noreturn] = ACTIONS(5804),
    [anon_sym__Nonnull] = ACTIONS(5804),
    [anon_sym_mutable] = ACTIONS(5804),
    [anon_sym_constinit] = ACTIONS(5804),
    [anon_sym_consteval] = ACTIONS(5804),
    [anon_sym_PROGMEM] = ACTIONS(5804),
    [anon_sym_alignas] = ACTIONS(5804),
    [anon_sym__Alignas] = ACTIONS(5804),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
    [anon_sym_final] = ACTIONS(5804),
    [anon_sym_override] = ACTIONS(5804),
    [anon_sym_requires] = ACTIONS(5804),
  },
  [2089] = {
    [sym_template_argument_list] = STATE(2094),
    [sym_identifier] = ACTIONS(4859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_RPAREN] = ACTIONS(4866),
    [aux_sym_preproc_if_token2] = ACTIONS(4866),
    [aux_sym_preproc_else_token1] = ACTIONS(4866),
    [aux_sym_preproc_elif_token1] = ACTIONS(4859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4866),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4859),
    [anon_sym_PLUS] = ACTIONS(4859),
    [anon_sym_STAR] = ACTIONS(4859),
    [anon_sym_SLASH] = ACTIONS(4859),
    [anon_sym_PERCENT] = ACTIONS(4859),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_PIPE] = ACTIONS(4859),
    [anon_sym_CARET] = ACTIONS(4859),
    [anon_sym_AMP] = ACTIONS(4859),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4859),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4859),
    [anon_sym_LT] = ACTIONS(5808),
    [anon_sym_LT_LT] = ACTIONS(4859),
    [anon_sym_GT_GT] = ACTIONS(4859),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym___attribute__] = ACTIONS(4859),
    [anon_sym___attribute] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_RBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4859),
    [anon_sym_COLON] = ACTIONS(4859),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_and_eq] = ACTIONS(4859),
    [anon_sym_or_eq] = ACTIONS(4859),
    [anon_sym_xor_eq] = ACTIONS(4859),
    [anon_sym_LT_EQ_GT] = ACTIONS(4866),
    [anon_sym_or] = ACTIONS(4859),
    [anon_sym_and] = ACTIONS(4859),
    [anon_sym_bitor] = ACTIONS(4859),
    [anon_sym_xor] = ACTIONS(4859),
    [anon_sym_bitand] = ACTIONS(4859),
    [anon_sym_not_eq] = ACTIONS(4859),
    [anon_sym_DASH_DASH] = ACTIONS(4866),
    [anon_sym_PLUS_PLUS] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4859),
    [anon_sym_DOT_STAR] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4859),
    [anon_sym_decltype] = ACTIONS(4859),
    [anon_sym_final] = ACTIONS(4859),
    [anon_sym_override] = ACTIONS(4859),
  },
  [2090] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [anon_sym_RPAREN] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5593),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5593),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5593),
    [anon_sym_GT_GT] = ACTIONS(5593),
    [anon_sym_SEMI] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_RBRACE] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5782),
    [anon_sym_unsigned] = ACTIONS(5782),
    [anon_sym_long] = ACTIONS(5782),
    [anon_sym_short] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_RBRACK] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5591),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym__Nonnull] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym__Alignas] = ACTIONS(5593),
    [anon_sym_COLON] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5593),
    [anon_sym_and] = ACTIONS(5593),
    [anon_sym_bitor] = ACTIONS(5593),
    [anon_sym_xor] = ACTIONS(5593),
    [anon_sym_bitand] = ACTIONS(5593),
    [anon_sym_not_eq] = ACTIONS(5593),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_final] = ACTIONS(5593),
    [anon_sym_override] = ACTIONS(5593),
    [anon_sym_requires] = ACTIONS(5593),
  },
  [2091] = {
    [sym_argument_list] = STATE(2488),
    [sym_initializer_list] = STATE(2488),
    [sym_decltype_auto] = STATE(2294),
    [sym_new_declarator] = STATE(2293),
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [aux_sym_preproc_if_token2] = ACTIONS(5813),
    [aux_sym_preproc_else_token1] = ACTIONS(5813),
    [aux_sym_preproc_elif_token1] = ACTIONS(5811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5811),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5811),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5811),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5811),
    [anon_sym_GT_GT] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym___attribute] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_EQ] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_STAR_EQ] = ACTIONS(5813),
    [anon_sym_SLASH_EQ] = ACTIONS(5813),
    [anon_sym_PERCENT_EQ] = ACTIONS(5813),
    [anon_sym_PLUS_EQ] = ACTIONS(5813),
    [anon_sym_DASH_EQ] = ACTIONS(5813),
    [anon_sym_LT_LT_EQ] = ACTIONS(5813),
    [anon_sym_GT_GT_EQ] = ACTIONS(5813),
    [anon_sym_AMP_EQ] = ACTIONS(5813),
    [anon_sym_CARET_EQ] = ACTIONS(5813),
    [anon_sym_PIPE_EQ] = ACTIONS(5813),
    [anon_sym_and_eq] = ACTIONS(5811),
    [anon_sym_or_eq] = ACTIONS(5811),
    [anon_sym_xor_eq] = ACTIONS(5811),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_STAR_EQ] = ACTIONS(5559),
    [anon_sym_SLASH_EQ] = ACTIONS(5559),
    [anon_sym_PERCENT_EQ] = ACTIONS(5559),
    [anon_sym_PLUS_EQ] = ACTIONS(5559),
    [anon_sym_DASH_EQ] = ACTIONS(5559),
    [anon_sym_LT_LT_EQ] = ACTIONS(5559),
    [anon_sym_GT_GT_EQ] = ACTIONS(5559),
    [anon_sym_AMP_EQ] = ACTIONS(5559),
    [anon_sym_CARET_EQ] = ACTIONS(5559),
    [anon_sym_PIPE_EQ] = ACTIONS(5559),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2093] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4880),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4887),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4880),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4887),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym___extension__] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4883),
    [anon_sym_volatile] = ACTIONS(4883),
    [anon_sym_restrict] = ACTIONS(4883),
    [anon_sym___restrict__] = ACTIONS(4883),
    [anon_sym__Atomic] = ACTIONS(4883),
    [anon_sym__Noreturn] = ACTIONS(4883),
    [anon_sym_noreturn] = ACTIONS(4883),
    [anon_sym__Nonnull] = ACTIONS(4883),
    [anon_sym_mutable] = ACTIONS(4883),
    [anon_sym_constinit] = ACTIONS(4883),
    [anon_sym_consteval] = ACTIONS(4883),
    [anon_sym_PROGMEM] = ACTIONS(4883),
    [anon_sym_alignas] = ACTIONS(4883),
    [anon_sym__Alignas] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(4883),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym___attribute] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4857),
    [anon_sym_STAR] = ACTIONS(4857),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym___attribute] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_signed] = ACTIONS(4855),
    [anon_sym_unsigned] = ACTIONS(4855),
    [anon_sym_long] = ACTIONS(4855),
    [anon_sym_short] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_PROGMEM] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [aux_sym_primitive_type_token1] = ACTIONS(4855),
    [anon_sym_byte] = ACTIONS(4855),
    [anon_sym_word] = ACTIONS(4855),
    [anon_sym_enum] = ACTIONS(4855),
    [anon_sym_class] = ACTIONS(4855),
    [anon_sym_struct] = ACTIONS(4855),
    [anon_sym_union] = ACTIONS(4855),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_explicit] = ACTIONS(4855),
    [anon_sym_typename] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_friend] = ACTIONS(4855),
    [anon_sym_using] = ACTIONS(4855),
    [anon_sym_concept] = ACTIONS(4855),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym___attribute] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_PROGMEM] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [aux_sym_primitive_type_token1] = ACTIONS(4851),
    [anon_sym_byte] = ACTIONS(4851),
    [anon_sym_word] = ACTIONS(4851),
    [anon_sym_enum] = ACTIONS(4851),
    [anon_sym_class] = ACTIONS(4851),
    [anon_sym_struct] = ACTIONS(4851),
    [anon_sym_union] = ACTIONS(4851),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_explicit] = ACTIONS(4851),
    [anon_sym_typename] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_friend] = ACTIONS(4851),
    [anon_sym_using] = ACTIONS(4851),
    [anon_sym_concept] = ACTIONS(4851),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_concept] = ACTIONS(5289),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_concept] = ACTIONS(5289),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(4817),
    [anon_sym_LPAREN2] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4819),
    [anon_sym_STAR] = ACTIONS(4819),
    [anon_sym_PIPE_PIPE] = ACTIONS(4819),
    [anon_sym_AMP_AMP] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(4817),
    [anon_sym_virtual] = ACTIONS(4817),
    [anon_sym_extern] = ACTIONS(4817),
    [anon_sym___attribute__] = ACTIONS(4817),
    [anon_sym___attribute] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(4819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4819),
    [anon_sym___declspec] = ACTIONS(4817),
    [anon_sym___based] = ACTIONS(4817),
    [anon_sym___cdecl] = ACTIONS(4817),
    [anon_sym___clrcall] = ACTIONS(4817),
    [anon_sym___stdcall] = ACTIONS(4817),
    [anon_sym___fastcall] = ACTIONS(4817),
    [anon_sym___thiscall] = ACTIONS(4817),
    [anon_sym___vectorcall] = ACTIONS(4817),
    [anon_sym_signed] = ACTIONS(4817),
    [anon_sym_unsigned] = ACTIONS(4817),
    [anon_sym_long] = ACTIONS(4817),
    [anon_sym_short] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_static] = ACTIONS(4817),
    [anon_sym_register] = ACTIONS(4817),
    [anon_sym_inline] = ACTIONS(4817),
    [anon_sym___inline] = ACTIONS(4817),
    [anon_sym___inline__] = ACTIONS(4817),
    [anon_sym___forceinline] = ACTIONS(4817),
    [anon_sym_thread_local] = ACTIONS(4817),
    [anon_sym___thread] = ACTIONS(4817),
    [anon_sym_const] = ACTIONS(4817),
    [anon_sym_constexpr] = ACTIONS(4817),
    [anon_sym_volatile] = ACTIONS(4817),
    [anon_sym_restrict] = ACTIONS(4817),
    [anon_sym___restrict__] = ACTIONS(4817),
    [anon_sym__Atomic] = ACTIONS(4817),
    [anon_sym__Noreturn] = ACTIONS(4817),
    [anon_sym_noreturn] = ACTIONS(4817),
    [anon_sym__Nonnull] = ACTIONS(4817),
    [anon_sym_mutable] = ACTIONS(4817),
    [anon_sym_constinit] = ACTIONS(4817),
    [anon_sym_consteval] = ACTIONS(4817),
    [anon_sym_PROGMEM] = ACTIONS(4817),
    [anon_sym_alignas] = ACTIONS(4817),
    [anon_sym__Alignas] = ACTIONS(4817),
    [aux_sym_primitive_type_token1] = ACTIONS(4817),
    [anon_sym_byte] = ACTIONS(4817),
    [anon_sym_word] = ACTIONS(4817),
    [anon_sym_enum] = ACTIONS(4817),
    [anon_sym_class] = ACTIONS(4817),
    [anon_sym_struct] = ACTIONS(4817),
    [anon_sym_union] = ACTIONS(4817),
    [anon_sym_or] = ACTIONS(4817),
    [anon_sym_and] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4817),
    [anon_sym_decltype] = ACTIONS(4817),
    [anon_sym_explicit] = ACTIONS(4817),
    [anon_sym_typename] = ACTIONS(4817),
    [anon_sym_template] = ACTIONS(4817),
    [anon_sym_operator] = ACTIONS(4817),
    [anon_sym_friend] = ACTIONS(4817),
    [anon_sym_using] = ACTIONS(4817),
    [anon_sym_concept] = ACTIONS(4817),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym___cdecl] = ACTIONS(5464),
    [anon_sym___clrcall] = ACTIONS(5464),
    [anon_sym___stdcall] = ACTIONS(5464),
    [anon_sym___fastcall] = ACTIONS(5464),
    [anon_sym___thiscall] = ACTIONS(5464),
    [anon_sym___vectorcall] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [aux_sym_primitive_type_token1] = ACTIONS(5464),
    [anon_sym_byte] = ACTIONS(5464),
    [anon_sym_word] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5464),
    [anon_sym_and] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_concept] = ACTIONS(5464),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(4821),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_STAR] = ACTIONS(4823),
    [anon_sym_PIPE_PIPE] = ACTIONS(4823),
    [anon_sym_AMP_AMP] = ACTIONS(4823),
    [anon_sym_AMP] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(4821),
    [anon_sym_virtual] = ACTIONS(4821),
    [anon_sym_extern] = ACTIONS(4821),
    [anon_sym___attribute__] = ACTIONS(4821),
    [anon_sym___attribute] = ACTIONS(4821),
    [anon_sym_COLON_COLON] = ACTIONS(4823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4823),
    [anon_sym___declspec] = ACTIONS(4821),
    [anon_sym___based] = ACTIONS(4821),
    [anon_sym___cdecl] = ACTIONS(4821),
    [anon_sym___clrcall] = ACTIONS(4821),
    [anon_sym___stdcall] = ACTIONS(4821),
    [anon_sym___fastcall] = ACTIONS(4821),
    [anon_sym___thiscall] = ACTIONS(4821),
    [anon_sym___vectorcall] = ACTIONS(4821),
    [anon_sym_signed] = ACTIONS(4821),
    [anon_sym_unsigned] = ACTIONS(4821),
    [anon_sym_long] = ACTIONS(4821),
    [anon_sym_short] = ACTIONS(4821),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4821),
    [anon_sym_register] = ACTIONS(4821),
    [anon_sym_inline] = ACTIONS(4821),
    [anon_sym___inline] = ACTIONS(4821),
    [anon_sym___inline__] = ACTIONS(4821),
    [anon_sym___forceinline] = ACTIONS(4821),
    [anon_sym_thread_local] = ACTIONS(4821),
    [anon_sym___thread] = ACTIONS(4821),
    [anon_sym_const] = ACTIONS(4821),
    [anon_sym_constexpr] = ACTIONS(4821),
    [anon_sym_volatile] = ACTIONS(4821),
    [anon_sym_restrict] = ACTIONS(4821),
    [anon_sym___restrict__] = ACTIONS(4821),
    [anon_sym__Atomic] = ACTIONS(4821),
    [anon_sym__Noreturn] = ACTIONS(4821),
    [anon_sym_noreturn] = ACTIONS(4821),
    [anon_sym__Nonnull] = ACTIONS(4821),
    [anon_sym_mutable] = ACTIONS(4821),
    [anon_sym_constinit] = ACTIONS(4821),
    [anon_sym_consteval] = ACTIONS(4821),
    [anon_sym_PROGMEM] = ACTIONS(4821),
    [anon_sym_alignas] = ACTIONS(4821),
    [anon_sym__Alignas] = ACTIONS(4821),
    [aux_sym_primitive_type_token1] = ACTIONS(4821),
    [anon_sym_byte] = ACTIONS(4821),
    [anon_sym_word] = ACTIONS(4821),
    [anon_sym_enum] = ACTIONS(4821),
    [anon_sym_class] = ACTIONS(4821),
    [anon_sym_struct] = ACTIONS(4821),
    [anon_sym_union] = ACTIONS(4821),
    [anon_sym_or] = ACTIONS(4821),
    [anon_sym_and] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4821),
    [anon_sym_decltype] = ACTIONS(4821),
    [anon_sym_explicit] = ACTIONS(4821),
    [anon_sym_typename] = ACTIONS(4821),
    [anon_sym_template] = ACTIONS(4821),
    [anon_sym_operator] = ACTIONS(4821),
    [anon_sym_friend] = ACTIONS(4821),
    [anon_sym_using] = ACTIONS(4821),
    [anon_sym_concept] = ACTIONS(4821),
  },
  [2102] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(2115),
    [sym__declarator] = STATE(6291),
    [sym__abstract_declarator] = STATE(6575),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2611),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(3231),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2611),
    [aux_sym_pointer_declarator_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5815),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___attribute] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(5709),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_LPAREN2] = ACTIONS(1966),
    [anon_sym_TILDE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym___extension__] = ACTIONS(1968),
    [anon_sym_virtual] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym___attribute__] = ACTIONS(1968),
    [anon_sym___attribute] = ACTIONS(1968),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1966),
    [anon_sym___declspec] = ACTIONS(1968),
    [anon_sym___based] = ACTIONS(1968),
    [anon_sym___cdecl] = ACTIONS(1968),
    [anon_sym___clrcall] = ACTIONS(1968),
    [anon_sym___stdcall] = ACTIONS(1968),
    [anon_sym___fastcall] = ACTIONS(1968),
    [anon_sym___thiscall] = ACTIONS(1968),
    [anon_sym___vectorcall] = ACTIONS(1968),
    [anon_sym_signed] = ACTIONS(1968),
    [anon_sym_unsigned] = ACTIONS(1968),
    [anon_sym_long] = ACTIONS(1968),
    [anon_sym_short] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_register] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1968),
    [anon_sym___inline] = ACTIONS(1968),
    [anon_sym___inline__] = ACTIONS(1968),
    [anon_sym___forceinline] = ACTIONS(1968),
    [anon_sym_thread_local] = ACTIONS(1968),
    [anon_sym___thread] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_constexpr] = ACTIONS(1968),
    [anon_sym_volatile] = ACTIONS(1968),
    [anon_sym_restrict] = ACTIONS(1968),
    [anon_sym___restrict__] = ACTIONS(1968),
    [anon_sym__Atomic] = ACTIONS(1968),
    [anon_sym__Noreturn] = ACTIONS(1968),
    [anon_sym_noreturn] = ACTIONS(1968),
    [anon_sym__Nonnull] = ACTIONS(1968),
    [anon_sym_mutable] = ACTIONS(1968),
    [anon_sym_constinit] = ACTIONS(1968),
    [anon_sym_consteval] = ACTIONS(1968),
    [anon_sym_PROGMEM] = ACTIONS(1968),
    [anon_sym_alignas] = ACTIONS(1968),
    [anon_sym__Alignas] = ACTIONS(1968),
    [aux_sym_primitive_type_token1] = ACTIONS(1968),
    [anon_sym_byte] = ACTIONS(1968),
    [anon_sym_word] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_and] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1968),
    [anon_sym_decltype] = ACTIONS(1968),
    [anon_sym_explicit] = ACTIONS(1968),
    [anon_sym_typename] = ACTIONS(1968),
    [anon_sym_template] = ACTIONS(1968),
    [anon_sym_operator] = ACTIONS(1968),
    [anon_sym_friend] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1968),
    [anon_sym_concept] = ACTIONS(1968),
  },
  [2104] = {
    [sym_type_qualifier] = STATE(2123),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_primitive_type] = STATE(2546),
    [aux_sym__type_definition_type_repeat1] = STATE(2123),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2335),
    [sym_identifier] = ACTIONS(5821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4964),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_TILDE] = ACTIONS(4964),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_AMP_AMP] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(5824),
    [anon_sym_virtual] = ACTIONS(4966),
    [anon_sym_extern] = ACTIONS(4966),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_COLON_COLON] = ACTIONS(4964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4964),
    [anon_sym___declspec] = ACTIONS(4966),
    [anon_sym___based] = ACTIONS(4966),
    [anon_sym___cdecl] = ACTIONS(4966),
    [anon_sym___clrcall] = ACTIONS(4966),
    [anon_sym___stdcall] = ACTIONS(4966),
    [anon_sym___fastcall] = ACTIONS(4966),
    [anon_sym___thiscall] = ACTIONS(4966),
    [anon_sym___vectorcall] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(5827),
    [anon_sym_unsigned] = ACTIONS(5827),
    [anon_sym_long] = ACTIONS(5827),
    [anon_sym_short] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(4966),
    [anon_sym_static] = ACTIONS(4966),
    [anon_sym_EQ] = ACTIONS(4964),
    [anon_sym_register] = ACTIONS(4966),
    [anon_sym_inline] = ACTIONS(4966),
    [anon_sym___inline] = ACTIONS(4966),
    [anon_sym___inline__] = ACTIONS(4966),
    [anon_sym___forceinline] = ACTIONS(4966),
    [anon_sym_thread_local] = ACTIONS(4966),
    [anon_sym___thread] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(5824),
    [anon_sym_constexpr] = ACTIONS(5824),
    [anon_sym_volatile] = ACTIONS(5824),
    [anon_sym_restrict] = ACTIONS(5824),
    [anon_sym___restrict__] = ACTIONS(5824),
    [anon_sym__Atomic] = ACTIONS(5824),
    [anon_sym__Noreturn] = ACTIONS(5824),
    [anon_sym_noreturn] = ACTIONS(5824),
    [anon_sym__Nonnull] = ACTIONS(5824),
    [anon_sym_mutable] = ACTIONS(5824),
    [anon_sym_constinit] = ACTIONS(5824),
    [anon_sym_consteval] = ACTIONS(5824),
    [anon_sym_PROGMEM] = ACTIONS(5824),
    [anon_sym_alignas] = ACTIONS(5829),
    [anon_sym__Alignas] = ACTIONS(5829),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(4966),
    [anon_sym_template] = ACTIONS(4966),
    [anon_sym_GT2] = ACTIONS(4964),
    [anon_sym_operator] = ACTIONS(4966),
  },
  [2105] = {
    [sym_string_literal] = STATE(1679),
    [sym_raw_string_literal] = STATE(1679),
    [sym_identifier] = ACTIONS(5832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5834),
    [anon_sym_COMMA] = ACTIONS(5834),
    [aux_sym_preproc_if_token2] = ACTIONS(5834),
    [aux_sym_preproc_else_token1] = ACTIONS(5834),
    [aux_sym_preproc_elif_token1] = ACTIONS(5832),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5834),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5834),
    [anon_sym_LPAREN2] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5832),
    [anon_sym_STAR] = ACTIONS(5832),
    [anon_sym_SLASH] = ACTIONS(5832),
    [anon_sym_PERCENT] = ACTIONS(5832),
    [anon_sym_PIPE_PIPE] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5832),
    [anon_sym_CARET] = ACTIONS(5832),
    [anon_sym_AMP] = ACTIONS(5832),
    [anon_sym_EQ_EQ] = ACTIONS(5834),
    [anon_sym_BANG_EQ] = ACTIONS(5834),
    [anon_sym_GT] = ACTIONS(5832),
    [anon_sym_GT_EQ] = ACTIONS(5834),
    [anon_sym_LT_EQ] = ACTIONS(5832),
    [anon_sym_LT] = ACTIONS(5832),
    [anon_sym_LT_LT] = ACTIONS(5832),
    [anon_sym_GT_GT] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5834),
    [anon_sym_EQ] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5834),
    [anon_sym_STAR_EQ] = ACTIONS(5834),
    [anon_sym_SLASH_EQ] = ACTIONS(5834),
    [anon_sym_PERCENT_EQ] = ACTIONS(5834),
    [anon_sym_PLUS_EQ] = ACTIONS(5834),
    [anon_sym_DASH_EQ] = ACTIONS(5834),
    [anon_sym_LT_LT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_AMP_EQ] = ACTIONS(5834),
    [anon_sym_CARET_EQ] = ACTIONS(5834),
    [anon_sym_PIPE_EQ] = ACTIONS(5834),
    [anon_sym_and_eq] = ACTIONS(5832),
    [anon_sym_or_eq] = ACTIONS(5832),
    [anon_sym_xor_eq] = ACTIONS(5832),
    [anon_sym_LT_EQ_GT] = ACTIONS(5834),
    [anon_sym_or] = ACTIONS(5832),
    [anon_sym_and] = ACTIONS(5832),
    [anon_sym_bitor] = ACTIONS(5832),
    [anon_sym_xor] = ACTIONS(5832),
    [anon_sym_bitand] = ACTIONS(5832),
    [anon_sym_not_eq] = ACTIONS(5832),
    [anon_sym_DASH_DASH] = ACTIONS(5834),
    [anon_sym_PLUS_PLUS] = ACTIONS(5834),
    [anon_sym_DOT] = ACTIONS(5832),
    [anon_sym_DOT_STAR] = ACTIONS(5834),
    [anon_sym_DASH_GT] = ACTIONS(5834),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [sym_literal_suffix] = ACTIONS(5832),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(2465),
    [anon_sym_LPAREN2] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_STAR] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_PERCENT] = ACTIONS(2465),
    [anon_sym_PIPE_PIPE] = ACTIONS(2465),
    [anon_sym_AMP_AMP] = ACTIONS(2465),
    [anon_sym_PIPE] = ACTIONS(2475),
    [anon_sym_CARET] = ACTIONS(2465),
    [anon_sym_AMP] = ACTIONS(2475),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_GT_EQ] = ACTIONS(2475),
    [anon_sym_LT_EQ] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_LT_LT] = ACTIONS(2465),
    [anon_sym_GT_GT] = ACTIONS(2475),
    [anon_sym___extension__] = ACTIONS(2475),
    [anon_sym___attribute__] = ACTIONS(2475),
    [anon_sym___attribute] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_signed] = ACTIONS(2475),
    [anon_sym_unsigned] = ACTIONS(2475),
    [anon_sym_long] = ACTIONS(2475),
    [anon_sym_short] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_constexpr] = ACTIONS(2475),
    [anon_sym_volatile] = ACTIONS(2475),
    [anon_sym_restrict] = ACTIONS(2475),
    [anon_sym___restrict__] = ACTIONS(2475),
    [anon_sym__Atomic] = ACTIONS(2475),
    [anon_sym__Noreturn] = ACTIONS(2475),
    [anon_sym_noreturn] = ACTIONS(2475),
    [anon_sym__Nonnull] = ACTIONS(2475),
    [anon_sym_mutable] = ACTIONS(2475),
    [anon_sym_constinit] = ACTIONS(2475),
    [anon_sym_consteval] = ACTIONS(2475),
    [anon_sym_PROGMEM] = ACTIONS(2475),
    [anon_sym_alignas] = ACTIONS(2475),
    [anon_sym__Alignas] = ACTIONS(2475),
    [aux_sym_primitive_type_token1] = ACTIONS(2475),
    [anon_sym_byte] = ACTIONS(2475),
    [anon_sym_word] = ACTIONS(2475),
    [anon_sym_QMARK] = ACTIONS(2465),
    [anon_sym_LT_EQ_GT] = ACTIONS(2465),
    [anon_sym_or] = ACTIONS(2475),
    [anon_sym_and] = ACTIONS(2475),
    [anon_sym_bitor] = ACTIONS(2475),
    [anon_sym_xor] = ACTIONS(2475),
    [anon_sym_bitand] = ACTIONS(2475),
    [anon_sym_not_eq] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_DOT_STAR] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2475),
    [anon_sym_decltype] = ACTIONS(2475),
    [anon_sym_final] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_GT2] = ACTIONS(2465),
    [anon_sym_requires] = ACTIONS(2475),
  },
  [2107] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(3809),
    [sym__declarator] = STATE(6232),
    [sym__abstract_declarator] = STATE(6594),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2679),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(3121),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2679),
    [aux_sym_pointer_declarator_repeat1] = STATE(3809),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5836),
    [anon_sym_AMP_AMP] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym___attribute] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_TILDE] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5408),
    [anon_sym_AMP_AMP] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5406),
    [anon_sym_virtual] = ACTIONS(5406),
    [anon_sym_extern] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5406),
    [anon_sym___attribute] = ACTIONS(5406),
    [anon_sym_COLON_COLON] = ACTIONS(5408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5408),
    [anon_sym___declspec] = ACTIONS(5406),
    [anon_sym___based] = ACTIONS(5406),
    [anon_sym___cdecl] = ACTIONS(5406),
    [anon_sym___clrcall] = ACTIONS(5406),
    [anon_sym___stdcall] = ACTIONS(5406),
    [anon_sym___fastcall] = ACTIONS(5406),
    [anon_sym___thiscall] = ACTIONS(5406),
    [anon_sym___vectorcall] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5406),
    [anon_sym_unsigned] = ACTIONS(5406),
    [anon_sym_long] = ACTIONS(5406),
    [anon_sym_short] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_static] = ACTIONS(5406),
    [anon_sym_register] = ACTIONS(5406),
    [anon_sym_inline] = ACTIONS(5406),
    [anon_sym___inline] = ACTIONS(5406),
    [anon_sym___inline__] = ACTIONS(5406),
    [anon_sym___forceinline] = ACTIONS(5406),
    [anon_sym_thread_local] = ACTIONS(5406),
    [anon_sym___thread] = ACTIONS(5406),
    [anon_sym_const] = ACTIONS(5406),
    [anon_sym_constexpr] = ACTIONS(5406),
    [anon_sym_volatile] = ACTIONS(5406),
    [anon_sym_restrict] = ACTIONS(5406),
    [anon_sym___restrict__] = ACTIONS(5406),
    [anon_sym__Atomic] = ACTIONS(5406),
    [anon_sym__Noreturn] = ACTIONS(5406),
    [anon_sym_noreturn] = ACTIONS(5406),
    [anon_sym__Nonnull] = ACTIONS(5406),
    [anon_sym_mutable] = ACTIONS(5406),
    [anon_sym_constinit] = ACTIONS(5406),
    [anon_sym_consteval] = ACTIONS(5406),
    [anon_sym_PROGMEM] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(5406),
    [anon_sym__Alignas] = ACTIONS(5406),
    [aux_sym_primitive_type_token1] = ACTIONS(5406),
    [anon_sym_byte] = ACTIONS(5406),
    [anon_sym_word] = ACTIONS(5406),
    [anon_sym_enum] = ACTIONS(5406),
    [anon_sym_class] = ACTIONS(5406),
    [anon_sym_struct] = ACTIONS(5406),
    [anon_sym_union] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5406),
    [anon_sym_and] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5406),
    [anon_sym_decltype] = ACTIONS(5406),
    [anon_sym_explicit] = ACTIONS(5406),
    [anon_sym_typename] = ACTIONS(5406),
    [anon_sym_template] = ACTIONS(5406),
    [anon_sym_operator] = ACTIONS(5406),
    [anon_sym_friend] = ACTIONS(5406),
    [anon_sym_using] = ACTIONS(5406),
    [anon_sym_concept] = ACTIONS(5406),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_TILDE] = ACTIONS(4827),
    [anon_sym_STAR] = ACTIONS(4827),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4827),
    [anon_sym_AMP] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(4825),
    [anon_sym_virtual] = ACTIONS(4825),
    [anon_sym_extern] = ACTIONS(4825),
    [anon_sym___attribute__] = ACTIONS(4825),
    [anon_sym___attribute] = ACTIONS(4825),
    [anon_sym_COLON_COLON] = ACTIONS(4827),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4827),
    [anon_sym___declspec] = ACTIONS(4825),
    [anon_sym___based] = ACTIONS(4825),
    [anon_sym___cdecl] = ACTIONS(4825),
    [anon_sym___clrcall] = ACTIONS(4825),
    [anon_sym___stdcall] = ACTIONS(4825),
    [anon_sym___fastcall] = ACTIONS(4825),
    [anon_sym___thiscall] = ACTIONS(4825),
    [anon_sym___vectorcall] = ACTIONS(4825),
    [anon_sym_signed] = ACTIONS(4825),
    [anon_sym_unsigned] = ACTIONS(4825),
    [anon_sym_long] = ACTIONS(4825),
    [anon_sym_short] = ACTIONS(4825),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [anon_sym_static] = ACTIONS(4825),
    [anon_sym_register] = ACTIONS(4825),
    [anon_sym_inline] = ACTIONS(4825),
    [anon_sym___inline] = ACTIONS(4825),
    [anon_sym___inline__] = ACTIONS(4825),
    [anon_sym___forceinline] = ACTIONS(4825),
    [anon_sym_thread_local] = ACTIONS(4825),
    [anon_sym___thread] = ACTIONS(4825),
    [anon_sym_const] = ACTIONS(4825),
    [anon_sym_constexpr] = ACTIONS(4825),
    [anon_sym_volatile] = ACTIONS(4825),
    [anon_sym_restrict] = ACTIONS(4825),
    [anon_sym___restrict__] = ACTIONS(4825),
    [anon_sym__Atomic] = ACTIONS(4825),
    [anon_sym__Noreturn] = ACTIONS(4825),
    [anon_sym_noreturn] = ACTIONS(4825),
    [anon_sym__Nonnull] = ACTIONS(4825),
    [anon_sym_mutable] = ACTIONS(4825),
    [anon_sym_constinit] = ACTIONS(4825),
    [anon_sym_consteval] = ACTIONS(4825),
    [anon_sym_PROGMEM] = ACTIONS(4825),
    [anon_sym_alignas] = ACTIONS(4825),
    [anon_sym__Alignas] = ACTIONS(4825),
    [aux_sym_primitive_type_token1] = ACTIONS(4825),
    [anon_sym_byte] = ACTIONS(4825),
    [anon_sym_word] = ACTIONS(4825),
    [anon_sym_enum] = ACTIONS(4825),
    [anon_sym_class] = ACTIONS(4825),
    [anon_sym_struct] = ACTIONS(4825),
    [anon_sym_union] = ACTIONS(4825),
    [anon_sym_or] = ACTIONS(4825),
    [anon_sym_and] = ACTIONS(4825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(4825),
    [anon_sym_explicit] = ACTIONS(4825),
    [anon_sym_typename] = ACTIONS(4825),
    [anon_sym_template] = ACTIONS(4825),
    [anon_sym_operator] = ACTIONS(4825),
    [anon_sym_friend] = ACTIONS(4825),
    [anon_sym_using] = ACTIONS(4825),
    [anon_sym_concept] = ACTIONS(4825),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym___attribute] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_PROGMEM] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [aux_sym_primitive_type_token1] = ACTIONS(4847),
    [anon_sym_byte] = ACTIONS(4847),
    [anon_sym_word] = ACTIONS(4847),
    [anon_sym_enum] = ACTIONS(4847),
    [anon_sym_class] = ACTIONS(4847),
    [anon_sym_struct] = ACTIONS(4847),
    [anon_sym_union] = ACTIONS(4847),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_explicit] = ACTIONS(4847),
    [anon_sym_typename] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_friend] = ACTIONS(4847),
    [anon_sym_using] = ACTIONS(4847),
    [anon_sym_concept] = ACTIONS(4847),
  },
  [2111] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(2107),
    [sym__declarator] = STATE(6291),
    [sym__abstract_declarator] = STATE(6590),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2631),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(3121),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2631),
    [aux_sym_pointer_declarator_repeat1] = STATE(2107),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5836),
    [anon_sym_AMP_AMP] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___attribute] = ACTIONS(5711),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(3819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3821),
    [anon_sym_COMMA] = ACTIONS(3821),
    [anon_sym_RPAREN] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3821),
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_AMP_AMP] = ACTIONS(3821),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_SEMI] = ACTIONS(3821),
    [anon_sym___extension__] = ACTIONS(3819),
    [anon_sym_virtual] = ACTIONS(3819),
    [anon_sym_extern] = ACTIONS(3819),
    [anon_sym___attribute__] = ACTIONS(3819),
    [anon_sym___attribute] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3821),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3821),
    [anon_sym___declspec] = ACTIONS(3819),
    [anon_sym___based] = ACTIONS(3819),
    [anon_sym___cdecl] = ACTIONS(3819),
    [anon_sym___clrcall] = ACTIONS(3819),
    [anon_sym___stdcall] = ACTIONS(3819),
    [anon_sym___fastcall] = ACTIONS(3819),
    [anon_sym___thiscall] = ACTIONS(3819),
    [anon_sym___vectorcall] = ACTIONS(3819),
    [anon_sym_LBRACE] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_static] = ACTIONS(3819),
    [anon_sym_EQ] = ACTIONS(3821),
    [anon_sym_register] = ACTIONS(3819),
    [anon_sym_inline] = ACTIONS(3819),
    [anon_sym___inline] = ACTIONS(3819),
    [anon_sym___inline__] = ACTIONS(3819),
    [anon_sym___forceinline] = ACTIONS(3819),
    [anon_sym_thread_local] = ACTIONS(3819),
    [anon_sym___thread] = ACTIONS(3819),
    [anon_sym_const] = ACTIONS(3819),
    [anon_sym_constexpr] = ACTIONS(3819),
    [anon_sym_volatile] = ACTIONS(3819),
    [anon_sym_restrict] = ACTIONS(3819),
    [anon_sym___restrict__] = ACTIONS(3819),
    [anon_sym__Atomic] = ACTIONS(3819),
    [anon_sym__Noreturn] = ACTIONS(3819),
    [anon_sym_noreturn] = ACTIONS(3819),
    [anon_sym__Nonnull] = ACTIONS(3819),
    [anon_sym_mutable] = ACTIONS(3819),
    [anon_sym_constinit] = ACTIONS(3819),
    [anon_sym_consteval] = ACTIONS(3819),
    [anon_sym_PROGMEM] = ACTIONS(3819),
    [anon_sym_alignas] = ACTIONS(3819),
    [anon_sym__Alignas] = ACTIONS(3819),
    [anon_sym_COLON] = ACTIONS(3819),
    [anon_sym_asm] = ACTIONS(3819),
    [anon_sym___asm__] = ACTIONS(3819),
    [anon_sym___asm] = ACTIONS(3819),
    [anon_sym_DASH_GT] = ACTIONS(3821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3819),
    [anon_sym_final] = ACTIONS(3819),
    [anon_sym_override] = ACTIONS(3819),
    [anon_sym_explicit] = ACTIONS(3819),
    [anon_sym_template] = ACTIONS(3819),
    [anon_sym_GT2] = ACTIONS(3821),
    [anon_sym_operator] = ACTIONS(3819),
    [anon_sym_try] = ACTIONS(3819),
    [anon_sym_public] = ACTIONS(3819),
    [anon_sym_private] = ACTIONS(3819),
    [anon_sym_protected] = ACTIONS(3819),
    [anon_sym_requires] = ACTIONS(3819),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym_virtual] = ACTIONS(5557),
    [anon_sym_extern] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_COLON_COLON] = ACTIONS(5559),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5559),
    [anon_sym___declspec] = ACTIONS(5557),
    [anon_sym___based] = ACTIONS(5557),
    [anon_sym___cdecl] = ACTIONS(5557),
    [anon_sym___clrcall] = ACTIONS(5557),
    [anon_sym___stdcall] = ACTIONS(5557),
    [anon_sym___fastcall] = ACTIONS(5557),
    [anon_sym___thiscall] = ACTIONS(5557),
    [anon_sym___vectorcall] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5557),
    [anon_sym_static] = ACTIONS(5557),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5559),
    [anon_sym_register] = ACTIONS(5557),
    [anon_sym_inline] = ACTIONS(5557),
    [anon_sym___inline] = ACTIONS(5557),
    [anon_sym___inline__] = ACTIONS(5557),
    [anon_sym___forceinline] = ACTIONS(5557),
    [anon_sym_thread_local] = ACTIONS(5557),
    [anon_sym___thread] = ACTIONS(5557),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_PROGMEM] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [anon_sym_asm] = ACTIONS(5557),
    [anon_sym___asm__] = ACTIONS(5557),
    [anon_sym___asm] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_template] = ACTIONS(5557),
    [anon_sym_GT2] = ACTIONS(5559),
    [anon_sym_operator] = ACTIONS(5557),
    [anon_sym_try] = ACTIONS(5557),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5842),
    [anon_sym_LPAREN2] = ACTIONS(5844),
    [anon_sym_TILDE] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5844),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5842),
    [anon_sym___extension__] = ACTIONS(5842),
    [anon_sym_virtual] = ACTIONS(5842),
    [anon_sym_extern] = ACTIONS(5842),
    [anon_sym___attribute__] = ACTIONS(5842),
    [anon_sym___attribute] = ACTIONS(5842),
    [anon_sym_COLON_COLON] = ACTIONS(5844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5844),
    [anon_sym___declspec] = ACTIONS(5842),
    [anon_sym___based] = ACTIONS(5842),
    [anon_sym___cdecl] = ACTIONS(5842),
    [anon_sym___clrcall] = ACTIONS(5842),
    [anon_sym___stdcall] = ACTIONS(5842),
    [anon_sym___fastcall] = ACTIONS(5842),
    [anon_sym___thiscall] = ACTIONS(5842),
    [anon_sym___vectorcall] = ACTIONS(5842),
    [anon_sym_signed] = ACTIONS(5842),
    [anon_sym_unsigned] = ACTIONS(5842),
    [anon_sym_long] = ACTIONS(5842),
    [anon_sym_short] = ACTIONS(5842),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_static] = ACTIONS(5842),
    [anon_sym_register] = ACTIONS(5842),
    [anon_sym_inline] = ACTIONS(5842),
    [anon_sym___inline] = ACTIONS(5842),
    [anon_sym___inline__] = ACTIONS(5842),
    [anon_sym___forceinline] = ACTIONS(5842),
    [anon_sym_thread_local] = ACTIONS(5842),
    [anon_sym___thread] = ACTIONS(5842),
    [anon_sym_const] = ACTIONS(5842),
    [anon_sym_constexpr] = ACTIONS(5842),
    [anon_sym_volatile] = ACTIONS(5842),
    [anon_sym_restrict] = ACTIONS(5842),
    [anon_sym___restrict__] = ACTIONS(5842),
    [anon_sym__Atomic] = ACTIONS(5842),
    [anon_sym__Noreturn] = ACTIONS(5842),
    [anon_sym_noreturn] = ACTIONS(5842),
    [anon_sym__Nonnull] = ACTIONS(5842),
    [anon_sym_mutable] = ACTIONS(5842),
    [anon_sym_constinit] = ACTIONS(5842),
    [anon_sym_consteval] = ACTIONS(5842),
    [anon_sym_PROGMEM] = ACTIONS(5842),
    [anon_sym_alignas] = ACTIONS(5842),
    [anon_sym__Alignas] = ACTIONS(5842),
    [aux_sym_primitive_type_token1] = ACTIONS(5842),
    [anon_sym_byte] = ACTIONS(5842),
    [anon_sym_word] = ACTIONS(5842),
    [anon_sym_enum] = ACTIONS(5842),
    [anon_sym_class] = ACTIONS(5842),
    [anon_sym_struct] = ACTIONS(5842),
    [anon_sym_union] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5842),
    [anon_sym_decltype] = ACTIONS(5842),
    [anon_sym_explicit] = ACTIONS(5842),
    [anon_sym_typename] = ACTIONS(5842),
    [anon_sym_template] = ACTIONS(5842),
    [anon_sym_operator] = ACTIONS(5842),
    [anon_sym_friend] = ACTIONS(5842),
    [anon_sym_using] = ACTIONS(5842),
    [anon_sym_concept] = ACTIONS(5842),
  },
  [2115] = {
    [sym_ms_based_modifier] = STATE(7942),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(3809),
    [sym__declarator] = STATE(6232),
    [sym__abstract_declarator] = STATE(6558),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2647),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(3231),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5739),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2647),
    [aux_sym_pointer_declarator_repeat1] = STATE(3809),
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(5815),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym___attribute] = ACTIONS(5703),
    [anon_sym_COLON_COLON] = ACTIONS(5705),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(5695),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_LPAREN2] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_PIPE_PIPE] = ACTIONS(1970),
    [anon_sym_AMP_AMP] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1972),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_virtual] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym___attribute__] = ACTIONS(1972),
    [anon_sym___attribute] = ACTIONS(1972),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1970),
    [anon_sym___declspec] = ACTIONS(1972),
    [anon_sym___based] = ACTIONS(1972),
    [anon_sym___cdecl] = ACTIONS(1972),
    [anon_sym___clrcall] = ACTIONS(1972),
    [anon_sym___stdcall] = ACTIONS(1972),
    [anon_sym___fastcall] = ACTIONS(1972),
    [anon_sym___thiscall] = ACTIONS(1972),
    [anon_sym___vectorcall] = ACTIONS(1972),
    [anon_sym_signed] = ACTIONS(1972),
    [anon_sym_unsigned] = ACTIONS(1972),
    [anon_sym_long] = ACTIONS(1972),
    [anon_sym_short] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_register] = ACTIONS(1972),
    [anon_sym_inline] = ACTIONS(1972),
    [anon_sym___inline] = ACTIONS(1972),
    [anon_sym___inline__] = ACTIONS(1972),
    [anon_sym___forceinline] = ACTIONS(1972),
    [anon_sym_thread_local] = ACTIONS(1972),
    [anon_sym___thread] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_constexpr] = ACTIONS(1972),
    [anon_sym_volatile] = ACTIONS(1972),
    [anon_sym_restrict] = ACTIONS(1972),
    [anon_sym___restrict__] = ACTIONS(1972),
    [anon_sym__Atomic] = ACTIONS(1972),
    [anon_sym__Noreturn] = ACTIONS(1972),
    [anon_sym_noreturn] = ACTIONS(1972),
    [anon_sym__Nonnull] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1972),
    [anon_sym_constinit] = ACTIONS(1972),
    [anon_sym_consteval] = ACTIONS(1972),
    [anon_sym_PROGMEM] = ACTIONS(1972),
    [anon_sym_alignas] = ACTIONS(1972),
    [anon_sym__Alignas] = ACTIONS(1972),
    [aux_sym_primitive_type_token1] = ACTIONS(1972),
    [anon_sym_byte] = ACTIONS(1972),
    [anon_sym_word] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_or] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1972),
    [anon_sym_decltype] = ACTIONS(1972),
    [anon_sym_explicit] = ACTIONS(1972),
    [anon_sym_typename] = ACTIONS(1972),
    [anon_sym_template] = ACTIONS(1972),
    [anon_sym_operator] = ACTIONS(1972),
    [anon_sym_friend] = ACTIONS(1972),
    [anon_sym_using] = ACTIONS(1972),
    [anon_sym_concept] = ACTIONS(1972),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym___attribute] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_PROGMEM] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [aux_sym_primitive_type_token1] = ACTIONS(4843),
    [anon_sym_byte] = ACTIONS(4843),
    [anon_sym_word] = ACTIONS(4843),
    [anon_sym_enum] = ACTIONS(4843),
    [anon_sym_class] = ACTIONS(4843),
    [anon_sym_struct] = ACTIONS(4843),
    [anon_sym_union] = ACTIONS(4843),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_explicit] = ACTIONS(4843),
    [anon_sym_typename] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_friend] = ACTIONS(4843),
    [anon_sym_using] = ACTIONS(4843),
    [anon_sym_concept] = ACTIONS(4843),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5408),
    [anon_sym_COMMA] = ACTIONS(5408),
    [anon_sym_RPAREN] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_SLASH] = ACTIONS(5406),
    [anon_sym_PERCENT] = ACTIONS(5406),
    [anon_sym_PIPE_PIPE] = ACTIONS(5408),
    [anon_sym_AMP_AMP] = ACTIONS(5408),
    [anon_sym_PIPE] = ACTIONS(5406),
    [anon_sym_CARET] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5406),
    [anon_sym_EQ_EQ] = ACTIONS(5408),
    [anon_sym_BANG_EQ] = ACTIONS(5408),
    [anon_sym_GT] = ACTIONS(5406),
    [anon_sym_GT_EQ] = ACTIONS(5408),
    [anon_sym_LT_EQ] = ACTIONS(5406),
    [anon_sym_LT] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5406),
    [anon_sym_GT_GT] = ACTIONS(5406),
    [anon_sym_SEMI] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5406),
    [anon_sym___attribute] = ACTIONS(5406),
    [anon_sym_COLON_COLON] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5408),
    [anon_sym_RBRACE] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5408),
    [anon_sym_RBRACK] = ACTIONS(5408),
    [anon_sym_EQ] = ACTIONS(5406),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5408),
    [anon_sym_STAR_EQ] = ACTIONS(5408),
    [anon_sym_SLASH_EQ] = ACTIONS(5408),
    [anon_sym_PERCENT_EQ] = ACTIONS(5408),
    [anon_sym_PLUS_EQ] = ACTIONS(5408),
    [anon_sym_DASH_EQ] = ACTIONS(5408),
    [anon_sym_LT_LT_EQ] = ACTIONS(5408),
    [anon_sym_GT_GT_EQ] = ACTIONS(5408),
    [anon_sym_AMP_EQ] = ACTIONS(5408),
    [anon_sym_CARET_EQ] = ACTIONS(5408),
    [anon_sym_PIPE_EQ] = ACTIONS(5408),
    [anon_sym_and_eq] = ACTIONS(5406),
    [anon_sym_or_eq] = ACTIONS(5406),
    [anon_sym_xor_eq] = ACTIONS(5406),
    [anon_sym_LT_EQ_GT] = ACTIONS(5408),
    [anon_sym_or] = ACTIONS(5406),
    [anon_sym_and] = ACTIONS(5406),
    [anon_sym_bitor] = ACTIONS(5406),
    [anon_sym_xor] = ACTIONS(5406),
    [anon_sym_bitand] = ACTIONS(5406),
    [anon_sym_not_eq] = ACTIONS(5406),
    [anon_sym_DASH_DASH] = ACTIONS(5408),
    [anon_sym_PLUS_PLUS] = ACTIONS(5408),
    [anon_sym_DOT] = ACTIONS(5406),
    [anon_sym_DOT_STAR] = ACTIONS(5408),
    [anon_sym_DASH_GT] = ACTIONS(5408),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5406),
    [anon_sym_decltype] = ACTIONS(5406),
    [anon_sym_final] = ACTIONS(5406),
    [anon_sym_override] = ACTIONS(5406),
  },
  [2119] = {
    [sym_attribute_specifier] = STATE(1788),
    [sym_field_declaration_list] = STATE(2274),
    [sym_virtual_specifier] = STATE(6862),
    [sym_base_class_clause] = STATE(7533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5858),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5650),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_PROGMEM] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5860),
    [anon_sym_override] = ACTIONS(5860),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_STAR_EQ] = ACTIONS(5291),
    [anon_sym_SLASH_EQ] = ACTIONS(5291),
    [anon_sym_PERCENT_EQ] = ACTIONS(5291),
    [anon_sym_PLUS_EQ] = ACTIONS(5291),
    [anon_sym_DASH_EQ] = ACTIONS(5291),
    [anon_sym_LT_LT_EQ] = ACTIONS(5291),
    [anon_sym_GT_GT_EQ] = ACTIONS(5291),
    [anon_sym_AMP_EQ] = ACTIONS(5291),
    [anon_sym_CARET_EQ] = ACTIONS(5291),
    [anon_sym_PIPE_EQ] = ACTIONS(5291),
    [anon_sym_and_eq] = ACTIONS(5289),
    [anon_sym_or_eq] = ACTIONS(5289),
    [anon_sym_xor_eq] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_TILDE] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym___extension__] = ACTIONS(5862),
    [anon_sym_virtual] = ACTIONS(5862),
    [anon_sym_extern] = ACTIONS(5862),
    [anon_sym___attribute__] = ACTIONS(5862),
    [anon_sym___attribute] = ACTIONS(5862),
    [anon_sym_COLON_COLON] = ACTIONS(5864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5864),
    [anon_sym___declspec] = ACTIONS(5862),
    [anon_sym___based] = ACTIONS(5862),
    [anon_sym___cdecl] = ACTIONS(5862),
    [anon_sym___clrcall] = ACTIONS(5862),
    [anon_sym___stdcall] = ACTIONS(5862),
    [anon_sym___fastcall] = ACTIONS(5862),
    [anon_sym___thiscall] = ACTIONS(5862),
    [anon_sym___vectorcall] = ACTIONS(5862),
    [anon_sym_signed] = ACTIONS(5862),
    [anon_sym_unsigned] = ACTIONS(5862),
    [anon_sym_long] = ACTIONS(5862),
    [anon_sym_short] = ACTIONS(5862),
    [anon_sym_LBRACK] = ACTIONS(5862),
    [anon_sym_static] = ACTIONS(5862),
    [anon_sym_register] = ACTIONS(5862),
    [anon_sym_inline] = ACTIONS(5862),
    [anon_sym___inline] = ACTIONS(5862),
    [anon_sym___inline__] = ACTIONS(5862),
    [anon_sym___forceinline] = ACTIONS(5862),
    [anon_sym_thread_local] = ACTIONS(5862),
    [anon_sym___thread] = ACTIONS(5862),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_constexpr] = ACTIONS(5862),
    [anon_sym_volatile] = ACTIONS(5862),
    [anon_sym_restrict] = ACTIONS(5862),
    [anon_sym___restrict__] = ACTIONS(5862),
    [anon_sym__Atomic] = ACTIONS(5862),
    [anon_sym__Noreturn] = ACTIONS(5862),
    [anon_sym_noreturn] = ACTIONS(5862),
    [anon_sym__Nonnull] = ACTIONS(5862),
    [anon_sym_mutable] = ACTIONS(5862),
    [anon_sym_constinit] = ACTIONS(5862),
    [anon_sym_consteval] = ACTIONS(5862),
    [anon_sym_PROGMEM] = ACTIONS(5862),
    [anon_sym_alignas] = ACTIONS(5862),
    [anon_sym__Alignas] = ACTIONS(5862),
    [aux_sym_primitive_type_token1] = ACTIONS(5862),
    [anon_sym_byte] = ACTIONS(5862),
    [anon_sym_word] = ACTIONS(5862),
    [anon_sym_enum] = ACTIONS(5862),
    [anon_sym_class] = ACTIONS(5862),
    [anon_sym_struct] = ACTIONS(5862),
    [anon_sym_union] = ACTIONS(5862),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
    [anon_sym_explicit] = ACTIONS(5862),
    [anon_sym_typename] = ACTIONS(5862),
    [anon_sym_template] = ACTIONS(5862),
    [anon_sym_operator] = ACTIONS(5862),
    [anon_sym_friend] = ACTIONS(5862),
    [anon_sym_using] = ACTIONS(5862),
    [anon_sym_concept] = ACTIONS(5862),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3825),
    [anon_sym_COMMA] = ACTIONS(3825),
    [anon_sym_RPAREN] = ACTIONS(3825),
    [anon_sym_LPAREN2] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_STAR] = ACTIONS(3825),
    [anon_sym_AMP_AMP] = ACTIONS(3825),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_SEMI] = ACTIONS(3825),
    [anon_sym___extension__] = ACTIONS(3823),
    [anon_sym_virtual] = ACTIONS(3823),
    [anon_sym_extern] = ACTIONS(3823),
    [anon_sym___attribute__] = ACTIONS(3823),
    [anon_sym___attribute] = ACTIONS(3823),
    [anon_sym_COLON_COLON] = ACTIONS(3825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3825),
    [anon_sym___declspec] = ACTIONS(3823),
    [anon_sym___based] = ACTIONS(3823),
    [anon_sym___cdecl] = ACTIONS(3823),
    [anon_sym___clrcall] = ACTIONS(3823),
    [anon_sym___stdcall] = ACTIONS(3823),
    [anon_sym___fastcall] = ACTIONS(3823),
    [anon_sym___thiscall] = ACTIONS(3823),
    [anon_sym___vectorcall] = ACTIONS(3823),
    [anon_sym_LBRACE] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_EQ] = ACTIONS(3825),
    [anon_sym_register] = ACTIONS(3823),
    [anon_sym_inline] = ACTIONS(3823),
    [anon_sym___inline] = ACTIONS(3823),
    [anon_sym___inline__] = ACTIONS(3823),
    [anon_sym___forceinline] = ACTIONS(3823),
    [anon_sym_thread_local] = ACTIONS(3823),
    [anon_sym___thread] = ACTIONS(3823),
    [anon_sym_const] = ACTIONS(3823),
    [anon_sym_constexpr] = ACTIONS(3823),
    [anon_sym_volatile] = ACTIONS(3823),
    [anon_sym_restrict] = ACTIONS(3823),
    [anon_sym___restrict__] = ACTIONS(3823),
    [anon_sym__Atomic] = ACTIONS(3823),
    [anon_sym__Noreturn] = ACTIONS(3823),
    [anon_sym_noreturn] = ACTIONS(3823),
    [anon_sym__Nonnull] = ACTIONS(3823),
    [anon_sym_mutable] = ACTIONS(3823),
    [anon_sym_constinit] = ACTIONS(3823),
    [anon_sym_consteval] = ACTIONS(3823),
    [anon_sym_PROGMEM] = ACTIONS(3823),
    [anon_sym_alignas] = ACTIONS(3823),
    [anon_sym__Alignas] = ACTIONS(3823),
    [anon_sym_COLON] = ACTIONS(3823),
    [anon_sym_asm] = ACTIONS(3823),
    [anon_sym___asm__] = ACTIONS(3823),
    [anon_sym___asm] = ACTIONS(3823),
    [anon_sym_DASH_GT] = ACTIONS(3825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3823),
    [anon_sym_final] = ACTIONS(3823),
    [anon_sym_override] = ACTIONS(3823),
    [anon_sym_explicit] = ACTIONS(3823),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_GT2] = ACTIONS(3825),
    [anon_sym_operator] = ACTIONS(3823),
    [anon_sym_try] = ACTIONS(3823),
    [anon_sym_public] = ACTIONS(3823),
    [anon_sym_private] = ACTIONS(3823),
    [anon_sym_protected] = ACTIONS(3823),
    [anon_sym_requires] = ACTIONS(3823),
  },
  [2123] = {
    [sym_type_qualifier] = STATE(1596),
    [sym_alignas_qualifier] = STATE(1624),
    [sym_primitive_type] = STATE(2558),
    [aux_sym__type_definition_type_repeat1] = STATE(1596),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2559),
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_TILDE] = ACTIONS(4936),
    [anon_sym_STAR] = ACTIONS(4936),
    [anon_sym_AMP_AMP] = ACTIONS(4936),
    [anon_sym_AMP] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(5869),
    [anon_sym_virtual] = ACTIONS(4938),
    [anon_sym_extern] = ACTIONS(4938),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_COLON_COLON] = ACTIONS(4936),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4938),
    [anon_sym___based] = ACTIONS(4938),
    [anon_sym___cdecl] = ACTIONS(4938),
    [anon_sym___clrcall] = ACTIONS(4938),
    [anon_sym___stdcall] = ACTIONS(4938),
    [anon_sym___fastcall] = ACTIONS(4938),
    [anon_sym___thiscall] = ACTIONS(4938),
    [anon_sym___vectorcall] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(5872),
    [anon_sym_unsigned] = ACTIONS(5872),
    [anon_sym_long] = ACTIONS(5872),
    [anon_sym_short] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(4938),
    [anon_sym_static] = ACTIONS(4938),
    [anon_sym_EQ] = ACTIONS(4936),
    [anon_sym_register] = ACTIONS(4938),
    [anon_sym_inline] = ACTIONS(4938),
    [anon_sym___inline] = ACTIONS(4938),
    [anon_sym___inline__] = ACTIONS(4938),
    [anon_sym___forceinline] = ACTIONS(4938),
    [anon_sym_thread_local] = ACTIONS(4938),
    [anon_sym___thread] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(5869),
    [anon_sym_constexpr] = ACTIONS(5869),
    [anon_sym_volatile] = ACTIONS(5869),
    [anon_sym_restrict] = ACTIONS(5869),
    [anon_sym___restrict__] = ACTIONS(5869),
    [anon_sym__Atomic] = ACTIONS(5869),
    [anon_sym__Noreturn] = ACTIONS(5869),
    [anon_sym_noreturn] = ACTIONS(5869),
    [anon_sym__Nonnull] = ACTIONS(5869),
    [anon_sym_mutable] = ACTIONS(5869),
    [anon_sym_constinit] = ACTIONS(5869),
    [anon_sym_consteval] = ACTIONS(5869),
    [anon_sym_PROGMEM] = ACTIONS(5869),
    [anon_sym_alignas] = ACTIONS(5874),
    [anon_sym__Alignas] = ACTIONS(5874),
    [aux_sym_primitive_type_token1] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(69),
    [anon_sym_word] = ACTIONS(69),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4938),
    [anon_sym_decltype] = ACTIONS(4938),
    [anon_sym_template] = ACTIONS(4938),
    [anon_sym_GT2] = ACTIONS(4936),
    [anon_sym_operator] = ACTIONS(4938),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [aux_sym_primitive_type_token1] = ACTIONS(5289),
    [anon_sym_byte] = ACTIONS(5289),
    [anon_sym_word] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_concept] = ACTIONS(5289),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_STAR_EQ] = ACTIONS(5291),
    [anon_sym_SLASH_EQ] = ACTIONS(5291),
    [anon_sym_PERCENT_EQ] = ACTIONS(5291),
    [anon_sym_PLUS_EQ] = ACTIONS(5291),
    [anon_sym_DASH_EQ] = ACTIONS(5291),
    [anon_sym_LT_LT_EQ] = ACTIONS(5291),
    [anon_sym_GT_GT_EQ] = ACTIONS(5291),
    [anon_sym_AMP_EQ] = ACTIONS(5291),
    [anon_sym_CARET_EQ] = ACTIONS(5291),
    [anon_sym_PIPE_EQ] = ACTIONS(5291),
    [anon_sym_and_eq] = ACTIONS(5289),
    [anon_sym_or_eq] = ACTIONS(5289),
    [anon_sym_xor_eq] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(4930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4932),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4930),
    [anon_sym_STAR] = ACTIONS(4932),
    [anon_sym_SLASH] = ACTIONS(4930),
    [anon_sym_PERCENT] = ACTIONS(4932),
    [anon_sym_PIPE_PIPE] = ACTIONS(4932),
    [anon_sym_AMP_AMP] = ACTIONS(4932),
    [anon_sym_PIPE] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4932),
    [anon_sym_AMP] = ACTIONS(4930),
    [anon_sym_EQ_EQ] = ACTIONS(4932),
    [anon_sym_BANG_EQ] = ACTIONS(4932),
    [anon_sym_GT] = ACTIONS(4930),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4930),
    [anon_sym_LT_LT] = ACTIONS(4932),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_PROGMEM] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [aux_sym_primitive_type_token1] = ACTIONS(4930),
    [anon_sym_byte] = ACTIONS(4930),
    [anon_sym_word] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4932),
    [anon_sym_LT_EQ_GT] = ACTIONS(4932),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4932),
    [anon_sym_PLUS_PLUS] = ACTIONS(4932),
    [anon_sym_DOT] = ACTIONS(4930),
    [anon_sym_DOT_STAR] = ACTIONS(4932),
    [anon_sym_DASH_GT] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_final] = ACTIONS(4930),
    [anon_sym_override] = ACTIONS(4930),
    [anon_sym_GT2] = ACTIONS(4932),
    [anon_sym_requires] = ACTIONS(4930),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5466),
    [anon_sym_COMMA] = ACTIONS(5466),
    [anon_sym_RPAREN] = ACTIONS(5466),
    [aux_sym_preproc_if_token2] = ACTIONS(5466),
    [aux_sym_preproc_else_token1] = ACTIONS(5466),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5466),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_DASH] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5464),
    [anon_sym_STAR] = ACTIONS(5464),
    [anon_sym_SLASH] = ACTIONS(5464),
    [anon_sym_PERCENT] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_PIPE] = ACTIONS(5464),
    [anon_sym_CARET] = ACTIONS(5464),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_EQ_EQ] = ACTIONS(5466),
    [anon_sym_BANG_EQ] = ACTIONS(5466),
    [anon_sym_GT] = ACTIONS(5464),
    [anon_sym_GT_EQ] = ACTIONS(5466),
    [anon_sym_LT_EQ] = ACTIONS(5464),
    [anon_sym_LT] = ACTIONS(5464),
    [anon_sym_LT_LT] = ACTIONS(5464),
    [anon_sym_GT_GT] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5466),
    [anon_sym_RBRACE] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5466),
    [anon_sym_RBRACK] = ACTIONS(5466),
    [anon_sym_EQ] = ACTIONS(5464),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5466),
    [anon_sym_STAR_EQ] = ACTIONS(5466),
    [anon_sym_SLASH_EQ] = ACTIONS(5466),
    [anon_sym_PERCENT_EQ] = ACTIONS(5466),
    [anon_sym_PLUS_EQ] = ACTIONS(5466),
    [anon_sym_DASH_EQ] = ACTIONS(5466),
    [anon_sym_LT_LT_EQ] = ACTIONS(5466),
    [anon_sym_GT_GT_EQ] = ACTIONS(5466),
    [anon_sym_AMP_EQ] = ACTIONS(5466),
    [anon_sym_CARET_EQ] = ACTIONS(5466),
    [anon_sym_PIPE_EQ] = ACTIONS(5466),
    [anon_sym_and_eq] = ACTIONS(5464),
    [anon_sym_or_eq] = ACTIONS(5464),
    [anon_sym_xor_eq] = ACTIONS(5464),
    [anon_sym_LT_EQ_GT] = ACTIONS(5466),
    [anon_sym_or] = ACTIONS(5464),
    [anon_sym_and] = ACTIONS(5464),
    [anon_sym_bitor] = ACTIONS(5464),
    [anon_sym_xor] = ACTIONS(5464),
    [anon_sym_bitand] = ACTIONS(5464),
    [anon_sym_not_eq] = ACTIONS(5464),
    [anon_sym_DASH_DASH] = ACTIONS(5466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5466),
    [anon_sym_DOT] = ACTIONS(5464),
    [anon_sym_DOT_STAR] = ACTIONS(5466),
    [anon_sym_DASH_GT] = ACTIONS(5466),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_final] = ACTIONS(5464),
    [anon_sym_override] = ACTIONS(5464),
  },
  [2128] = {
    [sym_string_literal] = STATE(1679),
    [sym_template_argument_list] = STATE(2848),
    [sym_raw_string_literal] = STATE(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5880),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
  },
  [2129] = {
    [sym_string_literal] = STATE(2139),
    [sym_raw_string_literal] = STATE(2139),
    [aux_sym_concatenated_string_repeat1] = STATE(2139),
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5301),
    [anon_sym_COMMA] = ACTIONS(5301),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_DASH] = ACTIONS(5303),
    [anon_sym_PLUS] = ACTIONS(5303),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_SLASH] = ACTIONS(5303),
    [anon_sym_PERCENT] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_PIPE] = ACTIONS(5303),
    [anon_sym_CARET] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_EQ_EQ] = ACTIONS(5301),
    [anon_sym_BANG_EQ] = ACTIONS(5301),
    [anon_sym_GT] = ACTIONS(5303),
    [anon_sym_GT_EQ] = ACTIONS(5301),
    [anon_sym_LT_EQ] = ACTIONS(5303),
    [anon_sym_LT] = ACTIONS(5303),
    [anon_sym_LT_LT] = ACTIONS(5303),
    [anon_sym_GT_GT] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5301),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym___attribute] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_QMARK] = ACTIONS(5301),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5303),
    [anon_sym_or_eq] = ACTIONS(5303),
    [anon_sym_xor_eq] = ACTIONS(5303),
    [anon_sym_LT_EQ_GT] = ACTIONS(5301),
    [anon_sym_or] = ACTIONS(5303),
    [anon_sym_and] = ACTIONS(5303),
    [anon_sym_bitor] = ACTIONS(5303),
    [anon_sym_xor] = ACTIONS(5303),
    [anon_sym_bitand] = ACTIONS(5303),
    [anon_sym_not_eq] = ACTIONS(5303),
    [anon_sym_DASH_DASH] = ACTIONS(5301),
    [anon_sym_PLUS_PLUS] = ACTIONS(5301),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_DOT_STAR] = ACTIONS(5301),
    [anon_sym_DASH_GT] = ACTIONS(5301),
    [anon_sym_L_DQUOTE] = ACTIONS(5888),
    [anon_sym_u_DQUOTE] = ACTIONS(5888),
    [anon_sym_U_DQUOTE] = ACTIONS(5888),
    [anon_sym_u8_DQUOTE] = ACTIONS(5888),
    [anon_sym_DQUOTE] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5890),
    [anon_sym_LR_DQUOTE] = ACTIONS(5890),
    [anon_sym_uR_DQUOTE] = ACTIONS(5890),
    [anon_sym_UR_DQUOTE] = ACTIONS(5890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5890),
    [sym_literal_suffix] = ACTIONS(5303),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5408),
    [anon_sym_COMMA] = ACTIONS(5408),
    [anon_sym_RPAREN] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_TILDE] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5408),
    [anon_sym_AMP_AMP] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5406),
    [anon_sym_SEMI] = ACTIONS(5408),
    [anon_sym___extension__] = ACTIONS(5406),
    [anon_sym_virtual] = ACTIONS(5406),
    [anon_sym_extern] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5406),
    [anon_sym___attribute] = ACTIONS(5406),
    [anon_sym_COLON_COLON] = ACTIONS(5408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5408),
    [anon_sym___declspec] = ACTIONS(5406),
    [anon_sym___based] = ACTIONS(5406),
    [anon_sym___cdecl] = ACTIONS(5406),
    [anon_sym___clrcall] = ACTIONS(5406),
    [anon_sym___stdcall] = ACTIONS(5406),
    [anon_sym___fastcall] = ACTIONS(5406),
    [anon_sym___thiscall] = ACTIONS(5406),
    [anon_sym___vectorcall] = ACTIONS(5406),
    [anon_sym_LBRACE] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_static] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5408),
    [anon_sym_register] = ACTIONS(5406),
    [anon_sym_inline] = ACTIONS(5406),
    [anon_sym___inline] = ACTIONS(5406),
    [anon_sym___inline__] = ACTIONS(5406),
    [anon_sym___forceinline] = ACTIONS(5406),
    [anon_sym_thread_local] = ACTIONS(5406),
    [anon_sym___thread] = ACTIONS(5406),
    [anon_sym_const] = ACTIONS(5406),
    [anon_sym_constexpr] = ACTIONS(5406),
    [anon_sym_volatile] = ACTIONS(5406),
    [anon_sym_restrict] = ACTIONS(5406),
    [anon_sym___restrict__] = ACTIONS(5406),
    [anon_sym__Atomic] = ACTIONS(5406),
    [anon_sym__Noreturn] = ACTIONS(5406),
    [anon_sym_noreturn] = ACTIONS(5406),
    [anon_sym__Nonnull] = ACTIONS(5406),
    [anon_sym_mutable] = ACTIONS(5406),
    [anon_sym_constinit] = ACTIONS(5406),
    [anon_sym_consteval] = ACTIONS(5406),
    [anon_sym_PROGMEM] = ACTIONS(5406),
    [anon_sym_alignas] = ACTIONS(5406),
    [anon_sym__Alignas] = ACTIONS(5406),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5406),
    [anon_sym_and] = ACTIONS(5406),
    [anon_sym_asm] = ACTIONS(5406),
    [anon_sym___asm__] = ACTIONS(5406),
    [anon_sym___asm] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5406),
    [anon_sym_decltype] = ACTIONS(5406),
    [anon_sym_final] = ACTIONS(5406),
    [anon_sym_override] = ACTIONS(5406),
    [anon_sym_template] = ACTIONS(5406),
    [anon_sym_GT2] = ACTIONS(5408),
    [anon_sym_operator] = ACTIONS(5406),
    [anon_sym_try] = ACTIONS(5406),
    [anon_sym_requires] = ACTIONS(5406),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_asm] = ACTIONS(5289),
    [anon_sym___asm__] = ACTIONS(5289),
    [anon_sym___asm] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_GT2] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_try] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [2132] = {
    [sym_string_literal] = STATE(3213),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(3213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___attribute__] = ACTIONS(4109),
    [anon_sym___attribute] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5894),
    [anon_sym_SLASH_EQ] = ACTIONS(5894),
    [anon_sym_PERCENT_EQ] = ACTIONS(5894),
    [anon_sym_PLUS_EQ] = ACTIONS(5894),
    [anon_sym_DASH_EQ] = ACTIONS(5894),
    [anon_sym_LT_LT_EQ] = ACTIONS(5894),
    [anon_sym_GT_GT_EQ] = ACTIONS(5894),
    [anon_sym_AMP_EQ] = ACTIONS(5894),
    [anon_sym_CARET_EQ] = ACTIONS(5894),
    [anon_sym_PIPE_EQ] = ACTIONS(5894),
    [anon_sym_and_eq] = ACTIONS(5894),
    [anon_sym_or_eq] = ACTIONS(5894),
    [anon_sym_xor_eq] = ACTIONS(5894),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(5896),
    [anon_sym_u_DQUOTE] = ACTIONS(5896),
    [anon_sym_U_DQUOTE] = ACTIONS(5896),
    [anon_sym_u8_DQUOTE] = ACTIONS(5896),
    [anon_sym_DQUOTE] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5898),
    [anon_sym_LR_DQUOTE] = ACTIONS(5898),
    [anon_sym_uR_DQUOTE] = ACTIONS(5898),
    [anon_sym_UR_DQUOTE] = ACTIONS(5898),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5898),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_asm] = ACTIONS(5289),
    [anon_sym___asm__] = ACTIONS(5289),
    [anon_sym___asm] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_GT2] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_try] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [2134] = {
    [sym_string_literal] = STATE(1679),
    [sym_template_argument_list] = STATE(2306),
    [sym_raw_string_literal] = STATE(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5900),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5900),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
  },
  [2135] = {
    [sym_string_literal] = STATE(2169),
    [sym_template_argument_list] = STATE(3216),
    [sym_raw_string_literal] = STATE(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(5900),
    [anon_sym_LPAREN2] = ACTIONS(5900),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5900),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2136] = {
    [sym_string_literal] = STATE(2169),
    [sym_template_argument_list] = STATE(3058),
    [sym_raw_string_literal] = STATE(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(5877),
    [anon_sym_LPAREN2] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4909),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2137] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(5904),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(5464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5466),
    [anon_sym_COMMA] = ACTIONS(5466),
    [anon_sym_RPAREN] = ACTIONS(5466),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym___attribute] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym___cdecl] = ACTIONS(5464),
    [anon_sym___clrcall] = ACTIONS(5464),
    [anon_sym___stdcall] = ACTIONS(5464),
    [anon_sym___fastcall] = ACTIONS(5464),
    [anon_sym___thiscall] = ACTIONS(5464),
    [anon_sym___vectorcall] = ACTIONS(5464),
    [anon_sym_LBRACE] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym__Nonnull] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [anon_sym_PROGMEM] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym__Alignas] = ACTIONS(5464),
    [anon_sym_COLON] = ACTIONS(5464),
    [anon_sym_or] = ACTIONS(5464),
    [anon_sym_and] = ACTIONS(5464),
    [anon_sym_asm] = ACTIONS(5464),
    [anon_sym___asm__] = ACTIONS(5464),
    [anon_sym___asm] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_final] = ACTIONS(5464),
    [anon_sym_override] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_GT2] = ACTIONS(5466),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_try] = ACTIONS(5464),
    [anon_sym_requires] = ACTIONS(5464),
  },
  [2139] = {
    [sym_string_literal] = STATE(2145),
    [sym_raw_string_literal] = STATE(2145),
    [aux_sym_concatenated_string_repeat1] = STATE(2145),
    [sym_identifier] = ACTIONS(5906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5423),
    [anon_sym_COMMA] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5423),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5423),
    [anon_sym_BANG_EQ] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5423),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_SEMI] = ACTIONS(5423),
    [anon_sym___attribute__] = ACTIONS(5425),
    [anon_sym___attribute] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_STAR_EQ] = ACTIONS(5423),
    [anon_sym_SLASH_EQ] = ACTIONS(5423),
    [anon_sym_PERCENT_EQ] = ACTIONS(5423),
    [anon_sym_PLUS_EQ] = ACTIONS(5423),
    [anon_sym_DASH_EQ] = ACTIONS(5423),
    [anon_sym_LT_LT_EQ] = ACTIONS(5423),
    [anon_sym_GT_GT_EQ] = ACTIONS(5423),
    [anon_sym_AMP_EQ] = ACTIONS(5423),
    [anon_sym_CARET_EQ] = ACTIONS(5423),
    [anon_sym_PIPE_EQ] = ACTIONS(5423),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5423),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5423),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5423),
    [anon_sym_DASH_GT] = ACTIONS(5423),
    [anon_sym_L_DQUOTE] = ACTIONS(5888),
    [anon_sym_u_DQUOTE] = ACTIONS(5888),
    [anon_sym_U_DQUOTE] = ACTIONS(5888),
    [anon_sym_u8_DQUOTE] = ACTIONS(5888),
    [anon_sym_DQUOTE] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5890),
    [anon_sym_LR_DQUOTE] = ACTIONS(5890),
    [anon_sym_uR_DQUOTE] = ACTIONS(5890),
    [anon_sym_UR_DQUOTE] = ACTIONS(5890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5890),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [aux_sym_preproc_if_token2] = ACTIONS(5291),
    [aux_sym_preproc_else_token1] = ACTIONS(5291),
    [aux_sym_preproc_elif_token1] = ACTIONS(5289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5289),
    [anon_sym_STAR] = ACTIONS(5289),
    [anon_sym_SLASH] = ACTIONS(5289),
    [anon_sym_PERCENT] = ACTIONS(5289),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_PIPE] = ACTIONS(5289),
    [anon_sym_CARET] = ACTIONS(5289),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_EQ_EQ] = ACTIONS(5291),
    [anon_sym_BANG_EQ] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5289),
    [anon_sym_GT_EQ] = ACTIONS(5291),
    [anon_sym_LT_EQ] = ACTIONS(5289),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(5289),
    [anon_sym_GT_GT] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_RBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5291),
    [anon_sym_RBRACK] = ACTIONS(5291),
    [anon_sym_EQ] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5291),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_STAR_EQ] = ACTIONS(5291),
    [anon_sym_SLASH_EQ] = ACTIONS(5291),
    [anon_sym_PERCENT_EQ] = ACTIONS(5291),
    [anon_sym_PLUS_EQ] = ACTIONS(5291),
    [anon_sym_DASH_EQ] = ACTIONS(5291),
    [anon_sym_LT_LT_EQ] = ACTIONS(5291),
    [anon_sym_GT_GT_EQ] = ACTIONS(5291),
    [anon_sym_AMP_EQ] = ACTIONS(5291),
    [anon_sym_CARET_EQ] = ACTIONS(5291),
    [anon_sym_PIPE_EQ] = ACTIONS(5291),
    [anon_sym_and_eq] = ACTIONS(5289),
    [anon_sym_or_eq] = ACTIONS(5289),
    [anon_sym_xor_eq] = ACTIONS(5289),
    [anon_sym_LT_EQ_GT] = ACTIONS(5291),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_bitor] = ACTIONS(5289),
    [anon_sym_xor] = ACTIONS(5289),
    [anon_sym_bitand] = ACTIONS(5289),
    [anon_sym_not_eq] = ACTIONS(5289),
    [anon_sym_DASH_DASH] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5291),
    [anon_sym_DOT] = ACTIONS(5289),
    [anon_sym_DOT_STAR] = ACTIONS(5291),
    [anon_sym_DASH_GT] = ACTIONS(5291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
  },
  [2141] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(5900),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5900),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2142] = {
    [sym_template_argument_list] = STATE(1577),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2278),
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [aux_sym_preproc_if_token2] = ACTIONS(5910),
    [aux_sym_preproc_else_token1] = ACTIONS(5910),
    [aux_sym_preproc_elif_token1] = ACTIONS(5908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5908),
    [anon_sym_GT_GT] = ACTIONS(5908),
    [anon_sym___attribute__] = ACTIONS(5908),
    [anon_sym___attribute] = ACTIONS(5908),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_signed] = ACTIONS(5912),
    [anon_sym_unsigned] = ACTIONS(5912),
    [anon_sym_long] = ACTIONS(5912),
    [anon_sym_short] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5908),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_and_eq] = ACTIONS(5908),
    [anon_sym_or_eq] = ACTIONS(5908),
    [anon_sym_xor_eq] = ACTIONS(5908),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5908),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5908),
    [anon_sym_not_eq] = ACTIONS(5908),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5908),
    [anon_sym_decltype] = ACTIONS(5908),
  },
  [2143] = {
    [sym_string_literal] = STATE(1679),
    [sym_raw_string_literal] = STATE(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5834),
    [anon_sym_COMMA] = ACTIONS(5834),
    [anon_sym_RPAREN] = ACTIONS(5834),
    [anon_sym_LPAREN2] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5832),
    [anon_sym_STAR] = ACTIONS(5832),
    [anon_sym_SLASH] = ACTIONS(5832),
    [anon_sym_PERCENT] = ACTIONS(5832),
    [anon_sym_PIPE_PIPE] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5832),
    [anon_sym_CARET] = ACTIONS(5832),
    [anon_sym_AMP] = ACTIONS(5832),
    [anon_sym_EQ_EQ] = ACTIONS(5834),
    [anon_sym_BANG_EQ] = ACTIONS(5834),
    [anon_sym_GT] = ACTIONS(5832),
    [anon_sym_GT_EQ] = ACTIONS(5834),
    [anon_sym_LT_EQ] = ACTIONS(5832),
    [anon_sym_LT] = ACTIONS(5832),
    [anon_sym_LT_LT] = ACTIONS(5832),
    [anon_sym_GT_GT] = ACTIONS(5832),
    [anon_sym_SEMI] = ACTIONS(5834),
    [anon_sym_RBRACE] = ACTIONS(5834),
    [anon_sym_LBRACK] = ACTIONS(5834),
    [anon_sym_RBRACK] = ACTIONS(5834),
    [anon_sym_EQ] = ACTIONS(5832),
    [anon_sym_COLON] = ACTIONS(5834),
    [anon_sym_QMARK] = ACTIONS(5834),
    [anon_sym_STAR_EQ] = ACTIONS(5834),
    [anon_sym_SLASH_EQ] = ACTIONS(5834),
    [anon_sym_PERCENT_EQ] = ACTIONS(5834),
    [anon_sym_PLUS_EQ] = ACTIONS(5834),
    [anon_sym_DASH_EQ] = ACTIONS(5834),
    [anon_sym_LT_LT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_AMP_EQ] = ACTIONS(5834),
    [anon_sym_CARET_EQ] = ACTIONS(5834),
    [anon_sym_PIPE_EQ] = ACTIONS(5834),
    [anon_sym_and_eq] = ACTIONS(5832),
    [anon_sym_or_eq] = ACTIONS(5832),
    [anon_sym_xor_eq] = ACTIONS(5832),
    [anon_sym_LT_EQ_GT] = ACTIONS(5834),
    [anon_sym_or] = ACTIONS(5832),
    [anon_sym_and] = ACTIONS(5832),
    [anon_sym_bitor] = ACTIONS(5832),
    [anon_sym_xor] = ACTIONS(5832),
    [anon_sym_bitand] = ACTIONS(5832),
    [anon_sym_not_eq] = ACTIONS(5832),
    [anon_sym_DASH_DASH] = ACTIONS(5834),
    [anon_sym_PLUS_PLUS] = ACTIONS(5834),
    [anon_sym_DOT] = ACTIONS(5832),
    [anon_sym_DOT_STAR] = ACTIONS(5834),
    [anon_sym_DASH_GT] = ACTIONS(5834),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
    [sym_literal_suffix] = ACTIONS(5832),
  },
  [2144] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4109),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2145] = {
    [sym_string_literal] = STATE(2145),
    [sym_raw_string_literal] = STATE(2145),
    [aux_sym_concatenated_string_repeat1] = STATE(2145),
    [sym_identifier] = ACTIONS(5914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5386),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5384),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_SEMI] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5386),
    [anon_sym___attribute] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5384),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_and_eq] = ACTIONS(5386),
    [anon_sym_or_eq] = ACTIONS(5386),
    [anon_sym_xor_eq] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5384),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5384),
    [anon_sym_PLUS_PLUS] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_DOT_STAR] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5384),
    [anon_sym_L_DQUOTE] = ACTIONS(5917),
    [anon_sym_u_DQUOTE] = ACTIONS(5917),
    [anon_sym_U_DQUOTE] = ACTIONS(5917),
    [anon_sym_u8_DQUOTE] = ACTIONS(5917),
    [anon_sym_DQUOTE] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5920),
    [anon_sym_LR_DQUOTE] = ACTIONS(5920),
    [anon_sym_uR_DQUOTE] = ACTIONS(5920),
    [anon_sym_UR_DQUOTE] = ACTIONS(5920),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5920),
    [sym_literal_suffix] = ACTIONS(5386),
  },
  [2146] = {
    [sym_string_literal] = STATE(2129),
    [sym_template_argument_list] = STATE(2306),
    [sym_raw_string_literal] = STATE(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___attribute__] = ACTIONS(4109),
    [anon_sym___attribute] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(5888),
    [anon_sym_u_DQUOTE] = ACTIONS(5888),
    [anon_sym_U_DQUOTE] = ACTIONS(5888),
    [anon_sym_u8_DQUOTE] = ACTIONS(5888),
    [anon_sym_DQUOTE] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5890),
    [anon_sym_LR_DQUOTE] = ACTIONS(5890),
    [anon_sym_uR_DQUOTE] = ACTIONS(5890),
    [anon_sym_UR_DQUOTE] = ACTIONS(5890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5890),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5291),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym___attribute] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5291),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym__Nonnull] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [anon_sym_PROGMEM] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym__Alignas] = ACTIONS(5289),
    [anon_sym_COLON] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_asm] = ACTIONS(5289),
    [anon_sym___asm__] = ACTIONS(5289),
    [anon_sym___asm] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_GT2] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_try] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [2148] = {
    [sym_attribute_specifier] = STATE(2258),
    [sym_enumerator_list] = STATE(2155),
    [sym_identifier] = ACTIONS(5923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5925),
    [anon_sym_COMMA] = ACTIONS(5925),
    [anon_sym_RPAREN] = ACTIONS(5925),
    [aux_sym_preproc_if_token2] = ACTIONS(5925),
    [aux_sym_preproc_else_token1] = ACTIONS(5925),
    [aux_sym_preproc_elif_token1] = ACTIONS(5923),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5925),
    [anon_sym_DASH] = ACTIONS(5923),
    [anon_sym_PLUS] = ACTIONS(5923),
    [anon_sym_STAR] = ACTIONS(5923),
    [anon_sym_SLASH] = ACTIONS(5923),
    [anon_sym_PERCENT] = ACTIONS(5923),
    [anon_sym_PIPE_PIPE] = ACTIONS(5925),
    [anon_sym_AMP_AMP] = ACTIONS(5925),
    [anon_sym_PIPE] = ACTIONS(5923),
    [anon_sym_CARET] = ACTIONS(5923),
    [anon_sym_AMP] = ACTIONS(5923),
    [anon_sym_EQ_EQ] = ACTIONS(5925),
    [anon_sym_BANG_EQ] = ACTIONS(5925),
    [anon_sym_GT] = ACTIONS(5923),
    [anon_sym_GT_EQ] = ACTIONS(5925),
    [anon_sym_LT_EQ] = ACTIONS(5923),
    [anon_sym_LT] = ACTIONS(5923),
    [anon_sym_LT_LT] = ACTIONS(5923),
    [anon_sym_GT_GT] = ACTIONS(5923),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5927),
    [anon_sym_RBRACE] = ACTIONS(5925),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_RBRACK] = ACTIONS(5925),
    [anon_sym_EQ] = ACTIONS(5923),
    [anon_sym_COLON] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5925),
    [anon_sym_STAR_EQ] = ACTIONS(5925),
    [anon_sym_SLASH_EQ] = ACTIONS(5925),
    [anon_sym_PERCENT_EQ] = ACTIONS(5925),
    [anon_sym_PLUS_EQ] = ACTIONS(5925),
    [anon_sym_DASH_EQ] = ACTIONS(5925),
    [anon_sym_LT_LT_EQ] = ACTIONS(5925),
    [anon_sym_GT_GT_EQ] = ACTIONS(5925),
    [anon_sym_AMP_EQ] = ACTIONS(5925),
    [anon_sym_CARET_EQ] = ACTIONS(5925),
    [anon_sym_PIPE_EQ] = ACTIONS(5925),
    [anon_sym_and_eq] = ACTIONS(5923),
    [anon_sym_or_eq] = ACTIONS(5923),
    [anon_sym_xor_eq] = ACTIONS(5923),
    [anon_sym_LT_EQ_GT] = ACTIONS(5925),
    [anon_sym_or] = ACTIONS(5923),
    [anon_sym_and] = ACTIONS(5923),
    [anon_sym_bitor] = ACTIONS(5923),
    [anon_sym_xor] = ACTIONS(5923),
    [anon_sym_bitand] = ACTIONS(5923),
    [anon_sym_not_eq] = ACTIONS(5923),
    [anon_sym_DASH_DASH] = ACTIONS(5925),
    [anon_sym_PLUS_PLUS] = ACTIONS(5925),
    [anon_sym_DOT] = ACTIONS(5923),
    [anon_sym_DOT_STAR] = ACTIONS(5925),
    [anon_sym_DASH_GT] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5923),
    [anon_sym_decltype] = ACTIONS(5923),
  },
  [2149] = {
    [sym_attribute_specifier] = STATE(2302),
    [sym_enumerator_list] = STATE(2164),
    [sym_identifier] = ACTIONS(5929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5931),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_RPAREN] = ACTIONS(5931),
    [aux_sym_preproc_if_token2] = ACTIONS(5931),
    [aux_sym_preproc_else_token1] = ACTIONS(5931),
    [aux_sym_preproc_elif_token1] = ACTIONS(5929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5931),
    [anon_sym_DASH] = ACTIONS(5929),
    [anon_sym_PLUS] = ACTIONS(5929),
    [anon_sym_STAR] = ACTIONS(5929),
    [anon_sym_SLASH] = ACTIONS(5929),
    [anon_sym_PERCENT] = ACTIONS(5929),
    [anon_sym_PIPE_PIPE] = ACTIONS(5931),
    [anon_sym_AMP_AMP] = ACTIONS(5931),
    [anon_sym_PIPE] = ACTIONS(5929),
    [anon_sym_CARET] = ACTIONS(5929),
    [anon_sym_AMP] = ACTIONS(5929),
    [anon_sym_EQ_EQ] = ACTIONS(5931),
    [anon_sym_BANG_EQ] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(5929),
    [anon_sym_GT_EQ] = ACTIONS(5931),
    [anon_sym_LT_EQ] = ACTIONS(5929),
    [anon_sym_LT] = ACTIONS(5929),
    [anon_sym_LT_LT] = ACTIONS(5929),
    [anon_sym_GT_GT] = ACTIONS(5929),
    [anon_sym_SEMI] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5927),
    [anon_sym_RBRACE] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_RBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5929),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5931),
    [anon_sym_STAR_EQ] = ACTIONS(5931),
    [anon_sym_SLASH_EQ] = ACTIONS(5931),
    [anon_sym_PERCENT_EQ] = ACTIONS(5931),
    [anon_sym_PLUS_EQ] = ACTIONS(5931),
    [anon_sym_DASH_EQ] = ACTIONS(5931),
    [anon_sym_LT_LT_EQ] = ACTIONS(5931),
    [anon_sym_GT_GT_EQ] = ACTIONS(5931),
    [anon_sym_AMP_EQ] = ACTIONS(5931),
    [anon_sym_CARET_EQ] = ACTIONS(5931),
    [anon_sym_PIPE_EQ] = ACTIONS(5931),
    [anon_sym_and_eq] = ACTIONS(5929),
    [anon_sym_or_eq] = ACTIONS(5929),
    [anon_sym_xor_eq] = ACTIONS(5929),
    [anon_sym_LT_EQ_GT] = ACTIONS(5931),
    [anon_sym_or] = ACTIONS(5929),
    [anon_sym_and] = ACTIONS(5929),
    [anon_sym_bitor] = ACTIONS(5929),
    [anon_sym_xor] = ACTIONS(5929),
    [anon_sym_bitand] = ACTIONS(5929),
    [anon_sym_not_eq] = ACTIONS(5929),
    [anon_sym_DASH_DASH] = ACTIONS(5931),
    [anon_sym_PLUS_PLUS] = ACTIONS(5931),
    [anon_sym_DOT] = ACTIONS(5929),
    [anon_sym_DOT_STAR] = ACTIONS(5931),
    [anon_sym_DASH_GT] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5929),
    [anon_sym_decltype] = ACTIONS(5929),
  },
  [2150] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(5933),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(5935),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2151] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2152] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [aux_sym_preproc_if_token2] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5944),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5942),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5942),
    [anon_sym___attribute] = ACTIONS(5942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5944),
    [anon_sym_STAR_EQ] = ACTIONS(5944),
    [anon_sym_SLASH_EQ] = ACTIONS(5944),
    [anon_sym_PERCENT_EQ] = ACTIONS(5944),
    [anon_sym_PLUS_EQ] = ACTIONS(5944),
    [anon_sym_DASH_EQ] = ACTIONS(5944),
    [anon_sym_LT_LT_EQ] = ACTIONS(5944),
    [anon_sym_GT_GT_EQ] = ACTIONS(5944),
    [anon_sym_AMP_EQ] = ACTIONS(5944),
    [anon_sym_CARET_EQ] = ACTIONS(5944),
    [anon_sym_PIPE_EQ] = ACTIONS(5944),
    [anon_sym_and_eq] = ACTIONS(5942),
    [anon_sym_or_eq] = ACTIONS(5942),
    [anon_sym_xor_eq] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_DOT_STAR] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
  },
  [2153] = {
    [sym_attribute_specifier] = STATE(2191),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [aux_sym_preproc_if_token2] = ACTIONS(5954),
    [aux_sym_preproc_else_token1] = ACTIONS(5954),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5952),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_EQ] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_STAR_EQ] = ACTIONS(5954),
    [anon_sym_SLASH_EQ] = ACTIONS(5954),
    [anon_sym_PERCENT_EQ] = ACTIONS(5954),
    [anon_sym_PLUS_EQ] = ACTIONS(5954),
    [anon_sym_DASH_EQ] = ACTIONS(5954),
    [anon_sym_LT_LT_EQ] = ACTIONS(5954),
    [anon_sym_GT_GT_EQ] = ACTIONS(5954),
    [anon_sym_AMP_EQ] = ACTIONS(5954),
    [anon_sym_CARET_EQ] = ACTIONS(5954),
    [anon_sym_PIPE_EQ] = ACTIONS(5954),
    [anon_sym_and_eq] = ACTIONS(5952),
    [anon_sym_or_eq] = ACTIONS(5952),
    [anon_sym_xor_eq] = ACTIONS(5952),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_bitor] = ACTIONS(5952),
    [anon_sym_xor] = ACTIONS(5952),
    [anon_sym_bitand] = ACTIONS(5952),
    [anon_sym_not_eq] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5952),
    [anon_sym_decltype] = ACTIONS(5952),
  },
  [2154] = {
    [sym_string_literal] = STATE(2188),
    [sym_raw_string_literal] = STATE(2188),
    [aux_sym_concatenated_string_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(5956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5423),
    [anon_sym_COMMA] = ACTIONS(5423),
    [anon_sym_RPAREN] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5423),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5423),
    [anon_sym_BANG_EQ] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5423),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_STAR_EQ] = ACTIONS(5423),
    [anon_sym_SLASH_EQ] = ACTIONS(5423),
    [anon_sym_PERCENT_EQ] = ACTIONS(5423),
    [anon_sym_PLUS_EQ] = ACTIONS(5423),
    [anon_sym_DASH_EQ] = ACTIONS(5423),
    [anon_sym_LT_LT_EQ] = ACTIONS(5423),
    [anon_sym_GT_GT_EQ] = ACTIONS(5423),
    [anon_sym_AMP_EQ] = ACTIONS(5423),
    [anon_sym_CARET_EQ] = ACTIONS(5423),
    [anon_sym_PIPE_EQ] = ACTIONS(5423),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5423),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5423),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5423),
    [anon_sym_DASH_GT] = ACTIONS(5425),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5423),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2155] = {
    [sym_attribute_specifier] = STATE(2303),
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [aux_sym_preproc_if_token2] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5958),
    [anon_sym_or_eq] = ACTIONS(5958),
    [anon_sym_xor_eq] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5429),
    [anon_sym_COMMA] = ACTIONS(5429),
    [anon_sym_RPAREN] = ACTIONS(5429),
    [aux_sym_preproc_if_token2] = ACTIONS(5429),
    [aux_sym_preproc_else_token1] = ACTIONS(5429),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5427),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5427),
    [anon_sym_PIPE_PIPE] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_CARET] = ACTIONS(5427),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_EQ_EQ] = ACTIONS(5429),
    [anon_sym_BANG_EQ] = ACTIONS(5429),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_GT_EQ] = ACTIONS(5429),
    [anon_sym_LT_EQ] = ACTIONS(5427),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5427),
    [anon_sym_GT_GT] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(5429),
    [anon_sym_RBRACE] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [anon_sym_EQ] = ACTIONS(5427),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5429),
    [anon_sym_STAR_EQ] = ACTIONS(5429),
    [anon_sym_SLASH_EQ] = ACTIONS(5429),
    [anon_sym_PERCENT_EQ] = ACTIONS(5429),
    [anon_sym_PLUS_EQ] = ACTIONS(5429),
    [anon_sym_DASH_EQ] = ACTIONS(5429),
    [anon_sym_LT_LT_EQ] = ACTIONS(5429),
    [anon_sym_GT_GT_EQ] = ACTIONS(5429),
    [anon_sym_AMP_EQ] = ACTIONS(5429),
    [anon_sym_CARET_EQ] = ACTIONS(5429),
    [anon_sym_PIPE_EQ] = ACTIONS(5429),
    [anon_sym_and_eq] = ACTIONS(5427),
    [anon_sym_or_eq] = ACTIONS(5427),
    [anon_sym_xor_eq] = ACTIONS(5427),
    [anon_sym_LT_EQ_GT] = ACTIONS(5429),
    [anon_sym_or] = ACTIONS(5427),
    [anon_sym_and] = ACTIONS(5427),
    [anon_sym_bitor] = ACTIONS(5427),
    [anon_sym_xor] = ACTIONS(5427),
    [anon_sym_bitand] = ACTIONS(5427),
    [anon_sym_not_eq] = ACTIONS(5427),
    [anon_sym_DASH_DASH] = ACTIONS(5429),
    [anon_sym_PLUS_PLUS] = ACTIONS(5429),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_DOT_STAR] = ACTIONS(5429),
    [anon_sym_DASH_GT] = ACTIONS(5429),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_TILDE] = ACTIONS(5964),
    [anon_sym_STAR] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym___extension__] = ACTIONS(5962),
    [anon_sym_virtual] = ACTIONS(5962),
    [anon_sym_extern] = ACTIONS(5962),
    [anon_sym___attribute__] = ACTIONS(5962),
    [anon_sym___attribute] = ACTIONS(5962),
    [anon_sym_COLON_COLON] = ACTIONS(5964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5964),
    [anon_sym___declspec] = ACTIONS(5962),
    [anon_sym___based] = ACTIONS(5962),
    [anon_sym___cdecl] = ACTIONS(5962),
    [anon_sym___clrcall] = ACTIONS(5962),
    [anon_sym___stdcall] = ACTIONS(5962),
    [anon_sym___fastcall] = ACTIONS(5962),
    [anon_sym___thiscall] = ACTIONS(5962),
    [anon_sym___vectorcall] = ACTIONS(5962),
    [anon_sym_signed] = ACTIONS(5962),
    [anon_sym_unsigned] = ACTIONS(5962),
    [anon_sym_long] = ACTIONS(5962),
    [anon_sym_short] = ACTIONS(5962),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_static] = ACTIONS(5962),
    [anon_sym_register] = ACTIONS(5962),
    [anon_sym_inline] = ACTIONS(5962),
    [anon_sym___inline] = ACTIONS(5962),
    [anon_sym___inline__] = ACTIONS(5962),
    [anon_sym___forceinline] = ACTIONS(5962),
    [anon_sym_thread_local] = ACTIONS(5962),
    [anon_sym___thread] = ACTIONS(5962),
    [anon_sym_const] = ACTIONS(5962),
    [anon_sym_constexpr] = ACTIONS(5962),
    [anon_sym_volatile] = ACTIONS(5962),
    [anon_sym_restrict] = ACTIONS(5962),
    [anon_sym___restrict__] = ACTIONS(5962),
    [anon_sym__Atomic] = ACTIONS(5962),
    [anon_sym__Noreturn] = ACTIONS(5962),
    [anon_sym_noreturn] = ACTIONS(5962),
    [anon_sym__Nonnull] = ACTIONS(5962),
    [anon_sym_mutable] = ACTIONS(5962),
    [anon_sym_constinit] = ACTIONS(5962),
    [anon_sym_consteval] = ACTIONS(5962),
    [anon_sym_PROGMEM] = ACTIONS(5962),
    [anon_sym_alignas] = ACTIONS(5962),
    [anon_sym__Alignas] = ACTIONS(5962),
    [aux_sym_primitive_type_token1] = ACTIONS(5962),
    [anon_sym_byte] = ACTIONS(5962),
    [anon_sym_word] = ACTIONS(5962),
    [anon_sym_enum] = ACTIONS(5962),
    [anon_sym_class] = ACTIONS(5962),
    [anon_sym_struct] = ACTIONS(5962),
    [anon_sym_union] = ACTIONS(5962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
    [anon_sym_explicit] = ACTIONS(5962),
    [anon_sym_typename] = ACTIONS(5962),
    [anon_sym_template] = ACTIONS(5962),
    [anon_sym_operator] = ACTIONS(5962),
    [anon_sym_friend] = ACTIONS(5962),
    [anon_sym_using] = ACTIONS(5962),
    [anon_sym_concept] = ACTIONS(5962),
    [anon_sym_requires] = ACTIONS(5962),
  },
  [2158] = {
    [sym_attribute_specifier] = STATE(2301),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
  },
  [2159] = {
    [sym_template_argument_list] = STATE(2094),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4115),
    [anon_sym_COMMA] = ACTIONS(4115),
    [anon_sym_RPAREN] = ACTIONS(4115),
    [anon_sym_LPAREN2] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4107),
    [anon_sym_PERCENT] = ACTIONS(4107),
    [anon_sym_PIPE_PIPE] = ACTIONS(4115),
    [anon_sym_AMP_AMP] = ACTIONS(4115),
    [anon_sym_PIPE] = ACTIONS(4107),
    [anon_sym_CARET] = ACTIONS(4107),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4115),
    [anon_sym_BANG_EQ] = ACTIONS(4115),
    [anon_sym_GT] = ACTIONS(4107),
    [anon_sym_GT_EQ] = ACTIONS(4115),
    [anon_sym_LT_EQ] = ACTIONS(4107),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(4107),
    [anon_sym_GT_GT] = ACTIONS(4107),
    [anon_sym_SEMI] = ACTIONS(4115),
    [anon_sym___attribute__] = ACTIONS(4115),
    [anon_sym___attribute] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4115),
    [anon_sym_RBRACE] = ACTIONS(4115),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_COLON] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4115),
    [anon_sym_STAR_EQ] = ACTIONS(4115),
    [anon_sym_SLASH_EQ] = ACTIONS(4115),
    [anon_sym_PERCENT_EQ] = ACTIONS(4115),
    [anon_sym_PLUS_EQ] = ACTIONS(4115),
    [anon_sym_DASH_EQ] = ACTIONS(4115),
    [anon_sym_LT_LT_EQ] = ACTIONS(4115),
    [anon_sym_GT_GT_EQ] = ACTIONS(4115),
    [anon_sym_AMP_EQ] = ACTIONS(4115),
    [anon_sym_CARET_EQ] = ACTIONS(4115),
    [anon_sym_PIPE_EQ] = ACTIONS(4115),
    [anon_sym_and_eq] = ACTIONS(4115),
    [anon_sym_or_eq] = ACTIONS(4115),
    [anon_sym_xor_eq] = ACTIONS(4115),
    [anon_sym_LT_EQ_GT] = ACTIONS(4115),
    [anon_sym_or] = ACTIONS(4107),
    [anon_sym_and] = ACTIONS(4107),
    [anon_sym_bitor] = ACTIONS(4115),
    [anon_sym_xor] = ACTIONS(4107),
    [anon_sym_bitand] = ACTIONS(4115),
    [anon_sym_not_eq] = ACTIONS(4115),
    [anon_sym_DASH_DASH] = ACTIONS(4115),
    [anon_sym_PLUS_PLUS] = ACTIONS(4115),
    [anon_sym_DOT] = ACTIONS(4107),
    [anon_sym_DOT_STAR] = ACTIONS(4115),
    [anon_sym_DASH_GT] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4115),
    [anon_sym_decltype] = ACTIONS(4115),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [aux_sym_preproc_if_token2] = ACTIONS(5441),
    [aux_sym_preproc_else_token1] = ACTIONS(5441),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_EQ] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_STAR_EQ] = ACTIONS(5441),
    [anon_sym_SLASH_EQ] = ACTIONS(5441),
    [anon_sym_PERCENT_EQ] = ACTIONS(5441),
    [anon_sym_PLUS_EQ] = ACTIONS(5441),
    [anon_sym_DASH_EQ] = ACTIONS(5441),
    [anon_sym_LT_LT_EQ] = ACTIONS(5441),
    [anon_sym_GT_GT_EQ] = ACTIONS(5441),
    [anon_sym_AMP_EQ] = ACTIONS(5441),
    [anon_sym_CARET_EQ] = ACTIONS(5441),
    [anon_sym_PIPE_EQ] = ACTIONS(5441),
    [anon_sym_and_eq] = ACTIONS(5439),
    [anon_sym_or_eq] = ACTIONS(5439),
    [anon_sym_xor_eq] = ACTIONS(5439),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
  },
  [2161] = {
    [sym_attribute_specifier] = STATE(2297),
    [sym_identifier] = ACTIONS(5972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5974),
    [anon_sym_COMMA] = ACTIONS(5974),
    [anon_sym_RPAREN] = ACTIONS(5974),
    [aux_sym_preproc_if_token2] = ACTIONS(5974),
    [aux_sym_preproc_else_token1] = ACTIONS(5974),
    [aux_sym_preproc_elif_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5974),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5974),
    [anon_sym_DASH] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5972),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5974),
    [anon_sym_AMP_AMP] = ACTIONS(5974),
    [anon_sym_PIPE] = ACTIONS(5972),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5974),
    [anon_sym_BANG_EQ] = ACTIONS(5974),
    [anon_sym_GT] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5972),
    [anon_sym_LT] = ACTIONS(5972),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5974),
    [anon_sym_RBRACE] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5974),
    [anon_sym_RBRACK] = ACTIONS(5974),
    [anon_sym_EQ] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5974),
    [anon_sym_QMARK] = ACTIONS(5974),
    [anon_sym_STAR_EQ] = ACTIONS(5974),
    [anon_sym_SLASH_EQ] = ACTIONS(5974),
    [anon_sym_PERCENT_EQ] = ACTIONS(5974),
    [anon_sym_PLUS_EQ] = ACTIONS(5974),
    [anon_sym_DASH_EQ] = ACTIONS(5974),
    [anon_sym_LT_LT_EQ] = ACTIONS(5974),
    [anon_sym_GT_GT_EQ] = ACTIONS(5974),
    [anon_sym_AMP_EQ] = ACTIONS(5974),
    [anon_sym_CARET_EQ] = ACTIONS(5974),
    [anon_sym_PIPE_EQ] = ACTIONS(5974),
    [anon_sym_and_eq] = ACTIONS(5972),
    [anon_sym_or_eq] = ACTIONS(5972),
    [anon_sym_xor_eq] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5974),
    [anon_sym_or] = ACTIONS(5972),
    [anon_sym_and] = ACTIONS(5972),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5972),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5974),
    [anon_sym_PLUS_PLUS] = ACTIONS(5974),
    [anon_sym_DOT] = ACTIONS(5972),
    [anon_sym_DOT_STAR] = ACTIONS(5974),
    [anon_sym_DASH_GT] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5972),
    [anon_sym_decltype] = ACTIONS(5972),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5976),
    [anon_sym_LPAREN2] = ACTIONS(5978),
    [anon_sym_TILDE] = ACTIONS(5978),
    [anon_sym_STAR] = ACTIONS(5978),
    [anon_sym_AMP_AMP] = ACTIONS(5978),
    [anon_sym_AMP] = ACTIONS(5976),
    [anon_sym___extension__] = ACTIONS(5976),
    [anon_sym_virtual] = ACTIONS(5976),
    [anon_sym_extern] = ACTIONS(5976),
    [anon_sym___attribute__] = ACTIONS(5976),
    [anon_sym___attribute] = ACTIONS(5976),
    [anon_sym_COLON_COLON] = ACTIONS(5978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5978),
    [anon_sym___declspec] = ACTIONS(5976),
    [anon_sym___based] = ACTIONS(5976),
    [anon_sym___cdecl] = ACTIONS(5976),
    [anon_sym___clrcall] = ACTIONS(5976),
    [anon_sym___stdcall] = ACTIONS(5976),
    [anon_sym___fastcall] = ACTIONS(5976),
    [anon_sym___thiscall] = ACTIONS(5976),
    [anon_sym___vectorcall] = ACTIONS(5976),
    [anon_sym_signed] = ACTIONS(5976),
    [anon_sym_unsigned] = ACTIONS(5976),
    [anon_sym_long] = ACTIONS(5976),
    [anon_sym_short] = ACTIONS(5976),
    [anon_sym_LBRACK] = ACTIONS(5976),
    [anon_sym_static] = ACTIONS(5976),
    [anon_sym_register] = ACTIONS(5976),
    [anon_sym_inline] = ACTIONS(5976),
    [anon_sym___inline] = ACTIONS(5976),
    [anon_sym___inline__] = ACTIONS(5976),
    [anon_sym___forceinline] = ACTIONS(5976),
    [anon_sym_thread_local] = ACTIONS(5976),
    [anon_sym___thread] = ACTIONS(5976),
    [anon_sym_const] = ACTIONS(5976),
    [anon_sym_constexpr] = ACTIONS(5976),
    [anon_sym_volatile] = ACTIONS(5976),
    [anon_sym_restrict] = ACTIONS(5976),
    [anon_sym___restrict__] = ACTIONS(5976),
    [anon_sym__Atomic] = ACTIONS(5976),
    [anon_sym__Noreturn] = ACTIONS(5976),
    [anon_sym_noreturn] = ACTIONS(5976),
    [anon_sym__Nonnull] = ACTIONS(5976),
    [anon_sym_mutable] = ACTIONS(5976),
    [anon_sym_constinit] = ACTIONS(5976),
    [anon_sym_consteval] = ACTIONS(5976),
    [anon_sym_PROGMEM] = ACTIONS(5976),
    [anon_sym_alignas] = ACTIONS(5976),
    [anon_sym__Alignas] = ACTIONS(5976),
    [aux_sym_primitive_type_token1] = ACTIONS(5976),
    [anon_sym_byte] = ACTIONS(5976),
    [anon_sym_word] = ACTIONS(5976),
    [anon_sym_enum] = ACTIONS(5976),
    [anon_sym_class] = ACTIONS(5976),
    [anon_sym_struct] = ACTIONS(5976),
    [anon_sym_union] = ACTIONS(5976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5976),
    [anon_sym_decltype] = ACTIONS(5976),
    [anon_sym_explicit] = ACTIONS(5976),
    [anon_sym_typename] = ACTIONS(5976),
    [anon_sym_template] = ACTIONS(5976),
    [anon_sym_operator] = ACTIONS(5976),
    [anon_sym_friend] = ACTIONS(5976),
    [anon_sym_using] = ACTIONS(5976),
    [anon_sym_concept] = ACTIONS(5976),
    [anon_sym_requires] = ACTIONS(5976),
  },
  [2163] = {
    [sym_attribute_specifier] = STATE(1819),
    [sym_enumerator_list] = STATE(2231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5925),
    [anon_sym_COMMA] = ACTIONS(5925),
    [anon_sym_RPAREN] = ACTIONS(5925),
    [anon_sym_LPAREN2] = ACTIONS(5925),
    [anon_sym_DASH] = ACTIONS(5923),
    [anon_sym_PLUS] = ACTIONS(5923),
    [anon_sym_STAR] = ACTIONS(5925),
    [anon_sym_SLASH] = ACTIONS(5923),
    [anon_sym_PERCENT] = ACTIONS(5925),
    [anon_sym_PIPE_PIPE] = ACTIONS(5925),
    [anon_sym_AMP_AMP] = ACTIONS(5925),
    [anon_sym_PIPE] = ACTIONS(5923),
    [anon_sym_CARET] = ACTIONS(5925),
    [anon_sym_AMP] = ACTIONS(5923),
    [anon_sym_EQ_EQ] = ACTIONS(5925),
    [anon_sym_BANG_EQ] = ACTIONS(5925),
    [anon_sym_GT] = ACTIONS(5923),
    [anon_sym_GT_EQ] = ACTIONS(5925),
    [anon_sym_LT_EQ] = ACTIONS(5923),
    [anon_sym_LT] = ACTIONS(5923),
    [anon_sym_LT_LT] = ACTIONS(5925),
    [anon_sym_GT_GT] = ACTIONS(5925),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym___extension__] = ACTIONS(5925),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5980),
    [anon_sym_RBRACE] = ACTIONS(5925),
    [anon_sym_LBRACK] = ACTIONS(5925),
    [anon_sym_RBRACK] = ACTIONS(5925),
    [anon_sym_const] = ACTIONS(5923),
    [anon_sym_constexpr] = ACTIONS(5925),
    [anon_sym_volatile] = ACTIONS(5925),
    [anon_sym_restrict] = ACTIONS(5925),
    [anon_sym___restrict__] = ACTIONS(5925),
    [anon_sym__Atomic] = ACTIONS(5925),
    [anon_sym__Noreturn] = ACTIONS(5925),
    [anon_sym_noreturn] = ACTIONS(5925),
    [anon_sym__Nonnull] = ACTIONS(5925),
    [anon_sym_mutable] = ACTIONS(5925),
    [anon_sym_constinit] = ACTIONS(5925),
    [anon_sym_consteval] = ACTIONS(5925),
    [anon_sym_PROGMEM] = ACTIONS(5925),
    [anon_sym_alignas] = ACTIONS(5925),
    [anon_sym__Alignas] = ACTIONS(5925),
    [anon_sym_COLON] = ACTIONS(5925),
    [anon_sym_QMARK] = ACTIONS(5925),
    [anon_sym_LT_EQ_GT] = ACTIONS(5925),
    [anon_sym_or] = ACTIONS(5925),
    [anon_sym_and] = ACTIONS(5925),
    [anon_sym_bitor] = ACTIONS(5925),
    [anon_sym_xor] = ACTIONS(5925),
    [anon_sym_bitand] = ACTIONS(5925),
    [anon_sym_not_eq] = ACTIONS(5925),
    [anon_sym_DASH_DASH] = ACTIONS(5925),
    [anon_sym_PLUS_PLUS] = ACTIONS(5925),
    [anon_sym_DOT] = ACTIONS(5923),
    [anon_sym_DOT_STAR] = ACTIONS(5925),
    [anon_sym_DASH_GT] = ACTIONS(5925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5925),
    [anon_sym_decltype] = ACTIONS(5925),
    [anon_sym_final] = ACTIONS(5925),
    [anon_sym_override] = ACTIONS(5925),
    [anon_sym_requires] = ACTIONS(5925),
  },
  [2164] = {
    [sym_attribute_specifier] = STATE(2285),
    [sym_identifier] = ACTIONS(5982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5984),
    [anon_sym_COMMA] = ACTIONS(5984),
    [anon_sym_RPAREN] = ACTIONS(5984),
    [aux_sym_preproc_if_token2] = ACTIONS(5984),
    [aux_sym_preproc_else_token1] = ACTIONS(5984),
    [aux_sym_preproc_elif_token1] = ACTIONS(5982),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5984),
    [anon_sym_LPAREN2] = ACTIONS(5984),
    [anon_sym_DASH] = ACTIONS(5982),
    [anon_sym_PLUS] = ACTIONS(5982),
    [anon_sym_STAR] = ACTIONS(5982),
    [anon_sym_SLASH] = ACTIONS(5982),
    [anon_sym_PERCENT] = ACTIONS(5982),
    [anon_sym_PIPE_PIPE] = ACTIONS(5984),
    [anon_sym_AMP_AMP] = ACTIONS(5984),
    [anon_sym_PIPE] = ACTIONS(5982),
    [anon_sym_CARET] = ACTIONS(5982),
    [anon_sym_AMP] = ACTIONS(5982),
    [anon_sym_EQ_EQ] = ACTIONS(5984),
    [anon_sym_BANG_EQ] = ACTIONS(5984),
    [anon_sym_GT] = ACTIONS(5982),
    [anon_sym_GT_EQ] = ACTIONS(5984),
    [anon_sym_LT_EQ] = ACTIONS(5982),
    [anon_sym_LT] = ACTIONS(5982),
    [anon_sym_LT_LT] = ACTIONS(5982),
    [anon_sym_GT_GT] = ACTIONS(5982),
    [anon_sym_SEMI] = ACTIONS(5984),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5984),
    [anon_sym_RBRACE] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(5984),
    [anon_sym_RBRACK] = ACTIONS(5984),
    [anon_sym_EQ] = ACTIONS(5982),
    [anon_sym_COLON] = ACTIONS(5984),
    [anon_sym_QMARK] = ACTIONS(5984),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5982),
    [anon_sym_or_eq] = ACTIONS(5982),
    [anon_sym_xor_eq] = ACTIONS(5982),
    [anon_sym_LT_EQ_GT] = ACTIONS(5984),
    [anon_sym_or] = ACTIONS(5982),
    [anon_sym_and] = ACTIONS(5982),
    [anon_sym_bitor] = ACTIONS(5982),
    [anon_sym_xor] = ACTIONS(5982),
    [anon_sym_bitand] = ACTIONS(5982),
    [anon_sym_not_eq] = ACTIONS(5982),
    [anon_sym_DASH_DASH] = ACTIONS(5984),
    [anon_sym_PLUS_PLUS] = ACTIONS(5984),
    [anon_sym_DOT] = ACTIONS(5982),
    [anon_sym_DOT_STAR] = ACTIONS(5984),
    [anon_sym_DASH_GT] = ACTIONS(5984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5982),
    [anon_sym_decltype] = ACTIONS(5982),
  },
  [2165] = {
    [sym_attribute_specifier] = STATE(2199),
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [aux_sym_preproc_if_token2] = ACTIONS(5988),
    [aux_sym_preproc_else_token1] = ACTIONS(5988),
    [aux_sym_preproc_elif_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5986),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5986),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5986),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5986),
    [anon_sym_GT_GT] = ACTIONS(5986),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_EQ] = ACTIONS(5986),
    [anon_sym_COLON] = ACTIONS(5988),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_STAR_EQ] = ACTIONS(5988),
    [anon_sym_SLASH_EQ] = ACTIONS(5988),
    [anon_sym_PERCENT_EQ] = ACTIONS(5988),
    [anon_sym_PLUS_EQ] = ACTIONS(5988),
    [anon_sym_DASH_EQ] = ACTIONS(5988),
    [anon_sym_LT_LT_EQ] = ACTIONS(5988),
    [anon_sym_GT_GT_EQ] = ACTIONS(5988),
    [anon_sym_AMP_EQ] = ACTIONS(5988),
    [anon_sym_CARET_EQ] = ACTIONS(5988),
    [anon_sym_PIPE_EQ] = ACTIONS(5988),
    [anon_sym_and_eq] = ACTIONS(5986),
    [anon_sym_or_eq] = ACTIONS(5986),
    [anon_sym_xor_eq] = ACTIONS(5986),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5986),
    [anon_sym_and] = ACTIONS(5986),
    [anon_sym_bitor] = ACTIONS(5986),
    [anon_sym_xor] = ACTIONS(5986),
    [anon_sym_bitand] = ACTIONS(5986),
    [anon_sym_not_eq] = ACTIONS(5986),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5986),
    [anon_sym_decltype] = ACTIONS(5986),
  },
  [2166] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(5990),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5992),
    [anon_sym_COMMA] = ACTIONS(5992),
    [anon_sym_RPAREN] = ACTIONS(5992),
    [aux_sym_preproc_if_token2] = ACTIONS(5992),
    [aux_sym_preproc_else_token1] = ACTIONS(5992),
    [aux_sym_preproc_elif_token1] = ACTIONS(5990),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5992),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5990),
    [anon_sym_STAR] = ACTIONS(5990),
    [anon_sym_SLASH] = ACTIONS(5990),
    [anon_sym_PERCENT] = ACTIONS(5990),
    [anon_sym_PIPE_PIPE] = ACTIONS(5992),
    [anon_sym_AMP_AMP] = ACTIONS(5992),
    [anon_sym_PIPE] = ACTIONS(5990),
    [anon_sym_CARET] = ACTIONS(5990),
    [anon_sym_AMP] = ACTIONS(5990),
    [anon_sym_EQ_EQ] = ACTIONS(5992),
    [anon_sym_BANG_EQ] = ACTIONS(5992),
    [anon_sym_GT] = ACTIONS(5990),
    [anon_sym_GT_EQ] = ACTIONS(5992),
    [anon_sym_LT_EQ] = ACTIONS(5990),
    [anon_sym_LT] = ACTIONS(5990),
    [anon_sym_LT_LT] = ACTIONS(5990),
    [anon_sym_GT_GT] = ACTIONS(5990),
    [anon_sym_SEMI] = ACTIONS(5992),
    [anon_sym___attribute__] = ACTIONS(5990),
    [anon_sym___attribute] = ACTIONS(5990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(5992),
    [anon_sym_EQ] = ACTIONS(5990),
    [anon_sym_COLON] = ACTIONS(5992),
    [anon_sym_QMARK] = ACTIONS(5992),
    [anon_sym_STAR_EQ] = ACTIONS(5992),
    [anon_sym_SLASH_EQ] = ACTIONS(5992),
    [anon_sym_PERCENT_EQ] = ACTIONS(5992),
    [anon_sym_PLUS_EQ] = ACTIONS(5992),
    [anon_sym_DASH_EQ] = ACTIONS(5992),
    [anon_sym_LT_LT_EQ] = ACTIONS(5992),
    [anon_sym_GT_GT_EQ] = ACTIONS(5992),
    [anon_sym_AMP_EQ] = ACTIONS(5992),
    [anon_sym_CARET_EQ] = ACTIONS(5992),
    [anon_sym_PIPE_EQ] = ACTIONS(5992),
    [anon_sym_and_eq] = ACTIONS(5990),
    [anon_sym_or_eq] = ACTIONS(5990),
    [anon_sym_xor_eq] = ACTIONS(5990),
    [anon_sym_LT_EQ_GT] = ACTIONS(5992),
    [anon_sym_or] = ACTIONS(5990),
    [anon_sym_and] = ACTIONS(5990),
    [anon_sym_bitor] = ACTIONS(5990),
    [anon_sym_xor] = ACTIONS(5990),
    [anon_sym_bitand] = ACTIONS(5990),
    [anon_sym_not_eq] = ACTIONS(5990),
    [anon_sym_DASH_DASH] = ACTIONS(5992),
    [anon_sym_PLUS_PLUS] = ACTIONS(5992),
    [anon_sym_DOT] = ACTIONS(5990),
    [anon_sym_DOT_STAR] = ACTIONS(5992),
    [anon_sym_DASH_GT] = ACTIONS(5992),
    [sym_comment] = ACTIONS(3),
  },
  [2167] = {
    [sym_decltype_auto] = STATE(2294),
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5359),
    [anon_sym_COMMA] = ACTIONS(5359),
    [anon_sym_RPAREN] = ACTIONS(5359),
    [aux_sym_preproc_if_token2] = ACTIONS(5359),
    [aux_sym_preproc_else_token1] = ACTIONS(5359),
    [aux_sym_preproc_elif_token1] = ACTIONS(5357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_DASH] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5357),
    [anon_sym_SLASH] = ACTIONS(5357),
    [anon_sym_PERCENT] = ACTIONS(5357),
    [anon_sym_PIPE_PIPE] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_PIPE] = ACTIONS(5357),
    [anon_sym_CARET] = ACTIONS(5357),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_EQ_EQ] = ACTIONS(5359),
    [anon_sym_BANG_EQ] = ACTIONS(5359),
    [anon_sym_GT] = ACTIONS(5357),
    [anon_sym_GT_EQ] = ACTIONS(5359),
    [anon_sym_LT_EQ] = ACTIONS(5357),
    [anon_sym_LT] = ACTIONS(5357),
    [anon_sym_LT_LT] = ACTIONS(5357),
    [anon_sym_GT_GT] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym___attribute] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_RBRACE] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5359),
    [anon_sym_RBRACK] = ACTIONS(5359),
    [anon_sym_EQ] = ACTIONS(5357),
    [anon_sym_COLON] = ACTIONS(5359),
    [anon_sym_QMARK] = ACTIONS(5359),
    [anon_sym_STAR_EQ] = ACTIONS(5359),
    [anon_sym_SLASH_EQ] = ACTIONS(5359),
    [anon_sym_PERCENT_EQ] = ACTIONS(5359),
    [anon_sym_PLUS_EQ] = ACTIONS(5359),
    [anon_sym_DASH_EQ] = ACTIONS(5359),
    [anon_sym_LT_LT_EQ] = ACTIONS(5359),
    [anon_sym_GT_GT_EQ] = ACTIONS(5359),
    [anon_sym_AMP_EQ] = ACTIONS(5359),
    [anon_sym_CARET_EQ] = ACTIONS(5359),
    [anon_sym_PIPE_EQ] = ACTIONS(5359),
    [anon_sym_and_eq] = ACTIONS(5357),
    [anon_sym_or_eq] = ACTIONS(5357),
    [anon_sym_xor_eq] = ACTIONS(5357),
    [anon_sym_LT_EQ_GT] = ACTIONS(5359),
    [anon_sym_or] = ACTIONS(5357),
    [anon_sym_and] = ACTIONS(5357),
    [anon_sym_bitor] = ACTIONS(5357),
    [anon_sym_xor] = ACTIONS(5357),
    [anon_sym_bitand] = ACTIONS(5357),
    [anon_sym_not_eq] = ACTIONS(5357),
    [anon_sym_DASH_DASH] = ACTIONS(5359),
    [anon_sym_PLUS_PLUS] = ACTIONS(5359),
    [anon_sym_DOT] = ACTIONS(5357),
    [anon_sym_DOT_STAR] = ACTIONS(5359),
    [anon_sym_DASH_GT] = ACTIONS(5359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5772),
  },
  [2168] = {
    [sym_attribute_specifier] = STATE(2214),
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [aux_sym_preproc_if_token2] = ACTIONS(5996),
    [aux_sym_preproc_else_token1] = ACTIONS(5996),
    [aux_sym_preproc_elif_token1] = ACTIONS(5994),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5994),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5994),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5994),
    [anon_sym_GT_GT] = ACTIONS(5994),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_EQ] = ACTIONS(5994),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_STAR_EQ] = ACTIONS(5996),
    [anon_sym_SLASH_EQ] = ACTIONS(5996),
    [anon_sym_PERCENT_EQ] = ACTIONS(5996),
    [anon_sym_PLUS_EQ] = ACTIONS(5996),
    [anon_sym_DASH_EQ] = ACTIONS(5996),
    [anon_sym_LT_LT_EQ] = ACTIONS(5996),
    [anon_sym_GT_GT_EQ] = ACTIONS(5996),
    [anon_sym_AMP_EQ] = ACTIONS(5996),
    [anon_sym_CARET_EQ] = ACTIONS(5996),
    [anon_sym_PIPE_EQ] = ACTIONS(5996),
    [anon_sym_and_eq] = ACTIONS(5994),
    [anon_sym_or_eq] = ACTIONS(5994),
    [anon_sym_xor_eq] = ACTIONS(5994),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5994),
    [anon_sym_and] = ACTIONS(5994),
    [anon_sym_bitor] = ACTIONS(5994),
    [anon_sym_xor] = ACTIONS(5994),
    [anon_sym_bitand] = ACTIONS(5994),
    [anon_sym_not_eq] = ACTIONS(5994),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
  },
  [2169] = {
    [sym_string_literal] = STATE(2154),
    [sym_raw_string_literal] = STATE(2154),
    [aux_sym_concatenated_string_repeat1] = STATE(2154),
    [sym_identifier] = ACTIONS(5998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5301),
    [anon_sym_COMMA] = ACTIONS(5301),
    [anon_sym_RPAREN] = ACTIONS(5301),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_DASH] = ACTIONS(5303),
    [anon_sym_PLUS] = ACTIONS(5303),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_SLASH] = ACTIONS(5303),
    [anon_sym_PERCENT] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_PIPE] = ACTIONS(5303),
    [anon_sym_CARET] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_EQ_EQ] = ACTIONS(5301),
    [anon_sym_BANG_EQ] = ACTIONS(5301),
    [anon_sym_GT] = ACTIONS(5303),
    [anon_sym_GT_EQ] = ACTIONS(5301),
    [anon_sym_LT_EQ] = ACTIONS(5303),
    [anon_sym_LT] = ACTIONS(5303),
    [anon_sym_LT_LT] = ACTIONS(5303),
    [anon_sym_GT_GT] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_QMARK] = ACTIONS(5301),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5303),
    [anon_sym_or_eq] = ACTIONS(5303),
    [anon_sym_xor_eq] = ACTIONS(5303),
    [anon_sym_LT_EQ_GT] = ACTIONS(5301),
    [anon_sym_or] = ACTIONS(5303),
    [anon_sym_and] = ACTIONS(5303),
    [anon_sym_bitor] = ACTIONS(5303),
    [anon_sym_xor] = ACTIONS(5303),
    [anon_sym_bitand] = ACTIONS(5303),
    [anon_sym_not_eq] = ACTIONS(5303),
    [anon_sym_DASH_DASH] = ACTIONS(5301),
    [anon_sym_PLUS_PLUS] = ACTIONS(5301),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_DOT_STAR] = ACTIONS(5301),
    [anon_sym_DASH_GT] = ACTIONS(5303),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5301),
    [sym_literal_suffix] = ACTIONS(5303),
  },
  [2170] = {
    [sym_attribute_specifier] = STATE(2251),
    [sym_identifier] = ACTIONS(6000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6002),
    [anon_sym_COMMA] = ACTIONS(6002),
    [anon_sym_RPAREN] = ACTIONS(6002),
    [aux_sym_preproc_if_token2] = ACTIONS(6002),
    [aux_sym_preproc_else_token1] = ACTIONS(6002),
    [aux_sym_preproc_elif_token1] = ACTIONS(6000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6002),
    [anon_sym_LPAREN2] = ACTIONS(6002),
    [anon_sym_DASH] = ACTIONS(6000),
    [anon_sym_PLUS] = ACTIONS(6000),
    [anon_sym_STAR] = ACTIONS(6000),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6000),
    [anon_sym_PIPE_PIPE] = ACTIONS(6002),
    [anon_sym_AMP_AMP] = ACTIONS(6002),
    [anon_sym_PIPE] = ACTIONS(6000),
    [anon_sym_CARET] = ACTIONS(6000),
    [anon_sym_AMP] = ACTIONS(6000),
    [anon_sym_EQ_EQ] = ACTIONS(6002),
    [anon_sym_BANG_EQ] = ACTIONS(6002),
    [anon_sym_GT] = ACTIONS(6000),
    [anon_sym_GT_EQ] = ACTIONS(6002),
    [anon_sym_LT_EQ] = ACTIONS(6000),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_LT_LT] = ACTIONS(6000),
    [anon_sym_GT_GT] = ACTIONS(6000),
    [anon_sym_SEMI] = ACTIONS(6002),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(6002),
    [anon_sym_RBRACE] = ACTIONS(6002),
    [anon_sym_LBRACK] = ACTIONS(6002),
    [anon_sym_RBRACK] = ACTIONS(6002),
    [anon_sym_EQ] = ACTIONS(6000),
    [anon_sym_COLON] = ACTIONS(6002),
    [anon_sym_QMARK] = ACTIONS(6002),
    [anon_sym_STAR_EQ] = ACTIONS(6002),
    [anon_sym_SLASH_EQ] = ACTIONS(6002),
    [anon_sym_PERCENT_EQ] = ACTIONS(6002),
    [anon_sym_PLUS_EQ] = ACTIONS(6002),
    [anon_sym_DASH_EQ] = ACTIONS(6002),
    [anon_sym_LT_LT_EQ] = ACTIONS(6002),
    [anon_sym_GT_GT_EQ] = ACTIONS(6002),
    [anon_sym_AMP_EQ] = ACTIONS(6002),
    [anon_sym_CARET_EQ] = ACTIONS(6002),
    [anon_sym_PIPE_EQ] = ACTIONS(6002),
    [anon_sym_and_eq] = ACTIONS(6000),
    [anon_sym_or_eq] = ACTIONS(6000),
    [anon_sym_xor_eq] = ACTIONS(6000),
    [anon_sym_LT_EQ_GT] = ACTIONS(6002),
    [anon_sym_or] = ACTIONS(6000),
    [anon_sym_and] = ACTIONS(6000),
    [anon_sym_bitor] = ACTIONS(6000),
    [anon_sym_xor] = ACTIONS(6000),
    [anon_sym_bitand] = ACTIONS(6000),
    [anon_sym_not_eq] = ACTIONS(6000),
    [anon_sym_DASH_DASH] = ACTIONS(6002),
    [anon_sym_PLUS_PLUS] = ACTIONS(6002),
    [anon_sym_DOT] = ACTIONS(6000),
    [anon_sym_DOT_STAR] = ACTIONS(6002),
    [anon_sym_DASH_GT] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6000),
    [anon_sym_decltype] = ACTIONS(6000),
  },
  [2171] = {
    [sym_attribute_specifier] = STATE(2256),
    [sym_identifier] = ACTIONS(6004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6006),
    [anon_sym_COMMA] = ACTIONS(6006),
    [anon_sym_RPAREN] = ACTIONS(6006),
    [aux_sym_preproc_if_token2] = ACTIONS(6006),
    [aux_sym_preproc_else_token1] = ACTIONS(6006),
    [aux_sym_preproc_elif_token1] = ACTIONS(6004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6006),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6006),
    [anon_sym_LPAREN2] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6004),
    [anon_sym_PLUS] = ACTIONS(6004),
    [anon_sym_STAR] = ACTIONS(6004),
    [anon_sym_SLASH] = ACTIONS(6004),
    [anon_sym_PERCENT] = ACTIONS(6004),
    [anon_sym_PIPE_PIPE] = ACTIONS(6006),
    [anon_sym_AMP_AMP] = ACTIONS(6006),
    [anon_sym_PIPE] = ACTIONS(6004),
    [anon_sym_CARET] = ACTIONS(6004),
    [anon_sym_AMP] = ACTIONS(6004),
    [anon_sym_EQ_EQ] = ACTIONS(6006),
    [anon_sym_BANG_EQ] = ACTIONS(6006),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6006),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_LT_LT] = ACTIONS(6004),
    [anon_sym_GT_GT] = ACTIONS(6004),
    [anon_sym_SEMI] = ACTIONS(6006),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(6006),
    [anon_sym_RBRACE] = ACTIONS(6006),
    [anon_sym_LBRACK] = ACTIONS(6006),
    [anon_sym_RBRACK] = ACTIONS(6006),
    [anon_sym_EQ] = ACTIONS(6004),
    [anon_sym_COLON] = ACTIONS(6006),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_STAR_EQ] = ACTIONS(6006),
    [anon_sym_SLASH_EQ] = ACTIONS(6006),
    [anon_sym_PERCENT_EQ] = ACTIONS(6006),
    [anon_sym_PLUS_EQ] = ACTIONS(6006),
    [anon_sym_DASH_EQ] = ACTIONS(6006),
    [anon_sym_LT_LT_EQ] = ACTIONS(6006),
    [anon_sym_GT_GT_EQ] = ACTIONS(6006),
    [anon_sym_AMP_EQ] = ACTIONS(6006),
    [anon_sym_CARET_EQ] = ACTIONS(6006),
    [anon_sym_PIPE_EQ] = ACTIONS(6006),
    [anon_sym_and_eq] = ACTIONS(6004),
    [anon_sym_or_eq] = ACTIONS(6004),
    [anon_sym_xor_eq] = ACTIONS(6004),
    [anon_sym_LT_EQ_GT] = ACTIONS(6006),
    [anon_sym_or] = ACTIONS(6004),
    [anon_sym_and] = ACTIONS(6004),
    [anon_sym_bitor] = ACTIONS(6004),
    [anon_sym_xor] = ACTIONS(6004),
    [anon_sym_bitand] = ACTIONS(6004),
    [anon_sym_not_eq] = ACTIONS(6004),
    [anon_sym_DASH_DASH] = ACTIONS(6006),
    [anon_sym_PLUS_PLUS] = ACTIONS(6006),
    [anon_sym_DOT] = ACTIONS(6004),
    [anon_sym_DOT_STAR] = ACTIONS(6006),
    [anon_sym_DASH_GT] = ACTIONS(6006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6004),
    [anon_sym_decltype] = ACTIONS(6004),
  },
  [2172] = {
    [sym_string_literal] = STATE(2357),
    [sym_template_argument_list] = STATE(3745),
    [sym_raw_string_literal] = STATE(2357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(6008),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(6011),
    [anon_sym_or_eq] = ACTIONS(6011),
    [anon_sym_xor_eq] = ACTIONS(6011),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4385),
    [anon_sym_u_DQUOTE] = ACTIONS(4385),
    [anon_sym_U_DQUOTE] = ACTIONS(4385),
    [anon_sym_u8_DQUOTE] = ACTIONS(4385),
    [anon_sym_DQUOTE] = ACTIONS(4385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4387),
    [anon_sym_LR_DQUOTE] = ACTIONS(4387),
    [anon_sym_uR_DQUOTE] = ACTIONS(4387),
    [anon_sym_UR_DQUOTE] = ACTIONS(4387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4387),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(6013),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_TILDE] = ACTIONS(6015),
    [anon_sym_STAR] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(6013),
    [anon_sym_virtual] = ACTIONS(6013),
    [anon_sym_extern] = ACTIONS(6013),
    [anon_sym___attribute__] = ACTIONS(6013),
    [anon_sym___attribute] = ACTIONS(6013),
    [anon_sym_COLON_COLON] = ACTIONS(6015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6015),
    [anon_sym___declspec] = ACTIONS(6013),
    [anon_sym___based] = ACTIONS(6013),
    [anon_sym___cdecl] = ACTIONS(6013),
    [anon_sym___clrcall] = ACTIONS(6013),
    [anon_sym___stdcall] = ACTIONS(6013),
    [anon_sym___fastcall] = ACTIONS(6013),
    [anon_sym___thiscall] = ACTIONS(6013),
    [anon_sym___vectorcall] = ACTIONS(6013),
    [anon_sym_signed] = ACTIONS(6013),
    [anon_sym_unsigned] = ACTIONS(6013),
    [anon_sym_long] = ACTIONS(6013),
    [anon_sym_short] = ACTIONS(6013),
    [anon_sym_LBRACK] = ACTIONS(6013),
    [anon_sym_static] = ACTIONS(6013),
    [anon_sym_register] = ACTIONS(6013),
    [anon_sym_inline] = ACTIONS(6013),
    [anon_sym___inline] = ACTIONS(6013),
    [anon_sym___inline__] = ACTIONS(6013),
    [anon_sym___forceinline] = ACTIONS(6013),
    [anon_sym_thread_local] = ACTIONS(6013),
    [anon_sym___thread] = ACTIONS(6013),
    [anon_sym_const] = ACTIONS(6013),
    [anon_sym_constexpr] = ACTIONS(6013),
    [anon_sym_volatile] = ACTIONS(6013),
    [anon_sym_restrict] = ACTIONS(6013),
    [anon_sym___restrict__] = ACTIONS(6013),
    [anon_sym__Atomic] = ACTIONS(6013),
    [anon_sym__Noreturn] = ACTIONS(6013),
    [anon_sym_noreturn] = ACTIONS(6013),
    [anon_sym__Nonnull] = ACTIONS(6013),
    [anon_sym_mutable] = ACTIONS(6013),
    [anon_sym_constinit] = ACTIONS(6013),
    [anon_sym_consteval] = ACTIONS(6013),
    [anon_sym_PROGMEM] = ACTIONS(6013),
    [anon_sym_alignas] = ACTIONS(6013),
    [anon_sym__Alignas] = ACTIONS(6013),
    [aux_sym_primitive_type_token1] = ACTIONS(6013),
    [anon_sym_byte] = ACTIONS(6013),
    [anon_sym_word] = ACTIONS(6013),
    [anon_sym_enum] = ACTIONS(6013),
    [anon_sym_class] = ACTIONS(6013),
    [anon_sym_struct] = ACTIONS(6013),
    [anon_sym_union] = ACTIONS(6013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6013),
    [anon_sym_decltype] = ACTIONS(6013),
    [anon_sym_explicit] = ACTIONS(6013),
    [anon_sym_typename] = ACTIONS(6013),
    [anon_sym_template] = ACTIONS(6013),
    [anon_sym_operator] = ACTIONS(6013),
    [anon_sym_friend] = ACTIONS(6013),
    [anon_sym_using] = ACTIONS(6013),
    [anon_sym_concept] = ACTIONS(6013),
    [anon_sym_requires] = ACTIONS(6013),
  },
  [2174] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2175] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4378),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2176] = {
    [sym_attribute_specifier] = STATE(2266),
    [sym_identifier] = ACTIONS(6017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_RPAREN] = ACTIONS(6019),
    [aux_sym_preproc_if_token2] = ACTIONS(6019),
    [aux_sym_preproc_else_token1] = ACTIONS(6019),
    [aux_sym_preproc_elif_token1] = ACTIONS(6017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6017),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6017),
    [anon_sym_GT_GT] = ACTIONS(6017),
    [anon_sym_SEMI] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_RBRACE] = ACTIONS(6019),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_RBRACK] = ACTIONS(6019),
    [anon_sym_EQ] = ACTIONS(6017),
    [anon_sym_COLON] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_STAR_EQ] = ACTIONS(6019),
    [anon_sym_SLASH_EQ] = ACTIONS(6019),
    [anon_sym_PERCENT_EQ] = ACTIONS(6019),
    [anon_sym_PLUS_EQ] = ACTIONS(6019),
    [anon_sym_DASH_EQ] = ACTIONS(6019),
    [anon_sym_LT_LT_EQ] = ACTIONS(6019),
    [anon_sym_GT_GT_EQ] = ACTIONS(6019),
    [anon_sym_AMP_EQ] = ACTIONS(6019),
    [anon_sym_CARET_EQ] = ACTIONS(6019),
    [anon_sym_PIPE_EQ] = ACTIONS(6019),
    [anon_sym_and_eq] = ACTIONS(6017),
    [anon_sym_or_eq] = ACTIONS(6017),
    [anon_sym_xor_eq] = ACTIONS(6017),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6017),
    [anon_sym_and] = ACTIONS(6017),
    [anon_sym_bitor] = ACTIONS(6017),
    [anon_sym_xor] = ACTIONS(6017),
    [anon_sym_bitand] = ACTIONS(6017),
    [anon_sym_not_eq] = ACTIONS(6017),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6017),
    [anon_sym_decltype] = ACTIONS(6017),
  },
  [2177] = {
    [sym_attribute_specifier] = STATE(2267),
    [sym_identifier] = ACTIONS(6021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [aux_sym_preproc_if_token2] = ACTIONS(6023),
    [aux_sym_preproc_else_token1] = ACTIONS(6023),
    [aux_sym_preproc_elif_token1] = ACTIONS(6021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(6023),
    [anon_sym_DASH] = ACTIONS(6021),
    [anon_sym_PLUS] = ACTIONS(6021),
    [anon_sym_STAR] = ACTIONS(6021),
    [anon_sym_SLASH] = ACTIONS(6021),
    [anon_sym_PERCENT] = ACTIONS(6021),
    [anon_sym_PIPE_PIPE] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_PIPE] = ACTIONS(6021),
    [anon_sym_CARET] = ACTIONS(6021),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_EQ_EQ] = ACTIONS(6023),
    [anon_sym_BANG_EQ] = ACTIONS(6023),
    [anon_sym_GT] = ACTIONS(6021),
    [anon_sym_GT_EQ] = ACTIONS(6023),
    [anon_sym_LT_EQ] = ACTIONS(6021),
    [anon_sym_LT] = ACTIONS(6021),
    [anon_sym_LT_LT] = ACTIONS(6021),
    [anon_sym_GT_GT] = ACTIONS(6021),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(6023),
    [anon_sym_RBRACE] = ACTIONS(6023),
    [anon_sym_LBRACK] = ACTIONS(6023),
    [anon_sym_RBRACK] = ACTIONS(6023),
    [anon_sym_EQ] = ACTIONS(6021),
    [anon_sym_COLON] = ACTIONS(6023),
    [anon_sym_QMARK] = ACTIONS(6023),
    [anon_sym_STAR_EQ] = ACTIONS(6023),
    [anon_sym_SLASH_EQ] = ACTIONS(6023),
    [anon_sym_PERCENT_EQ] = ACTIONS(6023),
    [anon_sym_PLUS_EQ] = ACTIONS(6023),
    [anon_sym_DASH_EQ] = ACTIONS(6023),
    [anon_sym_LT_LT_EQ] = ACTIONS(6023),
    [anon_sym_GT_GT_EQ] = ACTIONS(6023),
    [anon_sym_AMP_EQ] = ACTIONS(6023),
    [anon_sym_CARET_EQ] = ACTIONS(6023),
    [anon_sym_PIPE_EQ] = ACTIONS(6023),
    [anon_sym_and_eq] = ACTIONS(6021),
    [anon_sym_or_eq] = ACTIONS(6021),
    [anon_sym_xor_eq] = ACTIONS(6021),
    [anon_sym_LT_EQ_GT] = ACTIONS(6023),
    [anon_sym_or] = ACTIONS(6021),
    [anon_sym_and] = ACTIONS(6021),
    [anon_sym_bitor] = ACTIONS(6021),
    [anon_sym_xor] = ACTIONS(6021),
    [anon_sym_bitand] = ACTIONS(6021),
    [anon_sym_not_eq] = ACTIONS(6021),
    [anon_sym_DASH_DASH] = ACTIONS(6023),
    [anon_sym_PLUS_PLUS] = ACTIONS(6023),
    [anon_sym_DOT] = ACTIONS(6021),
    [anon_sym_DOT_STAR] = ACTIONS(6023),
    [anon_sym_DASH_GT] = ACTIONS(6023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6021),
    [anon_sym_decltype] = ACTIONS(6021),
  },
  [2178] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2179] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_RPAREN] = ACTIONS(6027),
    [aux_sym_preproc_if_token2] = ACTIONS(6027),
    [aux_sym_preproc_else_token1] = ACTIONS(6027),
    [aux_sym_preproc_elif_token1] = ACTIONS(6025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6027),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(6025),
    [anon_sym_PLUS] = ACTIONS(6025),
    [anon_sym_STAR] = ACTIONS(6025),
    [anon_sym_SLASH] = ACTIONS(6025),
    [anon_sym_PERCENT] = ACTIONS(6025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6027),
    [anon_sym_AMP_AMP] = ACTIONS(6027),
    [anon_sym_PIPE] = ACTIONS(6025),
    [anon_sym_CARET] = ACTIONS(6025),
    [anon_sym_AMP] = ACTIONS(6025),
    [anon_sym_EQ_EQ] = ACTIONS(6027),
    [anon_sym_BANG_EQ] = ACTIONS(6027),
    [anon_sym_GT] = ACTIONS(6025),
    [anon_sym_GT_EQ] = ACTIONS(6027),
    [anon_sym_LT_EQ] = ACTIONS(6025),
    [anon_sym_LT] = ACTIONS(6025),
    [anon_sym_LT_LT] = ACTIONS(6025),
    [anon_sym_GT_GT] = ACTIONS(6025),
    [anon_sym_SEMI] = ACTIONS(6027),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym___attribute] = ACTIONS(6025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(6027),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(6027),
    [anon_sym_EQ] = ACTIONS(6025),
    [anon_sym_COLON] = ACTIONS(6027),
    [anon_sym_QMARK] = ACTIONS(6027),
    [anon_sym_STAR_EQ] = ACTIONS(6027),
    [anon_sym_SLASH_EQ] = ACTIONS(6027),
    [anon_sym_PERCENT_EQ] = ACTIONS(6027),
    [anon_sym_PLUS_EQ] = ACTIONS(6027),
    [anon_sym_DASH_EQ] = ACTIONS(6027),
    [anon_sym_LT_LT_EQ] = ACTIONS(6027),
    [anon_sym_GT_GT_EQ] = ACTIONS(6027),
    [anon_sym_AMP_EQ] = ACTIONS(6027),
    [anon_sym_CARET_EQ] = ACTIONS(6027),
    [anon_sym_PIPE_EQ] = ACTIONS(6027),
    [anon_sym_and_eq] = ACTIONS(6025),
    [anon_sym_or_eq] = ACTIONS(6025),
    [anon_sym_xor_eq] = ACTIONS(6025),
    [anon_sym_LT_EQ_GT] = ACTIONS(6027),
    [anon_sym_or] = ACTIONS(6025),
    [anon_sym_and] = ACTIONS(6025),
    [anon_sym_bitor] = ACTIONS(6025),
    [anon_sym_xor] = ACTIONS(6025),
    [anon_sym_bitand] = ACTIONS(6025),
    [anon_sym_not_eq] = ACTIONS(6025),
    [anon_sym_DASH_DASH] = ACTIONS(6027),
    [anon_sym_PLUS_PLUS] = ACTIONS(6027),
    [anon_sym_DOT] = ACTIONS(6025),
    [anon_sym_DOT_STAR] = ACTIONS(6027),
    [anon_sym_DASH_GT] = ACTIONS(6027),
    [sym_comment] = ACTIONS(3),
  },
  [2180] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(6029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6031),
    [anon_sym_COMMA] = ACTIONS(6031),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [aux_sym_preproc_if_token2] = ACTIONS(6031),
    [aux_sym_preproc_else_token1] = ACTIONS(6031),
    [aux_sym_preproc_elif_token1] = ACTIONS(6029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6031),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(6029),
    [anon_sym_PLUS] = ACTIONS(6029),
    [anon_sym_STAR] = ACTIONS(6029),
    [anon_sym_SLASH] = ACTIONS(6029),
    [anon_sym_PERCENT] = ACTIONS(6029),
    [anon_sym_PIPE_PIPE] = ACTIONS(6031),
    [anon_sym_AMP_AMP] = ACTIONS(6031),
    [anon_sym_PIPE] = ACTIONS(6029),
    [anon_sym_CARET] = ACTIONS(6029),
    [anon_sym_AMP] = ACTIONS(6029),
    [anon_sym_EQ_EQ] = ACTIONS(6031),
    [anon_sym_BANG_EQ] = ACTIONS(6031),
    [anon_sym_GT] = ACTIONS(6029),
    [anon_sym_GT_EQ] = ACTIONS(6031),
    [anon_sym_LT_EQ] = ACTIONS(6029),
    [anon_sym_LT] = ACTIONS(6029),
    [anon_sym_LT_LT] = ACTIONS(6029),
    [anon_sym_GT_GT] = ACTIONS(6029),
    [anon_sym_SEMI] = ACTIONS(6031),
    [anon_sym___attribute__] = ACTIONS(6029),
    [anon_sym___attribute] = ACTIONS(6029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(6031),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(6029),
    [anon_sym_COLON] = ACTIONS(6031),
    [anon_sym_QMARK] = ACTIONS(6031),
    [anon_sym_STAR_EQ] = ACTIONS(6031),
    [anon_sym_SLASH_EQ] = ACTIONS(6031),
    [anon_sym_PERCENT_EQ] = ACTIONS(6031),
    [anon_sym_PLUS_EQ] = ACTIONS(6031),
    [anon_sym_DASH_EQ] = ACTIONS(6031),
    [anon_sym_LT_LT_EQ] = ACTIONS(6031),
    [anon_sym_GT_GT_EQ] = ACTIONS(6031),
    [anon_sym_AMP_EQ] = ACTIONS(6031),
    [anon_sym_CARET_EQ] = ACTIONS(6031),
    [anon_sym_PIPE_EQ] = ACTIONS(6031),
    [anon_sym_and_eq] = ACTIONS(6029),
    [anon_sym_or_eq] = ACTIONS(6029),
    [anon_sym_xor_eq] = ACTIONS(6029),
    [anon_sym_LT_EQ_GT] = ACTIONS(6031),
    [anon_sym_or] = ACTIONS(6029),
    [anon_sym_and] = ACTIONS(6029),
    [anon_sym_bitor] = ACTIONS(6029),
    [anon_sym_xor] = ACTIONS(6029),
    [anon_sym_bitand] = ACTIONS(6029),
    [anon_sym_not_eq] = ACTIONS(6029),
    [anon_sym_DASH_DASH] = ACTIONS(6031),
    [anon_sym_PLUS_PLUS] = ACTIONS(6031),
    [anon_sym_DOT] = ACTIONS(6029),
    [anon_sym_DOT_STAR] = ACTIONS(6031),
    [anon_sym_DASH_GT] = ACTIONS(6031),
    [sym_comment] = ACTIONS(3),
  },
  [2181] = {
    [sym_attribute_specifier] = STATE(2283),
    [sym_identifier] = ACTIONS(6033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [aux_sym_preproc_if_token2] = ACTIONS(6035),
    [aux_sym_preproc_else_token1] = ACTIONS(6035),
    [aux_sym_preproc_elif_token1] = ACTIONS(6033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_DASH] = ACTIONS(6033),
    [anon_sym_PLUS] = ACTIONS(6033),
    [anon_sym_STAR] = ACTIONS(6033),
    [anon_sym_SLASH] = ACTIONS(6033),
    [anon_sym_PERCENT] = ACTIONS(6033),
    [anon_sym_PIPE_PIPE] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_PIPE] = ACTIONS(6033),
    [anon_sym_CARET] = ACTIONS(6033),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_EQ_EQ] = ACTIONS(6035),
    [anon_sym_BANG_EQ] = ACTIONS(6035),
    [anon_sym_GT] = ACTIONS(6033),
    [anon_sym_GT_EQ] = ACTIONS(6035),
    [anon_sym_LT_EQ] = ACTIONS(6033),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_LT_LT] = ACTIONS(6033),
    [anon_sym_GT_GT] = ACTIONS(6033),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6035),
    [anon_sym_LBRACK] = ACTIONS(6035),
    [anon_sym_RBRACK] = ACTIONS(6035),
    [anon_sym_EQ] = ACTIONS(6033),
    [anon_sym_COLON] = ACTIONS(6035),
    [anon_sym_QMARK] = ACTIONS(6035),
    [anon_sym_STAR_EQ] = ACTIONS(6035),
    [anon_sym_SLASH_EQ] = ACTIONS(6035),
    [anon_sym_PERCENT_EQ] = ACTIONS(6035),
    [anon_sym_PLUS_EQ] = ACTIONS(6035),
    [anon_sym_DASH_EQ] = ACTIONS(6035),
    [anon_sym_LT_LT_EQ] = ACTIONS(6035),
    [anon_sym_GT_GT_EQ] = ACTIONS(6035),
    [anon_sym_AMP_EQ] = ACTIONS(6035),
    [anon_sym_CARET_EQ] = ACTIONS(6035),
    [anon_sym_PIPE_EQ] = ACTIONS(6035),
    [anon_sym_and_eq] = ACTIONS(6033),
    [anon_sym_or_eq] = ACTIONS(6033),
    [anon_sym_xor_eq] = ACTIONS(6033),
    [anon_sym_LT_EQ_GT] = ACTIONS(6035),
    [anon_sym_or] = ACTIONS(6033),
    [anon_sym_and] = ACTIONS(6033),
    [anon_sym_bitor] = ACTIONS(6033),
    [anon_sym_xor] = ACTIONS(6033),
    [anon_sym_bitand] = ACTIONS(6033),
    [anon_sym_not_eq] = ACTIONS(6033),
    [anon_sym_DASH_DASH] = ACTIONS(6035),
    [anon_sym_PLUS_PLUS] = ACTIONS(6035),
    [anon_sym_DOT] = ACTIONS(6033),
    [anon_sym_DOT_STAR] = ACTIONS(6035),
    [anon_sym_DASH_GT] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6033),
    [anon_sym_decltype] = ACTIONS(6033),
  },
  [2182] = {
    [sym_attribute_declaration] = STATE(2261),
    [sym_parameter_list] = STATE(2242),
    [aux_sym_attributed_declarator_repeat1] = STATE(2261),
    [sym_identifier] = ACTIONS(6037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6039),
    [anon_sym_COMMA] = ACTIONS(6039),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [aux_sym_preproc_if_token2] = ACTIONS(6039),
    [aux_sym_preproc_else_token1] = ACTIONS(6039),
    [aux_sym_preproc_elif_token1] = ACTIONS(6037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6039),
    [anon_sym_LPAREN2] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(6037),
    [anon_sym_PLUS] = ACTIONS(6037),
    [anon_sym_STAR] = ACTIONS(6037),
    [anon_sym_SLASH] = ACTIONS(6037),
    [anon_sym_PERCENT] = ACTIONS(6037),
    [anon_sym_PIPE_PIPE] = ACTIONS(6039),
    [anon_sym_AMP_AMP] = ACTIONS(6039),
    [anon_sym_PIPE] = ACTIONS(6037),
    [anon_sym_CARET] = ACTIONS(6037),
    [anon_sym_AMP] = ACTIONS(6037),
    [anon_sym_EQ_EQ] = ACTIONS(6039),
    [anon_sym_BANG_EQ] = ACTIONS(6039),
    [anon_sym_GT] = ACTIONS(6037),
    [anon_sym_GT_EQ] = ACTIONS(6039),
    [anon_sym_LT_EQ] = ACTIONS(6037),
    [anon_sym_LT] = ACTIONS(6037),
    [anon_sym_LT_LT] = ACTIONS(6037),
    [anon_sym_GT_GT] = ACTIONS(6037),
    [anon_sym_SEMI] = ACTIONS(6039),
    [anon_sym___attribute__] = ACTIONS(6037),
    [anon_sym___attribute] = ACTIONS(6037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(5950),
    [anon_sym_RBRACK] = ACTIONS(6039),
    [anon_sym_EQ] = ACTIONS(6037),
    [anon_sym_COLON] = ACTIONS(6039),
    [anon_sym_QMARK] = ACTIONS(6039),
    [anon_sym_STAR_EQ] = ACTIONS(6039),
    [anon_sym_SLASH_EQ] = ACTIONS(6039),
    [anon_sym_PERCENT_EQ] = ACTIONS(6039),
    [anon_sym_PLUS_EQ] = ACTIONS(6039),
    [anon_sym_DASH_EQ] = ACTIONS(6039),
    [anon_sym_LT_LT_EQ] = ACTIONS(6039),
    [anon_sym_GT_GT_EQ] = ACTIONS(6039),
    [anon_sym_AMP_EQ] = ACTIONS(6039),
    [anon_sym_CARET_EQ] = ACTIONS(6039),
    [anon_sym_PIPE_EQ] = ACTIONS(6039),
    [anon_sym_and_eq] = ACTIONS(6037),
    [anon_sym_or_eq] = ACTIONS(6037),
    [anon_sym_xor_eq] = ACTIONS(6037),
    [anon_sym_LT_EQ_GT] = ACTIONS(6039),
    [anon_sym_or] = ACTIONS(6037),
    [anon_sym_and] = ACTIONS(6037),
    [anon_sym_bitor] = ACTIONS(6037),
    [anon_sym_xor] = ACTIONS(6037),
    [anon_sym_bitand] = ACTIONS(6037),
    [anon_sym_not_eq] = ACTIONS(6037),
    [anon_sym_DASH_DASH] = ACTIONS(6039),
    [anon_sym_PLUS_PLUS] = ACTIONS(6039),
    [anon_sym_DOT] = ACTIONS(6037),
    [anon_sym_DOT_STAR] = ACTIONS(6039),
    [anon_sym_DASH_GT] = ACTIONS(6039),
    [sym_comment] = ACTIONS(3),
  },
  [2183] = {
    [sym_string_literal] = STATE(2169),
    [sym_template_argument_list] = STATE(3216),
    [sym_raw_string_literal] = STATE(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4927),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4109),
  },
  [2184] = {
    [sym_template_argument_list] = STATE(1577),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5908),
    [anon_sym_GT_GT] = ACTIONS(5908),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___attribute__] = ACTIONS(5910),
    [anon_sym___attribute] = ACTIONS(5908),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5908),
    [anon_sym_COLON] = ACTIONS(5908),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_and_eq] = ACTIONS(5910),
    [anon_sym_or_eq] = ACTIONS(5910),
    [anon_sym_xor_eq] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5910),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5910),
    [anon_sym_not_eq] = ACTIONS(5910),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5910),
    [anon_sym_decltype] = ACTIONS(5910),
  },
  [2185] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4376),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2186] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6041),
    [anon_sym_COMMA] = ACTIONS(6044),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6047),
    [anon_sym_EQ] = ACTIONS(6051),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2187] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4141),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4145),
    [anon_sym_SLASH_EQ] = ACTIONS(4145),
    [anon_sym_PERCENT_EQ] = ACTIONS(4145),
    [anon_sym_PLUS_EQ] = ACTIONS(4145),
    [anon_sym_DASH_EQ] = ACTIONS(4145),
    [anon_sym_LT_LT_EQ] = ACTIONS(4145),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4145),
    [anon_sym_CARET_EQ] = ACTIONS(4145),
    [anon_sym_PIPE_EQ] = ACTIONS(4145),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2188] = {
    [sym_string_literal] = STATE(2188),
    [sym_raw_string_literal] = STATE(2188),
    [aux_sym_concatenated_string_repeat1] = STATE(2188),
    [sym_identifier] = ACTIONS(6053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_RPAREN] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5386),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5384),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5384),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_and_eq] = ACTIONS(5386),
    [anon_sym_or_eq] = ACTIONS(5386),
    [anon_sym_xor_eq] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5384),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5384),
    [anon_sym_PLUS_PLUS] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_DOT_STAR] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_L_DQUOTE] = ACTIONS(6056),
    [anon_sym_u_DQUOTE] = ACTIONS(6056),
    [anon_sym_U_DQUOTE] = ACTIONS(6056),
    [anon_sym_u8_DQUOTE] = ACTIONS(6056),
    [anon_sym_DQUOTE] = ACTIONS(6056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(6059),
    [anon_sym_LR_DQUOTE] = ACTIONS(6059),
    [anon_sym_uR_DQUOTE] = ACTIONS(6059),
    [anon_sym_UR_DQUOTE] = ACTIONS(6059),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6059),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5384),
    [sym_literal_suffix] = ACTIONS(5386),
  },
  [2189] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_DASH] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4996),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4996),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_PIPE] = ACTIONS(4996),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_EQ_EQ] = ACTIONS(4999),
    [anon_sym_BANG_EQ] = ACTIONS(4999),
    [anon_sym_GT] = ACTIONS(4996),
    [anon_sym_GT_EQ] = ACTIONS(4996),
    [anon_sym_LT_EQ] = ACTIONS(4996),
    [anon_sym_LT] = ACTIONS(4996),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5727),
    [anon_sym_unsigned] = ACTIONS(5727),
    [anon_sym_long] = ACTIONS(5727),
    [anon_sym_short] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym__Nonnull] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_PROGMEM] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(4999),
    [anon_sym_or] = ACTIONS(4996),
    [anon_sym_and] = ACTIONS(4996),
    [anon_sym_bitor] = ACTIONS(4996),
    [anon_sym_xor] = ACTIONS(4996),
    [anon_sym_bitand] = ACTIONS(4996),
    [anon_sym_not_eq] = ACTIONS(4996),
    [anon_sym_DASH_DASH] = ACTIONS(4999),
    [anon_sym_PLUS_PLUS] = ACTIONS(4999),
    [anon_sym_DOT] = ACTIONS(4996),
    [anon_sym_DOT_STAR] = ACTIONS(4999),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [anon_sym_GT2] = ACTIONS(4999),
  },
  [2190] = {
    [sym_attribute_specifier] = STATE(1786),
    [sym_enumerator_list] = STATE(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5931),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_RPAREN] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5931),
    [anon_sym_DASH] = ACTIONS(5929),
    [anon_sym_PLUS] = ACTIONS(5929),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_SLASH] = ACTIONS(5929),
    [anon_sym_PERCENT] = ACTIONS(5931),
    [anon_sym_PIPE_PIPE] = ACTIONS(5931),
    [anon_sym_AMP_AMP] = ACTIONS(5931),
    [anon_sym_PIPE] = ACTIONS(5929),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_AMP] = ACTIONS(5929),
    [anon_sym_EQ_EQ] = ACTIONS(5931),
    [anon_sym_BANG_EQ] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(5929),
    [anon_sym_GT_EQ] = ACTIONS(5931),
    [anon_sym_LT_EQ] = ACTIONS(5929),
    [anon_sym_LT] = ACTIONS(5929),
    [anon_sym_LT_LT] = ACTIONS(5931),
    [anon_sym_GT_GT] = ACTIONS(5931),
    [anon_sym_SEMI] = ACTIONS(5931),
    [anon_sym___extension__] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5980),
    [anon_sym_RBRACE] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_RBRACK] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5929),
    [anon_sym_constexpr] = ACTIONS(5931),
    [anon_sym_volatile] = ACTIONS(5931),
    [anon_sym_restrict] = ACTIONS(5931),
    [anon_sym___restrict__] = ACTIONS(5931),
    [anon_sym__Atomic] = ACTIONS(5931),
    [anon_sym__Noreturn] = ACTIONS(5931),
    [anon_sym_noreturn] = ACTIONS(5931),
    [anon_sym__Nonnull] = ACTIONS(5931),
    [anon_sym_mutable] = ACTIONS(5931),
    [anon_sym_constinit] = ACTIONS(5931),
    [anon_sym_consteval] = ACTIONS(5931),
    [anon_sym_PROGMEM] = ACTIONS(5931),
    [anon_sym_alignas] = ACTIONS(5931),
    [anon_sym__Alignas] = ACTIONS(5931),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5931),
    [anon_sym_LT_EQ_GT] = ACTIONS(5931),
    [anon_sym_or] = ACTIONS(5931),
    [anon_sym_and] = ACTIONS(5931),
    [anon_sym_bitor] = ACTIONS(5931),
    [anon_sym_xor] = ACTIONS(5931),
    [anon_sym_bitand] = ACTIONS(5931),
    [anon_sym_not_eq] = ACTIONS(5931),
    [anon_sym_DASH_DASH] = ACTIONS(5931),
    [anon_sym_PLUS_PLUS] = ACTIONS(5931),
    [anon_sym_DOT] = ACTIONS(5929),
    [anon_sym_DOT_STAR] = ACTIONS(5931),
    [anon_sym_DASH_GT] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5931),
    [anon_sym_decltype] = ACTIONS(5931),
    [anon_sym_final] = ACTIONS(5931),
    [anon_sym_override] = ACTIONS(5931),
    [anon_sym_requires] = ACTIONS(5931),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(5518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5520),
    [anon_sym_COMMA] = ACTIONS(5520),
    [anon_sym_RPAREN] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_SLASH] = ACTIONS(5518),
    [anon_sym_PERCENT] = ACTIONS(5518),
    [anon_sym_PIPE_PIPE] = ACTIONS(5520),
    [anon_sym_AMP_AMP] = ACTIONS(5520),
    [anon_sym_PIPE] = ACTIONS(5518),
    [anon_sym_CARET] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5518),
    [anon_sym_EQ_EQ] = ACTIONS(5520),
    [anon_sym_BANG_EQ] = ACTIONS(5520),
    [anon_sym_GT] = ACTIONS(5518),
    [anon_sym_GT_EQ] = ACTIONS(5520),
    [anon_sym_LT_EQ] = ACTIONS(5518),
    [anon_sym_LT] = ACTIONS(5518),
    [anon_sym_LT_LT] = ACTIONS(5518),
    [anon_sym_GT_GT] = ACTIONS(5518),
    [anon_sym_SEMI] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5518),
    [anon_sym___attribute] = ACTIONS(5518),
    [anon_sym_LBRACE] = ACTIONS(5520),
    [anon_sym_RBRACE] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_RBRACK] = ACTIONS(5520),
    [anon_sym_EQ] = ACTIONS(5518),
    [anon_sym_COLON] = ACTIONS(5520),
    [anon_sym_QMARK] = ACTIONS(5520),
    [anon_sym_STAR_EQ] = ACTIONS(5520),
    [anon_sym_SLASH_EQ] = ACTIONS(5520),
    [anon_sym_PERCENT_EQ] = ACTIONS(5520),
    [anon_sym_PLUS_EQ] = ACTIONS(5520),
    [anon_sym_DASH_EQ] = ACTIONS(5520),
    [anon_sym_LT_LT_EQ] = ACTIONS(5520),
    [anon_sym_GT_GT_EQ] = ACTIONS(5520),
    [anon_sym_AMP_EQ] = ACTIONS(5520),
    [anon_sym_CARET_EQ] = ACTIONS(5520),
    [anon_sym_PIPE_EQ] = ACTIONS(5520),
    [anon_sym_and_eq] = ACTIONS(5518),
    [anon_sym_or_eq] = ACTIONS(5518),
    [anon_sym_xor_eq] = ACTIONS(5518),
    [anon_sym_LT_EQ_GT] = ACTIONS(5520),
    [anon_sym_or] = ACTIONS(5518),
    [anon_sym_and] = ACTIONS(5518),
    [anon_sym_bitor] = ACTIONS(5518),
    [anon_sym_xor] = ACTIONS(5518),
    [anon_sym_bitand] = ACTIONS(5518),
    [anon_sym_not_eq] = ACTIONS(5518),
    [anon_sym_DASH_DASH] = ACTIONS(5520),
    [anon_sym_PLUS_PLUS] = ACTIONS(5520),
    [anon_sym_DOT] = ACTIONS(5518),
    [anon_sym_DOT_STAR] = ACTIONS(5520),
    [anon_sym_DASH_GT] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5518),
    [anon_sym_decltype] = ACTIONS(5518),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(6062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6064),
    [anon_sym_COMMA] = ACTIONS(6064),
    [anon_sym_RPAREN] = ACTIONS(6064),
    [aux_sym_preproc_if_token2] = ACTIONS(6064),
    [aux_sym_preproc_else_token1] = ACTIONS(6064),
    [aux_sym_preproc_elif_token1] = ACTIONS(6062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6064),
    [anon_sym_LPAREN2] = ACTIONS(6064),
    [anon_sym_DASH] = ACTIONS(6062),
    [anon_sym_PLUS] = ACTIONS(6062),
    [anon_sym_STAR] = ACTIONS(6062),
    [anon_sym_SLASH] = ACTIONS(6062),
    [anon_sym_PERCENT] = ACTIONS(6062),
    [anon_sym_PIPE_PIPE] = ACTIONS(6064),
    [anon_sym_AMP_AMP] = ACTIONS(6064),
    [anon_sym_PIPE] = ACTIONS(6062),
    [anon_sym_CARET] = ACTIONS(6062),
    [anon_sym_AMP] = ACTIONS(6062),
    [anon_sym_EQ_EQ] = ACTIONS(6064),
    [anon_sym_BANG_EQ] = ACTIONS(6064),
    [anon_sym_GT] = ACTIONS(6062),
    [anon_sym_GT_EQ] = ACTIONS(6064),
    [anon_sym_LT_EQ] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6062),
    [anon_sym_LT_LT] = ACTIONS(6062),
    [anon_sym_GT_GT] = ACTIONS(6062),
    [anon_sym_SEMI] = ACTIONS(6064),
    [anon_sym___attribute__] = ACTIONS(6062),
    [anon_sym___attribute] = ACTIONS(6062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6064),
    [anon_sym_LBRACE] = ACTIONS(6064),
    [anon_sym_RBRACE] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(6062),
    [anon_sym_RBRACK] = ACTIONS(6064),
    [anon_sym_EQ] = ACTIONS(6062),
    [anon_sym_COLON] = ACTIONS(6064),
    [anon_sym_QMARK] = ACTIONS(6064),
    [anon_sym_STAR_EQ] = ACTIONS(6064),
    [anon_sym_SLASH_EQ] = ACTIONS(6064),
    [anon_sym_PERCENT_EQ] = ACTIONS(6064),
    [anon_sym_PLUS_EQ] = ACTIONS(6064),
    [anon_sym_DASH_EQ] = ACTIONS(6064),
    [anon_sym_LT_LT_EQ] = ACTIONS(6064),
    [anon_sym_GT_GT_EQ] = ACTIONS(6064),
    [anon_sym_AMP_EQ] = ACTIONS(6064),
    [anon_sym_CARET_EQ] = ACTIONS(6064),
    [anon_sym_PIPE_EQ] = ACTIONS(6064),
    [anon_sym_and_eq] = ACTIONS(6062),
    [anon_sym_or_eq] = ACTIONS(6062),
    [anon_sym_xor_eq] = ACTIONS(6062),
    [anon_sym_LT_EQ_GT] = ACTIONS(6064),
    [anon_sym_or] = ACTIONS(6062),
    [anon_sym_and] = ACTIONS(6062),
    [anon_sym_bitor] = ACTIONS(6062),
    [anon_sym_xor] = ACTIONS(6062),
    [anon_sym_bitand] = ACTIONS(6062),
    [anon_sym_not_eq] = ACTIONS(6062),
    [anon_sym_DASH_DASH] = ACTIONS(6064),
    [anon_sym_PLUS_PLUS] = ACTIONS(6064),
    [anon_sym_DOT] = ACTIONS(6062),
    [anon_sym_DOT_STAR] = ACTIONS(6064),
    [anon_sym_DASH_GT] = ACTIONS(6064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6062),
  },
  [2193] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(3809),
    [sym__declarator] = STATE(6371),
    [sym__abstract_declarator] = STATE(6633),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2800),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(2980),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5768),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2800),
    [aux_sym_pointer_declarator_repeat1] = STATE(3809),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(6066),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___attribute] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_EQ] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_STAR_EQ] = ACTIONS(5512),
    [anon_sym_SLASH_EQ] = ACTIONS(5512),
    [anon_sym_PERCENT_EQ] = ACTIONS(5512),
    [anon_sym_PLUS_EQ] = ACTIONS(5512),
    [anon_sym_DASH_EQ] = ACTIONS(5512),
    [anon_sym_LT_LT_EQ] = ACTIONS(5512),
    [anon_sym_GT_GT_EQ] = ACTIONS(5512),
    [anon_sym_AMP_EQ] = ACTIONS(5512),
    [anon_sym_CARET_EQ] = ACTIONS(5512),
    [anon_sym_PIPE_EQ] = ACTIONS(5512),
    [anon_sym_and_eq] = ACTIONS(5510),
    [anon_sym_or_eq] = ACTIONS(5510),
    [anon_sym_xor_eq] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
  },
  [2195] = {
    [sym_argument_list] = STATE(2485),
    [sym_initializer_list] = STATE(2485),
    [sym_identifier] = ACTIONS(6068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6070),
    [anon_sym_COMMA] = ACTIONS(6070),
    [anon_sym_RPAREN] = ACTIONS(6070),
    [aux_sym_preproc_if_token2] = ACTIONS(6070),
    [aux_sym_preproc_else_token1] = ACTIONS(6070),
    [aux_sym_preproc_elif_token1] = ACTIONS(6068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6070),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(6068),
    [anon_sym_PLUS] = ACTIONS(6068),
    [anon_sym_STAR] = ACTIONS(6068),
    [anon_sym_SLASH] = ACTIONS(6068),
    [anon_sym_PERCENT] = ACTIONS(6068),
    [anon_sym_PIPE_PIPE] = ACTIONS(6070),
    [anon_sym_AMP_AMP] = ACTIONS(6070),
    [anon_sym_PIPE] = ACTIONS(6068),
    [anon_sym_CARET] = ACTIONS(6068),
    [anon_sym_AMP] = ACTIONS(6068),
    [anon_sym_EQ_EQ] = ACTIONS(6070),
    [anon_sym_BANG_EQ] = ACTIONS(6070),
    [anon_sym_GT] = ACTIONS(6068),
    [anon_sym_GT_EQ] = ACTIONS(6070),
    [anon_sym_LT_EQ] = ACTIONS(6068),
    [anon_sym_LT] = ACTIONS(6068),
    [anon_sym_LT_LT] = ACTIONS(6068),
    [anon_sym_GT_GT] = ACTIONS(6068),
    [anon_sym_SEMI] = ACTIONS(6070),
    [anon_sym___attribute__] = ACTIONS(6068),
    [anon_sym___attribute] = ACTIONS(6068),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(6070),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_RBRACK] = ACTIONS(6070),
    [anon_sym_EQ] = ACTIONS(6068),
    [anon_sym_COLON] = ACTIONS(6070),
    [anon_sym_QMARK] = ACTIONS(6070),
    [anon_sym_STAR_EQ] = ACTIONS(6070),
    [anon_sym_SLASH_EQ] = ACTIONS(6070),
    [anon_sym_PERCENT_EQ] = ACTIONS(6070),
    [anon_sym_PLUS_EQ] = ACTIONS(6070),
    [anon_sym_DASH_EQ] = ACTIONS(6070),
    [anon_sym_LT_LT_EQ] = ACTIONS(6070),
    [anon_sym_GT_GT_EQ] = ACTIONS(6070),
    [anon_sym_AMP_EQ] = ACTIONS(6070),
    [anon_sym_CARET_EQ] = ACTIONS(6070),
    [anon_sym_PIPE_EQ] = ACTIONS(6070),
    [anon_sym_and_eq] = ACTIONS(6068),
    [anon_sym_or_eq] = ACTIONS(6068),
    [anon_sym_xor_eq] = ACTIONS(6068),
    [anon_sym_LT_EQ_GT] = ACTIONS(6070),
    [anon_sym_or] = ACTIONS(6068),
    [anon_sym_and] = ACTIONS(6068),
    [anon_sym_bitor] = ACTIONS(6068),
    [anon_sym_xor] = ACTIONS(6068),
    [anon_sym_bitand] = ACTIONS(6068),
    [anon_sym_not_eq] = ACTIONS(6068),
    [anon_sym_DASH_DASH] = ACTIONS(6070),
    [anon_sym_PLUS_PLUS] = ACTIONS(6070),
    [anon_sym_DOT] = ACTIONS(6068),
    [anon_sym_DOT_STAR] = ACTIONS(6070),
    [anon_sym_DASH_GT] = ACTIONS(6070),
    [sym_comment] = ACTIONS(3),
  },
  [2196] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_else_token1] = ACTIONS(5742),
    [aux_sym_preproc_elif_token1] = ACTIONS(5744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym___attribute__] = ACTIONS(5744),
    [anon_sym___attribute] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_EQ] = ACTIONS(5744),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_STAR_EQ] = ACTIONS(5742),
    [anon_sym_SLASH_EQ] = ACTIONS(5742),
    [anon_sym_PERCENT_EQ] = ACTIONS(5742),
    [anon_sym_PLUS_EQ] = ACTIONS(5742),
    [anon_sym_DASH_EQ] = ACTIONS(5742),
    [anon_sym_LT_LT_EQ] = ACTIONS(5742),
    [anon_sym_GT_GT_EQ] = ACTIONS(5742),
    [anon_sym_AMP_EQ] = ACTIONS(5742),
    [anon_sym_CARET_EQ] = ACTIONS(5742),
    [anon_sym_PIPE_EQ] = ACTIONS(5742),
    [anon_sym_and_eq] = ACTIONS(5744),
    [anon_sym_or_eq] = ACTIONS(5744),
    [anon_sym_xor_eq] = ACTIONS(5744),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5744),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5744),
    [anon_sym_not_eq] = ACTIONS(5744),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5744),
    [anon_sym_decltype] = ACTIONS(5744),
  },
  [2197] = {
    [sym_string_literal] = STATE(1679),
    [sym_template_argument_list] = STATE(2306),
    [sym_raw_string_literal] = STATE(1679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6041),
    [anon_sym_COMMA] = ACTIONS(6074),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(5274),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6076),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4109),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(1948),
    [anon_sym_u_DQUOTE] = ACTIONS(1948),
    [anon_sym_U_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8_DQUOTE] = ACTIONS(1948),
    [anon_sym_DQUOTE] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1958),
    [anon_sym_LR_DQUOTE] = ACTIONS(1958),
    [anon_sym_uR_DQUOTE] = ACTIONS(1958),
    [anon_sym_UR_DQUOTE] = ACTIONS(1958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1958),
  },
  [2198] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2279),
    [sym_identifier] = ACTIONS(5591),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5591),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5593),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5591),
    [anon_sym_GT_GT] = ACTIONS(5591),
    [anon_sym___attribute__] = ACTIONS(5591),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(6079),
    [anon_sym_unsigned] = ACTIONS(6079),
    [anon_sym_long] = ACTIONS(6079),
    [anon_sym_short] = ACTIONS(6079),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_EQ] = ACTIONS(5591),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_STAR_EQ] = ACTIONS(5593),
    [anon_sym_SLASH_EQ] = ACTIONS(5593),
    [anon_sym_PERCENT_EQ] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(5593),
    [anon_sym_DASH_EQ] = ACTIONS(5593),
    [anon_sym_LT_LT_EQ] = ACTIONS(5593),
    [anon_sym_GT_GT_EQ] = ACTIONS(5593),
    [anon_sym_AMP_EQ] = ACTIONS(5593),
    [anon_sym_CARET_EQ] = ACTIONS(5593),
    [anon_sym_PIPE_EQ] = ACTIONS(5593),
    [anon_sym_and_eq] = ACTIONS(5591),
    [anon_sym_or_eq] = ACTIONS(5591),
    [anon_sym_xor_eq] = ACTIONS(5591),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_bitor] = ACTIONS(5591),
    [anon_sym_xor] = ACTIONS(5591),
    [anon_sym_bitand] = ACTIONS(5591),
    [anon_sym_not_eq] = ACTIONS(5591),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5591),
    [anon_sym_decltype] = ACTIONS(5591),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5508),
    [anon_sym_COMMA] = ACTIONS(5508),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5506),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym_EQ_EQ] = ACTIONS(5508),
    [anon_sym_BANG_EQ] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5506),
    [anon_sym_GT_EQ] = ACTIONS(5508),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5506),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym___attribute] = ACTIONS(5506),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_RBRACE] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_EQ] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_QMARK] = ACTIONS(5508),
    [anon_sym_STAR_EQ] = ACTIONS(5508),
    [anon_sym_SLASH_EQ] = ACTIONS(5508),
    [anon_sym_PERCENT_EQ] = ACTIONS(5508),
    [anon_sym_PLUS_EQ] = ACTIONS(5508),
    [anon_sym_DASH_EQ] = ACTIONS(5508),
    [anon_sym_LT_LT_EQ] = ACTIONS(5508),
    [anon_sym_GT_GT_EQ] = ACTIONS(5508),
    [anon_sym_AMP_EQ] = ACTIONS(5508),
    [anon_sym_CARET_EQ] = ACTIONS(5508),
    [anon_sym_PIPE_EQ] = ACTIONS(5508),
    [anon_sym_and_eq] = ACTIONS(5506),
    [anon_sym_or_eq] = ACTIONS(5506),
    [anon_sym_xor_eq] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5508),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [anon_sym_bitor] = ACTIONS(5506),
    [anon_sym_xor] = ACTIONS(5506),
    [anon_sym_bitand] = ACTIONS(5506),
    [anon_sym_not_eq] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_DOT_STAR] = ACTIONS(5508),
    [anon_sym_DASH_GT] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5506),
    [anon_sym_decltype] = ACTIONS(5506),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5540),
    [anon_sym_COMMA] = ACTIONS(5540),
    [anon_sym_RPAREN] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5540),
    [anon_sym_BANG_EQ] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5540),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5538),
    [anon_sym_SEMI] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym___attribute] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5540),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5540),
    [anon_sym_EQ] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_STAR_EQ] = ACTIONS(5540),
    [anon_sym_SLASH_EQ] = ACTIONS(5540),
    [anon_sym_PERCENT_EQ] = ACTIONS(5540),
    [anon_sym_PLUS_EQ] = ACTIONS(5540),
    [anon_sym_DASH_EQ] = ACTIONS(5540),
    [anon_sym_LT_LT_EQ] = ACTIONS(5540),
    [anon_sym_GT_GT_EQ] = ACTIONS(5540),
    [anon_sym_AMP_EQ] = ACTIONS(5540),
    [anon_sym_CARET_EQ] = ACTIONS(5540),
    [anon_sym_PIPE_EQ] = ACTIONS(5540),
    [anon_sym_and_eq] = ACTIONS(5538),
    [anon_sym_or_eq] = ACTIONS(5538),
    [anon_sym_xor_eq] = ACTIONS(5538),
    [anon_sym_LT_EQ_GT] = ACTIONS(5540),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_bitor] = ACTIONS(5538),
    [anon_sym_xor] = ACTIONS(5538),
    [anon_sym_bitand] = ACTIONS(5538),
    [anon_sym_not_eq] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5540),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_DOT_STAR] = ACTIONS(5540),
    [anon_sym_DASH_GT] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [aux_sym_preproc_if_token2] = ACTIONS(5441),
    [aux_sym_preproc_else_token1] = ACTIONS(5441),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_EQ] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_STAR_EQ] = ACTIONS(5441),
    [anon_sym_SLASH_EQ] = ACTIONS(5441),
    [anon_sym_PERCENT_EQ] = ACTIONS(5441),
    [anon_sym_PLUS_EQ] = ACTIONS(5441),
    [anon_sym_DASH_EQ] = ACTIONS(5441),
    [anon_sym_LT_LT_EQ] = ACTIONS(5441),
    [anon_sym_GT_GT_EQ] = ACTIONS(5441),
    [anon_sym_AMP_EQ] = ACTIONS(5441),
    [anon_sym_CARET_EQ] = ACTIONS(5441),
    [anon_sym_PIPE_EQ] = ACTIONS(5441),
    [anon_sym_and_eq] = ACTIONS(5439),
    [anon_sym_or_eq] = ACTIONS(5439),
    [anon_sym_xor_eq] = ACTIONS(5439),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
  },
  [2202] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5746),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5746),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5748),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5746),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym___extension__] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5746),
    [anon_sym___attribute] = ACTIONS(5748),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(6081),
    [anon_sym_unsigned] = ACTIONS(6081),
    [anon_sym_long] = ACTIONS(6081),
    [anon_sym_short] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5748),
    [anon_sym_constexpr] = ACTIONS(5746),
    [anon_sym_volatile] = ACTIONS(5746),
    [anon_sym_restrict] = ACTIONS(5746),
    [anon_sym___restrict__] = ACTIONS(5746),
    [anon_sym__Atomic] = ACTIONS(5746),
    [anon_sym__Noreturn] = ACTIONS(5746),
    [anon_sym_noreturn] = ACTIONS(5746),
    [anon_sym__Nonnull] = ACTIONS(5746),
    [anon_sym_mutable] = ACTIONS(5746),
    [anon_sym_constinit] = ACTIONS(5746),
    [anon_sym_consteval] = ACTIONS(5746),
    [anon_sym_PROGMEM] = ACTIONS(5746),
    [anon_sym_alignas] = ACTIONS(5746),
    [anon_sym__Alignas] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5746),
    [anon_sym_and] = ACTIONS(5746),
    [anon_sym_bitor] = ACTIONS(5746),
    [anon_sym_xor] = ACTIONS(5746),
    [anon_sym_bitand] = ACTIONS(5746),
    [anon_sym_not_eq] = ACTIONS(5746),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5746),
    [anon_sym_decltype] = ACTIONS(5746),
    [anon_sym_final] = ACTIONS(5746),
    [anon_sym_override] = ACTIONS(5746),
    [anon_sym_GT2] = ACTIONS(5746),
    [anon_sym_requires] = ACTIONS(5746),
  },
  [2203] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5730),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5730),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5730),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5732),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5730),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym___extension__] = ACTIONS(5730),
    [anon_sym___attribute__] = ACTIONS(5730),
    [anon_sym___attribute] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_signed] = ACTIONS(6083),
    [anon_sym_unsigned] = ACTIONS(6083),
    [anon_sym_long] = ACTIONS(6083),
    [anon_sym_short] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5730),
    [anon_sym_volatile] = ACTIONS(5730),
    [anon_sym_restrict] = ACTIONS(5730),
    [anon_sym___restrict__] = ACTIONS(5730),
    [anon_sym__Atomic] = ACTIONS(5730),
    [anon_sym__Noreturn] = ACTIONS(5730),
    [anon_sym_noreturn] = ACTIONS(5730),
    [anon_sym__Nonnull] = ACTIONS(5730),
    [anon_sym_mutable] = ACTIONS(5730),
    [anon_sym_constinit] = ACTIONS(5730),
    [anon_sym_consteval] = ACTIONS(5730),
    [anon_sym_PROGMEM] = ACTIONS(5730),
    [anon_sym_alignas] = ACTIONS(5730),
    [anon_sym__Alignas] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5730),
    [anon_sym_and] = ACTIONS(5730),
    [anon_sym_bitor] = ACTIONS(5730),
    [anon_sym_xor] = ACTIONS(5730),
    [anon_sym_bitand] = ACTIONS(5730),
    [anon_sym_not_eq] = ACTIONS(5730),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5730),
    [anon_sym_decltype] = ACTIONS(5730),
    [anon_sym_final] = ACTIONS(5730),
    [anon_sym_override] = ACTIONS(5730),
    [anon_sym_GT2] = ACTIONS(5730),
    [anon_sym_requires] = ACTIONS(5730),
  },
  [2204] = {
    [sym_argument_list] = STATE(2439),
    [sym_initializer_list] = STATE(2439),
    [sym_identifier] = ACTIONS(6085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6087),
    [anon_sym_COMMA] = ACTIONS(6087),
    [anon_sym_RPAREN] = ACTIONS(6087),
    [aux_sym_preproc_if_token2] = ACTIONS(6087),
    [aux_sym_preproc_else_token1] = ACTIONS(6087),
    [aux_sym_preproc_elif_token1] = ACTIONS(6085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6087),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6087),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(6085),
    [anon_sym_PLUS] = ACTIONS(6085),
    [anon_sym_STAR] = ACTIONS(6085),
    [anon_sym_SLASH] = ACTIONS(6085),
    [anon_sym_PERCENT] = ACTIONS(6085),
    [anon_sym_PIPE_PIPE] = ACTIONS(6087),
    [anon_sym_AMP_AMP] = ACTIONS(6087),
    [anon_sym_PIPE] = ACTIONS(6085),
    [anon_sym_CARET] = ACTIONS(6085),
    [anon_sym_AMP] = ACTIONS(6085),
    [anon_sym_EQ_EQ] = ACTIONS(6087),
    [anon_sym_BANG_EQ] = ACTIONS(6087),
    [anon_sym_GT] = ACTIONS(6085),
    [anon_sym_GT_EQ] = ACTIONS(6087),
    [anon_sym_LT_EQ] = ACTIONS(6085),
    [anon_sym_LT] = ACTIONS(6085),
    [anon_sym_LT_LT] = ACTIONS(6085),
    [anon_sym_GT_GT] = ACTIONS(6085),
    [anon_sym_SEMI] = ACTIONS(6087),
    [anon_sym___attribute__] = ACTIONS(6085),
    [anon_sym___attribute] = ACTIONS(6085),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(6087),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_RBRACK] = ACTIONS(6087),
    [anon_sym_EQ] = ACTIONS(6085),
    [anon_sym_COLON] = ACTIONS(6087),
    [anon_sym_QMARK] = ACTIONS(6087),
    [anon_sym_STAR_EQ] = ACTIONS(6087),
    [anon_sym_SLASH_EQ] = ACTIONS(6087),
    [anon_sym_PERCENT_EQ] = ACTIONS(6087),
    [anon_sym_PLUS_EQ] = ACTIONS(6087),
    [anon_sym_DASH_EQ] = ACTIONS(6087),
    [anon_sym_LT_LT_EQ] = ACTIONS(6087),
    [anon_sym_GT_GT_EQ] = ACTIONS(6087),
    [anon_sym_AMP_EQ] = ACTIONS(6087),
    [anon_sym_CARET_EQ] = ACTIONS(6087),
    [anon_sym_PIPE_EQ] = ACTIONS(6087),
    [anon_sym_and_eq] = ACTIONS(6085),
    [anon_sym_or_eq] = ACTIONS(6085),
    [anon_sym_xor_eq] = ACTIONS(6085),
    [anon_sym_LT_EQ_GT] = ACTIONS(6087),
    [anon_sym_or] = ACTIONS(6085),
    [anon_sym_and] = ACTIONS(6085),
    [anon_sym_bitor] = ACTIONS(6085),
    [anon_sym_xor] = ACTIONS(6085),
    [anon_sym_bitand] = ACTIONS(6085),
    [anon_sym_not_eq] = ACTIONS(6085),
    [anon_sym_DASH_DASH] = ACTIONS(6087),
    [anon_sym_PLUS_PLUS] = ACTIONS(6087),
    [anon_sym_DOT] = ACTIONS(6085),
    [anon_sym_DOT_STAR] = ACTIONS(6087),
    [anon_sym_DASH_GT] = ACTIONS(6087),
    [sym_comment] = ACTIONS(3),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5504),
    [anon_sym_COMMA] = ACTIONS(5504),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [aux_sym_preproc_if_token2] = ACTIONS(5504),
    [aux_sym_preproc_else_token1] = ACTIONS(5504),
    [aux_sym_preproc_elif_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5502),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5502),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym___attribute] = ACTIONS(5502),
    [anon_sym_LBRACE] = ACTIONS(5504),
    [anon_sym_RBRACE] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_RBRACK] = ACTIONS(5504),
    [anon_sym_EQ] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5504),
    [anon_sym_STAR_EQ] = ACTIONS(5504),
    [anon_sym_SLASH_EQ] = ACTIONS(5504),
    [anon_sym_PERCENT_EQ] = ACTIONS(5504),
    [anon_sym_PLUS_EQ] = ACTIONS(5504),
    [anon_sym_DASH_EQ] = ACTIONS(5504),
    [anon_sym_LT_LT_EQ] = ACTIONS(5504),
    [anon_sym_GT_GT_EQ] = ACTIONS(5504),
    [anon_sym_AMP_EQ] = ACTIONS(5504),
    [anon_sym_CARET_EQ] = ACTIONS(5504),
    [anon_sym_PIPE_EQ] = ACTIONS(5504),
    [anon_sym_and_eq] = ACTIONS(5502),
    [anon_sym_or_eq] = ACTIONS(5502),
    [anon_sym_xor_eq] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5504),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [anon_sym_bitor] = ACTIONS(5502),
    [anon_sym_xor] = ACTIONS(5502),
    [anon_sym_bitand] = ACTIONS(5502),
    [anon_sym_not_eq] = ACTIONS(5502),
    [anon_sym_DASH_DASH] = ACTIONS(5504),
    [anon_sym_PLUS_PLUS] = ACTIONS(5504),
    [anon_sym_DOT] = ACTIONS(5502),
    [anon_sym_DOT_STAR] = ACTIONS(5504),
    [anon_sym_DASH_GT] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5502),
    [anon_sym_decltype] = ACTIONS(5502),
  },
  [2206] = {
    [sym_attribute_specifier] = STATE(2607),
    [sym_field_declaration_list] = STATE(2529),
    [sym_virtual_specifier] = STATE(6870),
    [sym_base_class_clause] = STATE(7643),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(6089),
    [anon_sym___attribute] = ACTIONS(6091),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5650),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_PROGMEM] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5860),
    [anon_sym_override] = ACTIONS(5860),
    [anon_sym_GT2] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [2207] = {
    [sym_argument_list] = STATE(2515),
    [sym_initializer_list] = STATE(2515),
    [sym_identifier] = ACTIONS(6095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6097),
    [anon_sym_COMMA] = ACTIONS(6097),
    [anon_sym_RPAREN] = ACTIONS(6097),
    [aux_sym_preproc_if_token2] = ACTIONS(6097),
    [aux_sym_preproc_else_token1] = ACTIONS(6097),
    [aux_sym_preproc_elif_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6097),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6095),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_SLASH] = ACTIONS(6095),
    [anon_sym_PERCENT] = ACTIONS(6095),
    [anon_sym_PIPE_PIPE] = ACTIONS(6097),
    [anon_sym_AMP_AMP] = ACTIONS(6097),
    [anon_sym_PIPE] = ACTIONS(6095),
    [anon_sym_CARET] = ACTIONS(6095),
    [anon_sym_AMP] = ACTIONS(6095),
    [anon_sym_EQ_EQ] = ACTIONS(6097),
    [anon_sym_BANG_EQ] = ACTIONS(6097),
    [anon_sym_GT] = ACTIONS(6095),
    [anon_sym_GT_EQ] = ACTIONS(6097),
    [anon_sym_LT_EQ] = ACTIONS(6095),
    [anon_sym_LT] = ACTIONS(6095),
    [anon_sym_LT_LT] = ACTIONS(6095),
    [anon_sym_GT_GT] = ACTIONS(6095),
    [anon_sym_SEMI] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(6095),
    [anon_sym___attribute] = ACTIONS(6095),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(6097),
    [anon_sym_RBRACK] = ACTIONS(6097),
    [anon_sym_EQ] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6097),
    [anon_sym_QMARK] = ACTIONS(6097),
    [anon_sym_STAR_EQ] = ACTIONS(6097),
    [anon_sym_SLASH_EQ] = ACTIONS(6097),
    [anon_sym_PERCENT_EQ] = ACTIONS(6097),
    [anon_sym_PLUS_EQ] = ACTIONS(6097),
    [anon_sym_DASH_EQ] = ACTIONS(6097),
    [anon_sym_LT_LT_EQ] = ACTIONS(6097),
    [anon_sym_GT_GT_EQ] = ACTIONS(6097),
    [anon_sym_AMP_EQ] = ACTIONS(6097),
    [anon_sym_CARET_EQ] = ACTIONS(6097),
    [anon_sym_PIPE_EQ] = ACTIONS(6097),
    [anon_sym_and_eq] = ACTIONS(6095),
    [anon_sym_or_eq] = ACTIONS(6095),
    [anon_sym_xor_eq] = ACTIONS(6095),
    [anon_sym_LT_EQ_GT] = ACTIONS(6097),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6097),
    [anon_sym_PLUS_PLUS] = ACTIONS(6097),
    [anon_sym_DOT] = ACTIONS(6095),
    [anon_sym_DOT_STAR] = ACTIONS(6097),
    [anon_sym_DASH_GT] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
  },
  [2208] = {
    [sym_string_literal] = STATE(3595),
    [sym_template_argument_list] = STATE(4553),
    [sym_raw_string_literal] = STATE(3595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4953),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4955),
    [anon_sym_SLASH_EQ] = ACTIONS(4955),
    [anon_sym_PERCENT_EQ] = ACTIONS(4955),
    [anon_sym_PLUS_EQ] = ACTIONS(4955),
    [anon_sym_DASH_EQ] = ACTIONS(4955),
    [anon_sym_LT_LT_EQ] = ACTIONS(4955),
    [anon_sym_GT_GT_EQ] = ACTIONS(4953),
    [anon_sym_AMP_EQ] = ACTIONS(4955),
    [anon_sym_CARET_EQ] = ACTIONS(4955),
    [anon_sym_PIPE_EQ] = ACTIONS(4955),
    [anon_sym_and_eq] = ACTIONS(4955),
    [anon_sym_or_eq] = ACTIONS(4955),
    [anon_sym_xor_eq] = ACTIONS(4955),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4957),
    [anon_sym_u_DQUOTE] = ACTIONS(4957),
    [anon_sym_U_DQUOTE] = ACTIONS(4957),
    [anon_sym_u8_DQUOTE] = ACTIONS(4957),
    [anon_sym_DQUOTE] = ACTIONS(4957),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(4959),
    [anon_sym_LR_DQUOTE] = ACTIONS(4959),
    [anon_sym_uR_DQUOTE] = ACTIONS(4959),
    [anon_sym_UR_DQUOTE] = ACTIONS(4959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4959),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym___attribute] = ACTIONS(6099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6101),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6099),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6099),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(6105),
    [aux_sym_preproc_if_token2] = ACTIONS(6105),
    [aux_sym_preproc_else_token1] = ACTIONS(6105),
    [aux_sym_preproc_elif_token1] = ACTIONS(6103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6105),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_STAR] = ACTIONS(6103),
    [anon_sym_SLASH] = ACTIONS(6103),
    [anon_sym_PERCENT] = ACTIONS(6103),
    [anon_sym_PIPE_PIPE] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_PIPE] = ACTIONS(6103),
    [anon_sym_CARET] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_EQ_EQ] = ACTIONS(6105),
    [anon_sym_BANG_EQ] = ACTIONS(6105),
    [anon_sym_GT] = ACTIONS(6103),
    [anon_sym_GT_EQ] = ACTIONS(6105),
    [anon_sym_LT_EQ] = ACTIONS(6103),
    [anon_sym_LT] = ACTIONS(6103),
    [anon_sym_LT_LT] = ACTIONS(6103),
    [anon_sym_GT_GT] = ACTIONS(6103),
    [anon_sym_SEMI] = ACTIONS(6105),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym___attribute] = ACTIONS(6103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_RBRACE] = ACTIONS(6105),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_RBRACK] = ACTIONS(6105),
    [anon_sym_EQ] = ACTIONS(6103),
    [anon_sym_COLON] = ACTIONS(6105),
    [anon_sym_QMARK] = ACTIONS(6105),
    [anon_sym_STAR_EQ] = ACTIONS(6105),
    [anon_sym_SLASH_EQ] = ACTIONS(6105),
    [anon_sym_PERCENT_EQ] = ACTIONS(6105),
    [anon_sym_PLUS_EQ] = ACTIONS(6105),
    [anon_sym_DASH_EQ] = ACTIONS(6105),
    [anon_sym_LT_LT_EQ] = ACTIONS(6105),
    [anon_sym_GT_GT_EQ] = ACTIONS(6105),
    [anon_sym_AMP_EQ] = ACTIONS(6105),
    [anon_sym_CARET_EQ] = ACTIONS(6105),
    [anon_sym_PIPE_EQ] = ACTIONS(6105),
    [anon_sym_and_eq] = ACTIONS(6103),
    [anon_sym_or_eq] = ACTIONS(6103),
    [anon_sym_xor_eq] = ACTIONS(6103),
    [anon_sym_LT_EQ_GT] = ACTIONS(6105),
    [anon_sym_or] = ACTIONS(6103),
    [anon_sym_and] = ACTIONS(6103),
    [anon_sym_bitor] = ACTIONS(6103),
    [anon_sym_xor] = ACTIONS(6103),
    [anon_sym_bitand] = ACTIONS(6103),
    [anon_sym_not_eq] = ACTIONS(6103),
    [anon_sym_DASH_DASH] = ACTIONS(6105),
    [anon_sym_PLUS_PLUS] = ACTIONS(6105),
    [anon_sym_DOT] = ACTIONS(6103),
    [anon_sym_DOT_STAR] = ACTIONS(6105),
    [anon_sym_DASH_GT] = ACTIONS(6105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6103),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(6109),
    [anon_sym_RPAREN] = ACTIONS(6109),
    [aux_sym_preproc_if_token2] = ACTIONS(6109),
    [aux_sym_preproc_else_token1] = ACTIONS(6109),
    [aux_sym_preproc_elif_token1] = ACTIONS(6107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6109),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_STAR] = ACTIONS(6107),
    [anon_sym_SLASH] = ACTIONS(6107),
    [anon_sym_PERCENT] = ACTIONS(6107),
    [anon_sym_PIPE_PIPE] = ACTIONS(6109),
    [anon_sym_AMP_AMP] = ACTIONS(6109),
    [anon_sym_PIPE] = ACTIONS(6107),
    [anon_sym_CARET] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(6107),
    [anon_sym_EQ_EQ] = ACTIONS(6109),
    [anon_sym_BANG_EQ] = ACTIONS(6109),
    [anon_sym_GT] = ACTIONS(6107),
    [anon_sym_GT_EQ] = ACTIONS(6109),
    [anon_sym_LT_EQ] = ACTIONS(6107),
    [anon_sym_LT] = ACTIONS(6107),
    [anon_sym_LT_LT] = ACTIONS(6107),
    [anon_sym_GT_GT] = ACTIONS(6107),
    [anon_sym_SEMI] = ACTIONS(6109),
    [anon_sym___attribute__] = ACTIONS(6107),
    [anon_sym___attribute] = ACTIONS(6107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6109),
    [anon_sym_LBRACE] = ACTIONS(6109),
    [anon_sym_RBRACE] = ACTIONS(6109),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [anon_sym_RBRACK] = ACTIONS(6109),
    [anon_sym_EQ] = ACTIONS(6107),
    [anon_sym_COLON] = ACTIONS(6109),
    [anon_sym_QMARK] = ACTIONS(6109),
    [anon_sym_STAR_EQ] = ACTIONS(6109),
    [anon_sym_SLASH_EQ] = ACTIONS(6109),
    [anon_sym_PERCENT_EQ] = ACTIONS(6109),
    [anon_sym_PLUS_EQ] = ACTIONS(6109),
    [anon_sym_DASH_EQ] = ACTIONS(6109),
    [anon_sym_LT_LT_EQ] = ACTIONS(6109),
    [anon_sym_GT_GT_EQ] = ACTIONS(6109),
    [anon_sym_AMP_EQ] = ACTIONS(6109),
    [anon_sym_CARET_EQ] = ACTIONS(6109),
    [anon_sym_PIPE_EQ] = ACTIONS(6109),
    [anon_sym_and_eq] = ACTIONS(6107),
    [anon_sym_or_eq] = ACTIONS(6107),
    [anon_sym_xor_eq] = ACTIONS(6107),
    [anon_sym_LT_EQ_GT] = ACTIONS(6109),
    [anon_sym_or] = ACTIONS(6107),
    [anon_sym_and] = ACTIONS(6107),
    [anon_sym_bitor] = ACTIONS(6107),
    [anon_sym_xor] = ACTIONS(6107),
    [anon_sym_bitand] = ACTIONS(6107),
    [anon_sym_not_eq] = ACTIONS(6107),
    [anon_sym_DASH_DASH] = ACTIONS(6109),
    [anon_sym_PLUS_PLUS] = ACTIONS(6109),
    [anon_sym_DOT] = ACTIONS(6107),
    [anon_sym_DOT_STAR] = ACTIONS(6109),
    [anon_sym_DASH_GT] = ACTIONS(6109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6107),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5500),
    [anon_sym_COMMA] = ACTIONS(5500),
    [anon_sym_RPAREN] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5498),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_PIPE] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5498),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5498),
    [anon_sym___attribute] = ACTIONS(5498),
    [anon_sym_LBRACE] = ACTIONS(5500),
    [anon_sym_RBRACE] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_RBRACK] = ACTIONS(5500),
    [anon_sym_EQ] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_STAR_EQ] = ACTIONS(5500),
    [anon_sym_SLASH_EQ] = ACTIONS(5500),
    [anon_sym_PERCENT_EQ] = ACTIONS(5500),
    [anon_sym_PLUS_EQ] = ACTIONS(5500),
    [anon_sym_DASH_EQ] = ACTIONS(5500),
    [anon_sym_LT_LT_EQ] = ACTIONS(5500),
    [anon_sym_GT_GT_EQ] = ACTIONS(5500),
    [anon_sym_AMP_EQ] = ACTIONS(5500),
    [anon_sym_CARET_EQ] = ACTIONS(5500),
    [anon_sym_PIPE_EQ] = ACTIONS(5500),
    [anon_sym_and_eq] = ACTIONS(5498),
    [anon_sym_or_eq] = ACTIONS(5498),
    [anon_sym_xor_eq] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_bitor] = ACTIONS(5498),
    [anon_sym_xor] = ACTIONS(5498),
    [anon_sym_bitand] = ACTIONS(5498),
    [anon_sym_not_eq] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5500),
    [anon_sym_DOT] = ACTIONS(5498),
    [anon_sym_DOT_STAR] = ACTIONS(5500),
    [anon_sym_DASH_GT] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5498),
    [anon_sym_decltype] = ACTIONS(5498),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [aux_sym_preproc_if_token2] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_STAR_EQ] = ACTIONS(5474),
    [anon_sym_SLASH_EQ] = ACTIONS(5474),
    [anon_sym_PERCENT_EQ] = ACTIONS(5474),
    [anon_sym_PLUS_EQ] = ACTIONS(5474),
    [anon_sym_DASH_EQ] = ACTIONS(5474),
    [anon_sym_LT_LT_EQ] = ACTIONS(5474),
    [anon_sym_GT_GT_EQ] = ACTIONS(5474),
    [anon_sym_AMP_EQ] = ACTIONS(5474),
    [anon_sym_CARET_EQ] = ACTIONS(5474),
    [anon_sym_PIPE_EQ] = ACTIONS(5474),
    [anon_sym_and_eq] = ACTIONS(5472),
    [anon_sym_or_eq] = ACTIONS(5472),
    [anon_sym_xor_eq] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [aux_sym_preproc_if_token2] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5494),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5492),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym___attribute] = ACTIONS(5492),
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_and_eq] = ACTIONS(5492),
    [anon_sym_or_eq] = ACTIONS(5492),
    [anon_sym_xor_eq] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_and] = ACTIONS(5492),
    [anon_sym_bitor] = ACTIONS(5492),
    [anon_sym_xor] = ACTIONS(5492),
    [anon_sym_bitand] = ACTIONS(5492),
    [anon_sym_not_eq] = ACTIONS(5492),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_DOT_STAR] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
  },
  [2215] = {
    [sym_attribute_specifier] = STATE(1789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5984),
    [anon_sym_COMMA] = ACTIONS(5984),
    [anon_sym_RPAREN] = ACTIONS(5984),
    [anon_sym_LPAREN2] = ACTIONS(5984),
    [anon_sym_DASH] = ACTIONS(5982),
    [anon_sym_PLUS] = ACTIONS(5982),
    [anon_sym_STAR] = ACTIONS(5984),
    [anon_sym_SLASH] = ACTIONS(5982),
    [anon_sym_PERCENT] = ACTIONS(5984),
    [anon_sym_PIPE_PIPE] = ACTIONS(5984),
    [anon_sym_AMP_AMP] = ACTIONS(5984),
    [anon_sym_PIPE] = ACTIONS(5982),
    [anon_sym_CARET] = ACTIONS(5984),
    [anon_sym_AMP] = ACTIONS(5982),
    [anon_sym_EQ_EQ] = ACTIONS(5984),
    [anon_sym_BANG_EQ] = ACTIONS(5984),
    [anon_sym_GT] = ACTIONS(5982),
    [anon_sym_GT_EQ] = ACTIONS(5984),
    [anon_sym_LT_EQ] = ACTIONS(5982),
    [anon_sym_LT] = ACTIONS(5982),
    [anon_sym_LT_LT] = ACTIONS(5984),
    [anon_sym_GT_GT] = ACTIONS(5984),
    [anon_sym_SEMI] = ACTIONS(5984),
    [anon_sym___extension__] = ACTIONS(5984),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5984),
    [anon_sym_RBRACE] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(5984),
    [anon_sym_RBRACK] = ACTIONS(5984),
    [anon_sym_const] = ACTIONS(5982),
    [anon_sym_constexpr] = ACTIONS(5984),
    [anon_sym_volatile] = ACTIONS(5984),
    [anon_sym_restrict] = ACTIONS(5984),
    [anon_sym___restrict__] = ACTIONS(5984),
    [anon_sym__Atomic] = ACTIONS(5984),
    [anon_sym__Noreturn] = ACTIONS(5984),
    [anon_sym_noreturn] = ACTIONS(5984),
    [anon_sym__Nonnull] = ACTIONS(5984),
    [anon_sym_mutable] = ACTIONS(5984),
    [anon_sym_constinit] = ACTIONS(5984),
    [anon_sym_consteval] = ACTIONS(5984),
    [anon_sym_PROGMEM] = ACTIONS(5984),
    [anon_sym_alignas] = ACTIONS(5984),
    [anon_sym__Alignas] = ACTIONS(5984),
    [anon_sym_COLON] = ACTIONS(5984),
    [anon_sym_QMARK] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(5984),
    [anon_sym_or] = ACTIONS(5984),
    [anon_sym_and] = ACTIONS(5984),
    [anon_sym_bitor] = ACTIONS(5984),
    [anon_sym_xor] = ACTIONS(5984),
    [anon_sym_bitand] = ACTIONS(5984),
    [anon_sym_not_eq] = ACTIONS(5984),
    [anon_sym_DASH_DASH] = ACTIONS(5984),
    [anon_sym_PLUS_PLUS] = ACTIONS(5984),
    [anon_sym_DOT] = ACTIONS(5982),
    [anon_sym_DOT_STAR] = ACTIONS(5984),
    [anon_sym_DASH_GT] = ACTIONS(5984),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5984),
    [anon_sym_decltype] = ACTIONS(5984),
    [anon_sym_final] = ACTIONS(5984),
    [anon_sym_override] = ACTIONS(5984),
    [anon_sym_requires] = ACTIONS(5984),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [aux_sym_preproc_if_token2] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5482),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5480),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym___attribute] = ACTIONS(5480),
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_and_eq] = ACTIONS(5480),
    [anon_sym_or_eq] = ACTIONS(5480),
    [anon_sym_xor_eq] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_and] = ACTIONS(5480),
    [anon_sym_bitor] = ACTIONS(5480),
    [anon_sym_xor] = ACTIONS(5480),
    [anon_sym_bitand] = ACTIONS(5480),
    [anon_sym_not_eq] = ACTIONS(5480),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_DOT_STAR] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [aux_sym_preproc_if_token2] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_STAR_EQ] = ACTIONS(5474),
    [anon_sym_SLASH_EQ] = ACTIONS(5474),
    [anon_sym_PERCENT_EQ] = ACTIONS(5474),
    [anon_sym_PLUS_EQ] = ACTIONS(5474),
    [anon_sym_DASH_EQ] = ACTIONS(5474),
    [anon_sym_LT_LT_EQ] = ACTIONS(5474),
    [anon_sym_GT_GT_EQ] = ACTIONS(5474),
    [anon_sym_AMP_EQ] = ACTIONS(5474),
    [anon_sym_CARET_EQ] = ACTIONS(5474),
    [anon_sym_PIPE_EQ] = ACTIONS(5474),
    [anon_sym_and_eq] = ACTIONS(5472),
    [anon_sym_or_eq] = ACTIONS(5472),
    [anon_sym_xor_eq] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
  },
  [2218] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5593),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5591),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5593),
    [anon_sym_GT_GT] = ACTIONS(5591),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(6111),
    [anon_sym_unsigned] = ACTIONS(6111),
    [anon_sym_long] = ACTIONS(6111),
    [anon_sym_short] = ACTIONS(6111),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5591),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym__Nonnull] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [anon_sym_PROGMEM] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym__Alignas] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5593),
    [anon_sym_and] = ACTIONS(5593),
    [anon_sym_bitor] = ACTIONS(5593),
    [anon_sym_xor] = ACTIONS(5593),
    [anon_sym_bitand] = ACTIONS(5593),
    [anon_sym_not_eq] = ACTIONS(5593),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_final] = ACTIONS(5593),
    [anon_sym_override] = ACTIONS(5593),
    [anon_sym_GT2] = ACTIONS(5593),
    [anon_sym_requires] = ACTIONS(5593),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(6113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6115),
    [anon_sym_COMMA] = ACTIONS(6115),
    [anon_sym_RPAREN] = ACTIONS(6115),
    [aux_sym_preproc_if_token2] = ACTIONS(6115),
    [aux_sym_preproc_else_token1] = ACTIONS(6115),
    [aux_sym_preproc_elif_token1] = ACTIONS(6113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6115),
    [anon_sym_LPAREN2] = ACTIONS(6115),
    [anon_sym_DASH] = ACTIONS(6113),
    [anon_sym_PLUS] = ACTIONS(6113),
    [anon_sym_STAR] = ACTIONS(6113),
    [anon_sym_SLASH] = ACTIONS(6113),
    [anon_sym_PERCENT] = ACTIONS(6113),
    [anon_sym_PIPE_PIPE] = ACTIONS(6115),
    [anon_sym_AMP_AMP] = ACTIONS(6115),
    [anon_sym_PIPE] = ACTIONS(6113),
    [anon_sym_CARET] = ACTIONS(6113),
    [anon_sym_AMP] = ACTIONS(6113),
    [anon_sym_EQ_EQ] = ACTIONS(6115),
    [anon_sym_BANG_EQ] = ACTIONS(6115),
    [anon_sym_GT] = ACTIONS(6113),
    [anon_sym_GT_EQ] = ACTIONS(6115),
    [anon_sym_LT_EQ] = ACTIONS(6113),
    [anon_sym_LT] = ACTIONS(6113),
    [anon_sym_LT_LT] = ACTIONS(6113),
    [anon_sym_GT_GT] = ACTIONS(6113),
    [anon_sym_SEMI] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6113),
    [anon_sym___attribute] = ACTIONS(6113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6115),
    [anon_sym_RBRACE] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6113),
    [anon_sym_RBRACK] = ACTIONS(6115),
    [anon_sym_EQ] = ACTIONS(6113),
    [anon_sym_COLON] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6115),
    [anon_sym_STAR_EQ] = ACTIONS(6115),
    [anon_sym_SLASH_EQ] = ACTIONS(6115),
    [anon_sym_PERCENT_EQ] = ACTIONS(6115),
    [anon_sym_PLUS_EQ] = ACTIONS(6115),
    [anon_sym_DASH_EQ] = ACTIONS(6115),
    [anon_sym_LT_LT_EQ] = ACTIONS(6115),
    [anon_sym_GT_GT_EQ] = ACTIONS(6115),
    [anon_sym_AMP_EQ] = ACTIONS(6115),
    [anon_sym_CARET_EQ] = ACTIONS(6115),
    [anon_sym_PIPE_EQ] = ACTIONS(6115),
    [anon_sym_and_eq] = ACTIONS(6113),
    [anon_sym_or_eq] = ACTIONS(6113),
    [anon_sym_xor_eq] = ACTIONS(6113),
    [anon_sym_LT_EQ_GT] = ACTIONS(6115),
    [anon_sym_or] = ACTIONS(6113),
    [anon_sym_and] = ACTIONS(6113),
    [anon_sym_bitor] = ACTIONS(6113),
    [anon_sym_xor] = ACTIONS(6113),
    [anon_sym_bitand] = ACTIONS(6113),
    [anon_sym_not_eq] = ACTIONS(6113),
    [anon_sym_DASH_DASH] = ACTIONS(6115),
    [anon_sym_PLUS_PLUS] = ACTIONS(6115),
    [anon_sym_DOT] = ACTIONS(6113),
    [anon_sym_DOT_STAR] = ACTIONS(6115),
    [anon_sym_DASH_GT] = ACTIONS(6115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6113),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [aux_sym_preproc_if_token2] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym___attribute] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_STAR_EQ] = ACTIONS(5474),
    [anon_sym_SLASH_EQ] = ACTIONS(5474),
    [anon_sym_PERCENT_EQ] = ACTIONS(5474),
    [anon_sym_PLUS_EQ] = ACTIONS(5474),
    [anon_sym_DASH_EQ] = ACTIONS(5474),
    [anon_sym_LT_LT_EQ] = ACTIONS(5474),
    [anon_sym_GT_GT_EQ] = ACTIONS(5474),
    [anon_sym_AMP_EQ] = ACTIONS(5474),
    [anon_sym_CARET_EQ] = ACTIONS(5474),
    [anon_sym_PIPE_EQ] = ACTIONS(5474),
    [anon_sym_and_eq] = ACTIONS(5472),
    [anon_sym_or_eq] = ACTIONS(5472),
    [anon_sym_xor_eq] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
  },
  [2221] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [aux_sym_preproc_if_token2] = ACTIONS(5441),
    [aux_sym_preproc_else_token1] = ACTIONS(5441),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_EQ] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_STAR_EQ] = ACTIONS(5441),
    [anon_sym_SLASH_EQ] = ACTIONS(5441),
    [anon_sym_PERCENT_EQ] = ACTIONS(5441),
    [anon_sym_PLUS_EQ] = ACTIONS(5441),
    [anon_sym_DASH_EQ] = ACTIONS(5441),
    [anon_sym_LT_LT_EQ] = ACTIONS(5441),
    [anon_sym_GT_GT_EQ] = ACTIONS(5441),
    [anon_sym_AMP_EQ] = ACTIONS(5441),
    [anon_sym_CARET_EQ] = ACTIONS(5441),
    [anon_sym_PIPE_EQ] = ACTIONS(5441),
    [anon_sym_and_eq] = ACTIONS(5439),
    [anon_sym_or_eq] = ACTIONS(5439),
    [anon_sym_xor_eq] = ACTIONS(5439),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5439),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5439),
    [anon_sym_not_eq] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(6117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6119),
    [anon_sym_COMMA] = ACTIONS(6119),
    [anon_sym_RPAREN] = ACTIONS(6119),
    [aux_sym_preproc_if_token2] = ACTIONS(6119),
    [aux_sym_preproc_else_token1] = ACTIONS(6119),
    [aux_sym_preproc_elif_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6119),
    [anon_sym_LPAREN2] = ACTIONS(6119),
    [anon_sym_DASH] = ACTIONS(6117),
    [anon_sym_PLUS] = ACTIONS(6117),
    [anon_sym_STAR] = ACTIONS(6117),
    [anon_sym_SLASH] = ACTIONS(6117),
    [anon_sym_PERCENT] = ACTIONS(6117),
    [anon_sym_PIPE_PIPE] = ACTIONS(6119),
    [anon_sym_AMP_AMP] = ACTIONS(6119),
    [anon_sym_PIPE] = ACTIONS(6117),
    [anon_sym_CARET] = ACTIONS(6117),
    [anon_sym_AMP] = ACTIONS(6117),
    [anon_sym_EQ_EQ] = ACTIONS(6119),
    [anon_sym_BANG_EQ] = ACTIONS(6119),
    [anon_sym_GT] = ACTIONS(6117),
    [anon_sym_GT_EQ] = ACTIONS(6119),
    [anon_sym_LT_EQ] = ACTIONS(6117),
    [anon_sym_LT] = ACTIONS(6117),
    [anon_sym_LT_LT] = ACTIONS(6117),
    [anon_sym_GT_GT] = ACTIONS(6117),
    [anon_sym_SEMI] = ACTIONS(6119),
    [anon_sym___attribute__] = ACTIONS(6117),
    [anon_sym___attribute] = ACTIONS(6117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6119),
    [anon_sym_LBRACE] = ACTIONS(6119),
    [anon_sym_RBRACE] = ACTIONS(6119),
    [anon_sym_LBRACK] = ACTIONS(6117),
    [anon_sym_RBRACK] = ACTIONS(6119),
    [anon_sym_EQ] = ACTIONS(6117),
    [anon_sym_COLON] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6119),
    [anon_sym_STAR_EQ] = ACTIONS(6119),
    [anon_sym_SLASH_EQ] = ACTIONS(6119),
    [anon_sym_PERCENT_EQ] = ACTIONS(6119),
    [anon_sym_PLUS_EQ] = ACTIONS(6119),
    [anon_sym_DASH_EQ] = ACTIONS(6119),
    [anon_sym_LT_LT_EQ] = ACTIONS(6119),
    [anon_sym_GT_GT_EQ] = ACTIONS(6119),
    [anon_sym_AMP_EQ] = ACTIONS(6119),
    [anon_sym_CARET_EQ] = ACTIONS(6119),
    [anon_sym_PIPE_EQ] = ACTIONS(6119),
    [anon_sym_and_eq] = ACTIONS(6117),
    [anon_sym_or_eq] = ACTIONS(6117),
    [anon_sym_xor_eq] = ACTIONS(6117),
    [anon_sym_LT_EQ_GT] = ACTIONS(6119),
    [anon_sym_or] = ACTIONS(6117),
    [anon_sym_and] = ACTIONS(6117),
    [anon_sym_bitor] = ACTIONS(6117),
    [anon_sym_xor] = ACTIONS(6117),
    [anon_sym_bitand] = ACTIONS(6117),
    [anon_sym_not_eq] = ACTIONS(6117),
    [anon_sym_DASH_DASH] = ACTIONS(6119),
    [anon_sym_PLUS_PLUS] = ACTIONS(6119),
    [anon_sym_DOT] = ACTIONS(6117),
    [anon_sym_DOT_STAR] = ACTIONS(6119),
    [anon_sym_DASH_GT] = ACTIONS(6119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6117),
  },
  [2224] = {
    [sym_string_literal] = STATE(2129),
    [sym_raw_string_literal] = STATE(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5834),
    [anon_sym_COMMA] = ACTIONS(5834),
    [anon_sym_LPAREN2] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5832),
    [anon_sym_STAR] = ACTIONS(5832),
    [anon_sym_SLASH] = ACTIONS(5832),
    [anon_sym_PERCENT] = ACTIONS(5832),
    [anon_sym_PIPE_PIPE] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5832),
    [anon_sym_CARET] = ACTIONS(5832),
    [anon_sym_AMP] = ACTIONS(5832),
    [anon_sym_EQ_EQ] = ACTIONS(5834),
    [anon_sym_BANG_EQ] = ACTIONS(5834),
    [anon_sym_GT] = ACTIONS(5832),
    [anon_sym_GT_EQ] = ACTIONS(5834),
    [anon_sym_LT_EQ] = ACTIONS(5832),
    [anon_sym_LT] = ACTIONS(5832),
    [anon_sym_LT_LT] = ACTIONS(5832),
    [anon_sym_GT_GT] = ACTIONS(5832),
    [anon_sym_SEMI] = ACTIONS(5834),
    [anon_sym___attribute__] = ACTIONS(5832),
    [anon_sym___attribute] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5834),
    [anon_sym_EQ] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5834),
    [anon_sym_STAR_EQ] = ACTIONS(5834),
    [anon_sym_SLASH_EQ] = ACTIONS(5834),
    [anon_sym_PERCENT_EQ] = ACTIONS(5834),
    [anon_sym_PLUS_EQ] = ACTIONS(5834),
    [anon_sym_DASH_EQ] = ACTIONS(5834),
    [anon_sym_LT_LT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_AMP_EQ] = ACTIONS(5834),
    [anon_sym_CARET_EQ] = ACTIONS(5834),
    [anon_sym_PIPE_EQ] = ACTIONS(5834),
    [anon_sym_and_eq] = ACTIONS(5832),
    [anon_sym_or_eq] = ACTIONS(5832),
    [anon_sym_xor_eq] = ACTIONS(5832),
    [anon_sym_LT_EQ_GT] = ACTIONS(5834),
    [anon_sym_or] = ACTIONS(5832),
    [anon_sym_and] = ACTIONS(5832),
    [anon_sym_bitor] = ACTIONS(5832),
    [anon_sym_xor] = ACTIONS(5832),
    [anon_sym_bitand] = ACTIONS(5832),
    [anon_sym_not_eq] = ACTIONS(5832),
    [anon_sym_DASH_DASH] = ACTIONS(5834),
    [anon_sym_PLUS_PLUS] = ACTIONS(5834),
    [anon_sym_DOT] = ACTIONS(5832),
    [anon_sym_DOT_STAR] = ACTIONS(5834),
    [anon_sym_DASH_GT] = ACTIONS(5834),
    [anon_sym_L_DQUOTE] = ACTIONS(5888),
    [anon_sym_u_DQUOTE] = ACTIONS(5888),
    [anon_sym_U_DQUOTE] = ACTIONS(5888),
    [anon_sym_u8_DQUOTE] = ACTIONS(5888),
    [anon_sym_DQUOTE] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5890),
    [anon_sym_LR_DQUOTE] = ACTIONS(5890),
    [anon_sym_uR_DQUOTE] = ACTIONS(5890),
    [anon_sym_UR_DQUOTE] = ACTIONS(5890),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5890),
    [sym_literal_suffix] = ACTIONS(5832),
  },
  [2225] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_and_eq] = ACTIONS(5666),
    [anon_sym_or_eq] = ACTIONS(5666),
    [anon_sym_xor_eq] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_and] = ACTIONS(5666),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5666),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_DOT_STAR] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_L_DQUOTE] = ACTIONS(5668),
    [anon_sym_u_DQUOTE] = ACTIONS(5668),
    [anon_sym_U_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8_DQUOTE] = ACTIONS(5668),
    [anon_sym_DQUOTE] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5668),
    [anon_sym_LR_DQUOTE] = ACTIONS(5668),
    [anon_sym_uR_DQUOTE] = ACTIONS(5668),
    [anon_sym_UR_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5668),
    [sym_literal_suffix] = ACTIONS(5666),
  },
  [2226] = {
    [sym_attribute_declaration] = STATE(2226),
    [aux_sym_attributed_declarator_repeat1] = STATE(2226),
    [sym_identifier] = ACTIONS(6121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6123),
    [anon_sym_COMMA] = ACTIONS(6123),
    [anon_sym_RPAREN] = ACTIONS(6123),
    [aux_sym_preproc_if_token2] = ACTIONS(6123),
    [aux_sym_preproc_else_token1] = ACTIONS(6123),
    [aux_sym_preproc_elif_token1] = ACTIONS(6121),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6123),
    [anon_sym_LPAREN2] = ACTIONS(6123),
    [anon_sym_DASH] = ACTIONS(6121),
    [anon_sym_PLUS] = ACTIONS(6121),
    [anon_sym_STAR] = ACTIONS(6121),
    [anon_sym_SLASH] = ACTIONS(6121),
    [anon_sym_PERCENT] = ACTIONS(6121),
    [anon_sym_PIPE_PIPE] = ACTIONS(6123),
    [anon_sym_AMP_AMP] = ACTIONS(6123),
    [anon_sym_PIPE] = ACTIONS(6121),
    [anon_sym_CARET] = ACTIONS(6121),
    [anon_sym_AMP] = ACTIONS(6121),
    [anon_sym_EQ_EQ] = ACTIONS(6123),
    [anon_sym_BANG_EQ] = ACTIONS(6123),
    [anon_sym_GT] = ACTIONS(6121),
    [anon_sym_GT_EQ] = ACTIONS(6123),
    [anon_sym_LT_EQ] = ACTIONS(6121),
    [anon_sym_LT] = ACTIONS(6121),
    [anon_sym_LT_LT] = ACTIONS(6121),
    [anon_sym_GT_GT] = ACTIONS(6121),
    [anon_sym_SEMI] = ACTIONS(6123),
    [anon_sym___attribute__] = ACTIONS(6121),
    [anon_sym___attribute] = ACTIONS(6121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6125),
    [anon_sym_RBRACE] = ACTIONS(6123),
    [anon_sym_LBRACK] = ACTIONS(6121),
    [anon_sym_RBRACK] = ACTIONS(6123),
    [anon_sym_EQ] = ACTIONS(6121),
    [anon_sym_COLON] = ACTIONS(6123),
    [anon_sym_QMARK] = ACTIONS(6123),
    [anon_sym_STAR_EQ] = ACTIONS(6123),
    [anon_sym_SLASH_EQ] = ACTIONS(6123),
    [anon_sym_PERCENT_EQ] = ACTIONS(6123),
    [anon_sym_PLUS_EQ] = ACTIONS(6123),
    [anon_sym_DASH_EQ] = ACTIONS(6123),
    [anon_sym_LT_LT_EQ] = ACTIONS(6123),
    [anon_sym_GT_GT_EQ] = ACTIONS(6123),
    [anon_sym_AMP_EQ] = ACTIONS(6123),
    [anon_sym_CARET_EQ] = ACTIONS(6123),
    [anon_sym_PIPE_EQ] = ACTIONS(6123),
    [anon_sym_and_eq] = ACTIONS(6121),
    [anon_sym_or_eq] = ACTIONS(6121),
    [anon_sym_xor_eq] = ACTIONS(6121),
    [anon_sym_LT_EQ_GT] = ACTIONS(6123),
    [anon_sym_or] = ACTIONS(6121),
    [anon_sym_and] = ACTIONS(6121),
    [anon_sym_bitor] = ACTIONS(6121),
    [anon_sym_xor] = ACTIONS(6121),
    [anon_sym_bitand] = ACTIONS(6121),
    [anon_sym_not_eq] = ACTIONS(6121),
    [anon_sym_DASH_DASH] = ACTIONS(6123),
    [anon_sym_PLUS_PLUS] = ACTIONS(6123),
    [anon_sym_DOT] = ACTIONS(6121),
    [anon_sym_DOT_STAR] = ACTIONS(6123),
    [anon_sym_DASH_GT] = ACTIONS(6123),
    [sym_comment] = ACTIONS(3),
  },
  [2227] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___attribute] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(6128),
    [anon_sym_unsigned] = ACTIONS(6128),
    [anon_sym_long] = ACTIONS(6128),
    [anon_sym_short] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
  },
  [2228] = {
    [sym_attribute_specifier] = STATE(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_DASH] = ACTIONS(6033),
    [anon_sym_PLUS] = ACTIONS(6033),
    [anon_sym_STAR] = ACTIONS(6035),
    [anon_sym_SLASH] = ACTIONS(6033),
    [anon_sym_PERCENT] = ACTIONS(6035),
    [anon_sym_PIPE_PIPE] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_PIPE] = ACTIONS(6033),
    [anon_sym_CARET] = ACTIONS(6035),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_EQ_EQ] = ACTIONS(6035),
    [anon_sym_BANG_EQ] = ACTIONS(6035),
    [anon_sym_GT] = ACTIONS(6033),
    [anon_sym_GT_EQ] = ACTIONS(6035),
    [anon_sym_LT_EQ] = ACTIONS(6033),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_LT_LT] = ACTIONS(6035),
    [anon_sym_GT_GT] = ACTIONS(6035),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___extension__] = ACTIONS(6035),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6035),
    [anon_sym_LBRACK] = ACTIONS(6035),
    [anon_sym_RBRACK] = ACTIONS(6035),
    [anon_sym_const] = ACTIONS(6033),
    [anon_sym_constexpr] = ACTIONS(6035),
    [anon_sym_volatile] = ACTIONS(6035),
    [anon_sym_restrict] = ACTIONS(6035),
    [anon_sym___restrict__] = ACTIONS(6035),
    [anon_sym__Atomic] = ACTIONS(6035),
    [anon_sym__Noreturn] = ACTIONS(6035),
    [anon_sym_noreturn] = ACTIONS(6035),
    [anon_sym__Nonnull] = ACTIONS(6035),
    [anon_sym_mutable] = ACTIONS(6035),
    [anon_sym_constinit] = ACTIONS(6035),
    [anon_sym_consteval] = ACTIONS(6035),
    [anon_sym_PROGMEM] = ACTIONS(6035),
    [anon_sym_alignas] = ACTIONS(6035),
    [anon_sym__Alignas] = ACTIONS(6035),
    [anon_sym_COLON] = ACTIONS(6035),
    [anon_sym_QMARK] = ACTIONS(6035),
    [anon_sym_LT_EQ_GT] = ACTIONS(6035),
    [anon_sym_or] = ACTIONS(6035),
    [anon_sym_and] = ACTIONS(6035),
    [anon_sym_bitor] = ACTIONS(6035),
    [anon_sym_xor] = ACTIONS(6035),
    [anon_sym_bitand] = ACTIONS(6035),
    [anon_sym_not_eq] = ACTIONS(6035),
    [anon_sym_DASH_DASH] = ACTIONS(6035),
    [anon_sym_PLUS_PLUS] = ACTIONS(6035),
    [anon_sym_DOT] = ACTIONS(6033),
    [anon_sym_DOT_STAR] = ACTIONS(6035),
    [anon_sym_DASH_GT] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6035),
    [anon_sym_decltype] = ACTIONS(6035),
    [anon_sym_final] = ACTIONS(6035),
    [anon_sym_override] = ACTIONS(6035),
    [anon_sym_requires] = ACTIONS(6035),
  },
  [2229] = {
    [sym_attribute_specifier] = STATE(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5974),
    [anon_sym_COMMA] = ACTIONS(5974),
    [anon_sym_RPAREN] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5974),
    [anon_sym_DASH] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5974),
    [anon_sym_SLASH] = ACTIONS(5972),
    [anon_sym_PERCENT] = ACTIONS(5974),
    [anon_sym_PIPE_PIPE] = ACTIONS(5974),
    [anon_sym_AMP_AMP] = ACTIONS(5974),
    [anon_sym_PIPE] = ACTIONS(5972),
    [anon_sym_CARET] = ACTIONS(5974),
    [anon_sym_AMP] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5974),
    [anon_sym_BANG_EQ] = ACTIONS(5974),
    [anon_sym_GT] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5972),
    [anon_sym_LT] = ACTIONS(5972),
    [anon_sym_LT_LT] = ACTIONS(5974),
    [anon_sym_GT_GT] = ACTIONS(5974),
    [anon_sym_SEMI] = ACTIONS(5974),
    [anon_sym___extension__] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5974),
    [anon_sym_RBRACE] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5974),
    [anon_sym_RBRACK] = ACTIONS(5974),
    [anon_sym_const] = ACTIONS(5972),
    [anon_sym_constexpr] = ACTIONS(5974),
    [anon_sym_volatile] = ACTIONS(5974),
    [anon_sym_restrict] = ACTIONS(5974),
    [anon_sym___restrict__] = ACTIONS(5974),
    [anon_sym__Atomic] = ACTIONS(5974),
    [anon_sym__Noreturn] = ACTIONS(5974),
    [anon_sym_noreturn] = ACTIONS(5974),
    [anon_sym__Nonnull] = ACTIONS(5974),
    [anon_sym_mutable] = ACTIONS(5974),
    [anon_sym_constinit] = ACTIONS(5974),
    [anon_sym_consteval] = ACTIONS(5974),
    [anon_sym_PROGMEM] = ACTIONS(5974),
    [anon_sym_alignas] = ACTIONS(5974),
    [anon_sym__Alignas] = ACTIONS(5974),
    [anon_sym_COLON] = ACTIONS(5974),
    [anon_sym_QMARK] = ACTIONS(5974),
    [anon_sym_LT_EQ_GT] = ACTIONS(5974),
    [anon_sym_or] = ACTIONS(5974),
    [anon_sym_and] = ACTIONS(5974),
    [anon_sym_bitor] = ACTIONS(5974),
    [anon_sym_xor] = ACTIONS(5974),
    [anon_sym_bitand] = ACTIONS(5974),
    [anon_sym_not_eq] = ACTIONS(5974),
    [anon_sym_DASH_DASH] = ACTIONS(5974),
    [anon_sym_PLUS_PLUS] = ACTIONS(5974),
    [anon_sym_DOT] = ACTIONS(5972),
    [anon_sym_DOT_STAR] = ACTIONS(5974),
    [anon_sym_DASH_GT] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
    [anon_sym_final] = ACTIONS(5974),
    [anon_sym_override] = ACTIONS(5974),
    [anon_sym_requires] = ACTIONS(5974),
  },
  [2230] = {
    [sym_attribute_specifier] = STATE(1799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___extension__] = ACTIONS(5954),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5954),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_const] = ACTIONS(5952),
    [anon_sym_constexpr] = ACTIONS(5954),
    [anon_sym_volatile] = ACTIONS(5954),
    [anon_sym_restrict] = ACTIONS(5954),
    [anon_sym___restrict__] = ACTIONS(5954),
    [anon_sym__Atomic] = ACTIONS(5954),
    [anon_sym__Noreturn] = ACTIONS(5954),
    [anon_sym_noreturn] = ACTIONS(5954),
    [anon_sym__Nonnull] = ACTIONS(5954),
    [anon_sym_mutable] = ACTIONS(5954),
    [anon_sym_constinit] = ACTIONS(5954),
    [anon_sym_consteval] = ACTIONS(5954),
    [anon_sym_PROGMEM] = ACTIONS(5954),
    [anon_sym_alignas] = ACTIONS(5954),
    [anon_sym__Alignas] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5954),
    [anon_sym_and] = ACTIONS(5954),
    [anon_sym_bitor] = ACTIONS(5954),
    [anon_sym_xor] = ACTIONS(5954),
    [anon_sym_bitand] = ACTIONS(5954),
    [anon_sym_not_eq] = ACTIONS(5954),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5954),
    [anon_sym_decltype] = ACTIONS(5954),
    [anon_sym_final] = ACTIONS(5954),
    [anon_sym_override] = ACTIONS(5954),
    [anon_sym_requires] = ACTIONS(5954),
  },
  [2231] = {
    [sym_attribute_specifier] = STATE(1790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5960),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___extension__] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_const] = ACTIONS(5958),
    [anon_sym_constexpr] = ACTIONS(5960),
    [anon_sym_volatile] = ACTIONS(5960),
    [anon_sym_restrict] = ACTIONS(5960),
    [anon_sym___restrict__] = ACTIONS(5960),
    [anon_sym__Atomic] = ACTIONS(5960),
    [anon_sym__Noreturn] = ACTIONS(5960),
    [anon_sym_noreturn] = ACTIONS(5960),
    [anon_sym__Nonnull] = ACTIONS(5960),
    [anon_sym_mutable] = ACTIONS(5960),
    [anon_sym_constinit] = ACTIONS(5960),
    [anon_sym_consteval] = ACTIONS(5960),
    [anon_sym_PROGMEM] = ACTIONS(5960),
    [anon_sym_alignas] = ACTIONS(5960),
    [anon_sym__Alignas] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_bitor] = ACTIONS(5960),
    [anon_sym_xor] = ACTIONS(5960),
    [anon_sym_bitand] = ACTIONS(5960),
    [anon_sym_not_eq] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5960),
    [anon_sym_decltype] = ACTIONS(5960),
    [anon_sym_final] = ACTIONS(5960),
    [anon_sym_override] = ACTIONS(5960),
    [anon_sym_requires] = ACTIONS(5960),
  },
  [2232] = {
    [sym_attribute_specifier] = STATE(1817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5968),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5968),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5968),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5968),
    [anon_sym_GT_GT] = ACTIONS(5968),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___extension__] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_const] = ACTIONS(5966),
    [anon_sym_constexpr] = ACTIONS(5968),
    [anon_sym_volatile] = ACTIONS(5968),
    [anon_sym_restrict] = ACTIONS(5968),
    [anon_sym___restrict__] = ACTIONS(5968),
    [anon_sym__Atomic] = ACTIONS(5968),
    [anon_sym__Noreturn] = ACTIONS(5968),
    [anon_sym_noreturn] = ACTIONS(5968),
    [anon_sym__Nonnull] = ACTIONS(5968),
    [anon_sym_mutable] = ACTIONS(5968),
    [anon_sym_constinit] = ACTIONS(5968),
    [anon_sym_consteval] = ACTIONS(5968),
    [anon_sym_PROGMEM] = ACTIONS(5968),
    [anon_sym_alignas] = ACTIONS(5968),
    [anon_sym__Alignas] = ACTIONS(5968),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5968),
    [anon_sym_and] = ACTIONS(5968),
    [anon_sym_bitor] = ACTIONS(5968),
    [anon_sym_xor] = ACTIONS(5968),
    [anon_sym_bitand] = ACTIONS(5968),
    [anon_sym_not_eq] = ACTIONS(5968),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5968),
    [anon_sym_decltype] = ACTIONS(5968),
    [anon_sym_final] = ACTIONS(5968),
    [anon_sym_override] = ACTIONS(5968),
    [anon_sym_requires] = ACTIONS(5968),
  },
  [2233] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5441),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5441),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym___extension__] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5441),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(6111),
    [anon_sym_unsigned] = ACTIONS(6111),
    [anon_sym_long] = ACTIONS(6111),
    [anon_sym_short] = ACTIONS(6111),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5441),
    [anon_sym_volatile] = ACTIONS(5441),
    [anon_sym_restrict] = ACTIONS(5441),
    [anon_sym___restrict__] = ACTIONS(5441),
    [anon_sym__Atomic] = ACTIONS(5441),
    [anon_sym__Noreturn] = ACTIONS(5441),
    [anon_sym_noreturn] = ACTIONS(5441),
    [anon_sym__Nonnull] = ACTIONS(5441),
    [anon_sym_mutable] = ACTIONS(5441),
    [anon_sym_constinit] = ACTIONS(5441),
    [anon_sym_consteval] = ACTIONS(5441),
    [anon_sym_PROGMEM] = ACTIONS(5441),
    [anon_sym_alignas] = ACTIONS(5441),
    [anon_sym__Alignas] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5441),
    [anon_sym_and] = ACTIONS(5441),
    [anon_sym_bitor] = ACTIONS(5441),
    [anon_sym_xor] = ACTIONS(5441),
    [anon_sym_bitand] = ACTIONS(5441),
    [anon_sym_not_eq] = ACTIONS(5441),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5441),
    [anon_sym_decltype] = ACTIONS(5441),
    [anon_sym_final] = ACTIONS(5441),
    [anon_sym_override] = ACTIONS(5441),
    [anon_sym_GT2] = ACTIONS(5441),
    [anon_sym_requires] = ACTIONS(5441),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(6131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6133),
    [anon_sym_COMMA] = ACTIONS(6133),
    [anon_sym_RPAREN] = ACTIONS(6133),
    [aux_sym_preproc_if_token2] = ACTIONS(6133),
    [aux_sym_preproc_else_token1] = ACTIONS(6133),
    [aux_sym_preproc_elif_token1] = ACTIONS(6131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6133),
    [anon_sym_LPAREN2] = ACTIONS(6133),
    [anon_sym_DASH] = ACTIONS(6131),
    [anon_sym_PLUS] = ACTIONS(6131),
    [anon_sym_STAR] = ACTIONS(6131),
    [anon_sym_SLASH] = ACTIONS(6131),
    [anon_sym_PERCENT] = ACTIONS(6131),
    [anon_sym_PIPE_PIPE] = ACTIONS(6133),
    [anon_sym_AMP_AMP] = ACTIONS(6133),
    [anon_sym_PIPE] = ACTIONS(6131),
    [anon_sym_CARET] = ACTIONS(6131),
    [anon_sym_AMP] = ACTIONS(6131),
    [anon_sym_EQ_EQ] = ACTIONS(6133),
    [anon_sym_BANG_EQ] = ACTIONS(6133),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_GT_EQ] = ACTIONS(6133),
    [anon_sym_LT_EQ] = ACTIONS(6131),
    [anon_sym_LT] = ACTIONS(6131),
    [anon_sym_LT_LT] = ACTIONS(6131),
    [anon_sym_GT_GT] = ACTIONS(6131),
    [anon_sym_SEMI] = ACTIONS(6133),
    [anon_sym___attribute__] = ACTIONS(6131),
    [anon_sym___attribute] = ACTIONS(6131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6133),
    [anon_sym_LBRACE] = ACTIONS(6133),
    [anon_sym_RBRACE] = ACTIONS(6133),
    [anon_sym_LBRACK] = ACTIONS(6131),
    [anon_sym_RBRACK] = ACTIONS(6133),
    [anon_sym_EQ] = ACTIONS(6131),
    [anon_sym_COLON] = ACTIONS(6133),
    [anon_sym_QMARK] = ACTIONS(6133),
    [anon_sym_STAR_EQ] = ACTIONS(6133),
    [anon_sym_SLASH_EQ] = ACTIONS(6133),
    [anon_sym_PERCENT_EQ] = ACTIONS(6133),
    [anon_sym_PLUS_EQ] = ACTIONS(6133),
    [anon_sym_DASH_EQ] = ACTIONS(6133),
    [anon_sym_LT_LT_EQ] = ACTIONS(6133),
    [anon_sym_GT_GT_EQ] = ACTIONS(6133),
    [anon_sym_AMP_EQ] = ACTIONS(6133),
    [anon_sym_CARET_EQ] = ACTIONS(6133),
    [anon_sym_PIPE_EQ] = ACTIONS(6133),
    [anon_sym_and_eq] = ACTIONS(6131),
    [anon_sym_or_eq] = ACTIONS(6131),
    [anon_sym_xor_eq] = ACTIONS(6131),
    [anon_sym_LT_EQ_GT] = ACTIONS(6133),
    [anon_sym_or] = ACTIONS(6131),
    [anon_sym_and] = ACTIONS(6131),
    [anon_sym_bitor] = ACTIONS(6131),
    [anon_sym_xor] = ACTIONS(6131),
    [anon_sym_bitand] = ACTIONS(6131),
    [anon_sym_not_eq] = ACTIONS(6131),
    [anon_sym_DASH_DASH] = ACTIONS(6133),
    [anon_sym_PLUS_PLUS] = ACTIONS(6133),
    [anon_sym_DOT] = ACTIONS(6131),
    [anon_sym_DOT_STAR] = ACTIONS(6133),
    [anon_sym_DASH_GT] = ACTIONS(6133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6131),
  },
  [2235] = {
    [sym_template_argument_list] = STATE(2306),
    [sym_identifier] = ACTIONS(4868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_COMMA] = ACTIONS(4861),
    [anon_sym_RPAREN] = ACTIONS(4861),
    [aux_sym_preproc_if_token2] = ACTIONS(4861),
    [aux_sym_preproc_else_token1] = ACTIONS(4861),
    [aux_sym_preproc_elif_token1] = ACTIONS(4868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4861),
    [anon_sym_LPAREN2] = ACTIONS(4861),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4861),
    [anon_sym_AMP_AMP] = ACTIONS(4861),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_CARET] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4861),
    [anon_sym_BANG_EQ] = ACTIONS(4861),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4861),
    [anon_sym_LT_EQ] = ACTIONS(4868),
    [anon_sym_LT] = ACTIONS(5713),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4861),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4868),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4861),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [anon_sym_RBRACK] = ACTIONS(4861),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4861),
    [anon_sym_STAR_EQ] = ACTIONS(4861),
    [anon_sym_SLASH_EQ] = ACTIONS(4861),
    [anon_sym_PERCENT_EQ] = ACTIONS(4861),
    [anon_sym_PLUS_EQ] = ACTIONS(4861),
    [anon_sym_DASH_EQ] = ACTIONS(4861),
    [anon_sym_LT_LT_EQ] = ACTIONS(4861),
    [anon_sym_GT_GT_EQ] = ACTIONS(4861),
    [anon_sym_AMP_EQ] = ACTIONS(4861),
    [anon_sym_CARET_EQ] = ACTIONS(4861),
    [anon_sym_PIPE_EQ] = ACTIONS(4861),
    [anon_sym_and_eq] = ACTIONS(4868),
    [anon_sym_or_eq] = ACTIONS(4868),
    [anon_sym_xor_eq] = ACTIONS(4868),
    [anon_sym_LT_EQ_GT] = ACTIONS(4861),
    [anon_sym_or] = ACTIONS(4868),
    [anon_sym_and] = ACTIONS(4868),
    [anon_sym_bitor] = ACTIONS(4868),
    [anon_sym_xor] = ACTIONS(4868),
    [anon_sym_bitand] = ACTIONS(4868),
    [anon_sym_not_eq] = ACTIONS(4868),
    [anon_sym_DASH_DASH] = ACTIONS(4861),
    [anon_sym_PLUS_PLUS] = ACTIONS(4861),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_DOT_STAR] = ACTIONS(4861),
    [anon_sym_DASH_GT] = ACTIONS(4861),
    [sym_comment] = ACTIONS(3),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(6135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6137),
    [anon_sym_COMMA] = ACTIONS(6137),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [aux_sym_preproc_if_token2] = ACTIONS(6137),
    [aux_sym_preproc_else_token1] = ACTIONS(6137),
    [aux_sym_preproc_elif_token1] = ACTIONS(6135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6137),
    [anon_sym_LPAREN2] = ACTIONS(6137),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_STAR] = ACTIONS(6135),
    [anon_sym_SLASH] = ACTIONS(6135),
    [anon_sym_PERCENT] = ACTIONS(6135),
    [anon_sym_PIPE_PIPE] = ACTIONS(6137),
    [anon_sym_AMP_AMP] = ACTIONS(6137),
    [anon_sym_PIPE] = ACTIONS(6135),
    [anon_sym_CARET] = ACTIONS(6135),
    [anon_sym_AMP] = ACTIONS(6135),
    [anon_sym_EQ_EQ] = ACTIONS(6137),
    [anon_sym_BANG_EQ] = ACTIONS(6137),
    [anon_sym_GT] = ACTIONS(6135),
    [anon_sym_GT_EQ] = ACTIONS(6137),
    [anon_sym_LT_EQ] = ACTIONS(6135),
    [anon_sym_LT] = ACTIONS(6135),
    [anon_sym_LT_LT] = ACTIONS(6135),
    [anon_sym_GT_GT] = ACTIONS(6135),
    [anon_sym_SEMI] = ACTIONS(6137),
    [anon_sym___attribute__] = ACTIONS(6135),
    [anon_sym___attribute] = ACTIONS(6135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6137),
    [anon_sym_LBRACE] = ACTIONS(6137),
    [anon_sym_RBRACE] = ACTIONS(6137),
    [anon_sym_LBRACK] = ACTIONS(6135),
    [anon_sym_RBRACK] = ACTIONS(6137),
    [anon_sym_EQ] = ACTIONS(6135),
    [anon_sym_COLON] = ACTIONS(6137),
    [anon_sym_QMARK] = ACTIONS(6137),
    [anon_sym_STAR_EQ] = ACTIONS(6137),
    [anon_sym_SLASH_EQ] = ACTIONS(6137),
    [anon_sym_PERCENT_EQ] = ACTIONS(6137),
    [anon_sym_PLUS_EQ] = ACTIONS(6137),
    [anon_sym_DASH_EQ] = ACTIONS(6137),
    [anon_sym_LT_LT_EQ] = ACTIONS(6137),
    [anon_sym_GT_GT_EQ] = ACTIONS(6137),
    [anon_sym_AMP_EQ] = ACTIONS(6137),
    [anon_sym_CARET_EQ] = ACTIONS(6137),
    [anon_sym_PIPE_EQ] = ACTIONS(6137),
    [anon_sym_and_eq] = ACTIONS(6135),
    [anon_sym_or_eq] = ACTIONS(6135),
    [anon_sym_xor_eq] = ACTIONS(6135),
    [anon_sym_LT_EQ_GT] = ACTIONS(6137),
    [anon_sym_or] = ACTIONS(6135),
    [anon_sym_and] = ACTIONS(6135),
    [anon_sym_bitor] = ACTIONS(6135),
    [anon_sym_xor] = ACTIONS(6135),
    [anon_sym_bitand] = ACTIONS(6135),
    [anon_sym_not_eq] = ACTIONS(6135),
    [anon_sym_DASH_DASH] = ACTIONS(6137),
    [anon_sym_PLUS_PLUS] = ACTIONS(6137),
    [anon_sym_DOT] = ACTIONS(6135),
    [anon_sym_DOT_STAR] = ACTIONS(6137),
    [anon_sym_DASH_GT] = ACTIONS(6137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6135),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(6139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6141),
    [anon_sym_COMMA] = ACTIONS(6141),
    [anon_sym_RPAREN] = ACTIONS(6141),
    [aux_sym_preproc_if_token2] = ACTIONS(6141),
    [aux_sym_preproc_else_token1] = ACTIONS(6141),
    [aux_sym_preproc_elif_token1] = ACTIONS(6139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6141),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6141),
    [anon_sym_LPAREN2] = ACTIONS(6141),
    [anon_sym_DASH] = ACTIONS(6139),
    [anon_sym_PLUS] = ACTIONS(6139),
    [anon_sym_STAR] = ACTIONS(6139),
    [anon_sym_SLASH] = ACTIONS(6139),
    [anon_sym_PERCENT] = ACTIONS(6139),
    [anon_sym_PIPE_PIPE] = ACTIONS(6141),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_PIPE] = ACTIONS(6139),
    [anon_sym_CARET] = ACTIONS(6139),
    [anon_sym_AMP] = ACTIONS(6139),
    [anon_sym_EQ_EQ] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6141),
    [anon_sym_GT] = ACTIONS(6139),
    [anon_sym_GT_EQ] = ACTIONS(6141),
    [anon_sym_LT_EQ] = ACTIONS(6139),
    [anon_sym_LT] = ACTIONS(6139),
    [anon_sym_LT_LT] = ACTIONS(6139),
    [anon_sym_GT_GT] = ACTIONS(6139),
    [anon_sym_SEMI] = ACTIONS(6141),
    [anon_sym___attribute__] = ACTIONS(6139),
    [anon_sym___attribute] = ACTIONS(6139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6141),
    [anon_sym_LBRACE] = ACTIONS(6141),
    [anon_sym_RBRACE] = ACTIONS(6141),
    [anon_sym_LBRACK] = ACTIONS(6139),
    [anon_sym_RBRACK] = ACTIONS(6141),
    [anon_sym_EQ] = ACTIONS(6139),
    [anon_sym_COLON] = ACTIONS(6141),
    [anon_sym_QMARK] = ACTIONS(6141),
    [anon_sym_STAR_EQ] = ACTIONS(6141),
    [anon_sym_SLASH_EQ] = ACTIONS(6141),
    [anon_sym_PERCENT_EQ] = ACTIONS(6141),
    [anon_sym_PLUS_EQ] = ACTIONS(6141),
    [anon_sym_DASH_EQ] = ACTIONS(6141),
    [anon_sym_LT_LT_EQ] = ACTIONS(6141),
    [anon_sym_GT_GT_EQ] = ACTIONS(6141),
    [anon_sym_AMP_EQ] = ACTIONS(6141),
    [anon_sym_CARET_EQ] = ACTIONS(6141),
    [anon_sym_PIPE_EQ] = ACTIONS(6141),
    [anon_sym_and_eq] = ACTIONS(6139),
    [anon_sym_or_eq] = ACTIONS(6139),
    [anon_sym_xor_eq] = ACTIONS(6139),
    [anon_sym_LT_EQ_GT] = ACTIONS(6141),
    [anon_sym_or] = ACTIONS(6139),
    [anon_sym_and] = ACTIONS(6139),
    [anon_sym_bitor] = ACTIONS(6139),
    [anon_sym_xor] = ACTIONS(6139),
    [anon_sym_bitand] = ACTIONS(6139),
    [anon_sym_not_eq] = ACTIONS(6139),
    [anon_sym_DASH_DASH] = ACTIONS(6141),
    [anon_sym_PLUS_PLUS] = ACTIONS(6141),
    [anon_sym_DOT] = ACTIONS(6139),
    [anon_sym_DOT_STAR] = ACTIONS(6141),
    [anon_sym_DASH_GT] = ACTIONS(6141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6139),
  },
  [2238] = {
    [sym_string_literal] = STATE(2252),
    [sym_raw_string_literal] = STATE(2252),
    [aux_sym_concatenated_string_repeat1] = STATE(2252),
    [sym_identifier] = ACTIONS(6143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5301),
    [anon_sym_COMMA] = ACTIONS(5301),
    [anon_sym_LPAREN2] = ACTIONS(5301),
    [anon_sym_DASH] = ACTIONS(5303),
    [anon_sym_PLUS] = ACTIONS(5303),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_SLASH] = ACTIONS(5303),
    [anon_sym_PERCENT] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5301),
    [anon_sym_AMP_AMP] = ACTIONS(5301),
    [anon_sym_PIPE] = ACTIONS(5303),
    [anon_sym_CARET] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5303),
    [anon_sym_EQ_EQ] = ACTIONS(5301),
    [anon_sym_BANG_EQ] = ACTIONS(5301),
    [anon_sym_GT] = ACTIONS(5303),
    [anon_sym_GT_EQ] = ACTIONS(5303),
    [anon_sym_LT_EQ] = ACTIONS(5303),
    [anon_sym_LT] = ACTIONS(5303),
    [anon_sym_LT_LT] = ACTIONS(5303),
    [anon_sym_GT_GT] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_QMARK] = ACTIONS(5301),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5303),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5303),
    [anon_sym_or_eq] = ACTIONS(5303),
    [anon_sym_xor_eq] = ACTIONS(5303),
    [anon_sym_LT_EQ_GT] = ACTIONS(5301),
    [anon_sym_or] = ACTIONS(5303),
    [anon_sym_and] = ACTIONS(5303),
    [anon_sym_bitor] = ACTIONS(5303),
    [anon_sym_xor] = ACTIONS(5303),
    [anon_sym_bitand] = ACTIONS(5303),
    [anon_sym_not_eq] = ACTIONS(5303),
    [anon_sym_DASH_DASH] = ACTIONS(5301),
    [anon_sym_PLUS_PLUS] = ACTIONS(5301),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_DOT_STAR] = ACTIONS(5301),
    [anon_sym_DASH_GT] = ACTIONS(5301),
    [anon_sym_L_DQUOTE] = ACTIONS(6145),
    [anon_sym_u_DQUOTE] = ACTIONS(6145),
    [anon_sym_U_DQUOTE] = ACTIONS(6145),
    [anon_sym_u8_DQUOTE] = ACTIONS(6145),
    [anon_sym_DQUOTE] = ACTIONS(6145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5301),
    [anon_sym_R_DQUOTE] = ACTIONS(6147),
    [anon_sym_LR_DQUOTE] = ACTIONS(6147),
    [anon_sym_uR_DQUOTE] = ACTIONS(6147),
    [anon_sym_UR_DQUOTE] = ACTIONS(6147),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6147),
    [sym_literal_suffix] = ACTIONS(5303),
  },
  [2239] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5774),
    [anon_sym_COMMA] = ACTIONS(5774),
    [aux_sym_preproc_if_token2] = ACTIONS(5774),
    [aux_sym_preproc_else_token1] = ACTIONS(5774),
    [aux_sym_preproc_elif_token1] = ACTIONS(5776),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5776),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5774),
    [anon_sym_AMP_AMP] = ACTIONS(5774),
    [anon_sym_PIPE] = ACTIONS(5776),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5776),
    [anon_sym_EQ_EQ] = ACTIONS(5774),
    [anon_sym_BANG_EQ] = ACTIONS(5774),
    [anon_sym_GT] = ACTIONS(5776),
    [anon_sym_GT_EQ] = ACTIONS(5774),
    [anon_sym_LT_EQ] = ACTIONS(5776),
    [anon_sym_LT] = ACTIONS(5776),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5776),
    [anon_sym___attribute] = ACTIONS(5776),
    [anon_sym_LBRACE] = ACTIONS(5774),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5774),
    [anon_sym_EQ] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5774),
    [anon_sym_STAR_EQ] = ACTIONS(5774),
    [anon_sym_SLASH_EQ] = ACTIONS(5774),
    [anon_sym_PERCENT_EQ] = ACTIONS(5774),
    [anon_sym_PLUS_EQ] = ACTIONS(5774),
    [anon_sym_DASH_EQ] = ACTIONS(5774),
    [anon_sym_LT_LT_EQ] = ACTIONS(5774),
    [anon_sym_GT_GT_EQ] = ACTIONS(5774),
    [anon_sym_AMP_EQ] = ACTIONS(5774),
    [anon_sym_CARET_EQ] = ACTIONS(5774),
    [anon_sym_PIPE_EQ] = ACTIONS(5774),
    [anon_sym_and_eq] = ACTIONS(5776),
    [anon_sym_or_eq] = ACTIONS(5776),
    [anon_sym_xor_eq] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5774),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5776),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5776),
    [anon_sym_not_eq] = ACTIONS(5776),
    [anon_sym_DASH_DASH] = ACTIONS(5774),
    [anon_sym_PLUS_PLUS] = ACTIONS(5774),
    [anon_sym_DOT] = ACTIONS(5776),
    [anon_sym_DOT_STAR] = ACTIONS(5774),
    [anon_sym_DASH_GT] = ACTIONS(5774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5776),
    [anon_sym_decltype] = ACTIONS(5776),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5528),
    [anon_sym_COMMA] = ACTIONS(5528),
    [anon_sym_RPAREN] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5526),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_PIPE] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5528),
    [anon_sym_BANG_EQ] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5528),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5526),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym___attribute] = ACTIONS(5526),
    [anon_sym_LBRACE] = ACTIONS(5528),
    [anon_sym_RBRACE] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_RBRACK] = ACTIONS(5528),
    [anon_sym_EQ] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5528),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_STAR_EQ] = ACTIONS(5528),
    [anon_sym_SLASH_EQ] = ACTIONS(5528),
    [anon_sym_PERCENT_EQ] = ACTIONS(5528),
    [anon_sym_PLUS_EQ] = ACTIONS(5528),
    [anon_sym_DASH_EQ] = ACTIONS(5528),
    [anon_sym_LT_LT_EQ] = ACTIONS(5528),
    [anon_sym_GT_GT_EQ] = ACTIONS(5528),
    [anon_sym_AMP_EQ] = ACTIONS(5528),
    [anon_sym_CARET_EQ] = ACTIONS(5528),
    [anon_sym_PIPE_EQ] = ACTIONS(5528),
    [anon_sym_and_eq] = ACTIONS(5526),
    [anon_sym_or_eq] = ACTIONS(5526),
    [anon_sym_xor_eq] = ACTIONS(5526),
    [anon_sym_LT_EQ_GT] = ACTIONS(5528),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_bitor] = ACTIONS(5526),
    [anon_sym_xor] = ACTIONS(5526),
    [anon_sym_bitand] = ACTIONS(5526),
    [anon_sym_not_eq] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5528),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_DOT_STAR] = ACTIONS(5528),
    [anon_sym_DASH_GT] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(5530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5532),
    [anon_sym_COMMA] = ACTIONS(5532),
    [anon_sym_RPAREN] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5530),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_PIPE] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5532),
    [anon_sym_BANG_EQ] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5532),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5530),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5530),
    [anon_sym_SEMI] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym___attribute] = ACTIONS(5530),
    [anon_sym_LBRACE] = ACTIONS(5532),
    [anon_sym_RBRACE] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_RBRACK] = ACTIONS(5532),
    [anon_sym_EQ] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_STAR_EQ] = ACTIONS(5532),
    [anon_sym_SLASH_EQ] = ACTIONS(5532),
    [anon_sym_PERCENT_EQ] = ACTIONS(5532),
    [anon_sym_PLUS_EQ] = ACTIONS(5532),
    [anon_sym_DASH_EQ] = ACTIONS(5532),
    [anon_sym_LT_LT_EQ] = ACTIONS(5532),
    [anon_sym_GT_GT_EQ] = ACTIONS(5532),
    [anon_sym_AMP_EQ] = ACTIONS(5532),
    [anon_sym_CARET_EQ] = ACTIONS(5532),
    [anon_sym_PIPE_EQ] = ACTIONS(5532),
    [anon_sym_and_eq] = ACTIONS(5530),
    [anon_sym_or_eq] = ACTIONS(5530),
    [anon_sym_xor_eq] = ACTIONS(5530),
    [anon_sym_LT_EQ_GT] = ACTIONS(5532),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_bitor] = ACTIONS(5530),
    [anon_sym_xor] = ACTIONS(5530),
    [anon_sym_bitand] = ACTIONS(5530),
    [anon_sym_not_eq] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5532),
    [anon_sym_DOT] = ACTIONS(5530),
    [anon_sym_DOT_STAR] = ACTIONS(5532),
    [anon_sym_DASH_GT] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(6149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6151),
    [anon_sym_COMMA] = ACTIONS(6151),
    [anon_sym_RPAREN] = ACTIONS(6151),
    [aux_sym_preproc_if_token2] = ACTIONS(6151),
    [aux_sym_preproc_else_token1] = ACTIONS(6151),
    [aux_sym_preproc_elif_token1] = ACTIONS(6149),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6151),
    [anon_sym_LPAREN2] = ACTIONS(6151),
    [anon_sym_DASH] = ACTIONS(6149),
    [anon_sym_PLUS] = ACTIONS(6149),
    [anon_sym_STAR] = ACTIONS(6149),
    [anon_sym_SLASH] = ACTIONS(6149),
    [anon_sym_PERCENT] = ACTIONS(6149),
    [anon_sym_PIPE_PIPE] = ACTIONS(6151),
    [anon_sym_AMP_AMP] = ACTIONS(6151),
    [anon_sym_PIPE] = ACTIONS(6149),
    [anon_sym_CARET] = ACTIONS(6149),
    [anon_sym_AMP] = ACTIONS(6149),
    [anon_sym_EQ_EQ] = ACTIONS(6151),
    [anon_sym_BANG_EQ] = ACTIONS(6151),
    [anon_sym_GT] = ACTIONS(6149),
    [anon_sym_GT_EQ] = ACTIONS(6151),
    [anon_sym_LT_EQ] = ACTIONS(6149),
    [anon_sym_LT] = ACTIONS(6149),
    [anon_sym_LT_LT] = ACTIONS(6149),
    [anon_sym_GT_GT] = ACTIONS(6149),
    [anon_sym_SEMI] = ACTIONS(6151),
    [anon_sym___attribute__] = ACTIONS(6149),
    [anon_sym___attribute] = ACTIONS(6149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6151),
    [anon_sym_LBRACE] = ACTIONS(6151),
    [anon_sym_RBRACE] = ACTIONS(6151),
    [anon_sym_LBRACK] = ACTIONS(6149),
    [anon_sym_RBRACK] = ACTIONS(6151),
    [anon_sym_EQ] = ACTIONS(6149),
    [anon_sym_COLON] = ACTIONS(6151),
    [anon_sym_QMARK] = ACTIONS(6151),
    [anon_sym_STAR_EQ] = ACTIONS(6151),
    [anon_sym_SLASH_EQ] = ACTIONS(6151),
    [anon_sym_PERCENT_EQ] = ACTIONS(6151),
    [anon_sym_PLUS_EQ] = ACTIONS(6151),
    [anon_sym_DASH_EQ] = ACTIONS(6151),
    [anon_sym_LT_LT_EQ] = ACTIONS(6151),
    [anon_sym_GT_GT_EQ] = ACTIONS(6151),
    [anon_sym_AMP_EQ] = ACTIONS(6151),
    [anon_sym_CARET_EQ] = ACTIONS(6151),
    [anon_sym_PIPE_EQ] = ACTIONS(6151),
    [anon_sym_and_eq] = ACTIONS(6149),
    [anon_sym_or_eq] = ACTIONS(6149),
    [anon_sym_xor_eq] = ACTIONS(6149),
    [anon_sym_LT_EQ_GT] = ACTIONS(6151),
    [anon_sym_or] = ACTIONS(6149),
    [anon_sym_and] = ACTIONS(6149),
    [anon_sym_bitor] = ACTIONS(6149),
    [anon_sym_xor] = ACTIONS(6149),
    [anon_sym_bitand] = ACTIONS(6149),
    [anon_sym_not_eq] = ACTIONS(6149),
    [anon_sym_DASH_DASH] = ACTIONS(6151),
    [anon_sym_PLUS_PLUS] = ACTIONS(6151),
    [anon_sym_DOT] = ACTIONS(6149),
    [anon_sym_DOT_STAR] = ACTIONS(6151),
    [anon_sym_DASH_GT] = ACTIONS(6151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6149),
  },
  [2243] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5742),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5742),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5742),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5744),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5742),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym___extension__] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(5742),
    [anon_sym___attribute] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_const] = ACTIONS(5744),
    [anon_sym_constexpr] = ACTIONS(5742),
    [anon_sym_volatile] = ACTIONS(5742),
    [anon_sym_restrict] = ACTIONS(5742),
    [anon_sym___restrict__] = ACTIONS(5742),
    [anon_sym__Atomic] = ACTIONS(5742),
    [anon_sym__Noreturn] = ACTIONS(5742),
    [anon_sym_noreturn] = ACTIONS(5742),
    [anon_sym__Nonnull] = ACTIONS(5742),
    [anon_sym_mutable] = ACTIONS(5742),
    [anon_sym_constinit] = ACTIONS(5742),
    [anon_sym_consteval] = ACTIONS(5742),
    [anon_sym_PROGMEM] = ACTIONS(5742),
    [anon_sym_alignas] = ACTIONS(5742),
    [anon_sym__Alignas] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5742),
    [anon_sym_and] = ACTIONS(5742),
    [anon_sym_bitor] = ACTIONS(5742),
    [anon_sym_xor] = ACTIONS(5742),
    [anon_sym_bitand] = ACTIONS(5742),
    [anon_sym_not_eq] = ACTIONS(5742),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5742),
    [anon_sym_decltype] = ACTIONS(5742),
    [anon_sym_final] = ACTIONS(5742),
    [anon_sym_override] = ACTIONS(5742),
    [anon_sym_GT2] = ACTIONS(5742),
    [anon_sym_requires] = ACTIONS(5742),
  },
  [2244] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_const] = ACTIONS(5738),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym__Nonnull] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [anon_sym_PROGMEM] = ACTIONS(5736),
    [anon_sym_alignas] = ACTIONS(5736),
    [anon_sym__Alignas] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_final] = ACTIONS(5736),
    [anon_sym_override] = ACTIONS(5736),
    [anon_sym_GT2] = ACTIONS(5736),
    [anon_sym_requires] = ACTIONS(5736),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(5546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [aux_sym_preproc_if_token2] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5546),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5546),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5546),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym___attribute] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_EQ] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5548),
    [anon_sym_STAR_EQ] = ACTIONS(5548),
    [anon_sym_SLASH_EQ] = ACTIONS(5548),
    [anon_sym_PERCENT_EQ] = ACTIONS(5548),
    [anon_sym_PLUS_EQ] = ACTIONS(5548),
    [anon_sym_DASH_EQ] = ACTIONS(5548),
    [anon_sym_LT_LT_EQ] = ACTIONS(5548),
    [anon_sym_GT_GT_EQ] = ACTIONS(5548),
    [anon_sym_AMP_EQ] = ACTIONS(5548),
    [anon_sym_CARET_EQ] = ACTIONS(5548),
    [anon_sym_PIPE_EQ] = ACTIONS(5548),
    [anon_sym_and_eq] = ACTIONS(5546),
    [anon_sym_or_eq] = ACTIONS(5546),
    [anon_sym_xor_eq] = ACTIONS(5546),
    [anon_sym_LT_EQ_GT] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_and] = ACTIONS(5546),
    [anon_sym_bitor] = ACTIONS(5546),
    [anon_sym_xor] = ACTIONS(5546),
    [anon_sym_bitand] = ACTIONS(5546),
    [anon_sym_not_eq] = ACTIONS(5546),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_DOT_STAR] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___attribute] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_EQ] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_STAR_EQ] = ACTIONS(5552),
    [anon_sym_SLASH_EQ] = ACTIONS(5552),
    [anon_sym_PERCENT_EQ] = ACTIONS(5552),
    [anon_sym_PLUS_EQ] = ACTIONS(5552),
    [anon_sym_DASH_EQ] = ACTIONS(5552),
    [anon_sym_LT_LT_EQ] = ACTIONS(5552),
    [anon_sym_GT_GT_EQ] = ACTIONS(5552),
    [anon_sym_AMP_EQ] = ACTIONS(5552),
    [anon_sym_CARET_EQ] = ACTIONS(5552),
    [anon_sym_PIPE_EQ] = ACTIONS(5552),
    [anon_sym_and_eq] = ACTIONS(5550),
    [anon_sym_or_eq] = ACTIONS(5550),
    [anon_sym_xor_eq] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
  },
  [2247] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_LPAREN2] = ACTIONS(5672),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_EQ] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_and_eq] = ACTIONS(5670),
    [anon_sym_or_eq] = ACTIONS(5670),
    [anon_sym_xor_eq] = ACTIONS(5670),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_L_DQUOTE] = ACTIONS(5672),
    [anon_sym_u_DQUOTE] = ACTIONS(5672),
    [anon_sym_U_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8_DQUOTE] = ACTIONS(5672),
    [anon_sym_DQUOTE] = ACTIONS(5672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5672),
    [anon_sym_LR_DQUOTE] = ACTIONS(5672),
    [anon_sym_uR_DQUOTE] = ACTIONS(5672),
    [anon_sym_UR_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5672),
    [sym_literal_suffix] = ACTIONS(5670),
  },
  [2248] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2290),
    [sym_identifier] = ACTIONS(5786),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [aux_sym_preproc_if_token2] = ACTIONS(5784),
    [aux_sym_preproc_else_token1] = ACTIONS(5784),
    [aux_sym_preproc_elif_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5786),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5786),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5786),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5786),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5786),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym___attribute__] = ACTIONS(5786),
    [anon_sym___attribute] = ACTIONS(5786),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_signed] = ACTIONS(6155),
    [anon_sym_unsigned] = ACTIONS(6155),
    [anon_sym_long] = ACTIONS(6155),
    [anon_sym_short] = ACTIONS(6155),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_EQ] = ACTIONS(5786),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_STAR_EQ] = ACTIONS(5784),
    [anon_sym_SLASH_EQ] = ACTIONS(5784),
    [anon_sym_PERCENT_EQ] = ACTIONS(5784),
    [anon_sym_PLUS_EQ] = ACTIONS(5784),
    [anon_sym_DASH_EQ] = ACTIONS(5784),
    [anon_sym_LT_LT_EQ] = ACTIONS(5784),
    [anon_sym_GT_GT_EQ] = ACTIONS(5784),
    [anon_sym_AMP_EQ] = ACTIONS(5784),
    [anon_sym_CARET_EQ] = ACTIONS(5784),
    [anon_sym_PIPE_EQ] = ACTIONS(5784),
    [anon_sym_and_eq] = ACTIONS(5786),
    [anon_sym_or_eq] = ACTIONS(5786),
    [anon_sym_xor_eq] = ACTIONS(5786),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5786),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5786),
    [anon_sym_not_eq] = ACTIONS(5786),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5786),
    [anon_sym_decltype] = ACTIONS(5786),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(6157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6159),
    [anon_sym_COMMA] = ACTIONS(6159),
    [anon_sym_RPAREN] = ACTIONS(6159),
    [aux_sym_preproc_if_token2] = ACTIONS(6159),
    [aux_sym_preproc_else_token1] = ACTIONS(6159),
    [aux_sym_preproc_elif_token1] = ACTIONS(6157),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6159),
    [anon_sym_LPAREN2] = ACTIONS(6159),
    [anon_sym_DASH] = ACTIONS(6157),
    [anon_sym_PLUS] = ACTIONS(6157),
    [anon_sym_STAR] = ACTIONS(6157),
    [anon_sym_SLASH] = ACTIONS(6157),
    [anon_sym_PERCENT] = ACTIONS(6157),
    [anon_sym_PIPE_PIPE] = ACTIONS(6159),
    [anon_sym_AMP_AMP] = ACTIONS(6159),
    [anon_sym_PIPE] = ACTIONS(6157),
    [anon_sym_CARET] = ACTIONS(6157),
    [anon_sym_AMP] = ACTIONS(6157),
    [anon_sym_EQ_EQ] = ACTIONS(6159),
    [anon_sym_BANG_EQ] = ACTIONS(6159),
    [anon_sym_GT] = ACTIONS(6157),
    [anon_sym_GT_EQ] = ACTIONS(6159),
    [anon_sym_LT_EQ] = ACTIONS(6157),
    [anon_sym_LT] = ACTIONS(6157),
    [anon_sym_LT_LT] = ACTIONS(6157),
    [anon_sym_GT_GT] = ACTIONS(6157),
    [anon_sym_SEMI] = ACTIONS(6159),
    [anon_sym___attribute__] = ACTIONS(6157),
    [anon_sym___attribute] = ACTIONS(6157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6159),
    [anon_sym_LBRACE] = ACTIONS(6159),
    [anon_sym_RBRACE] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6157),
    [anon_sym_RBRACK] = ACTIONS(6159),
    [anon_sym_EQ] = ACTIONS(6157),
    [anon_sym_COLON] = ACTIONS(6159),
    [anon_sym_QMARK] = ACTIONS(6159),
    [anon_sym_STAR_EQ] = ACTIONS(6159),
    [anon_sym_SLASH_EQ] = ACTIONS(6159),
    [anon_sym_PERCENT_EQ] = ACTIONS(6159),
    [anon_sym_PLUS_EQ] = ACTIONS(6159),
    [anon_sym_DASH_EQ] = ACTIONS(6159),
    [anon_sym_LT_LT_EQ] = ACTIONS(6159),
    [anon_sym_GT_GT_EQ] = ACTIONS(6159),
    [anon_sym_AMP_EQ] = ACTIONS(6159),
    [anon_sym_CARET_EQ] = ACTIONS(6159),
    [anon_sym_PIPE_EQ] = ACTIONS(6159),
    [anon_sym_and_eq] = ACTIONS(6157),
    [anon_sym_or_eq] = ACTIONS(6157),
    [anon_sym_xor_eq] = ACTIONS(6157),
    [anon_sym_LT_EQ_GT] = ACTIONS(6159),
    [anon_sym_or] = ACTIONS(6157),
    [anon_sym_and] = ACTIONS(6157),
    [anon_sym_bitor] = ACTIONS(6157),
    [anon_sym_xor] = ACTIONS(6157),
    [anon_sym_bitand] = ACTIONS(6157),
    [anon_sym_not_eq] = ACTIONS(6157),
    [anon_sym_DASH_DASH] = ACTIONS(6159),
    [anon_sym_PLUS_PLUS] = ACTIONS(6159),
    [anon_sym_DOT] = ACTIONS(6157),
    [anon_sym_DOT_STAR] = ACTIONS(6159),
    [anon_sym_DASH_GT] = ACTIONS(6159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6157),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [aux_sym_preproc_if_token2] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5616),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5616),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_CARET] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5614),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym___attribute] = ACTIONS(5614),
    [anon_sym_LBRACE] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5616),
    [anon_sym_STAR_EQ] = ACTIONS(5616),
    [anon_sym_SLASH_EQ] = ACTIONS(5616),
    [anon_sym_PERCENT_EQ] = ACTIONS(5616),
    [anon_sym_PLUS_EQ] = ACTIONS(5616),
    [anon_sym_DASH_EQ] = ACTIONS(5616),
    [anon_sym_LT_LT_EQ] = ACTIONS(5616),
    [anon_sym_GT_GT_EQ] = ACTIONS(5616),
    [anon_sym_AMP_EQ] = ACTIONS(5616),
    [anon_sym_CARET_EQ] = ACTIONS(5616),
    [anon_sym_PIPE_EQ] = ACTIONS(5616),
    [anon_sym_and_eq] = ACTIONS(5614),
    [anon_sym_or_eq] = ACTIONS(5614),
    [anon_sym_xor_eq] = ACTIONS(5614),
    [anon_sym_LT_EQ_GT] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_and] = ACTIONS(5614),
    [anon_sym_bitor] = ACTIONS(5614),
    [anon_sym_xor] = ACTIONS(5614),
    [anon_sym_bitand] = ACTIONS(5614),
    [anon_sym_not_eq] = ACTIONS(5614),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_DOT_STAR] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(5610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5610),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_CARET] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5610),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5610),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym___attribute] = ACTIONS(5610),
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_EQ] = ACTIONS(5610),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_STAR_EQ] = ACTIONS(5612),
    [anon_sym_SLASH_EQ] = ACTIONS(5612),
    [anon_sym_PERCENT_EQ] = ACTIONS(5612),
    [anon_sym_PLUS_EQ] = ACTIONS(5612),
    [anon_sym_DASH_EQ] = ACTIONS(5612),
    [anon_sym_LT_LT_EQ] = ACTIONS(5612),
    [anon_sym_GT_GT_EQ] = ACTIONS(5612),
    [anon_sym_AMP_EQ] = ACTIONS(5612),
    [anon_sym_CARET_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_and_eq] = ACTIONS(5610),
    [anon_sym_or_eq] = ACTIONS(5610),
    [anon_sym_xor_eq] = ACTIONS(5610),
    [anon_sym_LT_EQ_GT] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_and] = ACTIONS(5610),
    [anon_sym_bitor] = ACTIONS(5610),
    [anon_sym_xor] = ACTIONS(5610),
    [anon_sym_bitand] = ACTIONS(5610),
    [anon_sym_not_eq] = ACTIONS(5610),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_DOT_STAR] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
  },
  [2252] = {
    [sym_string_literal] = STATE(2270),
    [sym_raw_string_literal] = STATE(2270),
    [aux_sym_concatenated_string_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(6161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5423),
    [anon_sym_COMMA] = ACTIONS(5423),
    [anon_sym_LPAREN2] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5423),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5423),
    [anon_sym_BANG_EQ] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5425),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_STAR_EQ] = ACTIONS(5423),
    [anon_sym_SLASH_EQ] = ACTIONS(5423),
    [anon_sym_PERCENT_EQ] = ACTIONS(5423),
    [anon_sym_PLUS_EQ] = ACTIONS(5423),
    [anon_sym_DASH_EQ] = ACTIONS(5423),
    [anon_sym_LT_LT_EQ] = ACTIONS(5423),
    [anon_sym_GT_GT_EQ] = ACTIONS(5425),
    [anon_sym_AMP_EQ] = ACTIONS(5423),
    [anon_sym_CARET_EQ] = ACTIONS(5423),
    [anon_sym_PIPE_EQ] = ACTIONS(5423),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5423),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5423),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5423),
    [anon_sym_DASH_GT] = ACTIONS(5423),
    [anon_sym_L_DQUOTE] = ACTIONS(6145),
    [anon_sym_u_DQUOTE] = ACTIONS(6145),
    [anon_sym_U_DQUOTE] = ACTIONS(6145),
    [anon_sym_u8_DQUOTE] = ACTIONS(6145),
    [anon_sym_DQUOTE] = ACTIONS(6145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5423),
    [anon_sym_R_DQUOTE] = ACTIONS(6147),
    [anon_sym_LR_DQUOTE] = ACTIONS(6147),
    [anon_sym_uR_DQUOTE] = ACTIONS(6147),
    [anon_sym_UR_DQUOTE] = ACTIONS(6147),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6147),
    [sym_literal_suffix] = ACTIONS(5425),
  },
  [2253] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_L_DQUOTE] = ACTIONS(5676),
    [anon_sym_u_DQUOTE] = ACTIONS(5676),
    [anon_sym_U_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8_DQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5676),
    [anon_sym_LR_DQUOTE] = ACTIONS(5676),
    [anon_sym_uR_DQUOTE] = ACTIONS(5676),
    [anon_sym_UR_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5676),
    [sym_literal_suffix] = ACTIONS(5674),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [aux_sym_preproc_if_token2] = ACTIONS(5470),
    [aux_sym_preproc_else_token1] = ACTIONS(5470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___attribute] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_STAR_EQ] = ACTIONS(5470),
    [anon_sym_SLASH_EQ] = ACTIONS(5470),
    [anon_sym_PERCENT_EQ] = ACTIONS(5470),
    [anon_sym_PLUS_EQ] = ACTIONS(5470),
    [anon_sym_DASH_EQ] = ACTIONS(5470),
    [anon_sym_LT_LT_EQ] = ACTIONS(5470),
    [anon_sym_GT_GT_EQ] = ACTIONS(5470),
    [anon_sym_AMP_EQ] = ACTIONS(5470),
    [anon_sym_CARET_EQ] = ACTIONS(5470),
    [anon_sym_PIPE_EQ] = ACTIONS(5470),
    [anon_sym_and_eq] = ACTIONS(5468),
    [anon_sym_or_eq] = ACTIONS(5468),
    [anon_sym_xor_eq] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5591),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [anon_sym_RPAREN] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5591),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5593),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5591),
    [anon_sym_GT_GT] = ACTIONS(5591),
    [anon_sym_SEMI] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5591),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_RBRACE] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_RBRACK] = ACTIONS(5593),
    [anon_sym_EQ] = ACTIONS(5591),
    [anon_sym_COLON] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_STAR_EQ] = ACTIONS(5593),
    [anon_sym_SLASH_EQ] = ACTIONS(5593),
    [anon_sym_PERCENT_EQ] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(5593),
    [anon_sym_DASH_EQ] = ACTIONS(5593),
    [anon_sym_LT_LT_EQ] = ACTIONS(5593),
    [anon_sym_GT_GT_EQ] = ACTIONS(5593),
    [anon_sym_AMP_EQ] = ACTIONS(5593),
    [anon_sym_CARET_EQ] = ACTIONS(5593),
    [anon_sym_PIPE_EQ] = ACTIONS(5593),
    [anon_sym_and_eq] = ACTIONS(5591),
    [anon_sym_or_eq] = ACTIONS(5591),
    [anon_sym_xor_eq] = ACTIONS(5591),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_bitor] = ACTIONS(5591),
    [anon_sym_xor] = ACTIONS(5591),
    [anon_sym_bitand] = ACTIONS(5591),
    [anon_sym_not_eq] = ACTIONS(5591),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5591),
    [anon_sym_decltype] = ACTIONS(5591),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5589),
    [anon_sym_COMMA] = ACTIONS(5589),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_DASH] = ACTIONS(5587),
    [anon_sym_PLUS] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_SLASH] = ACTIONS(5587),
    [anon_sym_PERCENT] = ACTIONS(5587),
    [anon_sym_PIPE_PIPE] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_PIPE] = ACTIONS(5587),
    [anon_sym_CARET] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym_EQ_EQ] = ACTIONS(5589),
    [anon_sym_BANG_EQ] = ACTIONS(5589),
    [anon_sym_GT] = ACTIONS(5587),
    [anon_sym_GT_EQ] = ACTIONS(5589),
    [anon_sym_LT_EQ] = ACTIONS(5587),
    [anon_sym_LT] = ACTIONS(5587),
    [anon_sym_LT_LT] = ACTIONS(5587),
    [anon_sym_GT_GT] = ACTIONS(5587),
    [anon_sym_SEMI] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym___attribute] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_RBRACE] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_EQ] = ACTIONS(5587),
    [anon_sym_COLON] = ACTIONS(5589),
    [anon_sym_QMARK] = ACTIONS(5589),
    [anon_sym_STAR_EQ] = ACTIONS(5589),
    [anon_sym_SLASH_EQ] = ACTIONS(5589),
    [anon_sym_PERCENT_EQ] = ACTIONS(5589),
    [anon_sym_PLUS_EQ] = ACTIONS(5589),
    [anon_sym_DASH_EQ] = ACTIONS(5589),
    [anon_sym_LT_LT_EQ] = ACTIONS(5589),
    [anon_sym_GT_GT_EQ] = ACTIONS(5589),
    [anon_sym_AMP_EQ] = ACTIONS(5589),
    [anon_sym_CARET_EQ] = ACTIONS(5589),
    [anon_sym_PIPE_EQ] = ACTIONS(5589),
    [anon_sym_and_eq] = ACTIONS(5587),
    [anon_sym_or_eq] = ACTIONS(5587),
    [anon_sym_xor_eq] = ACTIONS(5587),
    [anon_sym_LT_EQ_GT] = ACTIONS(5589),
    [anon_sym_or] = ACTIONS(5587),
    [anon_sym_and] = ACTIONS(5587),
    [anon_sym_bitor] = ACTIONS(5587),
    [anon_sym_xor] = ACTIONS(5587),
    [anon_sym_bitand] = ACTIONS(5587),
    [anon_sym_not_eq] = ACTIONS(5587),
    [anon_sym_DASH_DASH] = ACTIONS(5589),
    [anon_sym_PLUS_PLUS] = ACTIONS(5589),
    [anon_sym_DOT] = ACTIONS(5587),
    [anon_sym_DOT_STAR] = ACTIONS(5589),
    [anon_sym_DASH_GT] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
  },
  [2257] = {
    [sym_template_argument_list] = STATE(2094),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2278),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4115),
    [anon_sym_COMMA] = ACTIONS(4115),
    [aux_sym_preproc_if_token2] = ACTIONS(4115),
    [aux_sym_preproc_else_token1] = ACTIONS(4115),
    [aux_sym_preproc_elif_token1] = ACTIONS(4107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4115),
    [anon_sym_LPAREN2] = ACTIONS(4115),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4107),
    [anon_sym_PERCENT] = ACTIONS(4107),
    [anon_sym_PIPE_PIPE] = ACTIONS(4115),
    [anon_sym_AMP_AMP] = ACTIONS(4115),
    [anon_sym_PIPE] = ACTIONS(4107),
    [anon_sym_CARET] = ACTIONS(4107),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4115),
    [anon_sym_BANG_EQ] = ACTIONS(4115),
    [anon_sym_GT] = ACTIONS(4107),
    [anon_sym_GT_EQ] = ACTIONS(4115),
    [anon_sym_LT_EQ] = ACTIONS(4107),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(4107),
    [anon_sym_GT_GT] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4115),
    [anon_sym_signed] = ACTIONS(5912),
    [anon_sym_unsigned] = ACTIONS(5912),
    [anon_sym_long] = ACTIONS(5912),
    [anon_sym_short] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_QMARK] = ACTIONS(4115),
    [anon_sym_STAR_EQ] = ACTIONS(4115),
    [anon_sym_SLASH_EQ] = ACTIONS(4115),
    [anon_sym_PERCENT_EQ] = ACTIONS(4115),
    [anon_sym_PLUS_EQ] = ACTIONS(4115),
    [anon_sym_DASH_EQ] = ACTIONS(4115),
    [anon_sym_LT_LT_EQ] = ACTIONS(4115),
    [anon_sym_GT_GT_EQ] = ACTIONS(4115),
    [anon_sym_AMP_EQ] = ACTIONS(4115),
    [anon_sym_CARET_EQ] = ACTIONS(4115),
    [anon_sym_PIPE_EQ] = ACTIONS(4115),
    [anon_sym_and_eq] = ACTIONS(4107),
    [anon_sym_or_eq] = ACTIONS(4107),
    [anon_sym_xor_eq] = ACTIONS(4107),
    [anon_sym_LT_EQ_GT] = ACTIONS(4115),
    [anon_sym_or] = ACTIONS(4107),
    [anon_sym_and] = ACTIONS(4107),
    [anon_sym_bitor] = ACTIONS(4107),
    [anon_sym_xor] = ACTIONS(4107),
    [anon_sym_bitand] = ACTIONS(4107),
    [anon_sym_not_eq] = ACTIONS(4107),
    [anon_sym_DASH_DASH] = ACTIONS(4115),
    [anon_sym_PLUS_PLUS] = ACTIONS(4115),
    [anon_sym_DOT] = ACTIONS(4107),
    [anon_sym_DOT_STAR] = ACTIONS(4115),
    [anon_sym_DASH_GT] = ACTIONS(4115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5583),
    [anon_sym_COMMA] = ACTIONS(5583),
    [anon_sym_RPAREN] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_DASH] = ACTIONS(5581),
    [anon_sym_PLUS] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5581),
    [anon_sym_SLASH] = ACTIONS(5581),
    [anon_sym_PERCENT] = ACTIONS(5581),
    [anon_sym_PIPE_PIPE] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_PIPE] = ACTIONS(5581),
    [anon_sym_CARET] = ACTIONS(5581),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym_EQ_EQ] = ACTIONS(5583),
    [anon_sym_BANG_EQ] = ACTIONS(5583),
    [anon_sym_GT] = ACTIONS(5581),
    [anon_sym_GT_EQ] = ACTIONS(5583),
    [anon_sym_LT_EQ] = ACTIONS(5581),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(5581),
    [anon_sym_GT_GT] = ACTIONS(5581),
    [anon_sym_SEMI] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym___attribute] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(5583),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_EQ] = ACTIONS(5581),
    [anon_sym_COLON] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_STAR_EQ] = ACTIONS(5583),
    [anon_sym_SLASH_EQ] = ACTIONS(5583),
    [anon_sym_PERCENT_EQ] = ACTIONS(5583),
    [anon_sym_PLUS_EQ] = ACTIONS(5583),
    [anon_sym_DASH_EQ] = ACTIONS(5583),
    [anon_sym_LT_LT_EQ] = ACTIONS(5583),
    [anon_sym_GT_GT_EQ] = ACTIONS(5583),
    [anon_sym_AMP_EQ] = ACTIONS(5583),
    [anon_sym_CARET_EQ] = ACTIONS(5583),
    [anon_sym_PIPE_EQ] = ACTIONS(5583),
    [anon_sym_and_eq] = ACTIONS(5581),
    [anon_sym_or_eq] = ACTIONS(5581),
    [anon_sym_xor_eq] = ACTIONS(5581),
    [anon_sym_LT_EQ_GT] = ACTIONS(5583),
    [anon_sym_or] = ACTIONS(5581),
    [anon_sym_and] = ACTIONS(5581),
    [anon_sym_bitor] = ACTIONS(5581),
    [anon_sym_xor] = ACTIONS(5581),
    [anon_sym_bitand] = ACTIONS(5581),
    [anon_sym_not_eq] = ACTIONS(5581),
    [anon_sym_DASH_DASH] = ACTIONS(5583),
    [anon_sym_PLUS_PLUS] = ACTIONS(5583),
    [anon_sym_DOT] = ACTIONS(5581),
    [anon_sym_DOT_STAR] = ACTIONS(5583),
    [anon_sym_DASH_GT] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
  },
  [2259] = {
    [sym_string_literal] = STATE(2238),
    [sym_template_argument_list] = STATE(3414),
    [sym_raw_string_literal] = STATE(2238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4117),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(6163),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(4109),
    [anon_sym_SLASH_EQ] = ACTIONS(4109),
    [anon_sym_PERCENT_EQ] = ACTIONS(4109),
    [anon_sym_PLUS_EQ] = ACTIONS(4109),
    [anon_sym_DASH_EQ] = ACTIONS(4109),
    [anon_sym_LT_LT_EQ] = ACTIONS(4109),
    [anon_sym_GT_GT_EQ] = ACTIONS(4117),
    [anon_sym_AMP_EQ] = ACTIONS(4109),
    [anon_sym_CARET_EQ] = ACTIONS(4109),
    [anon_sym_PIPE_EQ] = ACTIONS(4109),
    [anon_sym_and_eq] = ACTIONS(4109),
    [anon_sym_or_eq] = ACTIONS(4109),
    [anon_sym_xor_eq] = ACTIONS(4109),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(6145),
    [anon_sym_u_DQUOTE] = ACTIONS(6145),
    [anon_sym_U_DQUOTE] = ACTIONS(6145),
    [anon_sym_u8_DQUOTE] = ACTIONS(6145),
    [anon_sym_DQUOTE] = ACTIONS(6145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4109),
    [anon_sym_R_DQUOTE] = ACTIONS(6147),
    [anon_sym_LR_DQUOTE] = ACTIONS(6147),
    [anon_sym_uR_DQUOTE] = ACTIONS(6147),
    [anon_sym_UR_DQUOTE] = ACTIONS(6147),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6147),
  },
  [2260] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5774),
    [anon_sym_COMMA] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5776),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5774),
    [anon_sym_AMP_AMP] = ACTIONS(5774),
    [anon_sym_PIPE] = ACTIONS(5776),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5776),
    [anon_sym_EQ_EQ] = ACTIONS(5774),
    [anon_sym_BANG_EQ] = ACTIONS(5774),
    [anon_sym_GT] = ACTIONS(5776),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5776),
    [anon_sym_LT] = ACTIONS(5776),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5776),
    [anon_sym_LBRACE] = ACTIONS(5774),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5774),
    [anon_sym_const] = ACTIONS(5776),
    [anon_sym_constexpr] = ACTIONS(5774),
    [anon_sym_volatile] = ACTIONS(5774),
    [anon_sym_restrict] = ACTIONS(5774),
    [anon_sym___restrict__] = ACTIONS(5774),
    [anon_sym__Atomic] = ACTIONS(5774),
    [anon_sym__Noreturn] = ACTIONS(5774),
    [anon_sym_noreturn] = ACTIONS(5774),
    [anon_sym__Nonnull] = ACTIONS(5774),
    [anon_sym_mutable] = ACTIONS(5774),
    [anon_sym_constinit] = ACTIONS(5774),
    [anon_sym_consteval] = ACTIONS(5774),
    [anon_sym_PROGMEM] = ACTIONS(5774),
    [anon_sym_alignas] = ACTIONS(5774),
    [anon_sym__Alignas] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5774),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5774),
    [anon_sym_PLUS_PLUS] = ACTIONS(5774),
    [anon_sym_DOT] = ACTIONS(5776),
    [anon_sym_DOT_STAR] = ACTIONS(5774),
    [anon_sym_DASH_GT] = ACTIONS(5774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
    [anon_sym_final] = ACTIONS(5774),
    [anon_sym_override] = ACTIONS(5774),
    [anon_sym_GT2] = ACTIONS(5774),
    [anon_sym_requires] = ACTIONS(5774),
  },
  [2261] = {
    [sym_attribute_declaration] = STATE(2226),
    [aux_sym_attributed_declarator_repeat1] = STATE(2226),
    [sym_identifier] = ACTIONS(6166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6168),
    [anon_sym_COMMA] = ACTIONS(6168),
    [anon_sym_RPAREN] = ACTIONS(6168),
    [aux_sym_preproc_if_token2] = ACTIONS(6168),
    [aux_sym_preproc_else_token1] = ACTIONS(6168),
    [aux_sym_preproc_elif_token1] = ACTIONS(6166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(6166),
    [anon_sym_STAR] = ACTIONS(6166),
    [anon_sym_SLASH] = ACTIONS(6166),
    [anon_sym_PERCENT] = ACTIONS(6166),
    [anon_sym_PIPE_PIPE] = ACTIONS(6168),
    [anon_sym_AMP_AMP] = ACTIONS(6168),
    [anon_sym_PIPE] = ACTIONS(6166),
    [anon_sym_CARET] = ACTIONS(6166),
    [anon_sym_AMP] = ACTIONS(6166),
    [anon_sym_EQ_EQ] = ACTIONS(6168),
    [anon_sym_BANG_EQ] = ACTIONS(6168),
    [anon_sym_GT] = ACTIONS(6166),
    [anon_sym_GT_EQ] = ACTIONS(6168),
    [anon_sym_LT_EQ] = ACTIONS(6166),
    [anon_sym_LT] = ACTIONS(6166),
    [anon_sym_LT_LT] = ACTIONS(6166),
    [anon_sym_GT_GT] = ACTIONS(6166),
    [anon_sym_SEMI] = ACTIONS(6168),
    [anon_sym___attribute__] = ACTIONS(6166),
    [anon_sym___attribute] = ACTIONS(6166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(6168),
    [anon_sym_LBRACK] = ACTIONS(6166),
    [anon_sym_RBRACK] = ACTIONS(6168),
    [anon_sym_EQ] = ACTIONS(6166),
    [anon_sym_COLON] = ACTIONS(6168),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_STAR_EQ] = ACTIONS(6168),
    [anon_sym_SLASH_EQ] = ACTIONS(6168),
    [anon_sym_PERCENT_EQ] = ACTIONS(6168),
    [anon_sym_PLUS_EQ] = ACTIONS(6168),
    [anon_sym_DASH_EQ] = ACTIONS(6168),
    [anon_sym_LT_LT_EQ] = ACTIONS(6168),
    [anon_sym_GT_GT_EQ] = ACTIONS(6168),
    [anon_sym_AMP_EQ] = ACTIONS(6168),
    [anon_sym_CARET_EQ] = ACTIONS(6168),
    [anon_sym_PIPE_EQ] = ACTIONS(6168),
    [anon_sym_and_eq] = ACTIONS(6166),
    [anon_sym_or_eq] = ACTIONS(6166),
    [anon_sym_xor_eq] = ACTIONS(6166),
    [anon_sym_LT_EQ_GT] = ACTIONS(6168),
    [anon_sym_or] = ACTIONS(6166),
    [anon_sym_and] = ACTIONS(6166),
    [anon_sym_bitor] = ACTIONS(6166),
    [anon_sym_xor] = ACTIONS(6166),
    [anon_sym_bitand] = ACTIONS(6166),
    [anon_sym_not_eq] = ACTIONS(6166),
    [anon_sym_DASH_DASH] = ACTIONS(6168),
    [anon_sym_PLUS_PLUS] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(6166),
    [anon_sym_DOT_STAR] = ACTIONS(6168),
    [anon_sym_DASH_GT] = ACTIONS(6168),
    [sym_comment] = ACTIONS(3),
  },
  [2262] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym__Nonnull] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [anon_sym_PROGMEM] = ACTIONS(5758),
    [anon_sym_alignas] = ACTIONS(5758),
    [anon_sym__Alignas] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_final] = ACTIONS(5758),
    [anon_sym_override] = ACTIONS(5758),
    [anon_sym_GT2] = ACTIONS(5758),
    [anon_sym_requires] = ACTIONS(5758),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(5569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5571),
    [anon_sym_COMMA] = ACTIONS(5571),
    [anon_sym_RPAREN] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_DASH] = ACTIONS(5569),
    [anon_sym_PLUS] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_SLASH] = ACTIONS(5569),
    [anon_sym_PERCENT] = ACTIONS(5569),
    [anon_sym_PIPE_PIPE] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_PIPE] = ACTIONS(5569),
    [anon_sym_CARET] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_EQ_EQ] = ACTIONS(5571),
    [anon_sym_BANG_EQ] = ACTIONS(5571),
    [anon_sym_GT] = ACTIONS(5569),
    [anon_sym_GT_EQ] = ACTIONS(5571),
    [anon_sym_LT_EQ] = ACTIONS(5569),
    [anon_sym_LT] = ACTIONS(5569),
    [anon_sym_LT_LT] = ACTIONS(5569),
    [anon_sym_GT_GT] = ACTIONS(5569),
    [anon_sym_SEMI] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym___attribute] = ACTIONS(5569),
    [anon_sym_LBRACE] = ACTIONS(5571),
    [anon_sym_RBRACE] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_EQ] = ACTIONS(5569),
    [anon_sym_COLON] = ACTIONS(5571),
    [anon_sym_QMARK] = ACTIONS(5571),
    [anon_sym_STAR_EQ] = ACTIONS(5571),
    [anon_sym_SLASH_EQ] = ACTIONS(5571),
    [anon_sym_PERCENT_EQ] = ACTIONS(5571),
    [anon_sym_PLUS_EQ] = ACTIONS(5571),
    [anon_sym_DASH_EQ] = ACTIONS(5571),
    [anon_sym_LT_LT_EQ] = ACTIONS(5571),
    [anon_sym_GT_GT_EQ] = ACTIONS(5571),
    [anon_sym_AMP_EQ] = ACTIONS(5571),
    [anon_sym_CARET_EQ] = ACTIONS(5571),
    [anon_sym_PIPE_EQ] = ACTIONS(5571),
    [anon_sym_and_eq] = ACTIONS(5569),
    [anon_sym_or_eq] = ACTIONS(5569),
    [anon_sym_xor_eq] = ACTIONS(5569),
    [anon_sym_LT_EQ_GT] = ACTIONS(5571),
    [anon_sym_or] = ACTIONS(5569),
    [anon_sym_and] = ACTIONS(5569),
    [anon_sym_bitor] = ACTIONS(5569),
    [anon_sym_xor] = ACTIONS(5569),
    [anon_sym_bitand] = ACTIONS(5569),
    [anon_sym_not_eq] = ACTIONS(5569),
    [anon_sym_DASH_DASH] = ACTIONS(5571),
    [anon_sym_PLUS_PLUS] = ACTIONS(5571),
    [anon_sym_DOT] = ACTIONS(5569),
    [anon_sym_DOT_STAR] = ACTIONS(5571),
    [anon_sym_DASH_GT] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
  },
  [2264] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6041),
    [anon_sym_COMMA] = ACTIONS(6170),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_RBRACK] = ACTIONS(6172),
    [anon_sym_EQ] = ACTIONS(6051),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5940),
    [anon_sym_or_eq] = ACTIONS(5940),
    [anon_sym_xor_eq] = ACTIONS(5940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_STAR_EQ] = ACTIONS(5516),
    [anon_sym_SLASH_EQ] = ACTIONS(5516),
    [anon_sym_PERCENT_EQ] = ACTIONS(5516),
    [anon_sym_PLUS_EQ] = ACTIONS(5516),
    [anon_sym_DASH_EQ] = ACTIONS(5516),
    [anon_sym_LT_LT_EQ] = ACTIONS(5516),
    [anon_sym_GT_GT_EQ] = ACTIONS(5516),
    [anon_sym_AMP_EQ] = ACTIONS(5516),
    [anon_sym_CARET_EQ] = ACTIONS(5516),
    [anon_sym_PIPE_EQ] = ACTIONS(5516),
    [anon_sym_and_eq] = ACTIONS(5514),
    [anon_sym_or_eq] = ACTIONS(5514),
    [anon_sym_xor_eq] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5567),
    [anon_sym_COMMA] = ACTIONS(5567),
    [anon_sym_RPAREN] = ACTIONS(5567),
    [aux_sym_preproc_if_token2] = ACTIONS(5567),
    [aux_sym_preproc_else_token1] = ACTIONS(5567),
    [aux_sym_preproc_elif_token1] = ACTIONS(5565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5567),
    [anon_sym_DASH] = ACTIONS(5565),
    [anon_sym_PLUS] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_SLASH] = ACTIONS(5565),
    [anon_sym_PERCENT] = ACTIONS(5565),
    [anon_sym_PIPE_PIPE] = ACTIONS(5567),
    [anon_sym_AMP_AMP] = ACTIONS(5567),
    [anon_sym_PIPE] = ACTIONS(5565),
    [anon_sym_CARET] = ACTIONS(5565),
    [anon_sym_AMP] = ACTIONS(5565),
    [anon_sym_EQ_EQ] = ACTIONS(5567),
    [anon_sym_BANG_EQ] = ACTIONS(5567),
    [anon_sym_GT] = ACTIONS(5565),
    [anon_sym_GT_EQ] = ACTIONS(5567),
    [anon_sym_LT_EQ] = ACTIONS(5565),
    [anon_sym_LT] = ACTIONS(5565),
    [anon_sym_LT_LT] = ACTIONS(5565),
    [anon_sym_GT_GT] = ACTIONS(5565),
    [anon_sym_SEMI] = ACTIONS(5567),
    [anon_sym___attribute__] = ACTIONS(5565),
    [anon_sym___attribute] = ACTIONS(5565),
    [anon_sym_LBRACE] = ACTIONS(5567),
    [anon_sym_RBRACE] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5567),
    [anon_sym_EQ] = ACTIONS(5565),
    [anon_sym_COLON] = ACTIONS(5567),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_STAR_EQ] = ACTIONS(5567),
    [anon_sym_SLASH_EQ] = ACTIONS(5567),
    [anon_sym_PERCENT_EQ] = ACTIONS(5567),
    [anon_sym_PLUS_EQ] = ACTIONS(5567),
    [anon_sym_DASH_EQ] = ACTIONS(5567),
    [anon_sym_LT_LT_EQ] = ACTIONS(5567),
    [anon_sym_GT_GT_EQ] = ACTIONS(5567),
    [anon_sym_AMP_EQ] = ACTIONS(5567),
    [anon_sym_CARET_EQ] = ACTIONS(5567),
    [anon_sym_PIPE_EQ] = ACTIONS(5567),
    [anon_sym_and_eq] = ACTIONS(5565),
    [anon_sym_or_eq] = ACTIONS(5565),
    [anon_sym_xor_eq] = ACTIONS(5565),
    [anon_sym_LT_EQ_GT] = ACTIONS(5567),
    [anon_sym_or] = ACTIONS(5565),
    [anon_sym_and] = ACTIONS(5565),
    [anon_sym_bitor] = ACTIONS(5565),
    [anon_sym_xor] = ACTIONS(5565),
    [anon_sym_bitand] = ACTIONS(5565),
    [anon_sym_not_eq] = ACTIONS(5565),
    [anon_sym_DASH_DASH] = ACTIONS(5567),
    [anon_sym_PLUS_PLUS] = ACTIONS(5567),
    [anon_sym_DOT] = ACTIONS(5565),
    [anon_sym_DOT_STAR] = ACTIONS(5567),
    [anon_sym_DASH_GT] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5565),
    [anon_sym_decltype] = ACTIONS(5565),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(5534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5536),
    [anon_sym_COMMA] = ACTIONS(5536),
    [anon_sym_RPAREN] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5534),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_PIPE] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5536),
    [anon_sym_BANG_EQ] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5536),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5534),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym___attribute] = ACTIONS(5534),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_RBRACE] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_RBRACK] = ACTIONS(5536),
    [anon_sym_EQ] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_STAR_EQ] = ACTIONS(5536),
    [anon_sym_SLASH_EQ] = ACTIONS(5536),
    [anon_sym_PERCENT_EQ] = ACTIONS(5536),
    [anon_sym_PLUS_EQ] = ACTIONS(5536),
    [anon_sym_DASH_EQ] = ACTIONS(5536),
    [anon_sym_LT_LT_EQ] = ACTIONS(5536),
    [anon_sym_GT_GT_EQ] = ACTIONS(5536),
    [anon_sym_AMP_EQ] = ACTIONS(5536),
    [anon_sym_CARET_EQ] = ACTIONS(5536),
    [anon_sym_PIPE_EQ] = ACTIONS(5536),
    [anon_sym_and_eq] = ACTIONS(5534),
    [anon_sym_or_eq] = ACTIONS(5534),
    [anon_sym_xor_eq] = ACTIONS(5534),
    [anon_sym_LT_EQ_GT] = ACTIONS(5536),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_bitor] = ACTIONS(5534),
    [anon_sym_xor] = ACTIONS(5534),
    [anon_sym_bitand] = ACTIONS(5534),
    [anon_sym_not_eq] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5536),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_DOT_STAR] = ACTIONS(5536),
    [anon_sym_DASH_GT] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___attribute] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_STAR_EQ] = ACTIONS(5516),
    [anon_sym_SLASH_EQ] = ACTIONS(5516),
    [anon_sym_PERCENT_EQ] = ACTIONS(5516),
    [anon_sym_PLUS_EQ] = ACTIONS(5516),
    [anon_sym_DASH_EQ] = ACTIONS(5516),
    [anon_sym_LT_LT_EQ] = ACTIONS(5516),
    [anon_sym_GT_GT_EQ] = ACTIONS(5516),
    [anon_sym_AMP_EQ] = ACTIONS(5516),
    [anon_sym_CARET_EQ] = ACTIONS(5516),
    [anon_sym_PIPE_EQ] = ACTIONS(5516),
    [anon_sym_and_eq] = ACTIONS(5514),
    [anon_sym_or_eq] = ACTIONS(5514),
    [anon_sym_xor_eq] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
  },
  [2269] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(3668),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4109),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4117),
    [anon_sym_PLUS] = ACTIONS(4117),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_SLASH] = ACTIONS(4117),
    [anon_sym_PERCENT] = ACTIONS(4117),
    [anon_sym_PIPE_PIPE] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_PIPE] = ACTIONS(4117),
    [anon_sym_CARET] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_EQ_EQ] = ACTIONS(4109),
    [anon_sym_BANG_EQ] = ACTIONS(4109),
    [anon_sym_GT] = ACTIONS(4117),
    [anon_sym_GT_EQ] = ACTIONS(4109),
    [anon_sym_LT_EQ] = ACTIONS(4117),
    [anon_sym_LT] = ACTIONS(4979),
    [anon_sym_LT_LT] = ACTIONS(4117),
    [anon_sym_GT_GT] = ACTIONS(4117),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_LBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(6175),
    [anon_sym_COLON] = ACTIONS(4117),
    [anon_sym_QMARK] = ACTIONS(4109),
    [anon_sym_STAR_EQ] = ACTIONS(6177),
    [anon_sym_SLASH_EQ] = ACTIONS(6177),
    [anon_sym_PERCENT_EQ] = ACTIONS(6177),
    [anon_sym_PLUS_EQ] = ACTIONS(6177),
    [anon_sym_DASH_EQ] = ACTIONS(6177),
    [anon_sym_LT_LT_EQ] = ACTIONS(6177),
    [anon_sym_GT_GT_EQ] = ACTIONS(6177),
    [anon_sym_AMP_EQ] = ACTIONS(6177),
    [anon_sym_CARET_EQ] = ACTIONS(6177),
    [anon_sym_PIPE_EQ] = ACTIONS(6177),
    [anon_sym_and_eq] = ACTIONS(6177),
    [anon_sym_or_eq] = ACTIONS(6177),
    [anon_sym_xor_eq] = ACTIONS(6177),
    [anon_sym_LT_EQ_GT] = ACTIONS(4109),
    [anon_sym_or] = ACTIONS(4117),
    [anon_sym_and] = ACTIONS(4117),
    [anon_sym_bitor] = ACTIONS(4109),
    [anon_sym_xor] = ACTIONS(4117),
    [anon_sym_bitand] = ACTIONS(4109),
    [anon_sym_not_eq] = ACTIONS(4109),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_DOT] = ACTIONS(4117),
    [anon_sym_DOT_STAR] = ACTIONS(4109),
    [anon_sym_DASH_GT] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(3477),
    [anon_sym_u_DQUOTE] = ACTIONS(3477),
    [anon_sym_U_DQUOTE] = ACTIONS(3477),
    [anon_sym_u8_DQUOTE] = ACTIONS(3477),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3481),
    [anon_sym_LR_DQUOTE] = ACTIONS(3481),
    [anon_sym_uR_DQUOTE] = ACTIONS(3481),
    [anon_sym_UR_DQUOTE] = ACTIONS(3481),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3481),
  },
  [2270] = {
    [sym_string_literal] = STATE(2270),
    [sym_raw_string_literal] = STATE(2270),
    [aux_sym_concatenated_string_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(6179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5386),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5384),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5386),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_and_eq] = ACTIONS(5386),
    [anon_sym_or_eq] = ACTIONS(5386),
    [anon_sym_xor_eq] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5384),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5384),
    [anon_sym_PLUS_PLUS] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_DOT_STAR] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5384),
    [anon_sym_L_DQUOTE] = ACTIONS(6182),
    [anon_sym_u_DQUOTE] = ACTIONS(6182),
    [anon_sym_U_DQUOTE] = ACTIONS(6182),
    [anon_sym_u8_DQUOTE] = ACTIONS(6182),
    [anon_sym_DQUOTE] = ACTIONS(6182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5384),
    [anon_sym_R_DQUOTE] = ACTIONS(6185),
    [anon_sym_LR_DQUOTE] = ACTIONS(6185),
    [anon_sym_uR_DQUOTE] = ACTIONS(6185),
    [anon_sym_UR_DQUOTE] = ACTIONS(6185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6185),
    [sym_literal_suffix] = ACTIONS(5386),
  },
  [2271] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5786),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5786),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5786),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5786),
    [anon_sym_GT_EQ] = ACTIONS(5786),
    [anon_sym_LT_EQ] = ACTIONS(5786),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym___extension__] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5786),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_signed] = ACTIONS(6188),
    [anon_sym_unsigned] = ACTIONS(6188),
    [anon_sym_long] = ACTIONS(6188),
    [anon_sym_short] = ACTIONS(6188),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_const] = ACTIONS(5786),
    [anon_sym_constexpr] = ACTIONS(5784),
    [anon_sym_volatile] = ACTIONS(5784),
    [anon_sym_restrict] = ACTIONS(5784),
    [anon_sym___restrict__] = ACTIONS(5784),
    [anon_sym__Atomic] = ACTIONS(5784),
    [anon_sym__Noreturn] = ACTIONS(5784),
    [anon_sym_noreturn] = ACTIONS(5784),
    [anon_sym__Nonnull] = ACTIONS(5784),
    [anon_sym_mutable] = ACTIONS(5784),
    [anon_sym_constinit] = ACTIONS(5784),
    [anon_sym_consteval] = ACTIONS(5784),
    [anon_sym_PROGMEM] = ACTIONS(5784),
    [anon_sym_alignas] = ACTIONS(5784),
    [anon_sym__Alignas] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5784),
    [anon_sym_and] = ACTIONS(5784),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5784),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
    [anon_sym_final] = ACTIONS(5784),
    [anon_sym_override] = ACTIONS(5784),
    [anon_sym_GT2] = ACTIONS(5784),
    [anon_sym_requires] = ACTIONS(5784),
  },
  [2272] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5754),
    [anon_sym_COMMA] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5756),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5754),
    [anon_sym_AMP_AMP] = ACTIONS(5754),
    [anon_sym_PIPE] = ACTIONS(5756),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym_EQ_EQ] = ACTIONS(5754),
    [anon_sym_BANG_EQ] = ACTIONS(5754),
    [anon_sym_GT] = ACTIONS(5756),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5756),
    [anon_sym_LT] = ACTIONS(5756),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5756),
    [anon_sym_LBRACE] = ACTIONS(5754),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5754),
    [anon_sym_const] = ACTIONS(5756),
    [anon_sym_constexpr] = ACTIONS(5754),
    [anon_sym_volatile] = ACTIONS(5754),
    [anon_sym_restrict] = ACTIONS(5754),
    [anon_sym___restrict__] = ACTIONS(5754),
    [anon_sym__Atomic] = ACTIONS(5754),
    [anon_sym__Noreturn] = ACTIONS(5754),
    [anon_sym_noreturn] = ACTIONS(5754),
    [anon_sym__Nonnull] = ACTIONS(5754),
    [anon_sym_mutable] = ACTIONS(5754),
    [anon_sym_constinit] = ACTIONS(5754),
    [anon_sym_consteval] = ACTIONS(5754),
    [anon_sym_PROGMEM] = ACTIONS(5754),
    [anon_sym_alignas] = ACTIONS(5754),
    [anon_sym__Alignas] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5754),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5754),
    [anon_sym_PLUS_PLUS] = ACTIONS(5754),
    [anon_sym_DOT] = ACTIONS(5756),
    [anon_sym_DOT_STAR] = ACTIONS(5754),
    [anon_sym_DASH_GT] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
    [anon_sym_final] = ACTIONS(5754),
    [anon_sym_override] = ACTIONS(5754),
    [anon_sym_GT2] = ACTIONS(5754),
    [anon_sym_requires] = ACTIONS(5754),
  },
  [2273] = {
    [sym_attribute_specifier] = STATE(1804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_RPAREN] = ACTIONS(6023),
    [anon_sym_LPAREN2] = ACTIONS(6023),
    [anon_sym_DASH] = ACTIONS(6021),
    [anon_sym_PLUS] = ACTIONS(6021),
    [anon_sym_STAR] = ACTIONS(6023),
    [anon_sym_SLASH] = ACTIONS(6021),
    [anon_sym_PERCENT] = ACTIONS(6023),
    [anon_sym_PIPE_PIPE] = ACTIONS(6023),
    [anon_sym_AMP_AMP] = ACTIONS(6023),
    [anon_sym_PIPE] = ACTIONS(6021),
    [anon_sym_CARET] = ACTIONS(6023),
    [anon_sym_AMP] = ACTIONS(6021),
    [anon_sym_EQ_EQ] = ACTIONS(6023),
    [anon_sym_BANG_EQ] = ACTIONS(6023),
    [anon_sym_GT] = ACTIONS(6021),
    [anon_sym_GT_EQ] = ACTIONS(6023),
    [anon_sym_LT_EQ] = ACTIONS(6021),
    [anon_sym_LT] = ACTIONS(6021),
    [anon_sym_LT_LT] = ACTIONS(6023),
    [anon_sym_GT_GT] = ACTIONS(6023),
    [anon_sym_SEMI] = ACTIONS(6023),
    [anon_sym___extension__] = ACTIONS(6023),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(6023),
    [anon_sym_RBRACE] = ACTIONS(6023),
    [anon_sym_LBRACK] = ACTIONS(6023),
    [anon_sym_RBRACK] = ACTIONS(6023),
    [anon_sym_const] = ACTIONS(6021),
    [anon_sym_constexpr] = ACTIONS(6023),
    [anon_sym_volatile] = ACTIONS(6023),
    [anon_sym_restrict] = ACTIONS(6023),
    [anon_sym___restrict__] = ACTIONS(6023),
    [anon_sym__Atomic] = ACTIONS(6023),
    [anon_sym__Noreturn] = ACTIONS(6023),
    [anon_sym_noreturn] = ACTIONS(6023),
    [anon_sym__Nonnull] = ACTIONS(6023),
    [anon_sym_mutable] = ACTIONS(6023),
    [anon_sym_constinit] = ACTIONS(6023),
    [anon_sym_consteval] = ACTIONS(6023),
    [anon_sym_PROGMEM] = ACTIONS(6023),
    [anon_sym_alignas] = ACTIONS(6023),
    [anon_sym__Alignas] = ACTIONS(6023),
    [anon_sym_COLON] = ACTIONS(6023),
    [anon_sym_QMARK] = ACTIONS(6023),
    [anon_sym_LT_EQ_GT] = ACTIONS(6023),
    [anon_sym_or] = ACTIONS(6023),
    [anon_sym_and] = ACTIONS(6023),
    [anon_sym_bitor] = ACTIONS(6023),
    [anon_sym_xor] = ACTIONS(6023),
    [anon_sym_bitand] = ACTIONS(6023),
    [anon_sym_not_eq] = ACTIONS(6023),
    [anon_sym_DASH_DASH] = ACTIONS(6023),
    [anon_sym_PLUS_PLUS] = ACTIONS(6023),
    [anon_sym_DOT] = ACTIONS(6021),
    [anon_sym_DOT_STAR] = ACTIONS(6023),
    [anon_sym_DASH_GT] = ACTIONS(6023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6023),
    [anon_sym_decltype] = ACTIONS(6023),
    [anon_sym_final] = ACTIONS(6023),
    [anon_sym_override] = ACTIONS(6023),
    [anon_sym_requires] = ACTIONS(6023),
  },
  [2274] = {
    [sym_attribute_specifier] = STATE(1813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_RPAREN] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6019),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6019),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6019),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6019),
    [anon_sym_GT_GT] = ACTIONS(6019),
    [anon_sym_SEMI] = ACTIONS(6019),
    [anon_sym___extension__] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_RBRACE] = ACTIONS(6019),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_RBRACK] = ACTIONS(6019),
    [anon_sym_const] = ACTIONS(6017),
    [anon_sym_constexpr] = ACTIONS(6019),
    [anon_sym_volatile] = ACTIONS(6019),
    [anon_sym_restrict] = ACTIONS(6019),
    [anon_sym___restrict__] = ACTIONS(6019),
    [anon_sym__Atomic] = ACTIONS(6019),
    [anon_sym__Noreturn] = ACTIONS(6019),
    [anon_sym_noreturn] = ACTIONS(6019),
    [anon_sym__Nonnull] = ACTIONS(6019),
    [anon_sym_mutable] = ACTIONS(6019),
    [anon_sym_constinit] = ACTIONS(6019),
    [anon_sym_consteval] = ACTIONS(6019),
    [anon_sym_PROGMEM] = ACTIONS(6019),
    [anon_sym_alignas] = ACTIONS(6019),
    [anon_sym__Alignas] = ACTIONS(6019),
    [anon_sym_COLON] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6019),
    [anon_sym_and] = ACTIONS(6019),
    [anon_sym_bitor] = ACTIONS(6019),
    [anon_sym_xor] = ACTIONS(6019),
    [anon_sym_bitand] = ACTIONS(6019),
    [anon_sym_not_eq] = ACTIONS(6019),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6019),
    [anon_sym_decltype] = ACTIONS(6019),
    [anon_sym_final] = ACTIONS(6019),
    [anon_sym_override] = ACTIONS(6019),
    [anon_sym_requires] = ACTIONS(6019),
  },
  [2275] = {
    [sym_attribute_specifier] = STATE(1822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6006),
    [anon_sym_COMMA] = ACTIONS(6006),
    [anon_sym_RPAREN] = ACTIONS(6006),
    [anon_sym_LPAREN2] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6004),
    [anon_sym_PLUS] = ACTIONS(6004),
    [anon_sym_STAR] = ACTIONS(6006),
    [anon_sym_SLASH] = ACTIONS(6004),
    [anon_sym_PERCENT] = ACTIONS(6006),
    [anon_sym_PIPE_PIPE] = ACTIONS(6006),
    [anon_sym_AMP_AMP] = ACTIONS(6006),
    [anon_sym_PIPE] = ACTIONS(6004),
    [anon_sym_CARET] = ACTIONS(6006),
    [anon_sym_AMP] = ACTIONS(6004),
    [anon_sym_EQ_EQ] = ACTIONS(6006),
    [anon_sym_BANG_EQ] = ACTIONS(6006),
    [anon_sym_GT] = ACTIONS(6004),
    [anon_sym_GT_EQ] = ACTIONS(6006),
    [anon_sym_LT_EQ] = ACTIONS(6004),
    [anon_sym_LT] = ACTIONS(6004),
    [anon_sym_LT_LT] = ACTIONS(6006),
    [anon_sym_GT_GT] = ACTIONS(6006),
    [anon_sym_SEMI] = ACTIONS(6006),
    [anon_sym___extension__] = ACTIONS(6006),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(6006),
    [anon_sym_RBRACE] = ACTIONS(6006),
    [anon_sym_LBRACK] = ACTIONS(6006),
    [anon_sym_RBRACK] = ACTIONS(6006),
    [anon_sym_const] = ACTIONS(6004),
    [anon_sym_constexpr] = ACTIONS(6006),
    [anon_sym_volatile] = ACTIONS(6006),
    [anon_sym_restrict] = ACTIONS(6006),
    [anon_sym___restrict__] = ACTIONS(6006),
    [anon_sym__Atomic] = ACTIONS(6006),
    [anon_sym__Noreturn] = ACTIONS(6006),
    [anon_sym_noreturn] = ACTIONS(6006),
    [anon_sym__Nonnull] = ACTIONS(6006),
    [anon_sym_mutable] = ACTIONS(6006),
    [anon_sym_constinit] = ACTIONS(6006),
    [anon_sym_consteval] = ACTIONS(6006),
    [anon_sym_PROGMEM] = ACTIONS(6006),
    [anon_sym_alignas] = ACTIONS(6006),
    [anon_sym__Alignas] = ACTIONS(6006),
    [anon_sym_COLON] = ACTIONS(6006),
    [anon_sym_QMARK] = ACTIONS(6006),
    [anon_sym_LT_EQ_GT] = ACTIONS(6006),
    [anon_sym_or] = ACTIONS(6006),
    [anon_sym_and] = ACTIONS(6006),
    [anon_sym_bitor] = ACTIONS(6006),
    [anon_sym_xor] = ACTIONS(6006),
    [anon_sym_bitand] = ACTIONS(6006),
    [anon_sym_not_eq] = ACTIONS(6006),
    [anon_sym_DASH_DASH] = ACTIONS(6006),
    [anon_sym_PLUS_PLUS] = ACTIONS(6006),
    [anon_sym_DOT] = ACTIONS(6004),
    [anon_sym_DOT_STAR] = ACTIONS(6006),
    [anon_sym_DASH_GT] = ACTIONS(6006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6006),
    [anon_sym_decltype] = ACTIONS(6006),
    [anon_sym_final] = ACTIONS(6006),
    [anon_sym_override] = ACTIONS(6006),
    [anon_sym_requires] = ACTIONS(6006),
  },
  [2276] = {
    [sym_attribute_specifier] = STATE(1831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6002),
    [anon_sym_COMMA] = ACTIONS(6002),
    [anon_sym_RPAREN] = ACTIONS(6002),
    [anon_sym_LPAREN2] = ACTIONS(6002),
    [anon_sym_DASH] = ACTIONS(6000),
    [anon_sym_PLUS] = ACTIONS(6000),
    [anon_sym_STAR] = ACTIONS(6002),
    [anon_sym_SLASH] = ACTIONS(6000),
    [anon_sym_PERCENT] = ACTIONS(6002),
    [anon_sym_PIPE_PIPE] = ACTIONS(6002),
    [anon_sym_AMP_AMP] = ACTIONS(6002),
    [anon_sym_PIPE] = ACTIONS(6000),
    [anon_sym_CARET] = ACTIONS(6002),
    [anon_sym_AMP] = ACTIONS(6000),
    [anon_sym_EQ_EQ] = ACTIONS(6002),
    [anon_sym_BANG_EQ] = ACTIONS(6002),
    [anon_sym_GT] = ACTIONS(6000),
    [anon_sym_GT_EQ] = ACTIONS(6002),
    [anon_sym_LT_EQ] = ACTIONS(6000),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_LT_LT] = ACTIONS(6002),
    [anon_sym_GT_GT] = ACTIONS(6002),
    [anon_sym_SEMI] = ACTIONS(6002),
    [anon_sym___extension__] = ACTIONS(6002),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(6002),
    [anon_sym_RBRACE] = ACTIONS(6002),
    [anon_sym_LBRACK] = ACTIONS(6002),
    [anon_sym_RBRACK] = ACTIONS(6002),
    [anon_sym_const] = ACTIONS(6000),
    [anon_sym_constexpr] = ACTIONS(6002),
    [anon_sym_volatile] = ACTIONS(6002),
    [anon_sym_restrict] = ACTIONS(6002),
    [anon_sym___restrict__] = ACTIONS(6002),
    [anon_sym__Atomic] = ACTIONS(6002),
    [anon_sym__Noreturn] = ACTIONS(6002),
    [anon_sym_noreturn] = ACTIONS(6002),
    [anon_sym__Nonnull] = ACTIONS(6002),
    [anon_sym_mutable] = ACTIONS(6002),
    [anon_sym_constinit] = ACTIONS(6002),
    [anon_sym_consteval] = ACTIONS(6002),
    [anon_sym_PROGMEM] = ACTIONS(6002),
    [anon_sym_alignas] = ACTIONS(6002),
    [anon_sym__Alignas] = ACTIONS(6002),
    [anon_sym_COLON] = ACTIONS(6002),
    [anon_sym_QMARK] = ACTIONS(6002),
    [anon_sym_LT_EQ_GT] = ACTIONS(6002),
    [anon_sym_or] = ACTIONS(6002),
    [anon_sym_and] = ACTIONS(6002),
    [anon_sym_bitor] = ACTIONS(6002),
    [anon_sym_xor] = ACTIONS(6002),
    [anon_sym_bitand] = ACTIONS(6002),
    [anon_sym_not_eq] = ACTIONS(6002),
    [anon_sym_DASH_DASH] = ACTIONS(6002),
    [anon_sym_PLUS_PLUS] = ACTIONS(6002),
    [anon_sym_DOT] = ACTIONS(6000),
    [anon_sym_DOT_STAR] = ACTIONS(6002),
    [anon_sym_DASH_GT] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6002),
    [anon_sym_decltype] = ACTIONS(6002),
    [anon_sym_final] = ACTIONS(6002),
    [anon_sym_override] = ACTIONS(6002),
    [anon_sym_requires] = ACTIONS(6002),
  },
  [2277] = {
    [sym_identifier] = ACTIONS(5595),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5597),
    [anon_sym_COMMA] = ACTIONS(5597),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [aux_sym_preproc_if_token2] = ACTIONS(5597),
    [aux_sym_preproc_else_token1] = ACTIONS(5597),
    [aux_sym_preproc_elif_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_DASH] = ACTIONS(5595),
    [anon_sym_PLUS] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_SLASH] = ACTIONS(5595),
    [anon_sym_PERCENT] = ACTIONS(5595),
    [anon_sym_PIPE_PIPE] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_PIPE] = ACTIONS(5595),
    [anon_sym_CARET] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym_EQ_EQ] = ACTIONS(5597),
    [anon_sym_BANG_EQ] = ACTIONS(5597),
    [anon_sym_GT] = ACTIONS(5595),
    [anon_sym_GT_EQ] = ACTIONS(5597),
    [anon_sym_LT_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(5595),
    [anon_sym_LT_LT] = ACTIONS(5595),
    [anon_sym_GT_GT] = ACTIONS(5595),
    [anon_sym_SEMI] = ACTIONS(5597),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym___attribute] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5597),
    [anon_sym_RBRACE] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_COLON] = ACTIONS(5597),
    [anon_sym_QMARK] = ACTIONS(5597),
    [anon_sym_STAR_EQ] = ACTIONS(5597),
    [anon_sym_SLASH_EQ] = ACTIONS(5597),
    [anon_sym_PERCENT_EQ] = ACTIONS(5597),
    [anon_sym_PLUS_EQ] = ACTIONS(5597),
    [anon_sym_DASH_EQ] = ACTIONS(5597),
    [anon_sym_LT_LT_EQ] = ACTIONS(5597),
    [anon_sym_GT_GT_EQ] = ACTIONS(5597),
    [anon_sym_AMP_EQ] = ACTIONS(5597),
    [anon_sym_CARET_EQ] = ACTIONS(5597),
    [anon_sym_PIPE_EQ] = ACTIONS(5597),
    [anon_sym_and_eq] = ACTIONS(5595),
    [anon_sym_or_eq] = ACTIONS(5595),
    [anon_sym_xor_eq] = ACTIONS(5595),
    [anon_sym_LT_EQ_GT] = ACTIONS(5597),
    [anon_sym_or] = ACTIONS(5595),
    [anon_sym_and] = ACTIONS(5595),
    [anon_sym_bitor] = ACTIONS(5595),
    [anon_sym_xor] = ACTIONS(5595),
    [anon_sym_bitand] = ACTIONS(5595),
    [anon_sym_not_eq] = ACTIONS(5595),
    [anon_sym_DASH_DASH] = ACTIONS(5597),
    [anon_sym_PLUS_PLUS] = ACTIONS(5597),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_DOT_STAR] = ACTIONS(5597),
    [anon_sym_DASH_GT] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
  },
  [2278] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5754),
    [anon_sym_COMMA] = ACTIONS(5754),
    [aux_sym_preproc_if_token2] = ACTIONS(5754),
    [aux_sym_preproc_else_token1] = ACTIONS(5754),
    [aux_sym_preproc_elif_token1] = ACTIONS(5756),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5756),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5754),
    [anon_sym_AMP_AMP] = ACTIONS(5754),
    [anon_sym_PIPE] = ACTIONS(5756),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym_EQ_EQ] = ACTIONS(5754),
    [anon_sym_BANG_EQ] = ACTIONS(5754),
    [anon_sym_GT] = ACTIONS(5756),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5756),
    [anon_sym_LT] = ACTIONS(5756),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5756),
    [anon_sym___attribute] = ACTIONS(5756),
    [anon_sym_LBRACE] = ACTIONS(5754),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5754),
    [anon_sym_EQ] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5754),
    [anon_sym_STAR_EQ] = ACTIONS(5754),
    [anon_sym_SLASH_EQ] = ACTIONS(5754),
    [anon_sym_PERCENT_EQ] = ACTIONS(5754),
    [anon_sym_PLUS_EQ] = ACTIONS(5754),
    [anon_sym_DASH_EQ] = ACTIONS(5754),
    [anon_sym_LT_LT_EQ] = ACTIONS(5754),
    [anon_sym_GT_GT_EQ] = ACTIONS(5754),
    [anon_sym_AMP_EQ] = ACTIONS(5754),
    [anon_sym_CARET_EQ] = ACTIONS(5754),
    [anon_sym_PIPE_EQ] = ACTIONS(5754),
    [anon_sym_and_eq] = ACTIONS(5756),
    [anon_sym_or_eq] = ACTIONS(5756),
    [anon_sym_xor_eq] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5754),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5756),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5756),
    [anon_sym_not_eq] = ACTIONS(5756),
    [anon_sym_DASH_DASH] = ACTIONS(5754),
    [anon_sym_PLUS_PLUS] = ACTIONS(5754),
    [anon_sym_DOT] = ACTIONS(5756),
    [anon_sym_DOT_STAR] = ACTIONS(5754),
    [anon_sym_DASH_GT] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5756),
    [anon_sym_decltype] = ACTIONS(5756),
  },
  [2279] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_else_token1] = ACTIONS(5758),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_STAR_EQ] = ACTIONS(5758),
    [anon_sym_SLASH_EQ] = ACTIONS(5758),
    [anon_sym_PERCENT_EQ] = ACTIONS(5758),
    [anon_sym_PLUS_EQ] = ACTIONS(5758),
    [anon_sym_DASH_EQ] = ACTIONS(5758),
    [anon_sym_LT_LT_EQ] = ACTIONS(5758),
    [anon_sym_GT_GT_EQ] = ACTIONS(5758),
    [anon_sym_AMP_EQ] = ACTIONS(5758),
    [anon_sym_CARET_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_and_eq] = ACTIONS(5760),
    [anon_sym_or_eq] = ACTIONS(5760),
    [anon_sym_xor_eq] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
  },
  [2280] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5790),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5790),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5790),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5792),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5790),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___extension__] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6190),
    [anon_sym_unsigned] = ACTIONS(6190),
    [anon_sym_long] = ACTIONS(6190),
    [anon_sym_short] = ACTIONS(6190),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_const] = ACTIONS(5792),
    [anon_sym_constexpr] = ACTIONS(5790),
    [anon_sym_volatile] = ACTIONS(5790),
    [anon_sym_restrict] = ACTIONS(5790),
    [anon_sym___restrict__] = ACTIONS(5790),
    [anon_sym__Atomic] = ACTIONS(5790),
    [anon_sym__Noreturn] = ACTIONS(5790),
    [anon_sym_noreturn] = ACTIONS(5790),
    [anon_sym__Nonnull] = ACTIONS(5790),
    [anon_sym_mutable] = ACTIONS(5790),
    [anon_sym_constinit] = ACTIONS(5790),
    [anon_sym_consteval] = ACTIONS(5790),
    [anon_sym_PROGMEM] = ACTIONS(5790),
    [anon_sym_alignas] = ACTIONS(5790),
    [anon_sym__Alignas] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5790),
    [anon_sym_and] = ACTIONS(5790),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5790),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
    [anon_sym_final] = ACTIONS(5790),
    [anon_sym_override] = ACTIONS(5790),
    [anon_sym_GT2] = ACTIONS(5790),
    [anon_sym_requires] = ACTIONS(5790),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5563),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5561),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5561),
    [anon_sym_GT_GT] = ACTIONS(5561),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym___attribute] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(5563),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5563),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_STAR_EQ] = ACTIONS(5563),
    [anon_sym_SLASH_EQ] = ACTIONS(5563),
    [anon_sym_PERCENT_EQ] = ACTIONS(5563),
    [anon_sym_PLUS_EQ] = ACTIONS(5563),
    [anon_sym_DASH_EQ] = ACTIONS(5563),
    [anon_sym_LT_LT_EQ] = ACTIONS(5563),
    [anon_sym_GT_GT_EQ] = ACTIONS(5563),
    [anon_sym_AMP_EQ] = ACTIONS(5563),
    [anon_sym_CARET_EQ] = ACTIONS(5563),
    [anon_sym_PIPE_EQ] = ACTIONS(5563),
    [anon_sym_and_eq] = ACTIONS(5561),
    [anon_sym_or_eq] = ACTIONS(5561),
    [anon_sym_xor_eq] = ACTIONS(5561),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5561),
    [anon_sym_decltype] = ACTIONS(5561),
  },
  [2282] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5800),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5800),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5802),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5800),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___extension__] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5800),
    [anon_sym_volatile] = ACTIONS(5800),
    [anon_sym_restrict] = ACTIONS(5800),
    [anon_sym___restrict__] = ACTIONS(5800),
    [anon_sym__Atomic] = ACTIONS(5800),
    [anon_sym__Noreturn] = ACTIONS(5800),
    [anon_sym_noreturn] = ACTIONS(5800),
    [anon_sym__Nonnull] = ACTIONS(5800),
    [anon_sym_mutable] = ACTIONS(5800),
    [anon_sym_constinit] = ACTIONS(5800),
    [anon_sym_consteval] = ACTIONS(5800),
    [anon_sym_PROGMEM] = ACTIONS(5800),
    [anon_sym_alignas] = ACTIONS(5800),
    [anon_sym__Alignas] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5800),
    [anon_sym_and] = ACTIONS(5800),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5800),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
    [anon_sym_final] = ACTIONS(5800),
    [anon_sym_override] = ACTIONS(5800),
    [anon_sym_GT2] = ACTIONS(5800),
    [anon_sym_requires] = ACTIONS(5800),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(5603),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5605),
    [anon_sym_COMMA] = ACTIONS(5605),
    [anon_sym_RPAREN] = ACTIONS(5605),
    [aux_sym_preproc_if_token2] = ACTIONS(5605),
    [aux_sym_preproc_else_token1] = ACTIONS(5605),
    [aux_sym_preproc_elif_token1] = ACTIONS(5603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5605),
    [anon_sym_LPAREN2] = ACTIONS(5605),
    [anon_sym_DASH] = ACTIONS(5603),
    [anon_sym_PLUS] = ACTIONS(5603),
    [anon_sym_STAR] = ACTIONS(5603),
    [anon_sym_SLASH] = ACTIONS(5603),
    [anon_sym_PERCENT] = ACTIONS(5603),
    [anon_sym_PIPE_PIPE] = ACTIONS(5605),
    [anon_sym_AMP_AMP] = ACTIONS(5605),
    [anon_sym_PIPE] = ACTIONS(5603),
    [anon_sym_CARET] = ACTIONS(5603),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_EQ_EQ] = ACTIONS(5605),
    [anon_sym_BANG_EQ] = ACTIONS(5605),
    [anon_sym_GT] = ACTIONS(5603),
    [anon_sym_GT_EQ] = ACTIONS(5605),
    [anon_sym_LT_EQ] = ACTIONS(5603),
    [anon_sym_LT] = ACTIONS(5603),
    [anon_sym_LT_LT] = ACTIONS(5603),
    [anon_sym_GT_GT] = ACTIONS(5603),
    [anon_sym_SEMI] = ACTIONS(5605),
    [anon_sym___attribute__] = ACTIONS(5603),
    [anon_sym___attribute] = ACTIONS(5603),
    [anon_sym_LBRACE] = ACTIONS(5605),
    [anon_sym_RBRACE] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_EQ] = ACTIONS(5603),
    [anon_sym_COLON] = ACTIONS(5605),
    [anon_sym_QMARK] = ACTIONS(5605),
    [anon_sym_STAR_EQ] = ACTIONS(5605),
    [anon_sym_SLASH_EQ] = ACTIONS(5605),
    [anon_sym_PERCENT_EQ] = ACTIONS(5605),
    [anon_sym_PLUS_EQ] = ACTIONS(5605),
    [anon_sym_DASH_EQ] = ACTIONS(5605),
    [anon_sym_LT_LT_EQ] = ACTIONS(5605),
    [anon_sym_GT_GT_EQ] = ACTIONS(5605),
    [anon_sym_AMP_EQ] = ACTIONS(5605),
    [anon_sym_CARET_EQ] = ACTIONS(5605),
    [anon_sym_PIPE_EQ] = ACTIONS(5605),
    [anon_sym_and_eq] = ACTIONS(5603),
    [anon_sym_or_eq] = ACTIONS(5603),
    [anon_sym_xor_eq] = ACTIONS(5603),
    [anon_sym_LT_EQ_GT] = ACTIONS(5605),
    [anon_sym_or] = ACTIONS(5603),
    [anon_sym_and] = ACTIONS(5603),
    [anon_sym_bitor] = ACTIONS(5603),
    [anon_sym_xor] = ACTIONS(5603),
    [anon_sym_bitand] = ACTIONS(5603),
    [anon_sym_not_eq] = ACTIONS(5603),
    [anon_sym_DASH_DASH] = ACTIONS(5605),
    [anon_sym_PLUS_PLUS] = ACTIONS(5605),
    [anon_sym_DOT] = ACTIONS(5603),
    [anon_sym_DOT_STAR] = ACTIONS(5605),
    [anon_sym_DASH_GT] = ACTIONS(5605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5603),
    [anon_sym_decltype] = ACTIONS(5603),
  },
  [2284] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2287),
    [sym_identifier] = ACTIONS(5732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [aux_sym_preproc_if_token2] = ACTIONS(5730),
    [aux_sym_preproc_else_token1] = ACTIONS(5730),
    [aux_sym_preproc_elif_token1] = ACTIONS(5732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5730),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5732),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5732),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5732),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5730),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5732),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym___attribute__] = ACTIONS(5732),
    [anon_sym___attribute] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_signed] = ACTIONS(6192),
    [anon_sym_unsigned] = ACTIONS(6192),
    [anon_sym_long] = ACTIONS(6192),
    [anon_sym_short] = ACTIONS(6192),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_EQ] = ACTIONS(5732),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_STAR_EQ] = ACTIONS(5730),
    [anon_sym_SLASH_EQ] = ACTIONS(5730),
    [anon_sym_PERCENT_EQ] = ACTIONS(5730),
    [anon_sym_PLUS_EQ] = ACTIONS(5730),
    [anon_sym_DASH_EQ] = ACTIONS(5730),
    [anon_sym_LT_LT_EQ] = ACTIONS(5730),
    [anon_sym_GT_GT_EQ] = ACTIONS(5730),
    [anon_sym_AMP_EQ] = ACTIONS(5730),
    [anon_sym_CARET_EQ] = ACTIONS(5730),
    [anon_sym_PIPE_EQ] = ACTIONS(5730),
    [anon_sym_and_eq] = ACTIONS(5732),
    [anon_sym_or_eq] = ACTIONS(5732),
    [anon_sym_xor_eq] = ACTIONS(5732),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5732),
    [anon_sym_and] = ACTIONS(5732),
    [anon_sym_bitor] = ACTIONS(5732),
    [anon_sym_xor] = ACTIONS(5732),
    [anon_sym_bitand] = ACTIONS(5732),
    [anon_sym_not_eq] = ACTIONS(5732),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5732),
    [anon_sym_decltype] = ACTIONS(5732),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(5484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [aux_sym_preproc_if_token2] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_CARET] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5484),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym___attribute] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_STAR_EQ] = ACTIONS(5486),
    [anon_sym_SLASH_EQ] = ACTIONS(5486),
    [anon_sym_PERCENT_EQ] = ACTIONS(5486),
    [anon_sym_PLUS_EQ] = ACTIONS(5486),
    [anon_sym_DASH_EQ] = ACTIONS(5486),
    [anon_sym_LT_LT_EQ] = ACTIONS(5486),
    [anon_sym_GT_GT_EQ] = ACTIONS(5486),
    [anon_sym_AMP_EQ] = ACTIONS(5486),
    [anon_sym_CARET_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_and_eq] = ACTIONS(5484),
    [anon_sym_or_eq] = ACTIONS(5484),
    [anon_sym_xor_eq] = ACTIONS(5484),
    [anon_sym_LT_EQ_GT] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_and] = ACTIONS(5484),
    [anon_sym_bitor] = ACTIONS(5484),
    [anon_sym_xor] = ACTIONS(5484),
    [anon_sym_bitand] = ACTIONS(5484),
    [anon_sym_not_eq] = ACTIONS(5484),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_DOT_STAR] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
  },
  [2286] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2288),
    [sym_identifier] = ACTIONS(5748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_else_token1] = ACTIONS(5746),
    [aux_sym_preproc_elif_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym___attribute__] = ACTIONS(5748),
    [anon_sym___attribute] = ACTIONS(5748),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(6194),
    [anon_sym_unsigned] = ACTIONS(6194),
    [anon_sym_long] = ACTIONS(6194),
    [anon_sym_short] = ACTIONS(6194),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_STAR_EQ] = ACTIONS(5746),
    [anon_sym_SLASH_EQ] = ACTIONS(5746),
    [anon_sym_PERCENT_EQ] = ACTIONS(5746),
    [anon_sym_PLUS_EQ] = ACTIONS(5746),
    [anon_sym_DASH_EQ] = ACTIONS(5746),
    [anon_sym_LT_LT_EQ] = ACTIONS(5746),
    [anon_sym_GT_GT_EQ] = ACTIONS(5746),
    [anon_sym_AMP_EQ] = ACTIONS(5746),
    [anon_sym_CARET_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_and_eq] = ACTIONS(5748),
    [anon_sym_or_eq] = ACTIONS(5748),
    [anon_sym_xor_eq] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5748),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5748),
    [anon_sym_not_eq] = ACTIONS(5748),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5748),
    [anon_sym_decltype] = ACTIONS(5748),
  },
  [2287] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [aux_sym_preproc_if_token2] = ACTIONS(5804),
    [aux_sym_preproc_else_token1] = ACTIONS(5804),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5806),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5806),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5806),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym___attribute__] = ACTIONS(5806),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5806),
    [anon_sym_or_eq] = ACTIONS(5806),
    [anon_sym_xor_eq] = ACTIONS(5806),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5806),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5806),
    [anon_sym_not_eq] = ACTIONS(5806),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
  },
  [2288] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [aux_sym_preproc_if_token2] = ACTIONS(5800),
    [aux_sym_preproc_else_token1] = ACTIONS(5800),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
  },
  [2289] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2196),
    [sym_identifier] = ACTIONS(5792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_else_token1] = ACTIONS(5790),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym___attribute__] = ACTIONS(5792),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6196),
    [anon_sym_unsigned] = ACTIONS(6196),
    [anon_sym_long] = ACTIONS(6196),
    [anon_sym_short] = ACTIONS(6196),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5792),
    [anon_sym_or_eq] = ACTIONS(5792),
    [anon_sym_xor_eq] = ACTIONS(5792),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5792),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5792),
    [anon_sym_not_eq] = ACTIONS(5792),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5792),
    [anon_sym_decltype] = ACTIONS(5792),
  },
  [2290] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [sym_identifier] = ACTIONS(5738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [aux_sym_preproc_if_token2] = ACTIONS(5736),
    [aux_sym_preproc_else_token1] = ACTIONS(5736),
    [aux_sym_preproc_elif_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym___attribute__] = ACTIONS(5738),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6072),
    [anon_sym_unsigned] = ACTIONS(6072),
    [anon_sym_long] = ACTIONS(6072),
    [anon_sym_short] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_EQ] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_STAR_EQ] = ACTIONS(5736),
    [anon_sym_SLASH_EQ] = ACTIONS(5736),
    [anon_sym_PERCENT_EQ] = ACTIONS(5736),
    [anon_sym_PLUS_EQ] = ACTIONS(5736),
    [anon_sym_DASH_EQ] = ACTIONS(5736),
    [anon_sym_LT_LT_EQ] = ACTIONS(5736),
    [anon_sym_GT_GT_EQ] = ACTIONS(5736),
    [anon_sym_AMP_EQ] = ACTIONS(5736),
    [anon_sym_CARET_EQ] = ACTIONS(5736),
    [anon_sym_PIPE_EQ] = ACTIONS(5736),
    [anon_sym_and_eq] = ACTIONS(5738),
    [anon_sym_or_eq] = ACTIONS(5738),
    [anon_sym_xor_eq] = ACTIONS(5738),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5738),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5738),
    [anon_sym_not_eq] = ACTIONS(5738),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5738),
    [anon_sym_decltype] = ACTIONS(5738),
  },
  [2291] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym___extension__] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6153),
    [anon_sym_unsigned] = ACTIONS(6153),
    [anon_sym_long] = ACTIONS(6153),
    [anon_sym_short] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_const] = ACTIONS(5806),
    [anon_sym_constexpr] = ACTIONS(5804),
    [anon_sym_volatile] = ACTIONS(5804),
    [anon_sym_restrict] = ACTIONS(5804),
    [anon_sym___restrict__] = ACTIONS(5804),
    [anon_sym__Atomic] = ACTIONS(5804),
    [anon_sym__Noreturn] = ACTIONS(5804),
    [anon_sym_noreturn] = ACTIONS(5804),
    [anon_sym__Nonnull] = ACTIONS(5804),
    [anon_sym_mutable] = ACTIONS(5804),
    [anon_sym_constinit] = ACTIONS(5804),
    [anon_sym_consteval] = ACTIONS(5804),
    [anon_sym_PROGMEM] = ACTIONS(5804),
    [anon_sym_alignas] = ACTIONS(5804),
    [anon_sym__Alignas] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5804),
    [anon_sym_and] = ACTIONS(5804),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5804),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
    [anon_sym_final] = ACTIONS(5804),
    [anon_sym_override] = ACTIONS(5804),
    [anon_sym_GT2] = ACTIONS(5804),
    [anon_sym_requires] = ACTIONS(5804),
  },
  [2292] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_L_DQUOTE] = ACTIONS(5664),
    [anon_sym_u_DQUOTE] = ACTIONS(5664),
    [anon_sym_U_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8_DQUOTE] = ACTIONS(5664),
    [anon_sym_DQUOTE] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5664),
    [anon_sym_LR_DQUOTE] = ACTIONS(5664),
    [anon_sym_uR_DQUOTE] = ACTIONS(5664),
    [anon_sym_UR_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5664),
    [sym_literal_suffix] = ACTIONS(5662),
  },
  [2293] = {
    [sym_argument_list] = STATE(2486),
    [sym_initializer_list] = STATE(2486),
    [sym_identifier] = ACTIONS(6198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6200),
    [anon_sym_COMMA] = ACTIONS(6200),
    [anon_sym_RPAREN] = ACTIONS(6200),
    [aux_sym_preproc_if_token2] = ACTIONS(6200),
    [aux_sym_preproc_else_token1] = ACTIONS(6200),
    [aux_sym_preproc_elif_token1] = ACTIONS(6198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6200),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(6198),
    [anon_sym_PLUS] = ACTIONS(6198),
    [anon_sym_STAR] = ACTIONS(6198),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6198),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6200),
    [anon_sym_PIPE] = ACTIONS(6198),
    [anon_sym_CARET] = ACTIONS(6198),
    [anon_sym_AMP] = ACTIONS(6198),
    [anon_sym_EQ_EQ] = ACTIONS(6200),
    [anon_sym_BANG_EQ] = ACTIONS(6200),
    [anon_sym_GT] = ACTIONS(6198),
    [anon_sym_GT_EQ] = ACTIONS(6200),
    [anon_sym_LT_EQ] = ACTIONS(6198),
    [anon_sym_LT] = ACTIONS(6198),
    [anon_sym_LT_LT] = ACTIONS(6198),
    [anon_sym_GT_GT] = ACTIONS(6198),
    [anon_sym_SEMI] = ACTIONS(6200),
    [anon_sym___attribute__] = ACTIONS(6198),
    [anon_sym___attribute] = ACTIONS(6198),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(6200),
    [anon_sym_LBRACK] = ACTIONS(6200),
    [anon_sym_RBRACK] = ACTIONS(6200),
    [anon_sym_EQ] = ACTIONS(6198),
    [anon_sym_COLON] = ACTIONS(6200),
    [anon_sym_QMARK] = ACTIONS(6200),
    [anon_sym_STAR_EQ] = ACTIONS(6200),
    [anon_sym_SLASH_EQ] = ACTIONS(6200),
    [anon_sym_PERCENT_EQ] = ACTIONS(6200),
    [anon_sym_PLUS_EQ] = ACTIONS(6200),
    [anon_sym_DASH_EQ] = ACTIONS(6200),
    [anon_sym_LT_LT_EQ] = ACTIONS(6200),
    [anon_sym_GT_GT_EQ] = ACTIONS(6200),
    [anon_sym_AMP_EQ] = ACTIONS(6200),
    [anon_sym_CARET_EQ] = ACTIONS(6200),
    [anon_sym_PIPE_EQ] = ACTIONS(6200),
    [anon_sym_and_eq] = ACTIONS(6198),
    [anon_sym_or_eq] = ACTIONS(6198),
    [anon_sym_xor_eq] = ACTIONS(6198),
    [anon_sym_LT_EQ_GT] = ACTIONS(6200),
    [anon_sym_or] = ACTIONS(6198),
    [anon_sym_and] = ACTIONS(6198),
    [anon_sym_bitor] = ACTIONS(6198),
    [anon_sym_xor] = ACTIONS(6198),
    [anon_sym_bitand] = ACTIONS(6198),
    [anon_sym_not_eq] = ACTIONS(6198),
    [anon_sym_DASH_DASH] = ACTIONS(6200),
    [anon_sym_PLUS_PLUS] = ACTIONS(6200),
    [anon_sym_DOT] = ACTIONS(6198),
    [anon_sym_DOT_STAR] = ACTIONS(6200),
    [anon_sym_DASH_GT] = ACTIONS(6200),
    [sym_comment] = ACTIONS(3),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5599),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5601),
    [anon_sym_COMMA] = ACTIONS(5601),
    [anon_sym_RPAREN] = ACTIONS(5601),
    [aux_sym_preproc_if_token2] = ACTIONS(5601),
    [aux_sym_preproc_else_token1] = ACTIONS(5601),
    [aux_sym_preproc_elif_token1] = ACTIONS(5599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5601),
    [anon_sym_LPAREN2] = ACTIONS(5601),
    [anon_sym_DASH] = ACTIONS(5599),
    [anon_sym_PLUS] = ACTIONS(5599),
    [anon_sym_STAR] = ACTIONS(5599),
    [anon_sym_SLASH] = ACTIONS(5599),
    [anon_sym_PERCENT] = ACTIONS(5599),
    [anon_sym_PIPE_PIPE] = ACTIONS(5601),
    [anon_sym_AMP_AMP] = ACTIONS(5601),
    [anon_sym_PIPE] = ACTIONS(5599),
    [anon_sym_CARET] = ACTIONS(5599),
    [anon_sym_AMP] = ACTIONS(5599),
    [anon_sym_EQ_EQ] = ACTIONS(5601),
    [anon_sym_BANG_EQ] = ACTIONS(5601),
    [anon_sym_GT] = ACTIONS(5599),
    [anon_sym_GT_EQ] = ACTIONS(5601),
    [anon_sym_LT_EQ] = ACTIONS(5599),
    [anon_sym_LT] = ACTIONS(5599),
    [anon_sym_LT_LT] = ACTIONS(5599),
    [anon_sym_GT_GT] = ACTIONS(5599),
    [anon_sym_SEMI] = ACTIONS(5601),
    [anon_sym___attribute__] = ACTIONS(5599),
    [anon_sym___attribute] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(5601),
    [anon_sym_RBRACE] = ACTIONS(5601),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_RBRACK] = ACTIONS(5601),
    [anon_sym_EQ] = ACTIONS(5599),
    [anon_sym_COLON] = ACTIONS(5601),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_STAR_EQ] = ACTIONS(5601),
    [anon_sym_SLASH_EQ] = ACTIONS(5601),
    [anon_sym_PERCENT_EQ] = ACTIONS(5601),
    [anon_sym_PLUS_EQ] = ACTIONS(5601),
    [anon_sym_DASH_EQ] = ACTIONS(5601),
    [anon_sym_LT_LT_EQ] = ACTIONS(5601),
    [anon_sym_GT_GT_EQ] = ACTIONS(5601),
    [anon_sym_AMP_EQ] = ACTIONS(5601),
    [anon_sym_CARET_EQ] = ACTIONS(5601),
    [anon_sym_PIPE_EQ] = ACTIONS(5601),
    [anon_sym_and_eq] = ACTIONS(5599),
    [anon_sym_or_eq] = ACTIONS(5599),
    [anon_sym_xor_eq] = ACTIONS(5599),
    [anon_sym_LT_EQ_GT] = ACTIONS(5601),
    [anon_sym_or] = ACTIONS(5599),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_bitor] = ACTIONS(5599),
    [anon_sym_xor] = ACTIONS(5599),
    [anon_sym_bitand] = ACTIONS(5599),
    [anon_sym_not_eq] = ACTIONS(5599),
    [anon_sym_DASH_DASH] = ACTIONS(5601),
    [anon_sym_PLUS_PLUS] = ACTIONS(5601),
    [anon_sym_DOT] = ACTIONS(5599),
    [anon_sym_DOT_STAR] = ACTIONS(5601),
    [anon_sym_DASH_GT] = ACTIONS(5601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5599),
    [anon_sym_decltype] = ACTIONS(5599),
  },
  [2295] = {
    [sym_attribute_specifier] = STATE(1791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5996),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5996),
    [anon_sym_GT_GT] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5996),
    [anon_sym_volatile] = ACTIONS(5996),
    [anon_sym_restrict] = ACTIONS(5996),
    [anon_sym___restrict__] = ACTIONS(5996),
    [anon_sym__Atomic] = ACTIONS(5996),
    [anon_sym__Noreturn] = ACTIONS(5996),
    [anon_sym_noreturn] = ACTIONS(5996),
    [anon_sym__Nonnull] = ACTIONS(5996),
    [anon_sym_mutable] = ACTIONS(5996),
    [anon_sym_constinit] = ACTIONS(5996),
    [anon_sym_consteval] = ACTIONS(5996),
    [anon_sym_PROGMEM] = ACTIONS(5996),
    [anon_sym_alignas] = ACTIONS(5996),
    [anon_sym__Alignas] = ACTIONS(5996),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5996),
    [anon_sym_and] = ACTIONS(5996),
    [anon_sym_bitor] = ACTIONS(5996),
    [anon_sym_xor] = ACTIONS(5996),
    [anon_sym_bitand] = ACTIONS(5996),
    [anon_sym_not_eq] = ACTIONS(5996),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5996),
    [anon_sym_decltype] = ACTIONS(5996),
    [anon_sym_final] = ACTIONS(5996),
    [anon_sym_override] = ACTIONS(5996),
    [anon_sym_requires] = ACTIONS(5996),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(5577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5579),
    [anon_sym_COMMA] = ACTIONS(5579),
    [anon_sym_RPAREN] = ACTIONS(5579),
    [aux_sym_preproc_if_token2] = ACTIONS(5579),
    [aux_sym_preproc_else_token1] = ACTIONS(5579),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5579),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_DASH] = ACTIONS(5577),
    [anon_sym_PLUS] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(5577),
    [anon_sym_SLASH] = ACTIONS(5577),
    [anon_sym_PERCENT] = ACTIONS(5577),
    [anon_sym_PIPE_PIPE] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_PIPE] = ACTIONS(5577),
    [anon_sym_CARET] = ACTIONS(5577),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym_EQ_EQ] = ACTIONS(5579),
    [anon_sym_BANG_EQ] = ACTIONS(5579),
    [anon_sym_GT] = ACTIONS(5577),
    [anon_sym_GT_EQ] = ACTIONS(5579),
    [anon_sym_LT_EQ] = ACTIONS(5577),
    [anon_sym_LT] = ACTIONS(5577),
    [anon_sym_LT_LT] = ACTIONS(5577),
    [anon_sym_GT_GT] = ACTIONS(5577),
    [anon_sym_SEMI] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym___attribute] = ACTIONS(5577),
    [anon_sym_LBRACE] = ACTIONS(5579),
    [anon_sym_RBRACE] = ACTIONS(5579),
    [anon_sym_LBRACK] = ACTIONS(5579),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_EQ] = ACTIONS(5577),
    [anon_sym_COLON] = ACTIONS(5579),
    [anon_sym_QMARK] = ACTIONS(5579),
    [anon_sym_STAR_EQ] = ACTIONS(5579),
    [anon_sym_SLASH_EQ] = ACTIONS(5579),
    [anon_sym_PERCENT_EQ] = ACTIONS(5579),
    [anon_sym_PLUS_EQ] = ACTIONS(5579),
    [anon_sym_DASH_EQ] = ACTIONS(5579),
    [anon_sym_LT_LT_EQ] = ACTIONS(5579),
    [anon_sym_GT_GT_EQ] = ACTIONS(5579),
    [anon_sym_AMP_EQ] = ACTIONS(5579),
    [anon_sym_CARET_EQ] = ACTIONS(5579),
    [anon_sym_PIPE_EQ] = ACTIONS(5579),
    [anon_sym_and_eq] = ACTIONS(5577),
    [anon_sym_or_eq] = ACTIONS(5577),
    [anon_sym_xor_eq] = ACTIONS(5577),
    [anon_sym_LT_EQ_GT] = ACTIONS(5579),
    [anon_sym_or] = ACTIONS(5577),
    [anon_sym_and] = ACTIONS(5577),
    [anon_sym_bitor] = ACTIONS(5577),
    [anon_sym_xor] = ACTIONS(5577),
    [anon_sym_bitand] = ACTIONS(5577),
    [anon_sym_not_eq] = ACTIONS(5577),
    [anon_sym_DASH_DASH] = ACTIONS(5579),
    [anon_sym_PLUS_PLUS] = ACTIONS(5579),
    [anon_sym_DOT] = ACTIONS(5577),
    [anon_sym_DOT_STAR] = ACTIONS(5579),
    [anon_sym_DASH_GT] = ACTIONS(5579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [aux_sym_preproc_if_token2] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_SLASH] = ACTIONS(5542),
    [anon_sym_PERCENT] = ACTIONS(5542),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5542),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5542),
    [anon_sym_LT_LT] = ACTIONS(5542),
    [anon_sym_GT_GT] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym___attribute] = ACTIONS(5542),
    [anon_sym_LBRACE] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_EQ] = ACTIONS(5542),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5544),
    [anon_sym_STAR_EQ] = ACTIONS(5544),
    [anon_sym_SLASH_EQ] = ACTIONS(5544),
    [anon_sym_PERCENT_EQ] = ACTIONS(5544),
    [anon_sym_PLUS_EQ] = ACTIONS(5544),
    [anon_sym_DASH_EQ] = ACTIONS(5544),
    [anon_sym_LT_LT_EQ] = ACTIONS(5544),
    [anon_sym_GT_GT_EQ] = ACTIONS(5544),
    [anon_sym_AMP_EQ] = ACTIONS(5544),
    [anon_sym_CARET_EQ] = ACTIONS(5544),
    [anon_sym_PIPE_EQ] = ACTIONS(5544),
    [anon_sym_and_eq] = ACTIONS(5542),
    [anon_sym_or_eq] = ACTIONS(5542),
    [anon_sym_xor_eq] = ACTIONS(5542),
    [anon_sym_LT_EQ_GT] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5542),
    [anon_sym_and] = ACTIONS(5542),
    [anon_sym_bitor] = ACTIONS(5542),
    [anon_sym_xor] = ACTIONS(5542),
    [anon_sym_bitand] = ACTIONS(5542),
    [anon_sym_not_eq] = ACTIONS(5542),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_DOT_STAR] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
  },
  [2298] = {
    [sym_ms_based_modifier] = STATE(8547),
    [sym_ms_unaligned_ptr_modifier] = STATE(4028),
    [sym_ms_pointer_modifier] = STATE(2193),
    [sym__declarator] = STATE(6417),
    [sym__abstract_declarator] = STATE(6663),
    [sym_parenthesized_declarator] = STATE(5989),
    [sym_abstract_parenthesized_declarator] = STATE(5999),
    [sym_attributed_declarator] = STATE(5989),
    [sym_pointer_declarator] = STATE(5989),
    [sym_abstract_pointer_declarator] = STATE(5999),
    [sym_function_declarator] = STATE(5989),
    [sym_abstract_function_declarator] = STATE(5999),
    [sym_array_declarator] = STATE(5989),
    [sym_abstract_array_declarator] = STATE(5999),
    [sym_type_qualifier] = STATE(2778),
    [sym_alignas_qualifier] = STATE(4257),
    [sym_parameter_list] = STATE(2980),
    [sym_decltype] = STATE(8540),
    [sym_reference_declarator] = STATE(5989),
    [sym_abstract_reference_declarator] = STATE(5999),
    [sym_structured_binding_declarator] = STATE(5989),
    [sym__function_declarator_seq] = STATE(5978),
    [sym_template_type] = STATE(8540),
    [sym_template_function] = STATE(5989),
    [sym_destructor_name] = STATE(5989),
    [sym_dependent_type_identifier] = STATE(8540),
    [sym__scope_resolution] = STATE(5768),
    [sym_qualified_identifier] = STATE(5989),
    [sym_operator_name] = STATE(5989),
    [aux_sym__type_definition_type_repeat1] = STATE(2778),
    [aux_sym_pointer_declarator_repeat1] = STATE(2193),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(4157),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(4159),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(6066),
    [anon_sym___based] = ACTIONS(51),
    [sym_ms_restrict_modifier] = ACTIONS(2859),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2859),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2859),
    [anon_sym__unaligned] = ACTIONS(2861),
    [anon_sym___unaligned] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym__Nonnull] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [anon_sym_PROGMEM] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym__Alignas] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1954),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1836),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5524),
    [anon_sym_COMMA] = ACTIONS(5524),
    [anon_sym_RPAREN] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5522),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5524),
    [anon_sym_PIPE] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5524),
    [anon_sym_BANG_EQ] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5524),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5522),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5522),
    [anon_sym_SEMI] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5522),
    [anon_sym___attribute] = ACTIONS(5522),
    [anon_sym_LBRACE] = ACTIONS(5524),
    [anon_sym_RBRACE] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_RBRACK] = ACTIONS(5524),
    [anon_sym_EQ] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_STAR_EQ] = ACTIONS(5524),
    [anon_sym_SLASH_EQ] = ACTIONS(5524),
    [anon_sym_PERCENT_EQ] = ACTIONS(5524),
    [anon_sym_PLUS_EQ] = ACTIONS(5524),
    [anon_sym_DASH_EQ] = ACTIONS(5524),
    [anon_sym_LT_LT_EQ] = ACTIONS(5524),
    [anon_sym_GT_GT_EQ] = ACTIONS(5524),
    [anon_sym_AMP_EQ] = ACTIONS(5524),
    [anon_sym_CARET_EQ] = ACTIONS(5524),
    [anon_sym_PIPE_EQ] = ACTIONS(5524),
    [anon_sym_and_eq] = ACTIONS(5522),
    [anon_sym_or_eq] = ACTIONS(5522),
    [anon_sym_xor_eq] = ACTIONS(5522),
    [anon_sym_LT_EQ_GT] = ACTIONS(5524),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_bitor] = ACTIONS(5522),
    [anon_sym_xor] = ACTIONS(5522),
    [anon_sym_bitand] = ACTIONS(5522),
    [anon_sym_not_eq] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5522),
    [anon_sym_DOT_STAR] = ACTIONS(5524),
    [anon_sym_DASH_GT] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5522),
    [anon_sym_decltype] = ACTIONS(5522),
  },
  [2300] = {
    [sym_attribute_specifier] = STATE(1795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5988),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5988),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5988),
    [anon_sym_GT_GT] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___extension__] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___attribute] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_const] = ACTIONS(5986),
    [anon_sym_constexpr] = ACTIONS(5988),
    [anon_sym_volatile] = ACTIONS(5988),
    [anon_sym_restrict] = ACTIONS(5988),
    [anon_sym___restrict__] = ACTIONS(5988),
    [anon_sym__Atomic] = ACTIONS(5988),
    [anon_sym__Noreturn] = ACTIONS(5988),
    [anon_sym_noreturn] = ACTIONS(5988),
    [anon_sym__Nonnull] = ACTIONS(5988),
    [anon_sym_mutable] = ACTIONS(5988),
    [anon_sym_constinit] = ACTIONS(5988),
    [anon_sym_consteval] = ACTIONS(5988),
    [anon_sym_PROGMEM] = ACTIONS(5988),
    [anon_sym_alignas] = ACTIONS(5988),
    [anon_sym__Alignas] = ACTIONS(5988),
    [anon_sym_COLON] = ACTIONS(5988),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5988),
    [anon_sym_and] = ACTIONS(5988),
    [anon_sym_bitor] = ACTIONS(5988),
    [anon_sym_xor] = ACTIONS(5988),
    [anon_sym_bitand] = ACTIONS(5988),
    [anon_sym_not_eq] = ACTIONS(5988),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5988),
    [anon_sym_decltype] = ACTIONS(5988),
    [anon_sym_final] = ACTIONS(5988),
    [anon_sym_override] = ACTIONS(5988),
    [anon_sym_requires] = ACTIONS(5988),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5575),
    [anon_sym_COMMA] = ACTIONS(5575),
    [anon_sym_RPAREN] = ACTIONS(5575),
    [aux_sym_preproc_if_token2] = ACTIONS(5575),
    [aux_sym_preproc_else_token1] = ACTIONS(5575),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5575),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_DASH] = ACTIONS(5573),
    [anon_sym_PLUS] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_SLASH] = ACTIONS(5573),
    [anon_sym_PERCENT] = ACTIONS(5573),
    [anon_sym_PIPE_PIPE] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_PIPE] = ACTIONS(5573),
    [anon_sym_CARET] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym_EQ_EQ] = ACTIONS(5575),
    [anon_sym_BANG_EQ] = ACTIONS(5575),
    [anon_sym_GT] = ACTIONS(5573),
    [anon_sym_GT_EQ] = ACTIONS(5575),
    [anon_sym_LT_EQ] = ACTIONS(5573),
    [anon_sym_LT] = ACTIONS(5573),
    [anon_sym_LT_LT] = ACTIONS(5573),
    [anon_sym_GT_GT] = ACTIONS(5573),
    [anon_sym_SEMI] = ACTIONS(5575),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym___attribute] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(5575),
    [anon_sym_RBRACE] = ACTIONS(5575),
    [anon_sym_LBRACK] = ACTIONS(5575),
    [anon_sym_RBRACK] = ACTIONS(5575),
    [anon_sym_EQ] = ACTIONS(5573),
    [anon_sym_COLON] = ACTIONS(5575),
    [anon_sym_QMARK] = ACTIONS(5575),
    [anon_sym_STAR_EQ] = ACTIONS(5575),
    [anon_sym_SLASH_EQ] = ACTIONS(5575),
    [anon_sym_PERCENT_EQ] = ACTIONS(5575),
    [anon_sym_PLUS_EQ] = ACTIONS(5575),
    [anon_sym_DASH_EQ] = ACTIONS(5575),
    [anon_sym_LT_LT_EQ] = ACTIONS(5575),
    [anon_sym_GT_GT_EQ] = ACTIONS(5575),
    [anon_sym_AMP_EQ] = ACTIONS(5575),
    [anon_sym_CARET_EQ] = ACTIONS(5575),
    [anon_sym_PIPE_EQ] = ACTIONS(5575),
    [anon_sym_and_eq] = ACTIONS(5573),
    [anon_sym_or_eq] = ACTIONS(5573),
    [anon_sym_xor_eq] = ACTIONS(5573),
    [anon_sym_LT_EQ_GT] = ACTIONS(5575),
    [anon_sym_or] = ACTIONS(5573),
    [anon_sym_and] = ACTIONS(5573),
    [anon_sym_bitor] = ACTIONS(5573),
    [anon_sym_xor] = ACTIONS(5573),
    [anon_sym_bitand] = ACTIONS(5573),
    [anon_sym_not_eq] = ACTIONS(5573),
    [anon_sym_DASH_DASH] = ACTIONS(5575),
    [anon_sym_PLUS_PLUS] = ACTIONS(5575),
    [anon_sym_DOT] = ACTIONS(5573),
    [anon_sym_DOT_STAR] = ACTIONS(5575),
    [anon_sym_DASH_GT] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [aux_sym_preproc_if_token2] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym___attribute] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_STAR_EQ] = ACTIONS(5478),
    [anon_sym_SLASH_EQ] = ACTIONS(5478),
    [anon_sym_PERCENT_EQ] = ACTIONS(5478),
    [anon_sym_PLUS_EQ] = ACTIONS(5478),
    [anon_sym_DASH_EQ] = ACTIONS(5478),
    [anon_sym_LT_LT_EQ] = ACTIONS(5478),
    [anon_sym_GT_GT_EQ] = ACTIONS(5478),
    [anon_sym_AMP_EQ] = ACTIONS(5478),
    [anon_sym_CARET_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_and_eq] = ACTIONS(5476),
    [anon_sym_or_eq] = ACTIONS(5476),
    [anon_sym_xor_eq] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
  },
  [2303] = {
    [sym_identifier] = ACTIONS(5488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [aux_sym_preproc_if_token2] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5490),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_CARET] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5488),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym___attribute] = ACTIONS(5488),
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_EQ] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_STAR_EQ] = ACTIONS(5490),
    [anon_sym_SLASH_EQ] = ACTIONS(5490),
    [anon_sym_PERCENT_EQ] = ACTIONS(5490),
    [anon_sym_PLUS_EQ] = ACTIONS(5490),
    [anon_sym_DASH_EQ] = ACTIONS(5490),
    [anon_sym_LT_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT_GT_EQ] = ACTIONS(5490),
    [anon_sym_AMP_EQ] = ACTIONS(5490),
    [anon_sym_CARET_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_and_eq] = ACTIONS(5488),
    [anon_sym_or_eq] = ACTIONS(5488),
    [anon_sym_xor_eq] = ACTIONS(5488),
    [anon_sym_LT_EQ_GT] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_and] = ACTIONS(5488),
    [anon_sym_bitor] = ACTIONS(5488),
    [anon_sym_xor] = ACTIONS(5488),
    [anon_sym_bitand] = ACTIONS(5488),
    [anon_sym_not_eq] = ACTIONS(5488),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_DOT_STAR] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
  },
  [2304] = {
    [sym_template_argument_list] = STATE(2325),
    [sym_identifier] = ACTIONS(6202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6204),
    [anon_sym_COMMA] = ACTIONS(6204),
    [anon_sym_RPAREN] = ACTIONS(6204),
    [aux_sym_preproc_if_token2] = ACTIONS(6204),
    [aux_sym_preproc_else_token1] = ACTIONS(6204),
    [aux_sym_preproc_elif_token1] = ACTIONS(6202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6204),
    [anon_sym_LPAREN2] = ACTIONS(6204),
    [anon_sym_DASH] = ACTIONS(6202),
    [anon_sym_PLUS] = ACTIONS(6202),
    [anon_sym_STAR] = ACTIONS(6202),
    [anon_sym_SLASH] = ACTIONS(6202),
    [anon_sym_PERCENT] = ACTIONS(6202),
    [anon_sym_PIPE_PIPE] = ACTIONS(6204),
    [anon_sym_AMP_AMP] = ACTIONS(6204),
    [anon_sym_PIPE] = ACTIONS(6202),
    [anon_sym_CARET] = ACTIONS(6202),
    [anon_sym_AMP] = ACTIONS(6202),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_GT] = ACTIONS(6202),
    [anon_sym_GT_EQ] = ACTIONS(6204),
    [anon_sym_LT_EQ] = ACTIONS(6202),
    [anon_sym_LT] = ACTIONS(6206),
    [anon_sym_LT_LT] = ACTIONS(6202),
    [anon_sym_GT_GT] = ACTIONS(6202),
    [anon_sym_SEMI] = ACTIONS(6204),
    [anon_sym___attribute__] = ACTIONS(6202),
    [anon_sym___attribute] = ACTIONS(6202),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_RBRACE] = ACTIONS(6204),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [anon_sym_RBRACK] = ACTIONS(6204),
    [anon_sym_EQ] = ACTIONS(6202),
    [anon_sym_COLON] = ACTIONS(6202),
    [anon_sym_QMARK] = ACTIONS(6204),
    [anon_sym_STAR_EQ] = ACTIONS(6204),
    [anon_sym_SLASH_EQ] = ACTIONS(6204),
    [anon_sym_PERCENT_EQ] = ACTIONS(6204),
    [anon_sym_PLUS_EQ] = ACTIONS(6204),
    [anon_sym_DASH_EQ] = ACTIONS(6204),
    [anon_sym_LT_LT_EQ] = ACTIONS(6204),
    [anon_sym_GT_GT_EQ] = ACTIONS(6204),
    [anon_sym_AMP_EQ] = ACTIONS(6204),
    [anon_sym_CARET_EQ] = ACTIONS(6204),
    [anon_sym_PIPE_EQ] = ACTIONS(6204),
    [anon_sym_and_eq] = ACTIONS(6202),
    [anon_sym_or_eq] = ACTIONS(6202),
    [anon_sym_xor_eq] = ACTIONS(6202),
    [anon_sym_LT_EQ_GT] = ACTIONS(6204),
    [anon_sym_or] = ACTIONS(6202),
    [anon_sym_and] = ACTIONS(6202),
    [anon_sym_bitor] = ACTIONS(6202),
    [anon_sym_xor] = ACTIONS(6202),
    [anon_sym_bitand] = ACTIONS(6202),
    [anon_sym_not_eq] = ACTIONS(6202),
    [anon_sym_DASH_DASH] = ACTIONS(6204),
    [anon_sym_PLUS_PLUS] = ACTIONS(6204),
    [anon_sym_DOT] = ACTIONS(6202),
    [anon_sym_DOT_STAR] = ACTIONS(6204),
    [anon_sym_DASH_GT] = ACTIONS(6204),
    [sym_comment] = ACTIONS(3),
  },
  [2305] = {
    [sym__declaration_modifiers] = STATE(2480),
    [sym_attribute_specifier] = STATE(2480),
    [sym_attribute_declaration] = STATE(2480),
    [sym_ms_declspec_modifier] = STATE(2480),
    [sym_storage_class_specifier] = STATE(2480),
    [sym_type_qualifier] = STATE(2480),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype_auto] = STATE(2370),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2480),
    [sym_identifier] = ACTIONS(6209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6211),
    [anon_sym_COMMA] = ACTIONS(6211),
    [anon_sym_RPAREN] = ACTIONS(6211),
    [anon_sym_LPAREN2] = ACTIONS(6211),
    [anon_sym_TILDE] = ACTIONS(6211),
    [anon_sym_STAR] = ACTIONS(6211),
    [anon_sym_AMP_AMP] = ACTIONS(6211),
    [anon_sym_AMP] = ACTIONS(6209),
    [anon_sym_SEMI] = ACTIONS(6211),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(6213),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(6211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(6209),
    [anon_sym___cdecl] = ACTIONS(6209),
    [anon_sym___clrcall] = ACTIONS(6209),
    [anon_sym___stdcall] = ACTIONS(6209),
    [anon_sym___fastcall] = ACTIONS(6209),
    [anon_sym___thiscall] = ACTIONS(6209),
    [anon_sym___vectorcall] = ACTIONS(6209),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(6211),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6215),
    [anon_sym_decltype] = ACTIONS(6217),
    [anon_sym_template] = ACTIONS(6209),
    [anon_sym_GT2] = ACTIONS(6211),
    [anon_sym_operator] = ACTIONS(6209),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(4885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [aux_sym_preproc_if_token2] = ACTIONS(4878),
    [aux_sym_preproc_else_token1] = ACTIONS(4878),
    [aux_sym_preproc_elif_token1] = ACTIONS(4885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4885),
    [anon_sym_PLUS] = ACTIONS(4885),
    [anon_sym_STAR] = ACTIONS(4885),
    [anon_sym_SLASH] = ACTIONS(4885),
    [anon_sym_PERCENT] = ACTIONS(4885),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4885),
    [anon_sym_CARET] = ACTIONS(4885),
    [anon_sym_AMP] = ACTIONS(4885),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4885),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4885),
    [anon_sym_LT] = ACTIONS(4885),
    [anon_sym_LT_LT] = ACTIONS(4885),
    [anon_sym_GT_GT] = ACTIONS(4885),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4885),
    [anon_sym___attribute] = ACTIONS(4885),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4885),
    [anon_sym_COLON] = ACTIONS(4885),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4885),
    [anon_sym_or_eq] = ACTIONS(4885),
    [anon_sym_xor_eq] = ACTIONS(4885),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4885),
    [anon_sym_and] = ACTIONS(4885),
    [anon_sym_bitor] = ACTIONS(4885),
    [anon_sym_xor] = ACTIONS(4885),
    [anon_sym_bitand] = ACTIONS(4885),
    [anon_sym_not_eq] = ACTIONS(4885),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4885),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
  },
  [2307] = {
    [sym_template_argument_list] = STATE(2325),
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6221),
    [anon_sym_COMMA] = ACTIONS(6221),
    [anon_sym_RPAREN] = ACTIONS(6221),
    [aux_sym_preproc_if_token2] = ACTIONS(6221),
    [aux_sym_preproc_else_token1] = ACTIONS(6221),
    [aux_sym_preproc_elif_token1] = ACTIONS(6219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6221),
    [anon_sym_LPAREN2] = ACTIONS(6221),
    [anon_sym_DASH] = ACTIONS(6219),
    [anon_sym_PLUS] = ACTIONS(6219),
    [anon_sym_STAR] = ACTIONS(6219),
    [anon_sym_SLASH] = ACTIONS(6219),
    [anon_sym_PERCENT] = ACTIONS(6219),
    [anon_sym_PIPE_PIPE] = ACTIONS(6221),
    [anon_sym_AMP_AMP] = ACTIONS(6221),
    [anon_sym_PIPE] = ACTIONS(6219),
    [anon_sym_CARET] = ACTIONS(6219),
    [anon_sym_AMP] = ACTIONS(6219),
    [anon_sym_EQ_EQ] = ACTIONS(6221),
    [anon_sym_BANG_EQ] = ACTIONS(6221),
    [anon_sym_GT] = ACTIONS(6219),
    [anon_sym_GT_EQ] = ACTIONS(6221),
    [anon_sym_LT_EQ] = ACTIONS(6219),
    [anon_sym_LT] = ACTIONS(6223),
    [anon_sym_LT_LT] = ACTIONS(6219),
    [anon_sym_GT_GT] = ACTIONS(6219),
    [anon_sym_SEMI] = ACTIONS(6221),
    [anon_sym___attribute__] = ACTIONS(6219),
    [anon_sym___attribute] = ACTIONS(6219),
    [anon_sym_COLON_COLON] = ACTIONS(4128),
    [anon_sym_RBRACE] = ACTIONS(6221),
    [anon_sym_LBRACK] = ACTIONS(6221),
    [anon_sym_RBRACK] = ACTIONS(6221),
    [anon_sym_EQ] = ACTIONS(6219),
    [anon_sym_COLON] = ACTIONS(6219),
    [anon_sym_QMARK] = ACTIONS(6221),
    [anon_sym_STAR_EQ] = ACTIONS(6221),
    [anon_sym_SLASH_EQ] = ACTIONS(6221),
    [anon_sym_PERCENT_EQ] = ACTIONS(6221),
    [anon_sym_PLUS_EQ] = ACTIONS(6221),
    [anon_sym_DASH_EQ] = ACTIONS(6221),
    [anon_sym_LT_LT_EQ] = ACTIONS(6221),
    [anon_sym_GT_GT_EQ] = ACTIONS(6221),
    [anon_sym_AMP_EQ] = ACTIONS(6221),
    [anon_sym_CARET_EQ] = ACTIONS(6221),
    [anon_sym_PIPE_EQ] = ACTIONS(6221),
    [anon_sym_and_eq] = ACTIONS(6219),
    [anon_sym_or_eq] = ACTIONS(6219),
    [anon_sym_xor_eq] = ACTIONS(6219),
    [anon_sym_LT_EQ_GT] = ACTIONS(6221),
    [anon_sym_or] = ACTIONS(6219),
    [anon_sym_and] = ACTIONS(6219),
    [anon_sym_bitor] = ACTIONS(6219),
    [anon_sym_xor] = ACTIONS(6219),
    [anon_sym_bitand] = ACTIONS(6219),
    [anon_sym_not_eq] = ACTIONS(6219),
    [anon_sym_DASH_DASH] = ACTIONS(6221),
    [anon_sym_PLUS_PLUS] = ACTIONS(6221),
    [anon_sym_DOT] = ACTIONS(6219),
    [anon_sym_DOT_STAR] = ACTIONS(6221),
    [anon_sym_DASH_GT] = ACTIONS(6221),
    [sym_comment] = ACTIONS(3),
  },
  [2308] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5806),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5806),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5806),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5804),
    [anon_sym___attribute] = ACTIONS(5806),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5806),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5804),
    [anon_sym_or_eq] = ACTIONS(5804),
    [anon_sym_xor_eq] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5804),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5804),
    [anon_sym_not_eq] = ACTIONS(5804),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5804),
    [anon_sym_decltype] = ACTIONS(5804),
  },
  [2309] = {
    [sym_new_declarator] = STATE(2402),
    [sym_identifier] = ACTIONS(6228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6230),
    [anon_sym_COMMA] = ACTIONS(6230),
    [anon_sym_RPAREN] = ACTIONS(6230),
    [aux_sym_preproc_if_token2] = ACTIONS(6230),
    [aux_sym_preproc_else_token1] = ACTIONS(6230),
    [aux_sym_preproc_elif_token1] = ACTIONS(6228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6230),
    [anon_sym_LPAREN2] = ACTIONS(6230),
    [anon_sym_DASH] = ACTIONS(6228),
    [anon_sym_PLUS] = ACTIONS(6228),
    [anon_sym_STAR] = ACTIONS(6228),
    [anon_sym_SLASH] = ACTIONS(6228),
    [anon_sym_PERCENT] = ACTIONS(6228),
    [anon_sym_PIPE_PIPE] = ACTIONS(6230),
    [anon_sym_AMP_AMP] = ACTIONS(6230),
    [anon_sym_PIPE] = ACTIONS(6228),
    [anon_sym_CARET] = ACTIONS(6228),
    [anon_sym_AMP] = ACTIONS(6228),
    [anon_sym_EQ_EQ] = ACTIONS(6230),
    [anon_sym_BANG_EQ] = ACTIONS(6230),
    [anon_sym_GT] = ACTIONS(6228),
    [anon_sym_GT_EQ] = ACTIONS(6230),
    [anon_sym_LT_EQ] = ACTIONS(6228),
    [anon_sym_LT] = ACTIONS(6228),
    [anon_sym_LT_LT] = ACTIONS(6228),
    [anon_sym_GT_GT] = ACTIONS(6228),
    [anon_sym_SEMI] = ACTIONS(6230),
    [anon_sym___attribute__] = ACTIONS(6228),
    [anon_sym___attribute] = ACTIONS(6228),
    [anon_sym_LBRACE] = ACTIONS(6230),
    [anon_sym_RBRACE] = ACTIONS(6230),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(6230),
    [anon_sym_EQ] = ACTIONS(6228),
    [anon_sym_COLON] = ACTIONS(6230),
    [anon_sym_QMARK] = ACTIONS(6230),
    [anon_sym_STAR_EQ] = ACTIONS(6230),
    [anon_sym_SLASH_EQ] = ACTIONS(6230),
    [anon_sym_PERCENT_EQ] = ACTIONS(6230),
    [anon_sym_PLUS_EQ] = ACTIONS(6230),
    [anon_sym_DASH_EQ] = ACTIONS(6230),
    [anon_sym_LT_LT_EQ] = ACTIONS(6230),
    [anon_sym_GT_GT_EQ] = ACTIONS(6230),
    [anon_sym_AMP_EQ] = ACTIONS(6230),
    [anon_sym_CARET_EQ] = ACTIONS(6230),
    [anon_sym_PIPE_EQ] = ACTIONS(6230),
    [anon_sym_and_eq] = ACTIONS(6228),
    [anon_sym_or_eq] = ACTIONS(6228),
    [anon_sym_xor_eq] = ACTIONS(6228),
    [anon_sym_LT_EQ_GT] = ACTIONS(6230),
    [anon_sym_or] = ACTIONS(6228),
    [anon_sym_and] = ACTIONS(6228),
    [anon_sym_bitor] = ACTIONS(6228),
    [anon_sym_xor] = ACTIONS(6228),
    [anon_sym_bitand] = ACTIONS(6228),
    [anon_sym_not_eq] = ACTIONS(6228),
    [anon_sym_DASH_DASH] = ACTIONS(6230),
    [anon_sym_PLUS_PLUS] = ACTIONS(6230),
    [anon_sym_DOT] = ACTIONS(6228),
    [anon_sym_DOT_STAR] = ACTIONS(6230),
    [anon_sym_DASH_GT] = ACTIONS(6230),
    [sym_comment] = ACTIONS(3),
  },
  [2310] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5800),
    [anon_sym_COMMA] = ACTIONS(5800),
    [anon_sym_RPAREN] = ACTIONS(5800),
    [anon_sym_LPAREN2] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5800),
    [anon_sym_AMP_AMP] = ACTIONS(5800),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5800),
    [anon_sym_BANG_EQ] = ACTIONS(5800),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5800),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5800),
    [anon_sym___attribute__] = ACTIONS(5800),
    [anon_sym___attribute] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5800),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5800),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_STAR_EQ] = ACTIONS(5800),
    [anon_sym_SLASH_EQ] = ACTIONS(5800),
    [anon_sym_PERCENT_EQ] = ACTIONS(5800),
    [anon_sym_PLUS_EQ] = ACTIONS(5800),
    [anon_sym_DASH_EQ] = ACTIONS(5800),
    [anon_sym_LT_LT_EQ] = ACTIONS(5800),
    [anon_sym_GT_GT_EQ] = ACTIONS(5800),
    [anon_sym_AMP_EQ] = ACTIONS(5800),
    [anon_sym_CARET_EQ] = ACTIONS(5800),
    [anon_sym_PIPE_EQ] = ACTIONS(5800),
    [anon_sym_and_eq] = ACTIONS(5800),
    [anon_sym_or_eq] = ACTIONS(5800),
    [anon_sym_xor_eq] = ACTIONS(5800),
    [anon_sym_LT_EQ_GT] = ACTIONS(5800),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5800),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5800),
    [anon_sym_not_eq] = ACTIONS(5800),
    [anon_sym_DASH_DASH] = ACTIONS(5800),
    [anon_sym_PLUS_PLUS] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5800),
    [anon_sym_DASH_GT] = ACTIONS(5800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5800),
    [anon_sym_decltype] = ACTIONS(5800),
  },
  [2311] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5748),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5746),
    [anon_sym___attribute] = ACTIONS(5748),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(6232),
    [anon_sym_unsigned] = ACTIONS(6232),
    [anon_sym_long] = ACTIONS(6232),
    [anon_sym_short] = ACTIONS(6232),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_STAR_EQ] = ACTIONS(5746),
    [anon_sym_SLASH_EQ] = ACTIONS(5746),
    [anon_sym_PERCENT_EQ] = ACTIONS(5746),
    [anon_sym_PLUS_EQ] = ACTIONS(5746),
    [anon_sym_DASH_EQ] = ACTIONS(5746),
    [anon_sym_LT_LT_EQ] = ACTIONS(5746),
    [anon_sym_GT_GT_EQ] = ACTIONS(5746),
    [anon_sym_AMP_EQ] = ACTIONS(5746),
    [anon_sym_CARET_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_and_eq] = ACTIONS(5746),
    [anon_sym_or_eq] = ACTIONS(5746),
    [anon_sym_xor_eq] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5748),
    [anon_sym_and] = ACTIONS(5748),
    [anon_sym_bitor] = ACTIONS(5746),
    [anon_sym_xor] = ACTIONS(5748),
    [anon_sym_bitand] = ACTIONS(5746),
    [anon_sym_not_eq] = ACTIONS(5746),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5746),
    [anon_sym_decltype] = ACTIONS(5746),
  },
  [2312] = {
    [sym_string_literal] = STATE(2169),
    [sym_raw_string_literal] = STATE(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5834),
    [anon_sym_COMMA] = ACTIONS(5834),
    [anon_sym_RPAREN] = ACTIONS(5834),
    [anon_sym_LPAREN2] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5832),
    [anon_sym_STAR] = ACTIONS(5832),
    [anon_sym_SLASH] = ACTIONS(5832),
    [anon_sym_PERCENT] = ACTIONS(5832),
    [anon_sym_PIPE_PIPE] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5834),
    [anon_sym_PIPE] = ACTIONS(5832),
    [anon_sym_CARET] = ACTIONS(5832),
    [anon_sym_AMP] = ACTIONS(5832),
    [anon_sym_EQ_EQ] = ACTIONS(5834),
    [anon_sym_BANG_EQ] = ACTIONS(5834),
    [anon_sym_GT] = ACTIONS(5832),
    [anon_sym_GT_EQ] = ACTIONS(5834),
    [anon_sym_LT_EQ] = ACTIONS(5832),
    [anon_sym_LT] = ACTIONS(5832),
    [anon_sym_LT_LT] = ACTIONS(5832),
    [anon_sym_GT_GT] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5834),
    [anon_sym_EQ] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5834),
    [anon_sym_STAR_EQ] = ACTIONS(5834),
    [anon_sym_SLASH_EQ] = ACTIONS(5834),
    [anon_sym_PERCENT_EQ] = ACTIONS(5834),
    [anon_sym_PLUS_EQ] = ACTIONS(5834),
    [anon_sym_DASH_EQ] = ACTIONS(5834),
    [anon_sym_LT_LT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_AMP_EQ] = ACTIONS(5834),
    [anon_sym_CARET_EQ] = ACTIONS(5834),
    [anon_sym_PIPE_EQ] = ACTIONS(5834),
    [anon_sym_and_eq] = ACTIONS(5832),
    [anon_sym_or_eq] = ACTIONS(5832),
    [anon_sym_xor_eq] = ACTIONS(5832),
    [anon_sym_LT_EQ_GT] = ACTIONS(5834),
    [anon_sym_or] = ACTIONS(5832),
    [anon_sym_and] = ACTIONS(5832),
    [anon_sym_bitor] = ACTIONS(5832),
    [anon_sym_xor] = ACTIONS(5832),
    [anon_sym_bitand] = ACTIONS(5832),
    [anon_sym_not_eq] = ACTIONS(5832),
    [anon_sym_DASH_DASH] = ACTIONS(5834),
    [anon_sym_PLUS_PLUS] = ACTIONS(5834),
    [anon_sym_DOT] = ACTIONS(5832),
    [anon_sym_DOT_STAR] = ACTIONS(5834),
    [anon_sym_DASH_GT] = ACTIONS(5832),
    [anon_sym_L_DQUOTE] = ACTIONS(4916),
    [anon_sym_u_DQUOTE] = ACTIONS(4916),
    [anon_sym_U_DQUOTE] = ACTIONS(4916),
    [anon_sym_u8_DQUOTE] = ACTIONS(4916),
    [anon_sym_DQUOTE] = ACTIONS(4916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4918),
    [anon_sym_LR_DQUOTE] = ACTIONS(4918),
    [anon_sym_uR_DQUOTE] = ACTIONS(4918),
    [anon_sym_UR_DQUOTE] = ACTIONS(4918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4918),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5834),
    [sym_literal_suffix] = ACTIONS(5832),
  },
  [2313] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5736),
    [anon_sym_RPAREN] = ACTIONS(5736),
    [anon_sym_LPAREN2] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5738),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5738),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5738),
    [anon_sym_EQ_EQ] = ACTIONS(5736),
    [anon_sym_BANG_EQ] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5738),
    [anon_sym_GT_EQ] = ACTIONS(5736),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5738),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___attribute] = ACTIONS(5738),
    [anon_sym_LBRACE] = ACTIONS(5736),
    [anon_sym_RBRACE] = ACTIONS(5736),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_RBRACK] = ACTIONS(5736),
    [anon_sym_EQ] = ACTIONS(5738),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_QMARK] = ACTIONS(5736),
    [anon_sym_STAR_EQ] = ACTIONS(5736),
    [anon_sym_SLASH_EQ] = ACTIONS(5736),
    [anon_sym_PERCENT_EQ] = ACTIONS(5736),
    [anon_sym_PLUS_EQ] = ACTIONS(5736),
    [anon_sym_DASH_EQ] = ACTIONS(5736),
    [anon_sym_LT_LT_EQ] = ACTIONS(5736),
    [anon_sym_GT_GT_EQ] = ACTIONS(5736),
    [anon_sym_AMP_EQ] = ACTIONS(5736),
    [anon_sym_CARET_EQ] = ACTIONS(5736),
    [anon_sym_PIPE_EQ] = ACTIONS(5736),
    [anon_sym_and_eq] = ACTIONS(5736),
    [anon_sym_or_eq] = ACTIONS(5736),
    [anon_sym_xor_eq] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5736),
    [anon_sym_or] = ACTIONS(5738),
    [anon_sym_and] = ACTIONS(5738),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5738),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5736),
    [anon_sym_PLUS_PLUS] = ACTIONS(5736),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_DOT_STAR] = ACTIONS(5736),
    [anon_sym_DASH_GT] = ACTIONS(5736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
  },
  [2314] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_CARET] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5674),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___attribute] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_and] = ACTIONS(5674),
    [anon_sym_bitor] = ACTIONS(5674),
    [anon_sym_xor] = ACTIONS(5674),
    [anon_sym_bitand] = ACTIONS(5674),
    [anon_sym_not_eq] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_DOT_STAR] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_L_DQUOTE] = ACTIONS(5676),
    [anon_sym_u_DQUOTE] = ACTIONS(5676),
    [anon_sym_U_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8_DQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5676),
    [anon_sym_LR_DQUOTE] = ACTIONS(5676),
    [anon_sym_uR_DQUOTE] = ACTIONS(5676),
    [anon_sym_UR_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5676),
    [sym_literal_suffix] = ACTIONS(5674),
  },
  [2315] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5754),
    [anon_sym_COMMA] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5756),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5754),
    [anon_sym_AMP_AMP] = ACTIONS(5754),
    [anon_sym_PIPE] = ACTIONS(5756),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym_EQ_EQ] = ACTIONS(5754),
    [anon_sym_BANG_EQ] = ACTIONS(5754),
    [anon_sym_GT] = ACTIONS(5756),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5756),
    [anon_sym_LT] = ACTIONS(5756),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym_SEMI] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___attribute] = ACTIONS(5756),
    [anon_sym_LBRACE] = ACTIONS(5754),
    [anon_sym_RBRACE] = ACTIONS(5754),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5754),
    [anon_sym_RBRACK] = ACTIONS(5754),
    [anon_sym_EQ] = ACTIONS(5756),
    [anon_sym_COLON] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5754),
    [anon_sym_STAR_EQ] = ACTIONS(5754),
    [anon_sym_SLASH_EQ] = ACTIONS(5754),
    [anon_sym_PERCENT_EQ] = ACTIONS(5754),
    [anon_sym_PLUS_EQ] = ACTIONS(5754),
    [anon_sym_DASH_EQ] = ACTIONS(5754),
    [anon_sym_LT_LT_EQ] = ACTIONS(5754),
    [anon_sym_GT_GT_EQ] = ACTIONS(5754),
    [anon_sym_AMP_EQ] = ACTIONS(5754),
    [anon_sym_CARET_EQ] = ACTIONS(5754),
    [anon_sym_PIPE_EQ] = ACTIONS(5754),
    [anon_sym_and_eq] = ACTIONS(5754),
    [anon_sym_or_eq] = ACTIONS(5754),
    [anon_sym_xor_eq] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5754),
    [anon_sym_or] = ACTIONS(5756),
    [anon_sym_and] = ACTIONS(5756),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5756),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5754),
    [anon_sym_PLUS_PLUS] = ACTIONS(5754),
    [anon_sym_DOT] = ACTIONS(5756),
    [anon_sym_DOT_STAR] = ACTIONS(5754),
    [anon_sym_DASH_GT] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_LPAREN2] = ACTIONS(5672),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym___attribute] = ACTIONS(5670),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_EQ] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_and_eq] = ACTIONS(5670),
    [anon_sym_or_eq] = ACTIONS(5670),
    [anon_sym_xor_eq] = ACTIONS(5670),
    [anon_sym_LT_EQ_GT] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_and] = ACTIONS(5670),
    [anon_sym_bitor] = ACTIONS(5670),
    [anon_sym_xor] = ACTIONS(5670),
    [anon_sym_bitand] = ACTIONS(5670),
    [anon_sym_not_eq] = ACTIONS(5670),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_DOT_STAR] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_L_DQUOTE] = ACTIONS(5672),
    [anon_sym_u_DQUOTE] = ACTIONS(5672),
    [anon_sym_U_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8_DQUOTE] = ACTIONS(5672),
    [anon_sym_DQUOTE] = ACTIONS(5672),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5672),
    [anon_sym_LR_DQUOTE] = ACTIONS(5672),
    [anon_sym_uR_DQUOTE] = ACTIONS(5672),
    [anon_sym_UR_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5672),
    [sym_literal_suffix] = ACTIONS(5670),
  },
  [2317] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5790),
    [anon_sym_COMMA] = ACTIONS(5790),
    [anon_sym_RPAREN] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_STAR] = ACTIONS(5792),
    [anon_sym_SLASH] = ACTIONS(5792),
    [anon_sym_PERCENT] = ACTIONS(5792),
    [anon_sym_PIPE_PIPE] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5790),
    [anon_sym_PIPE] = ACTIONS(5792),
    [anon_sym_CARET] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(5792),
    [anon_sym_EQ_EQ] = ACTIONS(5790),
    [anon_sym_BANG_EQ] = ACTIONS(5790),
    [anon_sym_GT] = ACTIONS(5792),
    [anon_sym_GT_EQ] = ACTIONS(5790),
    [anon_sym_LT_EQ] = ACTIONS(5792),
    [anon_sym_LT] = ACTIONS(5792),
    [anon_sym_LT_LT] = ACTIONS(5792),
    [anon_sym_GT_GT] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5790),
    [anon_sym___attribute__] = ACTIONS(5790),
    [anon_sym___attribute] = ACTIONS(5792),
    [anon_sym_LBRACE] = ACTIONS(5790),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_signed] = ACTIONS(6234),
    [anon_sym_unsigned] = ACTIONS(6234),
    [anon_sym_long] = ACTIONS(6234),
    [anon_sym_short] = ACTIONS(6234),
    [anon_sym_LBRACK] = ACTIONS(5790),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_COLON] = ACTIONS(5790),
    [anon_sym_QMARK] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_and_eq] = ACTIONS(5790),
    [anon_sym_or_eq] = ACTIONS(5790),
    [anon_sym_xor_eq] = ACTIONS(5790),
    [anon_sym_LT_EQ_GT] = ACTIONS(5790),
    [anon_sym_or] = ACTIONS(5792),
    [anon_sym_and] = ACTIONS(5792),
    [anon_sym_bitor] = ACTIONS(5790),
    [anon_sym_xor] = ACTIONS(5792),
    [anon_sym_bitand] = ACTIONS(5790),
    [anon_sym_not_eq] = ACTIONS(5790),
    [anon_sym_DASH_DASH] = ACTIONS(5790),
    [anon_sym_PLUS_PLUS] = ACTIONS(5790),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_DOT_STAR] = ACTIONS(5790),
    [anon_sym_DASH_GT] = ACTIONS(5790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5790),
    [anon_sym_decltype] = ACTIONS(5790),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(5427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5429),
    [anon_sym_COMMA] = ACTIONS(5429),
    [anon_sym_RPAREN] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_TILDE] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(5429),
    [anon_sym_AMP_AMP] = ACTIONS(5429),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_SEMI] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_virtual] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_COLON_COLON] = ACTIONS(5429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___based] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_LBRACE] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_EQ] = ACTIONS(5429),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_mutable] = ACTIONS(5427),
    [anon_sym_constinit] = ACTIONS(5427),
    [anon_sym_consteval] = ACTIONS(5427),
    [anon_sym_PROGMEM] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_asm] = ACTIONS(5427),
    [anon_sym___asm__] = ACTIONS(5427),
    [anon_sym___asm] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5427),
    [anon_sym_decltype] = ACTIONS(5427),
    [anon_sym_final] = ACTIONS(5427),
    [anon_sym_override] = ACTIONS(5427),
    [anon_sym_template] = ACTIONS(5427),
    [anon_sym_GT2] = ACTIONS(5429),
    [anon_sym_operator] = ACTIONS(5427),
    [anon_sym_try] = ACTIONS(5427),
    [anon_sym_requires] = ACTIONS(5427),
  },
  [2319] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2313),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5786),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5786),
    [anon_sym_CARET] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5786),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5786),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5786),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5784),
    [anon_sym___attribute] = ACTIONS(5786),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_signed] = ACTIONS(6236),
    [anon_sym_unsigned] = ACTIONS(6236),
    [anon_sym_long] = ACTIONS(6236),
    [anon_sym_short] = ACTIONS(6236),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_RBRACK] = ACTIONS(5784),
    [anon_sym_EQ] = ACTIONS(5786),
    [anon_sym_COLON] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_STAR_EQ] = ACTIONS(5784),
    [anon_sym_SLASH_EQ] = ACTIONS(5784),
    [anon_sym_PERCENT_EQ] = ACTIONS(5784),
    [anon_sym_PLUS_EQ] = ACTIONS(5784),
    [anon_sym_DASH_EQ] = ACTIONS(5784),
    [anon_sym_LT_LT_EQ] = ACTIONS(5784),
    [anon_sym_GT_GT_EQ] = ACTIONS(5784),
    [anon_sym_AMP_EQ] = ACTIONS(5784),
    [anon_sym_CARET_EQ] = ACTIONS(5784),
    [anon_sym_PIPE_EQ] = ACTIONS(5784),
    [anon_sym_and_eq] = ACTIONS(5784),
    [anon_sym_or_eq] = ACTIONS(5784),
    [anon_sym_xor_eq] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5786),
    [anon_sym_and] = ACTIONS(5786),
    [anon_sym_bitor] = ACTIONS(5784),
    [anon_sym_xor] = ACTIONS(5786),
    [anon_sym_bitand] = ACTIONS(5784),
    [anon_sym_not_eq] = ACTIONS(5784),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5784),
    [anon_sym_decltype] = ACTIONS(5784),
  },
  [2320] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_RPAREN] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5758),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___attribute] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_STAR_EQ] = ACTIONS(5758),
    [anon_sym_SLASH_EQ] = ACTIONS(5758),
    [anon_sym_PERCENT_EQ] = ACTIONS(5758),
    [anon_sym_PLUS_EQ] = ACTIONS(5758),
    [anon_sym_DASH_EQ] = ACTIONS(5758),
    [anon_sym_LT_LT_EQ] = ACTIONS(5758),
    [anon_sym_GT_GT_EQ] = ACTIONS(5758),
    [anon_sym_AMP_EQ] = ACTIONS(5758),
    [anon_sym_CARET_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_and_eq] = ACTIONS(5758),
    [anon_sym_or_eq] = ACTIONS(5758),
    [anon_sym_xor_eq] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5758),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5758),
    [anon_sym_PLUS_PLUS] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
  },
  [2321] = {
    [sym__declaration_modifiers] = STATE(2527),
    [sym_attribute_specifier] = STATE(2527),
    [sym_attribute_declaration] = STATE(2527),
    [sym_ms_declspec_modifier] = STATE(2527),
    [sym_storage_class_specifier] = STATE(2527),
    [sym_type_qualifier] = STATE(2527),
    [sym_alignas_qualifier] = STATE(2932),
    [sym_decltype_auto] = STATE(2370),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2527),
    [sym_identifier] = ACTIONS(6238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6240),
    [anon_sym_COMMA] = ACTIONS(6240),
    [anon_sym_RPAREN] = ACTIONS(6240),
    [anon_sym_LPAREN2] = ACTIONS(6240),
    [anon_sym_TILDE] = ACTIONS(6240),
    [anon_sym_STAR] = ACTIONS(6240),
    [anon_sym_AMP_AMP] = ACTIONS(6240),
    [anon_sym_AMP] = ACTIONS(6238),
    [anon_sym_SEMI] = ACTIONS(6240),
    [anon_sym___extension__] = ACTIONS(5620),
    [anon_sym_virtual] = ACTIONS(6242),
    [anon_sym_extern] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___attribute] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(6240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(6238),
    [anon_sym___cdecl] = ACTIONS(6238),
    [anon_sym___clrcall] = ACTIONS(6238),
    [anon_sym___stdcall] = ACTIONS(6238),
    [anon_sym___fastcall] = ACTIONS(6238),
    [anon_sym___thiscall] = ACTIONS(6238),
    [anon_sym___vectorcall] = ACTIONS(6238),
    [anon_sym_LBRACK] = ACTIONS(6238),
    [anon_sym_static] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(6240),
    [anon_sym_register] = ACTIONS(5624),
    [anon_sym_inline] = ACTIONS(5624),
    [anon_sym___inline] = ACTIONS(5624),
    [anon_sym___inline__] = ACTIONS(5624),
    [anon_sym___forceinline] = ACTIONS(5624),
    [anon_sym_thread_local] = ACTIONS(5624),
    [anon_sym___thread] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5620),
    [anon_sym_constexpr] = ACTIONS(5620),
    [anon_sym_volatile] = ACTIONS(5620),
    [anon_sym_restrict] = ACTIONS(5620),
    [anon_sym___restrict__] = ACTIONS(5620),
    [anon_sym__Atomic] = ACTIONS(5620),
    [anon_sym__Noreturn] = ACTIONS(5620),
    [anon_sym_noreturn] = ACTIONS(5620),
    [anon_sym__Nonnull] = ACTIONS(5620),
    [anon_sym_mutable] = ACTIONS(5620),
    [anon_sym_constinit] = ACTIONS(5620),
    [anon_sym_consteval] = ACTIONS(5620),
    [anon_sym_PROGMEM] = ACTIONS(5620),
    [anon_sym_alignas] = ACTIONS(5634),
    [anon_sym__Alignas] = ACTIONS(5634),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6215),
    [anon_sym_decltype] = ACTIONS(6217),
    [anon_sym_template] = ACTIONS(6238),
    [anon_sym_GT2] = ACTIONS(6240),
    [anon_sym_operator] = ACTIONS(6238),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(5439),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_TILDE] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_virtual] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___based] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_EQ] = ACTIONS(5441),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_mutable] = ACTIONS(5439),
    [anon_sym_constinit] = ACTIONS(5439),
    [anon_sym_consteval] = ACTIONS(5439),
    [anon_sym_PROGMEM] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_asm] = ACTIONS(5439),
    [anon_sym___asm__] = ACTIONS(5439),
    [anon_sym___asm] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5439),
    [anon_sym_decltype] = ACTIONS(5439),
    [anon_sym_final] = ACTIONS(5439),
    [anon_sym_override] = ACTIONS(5439),
    [anon_sym_template] = ACTIONS(5439),
    [anon_sym_GT2] = ACTIONS(5441),
    [anon_sym_operator] = ACTIONS(5439),
    [anon_sym_try] = ACTIONS(5439),
    [anon_sym_requires] = ACTIONS(5439),
  },
  [2323] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5774),
    [anon_sym_COMMA] = ACTIONS(5774),
    [anon_sym_RPAREN] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5776),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5774),
    [anon_sym_AMP_AMP] = ACTIONS(5774),
    [anon_sym_PIPE] = ACTIONS(5776),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5776),
    [anon_sym_EQ_EQ] = ACTIONS(5774),
    [anon_sym_BANG_EQ] = ACTIONS(5774),
    [anon_sym_GT] = ACTIONS(5776),
    [anon_sym_GT_EQ] = ACTIONS(5774),
    [anon_sym_LT_EQ] = ACTIONS(5776),
    [anon_sym_LT] = ACTIONS(5776),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___attribute] = ACTIONS(5776),
    [anon_sym_LBRACE] = ACTIONS(5774),
    [anon_sym_RBRACE] = ACTIONS(5774),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5774),
    [anon_sym_RBRACK] = ACTIONS(5774),
    [anon_sym_EQ] = ACTIONS(5776),
    [anon_sym_COLON] = ACTIONS(5774),
    [anon_sym_QMARK] = ACTIONS(5774),
    [anon_sym_STAR_EQ] = ACTIONS(5774),
    [anon_sym_SLASH_EQ] = ACTIONS(5774),
    [anon_sym_PERCENT_EQ] = ACTIONS(5774),
    [anon_sym_PLUS_EQ] = ACTIONS(5774),
    [anon_sym_DASH_EQ] = ACTIONS(5774),
    [anon_sym_LT_LT_EQ] = ACTIONS(5774),
    [anon_sym_GT_GT_EQ] = ACTIONS(5774),
    [anon_sym_AMP_EQ] = ACTIONS(5774),
    [anon_sym_CARET_EQ] = ACTIONS(5774),
    [anon_sym_PIPE_EQ] = ACTIONS(5774),
    [anon_sym_and_eq] = ACTIONS(5774),
    [anon_sym_or_eq] = ACTIONS(5774),
    [anon_sym_xor_eq] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5774),
    [anon_sym_or] = ACTIONS(5776),
    [anon_sym_and] = ACTIONS(5776),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5776),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5774),
    [anon_sym_PLUS_PLUS] = ACTIONS(5774),
    [anon_sym_DOT] = ACTIONS(5776),
    [anon_sym_DOT_STAR] = ACTIONS(5774),
    [anon_sym_DASH_GT] = ACTIONS(5774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
  },
  [2324] = {
    [sym_decltype_auto] = STATE(2370),
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5359),
    [anon_sym_COMMA] = ACTIONS(5359),
    [anon_sym_RPAREN] = ACTIONS(5359),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_AMP_AMP] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5357),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym___extension__] = ACTIONS(5357),
    [anon_sym_virtual] = ACTIONS(5357),
    [anon_sym_extern] = ACTIONS(5357),
    [anon_sym___attribute__] = ACTIONS(5357),
    [anon_sym___attribute] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5359),
    [anon_sym___declspec] = ACTIONS(5357),
    [anon_sym___based] = ACTIONS(5357),
    [anon_sym___cdecl] = ACTIONS(5357),
    [anon_sym___clrcall] = ACTIONS(5357),
    [anon_sym___stdcall] = ACTIONS(5357),
    [anon_sym___fastcall] = ACTIONS(5357),
    [anon_sym___thiscall] = ACTIONS(5357),
    [anon_sym___vectorcall] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5357),
    [anon_sym_static] = ACTIONS(5357),
    [anon_sym_EQ] = ACTIONS(5359),
    [anon_sym_register] = ACTIONS(5357),
    [anon_sym_inline] = ACTIONS(5357),
    [anon_sym___inline] = ACTIONS(5357),
    [anon_sym___inline__] = ACTIONS(5357),
    [anon_sym___forceinline] = ACTIONS(5357),
    [anon_sym_thread_local] = ACTIONS(5357),
    [anon_sym___thread] = ACTIONS(5357),
    [anon_sym_const] = ACTIONS(5357),
    [anon_sym_constexpr] = ACTIONS(5357),
    [anon_sym_volatile] = ACTIONS(5357),
    [anon_sym_restrict] = ACTIONS(5357),
    [anon_sym___restrict__] = ACTIONS(5357),
    [anon_sym__Atomic] = ACTIONS(5357),
    [anon_sym__Noreturn] = ACTIONS(5357),
    [anon_sym_noreturn] = ACTIONS(5357),
    [anon_sym__Nonnull] = ACTIONS(5357),
    [anon_sym_mutable] = ACTIONS(5357),
    [anon_sym_constinit] = ACTIONS(5357),
    [anon_sym_consteval] = ACTIONS(5357),
    [anon_sym_PROGMEM] = ACTIONS(5357),
    [anon_sym_alignas] = ACTIONS(5357),
    [anon_sym__Alignas] = ACTIONS(5357),
    [anon_sym_asm] = ACTIONS(5357),
    [anon_sym___asm__] = ACTIONS(5357),
    [anon_sym___asm] = ACTIONS(5357),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6215),
    [anon_sym_decltype] = ACTIONS(6217),
    [anon_sym_final] = ACTIONS(5357),
    [anon_sym_override] = ACTIONS(5357),
    [anon_sym_template] = ACTIONS(5357),
    [anon_sym_GT2] = ACTIONS(5359),
    [anon_sym_operator] = ACTIONS(5357),
    [anon_sym_try] = ACTIONS(5357),
    [anon_sym_requires] = ACTIONS(5357),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(6244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6246),
    [anon_sym_COMMA] = ACTIONS(6246),
    [anon_sym_RPAREN] = ACTIONS(6246),
    [aux_sym_preproc_if_token2] = ACTIONS(6246),
    [aux_sym_preproc_else_token1] = ACTIONS(6246),
    [aux_sym_preproc_elif_token1] = ACTIONS(6244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6246),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6246),
    [anon_sym_LPAREN2] = ACTIONS(6246),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_STAR] = ACTIONS(6244),
    [anon_sym_SLASH] = ACTIONS(6244),
    [anon_sym_PERCENT] = ACTIONS(6244),
    [anon_sym_PIPE_PIPE] = ACTIONS(6246),
    [anon_sym_AMP_AMP] = ACTIONS(6246),
    [anon_sym_PIPE] = ACTIONS(6244),
    [anon_sym_CARET] = ACTIONS(6244),
    [anon_sym_AMP] = ACTIONS(6244),
    [anon_sym_EQ_EQ] = ACTIONS(6246),
    [anon_sym_BANG_EQ] = ACTIONS(6246),
    [anon_sym_GT] = ACTIONS(6244),
    [anon_sym_GT_EQ] = ACTIONS(6246),
    [anon_sym_LT_EQ] = ACTIONS(6244),
    [anon_sym_LT] = ACTIONS(6244),
    [anon_sym_LT_LT] = ACTIONS(6244),
    [anon_sym_GT_GT] = ACTIONS(6244),
    [anon_sym_SEMI] = ACTIONS(6246),
    [anon_sym___attribute__] = ACTIONS(6244),
    [anon_sym___attribute] = ACTIONS(6244),
    [anon_sym_COLON_COLON] = ACTIONS(4883),
    [anon_sym_LBRACE] = ACTIONS(6246),
    [anon_sym_RBRACE] = ACTIONS(6246),
    [anon_sym_LBRACK] = ACTIONS(6246),
    [anon_sym_RBRACK] = ACTIONS(6246),
    [anon_sym_EQ] = ACTIONS(6244),
    [anon_sym_COLON] = ACTIONS(6244),
    [anon_sym_QMARK] = ACTIONS(6246),
    [anon_sym_STAR_EQ] = ACTIONS(6246),
    [anon_sym_SLASH_EQ] = ACTIONS(6246),
    [anon_sym_PERCENT_EQ] = ACTIONS(6246),
    [anon_sym_PLUS_EQ] = ACTIONS(6246),
    [anon_sym_DASH_EQ] = ACTIONS(6246),
    [anon_sym_LT_LT_EQ] = ACTIONS(6246),
    [anon_sym_GT_GT_EQ] = ACTIONS(6246),
    [anon_sym_AMP_EQ] = ACTIONS(6246),
    [anon_sym_CARET_EQ] = ACTIONS(6246),
    [anon_sym_PIPE_EQ] = ACTIONS(6246),
    [anon_sym_and_eq] = ACTIONS(6244),
    [anon_sym_or_eq] = ACTIONS(6244),
    [anon_sym_xor_eq] = ACTIONS(6244),
    [anon_sym_LT_EQ_GT] = ACTIONS(6246),
    [anon_sym_or] = ACTIONS(6244),
    [anon_sym_and] = ACTIONS(6244),
    [anon_sym_bitor] = ACTIONS(6244),
    [anon_sym_xor] = ACTIONS(6244),
    [anon_sym_bitand] = ACTIONS(6244),
    [anon_sym_not_eq] = ACTIONS(6244),
    [anon_sym_DASH_DASH] = ACTIONS(6246),
    [anon_sym_PLUS_PLUS] = ACTIONS(6246),
    [anon_sym_DOT] = ACTIONS(6244),
    [anon_sym_DOT_STAR] = ACTIONS(6246),
    [anon_sym_DASH_GT] = ACTIONS(6246),
    [sym_comment] = ACTIONS(3),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(5666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym___attribute__] = ACTIONS(5666),
    [anon_sym___attribute] = ACTIONS(5666),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_and_eq] = ACTIONS(5666),
    [anon_sym_or_eq] = ACTIONS(5666),
    [anon_sym_xor_eq] = ACTIONS(5666),
    [anon_sym_LT_EQ_GT] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_and] = ACTIONS(5666),
    [anon_sym_bitor] = ACTIONS(5666),
    [anon_sym_xor] = ACTIONS(5666),
    [anon_sym_bitand] = ACTIONS(5666),
    [anon_sym_not_eq] = ACTIONS(5666),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_DOT_STAR] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_L_DQUOTE] = ACTIONS(5668),
    [anon_sym_u_DQUOTE] = ACTIONS(5668),
    [anon_sym_U_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8_DQUOTE] = ACTIONS(5668),
    [anon_sym_DQUOTE] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5668),
    [anon_sym_LR_DQUOTE] = ACTIONS(5668),
    [anon_sym_uR_DQUOTE] = ACTIONS(5668),
    [anon_sym_UR_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5668),
    [sym_literal_suffix] = ACTIONS(5666),
  },
  [2327] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5593),
    [anon_sym_COMMA] = ACTIONS(5593),
    [anon_sym_RPAREN] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_DASH] = ACTIONS(5591),
    [anon_sym_PLUS] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_SLASH] = ACTIONS(5591),
    [anon_sym_PERCENT] = ACTIONS(5591),
    [anon_sym_PIPE_PIPE] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_PIPE] = ACTIONS(5591),
    [anon_sym_CARET] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym_EQ_EQ] = ACTIONS(5593),
    [anon_sym_BANG_EQ] = ACTIONS(5593),
    [anon_sym_GT] = ACTIONS(5591),
    [anon_sym_GT_EQ] = ACTIONS(5593),
    [anon_sym_LT_EQ] = ACTIONS(5591),
    [anon_sym_LT] = ACTIONS(5591),
    [anon_sym_LT_LT] = ACTIONS(5591),
    [anon_sym_GT_GT] = ACTIONS(5591),
    [anon_sym_SEMI] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym___attribute] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5593),
    [anon_sym_RBRACE] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(6248),
    [anon_sym_unsigned] = ACTIONS(6248),
    [anon_sym_long] = ACTIONS(6248),
    [anon_sym_short] = ACTIONS(6248),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_RBRACK] = ACTIONS(5593),
    [anon_sym_EQ] = ACTIONS(5591),
    [anon_sym_COLON] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_STAR_EQ] = ACTIONS(5593),
    [anon_sym_SLASH_EQ] = ACTIONS(5593),
    [anon_sym_PERCENT_EQ] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(5593),
    [anon_sym_DASH_EQ] = ACTIONS(5593),
    [anon_sym_LT_LT_EQ] = ACTIONS(5593),
    [anon_sym_GT_GT_EQ] = ACTIONS(5593),
    [anon_sym_AMP_EQ] = ACTIONS(5593),
    [anon_sym_CARET_EQ] = ACTIONS(5593),
    [anon_sym_PIPE_EQ] = ACTIONS(5593),
    [anon_sym_and_eq] = ACTIONS(5593),
    [anon_sym_or_eq] = ACTIONS(5593),
    [anon_sym_xor_eq] = ACTIONS(5593),
    [anon_sym_LT_EQ_GT] = ACTIONS(5593),
    [anon_sym_or] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_bitor] = ACTIONS(5593),
    [anon_sym_xor] = ACTIONS(5591),
    [anon_sym_bitand] = ACTIONS(5593),
    [anon_sym_not_eq] = ACTIONS(5593),
    [anon_sym_DASH_DASH] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(5593),
    [anon_sym_DOT] = ACTIONS(5591),
    [anon_sym_DOT_STAR] = ACTIONS(5593),
    [anon_sym_DASH_GT] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
  },
  [2328] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_RPAREN] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym_SEMI] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(5742),
    [anon_sym___attribute] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_signed] = ACTIONS(6226),
    [anon_sym_unsigned] = ACTIONS(6226),
    [anon_sym_long] = ACTIONS(6226),
    [anon_sym_short] = ACTIONS(6226),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_RBRACK] = ACTIONS(5742),
    [anon_sym_EQ] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_STAR_EQ] = ACTIONS(5742),
    [anon_sym_SLASH_EQ] = ACTIONS(5742),
    [anon_sym_PERCENT_EQ] = ACTIONS(5742),
    [anon_sym_PLUS_EQ] = ACTIONS(5742),
    [anon_sym_DASH_EQ] = ACTIONS(5742),
    [anon_sym_LT_LT_EQ] = ACTIONS(5742),
    [anon_sym_GT_GT_EQ] = ACTIONS(5742),
    [anon_sym_AMP_EQ] = ACTIONS(5742),
    [anon_sym_CARET_EQ] = ACTIONS(5742),
    [anon_sym_PIPE_EQ] = ACTIONS(5742),
    [anon_sym_and_eq] = ACTIONS(5742),
    [anon_sym_or_eq] = ACTIONS(5742),
    [anon_sym_xor_eq] = ACTIONS(5742),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5742),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5742),
    [anon_sym_not_eq] = ACTIONS(5742),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5742),
    [anon_sym_decltype] = ACTIONS(5742),
  },
  [2329] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5441),
    [anon_sym_COMMA] = ACTIONS(5441),
    [anon_sym_RPAREN] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5439),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5441),
    [anon_sym_PIPE] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5441),
    [anon_sym_BANG_EQ] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5441),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5439),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5439),
    [anon_sym_SEMI] = ACTIONS(5441),
    [anon_sym___attribute__] = ACTIONS(5441),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(5441),
    [anon_sym_RBRACE] = ACTIONS(5441),
    [anon_sym_signed] = ACTIONS(6248),
    [anon_sym_unsigned] = ACTIONS(6248),
    [anon_sym_long] = ACTIONS(6248),
    [anon_sym_short] = ACTIONS(6248),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_EQ] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_STAR_EQ] = ACTIONS(5441),
    [anon_sym_SLASH_EQ] = ACTIONS(5441),
    [anon_sym_PERCENT_EQ] = ACTIONS(5441),
    [anon_sym_PLUS_EQ] = ACTIONS(5441),
    [anon_sym_DASH_EQ] = ACTIONS(5441),
    [anon_sym_LT_LT_EQ] = ACTIONS(5441),
    [anon_sym_GT_GT_EQ] = ACTIONS(5441),
    [anon_sym_AMP_EQ] = ACTIONS(5441),
    [anon_sym_CARET_EQ] = ACTIONS(5441),
    [anon_sym_PIPE_EQ] = ACTIONS(5441),
    [anon_sym_and_eq] = ACTIONS(5441),
    [anon_sym_or_eq] = ACTIONS(5441),
    [anon_sym_xor_eq] = ACTIONS(5441),
    [anon_sym_LT_EQ_GT] = ACTIONS(5441),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_bitor] = ACTIONS(5441),
    [anon_sym_xor] = ACTIONS(5439),
    [anon_sym_bitand] = ACTIONS(5441),
    [anon_sym_not_eq] = ACTIONS(5441),
    [anon_sym_DASH_DASH] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5441),
    [anon_sym_DOT] = ACTIONS(5439),
    [anon_sym_DOT_STAR] = ACTIONS(5441),
    [anon_sym_DASH_GT] = ACTIONS(5441),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5441),
    [anon_sym_decltype] = ACTIONS(5441),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_L_DQUOTE] = ACTIONS(5664),
    [anon_sym_u_DQUOTE] = ACTIONS(5664),
    [anon_sym_U_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8_DQUOTE] = ACTIONS(5664),
    [anon_sym_DQUOTE] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5664),
    [anon_sym_LR_DQUOTE] = ACTIONS(5664),
    [anon_sym_uR_DQUOTE] = ACTIONS(5664),
    [anon_sym_UR_DQUOTE] = ACTIONS(5664),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5664),
    [sym_literal_suffix] = ACTIONS(5662),
  },
  [2331] = {
    [sym_attribute_specifier] = STATE(2205),
    [sym_enumerator_list] = STATE(2171),
    [sym__enum_base_clause] = STATE(2148),
    [sym_identifier] = ACTIONS(6250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6252),
    [anon_sym_COMMA] = ACTIONS(6252),
    [aux_sym_preproc_if_token2] = ACTIONS(6252),
    [aux_sym_preproc_else_token1] = ACTIONS(6252),
    [aux_sym_preproc_elif_token1] = ACTIONS(6250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6252),
    [anon_sym_LPAREN2] = ACTIONS(6252),
    [anon_sym_DASH] = ACTIONS(6250),
    [anon_sym_PLUS] = ACTIONS(6250),
    [anon_sym_STAR] = ACTIONS(6250),
    [anon_sym_SLASH] = ACTIONS(6250),
    [anon_sym_PERCENT] = ACTIONS(6250),
    [anon_sym_PIPE_PIPE] = ACTIONS(6252),
    [anon_sym_AMP_AMP] = ACTIONS(6252),
    [anon_sym_PIPE] = ACTIONS(6250),
    [anon_sym_CARET] = ACTIONS(6250),
    [anon_sym_AMP] = ACTIONS(6250),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_GT] = ACTIONS(6250),
    [anon_sym_GT_EQ] = ACTIONS(6252),
    [anon_sym_LT_EQ] = ACTIONS(6250),
    [anon_sym_LT] = ACTIONS(6250),
    [anon_sym_LT_LT] = ACTIONS(6250),
    [anon_sym_GT_GT] = ACTIONS(6250),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5927),
    [anon_sym_LBRACK] = ACTIONS(6252),
    [anon_sym_EQ] = ACTIONS(6250),
    [anon_sym_COLON] = ACTIONS(6254),
    [anon_sym_QMARK] = ACTIONS(6252),
    [anon_sym_STAR_EQ] = ACTIONS(6252),
    [anon_sym_SLASH_EQ] = ACTIONS(6252),
    [anon_sym_PERCENT_EQ] = ACTIONS(6252),
    [anon_sym_PLUS_EQ] = ACTIONS(6252),
    [anon_sym_DASH_EQ] = ACTIONS(6252),
    [anon_sym_LT_LT_EQ] = ACTIONS(6252),
    [anon_sym_GT_GT_EQ] = ACTIONS(6252),
    [anon_sym_AMP_EQ] = ACTIONS(6252),
    [anon_sym_CARET_EQ] = ACTIONS(6252),
    [anon_sym_PIPE_EQ] = ACTIONS(6252),
    [anon_sym_and_eq] = ACTIONS(6250),
    [anon_sym_or_eq] = ACTIONS(6250),
    [anon_sym_xor_eq] = ACTIONS(6250),
    [anon_sym_LT_EQ_GT] = ACTIONS(6252),
    [anon_sym_or] = ACTIONS(6250),
    [anon_sym_and] = ACTIONS(6250),
    [anon_sym_bitor] = ACTIONS(6250),
    [anon_sym_xor] = ACTIONS(6250),
    [anon_sym_bitand] = ACTIONS(6250),
    [anon_sym_not_eq] = ACTIONS(6250),
    [anon_sym_DASH_DASH] = ACTIONS(6252),
    [anon_sym_PLUS_PLUS] = ACTIONS(6252),
    [anon_sym_DOT] = ACTIONS(6250),
    [anon_sym_DOT_STAR] = ACTIONS(6252),
    [anon_sym_DASH_GT] = ACTIONS(6252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6250),
    [anon_sym_decltype] = ACTIONS(6250),
  },
  [2332] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5559),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5557),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5559),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym___extension__] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5559),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5559),
    [anon_sym_unsigned] = ACTIONS(5559),
    [anon_sym_long] = ACTIONS(5559),
    [anon_sym_short] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5559),
    [anon_sym_volatile] = ACTIONS(5559),
    [anon_sym_restrict] = ACTIONS(5559),
    [anon_sym___restrict__] = ACTIONS(5559),
    [anon_sym__Atomic] = ACTIONS(5559),
    [anon_sym__Noreturn] = ACTIONS(5559),
    [anon_sym_noreturn] = ACTIONS(5559),
    [anon_sym__Nonnull] = ACTIONS(5559),
    [anon_sym_mutable] = ACTIONS(5559),
    [anon_sym_constinit] = ACTIONS(5559),
    [anon_sym_consteval] = ACTIONS(5559),
    [anon_sym_PROGMEM] = ACTIONS(5559),
    [anon_sym_alignas] = ACTIONS(5559),
    [anon_sym__Alignas] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5559),
    [anon_sym_and] = ACTIONS(5559),
    [anon_sym_bitor] = ACTIONS(5559),
    [anon_sym_xor] = ACTIONS(5559),
    [anon_sym_bitand] = ACTIONS(5559),
    [anon_sym_not_eq] = ACTIONS(5559),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5559),
    [anon_sym_decltype] = ACTIONS(5559),
    [anon_sym_final] = ACTIONS(5559),
    [anon_sym_override] = ACTIONS(5559),
    [anon_sym_GT2] = ACTIONS(5559),
    [anon_sym_requires] = ACTIONS(5559),
  },
  [2333] = {
    [sym_attribute_specifier] = STATE(2254),
    [sym_enumerator_list] = STATE(2158),
    [sym__enum_base_clause] = STATE(2149),
    [sym_identifier] = ACTIONS(6256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6258),
    [anon_sym_COMMA] = ACTIONS(6258),
    [aux_sym_preproc_if_token2] = ACTIONS(6258),
    [aux_sym_preproc_else_token1] = ACTIONS(6258),
    [aux_sym_preproc_elif_token1] = ACTIONS(6256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6258),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6258),
    [anon_sym_LPAREN2] = ACTIONS(6258),
    [anon_sym_DASH] = ACTIONS(6256),
    [anon_sym_PLUS] = ACTIONS(6256),
    [anon_sym_STAR] = ACTIONS(6256),
    [anon_sym_SLASH] = ACTIONS(6256),
    [anon_sym_PERCENT] = ACTIONS(6256),
    [anon_sym_PIPE_PIPE] = ACTIONS(6258),
    [anon_sym_AMP_AMP] = ACTIONS(6258),
    [anon_sym_PIPE] = ACTIONS(6256),
    [anon_sym_CARET] = ACTIONS(6256),
    [anon_sym_AMP] = ACTIONS(6256),
    [anon_sym_EQ_EQ] = ACTIONS(6258),
    [anon_sym_BANG_EQ] = ACTIONS(6258),
    [anon_sym_GT] = ACTIONS(6256),
    [anon_sym_GT_EQ] = ACTIONS(6258),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_LT] = ACTIONS(6256),
    [anon_sym_LT_LT] = ACTIONS(6256),
    [anon_sym_GT_GT] = ACTIONS(6256),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___attribute] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5927),
    [anon_sym_LBRACK] = ACTIONS(6258),
    [anon_sym_EQ] = ACTIONS(6256),
    [anon_sym_COLON] = ACTIONS(6254),
    [anon_sym_QMARK] = ACTIONS(6258),
    [anon_sym_STAR_EQ] = ACTIONS(6258),
    [anon_sym_SLASH_EQ] = ACTIONS(6258),
    [anon_sym_PERCENT_EQ] = ACTIONS(6258),
    [anon_sym_PLUS_EQ] = ACTIONS(6258),
    [anon_sym_DASH_EQ] = ACTIONS(6258),
    [anon_sym_LT_LT_EQ] = ACTIONS(6258),
    [anon_sym_GT_GT_EQ] = ACTIONS(6258),
    [anon_sym_AMP_EQ] = ACTIONS(6258),
    [anon_sym_CARET_EQ] = ACTIONS(6258),
    [anon_sym_PIPE_EQ] = ACTIONS(6258),
    [anon_sym_and_eq] = ACTIONS(6256),
    [anon_sym_or_eq] = ACTIONS(6256),
    [anon_sym_xor_eq] = ACTIONS(6256),
    [anon_sym_LT_EQ_GT] = ACTIONS(6258),
    [anon_sym_or] = ACTIONS(6256),
    [anon_sym_and] = ACTIONS(6256),
    [anon_sym_bitor] = ACTIONS(6256),
    [anon_sym_xor] = ACTIONS(6256),
    [anon_sym_bitand] = ACTIONS(6256),
    [anon_sym_not_eq] = ACTIONS(6256),
    [anon_sym_DASH_DASH] = ACTIONS(6258),
    [anon_sym_PLUS_PLUS] = ACTIONS(6258),
    [anon_sym_DOT] = ACTIONS(6256),
    [anon_sym_DOT_STAR] = ACTIONS(6258),
    [anon_sym_DASH_GT] = ACTIONS(6258),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6256),
    [anon_sym_decltype] = ACTIONS(6256),
  },
  [2334] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [anon_sym_RPAREN] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5732),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5732),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5732),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5730),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5732),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym_SEMI] = ACTIONS(5730),
    [anon_sym___attribute__] = ACTIONS(5730),
    [anon_sym___attribute] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_RBRACE] = ACTIONS(5730),
    [anon_sym_signed] = ACTIONS(6260),
    [anon_sym_unsigned] = ACTIONS(6260),
    [anon_sym_long] = ACTIONS(6260),
    [anon_sym_short] = ACTIONS(6260),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_RBRACK] = ACTIONS(5730),
    [anon_sym_EQ] = ACTIONS(5732),
    [anon_sym_COLON] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_STAR_EQ] = ACTIONS(5730),
    [anon_sym_SLASH_EQ] = ACTIONS(5730),
    [anon_sym_PERCENT_EQ] = ACTIONS(5730),
    [anon_sym_PLUS_EQ] = ACTIONS(5730),
    [anon_sym_DASH_EQ] = ACTIONS(5730),
    [anon_sym_LT_LT_EQ] = ACTIONS(5730),
    [anon_sym_GT_GT_EQ] = ACTIONS(5730),
    [anon_sym_AMP_EQ] = ACTIONS(5730),
    [anon_sym_CARET_EQ] = ACTIONS(5730),
    [anon_sym_PIPE_EQ] = ACTIONS(5730),
    [anon_sym_and_eq] = ACTIONS(5730),
    [anon_sym_or_eq] = ACTIONS(5730),
    [anon_sym_xor_eq] = ACTIONS(5730),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5732),
    [anon_sym_and] = ACTIONS(5732),
    [anon_sym_bitor] = ACTIONS(5730),
    [anon_sym_xor] = ACTIONS(5732),
    [anon_sym_bitand] = ACTIONS(5730),
    [anon_sym_not_eq] = ACTIONS(5730),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5730),
    [anon_sym_decltype] = ACTIONS(5730),
  },
  [2335] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1872),
    [sym_identifier] = ACTIONS(4996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_COMMA] = ACTIONS(4999),
    [anon_sym_RPAREN] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4996),
    [anon_sym_virtual] = ACTIONS(4996),
    [anon_sym_extern] = ACTIONS(4996),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym___attribute] = ACTIONS(4996),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4996),
    [anon_sym___based] = ACTIONS(4996),
    [anon_sym___cdecl] = ACTIONS(4996),
    [anon_sym___clrcall] = ACTIONS(4996),
    [anon_sym___stdcall] = ACTIONS(4996),
    [anon_sym___fastcall] = ACTIONS(4996),
    [anon_sym___thiscall] = ACTIONS(4996),
    [anon_sym___vectorcall] = ACTIONS(4996),
    [anon_sym_LBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(5678),
    [anon_sym_unsigned] = ACTIONS(5678),
    [anon_sym_long] = ACTIONS(5678),
    [anon_sym_short] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_static] = ACTIONS(4996),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4996),
    [anon_sym_inline] = ACTIONS(4996),
    [anon_sym___inline] = ACTIONS(4996),
    [anon_sym___inline__] = ACTIONS(4996),
    [anon_sym___forceinline] = ACTIONS(4996),
    [anon_sym_thread_local] = ACTIONS(4996),
    [anon_sym___thread] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4996),
    [anon_sym_constexpr] = ACTIONS(4996),
    [anon_sym_volatile] = ACTIONS(4996),
    [anon_sym_restrict] = ACTIONS(4996),
    [anon_sym___restrict__] = ACTIONS(4996),
    [anon_sym__Atomic] = ACTIONS(4996),
    [anon_sym__Noreturn] = ACTIONS(4996),
    [anon_sym_noreturn] = ACTIONS(4996),
    [anon_sym__Nonnull] = ACTIONS(4996),
    [anon_sym_mutable] = ACTIONS(4996),
    [anon_sym_constinit] = ACTIONS(4996),
    [anon_sym_consteval] = ACTIONS(4996),
    [anon_sym_PROGMEM] = ACTIONS(4996),
    [anon_sym_alignas] = ACTIONS(4996),
    [anon_sym__Alignas] = ACTIONS(4996),
    [aux_sym_primitive_type_token1] = ACTIONS(4920),
    [anon_sym_byte] = ACTIONS(4920),
    [anon_sym_word] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [anon_sym_template] = ACTIONS(4996),
    [anon_sym_GT2] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4996),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5577), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [71] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5441), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5514), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5676), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5565), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5498), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2238), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(6145), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6147), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5834), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5832), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5502), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6272), 1,
      sym_identifier,
    STATE(2381), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4385), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4387), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5425), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5423), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5672), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5506), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5534), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2306), 1,
      sym_template_argument_list,
    ACTIONS(6278), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5514), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5510), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 1,
      sym_identifier,
    STATE(2346), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4385), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4387), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5303), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5301), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5581), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1681] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2810), 1,
      sym_field_declaration_list,
    STATE(3031), 1,
      sym_attribute_specifier,
    STATE(6846), 1,
      sym_virtual_specifier,
    STATE(7489), 1,
      sym_base_class_clause,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5650), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [1770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5522), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5664), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5591), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5910), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5908), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [2064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5439), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6301), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [2218] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6309), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6311), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [2303] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2948), 1,
      sym_primitive_type,
    ACTIONS(5874), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6317), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4936), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5869), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4938), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [2392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5559), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5587), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5599), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3821), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5538), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5526), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5492), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2576), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [2968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6321), 1,
      anon_sym_LT,
    STATE(2575), 1,
      sym_template_argument_list,
    ACTIONS(4133), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5689), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [3045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5472), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5480), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5520), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5518), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5546), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6323), 1,
      sym_identifier,
    STATE(2381), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6329), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5386), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5384), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5614), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5569), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6334), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5668), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5542), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6334), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5468), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6334), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2682), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2934), 1,
      sym_primitive_type,
    ACTIONS(5829), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2367), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(6342), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5824), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4966), 24,
      anon_sym_AMP,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [4136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5603), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5612), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5610), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4420] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6352), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6354), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6356), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6358), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4590] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6360), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6362), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6321), 1,
      anon_sym_LT,
    STATE(2575), 1,
      sym_template_argument_list,
    ACTIONS(4866), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4859), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [4752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5472), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [4823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6366), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6370), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5488), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5472), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5178] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 29,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3825), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5530), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6378), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [5559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5476), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6382), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5484), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5563), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5561), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5552), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5550), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5573), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6386), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6390), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6394), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5191), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3759), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6400), 1,
      anon_sym_or,
    ACTIONS(6402), 1,
      anon_sym_and,
    ACTIONS(5842), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5844), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4883), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1970), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4827), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5676), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6406), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6410), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1966), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6418), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6422), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6430), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1571), 1,
      sym_string_literal,
    ACTIONS(6436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [7397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5195), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6450), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5910), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5183), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(2574), 1,
      sym_enumerator_list,
    STATE(2639), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5925), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5187), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8815] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym___attribute,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    STATE(2148), 1,
      sym__enum_base_clause,
    STATE(2171), 1,
      sym_enumerator_list,
    STATE(2205), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6252), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4849), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4845), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4823), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6480), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5466), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [9531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5167), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5167), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5167), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym___attribute,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym___attribute__,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    STATE(2149), 1,
      sym__enum_base_clause,
    STATE(2158), 1,
      sym_enumerator_list,
    STATE(2254), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6258), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4819), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4857), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4853), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5179), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    STATE(2535), 1,
      sym_enumerator_list,
    STATE(2676), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5931), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [10395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10465] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6506), 1,
      anon_sym_virtual,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2498), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6504), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6502), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [10553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5664), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [10693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5142), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1575), 1,
      sym_string_literal,
    ACTIONS(6436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [10837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym_LPAREN2,
    STATE(2513), 1,
      sym_argument_list,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3860), 1,
      sym_initializer_list,
    ACTIONS(6523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [11059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6527), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5175), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6398), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_and,
    ACTIONS(5862), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5864), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5171), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6531), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6535), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5159), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1573), 1,
      sym_string_literal,
    ACTIONS(6436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [11767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 1,
      anon_sym_virtual,
    ACTIONS(6553), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6556), 1,
      anon_sym___declspec,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(6550), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6559), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2498), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6547), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6539), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6537), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6541), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [11855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1572), 1,
      sym_string_literal,
    ACTIONS(6436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [11929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5291), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6564), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5900), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6568), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6572), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5672), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [12351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [12421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6576), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5155), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5291), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [12633] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5697), 1,
      anon_sym_STAR,
    ACTIONS(5699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5701), 1,
      anon_sym_AMP,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6232), 1,
      sym__declarator,
    STATE(6499), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5703), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5695), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [12753] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5697), 1,
      anon_sym_STAR,
    ACTIONS(5699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5701), 1,
      anon_sym_AMP,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6457), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6580), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6578), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [12873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5163), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6422), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2807), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2893), 1,
      sym_field_declaration_list,
    STATE(3105), 1,
      sym_attribute_specifier,
    STATE(6973), 1,
      sym_virtual_specifier,
    STATE(7683), 1,
      sym_base_class_clause,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5650), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5668), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [13661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5408), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6614), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6618), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13941] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6506), 1,
      anon_sym_virtual,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2498), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6626), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6624), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [14029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2654), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6023), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2651), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6019), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4825), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5760), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5593), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5591), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [14540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2670), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5984), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4847), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4843), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2668), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6035), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [14828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4821), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4817), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [14966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4857), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4855), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5441), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [15106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5466), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5464), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4825), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2556), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6635), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5746), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5748), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2555), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5730), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5732), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5289), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5668), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5756), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6641), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6639), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6643), 1,
      anon_sym_LT,
    STATE(2633), 1,
      sym_template_argument_list,
    ACTIONS(4859), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4866), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [15820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5406), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6646), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [15958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5806), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5802), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2592), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5792), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2602), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5786), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5776), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4847), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2357), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4385), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4387), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5832), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5834), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [16467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5676), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2672), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5974), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4851), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2673), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5954), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5429), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6654), 1,
      anon_sym_LT,
    STATE(2576), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2633), 1,
      sym_template_argument_list,
    ACTIONS(6319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4115), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2709), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6656), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6654), 1,
      anon_sym_LT,
    STATE(2633), 1,
      sym_template_argument_list,
    ACTIONS(5689), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4817), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4857), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4855), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4851), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2675), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4876), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5754), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2616), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5988), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2608), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5996), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5291), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5289), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5291), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5289), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2753), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6660), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [17970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2677), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    STATE(2622), 1,
      sym_decltype_auto,
    ACTIONS(5357), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5359), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6668), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5593), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5672), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5291), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2621), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6002), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2591), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6670), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5730), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5742), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5744), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    STATE(2636), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6006), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5664), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2532), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2530), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6674), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5784), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1611), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6628), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4821), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4843), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6676), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [19341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6630), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5738), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2595), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5540), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5563), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5482), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5494), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5500), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19963] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_STAR,
    ACTIONS(5817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5819), 1,
      anon_sym_AMP,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6232), 1,
      sym__declarator,
    STATE(6558), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5695), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(5703), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [20081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6682), 1,
      anon_sym_LT,
    STATE(2662), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(6450), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4115), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5504), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5508), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5597), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5616), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5512), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6684), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(4859), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4866), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [20713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5612), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5601), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5470), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5408), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5736), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5742), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5552), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5548), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5532), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21401] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_STAR,
    ACTIONS(5838), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5840), 1,
      anon_sym_AMP,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6232), 1,
      sym__declarator,
    STATE(6594), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5703), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [21519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5528), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2660), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6689), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5593), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5593), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5589), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5441), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2713), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6691), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5583), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5571), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5774), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6693), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5784), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22355] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_COLON,
    STATE(2749), 1,
      sym__enum_base_clause,
    STATE(2816), 1,
      sym_enumerator_list,
    STATE(3038), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6252), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22437] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_field_declaration_list,
    STATE(3550), 1,
      sym_attribute_specifier,
    STATE(6867), 1,
      sym_virtual_specifier,
    STATE(7740), 1,
      sym_base_class_clause,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5650), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5516), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22591] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_STAR,
    ACTIONS(5817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5819), 1,
      anon_sym_AMP,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6564), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6578), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6580), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [22709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5466), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6705), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5790), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5800), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5567), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5536), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5516), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      sym_identifier,
    STATE(2657), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6710), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6713), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5386), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5384), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2650), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5746), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2653), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6718), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5730), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5758), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [23695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1614), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6687), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5754), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6682), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
    ACTIONS(5689), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 1,
      sym_identifier,
    STATE(2657), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5425), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5423), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5441), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      sym_identifier,
    STATE(2664), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5303), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5301), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [24129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5605), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [24269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5486), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5579), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5544), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5520), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5439), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [24609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5490), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5478), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5575), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5595), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [24881] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_STAR,
    ACTIONS(5838), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5840), 1,
      anon_sym_AMP,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__declarator,
    STATE(6569), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6580), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [24999] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(6697), 1,
      anon_sym_COLON,
    STATE(2733), 1,
      sym__enum_base_clause,
    STATE(2785), 1,
      sym_enumerator_list,
    STATE(3047), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6258), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5524), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5678), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4996), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [25222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5559), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6668), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [25427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6724), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6566), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [25587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6582), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [25654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6726), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [25721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6730), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25814] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6732), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [25907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4930), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [25974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5668), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [26041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5676), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [26108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5672), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [26175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6622), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6620), 33,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [26242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5408), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6734), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26402] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6736), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6738), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [26588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4876), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [26655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5291), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5291), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [26860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6213), 1,
      anon_sym_virtual,
    ACTIONS(6215), 1,
      sym_auto,
    ACTIONS(6217), 1,
      anon_sym_decltype,
    ACTIONS(6740), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2480), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5624), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6209), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5620), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [27020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5466), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [27089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5664), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [27156] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(6744), 1,
      anon_sym_COLON,
    STATE(2754), 1,
      sym__enum_base_clause,
    STATE(2842), 1,
      sym_enumerator_list,
    STATE(3251), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27237] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(6744), 1,
      anon_sym_COLON,
    STATE(2823), 1,
      sym__enum_base_clause,
    STATE(2854), 1,
      sym_enumerator_list,
    STATE(3181), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6258), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5291), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [27384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5910), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [27460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5754), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
    ACTIONS(5689), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [27602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
    STATE(2713), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6691), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4115), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6754), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      sym_auto,
    ACTIONS(6758), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_new_declarator,
    STATE(3521), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5798), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [27760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(2411), 1,
      sym_attribute_specifier,
    STATE(2861), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5931), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5929), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [27834] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6762), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [27918] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6764), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28002] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6766), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28156] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6768), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28240] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6772), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
    ACTIONS(4859), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4866), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28396] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6754), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      sym_auto,
    ACTIONS(6758), 1,
      anon_sym_decltype,
    STATE(3017), 1,
      sym_new_declarator,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3449), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2739), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6775), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5730), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28548] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6777), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28632] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6779), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(2860), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5925), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5923), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [28790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5758), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28860] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6754), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      sym_auto,
    ACTIONS(6758), 1,
      anon_sym_decltype,
    STATE(3036), 1,
      sym_new_declarator,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3459), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28942] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6781), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    STATE(2796), 1,
      sym_enumerator_list,
    STATE(3084), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2660), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6689), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5441), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2741), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6783), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6785), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29326] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6787), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29410] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6789), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29564] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6754), 1,
      anon_sym_LBRACK,
    ACTIONS(6756), 1,
      sym_auto,
    ACTIONS(6758), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    STATE(3076), 1,
      sym_new_declarator,
    STATE(3500), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [29646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6791), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2746), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6793), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5784), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29856] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6795), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [29940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6797), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1626), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6748), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5774), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2730), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5593), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    STATE(2821), 1,
      sym_enumerator_list,
    STATE(3074), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30310] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6801), 1,
      anon_sym_SEMI,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [30394] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5289), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [30564] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(6831), 1,
      anon_sym_COLON,
    STATE(2967), 1,
      sym__enum_base_clause,
    STATE(3033), 1,
      sym_enumerator_list,
    STATE(3472), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6258), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30643] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(2872), 1,
      sym_enumerator_list,
    STATE(3162), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5925), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [30785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_number_literal_token1,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6835), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      aux_sym_number_literal_token2,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [30850] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(6831), 1,
      anon_sym_COLON,
    STATE(2936), 1,
      sym__enum_base_clause,
    STATE(3078), 1,
      sym_enumerator_list,
    STATE(3558), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6252), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      sym_auto,
    ACTIONS(6845), 1,
      anon_sym_decltype,
    STATE(3129), 1,
      sym_decltype_auto,
    STATE(3131), 1,
      sym_new_declarator,
    STATE(3647), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5764), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [31075] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym___attribute,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6883), 1,
      anon_sym_requires,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4736), 1,
      sym__function_attributes_start,
    STATE(4966), 1,
      sym_ref_qualifier,
    STATE(5524), 1,
      sym_trailing_return_type,
    STATE(5657), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5249), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [31194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5466), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_namespace,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [31393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [31458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_namespace,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [31525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3013), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      sym_auto,
    ACTIONS(6845), 1,
      anon_sym_decltype,
    STATE(3129), 1,
      sym_decltype_auto,
    STATE(3211), 1,
      sym_new_declarator,
    STATE(3630), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [31742] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6890), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6892), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31851] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      sym_auto,
    ACTIONS(6845), 1,
      anon_sym_decltype,
    STATE(3129), 1,
      sym_decltype_auto,
    STATE(3249), 1,
      sym_new_declarator,
    STATE(3721), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5780), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [31932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31997] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6898), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6900), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32106] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32306] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [32470] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32565] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5695), 1,
      anon_sym_RPAREN,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6371), 1,
      sym__declarator,
    STATE(6633), 1,
      sym__abstract_declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [32678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4133), 1,
      anon_sym_SEMI,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [32755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3081), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33177] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6904), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6906), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6908), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [33353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5408), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33483] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6912), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6618), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33596] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6914), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6916), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    ACTIONS(6843), 1,
      sym_auto,
    ACTIONS(6845), 1,
      anon_sym_decltype,
    STATE(3129), 1,
      sym_decltype_auto,
    STATE(3225), 1,
      sym_new_declarator,
    STATE(3732), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5798), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [33786] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [33940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6920), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3010), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5984), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6480), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [34143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6922), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34277] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6578), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6387), 1,
      sym__declarator,
    STATE(6664), 1,
      sym__abstract_declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4849), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6926), 1,
      anon_sym_namespace,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4845), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6928), 1,
      anon_sym_typedef,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34654] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6855), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym___attribute,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4683), 1,
      sym__function_attributes_start,
    STATE(4956), 1,
      sym_ref_qualifier,
    STATE(5625), 1,
      sym_trailing_return_type,
    STATE(5651), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5231), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [34773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6932), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [34840] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6912), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6934), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6936), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3015), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5974), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3041), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3053), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6938), 1,
      anon_sym_namespace,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35367] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6912), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6940), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6942), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3006), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6006), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35616] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6819), 1,
      anon_sym_GT_EQ,
    ACTIONS(6823), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6825), 1,
      anon_sym_and,
    ACTIONS(6827), 1,
      anon_sym_not_eq,
    ACTIONS(6894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6896), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6811), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6813), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6815), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6817), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6944), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6946), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_friend,
    ACTIONS(2465), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2475), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [35792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3045), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6002), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3028), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3087), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3040), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_enumerator_list,
    STATE(3145), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4823), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36216] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [36299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4819), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4853), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36494] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3692), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6803), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6821), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [36658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 1,
      anon_sym___attribute__,
    ACTIONS(6293), 1,
      anon_sym___attribute,
    STATE(3032), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4827), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36869] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6805), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [36950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6053), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2846), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3925), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6965), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6538), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2881), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3859), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6559), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2866), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3948), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6077), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3885), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37564] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6539), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2891), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3953), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3169), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6006), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3147), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37814] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7009), 1,
      anon_sym___asm,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7014), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4783), 1,
      sym__function_attributes_start,
    STATE(5030), 1,
      sym_ref_qualifier,
    STATE(5446), 1,
      sym_trailing_return_type,
    STATE(5669), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7006), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5264), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [37932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5996), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5994), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [38000] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3856), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6417), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2840), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3913), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4133), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5689), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [38356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_const,
    ACTIONS(4887), 1,
      anon_sym_AMP,
    ACTIONS(4880), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4885), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4878), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4883), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [38428] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6232), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2906), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3841), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2908), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3856), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2416), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5968), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5966), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [38716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3201), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38786] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7009), 1,
      anon_sym___asm,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4799), 1,
      sym__function_attributes_start,
    STATE(4994), 1,
      sym_ref_qualifier,
    STATE(5388), 1,
      sym_trailing_return_type,
    STATE(5652), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7006), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5266), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [38904] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7009), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4839), 1,
      sym__function_attributes_start,
    STATE(5004), 1,
      sym_ref_qualifier,
    STATE(5625), 1,
      sym_trailing_return_type,
    STATE(5689), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7006), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5262), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39086] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6387), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3939), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6728), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6726), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2404), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5960), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5958), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2413), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5984), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5982), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39396] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6883), 1,
      anon_sym_requires,
    ACTIONS(7009), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4856), 1,
      sym__function_attributes_start,
    STATE(4992), 1,
      sym_ref_qualifier,
    STATE(5524), 1,
      sym_trailing_return_type,
    STATE(5679), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7006), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5273), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39514] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6883), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4770), 1,
      sym__function_attributes_start,
    STATE(4981), 1,
      sym_ref_qualifier,
    STATE(5524), 1,
      sym_trailing_return_type,
    STATE(5937), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5265), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5571), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6432), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6604), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3832), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39870] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6559), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3948), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [39980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5616), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3250), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5988), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3823), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [40178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3223), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5996), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3133), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40318] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6232), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3841), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3188), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6002), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40498] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6084), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2839), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3887), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40608] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6387), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3908), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [40718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7036), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7043), 13,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7033), 32,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [40788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6035), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6033), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [40856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3155), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5984), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3178), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5954), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40996] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6540), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3937), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3819), 50,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [41234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6041), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3857), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2349), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5988), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5986), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41412] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6077), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2884), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3885), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3156), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6035), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2394), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6002), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6000), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [41790] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6538), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3859), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [41900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3938), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3152), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym___attribute__,
    ACTIONS(6608), 1,
      anon_sym___attribute,
    STATE(3107), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5974), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5524), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42214] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6291), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2873), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3909), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5593), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2876), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3938), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42498] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6417), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2892), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3854), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42608] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6616), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2867), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3921), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [42718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4866), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4859), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [42788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2350), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6023), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6021), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6006), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6004), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [42924] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2858), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2342), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6019), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6017), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6266), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3944), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2730), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43280] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6090), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3951), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2387), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5974), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5972), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5954), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5952), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7049), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43590] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4816), 1,
      sym__function_attributes_start,
    STATE(4977), 1,
      sym_ref_qualifier,
    STATE(5625), 1,
      sym_trailing_return_type,
    STATE(5914), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5274), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [43708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5429), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43771] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_const,
    ACTIONS(4887), 1,
      anon_sym_AMP,
    ACTIONS(4880), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4885), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4883), 19,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4878), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7079), 1,
      anon_sym_LPAREN2,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3580), 1,
      sym_argument_list,
    STATE(3898), 1,
      sym_initializer_list,
    ACTIONS(6523), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5439), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44022] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7084), 1,
      anon_sym_QMARK,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44135] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4919), 1,
      sym__function_attributes_start,
    STATE(5055), 1,
      sym_ref_qualifier,
    STATE(5834), 1,
      sym_trailing_return_type,
    STATE(5899), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5304), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [44252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LPAREN2,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_parameter_list,
    STATE(3021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6037), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6039), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6904), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LPAREN2,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_parameter_list,
    STATE(3021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5990), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5992), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4873), 1,
      anon_sym_LT,
    STATE(2848), 1,
      sym_template_argument_list,
    ACTIONS(4868), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5512), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(2717), 1,
      sym__enum_base_clause,
    STATE(2853), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6258), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6256), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7108), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5593), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [44783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5758), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [44850] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4879), 1,
      sym__function_attributes_start,
    STATE(5043), 1,
      sym_ref_qualifier,
    STATE(5834), 1,
      sym_trailing_return_type,
    STATE(6094), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5301), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [44967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7121), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7118), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7116), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7114), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [45038] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_COMMA,
    ACTIONS(7128), 1,
      anon_sym_RPAREN,
    ACTIONS(7130), 1,
      anon_sym_DASH,
    ACTIONS(7132), 1,
      anon_sym_PLUS,
    ACTIONS(7134), 1,
      anon_sym_STAR,
    ACTIONS(7136), 1,
      anon_sym_SLASH,
    ACTIONS(7138), 1,
      anon_sym_PERCENT,
    ACTIONS(7140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7144), 1,
      anon_sym_PIPE,
    ACTIONS(7146), 1,
      anon_sym_CARET,
    ACTIONS(7148), 1,
      anon_sym_AMP,
    ACTIONS(7150), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7152), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7154), 1,
      anon_sym_GT,
    ACTIONS(7156), 1,
      anon_sym_GT_EQ,
    ACTIONS(7158), 1,
      anon_sym_LT_EQ,
    ACTIONS(7160), 1,
      anon_sym_LT,
    ACTIONS(7162), 1,
      anon_sym_LT_LT,
    ACTIONS(7164), 1,
      anon_sym_GT_GT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7172), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7174), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7176), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7178), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7180), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7188), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7190), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_or,
    ACTIONS(7198), 1,
      anon_sym_and,
    ACTIONS(7200), 1,
      anon_sym_bitor,
    ACTIONS(7202), 1,
      anon_sym_xor,
    ACTIONS(7204), 1,
      anon_sym_bitand,
    ACTIONS(7206), 1,
      anon_sym_not_eq,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7192), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4107), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6432), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [45335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [45398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2951), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7218), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5730), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7220), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5746), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5725), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [45599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    STATE(3043), 1,
      sym_enumerator_list,
    STATE(3478), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5754), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7226), 1,
      sym_auto,
    ACTIONS(7228), 1,
      anon_sym_decltype,
    STATE(3465), 1,
      sym_new_declarator,
    STATE(3589), 1,
      sym_decltype_auto,
    STATE(3876), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_LBRACE,
    ACTIONS(5441), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [45883] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_COMMA,
    ACTIONS(7130), 1,
      anon_sym_DASH,
    ACTIONS(7132), 1,
      anon_sym_PLUS,
    ACTIONS(7134), 1,
      anon_sym_STAR,
    ACTIONS(7136), 1,
      anon_sym_SLASH,
    ACTIONS(7138), 1,
      anon_sym_PERCENT,
    ACTIONS(7140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7144), 1,
      anon_sym_PIPE,
    ACTIONS(7146), 1,
      anon_sym_CARET,
    ACTIONS(7148), 1,
      anon_sym_AMP,
    ACTIONS(7150), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7152), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7154), 1,
      anon_sym_GT,
    ACTIONS(7156), 1,
      anon_sym_GT_EQ,
    ACTIONS(7158), 1,
      anon_sym_LT_EQ,
    ACTIONS(7160), 1,
      anon_sym_LT,
    ACTIONS(7162), 1,
      anon_sym_LT_LT,
    ACTIONS(7164), 1,
      anon_sym_GT_GT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7172), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7174), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7176), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7178), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7180), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7188), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7190), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_or,
    ACTIONS(7198), 1,
      anon_sym_and,
    ACTIONS(7200), 1,
      anon_sym_bitor,
    ACTIONS(7202), 1,
      anon_sym_xor,
    ACTIONS(7204), 1,
      anon_sym_bitand,
    ACTIONS(7206), 1,
      anon_sym_not_eq,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7230), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7192), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5500), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7235), 1,
      anon_sym_virtual,
    ACTIONS(7244), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7247), 1,
      anon_sym___declspec,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(7241), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7250), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2943), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7238), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7232), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(6537), 16,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [46253] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6934), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7084), 1,
      anon_sym_QMARK,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46366] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7226), 1,
      sym_auto,
    ACTIONS(7228), 1,
      anon_sym_decltype,
    STATE(3503), 1,
      sym_new_declarator,
    STATE(3589), 1,
      sym_decltype_auto,
    STATE(3923), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46445] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_COMMA,
    ACTIONS(7130), 1,
      anon_sym_DASH,
    ACTIONS(7132), 1,
      anon_sym_PLUS,
    ACTIONS(7134), 1,
      anon_sym_STAR,
    ACTIONS(7136), 1,
      anon_sym_SLASH,
    ACTIONS(7138), 1,
      anon_sym_PERCENT,
    ACTIONS(7140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7142), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7144), 1,
      anon_sym_PIPE,
    ACTIONS(7146), 1,
      anon_sym_CARET,
    ACTIONS(7148), 1,
      anon_sym_AMP,
    ACTIONS(7150), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7152), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7154), 1,
      anon_sym_GT,
    ACTIONS(7156), 1,
      anon_sym_GT_EQ,
    ACTIONS(7158), 1,
      anon_sym_LT_EQ,
    ACTIONS(7160), 1,
      anon_sym_LT,
    ACTIONS(7162), 1,
      anon_sym_LT_LT,
    ACTIONS(7164), 1,
      anon_sym_GT_GT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7172), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7174), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7176), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7178), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7180), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7182), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7184), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7186), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7188), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7190), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7196), 1,
      anon_sym_or,
    ACTIONS(7198), 1,
      anon_sym_and,
    ACTIONS(7200), 1,
      anon_sym_bitor,
    ACTIONS(7202), 1,
      anon_sym_xor,
    ACTIONS(7204), 1,
      anon_sym_bitand,
    ACTIONS(7206), 1,
      anon_sym_not_eq,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7253), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7192), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [46606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5774), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2962), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7255), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5784), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2961), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7257), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5800), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5804), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [46941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5571), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5524), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47067] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7264), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4942), 1,
      sym__function_attributes_start,
    STATE(5065), 1,
      sym_ref_qualifier,
    STATE(5954), 1,
      sym_trailing_return_type,
    STATE(6122), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5294), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47184] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7014), 1,
      anon_sym_requires,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4865), 1,
      sym__function_attributes_start,
    STATE(5062), 1,
      sym_ref_qualifier,
    STATE(5446), 1,
      sym_trailing_return_type,
    STATE(5877), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5287), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LPAREN2,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_parameter_list,
    STATE(3021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5942), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LPAREN2,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_parameter_list,
    STATE(3021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6029), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47447] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4897), 1,
      sym__function_attributes_start,
    STATE(5063), 1,
      sym_ref_qualifier,
    STATE(5388), 1,
      sym_trailing_return_type,
    STATE(5883), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5282), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47564] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [47665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5742), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5736), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [47864] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7269), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4923), 1,
      sym__function_attributes_start,
    STATE(5046), 1,
      sym_ref_qualifier,
    STATE(5885), 1,
      sym_trailing_return_type,
    STATE(5907), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5290), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [47981] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [48078] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6940), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7084), 1,
      anon_sym_QMARK,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    STATE(3068), 1,
      sym_enumerator_list,
    STATE(3544), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48373] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [48468] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [48559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7108), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5441), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [48626] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LPAREN2,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7104), 1,
      anon_sym_LBRACK,
    STATE(3424), 1,
      sym_parameter_list,
    STATE(3021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6025), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6027), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [48954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5593), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7226), 1,
      sym_auto,
    ACTIONS(7228), 1,
      anon_sym_decltype,
    STATE(3539), 1,
      sym_new_declarator,
    STATE(3589), 1,
      sym_decltype_auto,
    STATE(3890), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4906), 1,
      anon_sym_LT,
    STATE(3058), 1,
      sym_template_argument_list,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5466), 1,
      anon_sym_LBRACE,
    ACTIONS(5441), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [49317] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4932), 1,
      sym__function_attributes_start,
    STATE(5051), 1,
      sym_ref_qualifier,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6057), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5280), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49434] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(3443), 1,
      sym_field_declaration_list,
    STATE(6874), 1,
      sym_virtual_specifier,
    STATE(7523), 1,
      sym_base_class_clause,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5650), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5652), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49515] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [49594] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6944), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6756), 1,
      sym_auto,
    ACTIONS(6758), 1,
      anon_sym_decltype,
    STATE(3057), 1,
      sym_decltype_auto,
    ACTIONS(5357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5359), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49772] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7276), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4871), 1,
      sym__function_attributes_start,
    STATE(5057), 1,
      sym_ref_qualifier,
    STATE(6005), 1,
      sym__function_attributes_end,
    STATE(6137), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5292), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [49889] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6898), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(2729), 1,
      sym__enum_base_clause,
    STATE(2903), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6252), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6250), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50073] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4898), 1,
      sym__function_attributes_start,
    STATE(5058), 1,
      sym_ref_qualifier,
    STATE(5940), 1,
      sym__function_attributes_end,
    STATE(6223), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5285), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [50190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7226), 1,
      sym_auto,
    ACTIONS(7228), 1,
      anon_sym_decltype,
    STATE(3504), 1,
      sym_new_declarator,
    STATE(3589), 1,
      sym_decltype_auto,
    STATE(3927), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5798), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5616), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [50521] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(7269), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4862), 1,
      sym__function_attributes_start,
    STATE(5050), 1,
      sym_ref_qualifier,
    STATE(5885), 1,
      sym_trailing_return_type,
    STATE(6097), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5276), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [50638] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6914), 1,
      anon_sym_EQ,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7285), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7283), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7281), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6898), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51061] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6904), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51251] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51355] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6616), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7327), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7325), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7323), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [51533] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6934), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5589), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51707] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7333), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4965), 1,
      sym__function_attributes_start,
    STATE(5152), 1,
      sym_ref_qualifier,
    STATE(6183), 1,
      sym__function_attributes_end,
    STATE(6222), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5307), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [51823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_LPAREN2,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_parameter_list,
    STATE(3158), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6037), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6039), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51895] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7342), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3012), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6121), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6123), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5605), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4133), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5689), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [52315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5429), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3499), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6087), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3561), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5597), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7102), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3012), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6166), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6168), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3553), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_LPAREN2,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_parameter_list,
    STATE(3158), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5990), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5992), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5520), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53263] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4962), 1,
      sym__function_attributes_start,
    STATE(5165), 1,
      sym_ref_qualifier,
    STATE(6178), 1,
      sym_trailing_return_type,
    STATE(6194), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5310), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6847), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [53379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3543), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7347), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3789), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3787), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [53699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3514), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(4866), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4859), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [53897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53959] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6944), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5536), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54191] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [54287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3546), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6890), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54525] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_LPAREN2,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_parameter_list,
    STATE(3158), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5944), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3549), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3551), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5974), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54795] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [54889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2666), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5832), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5834), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5674), 51,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [55019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5567), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55143] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [55233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7353), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7351), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7349), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [55299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5601), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55425] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(4130), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4107), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [55501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5532), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55687] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6914), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55795] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5528), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3588), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3586), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5984), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_LPAREN2,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_parameter_list,
    STATE(3158), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6025), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6027), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56207] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_LPAREN2,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7340), 1,
      anon_sym_LBRACK,
    STATE(3560), 1,
      sym_parameter_list,
    STATE(3158), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6029), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6031), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56279] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7359), 1,
      anon_sym_RPAREN,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7070), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [56391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5441), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7367), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7365), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7363), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [56521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56583] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(5636), 1,
      anon_sym_LT,
    STATE(3216), 1,
      sym_template_argument_list,
    ACTIONS(4868), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3523), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3471), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6002), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3477), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6006), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3483), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3458), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5575), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5666), 51,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [57117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7371), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3813), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3811), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57245] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7293), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7297), 1,
      anon_sym_PIPE,
    ACTIONS(7301), 1,
      anon_sym_AMP,
    ACTIONS(7307), 1,
      anon_sym_GT_EQ,
    ACTIONS(7311), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7313), 1,
      anon_sym_or,
    ACTIONS(7315), 1,
      anon_sym_and,
    ACTIONS(7317), 1,
      anon_sym_bitor,
    ACTIONS(7319), 1,
      anon_sym_bitand,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6940), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(7289), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7299), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7291), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7303), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7305), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_EQ,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(7373), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [57433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      sym_auto,
    ACTIONS(6845), 1,
      anon_sym_decltype,
    STATE(3129), 1,
      sym_decltype_auto,
    ACTIONS(5357), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5359), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5579), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym___attribute__,
    ACTIONS(6701), 1,
      anon_sym___attribute,
    STATE(3485), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57780] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7973), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [57889] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7264), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4989), 1,
      sym__function_attributes_start,
    STATE(5200), 1,
      sym_ref_qualifier,
    STATE(5954), 1,
      sym_trailing_return_type,
    STATE(6046), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5328), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58004] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8420), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58113] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4149), 1,
      sym_type_specifier,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3284), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58222] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8263), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58331] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8213), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6754), 1,
      anon_sym_LBRACK,
    STATE(3382), 1,
      sym_new_declarator,
    ACTIONS(6228), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6230), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58505] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4264), 1,
      sym_type_specifier,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3394), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58614] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3978), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3308), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58723] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3997), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3270), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [58832] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6940), 1,
      anon_sym_EQ,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6942), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7447), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(2729), 1,
      sym__enum_base_clause,
    STATE(2903), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6252), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6250), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [59016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5563), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5482), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59138] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4262), 1,
      sym_type_specifier,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    STATE(3296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5544), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59308] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8378), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59417] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8078), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59526] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6618), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59637] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8383), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59746] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5373), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59855] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5358), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [59964] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8398), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5579), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60134] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8174), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60243] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5370), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60352] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8451), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60461] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6916), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [60568] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7959), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60677] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5003), 1,
      sym__function_attributes_start,
    STATE(5207), 1,
      sym_ref_qualifier,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6093), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5313), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [60792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(3468), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5910), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7471), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3123), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6121), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6123), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60987] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8403), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    ACTIONS(7375), 1,
      anon_sym_EQ,
    STATE(2701), 1,
      sym_template_argument_list,
    ACTIONS(7373), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4133), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5689), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [61167] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8301), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61276] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5366), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5601), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3763), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61574] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5359), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5490), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61744] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8031), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61853] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5364), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [61962] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8361), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LT,
    STATE(2848), 1,
      sym_template_argument_list,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62136] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8216), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62245] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8204), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62354] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4193), 1,
      sym_type_specifier,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    STATE(3426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62524] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5369), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62633] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5374), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62742] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5365), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [62851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [62912] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8091), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5536), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4064), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63268] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7991), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63377] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5567), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2666), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3477), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3481), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5832), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5834), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63580] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8075), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5486), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5605), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63811] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8074), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [63920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3123), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6166), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5524), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64107] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(6372), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [64210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5583), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(8541), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64380] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6372), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [64479] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7923), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64588] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5377), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64697] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6372), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [64792] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8086), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [64901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5589), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64962] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [65055] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [65144] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65227] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8417), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [65336] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5552), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6376), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6378), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [65549] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6898), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6900), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [65656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5520), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65717] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6356), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6358), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65792] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6352), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6354), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5470), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65928] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7477), 1,
      sym_identifier,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7485), 1,
      anon_sym_enum,
    ACTIONS(7487), 1,
      anon_sym_class,
    ACTIONS(7489), 1,
      anon_sym_struct,
    ACTIONS(7491), 1,
      anon_sym_union,
    ACTIONS(7493), 1,
      sym_auto,
    ACTIONS(7495), 1,
      anon_sym_decltype,
    ACTIONS(7497), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4185), 1,
      sym_type_specifier,
    STATE(4335), 1,
      sym_primitive_type,
    STATE(4900), 1,
      sym_qualified_type_identifier,
    STATE(4946), 1,
      sym_decltype_auto,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3381), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4829), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [66118] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7948), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7499), 1,
      anon_sym_LT,
    STATE(3430), 1,
      sym_template_argument_list,
    ACTIONS(6202), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66294] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8422), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5548), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5612), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66525] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(3989), 1,
      sym_type_specifier,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3376), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6890), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6892), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [66741] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5005), 1,
      sym__function_attributes_start,
    STATE(5172), 1,
      sym_ref_qualifier,
    STATE(5388), 1,
      sym_trailing_return_type,
    STATE(6141), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5329), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [66856] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6362), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [66931] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6944), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6946), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7504), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6299), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6301), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [67174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5441), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7047), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [67296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5532), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67357] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8356), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67466] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4049), 1,
      sym_type_specifier,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3419), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5575), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [67699] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8206), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5571), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5376), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [67978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7506), 1,
      anon_sym_LT,
    STATE(1820), 1,
      sym_template_argument_list,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5528), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3998), 1,
      sym_field_declaration_list,
    STATE(4101), 1,
      sym_attribute_specifier,
    STATE(6989), 1,
      sym_virtual_specifier,
    STATE(7588), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5650), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LT,
    STATE(1511), 1,
      sym_template_argument_list,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7447), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(2717), 1,
      sym__enum_base_clause,
    STATE(2853), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6258), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6256), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [68319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3717), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6200), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5593), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7511), 1,
      sym_identifier,
    STATE(3236), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5896), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5898), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5303), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5301), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68516] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6934), 1,
      anon_sym_EQ,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_QMARK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6936), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [68627] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5378), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [68736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5616), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(5641), 1,
      anon_sym_LT,
    STATE(3414), 1,
      sym_template_argument_list,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5540), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68990] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7712), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6309), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6311), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5441), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69296] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7477), 1,
      sym_identifier,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7485), 1,
      anon_sym_enum,
    ACTIONS(7487), 1,
      anon_sym_class,
    ACTIONS(7489), 1,
      anon_sym_struct,
    ACTIONS(7491), 1,
      anon_sym_union,
    ACTIONS(7493), 1,
      sym_auto,
    ACTIONS(7495), 1,
      anon_sym_decltype,
    ACTIONS(7497), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4104), 1,
      sym_type_specifier,
    STATE(4335), 1,
      sym_primitive_type,
    STATE(4900), 1,
      sym_qualified_type_identifier,
    STATE(4946), 1,
      sym_decltype_auto,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4829), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3635), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69533] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(8622), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69642] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8184), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69751] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4182), 1,
      sym_type_specifier,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3415), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69860] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7513), 1,
      sym_identifier,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7517), 1,
      anon_sym_enum,
    ACTIONS(7519), 1,
      anon_sym_class,
    ACTIONS(7521), 1,
      anon_sym_struct,
    ACTIONS(7523), 1,
      anon_sym_union,
    ACTIONS(7525), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4334), 1,
      sym_type_specifier,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    STATE(3278), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [69969] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4996), 1,
      sym__function_attributes_start,
    STATE(5170), 1,
      sym_ref_qualifier,
    STATE(6103), 1,
      sym__function_attributes_end,
    STATE(6178), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5316), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6963), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [70145] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(5792), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70254] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_virtual,
    ACTIONS(7545), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7548), 1,
      anon_sym___declspec,
    ACTIONS(7554), 1,
      anon_sym_explicit,
    STATE(2932), 1,
      sym_alignas_qualifier,
    ACTIONS(7542), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7551), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7531), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7529), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7539), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3234), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7533), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70335] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5380), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7557), 1,
      sym_identifier,
    STATE(3260), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5896), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5898), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5425), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5423), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4859), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4866), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [70580] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4800), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8016), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3392), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70689] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8225), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70861] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5362), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [70970] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7001), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7014), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5011), 1,
      sym__function_attributes_start,
    STATE(5178), 1,
      sym_ref_qualifier,
    STATE(5446), 1,
      sym_trailing_return_type,
    STATE(6131), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5312), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71146] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5372), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71255] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5360), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(5689), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [71431] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8258), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71540] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5371), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [71649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3650), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6087), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5508), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5504), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LT,
    STATE(1520), 1,
      sym_template_argument_list,
    ACTIONS(6278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7506), 1,
      anon_sym_LT,
    STATE(3058), 1,
      sym_template_argument_list,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7561), 1,
      anon_sym_LT,
    STATE(3430), 1,
      sym_template_argument_list,
    ACTIONS(6219), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6221), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5597), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72096] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7870), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72205] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4210), 1,
      sym_type_specifier,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3343), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72314] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(8551), 1,
      sym_type_descriptor,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72423] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4931), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(5375), 1,
      sym__type_definition_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      sym_identifier,
    STATE(3260), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7567), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7570), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5386), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5384), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72601] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4517), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_type_descriptor,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72710] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6904), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7194), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7383), 1,
      anon_sym_GT_EQ,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_PIPE,
    ACTIONS(7435), 1,
      anon_sym_AMP,
    ACTIONS(7439), 1,
      anon_sym_or,
    ACTIONS(7441), 1,
      anon_sym_and,
    ACTIONS(7443), 1,
      anon_sym_bitor,
    ACTIONS(7445), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7208), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7377), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7433), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7381), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7437), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6906), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [72817] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7088), 1,
      anon_sym___attribute__,
    ACTIONS(7091), 1,
      anon_sym___attribute,
    ACTIONS(7333), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5013), 1,
      sym__function_attributes_start,
    STATE(5193), 1,
      sym_ref_qualifier,
    STATE(6064), 1,
      sym__function_attributes_end,
    STATE(6222), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3987), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4132), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(6847), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5318), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [72932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72993] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4446), 1,
      sym_type_specifier,
    STATE(5997), 1,
      sym_type_descriptor,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    STATE(3360), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_LT,
    STATE(3216), 1,
      sym_template_argument_list,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73226] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6352), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6354), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73300] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7084), 1,
      anon_sym_QMARK,
    ACTIONS(7086), 1,
      anon_sym_or,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7584), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [73412] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3966), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6338), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73578] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5711), 1,
      anon_sym___asm,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3425), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [73676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5155), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3825), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5191), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73856] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6358), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [73930] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7606), 1,
      anon_sym_RPAREN,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [74086] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7513), 1,
      sym_identifier,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7517), 1,
      anon_sym_enum,
    ACTIONS(7519), 1,
      anon_sym_class,
    ACTIONS(7521), 1,
      anon_sym_struct,
    ACTIONS(7523), 1,
      anon_sym_union,
    ACTIONS(7525), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4321), 1,
      sym_type_specifier,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74192] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6944), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [74298] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6890), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [74402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6309), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6311), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [74476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6301), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [74548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_LT,
    STATE(1873), 1,
      sym_template_argument_list,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74612] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4176), 1,
      sym_type_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74718] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4074), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [74816] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6934), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [74926] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [75032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5195), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6309), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6311), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75166] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6014), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3285), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4097), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75264] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7758), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75480] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7760), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [75636] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6904), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [75740] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75820] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4271), 1,
      sym_type_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [75926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [76004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7762), 1,
      anon_sym_LT,
    STATE(3619), 1,
      sym_template_argument_list,
    ACTIONS(6202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      sym_auto,
    ACTIONS(7228), 1,
      anon_sym_decltype,
    STATE(3589), 1,
      sym_decltype_auto,
    ACTIONS(5357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5359), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3821), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76578] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7765), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [76734] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3960), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [76840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7767), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [76900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7773), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7771), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [76960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77086] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4525), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77192] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [77274] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 1,
      anon_sym___asm,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6002), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3406), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4090), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4115), 39,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [77502] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7783), 1,
      anon_sym_requires,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5052), 1,
      sym__function_attributes_start,
    STATE(5214), 1,
      sym_ref_qualifier,
    STATE(6274), 1,
      sym__function_attributes_end,
    STATE(6412), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6847), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6876), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5352), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77616] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5048), 1,
      sym__function_attributes_start,
    STATE(5219), 1,
      sym_ref_qualifier,
    STATE(6032), 1,
      sym_trailing_return_type,
    STATE(6306), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6847), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5347), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [77730] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7790), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [77886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5163), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77946] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7792), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [78102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [78190] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6898), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [78294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6378), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [78366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [78446] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [78538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78598] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [78692] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78790] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78892] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [78966] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79042] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79152] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6914), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79258] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6940), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6378), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79440] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6898), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79546] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6356), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6358), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7477), 1,
      sym_identifier,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7485), 1,
      anon_sym_enum,
    ACTIONS(7487), 1,
      anon_sym_class,
    ACTIONS(7489), 1,
      anon_sym_struct,
    ACTIONS(7491), 1,
      anon_sym_union,
    ACTIONS(7493), 1,
      sym_auto,
    ACTIONS(7495), 1,
      anon_sym_decltype,
    ACTIONS(7497), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4060), 1,
      sym_type_specifier,
    STATE(4335), 1,
      sym_primitive_type,
    STATE(4900), 1,
      sym_qualified_type_identifier,
    STATE(4946), 1,
      sym_decltype_auto,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4829), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79726] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    ACTIONS(7794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6934), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [79834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4509), 1,
      sym_type_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [79940] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4208), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [80046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80166] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80244] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80326] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [80410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7798), 1,
      anon_sym_LT,
    STATE(3619), 1,
      sym_template_argument_list,
    ACTIONS(6219), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6221), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5900), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80656] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [80742] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7801), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [80988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81048] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [81140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6372), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5159), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4372), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [81402] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [81488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7506), 1,
      anon_sym_LT,
    STATE(1537), 1,
      sym_template_argument_list,
    ACTIONS(6278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81552] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6890), 1,
      anon_sym_EQ,
    ACTIONS(7688), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7690), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_PIPE,
    ACTIONS(7696), 1,
      anon_sym_AMP,
    ACTIONS(7702), 1,
      anon_sym_GT_EQ,
    ACTIONS(7706), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7708), 1,
      anon_sym_or,
    ACTIONS(7710), 1,
      anon_sym_and,
    ACTIONS(7712), 1,
      anon_sym_bitor,
    ACTIONS(7714), 1,
      anon_sym_bitand,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7694), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7704), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7686), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7698), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7700), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [81658] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7803), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6301), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81948] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7604), 1,
      anon_sym_COMMA,
    ACTIONS(7608), 1,
      anon_sym_DASH,
    ACTIONS(7610), 1,
      anon_sym_PLUS,
    ACTIONS(7612), 1,
      anon_sym_STAR,
    ACTIONS(7614), 1,
      anon_sym_SLASH,
    ACTIONS(7616), 1,
      anon_sym_PERCENT,
    ACTIONS(7618), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7622), 1,
      anon_sym_PIPE,
    ACTIONS(7624), 1,
      anon_sym_CARET,
    ACTIONS(7626), 1,
      anon_sym_AMP,
    ACTIONS(7628), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7630), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7632), 1,
      anon_sym_GT,
    ACTIONS(7634), 1,
      anon_sym_GT_EQ,
    ACTIONS(7636), 1,
      anon_sym_LT_EQ,
    ACTIONS(7638), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_LT_LT,
    ACTIONS(7642), 1,
      anon_sym_GT_GT,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7648), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7650), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7652), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7654), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7656), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7658), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7660), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7662), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7664), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7666), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_or,
    ACTIONS(7672), 1,
      anon_sym_and,
    ACTIONS(7674), 1,
      anon_sym_bitor,
    ACTIONS(7676), 1,
      anon_sym_xor,
    ACTIONS(7678), 1,
      anon_sym_bitand,
    ACTIONS(7680), 1,
      anon_sym_not_eq,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
    STATE(1338), 1,
      sym__binary_fold_operator,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    STATE(8237), 1,
      sym__fold_operator,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7811), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7809), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [82164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1966), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82224] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6944), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [82328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7813), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    STATE(2078), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4115), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [82398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6360), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6362), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82542] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6352), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6354), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [82616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6965), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82676] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(3993), 1,
      sym_type_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [82782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6115), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83022] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7477), 1,
      sym_identifier,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7485), 1,
      anon_sym_enum,
    ACTIONS(7487), 1,
      anon_sym_class,
    ACTIONS(7489), 1,
      anon_sym_struct,
    ACTIONS(7491), 1,
      anon_sym_union,
    ACTIONS(7493), 1,
      sym_auto,
    ACTIONS(7495), 1,
      anon_sym_decltype,
    ACTIONS(7497), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4188), 1,
      sym_type_specifier,
    STATE(4335), 1,
      sym_primitive_type,
    STATE(4900), 1,
      sym_qualified_type_identifier,
    STATE(4946), 1,
      sym_decltype_auto,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4829), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [83128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6366), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83248] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      sym_literal_suffix,
    ACTIONS(4117), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5175), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6119), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6133), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83650] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83724] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6374), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4798), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [83906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5199), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83966] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4270), 1,
      sym_type_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5171), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6572), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84192] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7055), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7057), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_AMP,
    ACTIONS(7067), 1,
      anon_sym_GT_EQ,
    ACTIONS(7071), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7073), 1,
      anon_sym_and,
    ACTIONS(7075), 1,
      anon_sym_bitor,
    ACTIONS(7077), 1,
      anon_sym_bitand,
    ACTIONS(7082), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7084), 1,
      anon_sym_QMARK,
    ACTIONS(7086), 1,
      anon_sym_or,
    ACTIONS(7128), 1,
      anon_sym_RPAREN,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(7819), 1,
      anon_sym_EQ,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7059), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7069), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7053), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7063), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7065), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7192), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [84306] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4081), 1,
      sym_type_specifier,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1970), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84472] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4909), 1,
      sym_type_specifier,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_new_declarator,
    ACTIONS(6228), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6230), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3828), 1,
      sym_alignas_qualifier,
    ACTIONS(7824), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4898), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(7821), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4896), 23,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [84710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5429), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      anon_sym___asm,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5959), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [84988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85048] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5067), 1,
      sym__function_attributes_start,
    STATE(5218), 1,
      sym_ref_qualifier,
    STATE(6252), 1,
      sym__function_attributes_end,
    STATE(6454), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6847), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5353), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [85162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85222] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    ACTIONS(7794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6940), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [85330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5179), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6157), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6159), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5183), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85572] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4184), 1,
      sym_type_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [85678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2358), 1,
      sym_attribute_specifier,
    STATE(3450), 1,
      sym_enumerator_list,
    ACTIONS(5923), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5925), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [85868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4044), 1,
      sym_type_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [85974] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6914), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [86078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(3692), 1,
      sym_template_argument_list,
    ACTIONS(4863), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4866), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4859), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [86210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6064), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6151), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5703), 1,
      anon_sym___asm,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [86428] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4187), 1,
      sym_type_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [86534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5187), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86654] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6313), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6360), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6362), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2411), 1,
      sym_attribute_specifier,
    STATE(3454), 1,
      sym_enumerator_list,
    ACTIONS(5929), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5931), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [86860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 1,
      anon_sym_EQ,
    ACTIONS(5894), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86924] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(7724), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7726), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7740), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7742), 1,
      anon_sym_or,
    ACTIONS(7744), 1,
      anon_sym_and,
    ACTIONS(7746), 1,
      anon_sym_bitor,
    ACTIONS(7748), 1,
      anon_sym_bitand,
    ACTIONS(7794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7796), 1,
      anon_sym_QMARK,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6616), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7578), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7720), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7722), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [87032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2078), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5910), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [87100] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6864), 1,
      anon_sym_LBRACK,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7264), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5039), 1,
      sym__function_attributes_start,
    STATE(5213), 1,
      sym_ref_qualifier,
    STATE(5954), 1,
      sym_trailing_return_type,
    STATE(6332), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6847), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7261), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4036), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4240), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6028), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5343), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [87214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5672), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [87332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5179), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6366), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2807), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_LT,
    STATE(1539), 1,
      sym_template_argument_list,
    ACTIONS(6278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2342), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6019), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [87696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2350), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6023), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [87761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7829), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4920), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4922), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3213), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5896), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5898), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5832), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5834), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6406), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2404), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5960), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2379), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5954), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2387), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5974), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2413), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5984), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6035), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6527), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2369), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6006), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88751] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7832), 1,
      sym_identifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4001), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4124), 1,
      sym_primitive_type,
    ACTIONS(7839), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3491), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7837), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4966), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7834), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [88828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7842), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    STATE(3468), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4115), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5175), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    STATE(3884), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6087), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7844), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7846), 1,
      anon_sym_and,
    ACTIONS(5862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5171), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5754), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6334), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6334), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5612), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6334), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6410), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5758), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5589), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [89859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5187), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3489), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7850), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5730), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5183), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5567), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6115), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5536), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7852), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90579] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7854), 1,
      sym_identifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4133), 1,
      sym_primitive_type,
    STATE(4134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7861), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4936), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4938), 13,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7856), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [90656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5163), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7864), 1,
      sym_identifier,
    STATE(3494), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7867), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7870), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5386), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5384), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [90900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6576), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5800), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3515), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7873), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5790), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6444), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6430), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3518), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7875), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5784), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6564), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    STATE(3941), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    STATE(3846), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6414), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5774), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6418), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7877), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5593), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2374), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5996), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [91823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3821), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5559), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6464), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5742), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5159), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5736), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7879), 1,
      sym_identifier,
    STATE(3494), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4957), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4959), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5425), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5423), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5155), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2349), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5988), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6618), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6604), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6600), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6596), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2394), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6002), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(2416), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5968), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [93096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6535), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6531), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN2,
    STATE(3933), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6097), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6440), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7881), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5575), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6370), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5490), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [93989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7842), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(5689), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4133), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5520), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5482), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5579), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5494), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5597), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6151), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7883), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(4859), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4866), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6338), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1970), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5195), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6390), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6568), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6386), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6422), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3759), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6394), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6422), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6064), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6157), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6159), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LT,
    STATE(1878), 1,
      sym_template_argument_list,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6572), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7844), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7846), 1,
      anon_sym_and,
    ACTIONS(7889), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7891), 1,
      anon_sym_or,
    ACTIONS(5842), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5844), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5486), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5676), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5605), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5601), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5191), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6963), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [96668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5668), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4912), 1,
      anon_sym_SEMI,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(6950), 1,
      anon_sym_LBRACK,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [96802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6382), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7893), 1,
      sym_identifier,
    STATE(3519), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4957), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4959), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5303), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5301), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5548), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6137), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5532), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5528), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6133), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6119), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7895), 1,
      sym_literal_suffix,
    ACTIONS(4109), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4117), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [97638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3825), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [97756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1966), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5441), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7049), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(7047), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [98110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5664), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5540), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LT,
    STATE(3414), 1,
      sym_template_argument_list,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6600), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6572), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6440), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6472), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4827), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5199), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5183), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6527), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98993] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5711), 1,
      anon_sym___attribute,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6203), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3756), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4206), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [99089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6531), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6535), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6514), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4819), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5187), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4827), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6596), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6418), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 1,
      anon_sym_COMMA,
    ACTIONS(6076), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6464), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6454), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6430), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_COMMA,
    ACTIONS(7905), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5466), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6444), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [100329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2093), 1,
      sym_template_argument_list,
    ACTIONS(6278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4823), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5191), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100623] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6940), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [100729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6414), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4853), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5466), 1,
      anon_sym_SEMI,
    ACTIONS(5441), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [100907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6394), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_new_declarator,
    ACTIONS(6228), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6230), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3759), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_SEMI,
    ACTIONS(5441), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5439), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [101203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6426), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4878), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6422), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5195), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6422), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6386), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6390), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_EQ,
    ACTIONS(6170), 1,
      anon_sym_COMMA,
    ACTIONS(6172), 1,
      anon_sym_RBRACK,
    ACTIONS(5940), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [101967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102025] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6944), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6584), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6382), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6368), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6370), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_and,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102363] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6934), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4857), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6346), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5167), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4876), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [102821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6562), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6564), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102879] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6904), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [102981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4819), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_EQ,
    ACTIONS(6177), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5175), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4823), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5171), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6334), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6334), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6332), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6334), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6410), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103565] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6309), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6311), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [103637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5559), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6576), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4845), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    STATE(3788), 1,
      sym_new_declarator,
    ACTIONS(6228), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6230), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4849), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4955), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4117), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [104109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1966), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6622), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6518), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2807), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_COLON,
    STATE(3946), 1,
      sym__enum_base_clause,
    STATE(3967), 1,
      sym_enumerator_list,
    STATE(4108), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6250), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6252), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6406), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_EQ,
    ACTIONS(5940), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5900), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6618), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6568), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104879] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [104957] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105033] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105197] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [105283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6614), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105341] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [105431] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [105525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5155), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105583] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [105681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_EQ,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [105781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5163), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105839] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105911] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6372), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5291), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5291), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 24,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5408), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_COLON,
    STATE(3839), 1,
      sym__enum_base_clause,
    STATE(3975), 1,
      sym_enumerator_list,
    STATE(4054), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6256), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6258), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6299), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6301), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [106479] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6890), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [106581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6448), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106639] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7602), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [106745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6510), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1970), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106919] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6914), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [107021] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6211), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4194), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6604), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6352), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6354), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [107305] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6356), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6358), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [107377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5142), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5179), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6588), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107551] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(6898), 1,
      anon_sym_EQ,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7668), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7916), 1,
      anon_sym_PIPE,
    ACTIONS(7918), 1,
      anon_sym_CARET,
    ACTIONS(7920), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_GT_EQ,
    ACTIONS(7930), 1,
      anon_sym_bitor,
    ACTIONS(7932), 1,
      anon_sym_xor,
    ACTIONS(7934), 1,
      anon_sym_bitand,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7682), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7908), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7912), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7914), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7928), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7910), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7922), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7924), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [107653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_DOT_STAR,
    STATE(3569), 1,
      sym_subscript_argument_list,
    STATE(3570), 1,
      sym_argument_list,
    ACTIONS(7210), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6376), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6378), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [107723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5159), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_and,
    ACTIONS(7946), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7948), 1,
      anon_sym_or,
    ACTIONS(5842), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5844), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6148), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4259), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [107998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5840), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4279), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108091] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5711), 1,
      anon_sym___attribute,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6269), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3772), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4243), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4241), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6148), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4259), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108374] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5840), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3820), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4279), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6309), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6311), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [108538] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6667), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3793), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4224), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2180), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3810), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4254), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6965), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      sym_literal_suffix,
    ACTIONS(4117), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2180), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4254), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [108933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6301), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [109002] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6667), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4224), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3070), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109188] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3070), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3806), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6356), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6358), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109409] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6366), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3595), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4957), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4959), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5832), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5834), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(4930), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [109657] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6352), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6354), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6378), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [109797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6683), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4225), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109890] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6170), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4212), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [109983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(7049), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4145), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4109), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [110103] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6193), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3794), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4251), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6193), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4251), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5676), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3046), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3783), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5664), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6209), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3773), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4221), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8028), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(4859), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4866), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [110652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7877), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110713] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2152), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4223), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110806] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3024), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4274), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110899] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5839), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3770), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4245), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [110992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8034), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8031), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7116), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7114), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [111114] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2166), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4238), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2921), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2956), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4227), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111393] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2957), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4214), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111486] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2957), 1,
      sym__type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4214), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6240), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [111672] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(4863), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4866), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4859), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [111739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5291), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6366), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2807), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111910] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5844), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4260), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112003] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6125), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3798), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4275), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5668), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112210] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6645), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3782), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4217), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112303] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6275), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3815), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4218), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112396] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    STATE(2550), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4204), 1,
      sym_template_argument_list,
    ACTIONS(4130), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4115), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4135), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [112467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5672), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 10,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH_GT,
    ACTIONS(2475), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [112581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7813), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(5689), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4133), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [112644] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6179), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7960), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4247), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7594), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2272), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5910), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [112801] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [112895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5676), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113063] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym___attribute__,
    ACTIONS(5856), 1,
      anon_sym___attribute,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(8059), 1,
      anon_sym_COLON,
    STATE(1794), 1,
      sym_attribute_specifier,
    STATE(2163), 1,
      sym__enum_base_clause,
    STATE(2275), 1,
      sym_enumerator_list,
    ACTIONS(6250), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [113133] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym___attribute__,
    ACTIONS(5856), 1,
      anon_sym___attribute,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(8059), 1,
      anon_sym_COLON,
    STATE(1783), 1,
      sym_attribute_specifier,
    STATE(2190), 1,
      sym__enum_base_clause,
    STATE(2232), 1,
      sym_enumerator_list,
    ACTIONS(6256), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6258), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [113203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    STATE(3988), 1,
      sym_enumerator_list,
    STATE(4069), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5929), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5931), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113323] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8061), 1,
      sym_identifier,
    STATE(4051), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4164), 1,
      sym_alignas_qualifier,
    STATE(4324), 1,
      sym_primitive_type,
    ACTIONS(8068), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8066), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4964), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8063), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113397] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6266), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6618), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6440), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113603] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8071), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(3431), 1,
      sym__enum_base_clause,
    STATE(3531), 1,
      sym_enumerator_list,
    ACTIONS(6256), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6258), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [113673] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8073), 1,
      sym_identifier,
    STATE(4164), 1,
      sym_alignas_qualifier,
    STATE(4315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_primitive_type,
    ACTIONS(8080), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4938), 9,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4936), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8075), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [113859] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6344), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4320), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [113951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5175), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5171), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114233] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6531), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114383] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6090), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114477] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6067), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3759), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6540), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6394), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114889] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6387), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [114983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8093), 1,
      sym_auto,
    ACTIONS(8095), 1,
      anon_sym_decltype,
    STATE(4016), 1,
      sym_new_declarator,
    STATE(4089), 1,
      sym_decltype_auto,
    STATE(3874), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5780), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6418), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5187), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8093), 1,
      sym_auto,
    ACTIONS(8095), 1,
      anon_sym_decltype,
    STATE(4032), 1,
      sym_new_declarator,
    STATE(4089), 1,
      sym_decltype_auto,
    STATE(3922), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5764), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5183), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6454), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6535), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1966), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6406), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6318), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3848), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4293), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [115723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6406), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1970), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6458), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6444), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116227] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6041), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116377] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6077), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [116471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5664), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6430), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_field_declaration_list,
    STATE(6882), 1,
      sym_virtual_specifier,
    STATE(7638), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5650), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [116935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
    ACTIONS(4887), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4876), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [116997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5191), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6394), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3759), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6414), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5195), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6458), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6596), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6535), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8093), 1,
      sym_auto,
    ACTIONS(8095), 1,
      anon_sym_decltype,
    STATE(4026), 1,
      sym_new_declarator,
    STATE(4089), 1,
      sym_decltype_auto,
    STATE(3947), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5798), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117629] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6415), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117723] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6232), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [117817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6418), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117985] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6371), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6531), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2807), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118191] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8071), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(3418), 1,
      sym__enum_base_clause,
    STATE(3460), 1,
      sym_enumerator_list,
    ACTIONS(6250), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6252), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [118261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5167), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6568), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118485] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6559), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6430), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6527), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6600), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118747] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [118841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6618), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6614), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5155), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6454), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5163), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6604), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6464), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119345] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8093), 1,
      sym_auto,
    ACTIONS(8095), 1,
      anon_sym_decltype,
    STATE(4015), 1,
      sym_new_declarator,
    STATE(4089), 1,
      sym_decltype_auto,
    STATE(3943), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5813), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119473] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6505), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6387), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119661] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6415), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [119755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5159), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6527), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119979] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6228), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    STATE(3984), 1,
      sym_enumerator_list,
    STATE(4083), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5923), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5925), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6614), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120249] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6604), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5142), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120455] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6060), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5179), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120605] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6538), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [120699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8097), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5842), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5844), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3006), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [121038] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    ACTIONS(8101), 1,
      anon_sym___asm,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5967), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4116), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5676), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4096), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6021), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6384), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4399), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4072), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5952), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5954), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121391] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_STAR,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8119), 1,
      anon_sym_AMP,
    ACTIONS(8121), 1,
      anon_sym_EQ,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6218), 1,
      sym__declarator,
    STATE(6471), 1,
      sym__abstract_declarator,
    STATE(6621), 1,
      sym_abstract_reference_declarator,
    STATE(7377), 1,
      sym_variadic_declarator,
    STATE(7385), 1,
      sym_variadic_reference_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8115), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6635), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [121500] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    ACTIONS(8101), 1,
      anon_sym___attribute,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6023), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4092), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [121589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4052), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6004), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6006), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121648] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4157), 1,
      sym_new_declarator,
    STATE(3874), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5780), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4920), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [121778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4140), 1,
      sym_new_declarator,
    STATE(3943), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5813), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2681), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [121904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4077), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5972), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5974), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4059), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6000), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6002), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4102), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5994), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4068), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5966), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3963), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4406), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122231] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6443), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4425), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122324] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    ACTIONS(8140), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6013), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4073), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5668), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4112), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5986), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5988), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122527] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6407), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4408), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4141), 1,
      sym_new_declarator,
    STATE(3947), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5798), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4087), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6033), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6035), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4070), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5958), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3033), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [122864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5711), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6394), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3977), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4416), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [122957] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4118), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8150), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8148), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [123026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4085), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5982), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5984), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym___asm,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6018), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4107), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2801), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2909), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123284] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_STAR,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8119), 1,
      anon_sym_AMP,
    ACTIONS(8156), 1,
      anon_sym_EQ,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6206), 1,
      sym__declarator,
    STATE(6478), 1,
      sym__abstract_declarator,
    STATE(6628), 1,
      sym_abstract_reference_declarator,
    STATE(7377), 1,
      sym_variadic_declarator,
    STATE(7385), 1,
      sym_variadic_reference_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(8115), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6635), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123393] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym___asm,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5944), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4111), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123482] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5711), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6440), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3981), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4391), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123575] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6428), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3999), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4424), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5664), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123721] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    ACTIONS(8140), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6006), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4094), 1,
      sym_attribute_specifier,
    ACTIONS(5856), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6017), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6451), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4389), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [123960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2921), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4996), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2917), 45,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(4115), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [124196] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4146), 1,
      sym_new_declarator,
    STATE(3922), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5764), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5672), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4135), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8164), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4115), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8166), 1,
      anon_sym_LT,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(4859), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4866), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [124446] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    ACTIONS(8169), 1,
      anon_sym_virtual,
    ACTIONS(8173), 1,
      anon_sym___declspec,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    ACTIONS(6209), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6211), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4153), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8171), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124530] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    ACTIONS(8173), 1,
      anon_sym___declspec,
    ACTIONS(8175), 1,
      anon_sym_virtual,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    ACTIONS(6238), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6240), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4121), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8171), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124614] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6481), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4493), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(2081), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2084), 1,
      sym_primitive_type,
    ACTIONS(8186), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4938), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4936), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8183), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6484), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4010), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4485), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [124866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5616), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124920] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4135), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8164), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5910), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    STATE(3883), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    STATE(3919), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6087), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2272), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(4951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [125168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5524), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8189), 1,
      anon_sym_LT,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(5689), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4133), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [125282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6469), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4030), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4503), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5709), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(5689), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4133), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125432] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5305), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(2076), 1,
      sym_primitive_type,
    STATE(4202), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8202), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4011), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4964), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(8197), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125504] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4861), 1,
      anon_sym_SEMI,
    ACTIONS(4870), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(4863), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4866), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4859), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [125570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4859), 6,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4866), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [125630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7773), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7771), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [125684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    STATE(3958), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6070), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5571), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7767), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [125852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5512), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125906] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6489), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4494), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [125996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5593), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    STATE(3918), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4164), 1,
      sym_alignas_qualifier,
    ACTIONS(8208), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4898), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8205), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(4896), 17,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5500), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5429), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126279] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    STATE(3828), 1,
      sym_alignas_qualifier,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4278), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4304), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8150), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8148), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [126346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      sym_auto,
    ACTIONS(8095), 1,
      anon_sym_decltype,
    STATE(4089), 1,
      sym_decltype_auto,
    ACTIONS(5357), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5359), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126460] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 1,
      sym_identifier,
    STATE(2106), 1,
      sym_alignas_qualifier,
    STATE(2260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2271), 1,
      sym_primitive_type,
    ACTIONS(8214), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1859), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(5718), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4936), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4938), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8211), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126531] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6552), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4045), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126620] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(8223), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(2717), 1,
      sym__enum_base_clause,
    STATE(2853), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6258), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6256), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [126685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(8225), 1,
      anon_sym_COLON,
    STATE(2478), 1,
      sym__enum_base_clause,
    STATE(2583), 1,
      sym_enumerator_list,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6258), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [126752] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(8225), 1,
      anon_sym_COLON,
    STATE(2454), 1,
      sym__enum_base_clause,
    STATE(2593), 1,
      sym_enumerator_list,
    STATE(2615), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6252), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [126819] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    ACTIONS(8101), 1,
      anon_sym___attribute,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6207), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4191), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126906] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7594), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3309), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6518), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7596), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7598), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2928), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4724), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [126995] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 1,
      sym_identifier,
    STATE(2106), 1,
      sym_alignas_qualifier,
    STATE(2202), 1,
      sym_primitive_type,
    STATE(4220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8232), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4039), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8230), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4964), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4966), 8,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8227), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(8223), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(2729), 1,
      sym__enum_base_clause,
    STATE(2903), 1,
      sym_enumerator_list,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6252), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6250), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [127131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5697), 1,
      anon_sym_STAR,
    ACTIONS(5699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5701), 1,
      anon_sym_AMP,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(8113), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__declarator,
    STATE(6498), 1,
      sym__abstract_declarator,
    STATE(7139), 1,
      sym_variadic_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(8237), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8235), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [127230] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      anon_sym___attribute,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6201), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5528), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(8239), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4996), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [127427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5589), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4016), 1,
      sym_new_declarator,
    STATE(3874), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5780), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5548), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127703] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6088), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4114), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4851), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5532), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5612), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127893] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym___attribute,
    ACTIONS(8252), 1,
      sym_auto,
    ACTIONS(8254), 1,
      anon_sym_decltype,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(4870), 1,
      sym_decltype_auto,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6279), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4273), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [127979] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6611), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4806), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4868), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(4204), 1,
      sym_template_argument_list,
    ACTIONS(4863), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4866), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4859), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [128127] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6118), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4099), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4819), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128213] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6277), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4250), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5540), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128401] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    ACTIONS(8272), 1,
      sym_ms_restrict_modifier,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5192), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6597), 1,
      sym__abstract_declarator,
    ACTIONS(8274), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8276), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4115), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5575), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5478), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5490), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128645] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4777), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5520), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128785] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    ACTIONS(8288), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5980), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6034), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [128945] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6572), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4061), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4831), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5563), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5544), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129135] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6592), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4084), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4822), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4026), 1,
      sym_new_declarator,
    STATE(3947), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5798), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5579), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129341] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4228), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129425] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4257), 1,
      sym_alignas_qualifier,
    ACTIONS(8293), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4896), 12,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(4898), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8290), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5583), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129537] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6572), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4831), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5486), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5516), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5605), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4032), 1,
      sym_new_declarator,
    STATE(3922), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5764), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5601), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      anon_sym___asm,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5959), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [129979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8239), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4922), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130035] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    ACTIONS(8298), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6033), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5567), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5536), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130323] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6031), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130403] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6580), 1,
      anon_sym___asm,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5949), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6088), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4851), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6585), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4071), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4809), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5482), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5494), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130813] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym___attribute,
    ACTIONS(8252), 1,
      sym_auto,
    ACTIONS(8254), 1,
      anon_sym_decltype,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(4870), 1,
      sym_decltype_auto,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4244), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [130899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5516), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_LBRACK,
    ACTIONS(8091), 1,
      anon_sym_LPAREN2,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(4015), 1,
      sym_new_declarator,
    STATE(3943), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5813), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym___asm,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5504), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5703), 1,
      anon_sym___asm,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    ACTIONS(8288), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6022), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym___asm,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5948), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5508), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131443] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym___asm,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6008), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6076), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2861), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4815), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2859), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    ACTIONS(8272), 1,
      sym_ms_restrict_modifier,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5192), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6612), 1,
      sym__abstract_declarator,
    ACTIONS(8274), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8276), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4785), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4976), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5695), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131697] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    ACTIONS(8298), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5945), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [131777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5758), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131832] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8304), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8302), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4128), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8306), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5730), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_LPAREN2,
    ACTIONS(8312), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8308), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [132001] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8173), 1,
      anon_sym___declspec,
    ACTIONS(8314), 1,
      anon_sym_virtual,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(6624), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6626), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4160), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8171), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132076] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6633), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4869), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [132163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    ACTIONS(8318), 1,
      anon_sym_LBRACK,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(4359), 1,
      sym_new_declarator,
    STATE(4858), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5811), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5813), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4129), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8320), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5746), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8322), 1,
      anon_sym_LT,
    STATE(4307), 1,
      sym_template_argument_list,
    STATE(4329), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4107), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8324), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132346] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [132421] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    ACTIONS(8318), 1,
      anon_sym_LBRACK,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(4442), 1,
      sym_new_declarator,
    STATE(4773), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5778), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5780), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [132488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5804), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5800), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4154), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5790), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132653] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8338), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(3431), 1,
      sym__enum_base_clause,
    STATE(3531), 1,
      sym_enumerator_list,
    ACTIONS(6256), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6258), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132718] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8150), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8148), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [132779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8340), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5784), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5774), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5754), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4117), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8342), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5441), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132999] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8366), 1,
      anon_sym_QMARK,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8344), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8348), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [133102] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    ACTIONS(8318), 1,
      anon_sym_LBRACK,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(4377), 1,
      sym_new_declarator,
    STATE(4782), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5796), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5798), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [133169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4117), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8342), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5591), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5593), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(3883), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6200), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(3958), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6070), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133338] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [133437] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8366), 1,
      anon_sym_QMARK,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6940), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [133540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    ACTIONS(8318), 1,
      anon_sym_LBRACK,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(4426), 1,
      sym_new_declarator,
    STATE(4797), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5762), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5764), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [133607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(3918), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133715] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8366), 1,
      anon_sym_QMARK,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6616), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [133818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4930), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133869] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6346), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [133952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8376), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [134003] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [134072] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6890), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [134171] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(61), 1,
      anon_sym___inline,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8173), 1,
      anon_sym___declspec,
    ACTIONS(8314), 1,
      anon_sym_virtual,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(6502), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6504), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4160), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8171), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5742), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5736), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134356] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6898), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [134455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(3919), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(6087), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134563] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6372), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [134658] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_const,
    ACTIONS(7238), 1,
      anon_sym___inline,
    ACTIONS(7241), 1,
      anon_sym___attribute,
    ACTIONS(8383), 1,
      anon_sym_virtual,
    ACTIONS(8389), 1,
      anon_sym___attribute__,
    ACTIONS(8392), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8395), 1,
      anon_sym___declspec,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(6537), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8398), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6539), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4160), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8386), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8380), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [134733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5697), 1,
      anon_sym_STAR,
    ACTIONS(5699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5701), 1,
      anon_sym_AMP,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__declarator,
    STATE(6498), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(8237), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8235), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [134826] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [134917] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8338), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(3418), 1,
      sym__enum_base_clause,
    STATE(3460), 1,
      sym_enumerator_list,
    ACTIONS(6250), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6252), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135033] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6944), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [135132] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6668), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4873), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135219] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8366), 1,
      anon_sym_QMARK,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6934), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [135322] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8368), 1,
      anon_sym_or,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6904), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8354), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [135421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6671), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4166), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4872), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [135508] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [135581] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_CARET,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8372), 1,
      anon_sym_xor,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [135670] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8358), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [135755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6568), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135806] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [135877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5441), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5439), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [135930] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6330), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4297), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4329), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5908), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8324), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5910), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136074] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    ACTIONS(8374), 1,
      anon_sym_not_eq,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8360), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [136157] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4028), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6663), 1,
      sym__abstract_declarator,
    ACTIONS(7978), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7980), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4122), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4877), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5709), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136244] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8334), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_GT_EQ,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8362), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6372), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [136323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8411), 1,
      anon_sym___attribute__,
    ACTIONS(8414), 1,
      anon_sym___attribute,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8409), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8407), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [136379] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6432), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4440), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6409), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4444), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136595] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    ACTIONS(8252), 1,
      sym_auto,
    ACTIONS(8254), 1,
      anon_sym_decltype,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(4870), 1,
      sym_decltype_auto,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6377), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4447), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6965), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136727] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym___attribute,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4395), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136811] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    ACTIONS(8252), 1,
      sym_auto,
    ACTIONS(8254), 1,
      anon_sym_decltype,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(4870), 1,
      sym_decltype_auto,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6437), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4401), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [136893] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8443), 1,
      anon_sym_SEMI,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(6743), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8141), 1,
      sym_attribute_specifier,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6338), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137049] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    ACTIONS(8298), 1,
      anon_sym___attribute,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6212), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6287), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137177] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym___attribute,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6362), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4368), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(6580), 1,
      anon_sym___attribute,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6213), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5559), 37,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8453), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5862), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5864), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    ACTIONS(8288), 1,
      anon_sym___attribute,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6205), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [137519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8322), 1,
      anon_sym_LT,
    STATE(4307), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137575] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    ACTIONS(8455), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(6707), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8394), 1,
      sym_attribute_specifier,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8453), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5842), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5844), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6276), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5229), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4996), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [137841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(7049), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4883), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4876), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [137945] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    ACTIONS(8459), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(6706), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7932), 1,
      sym_attribute_specifier,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6211), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8322), 1,
      anon_sym_LT,
    STATE(4307), 1,
      sym_template_argument_list,
    ACTIONS(4859), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4866), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138185] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8101), 1,
      anon_sym___attribute,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6397), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4429), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138269] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4384), 1,
      sym_field_declaration_list,
    STATE(4594), 1,
      sym_attribute_specifier,
    STATE(6827), 1,
      sym_virtual_specifier,
    STATE(7781), 1,
      sym_base_class_clause,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5650), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5652), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [138337] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8140), 1,
      anon_sym___attribute,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6424), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4437), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138421] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2078), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5908), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5910), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [138480] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6157), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6965), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2921), 1,
      sym__type_declarator,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(5709), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8272), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5192), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6759), 1,
      sym__abstract_declarator,
    ACTIONS(8274), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8276), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4233), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5035), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5191), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138817] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6667), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138894] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6240), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [138969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3070), 1,
      sym__type_declarator,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2072), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4920), 4,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(5727), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4999), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4996), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [139101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6148), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5163), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139227] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2180), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6683), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6691), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8469), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8471), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8473), 1,
      anon_sym_or,
    ACTIONS(8475), 1,
      anon_sym_and,
    ACTIONS(5842), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5844), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139515] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2957), 1,
      sym__type_declarator,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139592] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6247), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [139667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4930), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [139716] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5815), 1,
      anon_sym_STAR,
    ACTIONS(5817), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5819), 1,
      anon_sym_AMP,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__declarator,
    STATE(6598), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(8235), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8237), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [139807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    STATE(2078), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4107), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [139866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_STAR,
    ACTIONS(5838), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5840), 1,
      anon_sym_AMP,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__declarator,
    STATE(6586), 1,
      sym__abstract_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(8235), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8237), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [139957] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(5695), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8272), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5192), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6823), 1,
      sym__abstract_declarator,
    ACTIONS(8274), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8276), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4976), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6270), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8471), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8475), 1,
      anon_sym_and,
    ACTIONS(5862), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5864), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(1788), 1,
      sym_attribute_specifier,
    STATE(4955), 1,
      sym_field_declaration_list,
    STATE(7004), 1,
      sym_virtual_specifier,
    STATE(7557), 1,
      sym_base_class_clause,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5650), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [140284] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2182), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5179), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140410] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    STATE(3828), 1,
      sym_alignas_qualifier,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8150), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8148), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [140469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6580), 1,
      anon_sym___attribute,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6262), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5167), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140595] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140672] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      anon_sym___attribute,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6278), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140749] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5840), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140877] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6180), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [140954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2919), 1,
      sym__type_declarator,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3024), 1,
      sym__type_declarator,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141108] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6242), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6170), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141260] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(8481), 1,
      anon_sym_COLON,
    STATE(4336), 1,
      sym__enum_base_clause,
    STATE(4390), 1,
      sym_enumerator_list,
    STATE(4567), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6258), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [141323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5175), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141372] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2166), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5199), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5171), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2475), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [141596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1970), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141645] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6179), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141722] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5851), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5159), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141848] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6462), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4557), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [141929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141978] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6491), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4508), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8138), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5195), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5167), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142157] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(8481), 1,
      anon_sym_COLON,
    STATE(4345), 1,
      sym__enum_base_clause,
    STATE(4382), 1,
      sym_enumerator_list,
    STATE(4603), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6252), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [142220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5187), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5183), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142318] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2370), 1,
      sym_decltype_auto,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6483), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4499), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142399] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6460), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4455), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8099), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(1966), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142529] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8298), 1,
      anon_sym___attribute,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6294), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3008), 1,
      sym__type_declarator,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6193), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5155), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5597), 36,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    STATE(3828), 1,
      sym_alignas_qualifier,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8304), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
    ACTIONS(8302), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142917] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(5844), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [142994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(5167), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143043] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4768), 1,
      sym_field_declaration_list,
    STATE(4947), 1,
      sym_attribute_specifier,
    STATE(7039), 1,
      sym_virtual_specifier,
    STATE(7636), 1,
      sym_base_class_clause,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5652), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143109] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [143193] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [143281] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [143371] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4819), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6327), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4823), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4849), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4857), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [143751] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8489), 1,
      anon_sym_COMMA,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7293), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6344), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [143925] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(2272), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5908), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5910), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [144053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4853), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [144175] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6374), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144243] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [144469] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [144551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4133), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5689), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [144605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym___attribute__,
    ACTIONS(8530), 1,
      anon_sym___attribute,
    STATE(4304), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8409), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8407), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [144659] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [144741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4827), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4883), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144837] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    ACTIONS(8535), 1,
      anon_sym___attribute,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8533), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [144933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5738), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5736), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [144985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5744), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5742), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145037] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6616), 1,
      anon_sym___attribute,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6618), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4327), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5591), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5593), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [145275] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6914), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [145367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5776), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5774), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [145511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4309), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5786), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8541), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5784), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4310), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5792), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5790), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5802), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5800), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6309), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145741] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6523), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4719), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8099), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [145821] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6942), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [145915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5806), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5804), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [145967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5748), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8545), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5746), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146019] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6904), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [146111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4323), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5732), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5730), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5760), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5758), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(4866), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4859), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [146269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5756), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8537), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5754), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146321] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [146411] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6940), 1,
      anon_sym___attribute,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6942), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146507] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [146597] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6934), 1,
      anon_sym___attribute,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6936), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146693] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(4612), 1,
      sym_decltype_auto,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6543), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4707), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [146773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4327), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5439), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(8539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [146825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    STATE(4451), 1,
      sym_enumerator_list,
    STATE(4472), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5931), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [146883] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146953] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6944), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [147045] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [147203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6936), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [147297] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8445), 1,
      anon_sym_QMARK,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    ACTIONS(8551), 1,
      anon_sym___attribute,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8549), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [147393] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [147483] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    STATE(4397), 1,
      sym_enumerator_list,
    STATE(4551), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5925), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147613] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5464), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5466), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5291), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5289), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5291), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [147829] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [147917] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6898), 1,
      anon_sym___attribute,
    ACTIONS(8423), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_PIPE,
    ACTIONS(8433), 1,
      anon_sym_AMP,
    ACTIONS(8439), 1,
      anon_sym_GT_EQ,
    ACTIONS(8447), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8449), 1,
      anon_sym_bitor,
    ACTIONS(8451), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8419), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8421), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8425), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8427), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8431), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8435), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8437), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [148009] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [148087] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [148173] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6618), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [148267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5408), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [148315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148391] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [148475] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8591), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7135), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    STATE(4844), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6198), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6200), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4605), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5988), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8593), 1,
      anon_sym_LT,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [148731] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8595), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7352), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4595), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5996), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148881] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8597), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7354), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148978] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    ACTIONS(8601), 1,
      anon_sym_COLON,
    STATE(4696), 1,
      sym__enum_base_clause,
    STATE(4817), 1,
      sym_enumerator_list,
    STATE(4915), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6258), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8103), 1,
      sym_auto,
    ACTIONS(8105), 1,
      anon_sym_decltype,
    STATE(4612), 1,
      sym_decltype_auto,
    ACTIONS(5357), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5359), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [149092] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8603), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149187] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    ACTIONS(8288), 1,
      anon_sym___attribute,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6358), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149262] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8633), 1,
      anon_sym_RBRACK,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7301), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149359] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7293), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149456] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8647), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7368), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149553] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6593), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8099), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [149632] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7268), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149729] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    ACTIONS(8601), 1,
      anon_sym_COLON,
    STATE(4732), 1,
      sym__enum_base_clause,
    STATE(4848), 1,
      sym_enumerator_list,
    STATE(4889), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6252), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [149790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8593), 1,
      anon_sym_LT,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(4859), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4866), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8593), 1,
      anon_sym_LT,
    STATE(2272), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2424), 1,
      sym_template_argument_list,
    ACTIONS(4107), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(4951), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [149900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    STATE(4861), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6068), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6070), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4570), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6002), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150006] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8651), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7341), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150152] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(8653), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7417), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4555), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6006), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6965), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4539), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6019), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150402] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8655), 1,
      anon_sym_COMMA,
    ACTIONS(8657), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7240), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4537), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6023), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5291), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150599] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8659), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7212), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150696] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6441), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4473), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5968), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [150822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6407), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [150897] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7191), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150994] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8663), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7330), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5559), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151138] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    ACTIONS(8298), 1,
      anon_sym___attribute,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6391), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151213] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8665), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7310), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4470), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5960), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [151363] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8669), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7190), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6373), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151533] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8671), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151628] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6446), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [151701] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8671), 1,
      anon_sym_SEMI,
    ACTIONS(8673), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151798] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8678), 1,
      anon_sym_COMMA,
    ACTIONS(8681), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151942] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7207), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6384), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4468), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5954), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152165] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6580), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6400), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152240] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8685), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7088), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152337] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8687), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7121), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152434] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8689), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7321), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152531] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    ACTIONS(8693), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7333), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4466), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5974), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [152681] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4878), 1,
      sym_primitive_type,
    STATE(4886), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5829), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4435), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8701), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4964), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4966), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(4859), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4866), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [152799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5703), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6443), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [152874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1453), 1,
      sym__fold_operator,
    ACTIONS(8706), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8704), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [152923] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8708), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7290), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153020] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7144), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
    ACTIONS(5689), 4,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4133), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [153170] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8712), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7106), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153267] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8716), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7270), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153364] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7092), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6451), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6580), 1,
      anon_sym___attribute,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6448), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    STATE(4832), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6095), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [153662] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7246), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153759] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7089), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8298), 1,
      anon_sym___attribute,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6381), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [153931] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154028] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8728), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7248), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154125] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8730), 1,
      anon_sym_COMMA,
    ACTIONS(8732), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7401), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154222] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8734), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7342), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154319] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7060), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154416] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8738), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(4904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4906), 1,
      sym_primitive_type,
    ACTIONS(5874), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8744), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4936), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4938), 6,
      anon_sym_AMP,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5869), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154481] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8747), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7094), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154578] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8288), 1,
      anon_sym___attribute,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154653] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8749), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7171), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154750] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8751), 1,
      anon_sym_COMMA,
    ACTIONS(8753), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7274), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6413), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [154920] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7355), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(8316), 1,
      anon_sym_LPAREN2,
    STATE(4793), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6085), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6087), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [155070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4489), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6035), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6456), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155196] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8757), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7226), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155293] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6560), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4778), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6436), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [155445] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8759), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7201), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155542] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    ACTIONS(8761), 1,
      anon_sym_GT2,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    STATE(7254), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155639] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8763), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    STATE(7298), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    STATE(4506), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5984), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155789] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8765), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5571), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155929] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8793), 1,
      anon_sym_COLON,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [156095] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156183] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156277] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8805), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6301), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [156429] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8807), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156521] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6906), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156609] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8235), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6363), 1,
      sym__declarator,
    STATE(6688), 1,
      sym__abstract_declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156695] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6352), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6354), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6356), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6358), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5579), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5544), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156907] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5520), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157047] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8811), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5490), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157187] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8813), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5478), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5575), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5524), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157417] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6378), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [157569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8815), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157661] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6936), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(8817), 1,
      anon_sym_COLON,
    STATE(1794), 1,
      sym_attribute_specifier,
    STATE(4842), 1,
      sym__enum_base_clause,
    STATE(4964), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6252), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6250), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [157811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157995] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [158083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8681), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158175] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6946), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6481), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158335] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8819), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158429] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6632), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4905), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4868), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5910), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5908), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [158561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5605), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158607] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158701] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6309), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6311), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [158761] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8823), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6475), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6494), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6578), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [158999] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [159087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8825), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8829), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6500), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8296), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [159439] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [159523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8831), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8833), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6489), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5695), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [159781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [159863] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5486), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160001] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6299), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6301), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [160059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6476), 1,
      sym__abstract_declarator,
    ACTIONS(7004), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6997), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [160131] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6664), 1,
      sym_auto,
    ACTIONS(6666), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(2622), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6679), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4887), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8099), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [160209] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [160289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_LBRACK,
    STATE(4717), 1,
      sym_new_declarator,
    ACTIONS(6228), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6230), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [160339] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6942), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6942), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160617] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8835), 1,
      anon_sym_COMMA,
    ACTIONS(8837), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5563), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160757] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6670), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4875), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8138), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [160835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6892), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [160993] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8839), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5516), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161227] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8843), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161321] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161387] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6629), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4910), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8099), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [161465] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8845), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161683] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8847), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161777] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [161851] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8849), 1,
      anon_sym_COMMA,
    ACTIONS(8851), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161945] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [162021] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8853), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162113] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8853), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162205] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6352), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6354), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [162265] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8855), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5536), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162405] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [162485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5567), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162531] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6356), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6358), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [162591] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8857), 1,
      anon_sym_COMMA,
    ACTIONS(8859), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162685] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8861), 1,
      anon_sym_COMMA,
    ACTIONS(8863), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5516), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162825] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [162907] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [162993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8807), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163177] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [163261] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [163347] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8867), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5583), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6900), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4885), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4878), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163623] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8348), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5589), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163761] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8869), 1,
      anon_sym_COMMA,
    ACTIONS(8871), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6466), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8286), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [163927] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6942), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5593), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164065] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [164125] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8873), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [164307] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6916), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164395] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8853), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164487] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8875), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164581] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6936), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5470), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164719] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [164807] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6946), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [164895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5612), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5616), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164987] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8671), 1,
      anon_sym_COLON,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165081] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8877), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5540), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165221] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6916), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [165309] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8879), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165403] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6309), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6311), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165463] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7584), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6936), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5474), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165693] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6906), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [165873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5474), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165987] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8853), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166079] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166147] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166213] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [166357] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8883), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166451] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [166527] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [166607] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_PIPE,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [166689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5482), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5494), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166781] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [166865] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8885), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5474), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167005] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [167091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5500), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167137] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [167197] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8767), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8887), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5504), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167337] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [167401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5508), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167447] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6900), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [167535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6372), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6374), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [167599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5512), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167645] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8889), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6376), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6378), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [167797] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8891), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5601), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168001] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    ACTIONS(7576), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT,
    ACTIONS(8553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8561), 1,
      anon_sym_SLASH,
    ACTIONS(8567), 1,
      anon_sym_PIPE,
    ACTIONS(8571), 1,
      anon_sym_AMP,
    ACTIONS(8577), 1,
      anon_sym_LT_LT,
    ACTIONS(8579), 1,
      anon_sym_GT_GT,
    ACTIONS(8581), 1,
      anon_sym_QMARK,
    ACTIONS(8583), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8585), 1,
      anon_sym_bitor,
    ACTIONS(8587), 1,
      anon_sym_bitand,
    STATE(3671), 1,
      sym_argument_list,
    STATE(3673), 1,
      sym_subscript_argument_list,
    ACTIONS(6618), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7582), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8557), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8559), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8563), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8565), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8569), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8589), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8573), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8575), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8893), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6285), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6287), 31,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [168141] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8896), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168235] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6892), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [168323] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168417] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_COMMA,
    ACTIONS(8902), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168511] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6618), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6372), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168667] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6372), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(8817), 1,
      anon_sym_COLON,
    STATE(1783), 1,
      sym_attribute_specifier,
    STATE(4854), 1,
      sym__enum_base_clause,
    STATE(4970), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6258), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6256), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [168795] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5552), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168935] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169029] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8908), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169123] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_COMMA,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5548), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169263] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8603), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5532), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5528), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169447] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(7817), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [169615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6372), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6374), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [169691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 5,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5441), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169737] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169828] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169919] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8920), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8922), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170101] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170192] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8926), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170283] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8928), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170374] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170465] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8930), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8932), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170647] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8934), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170738] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8936), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170829] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170920] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8938), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8940), 1,
      anon_sym_RBRACE,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171193] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(8942), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171284] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4755), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171375] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8944), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171466] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8946), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(7049), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171602] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8948), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171693] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171784] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171875] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8952), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171966] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172057] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172148] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1898), 1,
      anon_sym_typename,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8956), 1,
      sym_identifier,
    ACTIONS(8958), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8962), 1,
      anon_sym_EQ,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2669), 1,
      sym_primitive_type,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    ACTIONS(8960), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [172237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(8964), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8966), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8968), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172510] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8970), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172601] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8972), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5254), 1,
      sym_ms_call_modifier,
    STATE(5556), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7224), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172773] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8974), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5232), 1,
      sym_ms_call_modifier,
    STATE(5531), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7112), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172945] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8978), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173127] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(8980), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173309] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(8984), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8986), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173491] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8988), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173582] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173673] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173764] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8994), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(4959), 1,
      sym_ref_qualifier,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5244), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6965), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174078] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(9009), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174169] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5248), 1,
      sym_ms_call_modifier,
    STATE(5543), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7275), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174341] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(9013), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9015), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174614] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174705] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174796] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9017), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174887] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    STATE(4786), 1,
      sym_enumerator_list,
    STATE(4944), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5931), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [175033] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5228), 1,
      sym_ms_call_modifier,
    STATE(5633), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7145), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175114] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4645), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175205] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9019), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9021), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175387] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9023), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(9025), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9027), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175660] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9029), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175751] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9031), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(9033), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6527), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8286), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176004] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5243), 1,
      sym_ms_call_modifier,
    STATE(5523), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7416), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [176085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(9035), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176176] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9037), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176267] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9039), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176358] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9041), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176449] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176631] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9045), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6518), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [176793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6364), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6366), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6501), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8296), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [177000] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177091] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9053), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177273] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177364] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6866), 1,
      anon_sym_const,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(3828), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6547), 1,
      sym__abstract_declarator,
    ACTIONS(6868), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3402), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6578), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6853), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [177435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9057), 1,
      anon_sym_RBRACK,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177617] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9061), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177708] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5238), 1,
      sym_ms_call_modifier,
    STATE(5509), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7282), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [177789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4643), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    STATE(4801), 1,
      sym_enumerator_list,
    STATE(4930), 1,
      sym_attribute_specifier,
    ACTIONS(5923), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5925), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178117] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9067), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178390] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(4968), 1,
      sym_ref_qualifier,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5256), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [178477] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178568] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9075), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178659] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178750] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9077), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178841] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179023] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5225), 1,
      sym_ms_call_modifier,
    STATE(5632), 1,
      sym__declarator,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(7450), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [179104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(9083), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179195] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9085), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9087), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9091), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9093), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9097), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 1,
      anon_sym_RBRACK,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8613), 1,
      anon_sym_SLASH,
    ACTIONS(8619), 1,
      anon_sym_PIPE,
    ACTIONS(8623), 1,
      anon_sym_AMP,
    ACTIONS(8629), 1,
      anon_sym_GT_EQ,
    ACTIONS(8635), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8639), 1,
      anon_sym_bitor,
    ACTIONS(8641), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8611), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8615), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8617), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8621), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8625), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8627), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180014] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4157), 1,
      anon_sym_LPAREN2,
    ACTIONS(4159), 1,
      anon_sym_STAR,
    ACTIONS(4161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(5707), 1,
      anon_sym_LBRACK,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6602), 1,
      sym__declarator,
    STATE(6813), 1,
      sym__abstract_declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [180097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(9101), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9105), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7895), 1,
      sym_literal_suffix,
    ACTIONS(4117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9107), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180599] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9109), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180690] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9111), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180781] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180872] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9115), 1,
      anon_sym_RPAREN,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180963] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(7716), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8773), 1,
      anon_sym_SLASH,
    ACTIONS(8779), 1,
      anon_sym_PIPE,
    ACTIONS(8783), 1,
      anon_sym_AMP,
    ACTIONS(8789), 1,
      anon_sym_GT_EQ,
    ACTIONS(8795), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8799), 1,
      anon_sym_bitor,
    ACTIONS(8801), 1,
      anon_sym_bitand,
    ACTIONS(9119), 1,
      anon_sym_COLON,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(7718), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8769), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8771), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8775), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4135), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4107), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8164), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4115), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [181199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4940), 1,
      sym_attribute_specifier,
    ACTIONS(6017), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6019), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181249] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5220), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6429), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181327] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(4987), 1,
      sym_ref_qualifier,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5934), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5272), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9121), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5862), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5864), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6406), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6458), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8252), 1,
      sym_auto,
    ACTIONS(8254), 1,
      anon_sym_decltype,
    STATE(4870), 1,
      sym_decltype_auto,
    ACTIONS(5357), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5359), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181641] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym___attribute__,
    ACTIONS(5856), 1,
      anon_sym___attribute,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(9123), 1,
      anon_sym_COLON,
    STATE(1794), 1,
      sym_attribute_specifier,
    STATE(2163), 1,
      sym__enum_base_clause,
    STATE(2275), 1,
      sym_enumerator_list,
    ACTIONS(6250), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6252), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [181699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6578), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6596), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8286), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181839] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5252), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6406), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [181917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6612), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [181987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6573), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8296), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6614), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182101] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5025), 1,
      sym_ref_qualifier,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5269), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182187] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4890), 1,
      sym_attribute_specifier,
    ACTIONS(6033), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6035), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6609), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6578), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4891), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5984), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4882), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5996), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON,
    STATE(2454), 1,
      sym__enum_base_clause,
    STATE(2593), 1,
      sym_enumerator_list,
    STATE(2615), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6252), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [182465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6618), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4893), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5988), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2807), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6488), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6444), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4911), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5974), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182741] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5253), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6438), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [182819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4924), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5954), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6430), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182913] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8099), 1,
      anon_sym_COLON,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6755), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5037), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [182989] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(4990), 1,
      sym_ref_qualifier,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5656), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5267), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183075] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8125), 1,
      sym_auto,
    ACTIONS(8127), 1,
      anon_sym_decltype,
    ACTIONS(8138), 1,
      anon_sym_COLON,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6805), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4929), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5960), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6426), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3759), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6394), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9121), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9139), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5842), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5844), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6562), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6584), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183495] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym___attribute__,
    ACTIONS(5856), 1,
      anon_sym___attribute,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(9123), 1,
      anon_sym_COLON,
    STATE(1783), 1,
      sym_attribute_specifier,
    STATE(2190), 1,
      sym__enum_base_clause,
    STATE(2232), 1,
      sym_enumerator_list,
    ACTIONS(6256), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6258), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5429), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6440), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6416), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6418), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [183843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6054), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [183913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(4978), 1,
      sym_ref_qualifier,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5260), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4954), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5968), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6568), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6088), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [184163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6454), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5221), 1,
      sym_ms_call_modifier,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6570), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6572), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [184355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6464), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184443] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5211), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6392), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6472), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6484), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184609] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    ACTIONS(6303), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(8346), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8495), 1,
      anon_sym_SLASH,
    ACTIONS(8501), 1,
      anon_sym_PIPE,
    ACTIONS(8505), 1,
      anon_sym_AMP,
    ACTIONS(8511), 1,
      anon_sym_GT_EQ,
    ACTIONS(8519), 1,
      anon_sym_QMARK,
    ACTIONS(8521), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8523), 1,
      anon_sym_bitor,
    ACTIONS(8525), 1,
      anon_sym_bitand,
    STATE(2418), 1,
      sym_subscript_argument_list,
    STATE(2433), 1,
      sym_argument_list,
    ACTIONS(6307), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7986), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8491), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8497), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8499), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8503), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8507), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8509), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5441), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6500), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6611), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [184857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6588), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [184901] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5245), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6419), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [184979] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2934), 1,
      sym_primitive_type,
    STATE(5059), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4852), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4964), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4966), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(9141), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [185041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(7045), 1,
      sym_literal_suffix,
    ACTIONS(4117), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4109), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [185089] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5227), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6388), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6604), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4913), 1,
      sym_attribute_specifier,
    ACTIONS(6000), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6002), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185261] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5012), 1,
      sym_ref_qualifier,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5261), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [185347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6496), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    STATE(1819), 1,
      sym_attribute_specifier,
    STATE(4971), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5925), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5923), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185487] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym___attribute__,
    ACTIONS(6091), 1,
      anon_sym___attribute,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON,
    STATE(2478), 1,
      sym__enum_base_clause,
    STATE(2583), 1,
      sym_enumerator_list,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6258), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [185545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6518), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6531), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6535), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6600), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [185721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4927), 1,
      sym_attribute_specifier,
    ACTIONS(6004), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6006), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LPAREN2,
    ACTIONS(5883), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [185823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9143), 1,
      anon_sym_COMMA,
    ACTIONS(9145), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [185871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(6076), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(2865), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2863), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [185941] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6315), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(2947), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2948), 1,
      sym_primitive_type,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(4936), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4938), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6317), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [186003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6592), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    STATE(1786), 1,
      sym_attribute_specifier,
    STATE(4974), 1,
      sym_enumerator_list,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5931), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5929), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym___attribute__,
    ACTIONS(8485), 1,
      anon_sym___attribute,
    STATE(4863), 1,
      sym_attribute_specifier,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6023), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186149] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5002), 1,
      sym_ref_qualifier,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5677), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5258), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [186235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6596), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6527), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6622), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186367] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5240), 1,
      sym_ms_call_modifier,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6353), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6514), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186489] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    STATE(5049), 1,
      sym_ref_qualifier,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(6112), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [186574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5536), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186617] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_identifier,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9160), 1,
      anon_sym_enum,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9172), 1,
      anon_sym_typename,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2082), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2338), 1,
      sym_primitive_type,
    STATE(4993), 1,
      sym_argument_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186702] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5060), 1,
      sym_ref_qualifier,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5873), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [186787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5758), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5760), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186834] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2086), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2329), 1,
      sym_primitive_type,
    STATE(4991), 1,
      sym_argument_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5754), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5756), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [186966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6664), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5601), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(5056), 1,
      sym_ref_qualifier,
    STATE(6025), 1,
      sym__function_attributes_end,
    STATE(6133), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5293), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [187163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6668), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187232] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6666), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6578), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4899), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5730), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9197), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5732), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187348] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6661), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8286), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187417] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(3968), 1,
      sym_type_specifier,
    STATE(5021), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187502] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6633), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5695), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [187571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4903), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5746), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9216), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5748), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187618] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5042), 1,
      sym_ref_qualifier,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(6100), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5297), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [187703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5474), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5474), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5494), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5474), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5500), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4055), 1,
      sym_type_specifier,
    STATE(4986), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4999), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9219), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4996), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6637), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8296), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [188119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5552), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5504), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5605), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5486), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5548), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5508), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    ACTIONS(4117), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4109), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [188422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5579), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188465] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_enum,
    ACTIONS(9231), 1,
      anon_sym_class,
    ACTIONS(9233), 1,
      anon_sym_struct,
    ACTIONS(9235), 1,
      anon_sym_union,
    ACTIONS(9237), 1,
      sym_auto,
    ACTIONS(9239), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_typename,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(3804), 1,
      sym_primitive_type,
    STATE(3864), 1,
      sym_type_specifier,
    STATE(4066), 1,
      sym_decltype_auto,
    STATE(5038), 1,
      sym_argument_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4037), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188550] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5066), 1,
      sym_ref_qualifier,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5279), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [188635] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5061), 1,
      sym_ref_qualifier,
    STATE(6036), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5281), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5804), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5806), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5441), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [188810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_enum,
    ACTIONS(9231), 1,
      anon_sym_class,
    ACTIONS(9233), 1,
      anon_sym_struct,
    ACTIONS(9235), 1,
      anon_sym_union,
    ACTIONS(9237), 1,
      sym_auto,
    ACTIONS(9239), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_typename,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(3804), 1,
      sym_primitive_type,
    STATE(3906), 1,
      sym_type_specifier,
    STATE(4066), 1,
      sym_decltype_auto,
    STATE(4997), 1,
      sym_argument_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4037), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9246), 1,
      sym_identifier,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9252), 1,
      anon_sym_enum,
    ACTIONS(9254), 1,
      anon_sym_class,
    ACTIONS(9256), 1,
      anon_sym_struct,
    ACTIONS(9258), 1,
      anon_sym_union,
    ACTIONS(9260), 1,
      sym_auto,
    ACTIONS(9262), 1,
      anon_sym_decltype,
    ACTIONS(9264), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_primitive_type,
    STATE(2716), 1,
      sym_type_specifier,
    STATE(3011), 1,
      sym_decltype_auto,
    STATE(3066), 1,
      sym_qualified_type_identifier,
    STATE(4999), 1,
      sym_argument_list,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2941), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5800), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9266), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5802), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5774), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9269), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5776), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6643), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8286), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [189143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4922), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5784), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9272), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5786), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189190] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(8958), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8962), 1,
      anon_sym_EQ,
    ACTIONS(9275), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5598), 1,
      sym_ms_declspec_modifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8960), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5597), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_auto,
    ACTIONS(5363), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9279), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9277), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [189381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_const,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4257), 1,
      sym_alignas_qualifier,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6639), 1,
      sym__abstract_declarator,
    ACTIONS(7984), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8296), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7976), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [189450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5544), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5616), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5610), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5612), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5593), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5591), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5470), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5532), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189710] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9154), 1,
      sym_identifier,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9160), 1,
      anon_sym_enum,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9172), 1,
      anon_sym_typename,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2086), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2338), 1,
      sym_primitive_type,
    STATE(5000), 1,
      sym_argument_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5528), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5054), 1,
      sym_ref_qualifier,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(5900), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5302), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [189923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5742), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9281), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5744), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5512), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5736), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5738), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190060] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5041), 1,
      sym_ref_qualifier,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(5911), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5291), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [190145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5520), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5593), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(4868), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4115), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9287), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4107), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5589), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190327] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9295), 1,
      anon_sym_enum,
    ACTIONS(9297), 1,
      anon_sym_class,
    ACTIONS(9299), 1,
      anon_sym_struct,
    ACTIONS(9301), 1,
      anon_sym_union,
    ACTIONS(9303), 1,
      anon_sym_typename,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4127), 1,
      sym_type_specifier,
    STATE(5006), 1,
      sym_argument_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5490), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5583), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190498] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_auto,
    ACTIONS(5363), 1,
      anon_sym_decltype,
    STATE(1624), 1,
      sym_alignas_qualifier,
    STATE(1825), 1,
      sym_decltype_auto,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5040), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9307), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9305), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [190555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5044), 1,
      sym_ref_qualifier,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6078), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [190640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9309), 1,
      sym_identifier,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9315), 1,
      anon_sym_enum,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_struct,
    ACTIONS(9321), 1,
      anon_sym_union,
    ACTIONS(9323), 1,
      sym_auto,
    ACTIONS(9325), 1,
      anon_sym_decltype,
    ACTIONS(9327), 1,
      anon_sym_typename,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2907), 1,
      sym_primitive_type,
    STATE(2989), 1,
      sym_type_specifier,
    STATE(3613), 1,
      sym_qualified_type_identifier,
    STATE(3617), 1,
      sym_decltype_auto,
    STATE(4988), 1,
      sym_argument_list,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3421), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3612), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5571), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5516), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4920), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5790), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9329), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5792), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190858] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2734), 1,
      sym_primitive_type,
    STATE(2770), 1,
      sym_type_specifier,
    STATE(3196), 1,
      sym_qualified_type_identifier,
    STATE(3219), 1,
      sym_decltype_auto,
    STATE(5020), 1,
      sym_argument_list,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3072), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3222), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190943] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2734), 1,
      sym_primitive_type,
    STATE(2792), 1,
      sym_type_specifier,
    STATE(3196), 1,
      sym_qualified_type_identifier,
    STATE(3219), 1,
      sym_decltype_auto,
    STATE(5019), 1,
      sym_argument_list,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3072), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3222), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9309), 1,
      sym_identifier,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9315), 1,
      anon_sym_enum,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_struct,
    ACTIONS(9321), 1,
      anon_sym_union,
    ACTIONS(9323), 1,
      sym_auto,
    ACTIONS(9325), 1,
      anon_sym_decltype,
    ACTIONS(9327), 1,
      anon_sym_typename,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2907), 1,
      sym_primitive_type,
    STATE(2938), 1,
      sym_type_specifier,
    STATE(3613), 1,
      sym_qualified_type_identifier,
    STATE(3617), 1,
      sym_decltype_auto,
    STATE(4979), 1,
      sym_argument_list,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3421), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3612), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5567), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191156] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(3982), 1,
      sym_type_specifier,
    STATE(5007), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5064), 1,
      sym_ref_qualifier,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6079), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5305), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [191326] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2082), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2329), 1,
      sym_primitive_type,
    STATE(5015), 1,
      sym_argument_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5478), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191454] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9295), 1,
      anon_sym_enum,
    ACTIONS(9297), 1,
      anon_sym_class,
    ACTIONS(9299), 1,
      anon_sym_struct,
    ACTIONS(9301), 1,
      anon_sym_union,
    ACTIONS(9303), 1,
      anon_sym_typename,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      sym_type_specifier,
    STATE(5024), 1,
      sym_argument_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5540), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5482), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9246), 1,
      sym_identifier,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9252), 1,
      anon_sym_enum,
    ACTIONS(9254), 1,
      anon_sym_class,
    ACTIONS(9256), 1,
      anon_sym_struct,
    ACTIONS(9258), 1,
      anon_sym_union,
    ACTIONS(9260), 1,
      sym_auto,
    ACTIONS(9262), 1,
      anon_sym_decltype,
    ACTIONS(9264), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_primitive_type,
    STATE(2725), 1,
      sym_type_specifier,
    STATE(3011), 1,
      sym_decltype_auto,
    STATE(3066), 1,
      sym_qualified_type_identifier,
    STATE(4982), 1,
      sym_argument_list,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2941), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5441), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5516), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5563), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4079), 1,
      sym_type_specifier,
    STATE(5028), 1,
      sym_argument_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5524), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [191967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 3,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_const,
    ACTIONS(5575), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [192010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6019), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6017), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192056] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5244), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1799), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5954), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5952), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1795), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5988), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192226] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(9357), 1,
      anon_sym___attribute__,
    ACTIONS(9360), 1,
      anon_sym___attribute,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5710), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5210), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON,
    STATE(4336), 1,
      sym__enum_base_clause,
    STATE(4390), 1,
      sym_enumerator_list,
    STATE(4567), 1,
      sym_attribute_specifier,
    ACTIONS(6256), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6258), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [192360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1791), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5996), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5994), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192406] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5162), 1,
      sym_ref_qualifier,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5309), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [192490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1831), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6002), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6000), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1822), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6006), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6004), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(5151), 1,
      sym_ref_qualifier,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6227), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5306), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [192666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5256), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1804), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6023), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6021), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(9357), 1,
      anon_sym___attribute__,
    ACTIONS(9360), 1,
      anon_sym___attribute,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5255), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [192868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(9379), 1,
      anon_sym_LPAREN2,
    STATE(2262), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3669), 1,
      sym_argument_list,
    STATE(4804), 1,
      sym_initializer_list,
    ACTIONS(5439), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [192922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1817), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5968), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5966), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1790), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5960), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5958), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193014] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9368), 1,
      anon_sym_COLON,
    STATE(4345), 1,
      sym__enum_base_clause,
    STATE(4382), 1,
      sym_enumerator_list,
    STATE(4603), 1,
      sym_attribute_specifier,
    ACTIONS(6250), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6252), 24,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [193070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1806), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5974), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5972), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1789), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5984), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5982), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1826), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(6035), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9382), 1,
      sym_ms_restrict_modifier,
    STATE(5192), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7114), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9385), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9388), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4976), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7116), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [193259] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5260), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [193336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5891), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5270), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [193413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9309), 1,
      sym_identifier,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9315), 1,
      anon_sym_enum,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_struct,
    ACTIONS(9321), 1,
      anon_sym_union,
    ACTIONS(9323), 1,
      sym_auto,
    ACTIONS(9325), 1,
      anon_sym_decltype,
    ACTIONS(9327), 1,
      anon_sym_typename,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2907), 1,
      sym_primitive_type,
    STATE(2976), 1,
      sym_type_specifier,
    STATE(3613), 1,
      sym_qualified_type_identifier,
    STATE(3617), 1,
      sym_decltype_auto,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3421), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3612), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193492] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1798), 1,
      anon_sym_enum,
    ACTIONS(1800), 1,
      anon_sym_class,
    ACTIONS(1802), 1,
      anon_sym_struct,
    ACTIONS(1804), 1,
      anon_sym_union,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(1834), 1,
      anon_sym_typename,
    ACTIONS(7357), 1,
      sym_identifier,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    STATE(1720), 1,
      sym_type_specifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5934), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5272), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [193648] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9246), 1,
      sym_identifier,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9252), 1,
      anon_sym_enum,
    ACTIONS(9254), 1,
      anon_sym_class,
    ACTIONS(9256), 1,
      anon_sym_struct,
    ACTIONS(9258), 1,
      anon_sym_union,
    ACTIONS(9260), 1,
      sym_auto,
    ACTIONS(9262), 1,
      anon_sym_decltype,
    ACTIONS(9264), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_primitive_type,
    STATE(2740), 1,
      sym_type_specifier,
    STATE(3011), 1,
      sym_decltype_auto,
    STATE(3066), 1,
      sym_qualified_type_identifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2941), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193727] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9295), 1,
      anon_sym_enum,
    ACTIONS(9297), 1,
      anon_sym_class,
    ACTIONS(9299), 1,
      anon_sym_struct,
    ACTIONS(9301), 1,
      anon_sym_union,
    ACTIONS(9303), 1,
      anon_sym_typename,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2584), 1,
      sym_type_specifier,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193806] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2607), 1,
      anon_sym_enum,
    ACTIONS(2609), 1,
      anon_sym_class,
    ACTIONS(2611), 1,
      anon_sym_struct,
    ACTIONS(2613), 1,
      anon_sym_union,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(2643), 1,
      anon_sym_typename,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2584), 1,
      sym_type_specifier,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193885] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7405), 1,
      sym_identifier,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7413), 1,
      anon_sym_enum,
    ACTIONS(7415), 1,
      anon_sym_class,
    ACTIONS(7417), 1,
      anon_sym_struct,
    ACTIONS(7419), 1,
      anon_sym_union,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7425), 1,
      anon_sym_typename,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4366), 1,
      sym_type_specifier,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193964] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4088), 1,
      sym_type_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194043] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5932), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5275), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [194120] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9309), 1,
      sym_identifier,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9315), 1,
      anon_sym_enum,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_struct,
    ACTIONS(9321), 1,
      anon_sym_union,
    ACTIONS(9323), 1,
      sym_auto,
    ACTIONS(9325), 1,
      anon_sym_decltype,
    ACTIONS(9327), 1,
      anon_sym_typename,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2907), 1,
      sym_primitive_type,
    STATE(2945), 1,
      sym_type_specifier,
    STATE(3613), 1,
      sym_qualified_type_identifier,
    STATE(3617), 1,
      sym_decltype_auto,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3421), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3612), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5202), 1,
      sym_ref_qualifier,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6044), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5335), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5648), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5257), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194359] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2091), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2329), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194438] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5677), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5258), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [194515] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9154), 1,
      sym_identifier,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9160), 1,
      anon_sym_enum,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9172), 1,
      anon_sym_typename,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2080), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2338), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194594] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5656), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5267), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [194671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9154), 1,
      sym_identifier,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9160), 1,
      anon_sym_enum,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9172), 1,
      anon_sym_typename,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2167), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2338), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194750] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5180), 1,
      sym_ref_qualifier,
    STATE(6108), 1,
      sym__function_attributes_end,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5339), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194833] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_enum,
    ACTIONS(9231), 1,
      anon_sym_class,
    ACTIONS(9233), 1,
      anon_sym_struct,
    ACTIONS(9235), 1,
      anon_sym_union,
    ACTIONS(9237), 1,
      sym_auto,
    ACTIONS(9239), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_typename,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(3804), 1,
      sym_primitive_type,
    STATE(3935), 1,
      sym_type_specifier,
    STATE(4066), 1,
      sym_decltype_auto,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4037), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194912] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_enum,
    ACTIONS(73), 1,
      anon_sym_class,
    ACTIONS(75), 1,
      anon_sym_struct,
    ACTIONS(77), 1,
      anon_sym_union,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(131), 1,
      anon_sym_typename,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(5016), 1,
      sym_identifier,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2669), 1,
      sym_primitive_type,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194991] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9246), 1,
      sym_identifier,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9252), 1,
      anon_sym_enum,
    ACTIONS(9254), 1,
      anon_sym_class,
    ACTIONS(9256), 1,
      anon_sym_struct,
    ACTIONS(9258), 1,
      anon_sym_union,
    ACTIONS(9260), 1,
      sym_auto,
    ACTIONS(9262), 1,
      anon_sym_decltype,
    ACTIONS(9264), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_primitive_type,
    STATE(2731), 1,
      sym_type_specifier,
    STATE(3011), 1,
      sym_decltype_auto,
    STATE(3066), 1,
      sym_qualified_type_identifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2941), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195070] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9154), 1,
      sym_identifier,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9160), 1,
      anon_sym_enum,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9172), 1,
      anon_sym_typename,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2091), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2338), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195149] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(9402), 1,
      anon_sym_enum,
    ACTIONS(9404), 1,
      anon_sym_typename,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6814), 1,
      sym_type_specifier,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9400), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5676), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5268), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [195305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5182), 1,
      sym_ref_qualifier,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6114), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5317), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [195388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5261), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [195465] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5174), 1,
      sym_ref_qualifier,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6144), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5330), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [195548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9295), 1,
      anon_sym_enum,
    ACTIONS(9297), 1,
      anon_sym_class,
    ACTIONS(9299), 1,
      anon_sym_struct,
    ACTIONS(9301), 1,
      anon_sym_union,
    ACTIONS(9303), 1,
      anon_sym_typename,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4144), 1,
      sym_type_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(3970), 1,
      sym_type_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195706] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9246), 1,
      sym_identifier,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9252), 1,
      anon_sym_enum,
    ACTIONS(9254), 1,
      anon_sym_class,
    ACTIONS(9256), 1,
      anon_sym_struct,
    ACTIONS(9258), 1,
      anon_sym_union,
    ACTIONS(9260), 1,
      sym_auto,
    ACTIONS(9262), 1,
      anon_sym_decltype,
    ACTIONS(9264), 1,
      anon_sym_typename,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2684), 1,
      sym_primitive_type,
    STATE(2984), 1,
      sym_type_specifier,
    STATE(3011), 1,
      sym_decltype_auto,
    STATE(3066), 1,
      sym_qualified_type_identifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2941), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195785] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7421), 1,
      sym_auto,
    ACTIONS(7423), 1,
      anon_sym_decltype,
    ACTIONS(7513), 1,
      sym_identifier,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7517), 1,
      anon_sym_enum,
    ACTIONS(7519), 1,
      anon_sym_class,
    ACTIONS(7521), 1,
      anon_sym_struct,
    ACTIONS(7523), 1,
      anon_sym_union,
    ACTIONS(7525), 1,
      anon_sym_typename,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4136), 1,
      sym_primitive_type,
    STATE(4366), 1,
      sym_type_specifier,
    STATE(4574), 1,
      sym_decltype_auto,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4636), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(9402), 1,
      anon_sym_enum,
    ACTIONS(9404), 1,
      anon_sym_typename,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(6762), 1,
      sym_type_specifier,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9400), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195943] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5179), 1,
      sym_ref_qualifier,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5322), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [196026] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5259), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [196103] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(5196), 1,
      sym_ref_qualifier,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5324), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [196186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1720), 1,
      sym_type_specifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196265] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2080), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2329), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196344] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3265), 1,
      anon_sym_enum,
    ACTIONS(3267), 1,
      anon_sym_class,
    ACTIONS(3269), 1,
      anon_sym_struct,
    ACTIONS(3271), 1,
      anon_sym_union,
    ACTIONS(3273), 1,
      anon_sym_typename,
    ACTIONS(5016), 1,
      sym_identifier,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2669), 1,
      sym_primitive_type,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_COLON,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [196490] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7477), 1,
      sym_identifier,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7485), 1,
      anon_sym_enum,
    ACTIONS(7487), 1,
      anon_sym_class,
    ACTIONS(7489), 1,
      anon_sym_struct,
    ACTIONS(7491), 1,
      anon_sym_union,
    ACTIONS(7493), 1,
      sym_auto,
    ACTIONS(7495), 1,
      anon_sym_decltype,
    ACTIONS(7497), 1,
      anon_sym_typename,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4335), 1,
      sym_primitive_type,
    STATE(4775), 1,
      sym_type_specifier,
    STATE(4900), 1,
      sym_qualified_type_identifier,
    STATE(4946), 1,
      sym_decltype_auto,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4829), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4949), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196569] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2734), 1,
      sym_primitive_type,
    STATE(2768), 1,
      sym_type_specifier,
    STATE(3196), 1,
      sym_qualified_type_identifier,
    STATE(3219), 1,
      sym_decltype_auto,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3072), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3222), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196648] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2734), 1,
      sym_primitive_type,
    STATE(2759), 1,
      sym_type_specifier,
    STATE(3196), 1,
      sym_qualified_type_identifier,
    STATE(3219), 1,
      sym_decltype_auto,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3072), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3222), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196727] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4004), 1,
      sym_type_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196806] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6817), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [196873] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(9402), 1,
      anon_sym_enum,
    ACTIONS(9404), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(4834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9400), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196952] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2639), 1,
      sym_auto,
    ACTIONS(2641), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9295), 1,
      anon_sym_enum,
    ACTIONS(9297), 1,
      anon_sym_class,
    ACTIONS(9299), 1,
      anon_sym_struct,
    ACTIONS(9301), 1,
      anon_sym_union,
    ACTIONS(9303), 1,
      anon_sym_typename,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2233), 1,
      sym_primitive_type,
    STATE(2605), 1,
      sym_decltype_auto,
    STATE(2665), 1,
      sym_qualified_type_identifier,
    STATE(4123), 1,
      sym_type_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2542), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2637), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5687), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5271), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [197108] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1866), 1,
      anon_sym_enum,
    ACTIONS(1868), 1,
      anon_sym_class,
    ACTIONS(1870), 1,
      anon_sym_struct,
    ACTIONS(1872), 1,
      anon_sym_union,
    ACTIONS(1898), 1,
      anon_sym_typename,
    ACTIONS(4829), 1,
      sym_identifier,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2669), 1,
      sym_primitive_type,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197187] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(7453), 1,
      sym_identifier,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7459), 1,
      anon_sym_enum,
    ACTIONS(7461), 1,
      anon_sym_class,
    ACTIONS(7463), 1,
      anon_sym_struct,
    ACTIONS(7465), 1,
      anon_sym_union,
    ACTIONS(7467), 1,
      anon_sym_typename,
    STATE(1720), 1,
      sym_type_specifier,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5045), 1,
      sym_primitive_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197266] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1830), 1,
      sym_auto,
    ACTIONS(1832), 1,
      anon_sym_decltype,
    ACTIONS(9200), 1,
      sym_identifier,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9206), 1,
      anon_sym_enum,
    ACTIONS(9208), 1,
      anon_sym_class,
    ACTIONS(9210), 1,
      anon_sym_struct,
    ACTIONS(9212), 1,
      anon_sym_union,
    ACTIONS(9214), 1,
      anon_sym_typename,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1805), 1,
      sym_decltype_auto,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(2083), 1,
      sym_primitive_type,
    STATE(4106), 1,
      sym_type_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(1765), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1800), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197345] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_enum,
    ACTIONS(9231), 1,
      anon_sym_class,
    ACTIONS(9233), 1,
      anon_sym_struct,
    ACTIONS(9235), 1,
      anon_sym_union,
    ACTIONS(9237), 1,
      sym_auto,
    ACTIONS(9239), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_typename,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(3804), 1,
      sym_primitive_type,
    STATE(4038), 1,
      sym_type_specifier,
    STATE(4066), 1,
      sym_decltype_auto,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4037), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197424] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5269), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [197501] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9309), 1,
      sym_identifier,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9315), 1,
      anon_sym_enum,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_struct,
    ACTIONS(9321), 1,
      anon_sym_union,
    ACTIONS(9323), 1,
      sym_auto,
    ACTIONS(9325), 1,
      anon_sym_decltype,
    ACTIONS(9327), 1,
      anon_sym_typename,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2907), 1,
      sym_primitive_type,
    STATE(3304), 1,
      sym_type_specifier,
    STATE(3613), 1,
      sym_qualified_type_identifier,
    STATE(3617), 1,
      sym_decltype_auto,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3421), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3612), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197580] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      anon_sym_enum,
    ACTIONS(9340), 1,
      anon_sym_class,
    ACTIONS(9342), 1,
      anon_sym_struct,
    ACTIONS(9344), 1,
      anon_sym_union,
    ACTIONS(9346), 1,
      sym_auto,
    ACTIONS(9348), 1,
      anon_sym_decltype,
    ACTIONS(9350), 1,
      anon_sym_typename,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2734), 1,
      sym_primitive_type,
    STATE(3088), 1,
      sym_type_specifier,
    STATE(3196), 1,
      sym_qualified_type_identifier,
    STATE(3219), 1,
      sym_decltype_auto,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(3072), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3222), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197659] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9162), 1,
      anon_sym_class,
    ACTIONS(9164), 1,
      anon_sym_struct,
    ACTIONS(9166), 1,
      anon_sym_union,
    ACTIONS(9168), 1,
      sym_auto,
    ACTIONS(9170), 1,
      anon_sym_decltype,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_typename,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2167), 1,
      sym_type_specifier,
    STATE(2200), 1,
      sym_decltype_auto,
    STATE(2222), 1,
      sym_qualified_type_identifier,
    STATE(2329), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2160), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197738] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7391), 1,
      sym_identifier,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7395), 1,
      anon_sym_enum,
    ACTIONS(7397), 1,
      anon_sym_class,
    ACTIONS(7399), 1,
      anon_sym_struct,
    ACTIONS(7401), 1,
      anon_sym_union,
    ACTIONS(7403), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(5695), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6823), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [197884] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      sym_auto,
    ACTIONS(127), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3785), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_enum,
    ACTIONS(3799), 1,
      anon_sym_class,
    ACTIONS(3801), 1,
      anon_sym_struct,
    ACTIONS(3803), 1,
      anon_sym_union,
    ACTIONS(3805), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_type_specifier,
    STATE(2372), 1,
      sym_decltype_auto,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_qualified_type_identifier,
    STATE(2970), 1,
      sym_primitive_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(2322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2364), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(5307), 1,
      anon_sym_const,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8296), 1,
      anon_sym_COLON,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(1630), 1,
      sym_alignas_qualifier,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6773), 1,
      sym__abstract_declarator,
    ACTIONS(8278), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8270), 13,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9223), 1,
      sym_identifier,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9229), 1,
      anon_sym_enum,
    ACTIONS(9231), 1,
      anon_sym_class,
    ACTIONS(9233), 1,
      anon_sym_struct,
    ACTIONS(9235), 1,
      anon_sym_union,
    ACTIONS(9237), 1,
      sym_auto,
    ACTIONS(9239), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_typename,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1988), 1,
      sym_qualified_type_identifier,
    STATE(3804), 1,
      sym_primitive_type,
    STATE(3868), 1,
      sym_type_specifier,
    STATE(4066), 1,
      sym_decltype_auto,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_dependent_type_identifier,
    STATE(4037), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [198109] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5222), 1,
      sym_ref_qualifier,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6347), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5344), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [198191] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9411), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9409), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [198239] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    STATE(5915), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5278), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198315] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6081), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5277), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [198391] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(6100), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5297), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [198467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6092), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5289), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [198543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5441), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9425), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5439), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(5911), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5291), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [198663] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym_LPAREN2,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2513), 1,
      sym_argument_list,
    STATE(3860), 1,
      sym_initializer_list,
    ACTIONS(5439), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [198715] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5236), 1,
      sym_ref_qualifier,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5342), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [198797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5284), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [198873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(6112), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5286), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [198949] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6078), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5288), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [199025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9428), 1,
      anon_sym_requires,
    STATE(5216), 1,
      sym_ref_qualifier,
    STATE(6267), 1,
      sym__function_attributes_end,
    STATE(6416), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5356), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [199107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1624), 1,
      sym_alignas_qualifier,
    ACTIONS(67), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9433), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9431), 10,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
    ACTIONS(65), 14,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
  [199155] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(5901), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5296), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(5900), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5302), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_requires,
    STATE(5941), 1,
      sym__function_attributes_end,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5283), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(6025), 1,
      sym__function_attributes_end,
    STATE(6133), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5293), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199459] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6036), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5281), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4999), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_GT2,
    ACTIONS(4996), 4,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5678), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4920), 20,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
      sym_identifier,
  [199581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5869), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5295), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199657] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6026), 1,
      sym__function_attributes_end,
    STATE(6161), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5298), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [199733] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5873), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5303), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199809] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5279), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [199885] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6055), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5299), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [199961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6079), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5305), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [200037] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5872), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5300), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [200113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6851), 1,
      anon_sym_AMP,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5217), 1,
      sym_ref_qualifier,
    STATE(6281), 1,
      sym__function_attributes_end,
    STATE(6368), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5357), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(7079), 1,
      anon_sym_LPAREN2,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3578), 1,
      sym_initializer_list,
    STATE(3580), 1,
      sym_argument_list,
    ACTIONS(5439), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5441), 21,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [200247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4892), 1,
      sym__class_declaration,
    STATE(4916), 1,
      sym__class_declaration_item,
    STATE(5579), 1,
      sym_ms_declspec_modifier,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200490] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200571] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5591), 1,
      sym_ms_declspec_modifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5594), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200652] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2745), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200814] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200976] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3060), 1,
      sym__class_declaration,
    STATE(3062), 1,
      sym__class_declaration_item,
    STATE(5569), 1,
      sym_ms_declspec_modifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5191), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201057] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201138] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201300] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201462] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201543] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201624] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4916), 1,
      sym__class_declaration_item,
    STATE(4918), 1,
      sym__class_declaration,
    STATE(5579), 1,
      sym_ms_declspec_modifier,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201705] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201786] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2629), 1,
      sym__class_declaration,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(5529), 1,
      sym_ms_declspec_modifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201867] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2745), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201948] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2628), 1,
      sym__class_declaration,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(5529), 1,
      sym_ms_declspec_modifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202029] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5598), 1,
      sym_ms_declspec_modifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202110] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2629), 1,
      sym__class_declaration,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5548), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5183), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202272] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2628), 1,
      sym__class_declaration,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5548), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5183), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202434] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202596] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5591), 1,
      sym_ms_declspec_modifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5594), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202677] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5591), 1,
      sym_ms_declspec_modifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5594), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5176), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2745), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [202920] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203082] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203163] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203244] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3603), 1,
      sym__class_declaration_item,
    STATE(3604), 1,
      sym__class_declaration,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5194), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203406] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3601), 1,
      sym__class_declaration,
    STATE(3603), 1,
      sym__class_declaration_item,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5194), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3600), 1,
      sym__class_declaration,
    STATE(3603), 1,
      sym__class_declaration_item,
    STATE(5557), 1,
      sym_ms_declspec_modifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5558), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5194), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203568] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(4632), 1,
      sym__class_declaration,
    STATE(5519), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5198), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203649] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203730] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4629), 1,
      sym__class_declaration,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(5519), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5198), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203811] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4625), 1,
      sym__class_declaration,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(5519), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5198), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3198), 1,
      sym__class_declaration_item,
    STATE(3207), 1,
      sym__class_declaration,
    STATE(5564), 1,
      sym_ms_declspec_modifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [203973] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3187), 1,
      sym__class_declaration,
    STATE(3198), 1,
      sym__class_declaration_item,
    STATE(5564), 1,
      sym_ms_declspec_modifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204054] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3175), 1,
      sym__class_declaration,
    STATE(3198), 1,
      sym__class_declaration_item,
    STATE(5564), 1,
      sym_ms_declspec_modifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5565), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5205), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5525), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5184), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204216] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204297] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1807), 1,
      sym__class_declaration,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5525), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5184), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204378] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1808), 1,
      sym__class_declaration,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5525), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5184), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204459] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5514), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5518), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204540] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5514), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5518), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1808), 1,
      sym__class_declaration,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(5621), 1,
      sym_ms_declspec_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5618), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204702] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204783] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2727), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204864] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1807), 1,
      sym__class_declaration,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(5621), 1,
      sym_ms_declspec_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5618), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [204945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205026] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5514), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5518), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5203), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205107] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5521), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5522), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5195), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(5621), 1,
      sym_ms_declspec_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5618), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5186), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(2632), 1,
      sym__class_declaration,
    STATE(5529), 1,
      sym_ms_declspec_modifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5530), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5171), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205350] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205431] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205512] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2241), 1,
      sym__class_declaration_item,
    STATE(2246), 1,
      sym__class_declaration,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2241), 1,
      sym__class_declaration_item,
    STATE(2245), 1,
      sym__class_declaration,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205755] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205836] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205917] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2240), 1,
      sym__class_declaration,
    STATE(2241), 1,
      sym__class_declaration_item,
    STATE(5499), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5187), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [205998] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5598), 1,
      sym_ms_declspec_modifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206322] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206403] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206484] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5598), 1,
      sym_ms_declspec_modifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5601), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5197), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1802), 1,
      sym__class_declaration,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5208), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1807), 1,
      sym__class_declaration,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5208), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4625), 1,
      sym__class_declaration,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(5541), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5542), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206808] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4888), 1,
      sym__class_declaration,
    STATE(4916), 1,
      sym__class_declaration_item,
    STATE(5579), 1,
      sym_ms_declspec_modifier,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5199), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [206889] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6126), 1,
      sym__function_attributes_end,
    STATE(6182), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5311), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [206964] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6227), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5306), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [207039] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4629), 1,
      sym__class_declaration,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(5541), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5542), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1803), 1,
      sym__class_declaration_item,
    STATE(1808), 1,
      sym__class_declaration,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5208), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207282] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4631), 1,
      sym__class_declaration_item,
    STATE(4632), 1,
      sym__class_declaration,
    STATE(5541), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5542), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5181), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2373), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2380), 1,
      sym__class_declaration,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207606] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3061), 1,
      sym__class_declaration,
    STATE(3062), 1,
      sym__class_declaration_item,
    STATE(5569), 1,
      sym_ms_declspec_modifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5191), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207687] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3062), 1,
      sym__class_declaration_item,
    STATE(3065), 1,
      sym__class_declaration,
    STATE(5569), 1,
      sym_ms_declspec_modifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5191), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6189), 1,
      sym_trailing_return_type,
    STATE(6197), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5308), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9355), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [207843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4050), 1,
      sym__class_declaration,
    STATE(4058), 1,
      sym__class_declaration_item,
    STATE(5590), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5585), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5201), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [207924] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2630), 1,
      sym__class_declaration_item,
    STATE(2632), 1,
      sym__class_declaration,
    STATE(5547), 1,
      sym_ms_declspec_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5548), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5183), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5309), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [208080] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2408), 1,
      sym__class_declaration_item,
    STATE(2415), 1,
      sym__class_declaration,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5635), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5634), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5189), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6123), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6121), 18,
      anon_sym_virtual,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [208204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4053), 1,
      sym__class_declaration,
    STATE(4058), 1,
      sym__class_declaration_item,
    STATE(5590), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5585), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5201), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208285] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4056), 1,
      sym__class_declaration,
    STATE(4058), 1,
      sym__class_declaration_item,
    STATE(5590), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5585), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5201), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(6108), 1,
      sym__function_attributes_end,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5339), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208440] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2604), 1,
      sym__class_declaration_item,
    STATE(5537), 1,
      sym_ms_declspec_modifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5534), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208518] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6144), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5330), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5868), 1,
      sym__declarator,
    STATE(7118), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208662] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6146), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5331), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7771), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7773), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [208774] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2405), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5636), 1,
      sym_ms_declspec_modifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5614), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [208852] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(5813), 1,
      sym__declarator,
    STATE(7118), 1,
      sym_init_declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208922] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5322), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [208996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(6135), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5321), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209070] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6109), 1,
      sym__function_attributes_end,
    STATE(6189), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5337), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209144] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4580), 1,
      sym__class_declaration_item,
    STATE(5545), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6111), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5315), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [209296] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2604), 1,
      sym__class_declaration_item,
    STATE(5555), 1,
      sym_ms_declspec_modifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209374] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5515), 1,
      sym_ms_declspec_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5516), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209452] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5897), 1,
      sym__declarator,
    STATE(7456), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209522] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(5611), 1,
      sym_ms_declspec_modifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5612), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209600] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2220), 1,
      sym__class_declaration_item,
    STATE(5512), 1,
      sym_ms_declspec_modifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5497), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209678] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5870), 1,
      sym__declarator,
    STATE(7145), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2405), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5627), 1,
      sym_ms_declspec_modifier,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209826] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5831), 1,
      sym__declarator,
    STATE(7112), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209896] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3023), 1,
      sym__class_declaration_item,
    STATE(5559), 1,
      sym_ms_declspec_modifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [209974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7769), 27,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [210012] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5324), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210086] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3535), 1,
      sym__class_declaration_item,
    STATE(5562), 1,
      sym_ms_declspec_modifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210164] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2405), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5527), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6062), 1,
      sym__function_attributes_end,
    STATE(6182), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    STATE(5327), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210316] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2405), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(5610), 1,
      sym_ms_declspec_modifier,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210394] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4580), 1,
      sym__class_declaration_item,
    STATE(5504), 1,
      sym_ms_declspec_modifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210472] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4881), 1,
      sym__class_declaration_item,
    STATE(5583), 1,
      sym_ms_declspec_modifier,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210550] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6044), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5335), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210624] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4093), 1,
      sym__class_declaration_item,
    STATE(5571), 1,
      sym_ms_declspec_modifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210702] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6117), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5336), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [210776] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2405), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(5602), 1,
      sym_ms_declspec_modifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5596), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [210854] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5878), 1,
      sym__declarator,
    STATE(7282), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3264), 1,
      sym__class_declaration_item,
    STATE(5567), 1,
      sym_ms_declspec_modifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5566), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211002] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5836), 1,
      sym__declarator,
    STATE(7118), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6114), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5317), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211146] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 1,
      anon_sym___declspec,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(5508), 1,
      sym_ms_declspec_modifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5626), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(5634), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5507), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [211224] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5863), 1,
      sym__declarator,
    STATE(7450), 1,
      sym_init_declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211294] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(9481), 1,
      anon_sym___attribute__,
    ACTIONS(9484), 1,
      anon_sym___attribute,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5701), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211361] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6393), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211428] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6458), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6347), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5344), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9428), 1,
      anon_sym_requires,
    STATE(6267), 1,
      sym__function_attributes_end,
    STATE(6416), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5356), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211641] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6577), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211708] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_requires,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6426), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5341), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6272), 1,
      sym__function_attributes_end,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5340), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6281), 1,
      sym__function_attributes_end,
    STATE(6368), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5357), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [211927] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5342), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212000] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6366), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212067] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6602), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212134] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6338), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5346), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [212207] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6363), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212274] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212341] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6354), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212408] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(5390), 1,
      sym_ms_call_modifier,
    STATE(6650), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [212469] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6425), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212536] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212603] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(5438), 1,
      sym_ms_call_modifier,
    STATE(6692), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [212664] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6603), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6386), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5466), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [212906] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6580), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212973] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(6953), 1,
      anon_sym_STAR,
    ACTIONS(6955), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6957), 1,
      anon_sym_AMP,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(6075), 1,
      sym__declarator,
    STATE(7854), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6879), 1,
      anon_sym_noexcept,
    ACTIONS(6881), 1,
      anon_sym_throw,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6325), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5350), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [213113] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213180] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6352), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213247] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(5404), 1,
      sym_ms_call_modifier,
    STATE(6665), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [213308] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6435), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213375] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_STAR,
    ACTIONS(6983), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6985), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6070), 1,
      sym__declarator,
    STATE(8511), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6967), 1,
      anon_sym_STAR,
    ACTIONS(6969), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6971), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6521), 1,
      sym__declarator,
    STATE(7995), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213509] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6414), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(9357), 1,
      anon_sym___attribute__,
    ACTIONS(9360), 1,
      anon_sym___attribute,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5710), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213643] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6449), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6973), 1,
      anon_sym_STAR,
    ACTIONS(6975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(6610), 1,
      sym__declarator,
    STATE(8046), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213777] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(5386), 1,
      sym_ms_call_modifier,
    STATE(6640), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(53), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [213838] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6359), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213905] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(8998), 1,
      anon_sym___attribute__,
    ACTIONS(9001), 1,
      anon_sym___attribute,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5658), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3249), 1,
      anon_sym_STAR,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    ACTIONS(5618), 1,
      sym_identifier,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(6363), 1,
      sym__declarator,
    STATE(8547), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214039] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_STAR,
    ACTIONS(7019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(6263), 1,
      sym__declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6385), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6383), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214240] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6961), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      sym_identifier,
    ACTIONS(6989), 1,
      anon_sym_STAR,
    ACTIONS(6991), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6993), 1,
      anon_sym_AMP,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(6408), 1,
      sym__declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5989), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9481), 1,
      anon_sym___attribute__,
    ACTIONS(9484), 1,
      anon_sym___attribute,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(5535), 1,
      sym_trailing_return_type,
    STATE(5663), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214374] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9357), 1,
      anon_sym___attribute__,
    ACTIONS(9360), 1,
      anon_sym___attribute,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9507), 1,
      anon_sym___asm,
    STATE(5393), 1,
      sym_trailing_return_type,
    STATE(5653), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9504), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5676), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym___asm,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5684), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9504), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5891), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5574), 1,
      sym_trailing_return_type,
    STATE(5686), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5639), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_PROGMEM,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [214875] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5682), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214941] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5934), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215007] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5656), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215073] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5648), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215139] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    ACTIONS(9507), 1,
      anon_sym___asm,
    STATE(5535), 1,
      sym_trailing_return_type,
    STATE(5675), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9504), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9397), 1,
      anon_sym___asm,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5687), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9394), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215271] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    STATE(5898), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9507), 1,
      anon_sym___asm,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5449), 1,
      sym_trailing_return_type,
    STATE(5688), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9504), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    STATE(5932), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215469] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    ACTIONS(9131), 1,
      anon_sym___asm,
    STATE(5532), 1,
      sym_trailing_return_type,
    STATE(5677), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9128), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215535] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215601] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(5535), 1,
      sym_trailing_return_type,
    STATE(5930), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215667] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(6112), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5849), 1,
      sym_trailing_return_type,
    STATE(6115), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215797] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    ACTIONS(9522), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(5917), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [215862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5872), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [215927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6078), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215992] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6026), 1,
      sym__function_attributes_end,
    STATE(6161), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216057] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5826), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_requires,
    STATE(6016), 1,
      sym__function_attributes_end,
    STATE(6140), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216187] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9522), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6068), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6036), 1,
      sym__function_attributes_end,
    STATE(6173), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    STATE(6069), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [216382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5873), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6092), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5963), 1,
      sym_trailing_return_type,
    STATE(6105), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216577] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9151), 1,
      anon_sym_requires,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5871), 1,
      sym_trailing_return_type,
    STATE(5911), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    STATE(5915), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216707] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(6025), 1,
      sym__function_attributes_end,
    STATE(6133), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216772] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_requires,
    STATE(5941), 1,
      sym__function_attributes_end,
    STATE(6139), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216837] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6079), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    STATE(5449), 1,
      sym_trailing_return_type,
    STATE(5879), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [216967] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    STATE(5849), 1,
      sym_trailing_return_type,
    STATE(5886), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(6081), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217097] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6007), 1,
      sym__function_attributes_end,
    STATE(6149), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6039), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    STATE(5393), 1,
      sym_trailing_return_type,
    STATE(5867), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(6100), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [217357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5843), 1,
      sym_trailing_return_type,
    STATE(5901), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_requires,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(5869), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5837), 1,
      sym_trailing_return_type,
    STATE(5900), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ,
      anon_sym_GT2,
  [217552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6055), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217617] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6126), 1,
      sym__function_attributes_end,
    STATE(6182), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6227), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217745] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6190), 1,
      sym_trailing_return_type,
    STATE(6216), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6189), 1,
      sym_trailing_return_type,
    STATE(6197), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217873] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6196), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [217937] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6171), 1,
      sym_trailing_return_type,
    STATE(6210), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218001] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6134), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6114), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218127] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9534), 1,
      anon_sym_LPAREN2,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(2761), 1,
      sym_template_type,
    STATE(3897), 1,
      sym_requirement_seq,
    STATE(5912), 1,
      sym_lambda_capture_specifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(7629), 1,
      sym_requires_parameter_list,
    ACTIONS(9538), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3954), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218188] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    STATE(5963), 1,
      sym_trailing_return_type,
    STATE(6110), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218251] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    STATE(6108), 1,
      sym__function_attributes_end,
    STATE(6185), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218314] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6111), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [218377] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6063), 1,
      sym__function_attributes_end,
    STATE(6219), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9542), 1,
      anon_sym_LPAREN2,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_requires,
    STATE(1781), 1,
      sym_template_type,
    STATE(3275), 1,
      sym_requirement_seq,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(7550), 1,
      sym_requires_parameter_list,
    ACTIONS(9546), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218501] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7588), 1,
      anon_sym_STAR,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_AMP,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8237), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5449), 1,
      sym_trailing_return_type,
    STATE(6136), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218615] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    STATE(6135), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [218678] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_LPAREN2,
    ACTIONS(9552), 1,
      anon_sym_LBRACE,
    ACTIONS(9556), 1,
      anon_sym_requires,
    STATE(2466), 1,
      sym_template_type,
    STATE(4216), 1,
      sym_requirement_seq,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(7567), 1,
      sym_requires_parameter_list,
    ACTIONS(9554), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4805), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218739] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6062), 1,
      sym__function_attributes_end,
    STATE(6182), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218802] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN2,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    ACTIONS(9564), 1,
      anon_sym_requires,
    STATE(2127), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_requirement_seq,
    STATE(5935), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7498), 1,
      sym_requires_parameter_list,
    ACTIONS(9562), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2423), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [218863] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_STAR,
    ACTIONS(7752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7754), 1,
      anon_sym_AMP,
    ACTIONS(8237), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6021), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6059), 1,
      sym__function_attributes_end,
    STATE(6171), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [218977] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym___attribute__,
    ACTIONS(9177), 1,
      anon_sym___attribute,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6044), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219040] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6144), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219103] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9391), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6146), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219166] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5393), 1,
      sym_trailing_return_type,
    STATE(6152), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [219229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_LBRACE,
    ACTIONS(9572), 1,
      anon_sym_requires,
    STATE(2648), 1,
      sym_template_type,
    STATE(3590), 1,
      sym_requirement_seq,
    STATE(5895), 1,
      sym_lambda_capture_specifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(7703), 1,
      sym_requires_parameter_list,
    ACTIONS(9570), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3585), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219290] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_LPAREN2,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9580), 1,
      anon_sym_requires,
    STATE(2707), 1,
      sym_template_type,
    STATE(3656), 1,
      sym_requirement_seq,
    STATE(5922), 1,
      sym_lambda_capture_specifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_requires_parameter_list,
    ACTIONS(9578), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3768), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    ACTIONS(9542), 1,
      anon_sym_LPAREN2,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_requires,
    STATE(3275), 1,
      sym_requirement_seq,
    STATE(3649), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7550), 1,
      sym_requires_parameter_list,
    ACTIONS(9582), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4226), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [219412] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6117), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6047), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [219538] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym___attribute__,
    ACTIONS(9516), 1,
      anon_sym___attribute,
    STATE(6120), 1,
      sym__function_attributes_end,
    STATE(6190), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219601] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_STAR,
    ACTIONS(7777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7779), 1,
      anon_sym_AMP,
    ACTIONS(8237), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(5983), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219652] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym___attribute__,
    ACTIONS(9416), 1,
      anon_sym___attribute,
    STATE(6109), 1,
      sym__function_attributes_end,
    STATE(6189), 1,
      sym_trailing_return_type,
    STATE(6636), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5349), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219715] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6264), 1,
      sym__function_attributes_end,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9487), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(6256), 1,
      sym__function_attributes_end,
    STATE(6421), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219839] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5947), 1,
      sym_trailing_return_type,
    STATE(6325), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219901] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    STATE(6347), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
  [219963] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    STATE(6338), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9589), 1,
      anon_sym_SEMI,
    ACTIONS(9591), 1,
      anon_sym_LBRACE,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(9595), 1,
      anon_sym_EQ,
    ACTIONS(9597), 1,
      anon_sym_COLON,
    ACTIONS(9599), 1,
      anon_sym_try,
    STATE(1670), 1,
      sym_compound_statement,
    STATE(1671), 1,
      sym_pure_virtual_clause,
    STATE(1672), 1,
      sym_try_statement,
    STATE(1743), 1,
      sym_delete_method_clause,
    STATE(1759), 1,
      sym_default_method_clause,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6723), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6731), 1,
      sym_initializer_list,
    STATE(6732), 1,
      sym_bitfield_clause,
    STATE(8010), 1,
      sym_attribute_specifier,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [220099] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5982), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9603), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9601), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220265] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9607), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9605), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5963), 1,
      sym_trailing_return_type,
    STATE(6335), 1,
      sym__function_attributes_end,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9479), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220369] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(5933), 1,
      sym_ms_call_modifier,
    STATE(6591), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    ACTIONS(1790), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [220423] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9428), 1,
      anon_sym_requires,
    STATE(6267), 1,
      sym__function_attributes_end,
    STATE(6416), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6281), 1,
      sym__function_attributes_end,
    STATE(6368), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8996), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220547] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(9597), 1,
      anon_sym_COLON,
    ACTIONS(9609), 1,
      anon_sym_SEMI,
    ACTIONS(9611), 1,
      anon_sym_LBRACE,
    ACTIONS(9613), 1,
      anon_sym_EQ,
    ACTIONS(9615), 1,
      anon_sym_try,
    STATE(1907), 1,
      sym_try_statement,
    STATE(1942), 1,
      sym_pure_virtual_clause,
    STATE(1947), 1,
      sym_default_method_clause,
    STATE(1955), 1,
      sym_compound_statement,
    STATE(2033), 1,
      sym_delete_method_clause,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6697), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6736), 1,
      sym_initializer_list,
    STATE(6739), 1,
      sym_bitfield_clause,
    STATE(8273), 1,
      sym_attribute_specifier,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [220621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(9597), 1,
      anon_sym_COLON,
    ACTIONS(9617), 1,
      anon_sym_SEMI,
    ACTIONS(9619), 1,
      anon_sym_LBRACE,
    ACTIONS(9621), 1,
      anon_sym_EQ,
    ACTIONS(9623), 1,
      anon_sym_try,
    STATE(2057), 1,
      sym_default_method_clause,
    STATE(2058), 1,
      sym_try_statement,
    STATE(2060), 1,
      sym_pure_virtual_clause,
    STATE(2061), 1,
      sym_delete_method_clause,
    STATE(2067), 1,
      sym_compound_statement,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6698), 1,
      sym_bitfield_clause,
    STATE(6699), 1,
      sym_initializer_list,
    STATE(6700), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8428), 1,
      sym_attribute_specifier,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [220695] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_requires,
    STATE(6259), 1,
      sym__function_attributes_end,
    STATE(6426), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 1,
      anon_sym___asm,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9363), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6272), 1,
      sym__function_attributes_end,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(6620), 1,
      sym_gnu_asm_expression,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6870), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9355), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5389), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5646), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
  [220819] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6809), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [220872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6800), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [220925] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6782), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [220978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9627), 1,
      anon_sym_RPAREN,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5619), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [221025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6794), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9643), 1,
      anon_sym_RPAREN,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5622), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [221125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6812), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221178] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6808), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221231] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6793), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_STAR,
    ACTIONS(7899), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_AMP,
    ACTIONS(8237), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6204), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [221333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5623), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [221380] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6780), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6797), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6822), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221539] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6783), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221592] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6825), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221645] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6772), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221698] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6818), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221751] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6804), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221804] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6756), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6790), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9649), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9647), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [221941] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6411), 1,
      sym__type_declarator,
    STATE(6768), 1,
      sym__type_definition_declarators,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [221994] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    STATE(2761), 1,
      sym_template_type,
    STATE(5912), 1,
      sym_lambda_capture_specifier,
    STATE(6555), 1,
      sym__scope_resolution,
    ACTIONS(9653), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3852), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9603), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9601), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222080] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9657), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6147), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9661), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9663), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5842), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5844), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222166] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7970), 1,
      anon_sym_STAR,
    ACTIONS(7972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7974), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8237), 1,
      anon_sym___attribute,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6301), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6644), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [222264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9603), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4304), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5694), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9601), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8996), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9607), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4304), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9605), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222382] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6672), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [222432] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9366), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9355), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9665), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9669), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222584] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5713), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222628] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9675), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3395), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9677), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1602), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222732] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    ACTIONS(9679), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6130), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222784] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5793), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222828] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5755), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222872] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5778), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [222916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9697), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6545), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [222968] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5787), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223012] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6653), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9701), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9699), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_LPAREN2,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(4347), 1,
      sym_template_type,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6514), 1,
      sym__scope_resolution,
    ACTIONS(9705), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5861), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223148] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9556), 1,
      anon_sym_requires,
    ACTIONS(9709), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_template_type,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    ACTIONS(9711), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6184), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223200] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_requires,
    ACTIONS(9713), 1,
      anon_sym_LPAREN2,
    STATE(2707), 1,
      sym_template_type,
    STATE(5922), 1,
      sym_lambda_capture_specifier,
    STATE(6554), 1,
      sym__scope_resolution,
    ACTIONS(9715), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3699), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223252] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(9675), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3395), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(9719), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5578), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223356] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(9723), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4196), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(9725), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5592), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9729), 1,
      anon_sym_COLON_COLON,
    STATE(2100), 1,
      sym_template_type,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2114), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(9733), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6526), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223564] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5823), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9607), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9605), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223642] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(7966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7968), 1,
      anon_sym_AMP,
    STATE(5835), 1,
      sym__type_declarator,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223692] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6474), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [223742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(9735), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5384), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223794] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5824), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223838] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_LPAREN2,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(4347), 1,
      sym_template_type,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6514), 1,
      sym__scope_resolution,
    ACTIONS(9737), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5832), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223890] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9441), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      anon_sym_LPAREN2,
    ACTIONS(9707), 1,
      anon_sym_requires,
    STATE(4347), 1,
      sym_template_type,
    STATE(5905), 1,
      sym_lambda_capture_specifier,
    STATE(6514), 1,
      sym__scope_resolution,
    ACTIONS(9739), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5845), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [223942] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5746), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [223986] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5776), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224030] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5760), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224074] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5766), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224118] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      anon_sym_requires,
    ACTIONS(9741), 1,
      anon_sym_LPAREN2,
    STATE(2127), 1,
      sym_template_type,
    STATE(5935), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(9743), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2492), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224170] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6143), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6651), 1,
      sym__type_declarator,
    STATE(8172), 1,
      sym_ms_based_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224270] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    STATE(2761), 1,
      sym_template_type,
    STATE(5912), 1,
      sym_lambda_capture_specifier,
    STATE(6555), 1,
      sym__scope_resolution,
    ACTIONS(9745), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3853), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(9747), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6375), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224374] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5794), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5797), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224462] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5805), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224506] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3847), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(9749), 1,
      sym_identifier,
    ACTIONS(9751), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5435), 1,
      sym__scope_resolution,
    STATE(7030), 1,
      sym_operator_cast,
    STATE(7035), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8540), 1,
      sym_decltype,
    STATE(8637), 1,
      sym_ms_based_modifier,
  [224576] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_COLON_COLON,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9757), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5968), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7950), 1,
      sym_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN2,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(7956), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7958), 1,
      anon_sym_AMP,
    STATE(5977), 1,
      sym_pointer_type_declarator,
    STATE(6169), 1,
      sym__type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7962), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224678] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(8024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8026), 1,
      anon_sym_AMP,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(6657), 1,
      sym__type_declarator,
    STATE(8637), 1,
      sym_ms_based_modifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [224728] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_COLON_COLON,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9675), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3395), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224780] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9729), 1,
      anon_sym_COLON_COLON,
    STATE(2100), 1,
      sym_template_type,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9677), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1602), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [224832] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5806), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224876] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5809), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224920] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5810), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [224964] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    ACTIONS(9727), 1,
      sym_identifier,
    ACTIONS(9729), 1,
      anon_sym_COLON_COLON,
    STATE(2100), 1,
      sym_template_type,
    STATE(5910), 1,
      sym_lambda_capture_specifier,
    STATE(6536), 1,
      sym__scope_resolution,
    ACTIONS(9759), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2121), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225016] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5814), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225060] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9134), 1,
      anon_sym_requires,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8996), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [225098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9366), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9355), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [225136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_requires,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [225174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9764), 1,
      anon_sym_requires,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9665), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [225212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9770), 1,
      anon_sym_requires,
    ACTIONS(9767), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9669), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [225250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5815), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225294] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9556), 1,
      anon_sym_requires,
    ACTIONS(9709), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_template_type,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(9773), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4771), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5816), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225390] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5818), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(5693), 1,
      sym_preproc_argument_list,
    ACTIONS(9779), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9775), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225468] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5820), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225512] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9556), 1,
      anon_sym_requires,
    ACTIONS(9709), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_template_type,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4256), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [225564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5862), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5864), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225596] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_STAR,
    ACTIONS(8053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6273), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [225642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5726), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5728), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225730] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5730), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5640), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5732), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225862] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5727), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225906] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5725), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [225950] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_LPAREN2,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(8014), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8016), 1,
      anon_sym_AMP,
    STATE(3069), 1,
      sym__type_declarator,
    STATE(3484), 1,
      sym_pointer_type_declarator,
    STATE(8147), 1,
      sym_ms_based_modifier,
    ACTIONS(8020), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8018), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3486), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [226000] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5783), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226044] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5724), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226088] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5722), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5721), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226176] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(7988), 1,
      sym_identifier,
    ACTIONS(7990), 1,
      anon_sym_LPAREN2,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(8004), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8006), 1,
      anon_sym_AMP,
    STATE(2179), 1,
      sym__type_declarator,
    STATE(2219), 1,
      sym_pointer_type_declarator,
    STATE(8278), 1,
      sym_ms_based_modifier,
    ACTIONS(8000), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(7998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2211), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [226226] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5789), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226270] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5798), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226314] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(9677), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1602), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9580), 1,
      anon_sym_requires,
    ACTIONS(9713), 1,
      anon_sym_LPAREN2,
    STATE(2707), 1,
      sym_template_type,
    STATE(5922), 1,
      sym_lambda_capture_specifier,
    STATE(6554), 1,
      sym__scope_resolution,
    ACTIONS(9783), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3685), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      anon_sym_LPAREN2,
    ACTIONS(9659), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5889), 1,
      sym_lambda_capture_specifier,
    STATE(6550), 1,
      sym__scope_resolution,
    ACTIONS(9785), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5458), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(9719), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5578), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226522] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(9787), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5570), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226574] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9572), 1,
      anon_sym_requires,
    ACTIONS(9789), 1,
      anon_sym_LPAREN2,
    STATE(2648), 1,
      sym_template_type,
    STATE(5895), 1,
      sym_lambda_capture_specifier,
    STATE(6551), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3466), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226626] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9572), 1,
      anon_sym_requires,
    ACTIONS(9789), 1,
      anon_sym_LPAREN2,
    STATE(2648), 1,
      sym_template_type,
    STATE(5895), 1,
      sym_lambda_capture_specifier,
    STATE(6551), 1,
      sym__scope_resolution,
    ACTIONS(9793), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3467), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226678] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5779), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9717), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_requires,
    STATE(2138), 1,
      sym_template_type,
    STATE(5921), 1,
      sym_lambda_capture_specifier,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(9795), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6372), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5781), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [226818] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    ACTIONS(9564), 1,
      anon_sym_requires,
    ACTIONS(9741), 1,
      anon_sym_LPAREN2,
    STATE(2127), 1,
      sym_template_type,
    STATE(5935), 1,
      sym_lambda_capture_specifier,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(9797), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2493), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [226870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(8039), 1,
      anon_sym_LPAREN2,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(8043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8045), 1,
      anon_sym_AMP,
    STATE(2972), 1,
      sym__type_declarator,
    STATE(3380), 1,
      sym_pointer_type_declarator,
    STATE(7859), 1,
      sym_ms_based_modifier,
    ACTIONS(8049), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    ACTIONS(8047), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3379), 6,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_primitive_type,
      sym_reference_type_declarator,
  [226920] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(3259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(9799), 1,
      sym_identifier,
    ACTIONS(9801), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5487), 1,
      sym__scope_resolution,
    STATE(7030), 1,
      sym_operator_cast,
    STATE(7035), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8540), 1,
      sym_decltype,
    STATE(8637), 1,
      sym_ms_based_modifier,
  [226990] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9556), 1,
      anon_sym_requires,
    ACTIONS(9709), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_template_type,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4256), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227042] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    ACTIONS(9556), 1,
      anon_sym_requires,
    ACTIONS(9709), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_template_type,
    STATE(5931), 1,
      sym_lambda_capture_specifier,
    STATE(6524), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6192), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227094] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      sym_identifier,
    ACTIONS(9629), 1,
      anon_sym_LPAREN2,
    ACTIONS(9631), 1,
      anon_sym_defined,
    ACTIONS(9637), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9639), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9633), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9641), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5704), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [227138] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9805), 1,
      sym_identifier,
    ACTIONS(9807), 1,
      anon_sym_TILDE,
    ACTIONS(9809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9811), 1,
      anon_sym_template,
    ACTIONS(9813), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5491), 1,
      sym__scope_resolution,
    STATE(7030), 1,
      sym_operator_cast,
    STATE(7035), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [227208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(3649), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(9675), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3395), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    STATE(3649), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4236), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227312] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 1,
      sym_identifier,
    ACTIONS(9683), 1,
      anon_sym_LPAREN2,
    ACTIONS(9685), 1,
      anon_sym_defined,
    ACTIONS(9691), 1,
      aux_sym_number_literal_token1,
    ACTIONS(9693), 1,
      aux_sym_number_literal_token2,
    ACTIONS(9687), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9695), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5737), 8,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_number_literal,
      sym_char_literal,
  [227356] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(1978), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_requires,
    ACTIONS(9673), 1,
      anon_sym_LPAREN2,
    ACTIONS(9753), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_COLON_COLON,
    STATE(1781), 1,
      sym_template_type,
    STATE(5920), 1,
      sym_lambda_capture_specifier,
    STATE(6542), 1,
      sym__scope_resolution,
    ACTIONS(9817), 2,
      sym_true,
      sym_false,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5994), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [227408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2671), 1,
      sym__class_declaration_item,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227467] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2265), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2217), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2213), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5497), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4465), 1,
      sym__class_declaration_item,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5507), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227821] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1787), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4522), 1,
      sym__class_declaration_item,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5501), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227939] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4543), 1,
      sym__class_declaration_item,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [227998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8083), 1,
      anon_sym_STAR,
    ACTIONS(8085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8087), 1,
      anon_sym_AMP,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6349), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228043] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228161] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9823), 1,
      anon_sym_SEMI,
    ACTIONS(9825), 1,
      anon_sym_LBRACE,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9833), 1,
      anon_sym_try,
    STATE(672), 1,
      sym_try_statement,
    STATE(675), 1,
      sym_compound_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7315), 1,
      sym_gnu_asm_expression,
    STATE(7438), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [228222] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1787), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2268), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5513), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228399] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2168), 1,
      sym_field_declaration_list,
    STATE(2296), 1,
      sym__class_declaration_item,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(7007), 1,
      sym_virtual_specifier,
    STATE(7562), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1860), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228458] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5596), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228517] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5500), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228635] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4583), 1,
      sym__class_declaration_item,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2400), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228753] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4598), 1,
      sym__class_declaration_item,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5505), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228812] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2336), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228871] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5526), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228930] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2400), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [228989] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9835), 1,
      anon_sym_SEMI,
    ACTIONS(9837), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_compound_statement,
    STATE(1940), 1,
      sym_try_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7350), 1,
      aux_sym_declaration_repeat1,
    STATE(7357), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [229050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9072), 1,
      anon_sym_requires,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8996), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229087] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2295), 1,
      sym_field_declaration_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(6941), 1,
      sym_virtual_specifier,
    STATE(7618), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2119), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5516), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229146] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2340), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229205] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2352), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2336), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229323] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2609), 1,
      sym__class_declaration_item,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5534), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2643), 1,
      sym__class_declaration_item,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229441] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9839), 1,
      anon_sym_SEMI,
    ACTIONS(9841), 1,
      anon_sym_LBRACE,
    ACTIONS(9843), 1,
      anon_sym_try,
    STATE(542), 1,
      sym_try_statement,
    STATE(543), 1,
      sym_compound_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7209), 1,
      aux_sym_declaration_repeat1,
    STATE(7229), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [229502] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9376), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9366), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9355), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9498), 1,
      anon_sym_requires,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_requires,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9665), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229672] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_requires,
    ACTIONS(9767), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9669), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2656), 1,
      sym__class_declaration_item,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2671), 1,
      sym__class_declaration_item,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9671), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9669), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [229864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9853), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9851), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229893] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4598), 1,
      sym__class_declaration_item,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5544), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [229952] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4583), 1,
      sym__class_declaration_item,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230011] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9855), 1,
      anon_sym_SEMI,
    ACTIONS(9857), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_compound_statement,
    STATE(1777), 1,
      sym_try_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7404), 1,
      aux_sym_declaration_repeat1,
    STATE(7406), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [230072] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4543), 1,
      sym__class_declaration_item,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230131] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4522), 1,
      sym__class_declaration_item,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5546), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230190] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4363), 1,
      sym_field_declaration_list,
    STATE(4465), 1,
      sym__class_declaration_item,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6961), 1,
      sym_virtual_specifier,
    STATE(7783), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4209), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230249] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2609), 1,
      sym__class_declaration_item,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230308] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2643), 1,
      sym__class_declaration_item,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4080), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9667), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9665), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [230463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9861), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9859), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9865), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9863), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230521] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3089), 1,
      sym__class_declaration_item,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2578), 1,
      sym_field_declaration_list,
    STATE(2656), 1,
      sym__class_declaration_item,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym_virtual_specifier,
    STATE(7624), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5496), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9867), 1,
      anon_sym_SEMI,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    STATE(1981), 1,
      sym_try_statement,
    STATE(1983), 1,
      sym_compound_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7166), 1,
      aux_sym_declaration_repeat1,
    STATE(7168), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [230759] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3554), 1,
      sym__class_declaration_item,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230818] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3542), 1,
      sym__class_declaration_item,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230877] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3025), 1,
      sym__class_declaration_item,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230936] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3054), 1,
      sym__class_declaration_item,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [230995] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3482), 1,
      sym__class_declaration_item,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231054] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3487), 1,
      sym__class_declaration_item,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5563), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231113] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3022), 1,
      sym_field_declaration_list,
    STATE(3552), 1,
      sym__class_declaration_item,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(6922), 1,
      sym_virtual_specifier,
    STATE(7718), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2645), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231172] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3226), 1,
      sym__class_declaration_item,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5566), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231231] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3243), 1,
      sym__class_declaration_item,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3159), 1,
      sym__class_declaration_item,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231349] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5573), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3030), 1,
      sym__class_declaration_item,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231467] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2831), 1,
      sym_field_declaration_list,
    STATE(3035), 1,
      sym__class_declaration_item,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_virtual_specifier,
    STATE(7535), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2359), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5560), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9871), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9873), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5842), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5844), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4105), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5549), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231618] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4086), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(3115), 1,
      sym__class_declaration_item,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(6942), 1,
      sym_virtual_specifier,
    STATE(7695), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231736] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9875), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9879), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5175), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5171), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231889] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4883), 1,
      sym__class_declaration_item,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5581), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [231948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4880), 1,
      sym__class_declaration_item,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232007] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4935), 1,
      sym__class_declaration_item,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5191), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4950), 1,
      sym__class_declaration_item,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5589), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5195), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4095), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5167), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5167), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5167), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4787), 1,
      sym_field_declaration_list,
    STATE(4895), 1,
      sym__class_declaration_item,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(7047), 1,
      sym_virtual_specifier,
    STATE(7649), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4281), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_field_declaration_list,
    STATE(4103), 1,
      sym__class_declaration_item,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(7003), 1,
      sym_virtual_specifier,
    STATE(7596), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3208), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5572), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5614), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5862), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5864), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5155), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232566] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2400), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    ACTIONS(9883), 1,
      anon_sym_SEMI,
    STATE(5345), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(7809), 1,
      sym_attribute_specifier,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [232678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2340), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1970), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1966), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5163), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2400), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232942] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2352), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5638), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5603), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9887), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9885), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1818), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5142), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9366), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9355), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5179), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233188] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2336), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233247] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2340), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233306] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2352), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233365] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5604), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1814), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5199), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2340), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5187), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5183), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2336), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1787), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(9894), 1,
      anon_sym_RPAREN,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    STATE(7296), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [233802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5159), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233831] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(7006), 1,
      sym_virtual_specifier,
    STATE(7558), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4237), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5612), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233890] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(9920), 1,
      anon_sym_RPAREN,
    STATE(7217), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [233945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(9922), 1,
      anon_sym_RPAREN,
    STATE(7398), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5603), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9926), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9924), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8996), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_LPAREN2,
    ACTIONS(9932), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9928), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234101] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2352), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5617), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234160] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2340), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234219] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    ACTIONS(9934), 1,
      anon_sym_SEMI,
    STATE(5354), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8017), 1,
      sym_attribute_specifier,
    STATE(8153), 1,
      sym_ms_based_modifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [234272] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    ACTIONS(9936), 1,
      anon_sym_SEMI,
    STATE(5355), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(8504), 1,
      sym_attribute_specifier,
    ACTIONS(43), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [234325] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(135), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(9938), 1,
      sym_identifier,
    ACTIONS(9940), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5631), 1,
      sym__scope_resolution,
    STATE(7030), 1,
      sym_operator_cast,
    STATE(7035), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8637), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [234388] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9942), 1,
      anon_sym_SEMI,
    ACTIONS(9944), 1,
      anon_sym_LBRACE,
    ACTIONS(9946), 1,
      anon_sym_try,
    STATE(369), 1,
      sym_try_statement,
    STATE(370), 1,
      sym_compound_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7396), 1,
      aux_sym_declaration_repeat1,
    STATE(7397), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [234449] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(1916), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9948), 1,
      anon_sym_SEMI,
    ACTIONS(9950), 1,
      anon_sym_try,
    STATE(702), 1,
      sym_compound_statement,
    STATE(705), 1,
      sym_try_statement,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7111), 1,
      sym_gnu_asm_expression,
    STATE(7120), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [234510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2400), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234569] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2377), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5628), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234628] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2352), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym_virtual_specifier,
    STATE(7538), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3895), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5608), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234687] = 5,
    ACTIONS(9775), 1,
      anon_sym_LF,
    ACTIONS(9952), 1,
      anon_sym_LPAREN2,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(5767), 1,
      sym_preproc_argument_list,
    ACTIONS(9779), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [234720] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2336), 1,
      sym__class_declaration_item,
    STATE(3510), 1,
      sym_field_declaration_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym_virtual_specifier,
    STATE(7526), 1,
      sym_base_class_clause,
    ACTIONS(5660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2981), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9366), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [234865] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9966), 1,
      anon_sym_RBRACK,
    ACTIONS(9968), 1,
      sym_this,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [234917] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(9970), 1,
      sym_identifier,
    ACTIONS(9972), 1,
      anon_sym_TILDE,
    ACTIONS(9974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9976), 1,
      anon_sym_template,
    ACTIONS(9978), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(3674), 1,
      sym_template_function,
    STATE(3675), 1,
      sym_destructor_name,
    STATE(3676), 1,
      sym_dependent_identifier,
    STATE(3678), 1,
      sym_qualified_identifier,
    STATE(3680), 1,
      sym_operator_name,
    STATE(5642), 1,
      sym__scope_resolution,
    STATE(8147), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [234981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8132), 1,
      anon_sym_STAR,
    ACTIONS(8134), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8136), 1,
      anon_sym_AMP,
    ACTIONS(8237), 1,
      anon_sym___attribute,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6398), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235027] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(9984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9986), 1,
      anon_sym_template,
    ACTIONS(9988), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(3571), 1,
      sym_operator_name,
    STATE(3573), 1,
      sym_qualified_identifier,
    STATE(3575), 1,
      sym_dependent_identifier,
    STATE(3576), 1,
      sym_destructor_name,
    STATE(3577), 1,
      sym_template_function,
    STATE(3579), 1,
      sym_pointer_type_declarator,
    STATE(5644), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [235091] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(9990), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9607), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9605), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235175] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9992), 1,
      sym_identifier,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(9996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9998), 1,
      anon_sym_template,
    ACTIONS(10000), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2445), 1,
      sym_pointer_type_declarator,
    STATE(2447), 1,
      sym_template_function,
    STATE(2448), 1,
      sym_destructor_name,
    STATE(2449), 1,
      sym_dependent_identifier,
    STATE(2451), 1,
      sym_qualified_identifier,
    STATE(2453), 1,
      sym_operator_name,
    STATE(5647), 1,
      sym__scope_resolution,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [235239] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235279] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(10002), 1,
      sym_identifier,
    ACTIONS(10004), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5649), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
    STATE(8637), 1,
      sym_ms_based_modifier,
  [235343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(10006), 1,
      sym_identifier,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10012), 1,
      anon_sym_template,
    ACTIONS(10014), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(3266), 1,
      sym_destructor_name,
    STATE(3344), 1,
      sym_pointer_type_declarator,
    STATE(3345), 1,
      sym_template_function,
    STATE(3349), 1,
      sym_dependent_identifier,
    STATE(3352), 1,
      sym_qualified_identifier,
    STATE(3356), 1,
      sym_operator_name,
    STATE(5650), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [235407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    STATE(5606), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9007), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9007), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(5394), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_STAR,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8162), 1,
      anon_sym_AMP,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6431), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9807), 1,
      anon_sym_TILDE,
    ACTIONS(10016), 1,
      sym_identifier,
    ACTIONS(10018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10020), 1,
      anon_sym_template,
    ACTIONS(10022), 1,
      anon_sym_operator,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5655), 1,
      sym__scope_resolution,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [235635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9366), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(9007), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235715] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235755] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4368), 1,
      anon_sym_RBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10024), 1,
      sym_identifier,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7047), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7049), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6965), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [235863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(5535), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(5536), 1,
      sym_trailing_return_type,
    ACTIONS(9667), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [235995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236047] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(4894), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(10032), 1,
      sym_identifier,
    ACTIONS(10034), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5667), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
    STATE(8637), 1,
      sym_ms_based_modifier,
  [236163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8012), 1,
      anon_sym_STAR,
    ACTIONS(9972), 1,
      anon_sym_TILDE,
    ACTIONS(9978), 1,
      anon_sym_operator,
    ACTIONS(10036), 1,
      sym_identifier,
    ACTIONS(10038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10040), 1,
      anon_sym_template,
    STATE(2500), 1,
      sym_template_type,
    STATE(2509), 1,
      sym_dependent_type_identifier,
    STATE(2587), 1,
      sym_qualified_type_identifier,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(3674), 1,
      sym_template_function,
    STATE(3675), 1,
      sym_destructor_name,
    STATE(3676), 1,
      sym_dependent_identifier,
    STATE(3678), 1,
      sym_qualified_identifier,
    STATE(3680), 1,
      sym_operator_name,
    STATE(5668), 1,
      sym__scope_resolution,
    STATE(8147), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [236227] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(9007), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10044), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10042), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [236295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10046), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [236323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(9988), 1,
      anon_sym_operator,
    ACTIONS(10050), 1,
      sym_identifier,
    ACTIONS(10052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10054), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(3571), 1,
      sym_operator_name,
    STATE(3573), 1,
      sym_qualified_identifier,
    STATE(3575), 1,
      sym_dependent_identifier,
    STATE(3576), 1,
      sym_destructor_name,
    STATE(3577), 1,
      sym_template_function,
    STATE(3579), 1,
      sym_pointer_type_declarator,
    STATE(5672), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [236387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9603), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9601), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10056), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236471] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(5536), 1,
      sym_trailing_return_type,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(5535), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236591] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10058), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(9007), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10060), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10062), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [236827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10064), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(5539), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236919] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10066), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [236971] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5449), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237051] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7012), 1,
      anon_sym_DASH_GT,
    ACTIONS(9764), 1,
      anon_sym_requires,
    STATE(5450), 1,
      sym_trailing_return_type,
    ACTIONS(9667), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [237091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7029), 1,
      anon_sym_DASH_GT,
    STATE(5606), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9007), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [237131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10070), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10068), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8107), 1,
      anon_sym_STAR,
    ACTIONS(8109), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8111), 1,
      anon_sym_AMP,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6402), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237203] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10072), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10076), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10074), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9701), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9699), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237315] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10078), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10080), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    ACTIONS(8237), 1,
      anon_sym___attribute,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6439), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237465] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10082), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237517] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(10000), 1,
      anon_sym_operator,
    ACTIONS(10084), 1,
      sym_identifier,
    ACTIONS(10086), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10088), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2445), 1,
      sym_pointer_type_declarator,
    STATE(2447), 1,
      sym_template_function,
    STATE(2448), 1,
      sym_destructor_name,
    STATE(2449), 1,
      sym_dependent_identifier,
    STATE(2451), 1,
      sym_qualified_identifier,
    STATE(2453), 1,
      sym_operator_name,
    STATE(5699), 1,
      sym__scope_resolution,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [237581] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10090), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237633] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    STATE(5539), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9667), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10092), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10096), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10100), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10098), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [237781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10102), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237833] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10104), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237885] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10106), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [237937] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(10000), 1,
      anon_sym_operator,
    ACTIONS(10108), 1,
      sym_identifier,
    ACTIONS(10110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10112), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2445), 1,
      sym_pointer_type_declarator,
    STATE(2447), 1,
      sym_template_function,
    STATE(2448), 1,
      sym_destructor_name,
    STATE(2449), 1,
      sym_dependent_identifier,
    STATE(2451), 1,
      sym_qualified_identifier,
    STATE(2453), 1,
      sym_operator_name,
    STATE(5708), 1,
      sym__scope_resolution,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [238001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_STAR,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(10000), 1,
      anon_sym_operator,
    ACTIONS(10114), 1,
      sym_identifier,
    ACTIONS(10116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10118), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(2445), 1,
      sym_pointer_type_declarator,
    STATE(2447), 1,
      sym_template_function,
    STATE(2448), 1,
      sym_destructor_name,
    STATE(2449), 1,
      sym_dependent_identifier,
    STATE(2451), 1,
      sym_qualified_identifier,
    STATE(2453), 1,
      sym_operator_name,
    STATE(5709), 1,
      sym__scope_resolution,
    STATE(8278), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [238065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10120), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6121), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6123), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238137] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(9988), 1,
      anon_sym_operator,
    ACTIONS(10123), 1,
      sym_identifier,
    ACTIONS(10125), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10127), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(3571), 1,
      sym_operator_name,
    STATE(3573), 1,
      sym_qualified_identifier,
    STATE(3575), 1,
      sym_dependent_identifier,
    STATE(3576), 1,
      sym_destructor_name,
    STATE(3577), 1,
      sym_template_function,
    STATE(3579), 1,
      sym_pointer_type_declarator,
    STATE(5712), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [238201] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10129), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [238251] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10131), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238303] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10137), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10135), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238383] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4368), 1,
      anon_sym_RBRACK,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(8041), 1,
      anon_sym_STAR,
    ACTIONS(10008), 1,
      anon_sym_TILDE,
    ACTIONS(10014), 1,
      anon_sym_operator,
    ACTIONS(10139), 1,
      sym_identifier,
    ACTIONS(10141), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10143), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(3266), 1,
      sym_destructor_name,
    STATE(3344), 1,
      sym_pointer_type_declarator,
    STATE(3345), 1,
      sym_template_function,
    STATE(3349), 1,
      sym_dependent_identifier,
    STATE(3352), 1,
      sym_qualified_identifier,
    STATE(3356), 1,
      sym_operator_name,
    STATE(5718), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_ms_based_modifier,
    STATE(8540), 1,
      sym_decltype,
  [238499] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10145), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10149), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10147), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10151), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10151), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [238649] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10153), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10151), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9956), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [238741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10151), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9956), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [238783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10151), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(10151), 1,
      anon_sym_PIPE,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [238859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10151), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9956), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [238887] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10155), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [238939] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [238987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6930), 1,
      anon_sym_requires,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9366), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239027] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(10151), 1,
      anon_sym_PIPE,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9956), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [239073] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4370), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9962), 1,
      anon_sym_AMP,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9968), 1,
      sym_this,
    ACTIONS(10157), 1,
      anon_sym_RBRACK,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_lambda_default_capture,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7316), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [239125] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6959), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7954), 1,
      anon_sym_STAR,
    ACTIONS(10159), 1,
      sym_identifier,
    ACTIONS(10161), 1,
      anon_sym_template,
    STATE(5734), 1,
      sym__scope_resolution,
    STATE(5985), 1,
      sym_operator_name,
    STATE(5987), 1,
      sym_qualified_identifier,
    STATE(5990), 1,
      sym_dependent_identifier,
    STATE(5992), 1,
      sym_destructor_name,
    STATE(5993), 1,
      sym_template_function,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(7951), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_identifier,
    ACTIONS(10165), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(8637), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239239] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10167), 1,
      sym_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4139), 1,
      sym_primitive_type,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(4559), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239284] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10169), 1,
      anon_sym_LF,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239329] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10135), 1,
      anon_sym_LF,
    ACTIONS(10137), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239356] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(5705), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      anon_sym_STAR,
    ACTIONS(10159), 1,
      sym_identifier,
    ACTIONS(10161), 1,
      anon_sym_template,
    STATE(5739), 1,
      sym__scope_resolution,
    STATE(5985), 1,
      sym_operator_name,
    STATE(5987), 1,
      sym_qualified_identifier,
    STATE(5990), 1,
      sym_dependent_identifier,
    STATE(5992), 1,
      sym_destructor_name,
    STATE(5993), 1,
      sym_template_function,
    STATE(5998), 1,
      sym_pointer_type_declarator,
    STATE(8288), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
    ACTIONS(5689), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4133), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10191), 1,
      sym_identifier,
    STATE(2090), 1,
      sym_primitive_type,
    STATE(4022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(1823), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1792), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(8057), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4912), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [239524] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8177), 1,
      anon_sym_STAR,
    ACTIONS(8179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6496), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239567] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_identifier,
    STATE(1683), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2090), 1,
      sym_primitive_type,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(1823), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9204), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239612] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LF,
    ACTIONS(10070), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239639] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10195), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239684] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10197), 1,
      sym_identifier,
    STATE(3840), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4312), 1,
      sym_primitive_type,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(4925), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7483), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7481), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10201), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10199), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10205), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10203), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10209), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10207), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10213), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10211), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239837] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10046), 1,
      anon_sym_LF,
    ACTIONS(10048), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [239864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10217), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10215), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239891] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      sym_identifier,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2925), 1,
      sym_primitive_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(2362), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [239936] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10221), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [239981] = 3,
    ACTIONS(7049), 1,
      anon_sym_LF,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(7047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10225), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10223), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240035] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10227), 1,
      sym_identifier,
    STATE(1912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2218), 1,
      sym_primitive_type,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(2635), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9293), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240080] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10229), 1,
      sym_identifier,
    STATE(1546), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2198), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(2255), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240125] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10231), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10235), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10233), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10239), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10237), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240224] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10241), 1,
      sym_identifier,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2534), 1,
      sym_primitive_type,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(2362), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10245), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10243), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240296] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10042), 1,
      anon_sym_LF,
    ACTIONS(10044), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240323] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10247), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240368] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10074), 1,
      anon_sym_LF,
    ACTIONS(10076), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240395] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6066), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(9938), 1,
      sym_identifier,
    ACTIONS(9940), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5768), 1,
      sym__scope_resolution,
    STATE(8637), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240452] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      sym_identifier,
    STATE(2391), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2925), 1,
      sym_primitive_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(2362), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10251), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10249), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9479), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10253), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10259), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10257), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10261), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240632] = 3,
    ACTIONS(6965), 1,
      anon_sym_LF,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(6963), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240659] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10265), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240704] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      anon_sym_STAR,
    ACTIONS(8193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8195), 1,
      anon_sym_AMP,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6473), 1,
      sym__abstract_declarator,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8235), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240747] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10267), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240792] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_LF,
    ACTIONS(10100), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240819] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_LF,
    ACTIONS(10094), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(10269), 1,
      anon_sym_RPAREN,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240895] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      sym_identifier,
    STATE(4414), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4914), 1,
      sym_primitive_type,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(1823), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(1796), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [240940] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10273), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [240985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(4868), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4861), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241018] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10167), 1,
      sym_identifier,
    STATE(3461), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4139), 1,
      sym_primitive_type,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(4559), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(7411), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241063] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10279), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8637), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241120] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10281), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_primitive_type,
    STATE(4834), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(2362), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9400), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241210] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10283), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9355), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10287), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10285), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10289), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241336] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 1,
      anon_sym_SLASH,
    ACTIONS(9902), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9906), 1,
      anon_sym_PIPE,
    ACTIONS(9908), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_AMP,
    ACTIONS(10293), 1,
      anon_sym_RPAREN,
    ACTIONS(9896), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9898), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9914), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9918), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241385] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10295), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10297), 1,
      sym_identifier,
    STATE(1742), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3509), 1,
      sym_primitive_type,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(4031), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5415), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9227), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7992), 1,
      anon_sym_STAR,
    ACTIONS(9938), 1,
      sym_identifier,
    ACTIONS(9940), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5796), 1,
      sym__scope_resolution,
    STATE(8172), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241532] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10151), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [241563] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10299), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10301), 1,
      sym_identifier,
    STATE(1559), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2585), 1,
      sym_primitive_type,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(2897), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4990), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10241), 1,
      sym_identifier,
    STATE(2104), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2534), 1,
      sym_primitive_type,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(2362), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(69), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(57), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym___attribute,
      anon_sym_COLON,
    ACTIONS(4866), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241731] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      sym_identifier,
    STATE(1565), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2634), 1,
      sym_primitive_type,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(2975), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5010), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [241776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9665), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10305), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6266), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6268), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [241832] = 6,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10151), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [241865] = 7,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10151), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [241900] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3247), 1,
      anon_sym_TILDE,
    ACTIONS(6995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_STAR,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_template,
    STATE(2764), 1,
      sym_pointer_type_declarator,
    STATE(2781), 1,
      sym_template_function,
    STATE(2782), 1,
      sym_destructor_name,
    STATE(2783), 1,
      sym_dependent_identifier,
    STATE(2784), 1,
      sym_qualified_identifier,
    STATE(2788), 1,
      sym_operator_name,
    STATE(5807), 1,
      sym__scope_resolution,
    STATE(8637), 1,
      sym_ms_based_modifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241957] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10311), 1,
      sym_identifier,
    STATE(1547), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2327), 1,
      sym_primitive_type,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(2255), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(4946), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9185), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242002] = 8,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10151), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [242039] = 9,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10151), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9669), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10313), 1,
      sym_identifier,
    STATE(2218), 1,
      sym_primitive_type,
    STATE(4046), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(2635), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(2605), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242150] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(10315), 1,
      anon_sym_SEMI,
    ACTIONS(10317), 1,
      anon_sym_COLON,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      aux_sym_declaration_repeat1,
    STATE(7056), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [242205] = 10,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10151), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242246] = 11,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10151), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242289] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10319), 1,
      sym_identifier,
    STATE(1581), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2748), 1,
      sym_primitive_type,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(3212), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    ACTIONS(5062), 3,
      aux_sym_primitive_type_token1,
      anon_sym_byte,
      anon_sym_word,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [242379] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10151), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8996), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242433] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LF,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10151), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10323), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10321), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242489] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10147), 1,
      anon_sym_LF,
    ACTIONS(10149), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242516] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10325), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242561] = 12,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10175), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10177), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    ACTIONS(10181), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_AMP,
    ACTIONS(10327), 1,
      anon_sym_LF,
    ACTIONS(10171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10185), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10173), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10187), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [242606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10332), 1,
      anon_sym_requires,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9366), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [242678] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10335), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6379), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(5842), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7256), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [242726] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_LPAREN2,
    ACTIONS(7600), 1,
      anon_sym_LBRACK,
    ACTIONS(8217), 1,
      anon_sym_STAR,
    ACTIONS(8219), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8221), 1,
      anon_sym_AMP,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5770), 1,
      sym__function_declarator_seq,
    STATE(6537), 1,
      sym__abstract_declarator,
    ACTIONS(8235), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5774), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [242768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9887), 1,
      anon_sym___attribute,
    ACTIONS(10339), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5829), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9885), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym___attribute,
    ACTIONS(5142), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242824] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9839), 1,
      anon_sym_SEMI,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7209), 1,
      aux_sym_declaration_repeat1,
    STATE(7229), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [242876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym___attribute,
    ACTIONS(10342), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10344), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5844), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym___attribute,
    ACTIONS(5195), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    ACTIONS(6025), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5903), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6027), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(10315), 1,
      anon_sym_SEMI,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      aux_sym_declaration_repeat1,
    STATE(7056), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [243054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym___attribute,
    ACTIONS(5167), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    ACTIONS(5942), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5903), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    ACTIONS(6029), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5903), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9926), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5829), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9924), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10348), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6453), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [243264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    ACTIONS(5990), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5903), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5992), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym___attribute,
    ACTIONS(10344), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym___attribute,
    ACTIONS(1966), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym___attribute,
    ACTIONS(5167), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym___attribute,
    ACTIONS(5167), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243440] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym___attribute,
    ACTIONS(5191), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    ACTIONS(6037), 2,
      anon_sym___attribute,
      anon_sym___asm,
    STATE(5903), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6039), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym___attribute,
    ACTIONS(5155), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym___attribute,
    ACTIONS(5163), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym___attribute,
    ACTIONS(1970), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243614] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10350), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6410), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7033), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [243662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym___attribute,
    ACTIONS(5179), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym___attribute,
    ACTIONS(5175), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6121), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6123), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym___attribute,
    ACTIONS(5199), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym___attribute,
    ACTIONS(5171), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(6278), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6280), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [243860] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9942), 1,
      anon_sym_SEMI,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7396), 1,
      aux_sym_declaration_repeat1,
    STATE(7397), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [243912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3825), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [243938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9522), 1,
      anon_sym_requires,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 1,
      anon_sym___attribute,
    ACTIONS(5187), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(5394), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9667), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10315), 1,
      anon_sym_SEMI,
    ACTIONS(10355), 1,
      anon_sym_EQ,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      aux_sym_declaration_repeat1,
    STATE(7056), 1,
      sym_gnu_asm_expression,
    STATE(7239), 1,
      sym_initializer_list,
    STATE(7704), 1,
      sym_argument_list,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5449), 1,
      sym_trailing_return_type,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    ACTIONS(9948), 1,
      anon_sym_SEMI,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7111), 1,
      sym_gnu_asm_expression,
    STATE(7120), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [244180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9422), 1,
      anon_sym_requires,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9490), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    ACTIONS(9366), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6268), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6374), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(5855), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6902), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [244364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6570), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6572), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(9007), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244428] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9823), 1,
      anon_sym_SEMI,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7315), 1,
      sym_gnu_asm_expression,
    STATE(7438), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [244480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    ACTIONS(9764), 1,
      anon_sym_requires,
    STATE(5450), 1,
      sym_trailing_return_type,
    ACTIONS(9667), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3821), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [244544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym___attribute,
    ACTIONS(5183), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(10362), 1,
      anon_sym_requires,
    ACTIONS(10359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7267), 1,
      anon_sym_DASH_GT,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9007), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym___attribute,
    ACTIONS(5159), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9151), 1,
      anon_sym_requires,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    STATE(5856), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [244739] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      anon_sym_AMP,
    ACTIONS(10367), 1,
      sym_this,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7668), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [244782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5900), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [244807] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    STATE(1610), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5890), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(7045), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    STATE(1606), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6091), 1,
      sym_requires_clause,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(7028), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [244905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5550), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244942] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(6119), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [244985] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3762), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6073), 1,
      sym_requires_clause,
    STATE(6891), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3411), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6056), 1,
      sym_requires_clause,
    STATE(6901), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245083] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3566), 1,
      sym_compound_statement,
    STATE(5904), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6868), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245132] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4239), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6113), 1,
      sym_requires_clause,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(7042), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245181] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(111), 1,
      anon_sym___asm,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9821), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9829), 1,
      anon_sym_EQ,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7605), 1,
      sym_gnu_asm_expression,
    ACTIONS(9831), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10381), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7704), 2,
      sym_argument_list,
      sym_initializer_list,
  [245228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    STATE(5539), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    STATE(5837), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    STATE(5843), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(5849), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6565), 1,
      sym__abstract_declarator,
    ACTIONS(8235), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6166), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6168), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [245446] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3439), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6038), 1,
      sym_requires_clause,
    STATE(6834), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245495] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5833), 1,
      sym_compound_statement,
    STATE(5919), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6999), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(6567), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [245587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9151), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    ACTIONS(10387), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6905), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [245657] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5607), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6085), 1,
      sym_requires_clause,
    STATE(6992), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5929), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6915), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245755] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245792] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3902), 1,
      sym_compound_statement,
    STATE(5923), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6904), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [245841] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4362), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9958), 1,
      sym_identifier,
    ACTIONS(9960), 1,
      anon_sym_STAR,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      anon_sym_AMP,
    ACTIONS(10395), 1,
      sym_this,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7141), 5,
      sym__lambda_capture_identifier,
      sym_lambda_capture_initializer,
      sym__lambda_capture,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
  [245884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9522), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [245958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8242), 1,
      sym_identifier,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8246), 1,
      anon_sym_STAR,
    ACTIONS(8248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8250), 1,
      anon_sym_AMP,
    STATE(5973), 1,
      sym__field_declarator,
    STATE(6261), 1,
      sym_operator_name,
    STATE(8153), 1,
      sym_ms_based_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246001] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7094), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10332), 1,
      anon_sym_requires,
    STATE(5882), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
  [246038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(5423), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5938), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10399), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10401), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246069] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5857), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6121), 1,
      sym_requires_clause,
    STATE(6985), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246118] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3288), 1,
      sym_compound_statement,
    STATE(5894), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(7018), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246167] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5584), 1,
      sym_compound_statement,
    STATE(5909), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6955), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246216] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3670), 1,
      sym_compound_statement,
    STATE(5893), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246265] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3952), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6101), 1,
      sym_requires_clause,
    STATE(6910), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10405), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10403), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_STAR,
    ACTIONS(8266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8268), 1,
      anon_sym_AMP,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6615), 1,
      sym__abstract_declarator,
    ACTIONS(8235), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10409), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(10414), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10412), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10407), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [246415] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2477), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6106), 1,
      sym_requires_clause,
    STATE(6860), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4885), 4,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4878), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [246491] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 1,
      anon_sym_requires,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1606), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6087), 1,
      sym_requires_clause,
    STATE(6863), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(9845), 1,
      anon_sym_requires,
    STATE(5536), 1,
      sym_trailing_return_type,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246577] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4265), 1,
      sym_compound_statement,
    STATE(5896), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7015), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(5535), 1,
      sym_trailing_return_type,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246663] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym___based,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(8244), 1,
      anon_sym_LPAREN2,
    ACTIONS(8256), 1,
      sym_identifier,
    ACTIONS(8258), 1,
      anon_sym_STAR,
    ACTIONS(8260), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8262), 1,
      anon_sym_AMP,
    STATE(6574), 1,
      sym__field_declarator,
    STATE(6730), 1,
      sym_operator_name,
    STATE(8535), 1,
      sym_ms_based_modifier,
    STATE(6315), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [246706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    STATE(5533), 1,
      sym_trailing_return_type,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246743] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10369), 1,
      anon_sym_LT,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5927), 1,
      sym_template_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6830), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [246792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      sym_identifier,
    ACTIONS(5301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5918), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10399), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10401), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_trailing_return_type,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10421), 1,
      sym_identifier,
    ACTIONS(5384), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5938), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10424), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10427), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [246891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6930), 1,
      anon_sym_requires,
    ACTIONS(7031), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5574), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6173), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_requires,
    STATE(6140), 1,
      sym_trailing_return_type,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247064] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [247256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10456), 1,
      anon_sym_requires,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(10459), 1,
      anon_sym_requires,
    ACTIONS(10359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9528), 1,
      anon_sym_requires,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9438), 1,
      anon_sym_requires,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247384] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9352), 1,
      anon_sym_requires,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10245), 1,
      anon_sym___attribute,
    ACTIONS(10243), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10239), 1,
      anon_sym___attribute,
    ACTIONS(10237), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10235), 1,
      anon_sym___attribute,
    ACTIONS(10233), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10225), 1,
      anon_sym___attribute,
    ACTIONS(10223), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(10462), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      anon_sym_template,
    STATE(6251), 1,
      sym__scope_resolution,
    STATE(7504), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3496), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [247586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10471), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(9665), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_STAR,
    ACTIONS(8403), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8405), 1,
      anon_sym_AMP,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6669), 1,
      sym__abstract_declarator,
    ACTIONS(8235), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [247706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [247738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10287), 1,
      anon_sym___attribute,
    ACTIONS(10285), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym___attribute,
    ACTIONS(10475), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(9669), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [247844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10479), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10477), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10483), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10481), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6480), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(9597), 1,
      anon_sym_COLON,
    ACTIONS(10487), 1,
      anon_sym___attribute,
    ACTIONS(10489), 1,
      anon_sym_EQ,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6861), 1,
      sym_initializer_list,
    STATE(6869), 1,
      sym_bitfield_clause,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10485), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [247962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6105), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [247986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6109), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym___attribute,
    ACTIONS(10215), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6115), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10251), 1,
      anon_sym___attribute,
    ACTIONS(10249), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10205), 1,
      anon_sym___attribute,
    ACTIONS(10203), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10259), 1,
      anon_sym___attribute,
    ACTIONS(10257), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [248194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9355), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10323), 1,
      anon_sym___attribute,
    ACTIONS(10321), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10493), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10491), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4912), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10201), 1,
      anon_sym___attribute,
    ACTIONS(10199), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym___attribute,
    ACTIONS(10475), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10495), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5844), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10497), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10209), 1,
      anon_sym___attribute,
    ACTIONS(10207), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 1,
      anon_sym___attribute,
    ACTIONS(10289), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4861), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 1,
      anon_sym___attribute,
    ACTIONS(10261), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10213), 1,
      anon_sym___attribute,
    ACTIONS(10211), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10503), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10501), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10507), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248694] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6688), 1,
      sym__abstract_declarator,
    ACTIONS(8235), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [248734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6141), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248758] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    STATE(6133), 1,
      sym_trailing_return_type,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10511), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    STATE(6128), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [248894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10507), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10515), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10513), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6117), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6119), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [248974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      anon_sym___attribute,
    ACTIONS(10253), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [248998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10511), 1,
      anon_sym___asm,
    STATE(2862), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [249030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6131), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6133), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249086] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 1,
      anon_sym_requires,
    STATE(6214), 1,
      sym_trailing_return_type,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10522), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10520), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10511), 1,
      anon_sym___asm,
    STATE(2844), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6101), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6137), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6149), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6151), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_requires,
    STATE(6139), 1,
      sym_trailing_return_type,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6149), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6157), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6159), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(8996), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9479), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6064), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [249578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249610] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    STATE(2760), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [249642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10524), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [249666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7274), 1,
      anon_sym_DASH_GT,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6161), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [249702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7985), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249731] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3481), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7008), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [249774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(10456), 1,
      anon_sym_requires,
    STATE(5951), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [249807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7215), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10528), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [249871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7814), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8036), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [249964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7119), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [249993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10456), 1,
      anon_sym_requires,
    STATE(5951), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [250063] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(10462), 1,
      sym_identifier,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      anon_sym_template,
    STATE(6251), 1,
      sym__scope_resolution,
    STATE(7504), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3496), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5936), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5834), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10399), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10401), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10534), 1,
      anon_sym___asm,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10532), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8508), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10540), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10542), 1,
      aux_sym_preproc_elif_token1,
    STATE(6404), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6405), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6658), 1,
      sym_enumerator,
    ACTIONS(10544), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7996), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7997), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [250232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym___asm,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10546), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10552), 1,
      anon_sym___attribute,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10550), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [250302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3413), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    STATE(5982), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [250411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7362), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250440] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10554), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym___asm,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10557), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [250510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7071), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6171), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6182), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6219), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9972), 1,
      anon_sym_TILDE,
    ACTIONS(10561), 1,
      sym_identifier,
    ACTIONS(10563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10565), 1,
      anon_sym_template,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7590), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3708), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250683] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(10567), 1,
      sym_identifier,
    ACTIONS(10569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10571), 1,
      anon_sym_template,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7597), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2507), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [250722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10557), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250757] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(10332), 1,
      anon_sym_requires,
    STATE(5882), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9522), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [250823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10575), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10573), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [250858] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10540), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10542), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10577), 1,
      aux_sym_preproc_if_token2,
    STATE(6370), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6376), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6658), 1,
      sym_enumerator,
    ACTIONS(10544), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7826), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(7881), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [250897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7451), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [250926] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3629), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6960), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [250969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9994), 1,
      anon_sym_TILDE,
    ACTIONS(10567), 1,
      sym_identifier,
    ACTIONS(10579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10581), 1,
      anon_sym_template,
    STATE(6271), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2507), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [251008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10575), 1,
      anon_sym___asm,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10573), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10585), 1,
      anon_sym___attribute,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10583), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10534), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10532), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    STATE(5947), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7262), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    STATE(5849), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8235), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7407), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251299] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym___asm,
    STATE(2855), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10546), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [251334] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5616), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7009), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7379), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251406] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6889), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym___attribute,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10587), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [251484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7195), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 1,
      anon_sym___asm,
    STATE(2856), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10528), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [251548] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(1607), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(7022), 1,
      sym_abstract_function_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    STATE(5963), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [251624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    STATE(5982), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [251659] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    STATE(5837), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7348), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7912), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9151), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7390), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7343), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    STATE(5843), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [251874] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(3869), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(7011), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [251917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7435), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [251946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    STATE(6185), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [251981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7414), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(7272), 1,
      anon_sym_requires,
    STATE(5965), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252043] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym_compound_statement,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6899), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252086] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10540), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10542), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10591), 1,
      aux_sym_preproc_if_token2,
    STATE(6382), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6442), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6658), 1,
      sym_enumerator,
    ACTIONS(10544), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8494), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8495), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [252125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    STATE(6189), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(6190), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    STATE(5965), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    STATE(5963), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252265] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_requires,
    STATE(5865), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252298] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(4269), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6995), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    STATE(5947), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(7112), 1,
      anon_sym_DASH_GT,
    STATE(5856), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_try,
  [252409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(8080), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252438] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [252473] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10595), 1,
      anon_sym___attribute,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10593), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 1,
      anon_sym___attribute,
    STATE(2805), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10597), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [252543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(7527), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252578] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5881), 1,
      sym_compound_statement,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6981), 1,
      sym_abstract_function_declarator,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(5999), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [252621] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      anon_sym_DASH_GT,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [252654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    STATE(6049), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7419), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252683] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10540), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10542), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10601), 1,
      aux_sym_preproc_if_token2,
    STATE(6395), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6450), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6658), 1,
      sym_enumerator,
    ACTIONS(10544), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8041), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8043), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [252722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5942), 1,
      anon_sym___attribute,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [252754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9531), 1,
      anon_sym_requires,
    STATE(6171), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [252786] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 1,
      anon_sym_SEMI,
    ACTIONS(10605), 1,
      anon_sym_EQ,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10609), 1,
      anon_sym_try,
    STATE(636), 1,
      sym_compound_statement,
    STATE(7630), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(635), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [252824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9671), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [252854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 1,
      sym_identifier,
    ACTIONS(5676), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [252876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9134), 1,
      anon_sym_requires,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [252934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2165), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(10613), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2331), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_requires,
    STATE(5448), 1,
      sym_trailing_return_type,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9510), 1,
      anon_sym_requires,
    STATE(5449), 1,
      sym_trailing_return_type,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(9764), 1,
      anon_sym_requires,
    STATE(5450), 1,
      sym_trailing_return_type,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9194), 1,
      anon_sym_requires,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 1,
      sym_identifier,
    ACTIONS(5664), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [253158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 1,
      anon_sym_requires,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 1,
      anon_sym_requires,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(5391), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6468), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6930), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [253290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6025), 1,
      anon_sym___attribute,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6027), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(10615), 1,
      anon_sym_requires,
    ACTIONS(10359), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [253386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(5393), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10618), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5844), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym___asm,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [253478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253508] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_enumerator_list,
    STATE(6512), 1,
      sym__scope_resolution,
    ACTIONS(10620), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3103), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253548] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6488), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7033), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [253586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    STATE(5394), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [253620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(2300), 1,
      sym_enumerator_list,
    STATE(6510), 1,
      sym__scope_resolution,
    ACTIONS(10622), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3836), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253660] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3522), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(10624), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4163), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253700] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4790), 1,
      sym_enumerator_list,
    STATE(6514), 1,
      sym__scope_resolution,
    ACTIONS(10626), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4374), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10628), 1,
      anon_sym_SEMI,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      anon_sym_try,
    STATE(746), 1,
      sym_compound_statement,
    STATE(7746), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(745), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6037), 1,
      anon_sym___attribute,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6039), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [253810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10634), 1,
      anon_sym_SEMI,
    ACTIONS(10636), 1,
      anon_sym_EQ,
    ACTIONS(10638), 1,
      anon_sym_try,
    STATE(357), 1,
      sym_compound_statement,
    STATE(7460), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(368), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8235), 1,
      anon_sym_COLON,
    ACTIONS(8463), 1,
      anon_sym_STAR,
    ACTIONS(8465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6757), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [253886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10640), 1,
      anon_sym_SEMI,
    ACTIONS(10642), 1,
      anon_sym_EQ,
    ACTIONS(10644), 1,
      anon_sym_try,
    STATE(560), 1,
      sym_compound_statement,
    STATE(7775), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(558), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [253954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10646), 1,
      anon_sym_SEMI,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    ACTIONS(10650), 1,
      anon_sym_EQ,
    ACTIONS(10652), 1,
      anon_sym_try,
    STATE(1941), 1,
      sym_compound_statement,
    STATE(7569), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2029), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [253992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_enumerator_list,
    STATE(6528), 1,
      sym__scope_resolution,
    ACTIONS(10654), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4047), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254032] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4360), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(10656), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4972), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254072] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2577), 1,
      sym_enumerator_list,
    STATE(6515), 1,
      sym__scope_resolution,
    ACTIONS(10658), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4043), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254112] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2577), 1,
      sym_enumerator_list,
    STATE(6524), 1,
      sym__scope_resolution,
    ACTIONS(10660), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4788), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254152] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(4958), 1,
      sym_enumerator_list,
    STATE(6513), 1,
      sym__scope_resolution,
    ACTIONS(10662), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10664), 1,
      anon_sym_SEMI,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(10668), 1,
      anon_sym_EQ,
    ACTIONS(10670), 1,
      anon_sym_try,
    STATE(1962), 1,
      sym_compound_statement,
    STATE(7755), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1974), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 1,
      anon_sym___asm,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(5990), 1,
      anon_sym___attribute,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5992), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [254294] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(10554), 1,
      anon_sym_requires,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254324] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_EQ,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10609), 1,
      anon_sym_try,
    ACTIONS(10672), 1,
      anon_sym_SEMI,
    STATE(624), 1,
      sym_compound_statement,
    STATE(7679), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(622), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [254392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6487), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [254430] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10636), 1,
      anon_sym_EQ,
    ACTIONS(10638), 1,
      anon_sym_try,
    ACTIONS(10674), 1,
      anon_sym_SEMI,
    STATE(366), 1,
      sym_compound_statement,
    STATE(7506), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(365), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254468] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3522), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(10676), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6422), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254508] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      anon_sym_try,
    ACTIONS(10678), 1,
      anon_sym_SEMI,
    STATE(752), 1,
      sym_compound_statement,
    STATE(7564), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(755), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym___asm,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5992), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym___asm,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6039), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [254640] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10680), 1,
      anon_sym_SEMI,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_try,
    STATE(1674), 1,
      sym_compound_statement,
    STATE(7722), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1745), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [254678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(9531), 1,
      anon_sym_requires,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9370), 1,
      anon_sym_requires,
    STATE(6219), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym___attribute,
    ACTIONS(10688), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254794] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_enumerator_list,
    STATE(6556), 1,
      sym__scope_resolution,
    ACTIONS(10690), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2987), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254834] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2822), 1,
      sym_enumerator_list,
    STATE(6551), 1,
      sym__scope_resolution,
    ACTIONS(10692), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2644), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2869), 1,
      sym_enumerator_list,
    STATE(6554), 1,
      sym__scope_resolution,
    ACTIONS(10694), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2709), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [254974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_requires,
    ACTIONS(9671), 1,
      anon_sym___attribute,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5966), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym___attribute,
    ACTIONS(10688), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10696), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5844), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6029), 1,
      anon_sym___attribute,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [255062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    STATE(6185), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4360), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    ACTIONS(10698), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4267), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    STATE(6189), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    STATE(6190), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10642), 1,
      anon_sym_EQ,
    ACTIONS(10644), 1,
      anon_sym_try,
    ACTIONS(10700), 1,
      anon_sym_SEMI,
    STATE(607), 1,
      sym_compound_statement,
    STATE(7716), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(606), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255236] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3522), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    ACTIONS(10702), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3916), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255276] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    ACTIONS(10650), 1,
      anon_sym_EQ,
    ACTIONS(10652), 1,
      anon_sym_try,
    ACTIONS(10704), 1,
      anon_sym_SEMI,
    STATE(2024), 1,
      sym_compound_statement,
    STATE(7592), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2023), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10511), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 1,
      sym_identifier,
    ACTIONS(5668), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255366] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255456] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10708), 1,
      anon_sym_EQ,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6690), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(10668), 1,
      anon_sym_EQ,
    ACTIONS(10670), 1,
      anon_sym_try,
    ACTIONS(10710), 1,
      anon_sym_SEMI,
    STATE(1995), 1,
      sym_compound_statement,
    STATE(7763), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1994), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [255564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 1,
      anon_sym___asm,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10346), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_parameter_list,
    STATE(6241), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [255596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(10554), 1,
      anon_sym_requires,
    STATE(6145), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    STATE(2955), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [255718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_LBRACK,
    ACTIONS(10712), 1,
      anon_sym_requires,
    ACTIONS(9767), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [255748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2165), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    ACTIONS(10715), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2457), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(7345), 1,
      anon_sym_requires,
    STATE(6191), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255820] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3018), 1,
      sym_enumerator_list,
    STATE(6555), 1,
      sym__scope_resolution,
    ACTIONS(10717), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2757), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255860] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10719), 1,
      anon_sym_EQ,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6690), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [255900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym___attribute,
    ACTIONS(9471), 1,
      anon_sym_requires,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [255930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 1,
      sym_identifier,
    ACTIONS(5672), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [255952] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3980), 1,
      sym_enumerator_list,
    STATE(6557), 1,
      sym__scope_resolution,
    ACTIONS(10721), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym___attribute,
    ACTIONS(9370), 1,
      anon_sym_requires,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [256052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(2300), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    ACTIONS(10723), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4776), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256092] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_try,
    ACTIONS(10725), 1,
      anon_sym_SEMI,
    STATE(1755), 1,
      sym_compound_statement,
    STATE(7742), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1753), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256130] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6495), 1,
      sym_access_specifier,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7415), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10337), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [256168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_DASH_GT,
    ACTIONS(9471), 1,
      anon_sym_requires,
    STATE(6182), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [256200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10557), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [256233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_STAR,
    ACTIONS(8282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8284), 1,
      anon_sym_AMP,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6619), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256268] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10636), 1,
      anon_sym_EQ,
    ACTIONS(10638), 1,
      anon_sym_try,
    STATE(357), 1,
      sym_compound_statement,
    STATE(7460), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(368), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10733), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7778), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7817), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6234), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10534), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10532), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [256369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10735), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7515), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8506), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10737), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7753), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7897), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256435] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10739), 1,
      sym_identifier,
    ACTIONS(10741), 1,
      anon_sym_COLON_COLON,
    STATE(6289), 1,
      sym__scope_resolution,
    STATE(7652), 1,
      sym_field_initializer,
    STATE(7727), 1,
      sym_operator_name,
    STATE(6848), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10743), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7670), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8084), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6166), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6168), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
      anon_sym_try,
  [256530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10745), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7644), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8116), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6166), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6168), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256669] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10642), 1,
      anon_sym_EQ,
    ACTIONS(10644), 1,
      anon_sym_try,
    STATE(560), 1,
      sym_compound_statement,
    STATE(7775), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(558), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7577), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8283), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256737] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6779), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [256772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10405), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10403), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256824] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10636), 1,
      anon_sym_EQ,
    ACTIONS(10638), 1,
      anon_sym_try,
    STATE(366), 1,
      sym_compound_statement,
    STATE(7506), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(365), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256859] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_EQ,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10609), 1,
      anon_sym_try,
    STATE(624), 1,
      sym_compound_statement,
    STATE(7679), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(622), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [256894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10749), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7739), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7928), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6300), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [256927] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      anon_sym_template,
    ACTIONS(10751), 1,
      sym_identifier,
    STATE(3469), 1,
      sym_template_method,
    STATE(3470), 1,
      sym_dependent_field_identifier,
    STATE(3473), 1,
      sym_qualified_field_identifier,
    STATE(6251), 1,
      sym__scope_resolution,
    STATE(7504), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [256966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    STATE(6368), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [256999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7663), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8103), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10755), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7686), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8045), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257065] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_LPAREN2,
    ACTIONS(4833), 1,
      anon_sym_STAR,
    ACTIONS(4835), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4837), 1,
      anon_sym_AMP,
    ACTIONS(7982), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5978), 1,
      sym__function_declarator_seq,
    STATE(6813), 1,
      sym__abstract_declarator,
    STATE(5999), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [257100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(10757), 1,
      anon_sym_requires,
    STATE(6452), 1,
      sym_trailing_return_type,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10762), 1,
      anon_sym_LT,
    STATE(6326), 1,
      sym_template_argument_list,
    ACTIONS(10764), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10760), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257158] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_EQ,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10609), 1,
      anon_sym_try,
    STATE(636), 1,
      sym_compound_statement,
    STATE(7630), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(635), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_requires,
    STATE(6421), 1,
      sym_trailing_return_type,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257226] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10571), 1,
      anon_sym_template,
    ACTIONS(10766), 1,
      sym_identifier,
    STATE(2384), 1,
      sym_template_method,
    STATE(2388), 1,
      sym_dependent_field_identifier,
    STATE(2390), 1,
      sym_qualified_field_identifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7597), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10762), 1,
      anon_sym_LT,
    STATE(6343), 1,
      sym_template_argument_list,
    ACTIONS(10770), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10768), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10575), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10573), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    STATE(6447), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10528), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [257447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_requires,
    STATE(6426), 1,
      sym_trailing_return_type,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10774), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7777), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8447), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6244), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257569] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10581), 1,
      anon_sym_template,
    ACTIONS(10766), 1,
      sym_identifier,
    STATE(2384), 1,
      sym_template_method,
    STATE(2388), 1,
      sym_dependent_field_identifier,
    STATE(2390), 1,
      sym_qualified_field_identifier,
    STATE(6271), 1,
      sym__scope_resolution,
    STATE(7650), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257608] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    STATE(6351), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9428), 1,
      anon_sym_requires,
    STATE(6416), 1,
      sym_trailing_return_type,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2863), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10778), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_DASH_GT,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    STATE(6430), 1,
      sym_trailing_return_type,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [257900] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10642), 1,
      anon_sym_EQ,
    ACTIONS(10644), 1,
      anon_sym_try,
    STATE(607), 1,
      sym_compound_statement,
    STATE(7716), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(606), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [257935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10780), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7627), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8165), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6238), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [257968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10782), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7637), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8133), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6254), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258001] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10784), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7486), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8555), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6233), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10739), 1,
      sym_identifier,
    ACTIONS(10741), 1,
      anon_sym_COLON_COLON,
    STATE(6289), 1,
      sym__scope_resolution,
    STATE(7429), 1,
      sym_field_initializer,
    STATE(7727), 1,
      sym_operator_name,
    STATE(6848), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10786), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7608), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8227), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6253), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      anon_sym_try,
    STATE(752), 1,
      sym_compound_statement,
    STATE(7564), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(755), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [258139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10741), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10788), 1,
      sym_identifier,
    ACTIONS(10790), 1,
      anon_sym_template,
    STATE(2384), 1,
      sym_template_method,
    STATE(2388), 1,
      sym_dependent_field_identifier,
    STATE(2390), 1,
      sym_qualified_field_identifier,
    STATE(6289), 1,
      sym__scope_resolution,
    STATE(7727), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7640), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8134), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6293), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym___attribute,
    STATE(2958), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10546), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [258244] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10563), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10565), 1,
      anon_sym_template,
    ACTIONS(10794), 1,
      sym_identifier,
    STATE(3700), 1,
      sym_template_method,
    STATE(3701), 1,
      sym_dependent_field_identifier,
    STATE(3702), 1,
      sym_qualified_field_identifier,
    STATE(6292), 1,
      sym__scope_resolution,
    STATE(7590), 1,
      sym_operator_name,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10796), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7620), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8181), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [258345] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    ACTIONS(10632), 1,
      anon_sym_try,
    STATE(746), 1,
      sym_compound_statement,
    STATE(7746), 1,
      sym_field_initializer_list,
    ACTIONS(4912), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(745), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [258380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10798), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7580), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8276), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6297), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258413] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10800), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7601), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8233), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258446] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4403), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10802), 1,
      sym_identifier,
    STATE(5735), 1,
      sym__scope_resolution,
    ACTIONS(4405), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(7614), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10804), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7687), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8049), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6236), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
    ACTIONS(10731), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7743), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7904), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [258547] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2963), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [258576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9455), 1,
      sym_identifier,
    STATE(2761), 1,
      sym_template_type,
    STATE(3077), 1,
      sym_enumerator_list,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(2753), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2170), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(2333), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10808), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258668] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9449), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2589), 1,
      sym_enumerator_list,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(4843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(5982), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [258734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2890), 1,
      sym_enumerator_list,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(3210), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10814), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10812), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258816] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      sym_identifier,
    STATE(4347), 1,
      sym_template_type,
    STATE(4838), 1,
      sym_enumerator_list,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(4365), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258852] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(4963), 1,
      sym_enumerator_list,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(4623), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(5947), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [258918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10816), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10820), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10770), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10768), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3529), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(6369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6695), 1,
      anon_sym_LBRACE,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 1,
      sym_identifier,
    STATE(2648), 1,
      sym_template_type,
    STATE(2819), 1,
      sym_enumerator_list,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(2680), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259076] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6742), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9459), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_template_type,
    STATE(2874), 1,
      sym_enumerator_list,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(2710), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4378), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(4252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10826), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10824), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259168] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8479), 1,
      anon_sym_LBRACE,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(4378), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(4960), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259204] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(2276), 1,
      sym_enumerator_list,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(4808), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259240] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(2890), 1,
      sym_enumerator_list,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(2924), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(5963), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6246), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259352] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_template_type,
    STATE(2170), 1,
      sym_enumerator_list,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(2471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3529), 1,
      sym_enumerator_list,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(3844), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259450] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    STATE(2138), 1,
      sym_template_type,
    STATE(2890), 1,
      sym_enumerator_list,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(4041), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9352), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym_trailing_return_type,
    ACTIONS(9148), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5984), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(10456), 1,
      anon_sym_requires,
    STATE(5951), 1,
      sym_trailing_return_type,
    ACTIONS(10329), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259572] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7272), 1,
      anon_sym_requires,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    STATE(5965), 1,
      sym_trailing_return_type,
    ACTIONS(7096), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5969), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10828), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5936), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10399), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10401), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [259644] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(5950), 1,
      sym_trailing_return_type,
    ACTIONS(9519), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5962), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6460), 1,
      anon_sym_LBRACE,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2466), 1,
      sym_template_type,
    STATE(2589), 1,
      sym_enumerator_list,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(4042), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259710] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(3649), 1,
      sym_template_type,
    STATE(3973), 1,
      sym_enumerator_list,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(3746), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(10832), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(3529), 1,
      sym_enumerator_list,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(4131), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(6346), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259848] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(1781), 1,
      sym_template_type,
    STATE(2276), 1,
      sym_enumerator_list,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(3837), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7788), 1,
      anon_sym_DASH_GT,
    ACTIONS(9438), 1,
      anon_sym_requires,
    STATE(5952), 1,
      sym_trailing_return_type,
    ACTIONS(9419), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5841), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6029), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [259940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7809), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7811), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [259960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(2985), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6442), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8495), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [260044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_try,
    STATE(656), 1,
      sym_try_statement,
    STATE(657), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_try,
    STATE(654), 1,
      sym_try_statement,
    STATE(655), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9946), 1,
      anon_sym_try,
    STATE(330), 1,
      sym_try_statement,
    STATE(331), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token2,
    STATE(6395), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8043), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10577), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6376), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7881), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_compound_statement,
    STATE(1773), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4849), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10846), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8158), 1,
      sym_qualified_identifier,
    ACTIONS(10848), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [260350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [260377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10573), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [260406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4845), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6370), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7826), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [260454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9843), 1,
      anon_sym_try,
    STATE(614), 1,
      sym_compound_statement,
    STATE(615), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260489] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10858), 1,
      sym_identifier,
    ACTIONS(10861), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10867), 1,
      sym_preproc_directive,
    ACTIONS(10870), 1,
      anon_sym_RBRACE,
    ACTIONS(10864), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8476), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6367), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [260518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [260545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(10872), 1,
      anon_sym_COLON,
    STATE(2389), 1,
      sym_attribute_specifier,
    STATE(3431), 1,
      sym__enum_base_clause,
    STATE(3531), 1,
      sym_enumerator_list,
    ACTIONS(6258), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [260576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10874), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8003), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [260605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10532), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [260634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_LBRACK,
    ACTIONS(10876), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260680] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10878), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7033), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_LBRACK,
    ACTIONS(10876), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10880), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5844), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10882), 1,
      aux_sym_preproc_if_token2,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8001), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [260767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4823), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10884), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4819), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10886), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7966), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [260919] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1728), 1,
      sym_try_statement,
    STATE(1729), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_try_statement,
    STATE(1900), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261014] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9843), 1,
      anon_sym_try,
    STATE(580), 1,
      sym_compound_statement,
    STATE(581), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10528), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9946), 1,
      anon_sym_try,
    STATE(325), 1,
      sym_try_statement,
    STATE(326), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10888), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8110), 1,
      sym_qualified_identifier,
    ACTIONS(10890), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4857), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10446), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_try,
    STATE(688), 1,
      sym_try_statement,
    STATE(706), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261225] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_try,
    STATE(734), 1,
      sym_try_statement,
    STATE(735), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10892), 1,
      aux_sym_preproc_if_token2,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7873), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4853), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10438), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10894), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(7956), 1,
      sym_qualified_identifier,
    ACTIONS(10896), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [261476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261526] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10898), 1,
      aux_sym_preproc_if_token2,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8054), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8055), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [261586] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1899), 1,
      sym_compound_statement,
    STATE(1911), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [261648] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1888), 1,
      sym_compound_statement,
    STATE(1889), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261708] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10902), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6930), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [261741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10904), 1,
      anon_sym_COMMA,
    ACTIONS(10908), 1,
      anon_sym___attribute,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6781), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10906), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(9428), 1,
      anon_sym_requires,
    ACTIONS(9069), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_try_statement,
    STATE(1961), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [261861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10557), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5771), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9355), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [261917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10546), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [261946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    STATE(6404), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7996), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [261977] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(1936), 1,
      sym_try_statement,
    STATE(1943), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10910), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8324), 1,
      sym_qualified_identifier,
    ACTIONS(10912), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9667), 1,
      anon_sym_LBRACK,
    ACTIONS(10757), 1,
      anon_sym_requires,
    ACTIONS(9761), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5811), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9665), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(10872), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      sym_attribute_specifier,
    STATE(3418), 1,
      sym__enum_base_clause,
    STATE(3460), 1,
      sym_enumerator_list,
    ACTIONS(6252), 4,
      anon_sym_COMMA,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [262101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6405), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7997), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9946), 1,
      anon_sym_try,
    STATE(300), 1,
      sym_compound_statement,
    STATE(324), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(9584), 1,
      anon_sym_requires,
    ACTIONS(9495), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_try,
    STATE(703), 1,
      sym_compound_statement,
    STATE(704), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262279] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9843), 1,
      anon_sym_try,
    STATE(583), 1,
      sym_compound_statement,
    STATE(584), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262314] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9490), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5803), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9479), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10916), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8152), 1,
      sym_qualified_identifier,
    ACTIONS(10918), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4827), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262441] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(9833), 1,
      anon_sym_try,
    STATE(642), 1,
      sym_try_statement,
    STATE(643), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1706), 1,
      sym_try_statement,
    STATE(1717), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262588] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3263), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 6,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [262615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10838), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10840), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10920), 1,
      aux_sym_preproc_if_token2,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(10842), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8002), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [262671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10922), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8293), 1,
      sym_qualified_identifier,
    ACTIONS(10924), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10926), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(7827), 1,
      sym_qualified_identifier,
    ACTIONS(10928), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [262760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262785] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9671), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262839] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_compound_statement,
    STATE(1945), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(10852), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10854), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10930), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10856), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7880), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [262903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_LBRACK,
    ACTIONS(10932), 1,
      anon_sym_requires,
    ACTIONS(9767), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5791), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9669), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [262955] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(10935), 1,
      anon_sym_virtual,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7415), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [262988] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_requires,
    ACTIONS(9007), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5624), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5790), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8996), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [263015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4403), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10802), 1,
      sym_identifier,
    STATE(5735), 1,
      sym__scope_resolution,
    STATE(7614), 2,
      sym_identifier_parameter_pack_expansion,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [263046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263097] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10937), 1,
      anon_sym_EQ,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(7851), 1,
      sym_initializer_list,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [263129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [263155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10943), 1,
      anon_sym_delete,
    ACTIONS(10945), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_delete,
    ACTIONS(10949), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_new,
    ACTIONS(10951), 1,
      anon_sym_delete,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10953), 1,
      anon_sym_delete,
    ACTIONS(10955), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10959), 1,
      anon_sym_LBRACK,
    STATE(6970), 1,
      sym_gnu_asm_output_operand,
    STATE(8290), 1,
      sym_string_literal,
    ACTIONS(10957), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [263339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6950), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10961), 1,
      anon_sym_delete,
    ACTIONS(10963), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6681), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [263445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10967), 1,
      anon_sym___attribute,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10965), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [263521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      anon_sym_delete,
    ACTIONS(10971), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6681), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [263621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_new,
    ACTIONS(10973), 1,
      anon_sym_delete,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_delete,
    ACTIONS(10977), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_delete,
    ACTIONS(10981), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [263759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_new,
    ACTIONS(10983), 1,
      anon_sym_delete,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym_delete,
    ACTIONS(10987), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7415), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263833] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(6930), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10989), 1,
      sym_identifier,
    ACTIONS(10991), 1,
      anon_sym_COLON_COLON,
    STATE(2543), 1,
      sym_template_type,
    STATE(6519), 1,
      sym__scope_resolution,
    STATE(2569), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [263917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [263941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_new,
    ACTIONS(10993), 1,
      anon_sym_delete,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_delete,
    ACTIONS(10997), 1,
      anon_sym_new,
    ACTIONS(10941), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [263985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2138), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(7075), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8540), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [264039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3007), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [264063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11001), 1,
      anon_sym_LBRACK,
    STATE(7032), 1,
      sym_gnu_asm_input_operand,
    STATE(7849), 1,
      sym_string_literal,
    ACTIONS(10999), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [264113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT2,
  [264139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3242), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 6,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11003), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8255), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264213] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11005), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    STATE(569), 1,
      sym_declaration_list,
    STATE(6673), 1,
      sym_attribute_declaration,
    STATE(7626), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [264244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11011), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(7920), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10557), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11013), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(7792), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      sym_identifier,
    ACTIONS(11017), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2752), 1,
      sym_qualified_type_identifier,
    STATE(6507), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11019), 1,
      sym_identifier,
    STATE(736), 1,
      sym_declaration_list,
    STATE(6686), 1,
      sym_attribute_declaration,
    STATE(7549), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [264387] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11021), 1,
      sym_identifier,
    STATE(689), 1,
      sym_declaration_list,
    STATE(6638), 1,
      sym_attribute_declaration,
    STATE(7621), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [264418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9202), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11023), 1,
      sym_identifier,
    ACTIONS(11025), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(6510), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264449] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11027), 1,
      sym_identifier,
    STATE(355), 1,
      sym_declaration_list,
    STATE(6646), 1,
      sym_attribute_declaration,
    STATE(7505), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [264480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(4839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11029), 1,
      sym_identifier,
    ACTIONS(11031), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(6512), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264511] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11033), 1,
      sym_identifier,
    ACTIONS(11035), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(6513), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264542] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11037), 1,
      sym_identifier,
    ACTIONS(11039), 1,
      anon_sym_template,
    STATE(4348), 1,
      sym_template_type,
    STATE(4349), 1,
      sym_dependent_type_identifier,
    STATE(4387), 1,
      sym_qualified_type_identifier,
    STATE(6514), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9291), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11041), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      anon_sym_template,
    STATE(2500), 1,
      sym_template_type,
    STATE(2509), 1,
      sym_dependent_type_identifier,
    STATE(2587), 1,
      sym_qualified_type_identifier,
    STATE(6515), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2848), 1,
      sym_template_argument_list,
    ACTIONS(8057), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4912), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [264627] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11045), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2752), 1,
      sym_qualified_type_identifier,
    STATE(6517), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264681] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11047), 1,
      sym_identifier,
    ACTIONS(11049), 1,
      anon_sym_template,
    STATE(2548), 1,
      sym_qualified_type_identifier,
    STATE(2579), 1,
      sym_template_type,
    STATE(2580), 1,
      sym_dependent_type_identifier,
    STATE(6519), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11051), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8358), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10573), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [264766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2848), 1,
      sym_template_argument_list,
    ACTIONS(4868), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4861), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [264789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264812] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11043), 1,
      anon_sym_template,
    ACTIONS(11053), 1,
      sym_identifier,
    STATE(2500), 1,
      sym_template_type,
    STATE(2509), 1,
      sym_dependent_type_identifier,
    STATE(2587), 1,
      sym_qualified_type_identifier,
    STATE(6524), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11055), 1,
      sym_identifier,
    ACTIONS(11059), 1,
      sym_system_lib_string,
    STATE(8316), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11057), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [264864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_AMP,
    ACTIONS(11061), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11063), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5844), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [264885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264908] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    ACTIONS(11067), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(2752), 1,
      sym_qualified_type_identifier,
    STATE(6528), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [264939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11069), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8072), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11071), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8025), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264993] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11073), 1,
      sym_identifier,
    STATE(388), 1,
      sym_declaration_list,
    STATE(6627), 1,
      sym_attribute_declaration,
    STATE(7484), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [265024] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11025), 1,
      anon_sym_template,
    ACTIONS(11075), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(10277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11077), 1,
      sym_identifier,
    STATE(5786), 1,
      sym__scope_resolution,
    STATE(8536), 1,
      sym_qualified_identifier,
    STATE(8540), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265082] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11079), 1,
      sym_identifier,
    STATE(611), 1,
      sym_declaration_list,
    STATE(6623), 1,
      sym_attribute_declaration,
    STATE(7655), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [265113] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11081), 1,
      sym_identifier,
    ACTIONS(11083), 1,
      anon_sym_template,
    STATE(2120), 1,
      sym_dependent_type_identifier,
    STATE(2125), 1,
      sym_template_type,
    STATE(2140), 1,
      sym_qualified_type_identifier,
    STATE(6535), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265144] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9729), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11085), 1,
      sym_identifier,
    ACTIONS(11087), 1,
      anon_sym_template,
    STATE(2097), 1,
      sym_dependent_type_identifier,
    STATE(2098), 1,
      sym_qualified_type_identifier,
    STATE(2124), 1,
      sym_template_type,
    STATE(6536), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10532), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265225] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10546), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(3191), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    ACTIONS(10528), 2,
      anon_sym_LBRACE,
      anon_sym_EQ,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11089), 1,
      sym_identifier,
    ACTIONS(11091), 1,
      sym_system_lib_string,
    STATE(8538), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11057), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265300] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9755), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11093), 1,
      sym_identifier,
    ACTIONS(11095), 1,
      anon_sym_template,
    STATE(1677), 1,
      sym_dependent_type_identifier,
    STATE(1780), 1,
      sym_template_type,
    STATE(1829), 1,
      sym_qualified_type_identifier,
    STATE(6542), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(3793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11045), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(6544), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(11063), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5864), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [265404] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(684), 1,
      sym_declaration_list,
    STATE(6674), 1,
      sym_attribute_declaration,
    STATE(7578), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [265435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265458] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11099), 1,
      sym_identifier,
    STATE(680), 1,
      sym_declaration_list,
    STATE(6677), 1,
      sym_attribute_declaration,
    STATE(7565), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [265489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11101), 1,
      sym_identifier,
    ACTIONS(11103), 1,
      sym_system_lib_string,
    STATE(8284), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11057), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265510] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(7393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11015), 1,
      sym_identifier,
    ACTIONS(11017), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(6550), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265541] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11105), 1,
      sym_identifier,
    ACTIONS(11107), 1,
      anon_sym_template,
    STATE(2612), 1,
      sym_template_type,
    STATE(2613), 1,
      sym_dependent_type_identifier,
    STATE(2685), 1,
      sym_qualified_type_identifier,
    STATE(6551), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    STATE(3318), 1,
      sym_parameter_list,
    STATE(5749), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      sym_identifier,
    ACTIONS(11111), 1,
      sym_system_lib_string,
    STATE(8354), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11057), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265616] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11115), 1,
      anon_sym_template,
    STATE(2702), 1,
      sym_dependent_type_identifier,
    STATE(2703), 1,
      sym_template_type,
    STATE(2711), 1,
      sym_qualified_type_identifier,
    STATE(6554), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11117), 1,
      sym_identifier,
    ACTIONS(11119), 1,
      anon_sym_template,
    STATE(2811), 1,
      sym_dependent_type_identifier,
    STATE(2812), 1,
      sym_template_type,
    STATE(2857), 1,
      sym_qualified_type_identifier,
    STATE(6555), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265678] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(5018), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    ACTIONS(11067), 1,
      anon_sym_template,
    STATE(2131), 1,
      sym_dependent_type_identifier,
    STATE(2133), 1,
      sym_qualified_type_identifier,
    STATE(2147), 1,
      sym_template_type,
    STATE(6556), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265709] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_decltype,
    ACTIONS(9225), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11121), 1,
      sym_identifier,
    ACTIONS(11123), 1,
      anon_sym_template,
    STATE(3742), 1,
      sym_template_type,
    STATE(3743), 1,
      sym_dependent_type_identifier,
    STATE(3817), 1,
      sym_qualified_type_identifier,
    STATE(6557), 1,
      sym__scope_resolution,
    STATE(8540), 1,
      sym_decltype,
  [265740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [265764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10532), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [265812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11001), 1,
      anon_sym_LBRACK,
    STATE(7140), 1,
      sym_gnu_asm_input_operand,
    STATE(7849), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [265832] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10550), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4868), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(4861), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [265880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [265904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [265926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11125), 1,
      sym_identifier,
    ACTIONS(11130), 1,
      aux_sym_preproc_elif_token1,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11128), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [265946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10597), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11132), 1,
      anon_sym_SEMI,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [265998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10454), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11136), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266048] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11138), 1,
      anon_sym_SEMI,
    ACTIONS(11140), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(7034), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266074] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10587), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(11142), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11146), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11148), 1,
      anon_sym_SEMI,
    ACTIONS(11150), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6895), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11152), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(8057), 1,
      anon_sym_LBRACK,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(4912), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [266320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2848), 1,
      sym_template_argument_list,
    ACTIONS(6280), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [266366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      anon_sym_SEMI,
    ACTIONS(11158), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11162), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11160), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11166), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11168), 1,
      anon_sym_EQ,
    ACTIONS(11164), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [266472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11170), 1,
      anon_sym_SEMI,
    ACTIONS(11172), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6965), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10507), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266522] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(11174), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10593), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266596] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10450), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3121), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [266620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11176), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266690] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10434), 1,
      anon_sym___attribute,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3231), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_COMMA,
      anon_sym___attribute__,
      anon_sym_GT2,
  [266714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [266736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10557), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11178), 1,
      sym_identifier,
    ACTIONS(11183), 1,
      aux_sym_preproc_elif_token1,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
    ACTIONS(11181), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [266784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11185), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11187), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10528), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11189), 1,
      anon_sym_SEMI,
    ACTIONS(11191), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6982), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11193), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10959), 1,
      anon_sym_LBRACK,
    STATE(7283), 1,
      sym_gnu_asm_output_operand,
    STATE(8290), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [266934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11197), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11195), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [266950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [266998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9593), 1,
      anon_sym_LBRACK,
    ACTIONS(10583), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6314), 1,
      sym__function_declarator_seq,
    STATE(6725), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11199), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267072] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(11201), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    ACTIONS(10546), 1,
      anon_sym_COLON,
    STATE(3408), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11203), 1,
      anon_sym_SEMI,
    ACTIONS(11205), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(6892), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6044), 1,
      anon_sym_COMMA,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11209), 1,
      anon_sym_RBRACK,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    STATE(7231), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [267200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2927), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(11214), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [267222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym___attribute__,
    ACTIONS(7027), 1,
      anon_sym___attribute,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5387), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5673), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 1,
      anon_sym___attribute,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(10261), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
  [267260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11220), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(11005), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    STATE(569), 1,
      sym_declaration_list,
    STATE(7626), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [267302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(2325), 1,
      sym_template_argument_list,
    STATE(7423), 2,
      sym_argument_list,
      sym_initializer_list,
  [267325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 1,
      anon_sym_LPAREN2,
    STATE(6684), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11227), 1,
      anon_sym_LBRACK,
    ACTIONS(11229), 1,
      anon_sym_EQ,
    ACTIONS(11231), 1,
      anon_sym_DOT,
    STATE(6662), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [267361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11233), 1,
      sym_identifier,
    STATE(346), 1,
      sym_declaration_list,
    STATE(7512), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [267386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 1,
      anon_sym___attribute,
    ACTIONS(11235), 1,
      anon_sym_EQ,
    ACTIONS(10261), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [267403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267424] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_LBRACK,
    STATE(2912), 1,
      sym_parameter_list,
    STATE(5988), 1,
      sym__function_declarator_seq,
    STATE(5924), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11237), 1,
      anon_sym_LPAREN2,
    STATE(6634), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11239), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [267523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11241), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [267542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(5630), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(5348), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5382), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(693), 1,
      sym_declaration_list,
    STATE(7653), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [267609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [267630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11245), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_AMP,
    ACTIONS(5978), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [267668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11249), 1,
      anon_sym_AMP,
    ACTIONS(11247), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [267704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11251), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 1,
      anon_sym_COLON,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11073), 1,
      sym_identifier,
    STATE(388), 1,
      sym_declaration_list,
    STATE(7484), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [267775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11253), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(6074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [267798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11257), 1,
      anon_sym_AMP,
    ACTIONS(11255), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11261), 1,
      anon_sym_AMP,
    ACTIONS(11259), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11263), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6027), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_AMP,
    ACTIONS(6015), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [267889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11265), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11269), 1,
      anon_sym_AMP,
    ACTIONS(11267), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(5928), 1,
      sym_template_argument_list,
    ACTIONS(6280), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 1,
      anon_sym_AMP,
    ACTIONS(5964), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [267961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11271), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [267984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11275), 1,
      anon_sym_COMMA,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11273), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [268001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_AMP,
    ACTIONS(4445), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11212), 1,
      anon_sym_EQ,
    STATE(1577), 1,
      sym_template_argument_list,
    ACTIONS(6170), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [268039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11279), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_EQ,
    ACTIONS(11284), 1,
      anon_sym_DOT,
    STATE(6662), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [268079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11287), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10452), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268165] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10448), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10505), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11289), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11291), 1,
      sym_identifier,
    STATE(561), 1,
      sym_declaration_list,
    STATE(7672), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [268320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11293), 1,
      sym_identifier,
    STATE(666), 1,
      sym_declaration_list,
    STATE(7599), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [268345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11295), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11297), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11097), 1,
      sym_identifier,
    STATE(684), 1,
      sym_declaration_list,
    STATE(7578), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [268404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11299), 1,
      anon_sym_LPAREN2,
    STATE(6676), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10440), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [268442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_LPAREN2,
    STATE(6675), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11303), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11305), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(5992), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11307), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11021), 1,
      sym_identifier,
    STATE(689), 1,
      sym_declaration_list,
    STATE(7621), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [268577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11311), 1,
      anon_sym_LPAREN2,
    STATE(6685), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
    ACTIONS(10430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [268615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_LPAREN2,
    STATE(6682), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(11303), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [268651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_COLON,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(11315), 1,
      anon_sym_RPAREN,
    STATE(2242), 1,
      sym_parameter_list,
    STATE(6237), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [268697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_LPAREN2,
    STATE(6622), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11319), 1,
      anon_sym_LPAREN2,
    STATE(6693), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11225), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [268731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8022), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [268745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11183), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11181), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [268759] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11321), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7823), 1,
      sym_attribute_specifier,
  [268781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11323), 1,
      anon_sym_SEMI,
    STATE(6702), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8414), 1,
      sym_attribute_specifier,
  [268803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11325), 1,
      anon_sym_SEMI,
    STATE(6704), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8413), 1,
      sym_attribute_specifier,
  [268825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8408), 1,
      sym_attribute_specifier,
  [268847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11329), 1,
      anon_sym_SEMI,
    STATE(6709), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8388), 1,
      sym_attribute_specifier,
  [268869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11331), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8384), 1,
      sym_attribute_specifier,
  [268891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9946), 1,
      anon_sym_try,
    ACTIONS(11333), 1,
      anon_sym_SEMI,
    ACTIONS(11335), 1,
      anon_sym_EQ,
    STATE(363), 2,
      sym_compound_statement,
      sym_try_statement,
  [268911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11337), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8381), 1,
      sym_attribute_specifier,
  [268933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7940), 1,
      sym_attribute_specifier,
  [268955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11341), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8006), 1,
      sym_attribute_specifier,
  [268977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11343), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8379), 1,
      sym_attribute_specifier,
  [268999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(10764), 1,
      anon_sym_LBRACK,
    STATE(6326), 1,
      sym_template_argument_list,
    ACTIONS(10760), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11345), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8375), 1,
      sym_attribute_specifier,
  [269039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11347), 1,
      anon_sym_SEMI,
    STATE(6735), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7937), 1,
      sym_attribute_specifier,
  [269061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7944), 1,
      sym_attribute_specifier,
  [269083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    ACTIONS(9946), 1,
      anon_sym_try,
    ACTIONS(11351), 1,
      anon_sym_SEMI,
    ACTIONS(11353), 1,
      anon_sym_EQ,
    STATE(372), 2,
      sym_compound_statement,
      sym_try_statement,
  [269103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11357), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(6280), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [269135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    ACTIONS(11359), 1,
      anon_sym_SEMI,
    ACTIONS(11361), 1,
      anon_sym_EQ,
    STATE(1779), 2,
      sym_compound_statement,
      sym_try_statement,
  [269155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8156), 1,
      sym_attribute_specifier,
  [269177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11365), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8166), 1,
      sym_attribute_specifier,
  [269199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(9833), 1,
      anon_sym_try,
    ACTIONS(11367), 1,
      anon_sym_SEMI,
    ACTIONS(11369), 1,
      anon_sym_EQ,
    STATE(619), 2,
      sym_compound_statement,
      sym_try_statement,
  [269219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9950), 1,
      anon_sym_try,
    ACTIONS(11371), 1,
      anon_sym_SEMI,
    ACTIONS(11373), 1,
      anon_sym_EQ,
    STATE(751), 2,
      sym_compound_statement,
      sym_try_statement,
  [269239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11375), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11377), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11379), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11381), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    ACTIONS(11383), 1,
      anon_sym_SEMI,
    ACTIONS(11385), 1,
      anon_sym_EQ,
    STATE(1952), 2,
      sym_compound_statement,
      sym_try_statement,
  [269287] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11387), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8142), 1,
      sym_attribute_specifier,
  [269309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9843), 1,
      anon_sym_try,
    ACTIONS(11389), 1,
      anon_sym_SEMI,
    ACTIONS(11391), 1,
      anon_sym_EQ,
    STATE(602), 2,
      sym_compound_statement,
      sym_try_statement,
  [269329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10778), 1,
      anon_sym_LBRACK,
    ACTIONS(10776), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(3896), 1,
      sym_template_argument_list,
    ACTIONS(6280), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9615), 1,
      anon_sym_try,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    ACTIONS(11393), 1,
      anon_sym_SEMI,
    ACTIONS(11395), 1,
      anon_sym_EQ,
    STATE(2020), 2,
      sym_compound_statement,
      sym_try_statement,
  [269385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11397), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11399), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(11401), 1,
      anon_sym_SEMI,
    ACTIONS(11403), 1,
      anon_sym_EQ,
    STATE(1980), 2,
      sym_compound_statement,
      sym_try_statement,
  [269419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(10770), 1,
      anon_sym_LBRACK,
    STATE(6343), 1,
      sym_template_argument_list,
    ACTIONS(10768), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [269437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11405), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7797), 1,
      sym_attribute_specifier,
  [269459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11407), 1,
      anon_sym_SEMI,
    STATE(6716), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7802), 1,
      sym_attribute_specifier,
  [269481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_try,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    ACTIONS(11409), 1,
      anon_sym_SEMI,
    ACTIONS(11411), 1,
      anon_sym_EQ,
    STATE(1712), 2,
      sym_compound_statement,
      sym_try_statement,
  [269501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11413), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11415), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11417), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8007), 1,
      sym_attribute_specifier,
  [269537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11419), 1,
      anon_sym_SEMI,
    STATE(6711), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7820), 1,
      sym_attribute_specifier,
  [269559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(9950), 1,
      anon_sym_try,
    ACTIONS(11421), 1,
      anon_sym_SEMI,
    ACTIONS(11423), 1,
      anon_sym_EQ,
    STATE(733), 2,
      sym_compound_statement,
      sym_try_statement,
  [269579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    ACTIONS(9843), 1,
      anon_sym_try,
    ACTIONS(11425), 1,
      anon_sym_SEMI,
    ACTIONS(11427), 1,
      anon_sym_EQ,
    STATE(556), 2,
      sym_compound_statement,
      sym_try_statement,
  [269599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11429), 1,
      anon_sym_SEMI,
    STATE(6705), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7816), 1,
      sym_attribute_specifier,
  [269621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11431), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11433), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(9833), 1,
      anon_sym_try,
    ACTIONS(11435), 1,
      anon_sym_SEMI,
    ACTIONS(11437), 1,
      anon_sym_EQ,
    STATE(633), 2,
      sym_compound_statement,
      sym_try_statement,
  [269655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11439), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8196), 1,
      sym_attribute_specifier,
  [269677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11441), 1,
      anon_sym_SEMI,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8191), 1,
      sym_attribute_specifier,
  [269699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11397), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11399), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11443), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11445), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11447), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(7786), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6168), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5711), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [269759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8071), 1,
      sym_string_literal,
    ACTIONS(119), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [269773] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(11449), 1,
      anon_sym_SEMI,
    STATE(6742), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8280), 1,
      sym_attribute_specifier,
  [269795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11443), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11445), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9623), 1,
      anon_sym_try,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    ACTIONS(11451), 1,
      anon_sym_SEMI,
    ACTIONS(11453), 1,
      anon_sym_EQ,
    STATE(1909), 2,
      sym_compound_statement,
      sym_try_statement,
  [269829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11455), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11457), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [269843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11459), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11461), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10440), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [269896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11463), 1,
      anon_sym_SEMI,
    STATE(6774), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10430), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [269932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11465), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10505), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [269968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11467), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [269985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    ACTIONS(11469), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(2370), 1,
      sym_decltype_auto,
    ACTIONS(11471), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11473), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11475), 1,
      anon_sym_COMMA,
    ACTIONS(11480), 1,
      anon_sym___attribute,
    STATE(6764), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11478), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [270055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11482), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2395), 1,
      sym_template_method,
    STATE(7597), 1,
      sym_operator_name,
  [270074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11484), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11486), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
    STATE(6784), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11490), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3707), 1,
      sym_template_method,
    STATE(7590), 1,
      sym_operator_name,
  [270144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(4204), 1,
      sym_template_argument_list,
    ACTIONS(6280), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [270161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11492), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11494), 1,
      anon_sym_SEMI,
    STATE(6767), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10444), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11496), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11498), 1,
      sym_identifier,
    STATE(7399), 1,
      sym__namespace_specifier,
    STATE(7490), 1,
      sym_nested_namespace_specifier,
  [270250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11500), 1,
      sym_identifier,
    STATE(8328), 1,
      sym__namespace_specifier,
    STATE(8549), 1,
      sym_nested_namespace_specifier,
  [270269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(11502), 1,
      aux_sym_preproc_if_token2,
    STATE(6658), 1,
      sym_enumerator,
    STATE(6946), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6949), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [270288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11504), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    ACTIONS(11506), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
    STATE(6796), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10904), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      anon_sym___attribute,
    STATE(6764), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11510), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [270358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11514), 1,
      anon_sym_SEMI,
    STATE(6771), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11516), 1,
      anon_sym_SEMI,
    STATE(6758), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11518), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10436), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    ACTIONS(11520), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11522), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11524), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7593), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [270477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    ACTIONS(11528), 1,
      anon_sym_COLON_COLON,
    STATE(7610), 1,
      sym_argument_list,
    ACTIONS(11526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [270494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11530), 1,
      anon_sym_SEMI,
    STATE(6819), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11482), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2395), 1,
      sym_template_method,
    STATE(7650), 1,
      sym_operator_name,
  [270530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11532), 1,
      sym_identifier,
    STATE(8151), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [270549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11534), 1,
      anon_sym_SEMI,
    STATE(6763), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    STATE(6798), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11538), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2395), 1,
      sym_template_method,
    STATE(7727), 1,
      sym_operator_name,
  [270602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11540), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    STATE(6787), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11544), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11548), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11546), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [270666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11550), 1,
      anon_sym_SEMI,
    STATE(6766), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11552), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(3692), 1,
      sym_template_argument_list,
    ACTIONS(6280), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [270717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [270734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    STATE(6760), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10509), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8958), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8962), 1,
      anon_sym_EQ,
    ACTIONS(11556), 1,
      sym_identifier,
    ACTIONS(8960), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11498), 1,
      sym_identifier,
    STATE(7236), 1,
      sym__namespace_specifier,
    STATE(7697), 1,
      sym_nested_namespace_specifier,
  [270806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11558), 1,
      anon_sym_SEMI,
    STATE(6754), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11560), 1,
      anon_sym_SEMI,
    STATE(6753), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11562), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_operator,
    ACTIONS(11564), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_template_method,
    STATE(7504), 1,
      sym_operator_name,
  [270876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11566), 1,
      anon_sym_SEMI,
    STATE(6820), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    ACTIONS(11568), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8152), 1,
      sym_auto,
    ACTIONS(8154), 1,
      anon_sym_decltype,
    STATE(2370), 1,
      sym_decltype_auto,
    ACTIONS(11570), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [270929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11577), 1,
      anon_sym___attribute,
    STATE(6815), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11575), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [270946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
    ACTIONS(6221), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [270963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10452), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [270982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11579), 1,
      anon_sym_SEMI,
    STATE(6810), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [270999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11581), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11583), 1,
      anon_sym_SEMI,
    STATE(4181), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11585), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [271044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11587), 1,
      anon_sym_SEMI,
    STATE(6778), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10448), 1,
      anon_sym_COLON,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(3319), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [271080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11589), 1,
      sym_identifier,
    STATE(8328), 1,
      sym__namespace_specifier,
    STATE(8453), 1,
      sym_nested_namespace_specifier,
  [271099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___attribute,
    ACTIONS(6999), 1,
      anon_sym___attribute__,
    ACTIONS(11591), 1,
      anon_sym_SEMI,
    STATE(6801), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [271116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11009), 1,
      anon_sym_inline,
    ACTIONS(11593), 1,
      sym_identifier,
    STATE(8226), 1,
      sym_nested_namespace_specifier,
    STATE(8328), 1,
      sym__namespace_specifier,
  [271135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4407), 1,
      sym_field_declaration_list,
    STATE(7736), 1,
      sym_base_class_clause,
  [271151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(7491), 1,
      sym_base_class_clause,
  [271167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11597), 1,
      anon_sym_GT2,
    STATE(7277), 1,
      aux_sym_template_argument_list_repeat1,
  [271183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2483), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7297), 1,
      sym_compound_statement,
    STATE(7714), 1,
      sym_field_initializer_list,
  [271213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11599), 1,
      anon_sym_GT2,
    STATE(7356), 1,
      aux_sym_template_argument_list_repeat1,
  [271229] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11601), 1,
      anon_sym_DQUOTE,
    ACTIONS(11603), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11606), 1,
      sym_escape_sequence,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [271245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(3479), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271259] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11609), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11611), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(816), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [271289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4861), 1,
      anon_sym_SEMI,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1820), 1,
      sym_template_argument_list,
  [271305] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11616), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11620), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym___except,
    ACTIONS(11624), 1,
      anon_sym___finally,
    STATE(538), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [271347] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11626), 1,
      anon_sym_DQUOTE,
    ACTIONS(11628), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11630), 1,
      sym_escape_sequence,
    STATE(6977), 1,
      aux_sym_string_literal_repeat1,
  [271363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11632), 1,
      anon_sym_GT2,
    STATE(7340), 1,
      aux_sym_template_argument_list_repeat1,
  [271379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11634), 1,
      anon_sym___except,
    ACTIONS(11636), 1,
      anon_sym___finally,
    STATE(282), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [271393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11638), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11640), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2820), 1,
      sym_field_declaration_list,
    STATE(7517), 1,
      sym_base_class_clause,
  [271441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(3897), 1,
      sym_requirement_seq,
    STATE(7629), 1,
      sym_requires_parameter_list,
  [271457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(7420), 2,
      sym_argument_list,
      sym_initializer_list,
  [271471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7109), 1,
      sym_compound_statement,
    STATE(7458), 1,
      sym_field_initializer_list,
  [271487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11644), 1,
      anon_sym_GT2,
    STATE(7319), 1,
      aux_sym_template_argument_list_repeat1,
  [271503] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11646), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11650), 1,
      sym_preproc_arg,
    STATE(7585), 1,
      sym_preproc_params,
  [271519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11652), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11654), 1,
      anon_sym_GT2,
    STATE(7211), 1,
      aux_sym_template_argument_list_repeat1,
  [271551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COMMA,
    STATE(6854), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11659), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [271565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(799), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [271581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7388), 1,
      sym_compound_statement,
    STATE(7785), 1,
      sym_field_initializer_list,
  [271597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(3761), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11140), 1,
      anon_sym_EQ,
    STATE(7034), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2456), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym___attribute,
    ACTIONS(11661), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_field_declaration_list,
    STATE(7462), 1,
      sym_base_class_clause,
  [271681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1608), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    STATE(2513), 1,
      sym_argument_list,
    STATE(3860), 1,
      sym_initializer_list,
  [271711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11667), 1,
      anon_sym_EQ,
    STATE(379), 1,
      sym_declaration_list,
  [271727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11669), 1,
      sym_identifier,
    ACTIONS(11671), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [271739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3048), 1,
      sym_field_declaration_list,
    STATE(7750), 1,
      sym_base_class_clause,
  [271755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(3438), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [271769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11675), 1,
      anon_sym___attribute,
    ACTIONS(11673), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [271781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym_field_declaration_list,
    STATE(7690), 1,
      sym_base_class_clause,
  [271797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11677), 1,
      anon_sym_GT2,
    STATE(7244), 1,
      aux_sym_template_argument_list_repeat1,
  [271813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11679), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [271829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(2421), 1,
      sym_requirement_seq,
    STATE(7498), 1,
      sym_requires_parameter_list,
  [271845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3451), 1,
      sym_field_declaration_list,
    STATE(7520), 1,
      sym_base_class_clause,
  [271861] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11681), 1,
      anon_sym_DQUOTE,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [271877] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11687), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [271893] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11689), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [271907] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11691), 1,
      anon_sym_DQUOTE,
    ACTIONS(11693), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11695), 1,
      sym_escape_sequence,
    STATE(6876), 1,
      aux_sym_string_literal_repeat1,
  [271923] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11697), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [271939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3444), 1,
      sym_field_declaration_list,
    STATE(7522), 1,
      sym_base_class_clause,
  [271955] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11699), 1,
      anon_sym_DQUOTE,
    ACTIONS(11701), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11703), 1,
      sym_escape_sequence,
    STATE(6879), 1,
      aux_sym_string_literal_repeat1,
  [271971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2910), 1,
      sym_field_declaration_list,
    STATE(7581), 1,
      sym_base_class_clause,
  [271987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11705), 1,
      anon_sym_GT2,
    STATE(7331), 1,
      aux_sym_template_argument_list_repeat1,
  [272003] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11707), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym___except,
    ACTIONS(11711), 1,
      anon_sym___finally,
    STATE(843), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [272033] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11713), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(815), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [272065] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11715), 1,
      anon_sym_DQUOTE,
    ACTIONS(11717), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11719), 1,
      sym_escape_sequence,
    STATE(6884), 1,
      aux_sym_string_literal_repeat1,
  [272081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11721), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [272111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(3639), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11723), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11205), 1,
      anon_sym_EQ,
    STATE(6892), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11725), 1,
      anon_sym_GT2,
    STATE(7311), 1,
      aux_sym_template_argument_list_repeat1,
  [272169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11727), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272183] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11729), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11731), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_declaration_list,
  [272215] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11733), 1,
      anon_sym_DQUOTE,
    ACTIONS(11735), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11737), 1,
      sym_escape_sequence,
    STATE(6896), 1,
      aux_sym_string_literal_repeat1,
  [272231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LBRACE,
    STATE(2496), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11150), 1,
      anon_sym_EQ,
    STATE(6895), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(3427), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11743), 1,
      anon_sym_LBRACE,
    STATE(7251), 1,
      aux_sym_base_class_clause_repeat1,
  [272289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11745), 1,
      anon_sym_GT2,
    STATE(7291), 1,
      aux_sym_template_argument_list_repeat1,
  [272305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(3949), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_COMMA,
    STATE(6938), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11749), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272333] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11751), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11753), 1,
      anon_sym_COMMA,
    STATE(6907), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11756), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    ACTIONS(11758), 1,
      anon_sym_LBRACE,
    STATE(1609), 1,
      sym_requirement_seq,
    STATE(7779), 1,
      sym_requires_parameter_list,
  [272379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(797), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [272395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(3867), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11760), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272423] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11762), 1,
      anon_sym_DQUOTE,
    ACTIONS(11764), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11766), 1,
      sym_escape_sequence,
    STATE(6906), 1,
      aux_sym_string_literal_repeat1,
  [272439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(810), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [272455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(11768), 1,
      aux_sym_preproc_if_token2,
    STATE(6946), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [272483] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11770), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272499] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11772), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272515] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11774), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272529] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11776), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(6280), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [272557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2902), 1,
      sym_field_declaration_list,
    STATE(7642), 1,
      sym_base_class_clause,
  [272573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_field_declaration_list,
    STATE(7741), 1,
      sym_base_class_clause,
  [272589] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11778), 1,
      anon_sym_DQUOTE,
    ACTIONS(11780), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11782), 1,
      sym_escape_sequence,
    STATE(6945), 1,
      aux_sym_string_literal_repeat1,
  [272605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(11502), 1,
      aux_sym_preproc_if_token2,
    STATE(6949), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
  [272621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11784), 1,
      anon_sym_COMMA,
    STATE(6996), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11786), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2528), 1,
      sym_field_declaration_list,
    STATE(7453), 1,
      sym_base_class_clause,
  [272651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11788), 1,
      anon_sym_GT2,
    STATE(7271), 1,
      aux_sym_template_argument_list_repeat1,
  [272667] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11790), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    ACTIONS(11792), 1,
      anon_sym_LBRACE,
    STATE(5582), 1,
      sym_requirement_seq,
    STATE(7694), 1,
      sym_requires_parameter_list,
  [272699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11794), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7314), 1,
      aux_sym_base_class_clause_repeat1,
  [272715] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11798), 1,
      anon_sym_DQUOTE,
    ACTIONS(11800), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11802), 1,
      sym_escape_sequence,
    STATE(6928), 1,
      aux_sym_string_literal_repeat1,
  [272731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11158), 1,
      anon_sym_EQ,
    STATE(6911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272745] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11804), 1,
      anon_sym_DQUOTE,
    ACTIONS(11806), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11808), 1,
      sym_escape_sequence,
    STATE(6916), 1,
      aux_sym_string_literal_repeat1,
  [272761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11810), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3663), 1,
      sym_initializer_list,
    STATE(3669), 1,
      sym_argument_list,
  [272791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11812), 1,
      anon_sym_GT2,
    STATE(7249), 1,
      aux_sym_template_argument_list_repeat1,
  [272807] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11814), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_COMMA,
    STATE(6854), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11816), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [272837] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11818), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11820), 1,
      sym_preproc_arg,
    STATE(7725), 1,
      sym_preproc_params,
  [272853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(822), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [272869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2273), 1,
      sym_field_declaration_list,
    STATE(7501), 1,
      sym_base_class_clause,
  [272885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2843), 1,
      sym_field_declaration_list,
    STATE(7681), 1,
      sym_base_class_clause,
  [272901] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11822), 1,
      anon_sym_DQUOTE,
    ACTIONS(11824), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11826), 1,
      sym_escape_sequence,
    STATE(6937), 1,
      aux_sym_string_literal_repeat1,
  [272917] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [272931] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11830), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [272947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10536), 1,
      sym_identifier,
    ACTIONS(11832), 1,
      aux_sym_preproc_if_token2,
    STATE(6566), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [272961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11172), 1,
      anon_sym_EQ,
    STATE(6965), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [272975] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11834), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11836), 1,
      sym_preproc_arg,
    STATE(7632), 1,
      sym_preproc_params,
  [272991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(11838), 1,
      aux_sym_preproc_if_token2,
    STATE(6601), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8000), 1,
      sym_enumerator,
  [273007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11842), 1,
      anon_sym_LBRACE,
    STATE(7413), 1,
      aux_sym_base_class_clause_repeat1,
  [273023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(3656), 1,
      sym_requirement_seq,
    STATE(7720), 1,
      sym_requires_parameter_list,
  [273039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11844), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11846), 1,
      anon_sym_GT2,
    STATE(7227), 1,
      aux_sym_template_argument_list_repeat1,
  [273069] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11848), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(5605), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273099] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11850), 1,
      anon_sym_DQUOTE,
    ACTIONS(11852), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11854), 1,
      sym_escape_sequence,
    STATE(6917), 1,
      aux_sym_string_literal_repeat1,
  [273115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3580), 1,
      sym_argument_list,
    STATE(3898), 1,
      sym_initializer_list,
  [273131] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11856), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11858), 1,
      anon_sym_EQ,
    STATE(6934), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10373), 1,
      anon_sym_LBRACE,
    STATE(3767), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4386), 1,
      sym_field_declaration_list,
    STATE(7771), 1,
      sym_base_class_clause,
  [273189] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11860), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273205] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11191), 1,
      anon_sym_EQ,
    STATE(6982), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11864), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7057), 1,
      sym_compound_statement,
    STATE(7749), 1,
      sym_field_initializer_list,
  [273263] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11866), 1,
      anon_sym_DQUOTE,
    ACTIONS(11868), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11870), 1,
      sym_escape_sequence,
    STATE(6962), 1,
      aux_sym_string_literal_repeat1,
  [273279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11872), 1,
      anon_sym_GT2,
    STATE(7202), 1,
      aux_sym_template_argument_list_repeat1,
  [273295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(7510), 1,
      sym_argument_list,
    ACTIONS(11874), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [273309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_COMMA,
    STATE(7027), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11878), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11880), 1,
      anon_sym___except,
    ACTIONS(11882), 1,
      anon_sym___finally,
    STATE(538), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [273337] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11884), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2880), 1,
      sym_field_declaration_list,
    STATE(7667), 1,
      sym_base_class_clause,
  [273369] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      anon_sym_LPAREN2,
    STATE(3578), 1,
      sym_initializer_list,
    STATE(3580), 1,
      sym_argument_list,
  [273399] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11888), 1,
      anon_sym_DQUOTE,
    ACTIONS(11890), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11892), 1,
      sym_escape_sequence,
    STATE(6972), 1,
      aux_sym_string_literal_repeat1,
  [273415] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11894), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11896), 1,
      anon_sym_GT2,
    STATE(7134), 1,
      aux_sym_template_argument_list_repeat1,
  [273447] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11898), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    STATE(6839), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(5884), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11900), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273503] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11902), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11904), 1,
      sym_preproc_arg,
    STATE(7477), 1,
      sym_preproc_params,
  [273519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7402), 1,
      sym_compound_statement,
    STATE(7671), 1,
      sym_field_initializer_list,
  [273535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(5866), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273549] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_DQUOTE,
    ACTIONS(11908), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11910), 1,
      sym_escape_sequence,
    STATE(6875), 1,
      aux_sym_string_literal_repeat1,
  [273565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11912), 1,
      anon_sym_EQ,
    STATE(6952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [273579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11914), 1,
      anon_sym_GT2,
    STATE(7172), 1,
      aux_sym_template_argument_list_repeat1,
  [273595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3964), 1,
      sym_field_declaration_list,
    STATE(7575), 1,
      sym_base_class_clause,
  [273611] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_DQUOTE,
    ACTIONS(11918), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11920), 1,
      sym_escape_sequence,
    STATE(6886), 1,
      aux_sym_string_literal_repeat1,
  [273627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      anon_sym_EQ,
    STATE(721), 1,
      sym_declaration_list,
  [273643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(5615), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(3275), 1,
      sym_requirement_seq,
    STATE(7550), 1,
      sym_requires_parameter_list,
  [273673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(11924), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [273689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(4261), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_COMMA,
    STATE(6996), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11929), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [273717] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11931), 1,
      anon_sym_DQUOTE,
    ACTIONS(11933), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11935), 1,
      sym_escape_sequence,
    STATE(7010), 1,
      aux_sym_string_literal_repeat1,
  [273733] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11937), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11939), 1,
      sym_preproc_arg,
    STATE(7573), 1,
      sym_preproc_params,
  [273749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10383), 1,
      anon_sym_LBRACE,
    STATE(5830), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273763] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11941), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273779] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [273793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7386), 1,
      sym_compound_statement,
    STATE(7733), 1,
      sym_field_initializer_list,
  [273809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3962), 1,
      sym_field_declaration_list,
    STATE(7587), 1,
      sym_base_class_clause,
  [273825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4957), 1,
      sym_field_declaration_list,
    STATE(7554), 1,
      sym_base_class_clause,
  [273841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(6839), 1,
      anon_sym_LPAREN2,
    STATE(3669), 1,
      sym_argument_list,
    STATE(4804), 1,
      sym_initializer_list,
  [273857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4967), 1,
      sym_field_declaration_list,
    STATE(7555), 1,
      sym_base_class_clause,
  [273873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    STATE(2177), 1,
      sym_field_declaration_list,
    STATE(7586), 1,
      sym_base_class_clause,
  [273889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10377), 1,
      anon_sym_LBRACE,
    STATE(3517), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10389), 1,
      anon_sym_LBRACE,
    STATE(5620), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273917] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(11945), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [273933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10393), 1,
      anon_sym_LBRACE,
    STATE(3940), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [273947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11947), 1,
      anon_sym_EQ,
    STATE(678), 1,
      sym_declaration_list,
  [273963] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_DQUOTE,
    ACTIONS(11951), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11953), 1,
      sym_escape_sequence,
    STATE(7000), 1,
      aux_sym_string_literal_repeat1,
  [273979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9552), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(4216), 1,
      sym_requirement_seq,
    STATE(7567), 1,
      sym_requires_parameter_list,
  [273995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(4234), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11955), 1,
      anon_sym_SEMI,
    ACTIONS(11957), 1,
      anon_sym_DASH_GT,
    ACTIONS(11959), 1,
      anon_sym_noexcept,
    STATE(7858), 1,
      sym_trailing_return_type,
  [274025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_LBRACK,
    STATE(2980), 1,
      sym_parameter_list,
    STATE(5979), 1,
      sym__function_declarator_seq,
  [274041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10375), 1,
      anon_sym_LBRACE,
    STATE(3403), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8535), 1,
      anon_sym___attribute,
    ACTIONS(8533), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [274067] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11961), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11963), 1,
      sym_preproc_arg,
    STATE(7776), 1,
      sym_preproc_params,
  [274083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      anon_sym_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(3590), 1,
      sym_requirement_seq,
    STATE(7703), 1,
      sym_requires_parameter_list,
  [274099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 1,
      anon_sym_LBRACE,
    ACTIONS(5766), 1,
      anon_sym_LPAREN2,
    STATE(2420), 1,
      sym_initializer_list,
    STATE(2513), 1,
      sym_argument_list,
  [274129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11965), 1,
      anon_sym___except,
    ACTIONS(11967), 1,
      anon_sym___finally,
    STATE(511), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [274143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    STATE(7206), 1,
      sym_compound_statement,
    STATE(7700), 1,
      sym_field_initializer_list,
  [274159] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    ACTIONS(11969), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11971), 1,
      sym_preproc_arg,
    STATE(7772), 1,
      sym_preproc_params,
  [274175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_COMMA,
    STATE(6907), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11973), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1608), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274203] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11975), 1,
      anon_sym_DQUOTE,
    ACTIONS(11977), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11979), 1,
      sym_escape_sequence,
    STATE(6954), 1,
      aux_sym_string_literal_repeat1,
  [274219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11981), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [274229] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11983), 1,
      anon_sym_DQUOTE,
    ACTIONS(11985), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11987), 1,
      sym_escape_sequence,
    STATE(7050), 1,
      aux_sym_string_literal_repeat1,
  [274245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11784), 1,
      anon_sym_COMMA,
    STATE(6925), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11989), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [274259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11991), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11993), 1,
      anon_sym_LBRACE,
    STATE(7264), 1,
      aux_sym_base_class_clause_repeat1,
  [274275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11995), 1,
      anon_sym_EQ,
    STATE(5859), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [274289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11981), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [274299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    STATE(2153), 1,
      sym_field_declaration_list,
    STATE(7602), 1,
      sym_base_class_clause,
  [274315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11997), 1,
      anon_sym_GT2,
    STATE(7095), 1,
      aux_sym_template_argument_list_repeat1,
  [274331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(802), 1,
      sym_template_parameter_list,
    STATE(2130), 1,
      sym_template_type,
  [274347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4796), 1,
      sym_field_declaration_list,
    STATE(7616), 1,
      sym_base_class_clause,
  [274363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LT,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(6788), 1,
      sym_template_parameter_list,
  [274379] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11999), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10379), 1,
      anon_sym_LBRACE,
    STATE(4268), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274407] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12001), 1,
      anon_sym_GT2,
    STATE(7122), 1,
      aux_sym_template_argument_list_repeat1,
  [274423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6297), 1,
      anon_sym_LT,
    ACTIONS(12003), 1,
      anon_sym_SEMI,
    STATE(1577), 1,
      sym_template_argument_list,
  [274439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_compound_statement,
    ACTIONS(10261), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [274453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    ACTIONS(12005), 1,
      anon_sym_LBRACE,
    STATE(5850), 1,
      sym_requirement_seq,
    STATE(7634), 1,
      sym_requires_parameter_list,
  [274469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_COLON,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_field_declaration_list,
    STATE(7571), 1,
      sym_base_class_clause,
  [274485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12007), 1,
      anon_sym___except,
    ACTIONS(12009), 1,
      anon_sym___finally,
    STATE(519), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [274499] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12011), 1,
      anon_sym_SQUOTE,
    STATE(6835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11618), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274513] = 5,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(11683), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11685), 1,
      sym_escape_sequence,
    ACTIONS(12013), 1,
      anon_sym_DQUOTE,
    STATE(6833), 1,
      aux_sym_string_literal_repeat1,
  [274529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 1,
      anon_sym_RPAREN,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    STATE(7208), 1,
      sym_gnu_asm_input_operand_list,
  [274542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12019), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [274555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(562), 1,
      sym_declaration_list,
  [274568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12023), 1,
      anon_sym_RPAREN,
    STATE(7131), 1,
      aux_sym_parameter_list_repeat1,
  [274581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12025), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [274594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12027), 1,
      anon_sym_SEMI,
    STATE(7130), 1,
      aux_sym_declaration_repeat1,
  [274607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      anon_sym_catch,
    STATE(1798), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [274618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12031), 1,
      anon_sym_COMMA,
    ACTIONS(12033), 1,
      anon_sym_RPAREN,
    STATE(7425), 1,
      aux_sym_requires_parameter_list_repeat1,
  [274631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12035), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3452), 1,
      sym_template_function,
  [274644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(12037), 1,
      anon_sym_RBRACK,
    STATE(7085), 1,
      aux_sym_subscript_argument_list_repeat1,
  [274657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12039), 1,
      anon_sym_RPAREN,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    STATE(8051), 1,
      sym_gnu_asm_goto_list,
  [274670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 1,
      anon_sym_RPAREN,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    STATE(7065), 1,
      sym_gnu_asm_clobber_list,
  [274683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_catch,
    STATE(395), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [274694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12049), 1,
      anon_sym_GT2,
    STATE(7052), 1,
      aux_sym_template_argument_list_repeat1,
  [274707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12051), 1,
      anon_sym_RPAREN,
    STATE(8012), 1,
      sym_gnu_asm_goto_list,
  [274720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12053), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [274733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    ACTIONS(12058), 1,
      anon_sym_LBRACE,
    STATE(7067), 1,
      aux_sym_field_initializer_list_repeat1,
  [274746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_default,
    ACTIONS(12062), 1,
      anon_sym_delete,
    ACTIONS(12064), 1,
      aux_sym_pure_virtual_clause_token1,
  [274759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12066), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [274772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym_COMMA,
    ACTIONS(12070), 1,
      anon_sym_RPAREN,
    STATE(7110), 1,
      aux_sym_throw_specifier_repeat1,
  [274785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12072), 1,
      anon_sym_RPAREN,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    STATE(7115), 1,
      sym_gnu_asm_output_operand_list,
  [274798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RBRACE,
    STATE(7106), 1,
      aux_sym_initializer_list_repeat1,
  [274811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12076), 1,
      anon_sym_RPAREN,
    STATE(7082), 1,
      sym_gnu_asm_clobber_list,
  [274824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12078), 1,
      anon_sym_RPAREN,
    STATE(7061), 1,
      sym_gnu_asm_clobber_list,
  [274837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12080), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12082), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [274848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12084), 1,
      anon_sym_RPAREN,
    STATE(7976), 1,
      sym_gnu_asm_goto_list,
  [274861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12086), 1,
      anon_sym_GT2,
    STATE(7096), 1,
      aux_sym_template_argument_list_repeat1,
  [274874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(731), 1,
      sym_declaration_list,
  [274887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12090), 1,
      anon_sym_RPAREN,
    ACTIONS(12088), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [274898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12092), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [274911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12094), 1,
      anon_sym_RPAREN,
    STATE(8197), 1,
      sym_gnu_asm_goto_list,
  [274924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12096), 1,
      anon_sym_RPAREN,
    STATE(8011), 1,
      sym_gnu_asm_goto_list,
  [274937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12098), 1,
      anon_sym_COMMA,
    ACTIONS(12101), 1,
      anon_sym_RBRACK,
    STATE(7083), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [274950] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(7041), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12103), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [274961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8831), 1,
      anon_sym_RBRACK,
    ACTIONS(12105), 1,
      anon_sym_COMMA,
    STATE(7085), 1,
      aux_sym_subscript_argument_list_repeat1,
  [274974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [274987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12112), 1,
      anon_sym_constexpr,
    STATE(175), 1,
      sym_condition_clause,
  [275000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12114), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [275013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12116), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [275026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12118), 1,
      anon_sym_default,
    ACTIONS(12120), 1,
      anon_sym_delete,
    ACTIONS(12122), 1,
      aux_sym_pure_virtual_clause_token1,
  [275039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(667), 1,
      sym_declaration_list,
  [275052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [275065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11993), 1,
      anon_sym_LBRACE,
    STATE(7264), 1,
      aux_sym_base_class_clause_repeat1,
  [275078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12126), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12130), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(665), 1,
      sym_declaration_list,
  [275130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(7089), 1,
      aux_sym_argument_list_repeat1,
  [275143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [275156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8671), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [275165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11957), 1,
      anon_sym_DASH_GT,
    ACTIONS(12138), 1,
      anon_sym_SEMI,
    STATE(7984), 1,
      sym_trailing_return_type,
  [275187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8734), 1,
      anon_sym_RPAREN,
    STATE(7342), 1,
      aux_sym_argument_list_repeat1,
  [275200] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12140), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12142), 1,
      anon_sym_LPAREN2,
    STATE(8271), 1,
      sym_preproc_argument_list,
  [275213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
    STATE(7060), 1,
      aux_sym_subscript_argument_list_repeat1,
  [275226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RBRACE,
    ACTIONS(12144), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [275239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12146), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [275252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12148), 1,
      anon_sym_COMMA,
    ACTIONS(12151), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [275265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_catch,
    STATE(410), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    STATE(7155), 1,
      aux_sym_throw_specifier_repeat1,
  [275289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12155), 1,
      anon_sym_SEMI,
    STATE(7448), 1,
      aux_sym_declaration_repeat1,
  [275302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12157), 1,
      anon_sym_SEMI,
    STATE(7205), 1,
      aux_sym_declaration_repeat1,
  [275315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [275328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 1,
      anon_sym_COMMA,
    ACTIONS(12161), 1,
      anon_sym_RBRACK,
    STATE(7231), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [275341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12163), 1,
      anon_sym_RPAREN,
    STATE(7153), 1,
      sym_gnu_asm_input_operand_list,
  [275354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12165), 1,
      anon_sym_COMMA,
    ACTIONS(12168), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_requires_parameter_list_repeat1,
  [275367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12170), 1,
      anon_sym_RPAREN,
    STATE(7073), 1,
      sym_gnu_asm_input_operand_list,
  [275380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12172), 1,
      anon_sym_SEMI,
    STATE(7252), 1,
      aux_sym_declaration_repeat1,
  [275393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12174), 1,
      anon_sym_RPAREN,
    STATE(7170), 1,
      sym_gnu_asm_output_operand_list,
  [275406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12178), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12180), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym_catch,
    STATE(384), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_COMMA,
    ACTIONS(12186), 1,
      anon_sym_RBRACK,
    STATE(7083), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [275469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 1,
      anon_sym___attribute,
    ACTIONS(6500), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [275480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12188), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym_COMMA,
    ACTIONS(12193), 1,
      anon_sym_GT2,
    STATE(7127), 1,
      aux_sym_template_parameter_list_repeat1,
  [275506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7099), 1,
      aux_sym_attribute_declaration_repeat1,
  [275519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym_catch,
    STATE(407), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12197), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12199), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [275556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12201), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
    STATE(3416), 1,
      sym_template_function,
  [275569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12203), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12205), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12207), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [275608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      anon_sym_catch,
    STATE(1815), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12211), 1,
      anon_sym_default,
    ACTIONS(12213), 1,
      anon_sym_delete,
    ACTIONS(12215), 1,
      aux_sym_pure_virtual_clause_token1,
  [275645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12217), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [275654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [275663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_COMMA,
    ACTIONS(12221), 1,
      anon_sym_RBRACK,
    STATE(7366), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [275676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12223), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3416), 1,
      sym_template_function,
  [275689] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12142), 1,
      anon_sym_LPAREN2,
    ACTIONS(12225), 1,
      aux_sym_preproc_include_token2,
    STATE(8271), 1,
      sym_preproc_argument_list,
  [275702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [275715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12229), 1,
      anon_sym_SEMI,
    STATE(7137), 1,
      aux_sym_declaration_repeat1,
  [275728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12231), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [275737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_COMMA,
    ACTIONS(12235), 1,
      anon_sym_GT2,
    STATE(7127), 1,
      aux_sym_template_parameter_list_repeat1,
  [275750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12237), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12239), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7452), 1,
      aux_sym_attribute_declaration_repeat1,
  [275776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12241), 1,
      anon_sym_RPAREN,
    STATE(7861), 1,
      sym_gnu_asm_goto_list,
  [275789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [275798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12245), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [275811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12247), 1,
      anon_sym_RPAREN,
    STATE(7177), 1,
      sym_gnu_asm_clobber_list,
  [275824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12249), 1,
      anon_sym_constexpr,
    STATE(178), 1,
      sym_condition_clause,
  [275837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12251), 1,
      anon_sym_COMMA,
    ACTIONS(12254), 1,
      anon_sym_RPAREN,
    STATE(7155), 1,
      aux_sym_throw_specifier_repeat1,
  [275850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12256), 1,
      anon_sym_RPAREN,
    STATE(7150), 1,
      sym_gnu_asm_clobber_list,
  [275863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12258), 1,
      anon_sym_RPAREN,
    STATE(7864), 1,
      sym_gnu_asm_goto_list,
  [275876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10129), 1,
      anon_sym_RPAREN,
    ACTIONS(12260), 1,
      anon_sym_COMMA,
    STATE(7158), 1,
      aux_sym_preproc_argument_list_repeat1,
  [275889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12263), 1,
      anon_sym_GT2,
    STATE(7173), 1,
      aux_sym_template_argument_list_repeat1,
  [275902] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6838), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12265), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [275913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_COMMA,
    ACTIONS(12270), 1,
      anon_sym_RBRACK,
    STATE(7161), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [275926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(302), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [275937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12274), 1,
      anon_sym_RPAREN,
    STATE(7156), 1,
      sym_gnu_asm_input_operand_list,
  [275950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12276), 1,
      anon_sym_constexpr,
    STATE(176), 1,
      sym_condition_clause,
  [275963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12278), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12280), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [275989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12282), 1,
      anon_sym_RPAREN,
    STATE(7157), 1,
      sym_gnu_asm_clobber_list,
  [276002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      anon_sym_SEMI,
    STATE(7126), 1,
      aux_sym_declaration_repeat1,
  [276015] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12142), 1,
      anon_sym_LPAREN2,
    ACTIONS(12286), 1,
      aux_sym_preproc_include_token2,
    STATE(8271), 1,
      sym_preproc_argument_list,
  [276028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12288), 1,
      anon_sym_RPAREN,
    STATE(7181), 1,
      sym_gnu_asm_input_operand_list,
  [276041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12290), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12292), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12294), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(7066), 1,
      aux_sym_parameter_list_repeat1,
  [276093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12298), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12300), 1,
      anon_sym_COMMA,
    ACTIONS(12303), 1,
      anon_sym_RPAREN,
    STATE(7176), 1,
      aux_sym_preproc_params_repeat1,
  [276119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12305), 1,
      anon_sym_RPAREN,
    STATE(8209), 1,
      sym_gnu_asm_goto_list,
  [276132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12307), 1,
      anon_sym_GT2,
    STATE(7133), 1,
      aux_sym_template_argument_list_repeat1,
  [276145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12309), 1,
      anon_sym_COMMA,
    ACTIONS(12312), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12314), 1,
      anon_sym_RPAREN,
    STATE(7444), 1,
      aux_sym_parameter_list_repeat1,
  [276171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12316), 1,
      anon_sym_RPAREN,
    STATE(7186), 1,
      sym_gnu_asm_clobber_list,
  [276184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12318), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [276195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12320), 1,
      anon_sym_RPAREN,
    STATE(7074), 1,
      sym_gnu_asm_input_operand_list,
  [276208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    STATE(7191), 1,
      aux_sym_argument_list_repeat1,
  [276221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 1,
      anon_sym___attribute,
    ACTIONS(6464), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
    STATE(8208), 1,
      sym_gnu_asm_goto_list,
  [276245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute,
    ACTIONS(6596), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12324), 1,
      anon_sym_RPAREN,
    STATE(7076), 1,
      sym_gnu_asm_clobber_list,
  [276269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym___attribute,
    ACTIONS(6592), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12326), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [276293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [276306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6533), 1,
      anon_sym___attribute,
    ACTIONS(6535), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
    STATE(3452), 1,
      sym_template_function,
  [276330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6529), 1,
      anon_sym___attribute,
    ACTIONS(6531), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12332), 1,
      anon_sym_RPAREN,
    STATE(7259), 1,
      sym_gnu_asm_output_operand_list,
  [276354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_COMMA,
    ACTIONS(12337), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [276367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym___attribute,
    ACTIONS(6496), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      anon_sym___attribute,
    ACTIONS(6472), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12339), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7107), 1,
      aux_sym_attribute_declaration_repeat1,
  [276402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12341), 1,
      anon_sym_GT2,
    STATE(7203), 1,
      aux_sym_template_argument_list_repeat1,
  [276415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12343), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12345), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12347), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 1,
      anon_sym___attribute,
    ACTIONS(6440), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12349), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [276478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_catch,
    STATE(1633), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12353), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [276502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12355), 1,
      anon_sym_RPAREN,
    STATE(7395), 1,
      sym_gnu_asm_clobber_list,
  [276515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12357), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [276528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 1,
      anon_sym_RBRACE,
    ACTIONS(12359), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [276541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12362), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12366), 1,
      anon_sym_RPAREN,
    STATE(8374), 1,
      sym_gnu_asm_goto_list,
  [276580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12368), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [276593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12370), 1,
      anon_sym_RPAREN,
    STATE(7117), 1,
      sym_gnu_asm_output_operand_list,
  [276606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 1,
      anon_sym_SEMI,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1820), 1,
      sym_template_argument_list,
  [276619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(12372), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_preproc_argument_list_repeat1,
  [276632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12374), 1,
      anon_sym_RPAREN,
    STATE(7062), 1,
      sym_gnu_asm_input_operand_list,
  [276645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12376), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
    STATE(2464), 1,
      sym_template_function,
  [276658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
    STATE(7372), 1,
      sym_gnu_asm_input_operand_list,
  [276671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [276680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_catch,
    STATE(1636), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12382), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(5972), 1,
      sym_template_function,
  [276704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12384), 1,
      anon_sym_SEMI,
    STATE(7165), 1,
      aux_sym_declaration_repeat1,
  [276717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12386), 1,
      anon_sym_GT2,
    STATE(7228), 1,
      aux_sym_template_argument_list_repeat1,
  [276730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12388), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12390), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12392), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12394), 1,
      anon_sym_SEMI,
    STATE(7069), 1,
      aux_sym_declaration_repeat1,
  [276782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12396), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [276795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 1,
      anon_sym_COMMA,
    ACTIONS(12398), 1,
      anon_sym_RBRACK,
    STATE(7161), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [276808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_catch,
    STATE(1821), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      anon_sym___attribute,
    ACTIONS(6454), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [276830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12402), 1,
      anon_sym_RPAREN,
    STATE(7213), 1,
      sym_gnu_asm_clobber_list,
  [276843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(8380), 1,
      sym_gnu_asm_goto_list,
  [276856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12406), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [276867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_catch,
    STATE(1640), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [276878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7381), 1,
      aux_sym_attribute_declaration_repeat1,
  [276891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
    ACTIONS(12412), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [276902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_RBRACE,
    ACTIONS(12416), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [276915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12418), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7214), 1,
      aux_sym_attribute_declaration_repeat1,
  [276928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12420), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12422), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [276954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12424), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [276967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_COMMA,
    ACTIONS(12429), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [276980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_COMMA,
    ACTIONS(12431), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [276993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_GT2,
    STATE(7250), 1,
      aux_sym_template_argument_list_repeat1,
  [277006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12435), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12439), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11993), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [277058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12441), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [277071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12443), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3766), 1,
      sym_template_function,
  [277084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12445), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(692), 1,
      sym_declaration_list,
  [277110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12429), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12449), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7434), 1,
      aux_sym_attribute_declaration_repeat1,
  [277134] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6958), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12451), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [277145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12453), 1,
      anon_sym_RPAREN,
    STATE(7234), 1,
      sym_gnu_asm_input_operand_list,
  [277158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
    STATE(7235), 1,
      sym_gnu_asm_clobber_list,
  [277171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12457), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7317), 1,
      aux_sym_attribute_declaration_repeat1,
  [277184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12459), 1,
      anon_sym_RPAREN,
    STATE(7163), 1,
      sym_gnu_asm_output_operand_list,
  [277197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_COMMA,
    ACTIONS(12463), 1,
      anon_sym_RPAREN,
    STATE(7373), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [277210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [277223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12465), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2464), 1,
      sym_template_function,
  [277236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12467), 1,
      anon_sym_RPAREN,
    STATE(7167), 1,
      sym_gnu_asm_input_operand_list,
  [277249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(7314), 1,
      aux_sym_base_class_clause_repeat1,
  [277262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12469), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [277275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      anon_sym_GT2,
    STATE(7272), 1,
      aux_sym_template_argument_list_repeat1,
  [277288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12473), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12475), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12477), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      anon_sym_EQ,
    ACTIONS(11164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [277338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_RBRACE,
    ACTIONS(12481), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [277351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
    STATE(7403), 1,
      aux_sym_declaration_repeat1,
  [277364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12485), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12487), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12491), 1,
      anon_sym_COMMA,
    ACTIONS(12493), 1,
      anon_sym_RPAREN,
    STATE(7392), 1,
      aux_sym_preproc_params_repeat1,
  [277401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_COMMA,
    ACTIONS(12495), 1,
      anon_sym_GT2,
    STATE(7393), 1,
      aux_sym_template_parameter_list_repeat1,
  [277414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12497), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [277427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      anon_sym_catch,
    STATE(1792), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12499), 1,
      anon_sym_SEMI,
    STATE(7440), 1,
      aux_sym_declaration_repeat1,
  [277451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12501), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [277460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [277473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [277482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12507), 1,
      sym_identifier,
    STATE(2523), 1,
      sym_template_type,
    STATE(3766), 1,
      sym_template_function,
  [277495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12509), 1,
      anon_sym_RPAREN,
    STATE(7992), 1,
      sym_gnu_asm_goto_list,
  [277508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [277521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12513), 1,
      anon_sym_GT2,
    STATE(7292), 1,
      aux_sym_template_argument_list_repeat1,
  [277534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12515), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12517), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12519), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_RBRACE,
    ACTIONS(12521), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [277586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12523), 1,
      anon_sym_RPAREN,
    STATE(7287), 1,
      sym_gnu_asm_clobber_list,
  [277599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12525), 1,
      anon_sym_RPAREN,
    STATE(7990), 1,
      sym_gnu_asm_goto_list,
  [277612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(12527), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_preproc_argument_list_repeat1,
  [277625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym_catch,
    STATE(401), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12529), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [277649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(598), 1,
      sym_declaration_list,
  [277662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_catch,
    STATE(312), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(12531), 1,
      anon_sym_RBRACK,
    STATE(7085), 1,
      aux_sym_subscript_argument_list_repeat1,
  [277686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_catch,
    STATE(227), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12535), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [277710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12537), 1,
      anon_sym_RPAREN,
    STATE(7294), 1,
      sym_gnu_asm_input_operand_list,
  [277723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12539), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [277736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [277749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12543), 1,
      anon_sym_RPAREN,
    STATE(7295), 1,
      sym_gnu_asm_clobber_list,
  [277762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_default,
    ACTIONS(12547), 1,
      anon_sym_delete,
    ACTIONS(12549), 1,
      aux_sym_pure_virtual_clause_token1,
  [277775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12551), 1,
      anon_sym_GT2,
    STATE(7312), 1,
      aux_sym_template_argument_list_repeat1,
  [277788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12553), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12555), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12557), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11842), 1,
      anon_sym_LBRACE,
    STATE(7413), 1,
      aux_sym_base_class_clause_repeat1,
  [277840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(11842), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [277853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12559), 1,
      anon_sym_SEMI,
    STATE(7148), 1,
      aux_sym_declaration_repeat1,
  [277866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_RBRACK,
    STATE(7124), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [277879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [277892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12567), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    STATE(7268), 1,
      aux_sym_argument_list_repeat1,
  [277931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12569), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [277944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_catch,
    STATE(1828), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [277955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12571), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [277964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12573), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [277977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12575), 1,
      anon_sym_RPAREN,
    STATE(7260), 1,
      sym_gnu_asm_input_operand_list,
  [277990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12577), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(3452), 1,
      sym_template_function,
  [278003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [278025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12583), 1,
      anon_sym_GT2,
    STATE(7332), 1,
      aux_sym_template_argument_list_repeat1,
  [278038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12589), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_RBRACE,
    ACTIONS(12591), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [278090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12593), 1,
      anon_sym_RPAREN,
    STATE(7188), 1,
      sym_gnu_asm_input_operand_list,
  [278103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [278112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12595), 1,
      anon_sym_constexpr,
    STATE(205), 1,
      sym_condition_clause,
  [278125] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6877), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12597), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [278149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12603), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12605), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12607), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [278201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
    STATE(7304), 1,
      sym_gnu_asm_output_operand_list,
  [278214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2464), 1,
      sym_template_function,
  [278227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_COLON,
    ACTIONS(12613), 1,
      anon_sym_RPAREN,
    STATE(7307), 1,
      sym_gnu_asm_input_operand_list,
  [278240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [278253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7152), 1,
      aux_sym_attribute_declaration_repeat1,
  [278266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12619), 1,
      anon_sym_RPAREN,
    STATE(7183), 1,
      sym_gnu_asm_output_operand_list,
  [278279] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6963), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12621), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12623), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_catch,
    STATE(223), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12625), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(304), 1,
      sym_declaration_list,
  [278340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12627), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12629), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [278366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12631), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12633), 1,
      anon_sym_SEMI,
    STATE(7230), 1,
      aux_sym_declaration_repeat1,
  [278392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_COMMA,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
    STATE(7358), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [278405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12640), 1,
      anon_sym_constexpr,
    STATE(210), 1,
      sym_condition_clause,
  [278418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12642), 1,
      anon_sym_GT2,
    STATE(7242), 1,
      aux_sym_template_argument_list_repeat1,
  [278431] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6974), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12644), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12646), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      sym_gnu_asm_output_operand_list,
  [278455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12648), 1,
      anon_sym_GT2,
    STATE(7179), 1,
      aux_sym_template_argument_list_repeat1,
  [278468] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6919), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12650), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8751), 1,
      anon_sym_COMMA,
    ACTIONS(8753), 1,
      anon_sym_RBRACE,
    STATE(7274), 1,
      aux_sym_initializer_list_repeat1,
  [278492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_COMMA,
    ACTIONS(12652), 1,
      anon_sym_RBRACK,
    STATE(7083), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [278505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      sym_identifier,
    ACTIONS(12656), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [278529] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(7001), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12660), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278540] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(7049), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12662), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    ACTIONS(12664), 1,
      anon_sym_COMMA,
    STATE(7371), 1,
      aux_sym_argument_list_repeat1,
  [278564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_COLON,
    ACTIONS(12667), 1,
      anon_sym_RPAREN,
    STATE(7081), 1,
      sym_gnu_asm_clobber_list,
  [278577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_COMMA,
    ACTIONS(12669), 1,
      anon_sym_RPAREN,
    STATE(7358), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [278590] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6944), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12671), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    STATE(7293), 1,
      aux_sym_initializer_list_repeat1,
  [278614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8655), 1,
      anon_sym_COMMA,
    ACTIONS(8657), 1,
      anon_sym_RBRACE,
    STATE(7240), 1,
      aux_sym_initializer_list_repeat1,
  [278627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [278636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8763), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym_argument_list_repeat1,
  [278649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12675), 1,
      anon_sym_RPAREN,
    STATE(7218), 1,
      sym_gnu_asm_output_operand_list,
  [278662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_EQ,
    ACTIONS(7373), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [278673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12677), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [278686] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6918), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12679), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [278697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8653), 1,
      anon_sym_RBRACK,
    STATE(7417), 1,
      aux_sym_subscript_argument_list_repeat1,
  [278710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_COMMA,
    ACTIONS(12681), 1,
      anon_sym_GT2,
    STATE(7147), 1,
      aux_sym_template_parameter_list_repeat1,
  [278723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [278732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(500), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8633), 1,
      anon_sym_RBRACK,
    STATE(7301), 1,
      aux_sym_subscript_argument_list_repeat1,
  [278756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_catch,
    STATE(226), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [278780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(7220), 1,
      sym_gnu_asm_output_operand_list,
  [278793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12687), 1,
      anon_sym_RPAREN,
    STATE(7303), 1,
      aux_sym_parameter_list_repeat1,
  [278806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12491), 1,
      anon_sym_COMMA,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    STATE(7176), 1,
      aux_sym_preproc_params_repeat1,
  [278819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_GT2,
    STATE(7127), 1,
      aux_sym_template_parameter_list_repeat1,
  [278832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12693), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COLON,
    ACTIONS(12695), 1,
      anon_sym_RPAREN,
    STATE(8173), 1,
      sym_gnu_asm_goto_list,
  [278858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12697), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12699), 1,
      anon_sym_SEMI,
    STATE(7305), 1,
      aux_sym_declaration_repeat1,
  [278884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(12701), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_preproc_argument_list_repeat1,
  [278897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12703), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [278908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_default,
    ACTIONS(12707), 1,
      anon_sym_delete,
    ACTIONS(12709), 1,
      aux_sym_pure_virtual_clause_token1,
  [278921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    ACTIONS(12711), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_initializer_list_repeat1,
  [278934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_catch,
    STATE(1827), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [278945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12713), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12715), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [278971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12717), 1,
      anon_sym_GT2,
    STATE(7318), 1,
      aux_sym_template_argument_list_repeat1,
  [278984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12719), 1,
      anon_sym_SEMI,
    STATE(7324), 1,
      aux_sym_declaration_repeat1,
  [278997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
    STATE(7325), 1,
      sym_gnu_asm_output_operand_list,
  [279010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_while,
    ACTIONS(12723), 1,
      anon_sym_else,
    STATE(517), 1,
      sym_else_clause,
  [279023] = 4,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12142), 1,
      anon_sym_LPAREN2,
    ACTIONS(12725), 1,
      aux_sym_preproc_include_token2,
    STATE(8271), 1,
      sym_preproc_argument_list,
  [279036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12727), 1,
      anon_sym_default,
    ACTIONS(12729), 1,
      anon_sym_delete,
    ACTIONS(12731), 1,
      aux_sym_pure_virtual_clause_token1,
  [279049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12733), 1,
      anon_sym_GT2,
    STATE(7175), 1,
      aux_sym_template_argument_list_repeat1,
  [279062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8691), 1,
      anon_sym_COMMA,
    ACTIONS(8693), 1,
      anon_sym_RBRACE,
    STATE(7333), 1,
      aux_sym_initializer_list_repeat1,
  [279075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(12735), 1,
      anon_sym_LBRACE,
    STATE(7245), 1,
      aux_sym_base_class_clause_repeat1,
  [279088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
    STATE(7334), 1,
      sym_gnu_asm_output_operand_list,
  [279101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12741), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12743), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_declaration_repeat1,
  [279125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(12745), 1,
      anon_sym_RBRACK,
    STATE(7085), 1,
      aux_sym_subscript_argument_list_repeat1,
  [279138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_catch,
    STATE(475), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12751), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12753), 1,
      anon_sym_COMMA,
    ACTIONS(12755), 1,
      anon_sym_LBRACE,
    STATE(7067), 1,
      aux_sym_field_initializer_list_repeat1,
  [279182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_COMMA,
    ACTIONS(12735), 1,
      anon_sym_LBRACE,
    STATE(7284), 1,
      aux_sym_base_class_clause_repeat1,
  [279195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12757), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12759), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [279206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12761), 1,
      anon_sym_GT2,
    STATE(7080), 1,
      aux_sym_template_argument_list_repeat1,
  [279219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12031), 1,
      anon_sym_COMMA,
    ACTIONS(12763), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_requires_parameter_list_repeat1,
  [279232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [279241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12767), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2797), 1,
      sym_template_function,
  [279254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_while,
    ACTIONS(12723), 1,
      anon_sym_else,
    STATE(466), 1,
      sym_else_clause,
  [279267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12753), 1,
      anon_sym_COMMA,
    ACTIONS(12769), 1,
      anon_sym_LBRACE,
    STATE(7421), 1,
      aux_sym_field_initializer_list_repeat1,
  [279280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    STATE(347), 1,
      sym_declaration_list,
  [279293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12771), 1,
      anon_sym_GT2,
    STATE(7339), 1,
      aux_sym_template_argument_list_repeat1,
  [279306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    STATE(7355), 1,
      aux_sym_argument_list_repeat1,
  [279319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8730), 1,
      anon_sym_COMMA,
    ACTIONS(8732), 1,
      anon_sym_RBRACE,
    STATE(7401), 1,
      aux_sym_initializer_list_repeat1,
  [279332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12773), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [279345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12775), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      sym_gnu_asm_output_operand_list,
  [279358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12777), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      aux_sym_generic_expression_repeat1,
  [279371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_default,
    ACTIONS(12784), 1,
      anon_sym_delete,
    ACTIONS(12786), 1,
      aux_sym_pure_virtual_clause_token1,
  [279384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12788), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [279397] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    STATE(6979), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [279408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [279421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_catch,
    STATE(834), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [279432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    ACTIONS(12796), 1,
      anon_sym_constexpr,
    STATE(204), 1,
      sym_condition_clause,
  [279445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8645), 1,
      anon_sym_COMMA,
    ACTIONS(8647), 1,
      anon_sym_RPAREN,
    STATE(7368), 1,
      aux_sym_argument_list_repeat1,
  [279458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
    STATE(7108), 1,
      aux_sym_parameter_list_repeat1,
  [279471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
    STATE(2464), 1,
      sym_template_function,
  [279484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12802), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [279493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 1,
      anon_sym_COMMA,
    ACTIONS(12807), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [279506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12809), 1,
      anon_sym_SEMI,
    STATE(7447), 1,
      aux_sym_declaration_repeat1,
  [279519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_COMMA,
    ACTIONS(12811), 1,
      anon_sym_GT2,
    STATE(7363), 1,
      aux_sym_template_argument_list_repeat1,
  [279532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_SEMI,
    STATE(7394), 1,
      aux_sym_declaration_repeat1,
  [279545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    ACTIONS(12815), 1,
      anon_sym_RPAREN,
    STATE(7051), 1,
      sym_gnu_asm_output_operand_list,
  [279558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
    ACTIONS(12817), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7196), 1,
      aux_sym_attribute_declaration_repeat1,
  [279571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_field_declaration_list,
  [279581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [279591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8603), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [279599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10381), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [279607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7552), 1,
      sym_parameter_list,
  [279617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7063), 1,
      sym_compound_statement,
  [279627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7661), 1,
      sym_parenthesized_expression,
  [279637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(367), 1,
      sym_compound_statement,
  [279647] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12821), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12823), 1,
      sym_preproc_arg,
  [279657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2228), 1,
      sym_field_declaration_list,
  [279667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7347), 1,
      sym_attribute,
  [279677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8499), 1,
      sym_argument_list,
  [279687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_LPAREN2,
    ACTIONS(12829), 1,
      sym_raw_string_delimiter,
  [279697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_LPAREN2,
    ACTIONS(12833), 1,
      sym_raw_string_delimiter,
  [279707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
    ACTIONS(12837), 1,
      sym_raw_string_delimiter,
  [279717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12839), 1,
      anon_sym_LPAREN2,
    ACTIONS(12841), 1,
      sym_raw_string_delimiter,
  [279727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_LPAREN2,
    ACTIONS(12845), 1,
      sym_raw_string_delimiter,
  [279737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12847), 1,
      anon_sym_LPAREN2,
    ACTIONS(12849), 1,
      sym_raw_string_delimiter,
  [279747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_LPAREN2,
    ACTIONS(12853), 1,
      sym_raw_string_delimiter,
  [279757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_LPAREN2,
    ACTIONS(12857), 1,
      sym_raw_string_delimiter,
  [279767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_LPAREN2,
    ACTIONS(12861), 1,
      sym_raw_string_delimiter,
  [279777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      anon_sym_LPAREN2,
    ACTIONS(12865), 1,
      sym_raw_string_delimiter,
  [279787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 1,
      anon_sym_LPAREN2,
    ACTIONS(12869), 1,
      sym_raw_string_delimiter,
  [279797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_LPAREN2,
    ACTIONS(12873), 1,
      sym_raw_string_delimiter,
  [279807] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12875), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12877), 1,
      sym_preproc_arg,
  [279817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(7540), 1,
      sym_condition_clause,
  [279827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_LPAREN2,
    ACTIONS(12881), 1,
      sym_raw_string_delimiter,
  [279837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(197), 1,
      sym_condition_clause,
  [279847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_LPAREN2,
    ACTIONS(12885), 1,
      sym_raw_string_delimiter,
  [279857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
  [279867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 1,
      anon_sym_LPAREN2,
    ACTIONS(12889), 1,
      sym_raw_string_delimiter,
  [279877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_declaration_list,
  [279887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7162), 1,
      sym_compound_statement,
  [279897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10735), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [279907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_LPAREN2,
    ACTIONS(12895), 1,
      sym_raw_string_delimiter,
  [279917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
  [279927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2820), 1,
      sym_field_declaration_list,
  [279937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [279945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2808), 1,
      sym_field_declaration_list,
  [279955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(3860), 1,
      sym_initializer_list,
  [279965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_compound_statement,
  [279975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      sym_identifier,
    ACTIONS(12901), 1,
      anon_sym_LPAREN2,
  [279985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [279993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(189), 1,
      sym_condition_clause,
  [280003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12905), 1,
      anon_sym_SEMI,
  [280013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 1,
      anon_sym_LBRACE,
    STATE(2512), 1,
      sym_requirement_seq,
  [280023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_compound_statement,
  [280033] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12907), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12909), 1,
      sym_preproc_arg,
  [280043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2229), 1,
      sym_field_declaration_list,
  [280053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
  [280063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7048), 1,
      sym_compound_statement,
  [280073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_LT,
    STATE(3474), 1,
      sym_template_argument_list,
  [280083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_declaration_list,
  [280093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_compound_statement,
  [280103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_compound_statement,
  [280113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(7993), 1,
      sym_argument_list,
  [280123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
  [280133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [280141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [280149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_declaration_list,
  [280159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_compound_statement,
  [280169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7300), 1,
      sym_compound_statement,
  [280179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(12917), 1,
      anon_sym_RBRACE,
  [280189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8219), 1,
      sym_argument_list,
  [280199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2767), 1,
      sym_field_declaration_list,
  [280209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(214), 1,
      sym_condition_clause,
  [280219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(7623), 1,
      sym_condition_clause,
  [280229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3455), 1,
      sym_field_declaration_list,
  [280239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3453), 1,
      sym_field_declaration_list,
  [280257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3451), 1,
      sym_field_declaration_list,
  [280267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7199), 1,
      sym_attribute,
  [280277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6971), 1,
      sym_compound_statement,
  [280287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(3444), 1,
      sym_field_declaration_list,
  [280297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [280305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(236), 1,
      sym_compound_statement,
  [280315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 1,
      anon_sym_LPAREN2,
    ACTIONS(12923), 1,
      sym_raw_string_delimiter,
  [280325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12561), 1,
      anon_sym_RBRACK,
    ACTIONS(12925), 1,
      anon_sym_COMMA,
  [280335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12927), 1,
      anon_sym_SEMI,
  [280345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(164), 1,
      sym_condition_clause,
  [280355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_field_declaration_list,
  [280365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2325), 1,
      sym_template_argument_list,
  [280375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_LBRACE,
    STATE(2809), 1,
      sym_field_declaration_list,
  [280385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      sym_identifier,
    STATE(3744), 1,
      sym_template_type,
  [280395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_compound_statement,
  [280405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2902), 1,
      sym_field_declaration_list,
  [280415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(182), 1,
      sym_condition_clause,
  [280425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_compound_statement,
  [280435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12931), 1,
      sym_identifier,
    STATE(2624), 1,
      sym_template_type,
  [280445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 1,
      anon_sym_LBRACE,
    STATE(2420), 1,
      sym_initializer_list,
  [280455] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12933), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12935), 1,
      sym_preproc_arg,
  [280465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(208), 1,
      sym_condition_clause,
  [280475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
  [280485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(185), 1,
      sym_condition_clause,
  [280495] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12939), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12941), 1,
      sym_preproc_arg,
  [280505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_LT,
    STATE(4307), 1,
      sym_template_argument_list,
  [280515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(714), 1,
      sym_declaration_list,
  [280525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      sym_requirement_seq,
  [280535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    STATE(4804), 1,
      sym_initializer_list,
  [280545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(418), 1,
      sym_compound_statement,
  [280555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12943), 1,
      sym_identifier,
    STATE(2118), 1,
      sym_template_type,
  [280565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4975), 1,
      sym_field_declaration_list,
  [280575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4973), 1,
      sym_field_declaration_list,
  [280585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_LT,
    STATE(2705), 1,
      sym_template_argument_list,
  [280595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4957), 1,
      sym_field_declaration_list,
  [280605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(4967), 1,
      sym_field_declaration_list,
  [280615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8681), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [280639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    STATE(2177), 1,
      sym_field_declaration_list,
  [280649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_compound_statement,
  [280659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(743), 1,
      sym_compound_statement,
  [280669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(676), 1,
      sym_declaration_list,
  [280679] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12947), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12949), 1,
      sym_preproc_arg,
  [280689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9552), 1,
      anon_sym_LBRACE,
    STATE(4222), 1,
      sym_requirement_seq,
  [280699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_LBRACE,
    STATE(3578), 1,
      sym_initializer_list,
  [280709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_compound_statement,
  [280719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
  [280729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4794), 1,
      sym_field_declaration_list,
  [280739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12951), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280747] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12953), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12955), 1,
      sym_preproc_arg,
  [280757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1867), 1,
      sym_template_argument_list,
  [280767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3983), 1,
      sym_field_declaration_list,
  [280777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12957), 1,
      sym_identifier,
    ACTIONS(12959), 1,
      anon_sym_LPAREN2,
  [280787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_RBRACE,
  [280797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(664), 1,
      sym_declaration_list,
  [280807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10800), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [280825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2878), 1,
      sym_field_declaration_list,
  [280835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12965), 1,
      anon_sym_SEMI,
  [280845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
  [280855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_field_declaration_list,
  [280865] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12969), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12971), 1,
      sym_preproc_arg,
  [280875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_field_declaration_list,
  [280885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3972), 1,
      sym_field_declaration_list,
  [280895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3964), 1,
      sym_field_declaration_list,
  [280905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_LT,
    STATE(3430), 1,
      sym_template_argument_list,
  [280915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_LT,
    STATE(3688), 1,
      sym_template_argument_list,
  [280925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [280935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_compound_statement,
  [280945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [280953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(296), 1,
      sym_compound_statement,
  [280963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6321), 1,
      anon_sym_LT,
    STATE(2575), 1,
      sym_template_argument_list,
  [280973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LBRACE,
    STATE(3962), 1,
      sym_field_declaration_list,
  [280983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_LT,
    STATE(2392), 1,
      sym_template_argument_list,
  [280993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12193), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [281001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_declaration_list,
  [281011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      sym_identifier,
    STATE(4355), 1,
      sym_template_type,
  [281021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(12977), 1,
      anon_sym_RBRACE,
  [281031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    STATE(2181), 1,
      sym_field_declaration_list,
  [281041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(413), 1,
      sym_compound_statement,
  [281059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [281067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12981), 1,
      anon_sym_SEMI,
  [281077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_LT,
    STATE(3619), 1,
      sym_template_argument_list,
  [281087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [281097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_compound_statement,
  [281107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [281115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7633), 1,
      sym_attribute,
  [281125] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12985), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12987), 1,
      sym_preproc_arg,
  [281135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4784), 1,
      sym_field_declaration_list,
  [281169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      sym_identifier,
    STATE(2523), 1,
      sym_template_type,
  [281179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(2273), 1,
      sym_field_declaration_list,
  [281189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(181), 1,
      sym_condition_clause,
  [281199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(12993), 1,
      anon_sym_RBRACE,
  [281209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_declaration_list,
  [281219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_compound_statement,
  [281237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2528), 1,
      sym_field_declaration_list,
  [281247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(883), 1,
      sym_compound_statement,
  [281257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_declaration_list,
  [281267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [281277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6840), 1,
      sym_compound_statement,
  [281287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    STATE(3930), 1,
      sym_requirement_seq,
  [281297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym_compound_statement,
  [281307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_LBRACE,
    STATE(3898), 1,
      sym_initializer_list,
  [281317] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12995), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12997), 1,
      sym_preproc_arg,
  [281327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12337), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [281335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12005), 1,
      anon_sym_LBRACE,
    STATE(5853), 1,
      sym_requirement_seq,
  [281345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_LT,
    STATE(2633), 1,
      sym_template_argument_list,
  [281355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4796), 1,
      sym_field_declaration_list,
  [281365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [281375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2910), 1,
      sym_field_declaration_list,
  [281385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [281403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
  [281413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2909), 1,
      sym_field_declaration_list,
  [281423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym_field_declaration_list,
  [281433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13003), 1,
      anon_sym_RBRACE,
  [281443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8243), 1,
      sym_argument_list,
  [281453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [281463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_template_argument_list,
  [281473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 1,
      sym_identifier,
    STATE(2553), 1,
      sym_template_type,
  [281483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_field_declaration_list,
  [281493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      anon_sym_LT,
    STATE(2392), 1,
      sym_template_argument_list,
  [281503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_declaration_list,
  [281529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_declaration_list,
  [281547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
  [281557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(8306), 1,
      sym_parenthesized_expression,
  [281567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8115), 1,
      sym_argument_list,
  [281577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8831), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      sym_identifier,
    STATE(2697), 1,
      sym_template_type,
  [281595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_compound_statement,
  [281605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7666), 1,
      sym_parameter_list,
  [281615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13017), 1,
      anon_sym_RBRACE,
  [281625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8042), 1,
      sym_argument_list,
  [281635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7232), 1,
      sym_compound_statement,
  [281645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      sym_compound_statement,
  [281655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_field_declaration_list,
  [281665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7241), 1,
      sym_attribute,
  [281683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13019), 1,
      anon_sym_RBRACE,
  [281693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7322), 1,
      sym_compound_statement,
  [281703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym_declaration_list,
  [281713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12303), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [281729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [281737] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13023), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13025), 1,
      sym_preproc_arg,
  [281747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7731), 1,
      sym_parameter_list,
  [281757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(8539), 1,
      sym_parenthesized_expression,
  [281767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_compound_statement,
  [281777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_compound_statement,
  [281787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2894), 1,
      sym_field_declaration_list,
  [281797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7513), 1,
      sym_parenthesized_expression,
  [281807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2880), 1,
      sym_field_declaration_list,
  [281817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(7824), 1,
      sym_argument_list,
  [281827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
  [281837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13027), 1,
      anon_sym_RBRACE,
  [281847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [281857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_compound_statement,
  [281867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7237), 1,
      sym_compound_statement,
  [281877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym_field_declaration_list,
  [281887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7149), 1,
      sym_attribute,
  [281897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7499), 1,
      sym_parameter_list,
  [281907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_LT,
    STATE(2424), 1,
      sym_template_argument_list,
  [281917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11792), 1,
      anon_sym_LBRACE,
    STATE(5600), 1,
      sym_requirement_seq,
  [281927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym_LBRACE,
    STATE(2843), 1,
      sym_field_declaration_list,
  [281937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      anon_sym_LBRACE,
    STATE(1853), 1,
      sym_compound_statement,
  [281947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [281955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_compound_statement,
  [281965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7758), 1,
      sym_parenthesized_expression,
  [281975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7222), 1,
      sym_compound_statement,
  [281985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7751), 1,
      sym_parameter_list,
  [281995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12082), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [282003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      anon_sym_LBRACE,
    STATE(3493), 1,
      sym_requirement_seq,
  [282013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [282021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(7939), 1,
      sym_argument_list,
  [282031] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13029), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13031), 1,
      sym_preproc_arg,
  [282041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(1577), 1,
      sym_template_argument_list,
  [282051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_LBRACE,
    STATE(3663), 1,
      sym_initializer_list,
  [282061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7441), 1,
      sym_compound_statement,
  [282071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7238), 1,
      sym_attribute,
  [282081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      sym_identifier,
    STATE(2108), 1,
      sym_template_type,
  [282091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12254), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7698), 1,
      sym_parenthesized_expression,
  [282109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7129), 1,
      sym_compound_statement,
  [282119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      sym_identifier,
    ACTIONS(13037), 1,
      anon_sym_RPAREN,
  [282129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_compound_statement,
  [282139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7696), 1,
      sym_parameter_list,
  [282149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_field_declaration_list,
  [282159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(8038), 1,
      sym_parenthesized_expression,
  [282169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    STATE(3738), 1,
      sym_requirement_seq,
  [282179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7257), 1,
      sym_attribute,
  [282189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1756), 1,
      sym_compound_statement,
  [282199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12741), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [282207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(7493), 1,
      sym_condition_clause,
  [282217] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13039), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13041), 1,
      sym_preproc_arg,
  [282227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(183), 1,
      sym_condition_clause,
  [282237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_LT,
    STATE(2392), 1,
      sym_template_argument_list,
  [282247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6885), 1,
      sym_compound_statement,
  [282257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8137), 1,
      sym_argument_list,
  [282267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7351), 1,
      sym_compound_statement,
  [282277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1667), 1,
      sym_compound_statement,
  [282287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_LT,
    STATE(2094), 1,
      sym_template_argument_list,
  [282297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7418), 1,
      sym_compound_statement,
  [282307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7281), 1,
      sym_compound_statement,
  [282317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(7625), 1,
      sym_condition_clause,
  [282327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4443), 1,
      sym_field_declaration_list,
  [282337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
  [282347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7261), 1,
      sym_attribute,
  [282357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [282367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3048), 1,
      sym_field_declaration_list,
  [282377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3049), 1,
      sym_field_declaration_list,
  [282387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10682), 1,
      anon_sym_LBRACE,
    STATE(1707), 1,
      sym_compound_statement,
  [282397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13045), 1,
      anon_sym_RBRACE,
  [282407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8566), 1,
      sym_argument_list,
  [282417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(6843), 1,
      sym_compound_statement,
  [282427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_compound_statement,
  [282437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(171), 1,
      sym_condition_clause,
  [282447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7609), 1,
      sym_parenthesized_expression,
  [282457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7136), 1,
      sym_compound_statement,
  [282467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_LBRACE,
    STATE(3067), 1,
      sym_field_declaration_list,
  [282477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym_compound_statement,
  [282487] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13047), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13049), 1,
      sym_preproc_arg,
  [282497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
    ACTIONS(13051), 1,
      anon_sym_RBRACE,
  [282507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(867), 1,
      sym_compound_statement,
  [282517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_compound_statement,
  [282527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7604), 1,
      sym_parameter_list,
  [282537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(8230), 1,
      sym_parenthesized_expression,
  [282547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym_compound_statement,
  [282557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(190), 1,
      sym_condition_clause,
  [282567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7024), 1,
      sym_compound_statement,
  [282577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_LPAREN2,
    STATE(8281), 1,
      sym_argument_list,
  [282587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      sym_identifier,
    STATE(2130), 1,
      sym_template_type,
  [282597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10666), 1,
      anon_sym_LBRACE,
    STATE(2062), 1,
      sym_compound_statement,
  [282607] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13055), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13057), 1,
      sym_preproc_arg,
  [282617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7123), 1,
      sym_compound_statement,
  [282627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(170), 1,
      sym_condition_clause,
  [282637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_LPAREN2,
    STATE(7563), 1,
      sym_condition_clause,
  [282647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7216), 1,
      anon_sym_LT,
    STATE(2701), 1,
      sym_template_argument_list,
  [282657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(8493), 1,
      sym_parenthesized_expression,
  [282667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_LPAREN2,
    STATE(7537), 1,
      sym_parenthesized_expression,
  [282677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4413), 1,
      sym_field_declaration_list,
  [282687] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13059), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13061), 1,
      sym_preproc_arg,
  [282697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      sym_identifier,
    STATE(7128), 1,
      sym_attribute,
  [282707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LPAREN2,
    STATE(7528), 1,
      sym_parameter_list,
  [282717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_compound_statement,
  [282727] = 3,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13063), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13065), 1,
      sym_preproc_arg,
  [282737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [282747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_RBRACE,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [282757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11758), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_requirement_seq,
  [282767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12487), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [282775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4407), 1,
      sym_field_declaration_list,
  [282785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13067), 1,
      sym_identifier,
    STATE(1739), 1,
      sym_template_type,
  [282795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8461), 1,
      anon_sym_LBRACE,
    STATE(4386), 1,
      sym_field_declaration_list,
  [282805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      sym_identifier,
    STATE(2789), 1,
      sym_template_type,
  [282815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    STATE(7302), 1,
      sym_compound_statement,
  [282825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      aux_sym_preproc_if_token2,
  [282832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_DQUOTE,
  [282839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
  [282846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
  [282853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      sym_identifier,
  [282860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13081), 1,
      anon_sym_SEMI,
  [282867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_SEMI,
  [282874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
  [282881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_GT_GT,
  [282888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
  [282895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT_LT,
  [282902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_SEMI,
  [282909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT,
  [282916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_RPAREN,
  [282923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_RPAREN,
  [282930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT_EQ,
  [282937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      anon_sym_SEMI,
  [282944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_GT_EQ,
  [282951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_GT,
  [282958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_BANG_EQ,
  [282965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13095), 1,
      sym_identifier,
  [282972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_EQ_EQ,
  [282979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_AMP,
  [282986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      anon_sym_SEMI,
  [282993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_CARET,
  [283000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PIPE,
  [283007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_AMP_AMP,
  [283014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PIPE_PIPE,
  [283021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_RPAREN,
  [283028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      sym_raw_string_delimiter,
  [283035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_SEMI,
  [283042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10737), 1,
      anon_sym_RBRACE,
  [283049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PERCENT,
  [283056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
  [283063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_SEMI,
  [283070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_SLASH,
  [283077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_STAR,
  [283084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_SEMI,
  [283091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_RPAREN,
  [283098] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13113), 1,
      aux_sym_preproc_include_token2,
  [283105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      aux_sym_preproc_if_token2,
  [283112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11203), 1,
      anon_sym_SEMI,
  [283119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      aux_sym_preproc_if_token2,
  [283126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
  [283133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8908), 1,
      anon_sym_RPAREN,
  [283140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_RPAREN,
  [283147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
  [283154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      anon_sym_RBRACK,
  [283161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
  [283168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [283175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
  [283182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PLUS,
  [283189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_DASH,
  [283196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      anon_sym_RPAREN,
  [283203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      sym_identifier,
  [283210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      sym_identifier,
  [283217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_COMMA,
  [283224] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13133), 1,
      aux_sym_preproc_include_token2,
  [283231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_DASH_EQ,
  [283238] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13135), 1,
      aux_sym_preproc_include_token2,
  [283245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_SEMI,
  [283252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      sym_identifier,
  [283259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      sym_identifier,
  [283266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_LPAREN2,
  [283273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_SLASH_EQ,
  [283280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
  [283287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      aux_sym_preproc_if_token2,
  [283294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      sym_identifier,
  [283301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_STAR,
  [283308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      anon_sym_SEMI,
  [283315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_DQUOTE,
  [283322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PERCENT_EQ,
  [283329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12138), 1,
      anon_sym_SEMI,
  [283336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_STAR,
  [283343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      aux_sym_preproc_if_token2,
  [283350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_RPAREN,
  [283357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      aux_sym_preproc_if_token2,
  [283364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_RPAREN,
  [283371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_RPAREN,
  [283378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_LPAREN2,
  [283385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_DQUOTE,
  [283392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_SEMI,
  [283399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_RBRACE,
  [283406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_if_token2,
  [283413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_SEMI,
  [283420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_RPAREN,
  [283427] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13179), 1,
      aux_sym_preproc_include_token2,
  [283434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      aux_sym_preproc_if_token2,
  [283441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 1,
      anon_sym_SEMI,
  [283448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      sym_auto,
  [283455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_LPAREN2,
  [283462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_RBRACE,
  [283469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      aux_sym_preproc_if_token2,
  [283476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [283483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      aux_sym_preproc_if_token2,
  [283490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      aux_sym_preproc_if_token2,
  [283497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      aux_sym_preproc_if_token2,
  [283504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      aux_sym_preproc_if_token2,
  [283511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_RPAREN,
  [283518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
  [283525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      sym_identifier,
  [283532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_DQUOTE,
  [283539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      sym_identifier,
  [283546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8883), 1,
      anon_sym_COLON,
  [283553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_SEMI,
  [283560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_SEMI,
  [283567] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13215), 1,
      aux_sym_preproc_include_token2,
  [283574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
  [283581] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13219), 1,
      aux_sym_preproc_include_token2,
  [283588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT_LT_EQ,
  [283595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_RPAREN,
  [283602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13051), 1,
      anon_sym_RBRACE,
  [283609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_GT_GT_EQ,
  [283616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_SEMI,
  [283623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      aux_sym_preproc_if_token2,
  [283630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_AMP_EQ,
  [283637] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10068), 1,
      aux_sym_preproc_include_token2,
  [283644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_CARET_EQ,
  [283651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      anon_sym_RBRACE,
  [283658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      sym_identifier,
  [283665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PIPE_EQ,
  [283672] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13229), 1,
      aux_sym_preproc_include_token2,
  [283679] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13231), 1,
      aux_sym_preproc_include_token2,
  [283686] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10042), 1,
      aux_sym_preproc_include_token2,
  [283693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_LBRACE,
  [283700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8811), 1,
      anon_sym_COLON,
  [283707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_RPAREN,
  [283714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      sym_raw_string_delimiter,
  [283721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      sym_auto,
  [283728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_SEMI,
  [283735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_SEMI,
  [283742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      anon_sym_SEMI,
  [283749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_RBRACE,
  [283756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      aux_sym_preproc_if_token2,
  [283763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11679), 1,
      anon_sym_SEMI,
  [283770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      aux_sym_preproc_if_token2,
  [283777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_RPAREN,
  [283784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
  [283791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
  [283798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8753), 1,
      anon_sym_RBRACE,
  [283805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_SEMI,
  [283812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_or,
  [283819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_RBRACE,
  [283826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_and,
  [283833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9017), 1,
      anon_sym_RPAREN,
  [283840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      sym_identifier,
  [283847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_SEMI,
  [283854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_bitor,
  [283861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_xor,
  [283868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8887), 1,
      anon_sym_COLON,
  [283875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_identifier,
  [283882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_SEMI,
  [283889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_bitand,
  [283896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_RPAREN,
  [283903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      anon_sym_SEMI,
  [283910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      sym_auto,
  [283917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      anon_sym_STAR,
  [283924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      anon_sym_STAR,
  [283931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_SEMI,
  [283938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_not_eq,
  [283945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_DOT_STAR,
  [283952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_DASH_GT_STAR,
  [283959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_SEMI,
  [283966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      sym_identifier,
  [283973] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13283), 1,
      aux_sym_preproc_include_token2,
  [283980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_STAR,
  [283987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
  [283994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_SEMI,
  [284001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      anon_sym_DQUOTE,
  [284008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8765), 1,
      anon_sym_RPAREN,
  [284015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_SEMI,
  [284022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_LPAREN2,
  [284029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7881), 1,
      sym_identifier,
  [284036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_SEMI,
  [284043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_SEMI,
  [284050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9015), 1,
      anon_sym_RPAREN,
  [284057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      anon_sym_SEMI,
  [284064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 1,
      anon_sym_SEMI,
  [284071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      sym_identifier,
  [284078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_SEMI,
  [284085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      aux_sym_preproc_if_token2,
  [284092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      anon_sym_SEMI,
  [284099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      sym_identifier,
  [284106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_RBRACK,
  [284113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
  [284120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
  [284127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      anon_sym_SEMI,
  [284134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_SEMI,
  [284141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      sym_identifier,
  [284148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      sym_identifier,
  [284155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
  [284162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
  [284169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
  [284176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      sym_identifier,
  [284183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_LPAREN2,
  [284190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
  [284197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
  [284204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
  [284211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_SEMI,
  [284218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [284225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym_raw_string_delimiter,
  [284232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_SEMI,
  [284239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      sym_identifier,
  [284246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_DQUOTE,
  [284253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
  [284260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      anon_sym_SEMI,
  [284267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
  [284274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
  [284281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_RBRACE,
  [284288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_STAR,
  [284295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      aux_sym_preproc_if_token2,
  [284302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      aux_sym_preproc_if_token2,
  [284309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      aux_sym_preproc_if_token2,
  [284316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_RBRACE,
  [284323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11275), 1,
      anon_sym_COMMA,
  [284330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      aux_sym_preproc_if_token2,
  [284337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      aux_sym_preproc_if_token2,
  [284344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      aux_sym_preproc_if_token2,
  [284351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      aux_sym_preproc_if_token2,
  [284358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      aux_sym_preproc_if_token2,
  [284365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      anon_sym_SEMI,
  [284372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_SEMI,
  [284379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      sym_identifier,
  [284386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      anon_sym_LPAREN2,
  [284393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_SEMI,
  [284400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
  [284407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
  [284414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_DQUOTE,
  [284421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      anon_sym_SEMI,
  [284428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      sym_identifier,
  [284435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_COLON,
  [284442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_SEMI,
  [284449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_RPAREN,
  [284456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
  [284463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      sym_raw_string_content,
  [284470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
  [284477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_LPAREN2,
  [284484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6785), 1,
      anon_sym_SEMI,
  [284491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_RPAREN,
  [284498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_SEMI,
  [284505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_RPAREN,
  [284512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_RPAREN,
  [284519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_DQUOTE,
  [284526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_SEMI,
  [284533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      sym_identifier,
  [284540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_SEMI,
  [284547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_RPAREN,
  [284554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_DQUOTE,
  [284561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      anon_sym_RPAREN,
  [284568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_RBRACE,
  [284575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_RPAREN,
  [284582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      sym_raw_string_delimiter,
  [284589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_SEMI,
  [284596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      sym_identifier,
  [284603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7504), 1,
      sym_identifier,
  [284610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      aux_sym_preproc_if_token2,
  [284617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_RPAREN,
  [284624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      aux_sym_preproc_if_token2,
  [284631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_SEMI,
  [284638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_RBRACE,
  [284645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      anon_sym_STAR,
  [284652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      aux_sym_preproc_if_token2,
  [284659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
  [284666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 1,
      anon_sym_RBRACE,
  [284673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_PLUS_EQ,
  [284680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
  [284687] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13459), 1,
      aux_sym_preproc_include_token2,
  [284694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      aux_sym_preproc_if_token2,
  [284701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      aux_sym_preproc_if_token2,
  [284708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      aux_sym_preproc_if_token2,
  [284715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
  [284722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8877), 1,
      anon_sym_COLON,
  [284729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      anon_sym_RPAREN,
  [284736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_LPAREN2,
  [284743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      sym_auto,
  [284750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6781), 1,
      anon_sym_SEMI,
  [284757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [284764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      anon_sym_SEMI,
  [284771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      aux_sym_preproc_if_token2,
  [284778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_SEMI,
  [284785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_RPAREN,
  [284792] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13485), 1,
      aux_sym_preproc_include_token2,
  [284799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_RPAREN,
  [284806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_EQ,
  [284813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      sym_auto,
  [284820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_LPAREN2,
  [284827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11638), 1,
      anon_sym_SEMI,
  [284834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_RPAREN,
  [284841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_COMMA,
  [284848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [284855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
  [284862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      sym_identifier,
  [284869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_RPAREN,
  [284876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_RPAREN,
  [284883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_RPAREN,
  [284890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      sym_raw_string_delimiter,
  [284897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8843), 1,
      anon_sym_COLON,
  [284904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      sym_identifier,
  [284911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13019), 1,
      anon_sym_RBRACE,
  [284918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      aux_sym_preproc_if_token2,
  [284925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_SEMI,
  [284932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      sym_identifier,
  [284939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
  [284946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_LPAREN2,
  [284953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_DQUOTE,
  [284960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_SEMI,
  [284967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_RPAREN,
  [284974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
  [284981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8898), 1,
      anon_sym_SEMI,
  [284988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
  [284995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_raw_string_delimiter,
  [285002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8657), 1,
      anon_sym_RBRACE,
  [285009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_DQUOTE,
  [285016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_RPAREN,
  [285023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
  [285030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
  [285037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_LPAREN2,
  [285044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      anon_sym_RBRACE,
  [285051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_RPAREN,
  [285058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
  [285065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      sym_identifier,
  [285072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      sym_raw_string_delimiter,
  [285079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_RPAREN,
  [285086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_RPAREN,
  [285093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11189), 1,
      anon_sym_SEMI,
  [285100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_SEMI,
  [285107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_LPAREN2,
  [285114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_RPAREN,
  [285121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      sym_raw_string_delimiter,
  [285128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_RPAREN,
  [285135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_RBRACE,
  [285142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_RPAREN,
  [285149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      sym_raw_string_delimiter,
  [285156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9091), 1,
      anon_sym_RPAREN,
  [285163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_SEMI,
  [285170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_RPAREN,
  [285177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      sym_raw_string_delimiter,
  [285184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_RPAREN,
  [285191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      sym_raw_string_delimiter,
  [285198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
  [285205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_raw_string_delimiter,
  [285212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      anon_sym_RPAREN,
  [285219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      sym_raw_string_delimiter,
  [285226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
  [285233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      sym_raw_string_delimiter,
  [285240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_RPAREN,
  [285247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      sym_raw_string_delimiter,
  [285254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_RBRACE,
  [285261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym_RBRACE,
  [285268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8952), 1,
      anon_sym_RPAREN,
  [285275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_LPAREN2,
  [285282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_RPAREN,
  [285289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      anon_sym_LPAREN2,
  [285296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_LPAREN2,
  [285303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_LPAREN2,
  [285310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_SEMI,
  [285317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_SEMI,
  [285324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_LPAREN2,
  [285331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_SEMI,
  [285338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_LPAREN2,
  [285345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11253), 1,
      anon_sym_EQ,
  [285352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_STAR,
  [285359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_COLON,
  [285366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_RPAREN,
  [285373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_RPAREN,
  [285380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_SEMI,
  [285387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11132), 1,
      anon_sym_SEMI,
  [285394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_STAR,
  [285401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11548), 1,
      anon_sym_COLON,
  [285408] = 2,
    ACTIONS(5676), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9954), 1,
      sym_comment,
  [285415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_SEMI,
  [285422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      sym_identifier,
  [285429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_SEMI,
  [285436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 1,
      sym_identifier,
  [285443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_while,
  [285450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_SEMI,
  [285457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_LPAREN2,
  [285464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      anon_sym_SEMI,
  [285471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_SEMI,
  [285478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      anon_sym_RBRACE,
  [285485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_SEMI,
  [285492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_EQ,
  [285499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      sym_raw_string_content,
  [285506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8889), 1,
      anon_sym_SEMI,
  [285513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      sym_identifier,
  [285520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_RPAREN,
  [285527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_STAR,
  [285534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_RPAREN,
  [285541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_SEMI,
  [285548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
  [285555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
  [285562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      sym_auto,
  [285569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8793), 1,
      anon_sym_COLON,
  [285576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      aux_sym_preproc_if_token2,
  [285583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_SEMI,
  [285590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_RBRACE,
  [285597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      sym_identifier,
  [285604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_RPAREN,
  [285611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_COMMA,
  [285618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      sym_identifier,
  [285625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_RPAREN,
  [285632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      anon_sym_RPAREN,
  [285639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_RPAREN,
  [285646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8885), 1,
      anon_sym_COLON,
  [285653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_RPAREN,
  [285660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      anon_sym_SEMI,
  [285667] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13679), 1,
      aux_sym_preproc_include_token2,
  [285674] = 2,
    ACTIONS(5668), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9954), 1,
      sym_comment,
  [285681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      aux_sym_preproc_if_token2,
  [285688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      sym_identifier,
  [285695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_SEMI,
  [285702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_RPAREN,
  [285709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8875), 1,
      anon_sym_SEMI,
  [285716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      anon_sym_SEMI,
  [285723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      anon_sym_SEMI,
  [285730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      anon_sym_RPAREN,
  [285737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      anon_sym_SEMI,
  [285744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      sym_identifier,
  [285751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13699), 1,
      anon_sym_SEMI,
  [285758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      anon_sym_COLON,
  [285765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_COLON,
  [285772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8829), 1,
      anon_sym_COLON,
  [285779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_RPAREN,
  [285786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      anon_sym_RPAREN,
  [285793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      anon_sym_DQUOTE,
  [285800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_RPAREN,
  [285807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_SEMI,
  [285814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_SEMI,
  [285821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      anon_sym_RPAREN,
  [285828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_DQUOTE,
  [285835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_SEMI,
  [285842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      sym_identifier,
  [285849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_SEMI,
  [285856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_RPAREN,
  [285863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_DQUOTE,
  [285870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      aux_sym_preproc_if_token2,
  [285877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
  [285884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_STAR_EQ,
  [285891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_SEMI,
  [285898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      anon_sym_SEMI,
  [285905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_SEMI,
  [285912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RBRACE,
  [285919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      sym_auto,
  [285926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_RPAREN,
  [285933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      anon_sym_SEMI,
  [285940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      anon_sym_LBRACE,
  [285947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      anon_sym_SEMI,
  [285954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_RBRACE,
  [285961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      sym_raw_string_delimiter,
  [285968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      anon_sym_RPAREN,
  [285975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_RPAREN,
  [285982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      anon_sym_DOT_DOT_DOT,
  [285989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_DOT_DOT_DOT,
  [285996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_RPAREN,
  [286003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_RPAREN,
  [286010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      aux_sym_preproc_if_token2,
  [286017] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13762), 1,
      aux_sym_preproc_include_token2,
  [286024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_RPAREN,
  [286031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8855), 1,
      anon_sym_COLON,
  [286038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      sym_auto,
  [286045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
  [286052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      aux_sym_preproc_if_token2,
  [286059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      anon_sym_SEMI,
  [286066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_SEMI,
  [286073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_SEMI,
  [286080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      sym_identifier,
  [286087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_SEMI,
  [286094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_EQ,
  [286101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_RPAREN,
  [286108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12003), 1,
      anon_sym_SEMI,
  [286115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_RPAREN,
  [286122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_RPAREN,
  [286129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_RPAREN,
  [286136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_RPAREN,
  [286143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      anon_sym_DQUOTE,
  [286150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_RPAREN,
  [286157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_SEMI,
  [286164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      anon_sym_SEMI,
  [286171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8714), 1,
      anon_sym_RBRACE,
  [286178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_RPAREN,
  [286185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      sym_identifier,
  [286192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      anon_sym_RPAREN,
  [286199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      anon_sym_RPAREN,
  [286206] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13804), 1,
      aux_sym_preproc_include_token2,
  [286213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_SEMI,
  [286220] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10074), 1,
      aux_sym_preproc_include_token2,
  [286227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      sym_identifier,
  [286234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_SEMI,
  [286241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      sym_identifier,
  [286248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      sym_auto,
  [286255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10800), 1,
      anon_sym_RBRACE,
  [286262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_SEMI,
  [286269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_STAR,
  [286276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9067), 1,
      anon_sym_RPAREN,
  [286283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      anon_sym_SEMI,
  [286290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      anon_sym_RPAREN,
  [286297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8809), 1,
      anon_sym_COLON,
  [286304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_RBRACE,
  [286311] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12140), 1,
      aux_sym_preproc_include_token2,
  [286318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      aux_sym_preproc_if_token2,
  [286325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      anon_sym_DQUOTE,
  [286332] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13826), 1,
      aux_sym_preproc_include_token2,
  [286339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_STAR,
  [286346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_DQUOTE,
  [286353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_LPAREN2,
  [286360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9109), 1,
      anon_sym_RPAREN,
  [286367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      sym_identifier,
  [286374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_SEMI,
  [286381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
  [286388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_RPAREN,
  [286395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      anon_sym_LPAREN2,
  [286402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      anon_sym_SEMI,
  [286409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_DQUOTE,
  [286416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
  [286423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_DQUOTE,
  [286430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_COLON,
  [286437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8825), 1,
      anon_sym_SEMI,
  [286444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_SEMI,
  [286451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_RPAREN,
  [286458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      sym_identifier,
  [286465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_SEMI,
  [286472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8845), 1,
      anon_sym_SEMI,
  [286479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      anon_sym_RPAREN,
  [286486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
  [286493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      anon_sym_RPAREN,
  [286500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      anon_sym_RPAREN,
  [286507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_RPAREN,
  [286514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      anon_sym_RPAREN,
  [286521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_DQUOTE,
  [286528] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13866), 1,
      aux_sym_preproc_include_token2,
  [286535] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12225), 1,
      aux_sym_preproc_include_token2,
  [286542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_DQUOTE,
  [286549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8819), 1,
      anon_sym_SEMI,
  [286556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
  [286563] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13870), 1,
      aux_sym_preproc_include_token2,
  [286570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      sym_raw_string_content,
  [286577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      anon_sym_LPAREN2,
  [286584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      anon_sym_EQ,
  [286591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      anon_sym_SEMI,
  [286598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      anon_sym_SEMI,
  [286605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      anon_sym_SEMI,
  [286612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8847), 1,
      anon_sym_SEMI,
  [286619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_COLON_COLON,
  [286626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_SEMI,
  [286633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      anon_sym_SEMI,
  [286640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      sym_identifier,
  [286647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      anon_sym_COLON,
  [286654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      anon_sym_COLON,
  [286661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8823), 1,
      anon_sym_RPAREN,
  [286668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_LPAREN2,
  [286675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      anon_sym_LPAREN2,
  [286682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_LPAREN2,
  [286689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      anon_sym_LPAREN2,
  [286696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_DQUOTE,
  [286703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      anon_sym_LPAREN2,
  [286710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      anon_sym_DQUOTE,
  [286717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
  [286724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      anon_sym_SEMI,
  [286731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10305), 1,
      sym_identifier,
  [286738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_SEMI,
  [286745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      anon_sym_while,
  [286752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_COLON,
  [286759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_LPAREN2,
  [286766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_DQUOTE,
  [286773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      anon_sym_DQUOTE,
  [286780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_while,
  [286787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_EQ,
  [286794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      sym_raw_string_content,
  [286801] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12286), 1,
      aux_sym_preproc_include_token2,
  [286808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      anon_sym_RPAREN,
  [286815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_COMMA,
  [286822] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(13932), 1,
      aux_sym_preproc_include_token2,
  [286829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11721), 1,
      anon_sym_SEMI,
  [286836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_DQUOTE,
  [286843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_RPAREN,
  [286850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      anon_sym_COLON,
  [286857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_RPAREN,
  [286864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      anon_sym_RPAREN,
  [286871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_LPAREN2,
  [286878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_LPAREN2,
  [286885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      anon_sym_LPAREN2,
  [286892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      anon_sym_RPAREN,
  [286899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_LPAREN2,
  [286906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_RPAREN,
  [286913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_RPAREN,
  [286920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_while,
  [286927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      sym_identifier,
  [286934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      anon_sym_LPAREN2,
  [286941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_RPAREN,
  [286948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_SEMI,
  [286955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      anon_sym_EQ,
  [286962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      sym_raw_string_content,
  [286969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_COMMA,
  [286976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_SEMI,
  [286983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_RPAREN,
  [286990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      anon_sym_SEMI,
  [286997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      anon_sym_RPAREN,
  [287004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_COLON,
  [287011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_SEMI,
  [287018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      anon_sym_LPAREN2,
  [287025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_LPAREN2,
  [287032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_LPAREN2,
  [287039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_SEMI,
  [287046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13994), 1,
      anon_sym_LPAREN2,
  [287053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_LPAREN2,
  [287060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_SEMI,
  [287067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      anon_sym_while,
  [287074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_LPAREN2,
  [287081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_SEMI,
  [287088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_SEMI,
  [287095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      anon_sym_EQ,
  [287102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      sym_raw_string_content,
  [287109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_COMMA,
  [287116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      aux_sym_preproc_if_token2,
  [287123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      sym_identifier,
  [287130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      anon_sym_SEMI,
  [287137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_RPAREN,
  [287144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_COLON,
  [287151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_RPAREN,
  [287158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      anon_sym_LPAREN2,
  [287165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_LPAREN2,
  [287172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      anon_sym_LPAREN2,
  [287179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      anon_sym_SEMI,
  [287186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      anon_sym_LPAREN2,
  [287193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      anon_sym_DQUOTE,
  [287200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      anon_sym_DQUOTE,
  [287207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_LPAREN2,
  [287214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      anon_sym_SEMI,
  [287221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      anon_sym_SEMI,
  [287228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      anon_sym_EQ,
  [287235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      sym_raw_string_content,
  [287242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_COMMA,
  [287249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      aux_sym_preproc_if_token2,
  [287256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      aux_sym_preproc_if_token2,
  [287263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      anon_sym_SEMI,
  [287270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_RPAREN,
  [287277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      anon_sym_COLON,
  [287284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_DQUOTE,
  [287291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_LPAREN2,
  [287298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_LPAREN2,
  [287305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
  [287312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_LPAREN2,
  [287319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      anon_sym_SEMI,
  [287326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_SEMI,
  [287333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6768), 1,
      anon_sym_SEMI,
  [287340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      aux_sym_preproc_if_token2,
  [287347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      anon_sym_EQ,
  [287354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      sym_raw_string_content,
  [287361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8833), 1,
      anon_sym_SEMI,
  [287368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6787), 1,
      anon_sym_SEMI,
  [287375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      aux_sym_preproc_if_token2,
  [287382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      anon_sym_RPAREN,
  [287389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      aux_sym_preproc_if_token2,
  [287396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      anon_sym_LPAREN2,
  [287403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_LPAREN2,
  [287410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_LPAREN2,
  [287417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_DQUOTE,
  [287424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      sym_raw_string_content,
  [287431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      sym_identifier,
  [287438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      anon_sym_DQUOTE,
  [287445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
  [287452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_RBRACE,
  [287459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14100), 1,
      anon_sym_LPAREN2,
  [287466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14102), 1,
      anon_sym_LPAREN2,
  [287473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      anon_sym_LPAREN2,
  [287480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      anon_sym_SEMI,
  [287487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      sym_raw_string_content,
  [287494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_SEMI,
  [287501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      anon_sym_RPAREN,
  [287508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_LPAREN2,
  [287515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      anon_sym_LPAREN2,
  [287522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      anon_sym_LPAREN2,
  [287529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      sym_raw_string_content,
  [287536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      anon_sym_RPAREN,
  [287543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_LPAREN2,
  [287550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      sym_raw_string_content,
  [287557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14128), 1,
      anon_sym_RPAREN,
  [287564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14130), 1,
      anon_sym_LPAREN2,
  [287571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14132), 1,
      sym_raw_string_content,
  [287578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14134), 1,
      anon_sym_RPAREN,
  [287585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14136), 1,
      sym_raw_string_content,
  [287592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14138), 1,
      anon_sym_RPAREN,
  [287599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14140), 1,
      sym_raw_string_content,
  [287606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14142), 1,
      anon_sym_RPAREN,
  [287613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14144), 1,
      sym_raw_string_content,
  [287620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14146), 1,
      anon_sym_RPAREN,
  [287627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      sym_raw_string_content,
  [287634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14150), 1,
      anon_sym_RPAREN,
  [287641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14152), 1,
      sym_raw_string_content,
  [287648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
  [287655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_COMMA,
  [287662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      anon_sym_RPAREN,
  [287669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14158), 1,
      anon_sym_LPAREN2,
  [287676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14160), 1,
      anon_sym_LPAREN2,
  [287683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14162), 1,
      sym_identifier,
  [287690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14164), 1,
      sym_identifier,
  [287697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      anon_sym_DQUOTE,
  [287704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14168), 1,
      anon_sym_DQUOTE,
  [287711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8873), 1,
      anon_sym_SEMI,
  [287718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14170), 1,
      anon_sym_RPAREN,
  [287725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      sym_identifier,
  [287732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14174), 1,
      anon_sym_SEMI,
  [287739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14176), 1,
      sym_this,
  [287746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14178), 1,
      sym_identifier,
  [287753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
  [287760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14180), 1,
      anon_sym_SEMI,
  [287767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14182), 1,
      sym_identifier,
  [287774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      anon_sym_SEMI,
  [287781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 1,
      aux_sym_preproc_if_token2,
  [287788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      aux_sym_preproc_if_token2,
  [287795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14190), 1,
      sym_identifier,
  [287802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14192), 1,
      sym_raw_string_content,
  [287809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      sym_identifier,
  [287816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14196), 1,
      anon_sym_STAR,
  [287823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14198), 1,
      sym_identifier,
  [287830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14200), 1,
      anon_sym_COLON,
  [287837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14202), 1,
      anon_sym_SEMI,
  [287844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14204), 1,
      sym_identifier,
  [287851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14206), 1,
      anon_sym_SEMI,
  [287858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_SEMI,
  [287865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_RBRACE,
  [287872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14210), 1,
      sym_raw_string_delimiter,
  [287879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14212), 1,
      anon_sym_RPAREN,
  [287886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14214), 1,
      sym_identifier,
  [287893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14216), 1,
      sym_identifier,
  [287900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14218), 1,
      anon_sym_STAR,
  [287907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      aux_sym_preproc_if_token2,
  [287914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      anon_sym_LPAREN2,
  [287921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      aux_sym_preproc_if_token2,
  [287928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14226), 1,
      anon_sym_RPAREN,
  [287935] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(14228), 1,
      aux_sym_preproc_include_token2,
  [287942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_RPAREN,
  [287949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14232), 1,
      anon_sym_RPAREN,
  [287956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
  [287963] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(14236), 1,
      aux_sym_preproc_include_token2,
  [287970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      aux_sym_preproc_if_token2,
  [287977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_RPAREN,
  [287984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_RPAREN,
  [287991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14242), 1,
      sym_identifier,
  [287998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8867), 1,
      anon_sym_COLON,
  [288005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14244), 1,
      sym_auto,
  [288012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14246), 1,
      aux_sym_preproc_if_token2,
  [288019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14248), 1,
      anon_sym_RPAREN,
  [288026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8839), 1,
      anon_sym_COLON,
  [288033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
  [288040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 1,
      anon_sym_SEMI,
  [288047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14254), 1,
      anon_sym_SEMI,
  [288054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
  [288061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      sym_identifier,
  [288068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14260), 1,
      anon_sym_STAR,
  [288075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_SEMI,
  [288082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14262), 1,
      anon_sym_RPAREN,
  [288089] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(12725), 1,
      aux_sym_preproc_include_token2,
  [288096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14264), 1,
      anon_sym_SEMI,
  [288103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
  [288110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14266), 1,
      anon_sym_RPAREN,
  [288117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14268), 1,
      anon_sym_RPAREN,
  [288124] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(10046), 1,
      aux_sym_preproc_include_token2,
  [288131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8693), 1,
      anon_sym_RBRACE,
  [288138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14270), 1,
      anon_sym_RPAREN,
  [288145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14272), 1,
      anon_sym_RPAREN,
  [288152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_STAR,
  [288159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14276), 1,
      ts_builtin_sym_end,
  [288166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_SEMI,
  [288173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14280), 1,
      anon_sym_LPAREN2,
  [288180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14282), 1,
      anon_sym_SEMI,
  [288187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14284), 1,
      sym_identifier,
  [288194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14286), 1,
      anon_sym_LPAREN2,
  [288201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14288), 1,
      anon_sym_COLON,
  [288208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10735), 1,
      anon_sym_RBRACE,
  [288215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14290), 1,
      anon_sym_RPAREN,
  [288222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
  [288229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      anon_sym_RPAREN,
  [288236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8879), 1,
      anon_sym_COLON,
  [288243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_LPAREN2,
  [288250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14296), 1,
      anon_sym_SEMI,
  [288257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      anon_sym_LPAREN2,
  [288264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14300), 1,
      anon_sym_LPAREN2,
  [288271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14302), 1,
      sym_identifier,
  [288278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
  [288285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14306), 1,
      anon_sym_RPAREN,
  [288292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14308), 1,
      anon_sym_DQUOTE,
  [288299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14310), 1,
      anon_sym_LPAREN2,
  [288306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14312), 1,
      sym_identifier,
  [288313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14314), 1,
      sym_raw_string_content,
  [288320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14316), 1,
      anon_sym_LPAREN2,
  [288327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14318), 1,
      anon_sym_LPAREN2,
  [288334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14320), 1,
      sym_identifier,
  [288341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14322), 1,
      anon_sym_SEMI,
  [288348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14324), 1,
      anon_sym_LPAREN2,
  [288355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14326), 1,
      anon_sym_LPAREN2,
  [288362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14328), 1,
      sym_identifier,
  [288369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14330), 1,
      anon_sym_LBRACE,
  [288376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14332), 1,
      anon_sym_SEMI,
  [288383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14334), 1,
      sym_identifier,
  [288390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14336), 1,
      sym_raw_string_content,
  [288397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14338), 1,
      anon_sym_LPAREN2,
  [288404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8732), 1,
      anon_sym_RBRACE,
  [288411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14340), 1,
      anon_sym_COLON,
  [288418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14342), 1,
      anon_sym_LPAREN2,
  [288425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14344), 1,
      sym_identifier,
  [288432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14346), 1,
      sym_identifier,
  [288439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_DOT_DOT_DOT,
  [288446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14348), 1,
      sym_identifier,
  [288453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14350), 1,
      sym_raw_string_content,
  [288460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14352), 1,
      aux_sym_preproc_if_token2,
  [288467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_DOT_DOT_DOT,
  [288474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14354), 1,
      anon_sym_LPAREN2,
  [288481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14356), 1,
      sym_identifier,
  [288488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_DOT_DOT_DOT,
  [288495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14358), 1,
      anon_sym_LPAREN2,
  [288502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14360), 1,
      sym_identifier,
  [288509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14362), 1,
      sym_raw_string_content,
  [288516] = 2,
    ACTIONS(9954), 1,
      sym_comment,
    ACTIONS(14364), 1,
      aux_sym_preproc_include_token2,
  [288523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14366), 1,
      anon_sym_LPAREN2,
  [288530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14368), 1,
      sym_identifier,
  [288537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_DOT_DOT_DOT,
  [288544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14370), 1,
      sym_identifier,
  [288551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14372), 1,
      sym_raw_string_content,
  [288558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_DOT_DOT_DOT,
  [288565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14374), 1,
      sym_identifier,
  [288572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14376), 1,
      sym_raw_string_content,
  [288579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_DOT_DOT_DOT,
  [288586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14378), 1,
      sym_raw_string_content,
  [288593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_DOT_DOT_DOT,
  [288600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14380), 1,
      sym_raw_string_content,
  [288607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_DOT_DOT_DOT,
  [288614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14382), 1,
      sym_raw_string_content,
  [288621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_DOT_DOT_DOT,
  [288628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14384), 1,
      sym_raw_string_content,
  [288635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_DOT_DOT_DOT,
  [288642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14386), 1,
      sym_raw_string_content,
  [288649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_DOT_DOT_DOT,
  [288656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14388), 1,
      sym_raw_string_content,
  [288663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14390), 1,
      sym_identifier,
  [288670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14392), 1,
      sym_raw_string_content,
  [288677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14394), 1,
      anon_sym_RPAREN,
  [288684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14396), 1,
      sym_raw_string_content,
  [288691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_DOT_DOT_DOT,
  [288698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14398), 1,
      sym_raw_string_content,
  [288705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14400), 1,
      anon_sym_LPAREN2,
  [288712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14402), 1,
      anon_sym_LPAREN2,
  [288719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14404), 1,
      sym_identifier,
  [288726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14406), 1,
      anon_sym_LPAREN2,
  [288733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14408), 1,
      anon_sym_LPAREN2,
  [288740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14410), 1,
      anon_sym_LPAREN2,
  [288747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14412), 1,
      anon_sym_LPAREN2,
  [288754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14414), 1,
      anon_sym_LPAREN2,
  [288761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14416), 1,
      anon_sym_RPAREN,
  [288768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14418), 1,
      anon_sym_LPAREN2,
  [288775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14420), 1,
      anon_sym_LPAREN2,
  [288782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14422), 1,
      anon_sym_STAR,
  [288789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_LPAREN2,
  [288796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14426), 1,
      anon_sym_LPAREN2,
  [288803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14428), 1,
      anon_sym_LPAREN2,
  [288810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14430), 1,
      anon_sym_LPAREN2,
  [288817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14432), 1,
      anon_sym_LPAREN2,
  [288824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14434), 1,
      anon_sym_LPAREN2,
  [288831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14436), 1,
      anon_sym_LPAREN2,
  [288838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14438), 1,
      anon_sym_LPAREN2,
  [288845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14440), 1,
      anon_sym_LPAREN2,
  [288852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14442), 1,
      anon_sym_LPAREN2,
  [288859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14444), 1,
      anon_sym_LPAREN2,
  [288866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14446), 1,
      anon_sym_LPAREN2,
  [288873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14448), 1,
      anon_sym_LPAREN2,
  [288880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14450), 1,
      anon_sym_LPAREN2,
  [288887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14452), 1,
      sym_identifier,
  [288894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14454), 1,
      anon_sym_RPAREN,
  [288901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14456), 1,
      sym_identifier,
  [288908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14458), 1,
      anon_sym_RPAREN,
  [288915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14460), 1,
      sym_identifier,
  [288922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14462), 1,
      anon_sym_LPAREN2,
  [288929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14464), 1,
      anon_sym_LPAREN2,
  [288936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14466), 1,
      anon_sym_LPAREN2,
  [288943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14468), 1,
      anon_sym_LPAREN2,
  [288950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14470), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2336)] = 0,
  [SMALL_STATE(2337)] = 71,
  [SMALL_STATE(2338)] = 158,
  [SMALL_STATE(2339)] = 233,
  [SMALL_STATE(2340)] = 306,
  [SMALL_STATE(2341)] = 377,
  [SMALL_STATE(2342)] = 448,
  [SMALL_STATE(2343)] = 519,
  [SMALL_STATE(2344)] = 590,
  [SMALL_STATE(2345)] = 667,
  [SMALL_STATE(2346)] = 738,
  [SMALL_STATE(2347)] = 817,
  [SMALL_STATE(2348)] = 888,
  [SMALL_STATE(2349)] = 959,
  [SMALL_STATE(2350)] = 1030,
  [SMALL_STATE(2351)] = 1101,
  [SMALL_STATE(2352)] = 1176,
  [SMALL_STATE(2353)] = 1247,
  [SMALL_STATE(2354)] = 1318,
  [SMALL_STATE(2355)] = 1389,
  [SMALL_STATE(2356)] = 1460,
  [SMALL_STATE(2357)] = 1531,
  [SMALL_STATE(2358)] = 1610,
  [SMALL_STATE(2359)] = 1681,
  [SMALL_STATE(2360)] = 1770,
  [SMALL_STATE(2361)] = 1841,
  [SMALL_STATE(2362)] = 1912,
  [SMALL_STATE(2363)] = 1983,
  [SMALL_STATE(2364)] = 2064,
  [SMALL_STATE(2365)] = 2135,
  [SMALL_STATE(2366)] = 2218,
  [SMALL_STATE(2367)] = 2303,
  [SMALL_STATE(2368)] = 2392,
  [SMALL_STATE(2369)] = 2463,
  [SMALL_STATE(2370)] = 2534,
  [SMALL_STATE(2371)] = 2605,
  [SMALL_STATE(2372)] = 2676,
  [SMALL_STATE(2373)] = 2747,
  [SMALL_STATE(2374)] = 2818,
  [SMALL_STATE(2375)] = 2889,
  [SMALL_STATE(2376)] = 2968,
  [SMALL_STATE(2377)] = 3045,
  [SMALL_STATE(2378)] = 3116,
  [SMALL_STATE(2379)] = 3187,
  [SMALL_STATE(2380)] = 3258,
  [SMALL_STATE(2381)] = 3329,
  [SMALL_STATE(2382)] = 3408,
  [SMALL_STATE(2383)] = 3479,
  [SMALL_STATE(2384)] = 3550,
  [SMALL_STATE(2385)] = 3621,
  [SMALL_STATE(2386)] = 3692,
  [SMALL_STATE(2387)] = 3763,
  [SMALL_STATE(2388)] = 3834,
  [SMALL_STATE(2389)] = 3905,
  [SMALL_STATE(2390)] = 3976,
  [SMALL_STATE(2391)] = 4047,
  [SMALL_STATE(2392)] = 4136,
  [SMALL_STATE(2393)] = 4207,
  [SMALL_STATE(2394)] = 4278,
  [SMALL_STATE(2395)] = 4349,
  [SMALL_STATE(2396)] = 4420,
  [SMALL_STATE(2397)] = 4505,
  [SMALL_STATE(2398)] = 4590,
  [SMALL_STATE(2399)] = 4675,
  [SMALL_STATE(2400)] = 4752,
  [SMALL_STATE(2401)] = 4823,
  [SMALL_STATE(2402)] = 4894,
  [SMALL_STATE(2403)] = 4965,
  [SMALL_STATE(2404)] = 5036,
  [SMALL_STATE(2405)] = 5107,
  [SMALL_STATE(2406)] = 5178,
  [SMALL_STATE(2407)] = 5263,
  [SMALL_STATE(2408)] = 5334,
  [SMALL_STATE(2409)] = 5405,
  [SMALL_STATE(2410)] = 5476,
  [SMALL_STATE(2411)] = 5559,
  [SMALL_STATE(2412)] = 5630,
  [SMALL_STATE(2413)] = 5701,
  [SMALL_STATE(2414)] = 5772,
  [SMALL_STATE(2415)] = 5843,
  [SMALL_STATE(2416)] = 5914,
  [SMALL_STATE(2417)] = 5985,
  [SMALL_STATE(2418)] = 6055,
  [SMALL_STATE(2419)] = 6125,
  [SMALL_STATE(2420)] = 6195,
  [SMALL_STATE(2421)] = 6265,
  [SMALL_STATE(2422)] = 6335,
  [SMALL_STATE(2423)] = 6405,
  [SMALL_STATE(2424)] = 6483,
  [SMALL_STATE(2425)] = 6553,
  [SMALL_STATE(2426)] = 6623,
  [SMALL_STATE(2427)] = 6693,
  [SMALL_STATE(2428)] = 6763,
  [SMALL_STATE(2429)] = 6833,
  [SMALL_STATE(2430)] = 6903,
  [SMALL_STATE(2431)] = 6973,
  [SMALL_STATE(2432)] = 7043,
  [SMALL_STATE(2433)] = 7113,
  [SMALL_STATE(2434)] = 7183,
  [SMALL_STATE(2435)] = 7253,
  [SMALL_STATE(2436)] = 7323,
  [SMALL_STATE(2437)] = 7397,
  [SMALL_STATE(2438)] = 7467,
  [SMALL_STATE(2439)] = 7537,
  [SMALL_STATE(2440)] = 7607,
  [SMALL_STATE(2441)] = 7677,
  [SMALL_STATE(2442)] = 7747,
  [SMALL_STATE(2443)] = 7817,
  [SMALL_STATE(2444)] = 7887,
  [SMALL_STATE(2445)] = 7965,
  [SMALL_STATE(2446)] = 8035,
  [SMALL_STATE(2447)] = 8105,
  [SMALL_STATE(2448)] = 8175,
  [SMALL_STATE(2449)] = 8245,
  [SMALL_STATE(2450)] = 8315,
  [SMALL_STATE(2451)] = 8385,
  [SMALL_STATE(2452)] = 8455,
  [SMALL_STATE(2453)] = 8525,
  [SMALL_STATE(2454)] = 8595,
  [SMALL_STATE(2455)] = 8675,
  [SMALL_STATE(2456)] = 8745,
  [SMALL_STATE(2457)] = 8815,
  [SMALL_STATE(2458)] = 8899,
  [SMALL_STATE(2459)] = 8969,
  [SMALL_STATE(2460)] = 9039,
  [SMALL_STATE(2461)] = 9109,
  [SMALL_STATE(2462)] = 9179,
  [SMALL_STATE(2463)] = 9249,
  [SMALL_STATE(2464)] = 9319,
  [SMALL_STATE(2465)] = 9389,
  [SMALL_STATE(2466)] = 9459,
  [SMALL_STATE(2467)] = 9531,
  [SMALL_STATE(2468)] = 9601,
  [SMALL_STATE(2469)] = 9671,
  [SMALL_STATE(2470)] = 9741,
  [SMALL_STATE(2471)] = 9811,
  [SMALL_STATE(2472)] = 9895,
  [SMALL_STATE(2473)] = 9965,
  [SMALL_STATE(2474)] = 10035,
  [SMALL_STATE(2475)] = 10105,
  [SMALL_STATE(2476)] = 10175,
  [SMALL_STATE(2477)] = 10245,
  [SMALL_STATE(2478)] = 10315,
  [SMALL_STATE(2479)] = 10395,
  [SMALL_STATE(2480)] = 10465,
  [SMALL_STATE(2481)] = 10553,
  [SMALL_STATE(2482)] = 10623,
  [SMALL_STATE(2483)] = 10693,
  [SMALL_STATE(2484)] = 10763,
  [SMALL_STATE(2485)] = 10837,
  [SMALL_STATE(2486)] = 10907,
  [SMALL_STATE(2487)] = 10977,
  [SMALL_STATE(2488)] = 11059,
  [SMALL_STATE(2489)] = 11129,
  [SMALL_STATE(2490)] = 11199,
  [SMALL_STATE(2491)] = 11269,
  [SMALL_STATE(2492)] = 11339,
  [SMALL_STATE(2493)] = 11413,
  [SMALL_STATE(2494)] = 11483,
  [SMALL_STATE(2495)] = 11553,
  [SMALL_STATE(2496)] = 11623,
  [SMALL_STATE(2497)] = 11693,
  [SMALL_STATE(2498)] = 11767,
  [SMALL_STATE(2499)] = 11855,
  [SMALL_STATE(2500)] = 11929,
  [SMALL_STATE(2501)] = 12001,
  [SMALL_STATE(2502)] = 12071,
  [SMALL_STATE(2503)] = 12141,
  [SMALL_STATE(2504)] = 12211,
  [SMALL_STATE(2505)] = 12281,
  [SMALL_STATE(2506)] = 12351,
  [SMALL_STATE(2507)] = 12421,
  [SMALL_STATE(2508)] = 12491,
  [SMALL_STATE(2509)] = 12561,
  [SMALL_STATE(2510)] = 12633,
  [SMALL_STATE(2511)] = 12753,
  [SMALL_STATE(2512)] = 12873,
  [SMALL_STATE(2513)] = 12943,
  [SMALL_STATE(2514)] = 13013,
  [SMALL_STATE(2515)] = 13083,
  [SMALL_STATE(2516)] = 13153,
  [SMALL_STATE(2517)] = 13223,
  [SMALL_STATE(2518)] = 13293,
  [SMALL_STATE(2519)] = 13363,
  [SMALL_STATE(2520)] = 13433,
  [SMALL_STATE(2521)] = 13503,
  [SMALL_STATE(2522)] = 13591,
  [SMALL_STATE(2523)] = 13661,
  [SMALL_STATE(2524)] = 13731,
  [SMALL_STATE(2525)] = 13801,
  [SMALL_STATE(2526)] = 13871,
  [SMALL_STATE(2527)] = 13941,
  [SMALL_STATE(2528)] = 14029,
  [SMALL_STATE(2529)] = 14104,
  [SMALL_STATE(2530)] = 14179,
  [SMALL_STATE(2531)] = 14252,
  [SMALL_STATE(2532)] = 14321,
  [SMALL_STATE(2533)] = 14394,
  [SMALL_STATE(2534)] = 14467,
  [SMALL_STATE(2535)] = 14540,
  [SMALL_STATE(2536)] = 14615,
  [SMALL_STATE(2537)] = 14684,
  [SMALL_STATE(2538)] = 14753,
  [SMALL_STATE(2539)] = 14828,
  [SMALL_STATE(2540)] = 14897,
  [SMALL_STATE(2541)] = 14966,
  [SMALL_STATE(2542)] = 15035,
  [SMALL_STATE(2543)] = 15106,
  [SMALL_STATE(2544)] = 15177,
  [SMALL_STATE(2545)] = 15250,
  [SMALL_STATE(2546)] = 15319,
  [SMALL_STATE(2547)] = 15392,
  [SMALL_STATE(2548)] = 15465,
  [SMALL_STATE(2549)] = 15534,
  [SMALL_STATE(2550)] = 15603,
  [SMALL_STATE(2551)] = 15676,
  [SMALL_STATE(2552)] = 15745,
  [SMALL_STATE(2553)] = 15820,
  [SMALL_STATE(2554)] = 15889,
  [SMALL_STATE(2555)] = 15958,
  [SMALL_STATE(2556)] = 16031,
  [SMALL_STATE(2557)] = 16104,
  [SMALL_STATE(2558)] = 16177,
  [SMALL_STATE(2559)] = 16250,
  [SMALL_STATE(2560)] = 16323,
  [SMALL_STATE(2561)] = 16392,
  [SMALL_STATE(2562)] = 16467,
  [SMALL_STATE(2563)] = 16536,
  [SMALL_STATE(2564)] = 16611,
  [SMALL_STATE(2565)] = 16680,
  [SMALL_STATE(2566)] = 16755,
  [SMALL_STATE(2567)] = 16824,
  [SMALL_STATE(2568)] = 16903,
  [SMALL_STATE(2569)] = 16972,
  [SMALL_STATE(2570)] = 17041,
  [SMALL_STATE(2571)] = 17116,
  [SMALL_STATE(2572)] = 17185,
  [SMALL_STATE(2573)] = 17254,
  [SMALL_STATE(2574)] = 17323,
  [SMALL_STATE(2575)] = 17398,
  [SMALL_STATE(2576)] = 17467,
  [SMALL_STATE(2577)] = 17540,
  [SMALL_STATE(2578)] = 17615,
  [SMALL_STATE(2579)] = 17690,
  [SMALL_STATE(2580)] = 17761,
  [SMALL_STATE(2581)] = 17832,
  [SMALL_STATE(2582)] = 17901,
  [SMALL_STATE(2583)] = 17970,
  [SMALL_STATE(2584)] = 18045,
  [SMALL_STATE(2585)] = 18120,
  [SMALL_STATE(2586)] = 18193,
  [SMALL_STATE(2587)] = 18262,
  [SMALL_STATE(2588)] = 18331,
  [SMALL_STATE(2589)] = 18404,
  [SMALL_STATE(2590)] = 18479,
  [SMALL_STATE(2591)] = 18552,
  [SMALL_STATE(2592)] = 18625,
  [SMALL_STATE(2593)] = 18698,
  [SMALL_STATE(2594)] = 18773,
  [SMALL_STATE(2595)] = 18842,
  [SMALL_STATE(2596)] = 18915,
  [SMALL_STATE(2597)] = 18988,
  [SMALL_STATE(2598)] = 19061,
  [SMALL_STATE(2599)] = 19134,
  [SMALL_STATE(2600)] = 19203,
  [SMALL_STATE(2601)] = 19272,
  [SMALL_STATE(2602)] = 19341,
  [SMALL_STATE(2603)] = 19414,
  [SMALL_STATE(2604)] = 19487,
  [SMALL_STATE(2605)] = 19555,
  [SMALL_STATE(2606)] = 19623,
  [SMALL_STATE(2607)] = 19691,
  [SMALL_STATE(2608)] = 19759,
  [SMALL_STATE(2609)] = 19827,
  [SMALL_STATE(2610)] = 19895,
  [SMALL_STATE(2611)] = 19963,
  [SMALL_STATE(2612)] = 20081,
  [SMALL_STATE(2613)] = 20151,
  [SMALL_STATE(2614)] = 20221,
  [SMALL_STATE(2615)] = 20299,
  [SMALL_STATE(2616)] = 20367,
  [SMALL_STATE(2617)] = 20435,
  [SMALL_STATE(2618)] = 20503,
  [SMALL_STATE(2619)] = 20571,
  [SMALL_STATE(2620)] = 20639,
  [SMALL_STATE(2621)] = 20713,
  [SMALL_STATE(2622)] = 20781,
  [SMALL_STATE(2623)] = 20849,
  [SMALL_STATE(2624)] = 20917,
  [SMALL_STATE(2625)] = 20985,
  [SMALL_STATE(2626)] = 21057,
  [SMALL_STATE(2627)] = 21125,
  [SMALL_STATE(2628)] = 21197,
  [SMALL_STATE(2629)] = 21265,
  [SMALL_STATE(2630)] = 21333,
  [SMALL_STATE(2631)] = 21401,
  [SMALL_STATE(2632)] = 21519,
  [SMALL_STATE(2633)] = 21587,
  [SMALL_STATE(2634)] = 21655,
  [SMALL_STATE(2635)] = 21727,
  [SMALL_STATE(2636)] = 21795,
  [SMALL_STATE(2637)] = 21863,
  [SMALL_STATE(2638)] = 21931,
  [SMALL_STATE(2639)] = 22007,
  [SMALL_STATE(2640)] = 22075,
  [SMALL_STATE(2641)] = 22143,
  [SMALL_STATE(2642)] = 22215,
  [SMALL_STATE(2643)] = 22287,
  [SMALL_STATE(2644)] = 22355,
  [SMALL_STATE(2645)] = 22437,
  [SMALL_STATE(2646)] = 22523,
  [SMALL_STATE(2647)] = 22591,
  [SMALL_STATE(2648)] = 22709,
  [SMALL_STATE(2649)] = 22779,
  [SMALL_STATE(2650)] = 22851,
  [SMALL_STATE(2651)] = 22923,
  [SMALL_STATE(2652)] = 22991,
  [SMALL_STATE(2653)] = 23059,
  [SMALL_STATE(2654)] = 23131,
  [SMALL_STATE(2655)] = 23199,
  [SMALL_STATE(2656)] = 23267,
  [SMALL_STATE(2657)] = 23335,
  [SMALL_STATE(2658)] = 23411,
  [SMALL_STATE(2659)] = 23483,
  [SMALL_STATE(2660)] = 23555,
  [SMALL_STATE(2661)] = 23627,
  [SMALL_STATE(2662)] = 23695,
  [SMALL_STATE(2663)] = 23767,
  [SMALL_STATE(2664)] = 23841,
  [SMALL_STATE(2665)] = 23917,
  [SMALL_STATE(2666)] = 23985,
  [SMALL_STATE(2667)] = 24061,
  [SMALL_STATE(2668)] = 24129,
  [SMALL_STATE(2669)] = 24197,
  [SMALL_STATE(2670)] = 24269,
  [SMALL_STATE(2671)] = 24337,
  [SMALL_STATE(2672)] = 24405,
  [SMALL_STATE(2673)] = 24473,
  [SMALL_STATE(2674)] = 24541,
  [SMALL_STATE(2675)] = 24609,
  [SMALL_STATE(2676)] = 24677,
  [SMALL_STATE(2677)] = 24745,
  [SMALL_STATE(2678)] = 24813,
  [SMALL_STATE(2679)] = 24881,
  [SMALL_STATE(2680)] = 24999,
  [SMALL_STATE(2681)] = 25081,
  [SMALL_STATE(2682)] = 25149,
  [SMALL_STATE(2683)] = 25222,
  [SMALL_STATE(2684)] = 25289,
  [SMALL_STATE(2685)] = 25360,
  [SMALL_STATE(2686)] = 25427,
  [SMALL_STATE(2687)] = 25520,
  [SMALL_STATE(2688)] = 25587,
  [SMALL_STATE(2689)] = 25654,
  [SMALL_STATE(2690)] = 25721,
  [SMALL_STATE(2691)] = 25814,
  [SMALL_STATE(2692)] = 25907,
  [SMALL_STATE(2693)] = 25974,
  [SMALL_STATE(2694)] = 26041,
  [SMALL_STATE(2695)] = 26108,
  [SMALL_STATE(2696)] = 26175,
  [SMALL_STATE(2697)] = 26242,
  [SMALL_STATE(2698)] = 26309,
  [SMALL_STATE(2699)] = 26402,
  [SMALL_STATE(2700)] = 26495,
  [SMALL_STATE(2701)] = 26588,
  [SMALL_STATE(2702)] = 26655,
  [SMALL_STATE(2703)] = 26724,
  [SMALL_STATE(2704)] = 26793,
  [SMALL_STATE(2705)] = 26860,
  [SMALL_STATE(2706)] = 26927,
  [SMALL_STATE(2707)] = 27020,
  [SMALL_STATE(2708)] = 27089,
  [SMALL_STATE(2709)] = 27156,
  [SMALL_STATE(2710)] = 27237,
  [SMALL_STATE(2711)] = 27318,
  [SMALL_STATE(2712)] = 27384,
  [SMALL_STATE(2713)] = 27460,
  [SMALL_STATE(2714)] = 27530,
  [SMALL_STATE(2715)] = 27602,
  [SMALL_STATE(2716)] = 27678,
  [SMALL_STATE(2717)] = 27760,
  [SMALL_STATE(2718)] = 27834,
  [SMALL_STATE(2719)] = 27918,
  [SMALL_STATE(2720)] = 28002,
  [SMALL_STATE(2721)] = 28086,
  [SMALL_STATE(2722)] = 28156,
  [SMALL_STATE(2723)] = 28240,
  [SMALL_STATE(2724)] = 28324,
  [SMALL_STATE(2725)] = 28396,
  [SMALL_STATE(2726)] = 28478,
  [SMALL_STATE(2727)] = 28548,
  [SMALL_STATE(2728)] = 28632,
  [SMALL_STATE(2729)] = 28716,
  [SMALL_STATE(2730)] = 28790,
  [SMALL_STATE(2731)] = 28860,
  [SMALL_STATE(2732)] = 28942,
  [SMALL_STATE(2733)] = 29026,
  [SMALL_STATE(2734)] = 29102,
  [SMALL_STATE(2735)] = 29172,
  [SMALL_STATE(2736)] = 29242,
  [SMALL_STATE(2737)] = 29326,
  [SMALL_STATE(2738)] = 29410,
  [SMALL_STATE(2739)] = 29494,
  [SMALL_STATE(2740)] = 29564,
  [SMALL_STATE(2741)] = 29646,
  [SMALL_STATE(2742)] = 29716,
  [SMALL_STATE(2743)] = 29786,
  [SMALL_STATE(2744)] = 29856,
  [SMALL_STATE(2745)] = 29940,
  [SMALL_STATE(2746)] = 30024,
  [SMALL_STATE(2747)] = 30094,
  [SMALL_STATE(2748)] = 30164,
  [SMALL_STATE(2749)] = 30234,
  [SMALL_STATE(2750)] = 30310,
  [SMALL_STATE(2751)] = 30394,
  [SMALL_STATE(2752)] = 30499,
  [SMALL_STATE(2753)] = 30564,
  [SMALL_STATE(2754)] = 30643,
  [SMALL_STATE(2755)] = 30718,
  [SMALL_STATE(2756)] = 30785,
  [SMALL_STATE(2757)] = 30850,
  [SMALL_STATE(2758)] = 30929,
  [SMALL_STATE(2759)] = 30994,
  [SMALL_STATE(2760)] = 31075,
  [SMALL_STATE(2761)] = 31194,
  [SMALL_STATE(2762)] = 31261,
  [SMALL_STATE(2763)] = 31326,
  [SMALL_STATE(2764)] = 31393,
  [SMALL_STATE(2765)] = 31458,
  [SMALL_STATE(2766)] = 31525,
  [SMALL_STATE(2767)] = 31590,
  [SMALL_STATE(2768)] = 31661,
  [SMALL_STATE(2769)] = 31742,
  [SMALL_STATE(2770)] = 31851,
  [SMALL_STATE(2771)] = 31932,
  [SMALL_STATE(2772)] = 31997,
  [SMALL_STATE(2773)] = 32106,
  [SMALL_STATE(2774)] = 32207,
  [SMALL_STATE(2775)] = 32306,
  [SMALL_STATE(2776)] = 32403,
  [SMALL_STATE(2777)] = 32470,
  [SMALL_STATE(2778)] = 32565,
  [SMALL_STATE(2779)] = 32678,
  [SMALL_STATE(2780)] = 32755,
  [SMALL_STATE(2781)] = 32846,
  [SMALL_STATE(2782)] = 32911,
  [SMALL_STATE(2783)] = 32976,
  [SMALL_STATE(2784)] = 33041,
  [SMALL_STATE(2785)] = 33106,
  [SMALL_STATE(2786)] = 33177,
  [SMALL_STATE(2787)] = 33286,
  [SMALL_STATE(2788)] = 33353,
  [SMALL_STATE(2789)] = 33418,
  [SMALL_STATE(2790)] = 33483,
  [SMALL_STATE(2791)] = 33596,
  [SMALL_STATE(2792)] = 33705,
  [SMALL_STATE(2793)] = 33786,
  [SMALL_STATE(2794)] = 33873,
  [SMALL_STATE(2795)] = 33940,
  [SMALL_STATE(2796)] = 34007,
  [SMALL_STATE(2797)] = 34078,
  [SMALL_STATE(2798)] = 34143,
  [SMALL_STATE(2799)] = 34210,
  [SMALL_STATE(2800)] = 34277,
  [SMALL_STATE(2801)] = 34390,
  [SMALL_STATE(2802)] = 34455,
  [SMALL_STATE(2803)] = 34522,
  [SMALL_STATE(2804)] = 34587,
  [SMALL_STATE(2805)] = 34654,
  [SMALL_STATE(2806)] = 34773,
  [SMALL_STATE(2807)] = 34840,
  [SMALL_STATE(2808)] = 34953,
  [SMALL_STATE(2809)] = 35024,
  [SMALL_STATE(2810)] = 35095,
  [SMALL_STATE(2811)] = 35166,
  [SMALL_STATE(2812)] = 35233,
  [SMALL_STATE(2813)] = 35300,
  [SMALL_STATE(2814)] = 35367,
  [SMALL_STATE(2815)] = 35480,
  [SMALL_STATE(2816)] = 35545,
  [SMALL_STATE(2817)] = 35616,
  [SMALL_STATE(2818)] = 35725,
  [SMALL_STATE(2819)] = 35792,
  [SMALL_STATE(2820)] = 35863,
  [SMALL_STATE(2821)] = 35934,
  [SMALL_STATE(2822)] = 36005,
  [SMALL_STATE(2823)] = 36076,
  [SMALL_STATE(2824)] = 36151,
  [SMALL_STATE(2825)] = 36216,
  [SMALL_STATE(2826)] = 36299,
  [SMALL_STATE(2827)] = 36364,
  [SMALL_STATE(2828)] = 36429,
  [SMALL_STATE(2829)] = 36494,
  [SMALL_STATE(2830)] = 36573,
  [SMALL_STATE(2831)] = 36658,
  [SMALL_STATE(2832)] = 36729,
  [SMALL_STATE(2833)] = 36794,
  [SMALL_STATE(2834)] = 36869,
  [SMALL_STATE(2835)] = 36950,
  [SMALL_STATE(2836)] = 37060,
  [SMALL_STATE(2837)] = 37124,
  [SMALL_STATE(2838)] = 37234,
  [SMALL_STATE(2839)] = 37344,
  [SMALL_STATE(2840)] = 37454,
  [SMALL_STATE(2841)] = 37564,
  [SMALL_STATE(2842)] = 37674,
  [SMALL_STATE(2843)] = 37744,
  [SMALL_STATE(2844)] = 37814,
  [SMALL_STATE(2845)] = 37932,
  [SMALL_STATE(2846)] = 38000,
  [SMALL_STATE(2847)] = 38110,
  [SMALL_STATE(2848)] = 38220,
  [SMALL_STATE(2849)] = 38286,
  [SMALL_STATE(2850)] = 38356,
  [SMALL_STATE(2851)] = 38428,
  [SMALL_STATE(2852)] = 38538,
  [SMALL_STATE(2853)] = 38648,
  [SMALL_STATE(2854)] = 38716,
  [SMALL_STATE(2855)] = 38786,
  [SMALL_STATE(2856)] = 38904,
  [SMALL_STATE(2857)] = 39022,
  [SMALL_STATE(2858)] = 39086,
  [SMALL_STATE(2859)] = 39196,
  [SMALL_STATE(2860)] = 39260,
  [SMALL_STATE(2861)] = 39328,
  [SMALL_STATE(2862)] = 39396,
  [SMALL_STATE(2863)] = 39514,
  [SMALL_STATE(2864)] = 39632,
  [SMALL_STATE(2865)] = 39696,
  [SMALL_STATE(2866)] = 39760,
  [SMALL_STATE(2867)] = 39870,
  [SMALL_STATE(2868)] = 39980,
  [SMALL_STATE(2869)] = 40044,
  [SMALL_STATE(2870)] = 40114,
  [SMALL_STATE(2871)] = 40178,
  [SMALL_STATE(2872)] = 40248,
  [SMALL_STATE(2873)] = 40318,
  [SMALL_STATE(2874)] = 40428,
  [SMALL_STATE(2875)] = 40498,
  [SMALL_STATE(2876)] = 40608,
  [SMALL_STATE(2877)] = 40718,
  [SMALL_STATE(2878)] = 40788,
  [SMALL_STATE(2879)] = 40856,
  [SMALL_STATE(2880)] = 40926,
  [SMALL_STATE(2881)] = 40996,
  [SMALL_STATE(2882)] = 41106,
  [SMALL_STATE(2883)] = 41170,
  [SMALL_STATE(2884)] = 41234,
  [SMALL_STATE(2885)] = 41344,
  [SMALL_STATE(2886)] = 41412,
  [SMALL_STATE(2887)] = 41522,
  [SMALL_STATE(2888)] = 41586,
  [SMALL_STATE(2889)] = 41652,
  [SMALL_STATE(2890)] = 41722,
  [SMALL_STATE(2891)] = 41790,
  [SMALL_STATE(2892)] = 41900,
  [SMALL_STATE(2893)] = 42010,
  [SMALL_STATE(2894)] = 42080,
  [SMALL_STATE(2895)] = 42150,
  [SMALL_STATE(2896)] = 42214,
  [SMALL_STATE(2897)] = 42324,
  [SMALL_STATE(2898)] = 42388,
  [SMALL_STATE(2899)] = 42498,
  [SMALL_STATE(2900)] = 42608,
  [SMALL_STATE(2901)] = 42718,
  [SMALL_STATE(2902)] = 42788,
  [SMALL_STATE(2903)] = 42856,
  [SMALL_STATE(2904)] = 42924,
  [SMALL_STATE(2905)] = 43034,
  [SMALL_STATE(2906)] = 43102,
  [SMALL_STATE(2907)] = 43212,
  [SMALL_STATE(2908)] = 43280,
  [SMALL_STATE(2909)] = 43390,
  [SMALL_STATE(2910)] = 43458,
  [SMALL_STATE(2911)] = 43526,
  [SMALL_STATE(2912)] = 43590,
  [SMALL_STATE(2913)] = 43708,
  [SMALL_STATE(2914)] = 43771,
  [SMALL_STATE(2915)] = 43876,
  [SMALL_STATE(2916)] = 43947,
  [SMALL_STATE(2917)] = 44022,
  [SMALL_STATE(2918)] = 44135,
  [SMALL_STATE(2919)] = 44252,
  [SMALL_STATE(2920)] = 44325,
  [SMALL_STATE(2921)] = 44434,
  [SMALL_STATE(2922)] = 44507,
  [SMALL_STATE(2923)] = 44578,
  [SMALL_STATE(2924)] = 44641,
  [SMALL_STATE(2925)] = 44716,
  [SMALL_STATE(2926)] = 44783,
  [SMALL_STATE(2927)] = 44850,
  [SMALL_STATE(2928)] = 44967,
  [SMALL_STATE(2929)] = 45038,
  [SMALL_STATE(2930)] = 45199,
  [SMALL_STATE(2931)] = 45272,
  [SMALL_STATE(2932)] = 45335,
  [SMALL_STATE(2933)] = 45398,
  [SMALL_STATE(2934)] = 45465,
  [SMALL_STATE(2935)] = 45532,
  [SMALL_STATE(2936)] = 45599,
  [SMALL_STATE(2937)] = 45672,
  [SMALL_STATE(2938)] = 45739,
  [SMALL_STATE(2939)] = 45818,
  [SMALL_STATE(2940)] = 45883,
  [SMALL_STATE(2941)] = 46044,
  [SMALL_STATE(2942)] = 46109,
  [SMALL_STATE(2943)] = 46172,
  [SMALL_STATE(2944)] = 46253,
  [SMALL_STATE(2945)] = 46366,
  [SMALL_STATE(2946)] = 46445,
  [SMALL_STATE(2947)] = 46606,
  [SMALL_STATE(2948)] = 46673,
  [SMALL_STATE(2949)] = 46740,
  [SMALL_STATE(2950)] = 46807,
  [SMALL_STATE(2951)] = 46874,
  [SMALL_STATE(2952)] = 46941,
  [SMALL_STATE(2953)] = 47004,
  [SMALL_STATE(2954)] = 47067,
  [SMALL_STATE(2955)] = 47184,
  [SMALL_STATE(2956)] = 47301,
  [SMALL_STATE(2957)] = 47374,
  [SMALL_STATE(2958)] = 47447,
  [SMALL_STATE(2959)] = 47564,
  [SMALL_STATE(2960)] = 47665,
  [SMALL_STATE(2961)] = 47730,
  [SMALL_STATE(2962)] = 47797,
  [SMALL_STATE(2963)] = 47864,
  [SMALL_STATE(2964)] = 47981,
  [SMALL_STATE(2965)] = 48078,
  [SMALL_STATE(2966)] = 48191,
  [SMALL_STATE(2967)] = 48300,
  [SMALL_STATE(2968)] = 48373,
  [SMALL_STATE(2969)] = 48468,
  [SMALL_STATE(2970)] = 48559,
  [SMALL_STATE(2971)] = 48626,
  [SMALL_STATE(2972)] = 48715,
  [SMALL_STATE(2973)] = 48788,
  [SMALL_STATE(2974)] = 48873,
  [SMALL_STATE(2975)] = 48954,
  [SMALL_STATE(2976)] = 49017,
  [SMALL_STATE(2977)] = 49096,
  [SMALL_STATE(2978)] = 49167,
  [SMALL_STATE(2979)] = 49234,
  [SMALL_STATE(2980)] = 49317,
  [SMALL_STATE(2981)] = 49434,
  [SMALL_STATE(2982)] = 49515,
  [SMALL_STATE(2983)] = 49594,
  [SMALL_STATE(2984)] = 49703,
  [SMALL_STATE(2985)] = 49772,
  [SMALL_STATE(2986)] = 49889,
  [SMALL_STATE(2987)] = 49998,
  [SMALL_STATE(2988)] = 50073,
  [SMALL_STATE(2989)] = 50190,
  [SMALL_STATE(2990)] = 50269,
  [SMALL_STATE(2991)] = 50332,
  [SMALL_STATE(2992)] = 50395,
  [SMALL_STATE(2993)] = 50458,
  [SMALL_STATE(2994)] = 50521,
  [SMALL_STATE(2995)] = 50638,
  [SMALL_STATE(2996)] = 50747,
  [SMALL_STATE(2997)] = 50809,
  [SMALL_STATE(2998)] = 50875,
  [SMALL_STATE(2999)] = 50983,
  [SMALL_STATE(3000)] = 51061,
  [SMALL_STATE(3001)] = 51143,
  [SMALL_STATE(3002)] = 51251,
  [SMALL_STATE(3003)] = 51355,
  [SMALL_STATE(3004)] = 51467,
  [SMALL_STATE(3005)] = 51533,
  [SMALL_STATE(3006)] = 51645,
  [SMALL_STATE(3007)] = 51707,
  [SMALL_STATE(3008)] = 51823,
  [SMALL_STATE(3009)] = 51895,
  [SMALL_STATE(3010)] = 51995,
  [SMALL_STATE(3011)] = 52057,
  [SMALL_STATE(3012)] = 52119,
  [SMALL_STATE(3013)] = 52185,
  [SMALL_STATE(3014)] = 52247,
  [SMALL_STATE(3015)] = 52315,
  [SMALL_STATE(3016)] = 52377,
  [SMALL_STATE(3017)] = 52439,
  [SMALL_STATE(3018)] = 52507,
  [SMALL_STATE(3019)] = 52575,
  [SMALL_STATE(3020)] = 52637,
  [SMALL_STATE(3021)] = 52699,
  [SMALL_STATE(3022)] = 52765,
  [SMALL_STATE(3023)] = 52833,
  [SMALL_STATE(3024)] = 52895,
  [SMALL_STATE(3025)] = 52967,
  [SMALL_STATE(3026)] = 53029,
  [SMALL_STATE(3027)] = 53113,
  [SMALL_STATE(3028)] = 53201,
  [SMALL_STATE(3029)] = 53263,
  [SMALL_STATE(3030)] = 53379,
  [SMALL_STATE(3031)] = 53441,
  [SMALL_STATE(3032)] = 53503,
  [SMALL_STATE(3033)] = 53565,
  [SMALL_STATE(3034)] = 53633,
  [SMALL_STATE(3035)] = 53699,
  [SMALL_STATE(3036)] = 53761,
  [SMALL_STATE(3037)] = 53829,
  [SMALL_STATE(3038)] = 53897,
  [SMALL_STATE(3039)] = 53959,
  [SMALL_STATE(3040)] = 54067,
  [SMALL_STATE(3041)] = 54129,
  [SMALL_STATE(3042)] = 54191,
  [SMALL_STATE(3043)] = 54287,
  [SMALL_STATE(3044)] = 54355,
  [SMALL_STATE(3045)] = 54463,
  [SMALL_STATE(3046)] = 54525,
  [SMALL_STATE(3047)] = 54597,
  [SMALL_STATE(3048)] = 54659,
  [SMALL_STATE(3049)] = 54727,
  [SMALL_STATE(3050)] = 54795,
  [SMALL_STATE(3051)] = 54889,
  [SMALL_STATE(3052)] = 54957,
  [SMALL_STATE(3053)] = 55019,
  [SMALL_STATE(3054)] = 55081,
  [SMALL_STATE(3055)] = 55143,
  [SMALL_STATE(3056)] = 55233,
  [SMALL_STATE(3057)] = 55299,
  [SMALL_STATE(3058)] = 55361,
  [SMALL_STATE(3059)] = 55425,
  [SMALL_STATE(3060)] = 55501,
  [SMALL_STATE(3061)] = 55563,
  [SMALL_STATE(3062)] = 55625,
  [SMALL_STATE(3063)] = 55687,
  [SMALL_STATE(3064)] = 55795,
  [SMALL_STATE(3065)] = 55875,
  [SMALL_STATE(3066)] = 55937,
  [SMALL_STATE(3067)] = 55999,
  [SMALL_STATE(3068)] = 56067,
  [SMALL_STATE(3069)] = 56135,
  [SMALL_STATE(3070)] = 56207,
  [SMALL_STATE(3071)] = 56279,
  [SMALL_STATE(3072)] = 56391,
  [SMALL_STATE(3073)] = 56455,
  [SMALL_STATE(3074)] = 56521,
  [SMALL_STATE(3075)] = 56583,
  [SMALL_STATE(3076)] = 56653,
  [SMALL_STATE(3077)] = 56721,
  [SMALL_STATE(3078)] = 56789,
  [SMALL_STATE(3079)] = 56857,
  [SMALL_STATE(3080)] = 56925,
  [SMALL_STATE(3081)] = 56993,
  [SMALL_STATE(3082)] = 57055,
  [SMALL_STATE(3083)] = 57117,
  [SMALL_STATE(3084)] = 57183,
  [SMALL_STATE(3085)] = 57245,
  [SMALL_STATE(3086)] = 57357,
  [SMALL_STATE(3087)] = 57433,
  [SMALL_STATE(3088)] = 57495,
  [SMALL_STATE(3089)] = 57563,
  [SMALL_STATE(3090)] = 57625,
  [SMALL_STATE(3091)] = 57693,
  [SMALL_STATE(3092)] = 57780,
  [SMALL_STATE(3093)] = 57889,
  [SMALL_STATE(3094)] = 58004,
  [SMALL_STATE(3095)] = 58113,
  [SMALL_STATE(3096)] = 58222,
  [SMALL_STATE(3097)] = 58331,
  [SMALL_STATE(3098)] = 58440,
  [SMALL_STATE(3099)] = 58505,
  [SMALL_STATE(3100)] = 58614,
  [SMALL_STATE(3101)] = 58723,
  [SMALL_STATE(3102)] = 58832,
  [SMALL_STATE(3103)] = 58943,
  [SMALL_STATE(3104)] = 59016,
  [SMALL_STATE(3105)] = 59077,
  [SMALL_STATE(3106)] = 59138,
  [SMALL_STATE(3107)] = 59247,
  [SMALL_STATE(3108)] = 59308,
  [SMALL_STATE(3109)] = 59417,
  [SMALL_STATE(3110)] = 59526,
  [SMALL_STATE(3111)] = 59637,
  [SMALL_STATE(3112)] = 59746,
  [SMALL_STATE(3113)] = 59855,
  [SMALL_STATE(3114)] = 59964,
  [SMALL_STATE(3115)] = 60073,
  [SMALL_STATE(3116)] = 60134,
  [SMALL_STATE(3117)] = 60243,
  [SMALL_STATE(3118)] = 60352,
  [SMALL_STATE(3119)] = 60461,
  [SMALL_STATE(3120)] = 60568,
  [SMALL_STATE(3121)] = 60677,
  [SMALL_STATE(3122)] = 60792,
  [SMALL_STATE(3123)] = 60861,
  [SMALL_STATE(3124)] = 60926,
  [SMALL_STATE(3125)] = 60987,
  [SMALL_STATE(3126)] = 61096,
  [SMALL_STATE(3127)] = 61167,
  [SMALL_STATE(3128)] = 61276,
  [SMALL_STATE(3129)] = 61385,
  [SMALL_STATE(3130)] = 61446,
  [SMALL_STATE(3131)] = 61507,
  [SMALL_STATE(3132)] = 61574,
  [SMALL_STATE(3133)] = 61683,
  [SMALL_STATE(3134)] = 61744,
  [SMALL_STATE(3135)] = 61853,
  [SMALL_STATE(3136)] = 61962,
  [SMALL_STATE(3137)] = 62071,
  [SMALL_STATE(3138)] = 62136,
  [SMALL_STATE(3139)] = 62245,
  [SMALL_STATE(3140)] = 62354,
  [SMALL_STATE(3141)] = 62463,
  [SMALL_STATE(3142)] = 62524,
  [SMALL_STATE(3143)] = 62633,
  [SMALL_STATE(3144)] = 62742,
  [SMALL_STATE(3145)] = 62851,
  [SMALL_STATE(3146)] = 62912,
  [SMALL_STATE(3147)] = 63021,
  [SMALL_STATE(3148)] = 63082,
  [SMALL_STATE(3149)] = 63159,
  [SMALL_STATE(3150)] = 63268,
  [SMALL_STATE(3151)] = 63377,
  [SMALL_STATE(3152)] = 63452,
  [SMALL_STATE(3153)] = 63513,
  [SMALL_STATE(3154)] = 63580,
  [SMALL_STATE(3155)] = 63689,
  [SMALL_STATE(3156)] = 63750,
  [SMALL_STATE(3157)] = 63811,
  [SMALL_STATE(3158)] = 63920,
  [SMALL_STATE(3159)] = 63985,
  [SMALL_STATE(3160)] = 64046,
  [SMALL_STATE(3161)] = 64107,
  [SMALL_STATE(3162)] = 64210,
  [SMALL_STATE(3163)] = 64271,
  [SMALL_STATE(3164)] = 64380,
  [SMALL_STATE(3165)] = 64479,
  [SMALL_STATE(3166)] = 64588,
  [SMALL_STATE(3167)] = 64697,
  [SMALL_STATE(3168)] = 64792,
  [SMALL_STATE(3169)] = 64901,
  [SMALL_STATE(3170)] = 64962,
  [SMALL_STATE(3171)] = 65055,
  [SMALL_STATE(3172)] = 65144,
  [SMALL_STATE(3173)] = 65227,
  [SMALL_STATE(3174)] = 65336,
  [SMALL_STATE(3175)] = 65415,
  [SMALL_STATE(3176)] = 65476,
  [SMALL_STATE(3177)] = 65549,
  [SMALL_STATE(3178)] = 65656,
  [SMALL_STATE(3179)] = 65717,
  [SMALL_STATE(3180)] = 65792,
  [SMALL_STATE(3181)] = 65867,
  [SMALL_STATE(3182)] = 65928,
  [SMALL_STATE(3183)] = 66037,
  [SMALL_STATE(3184)] = 66118,
  [SMALL_STATE(3185)] = 66227,
  [SMALL_STATE(3186)] = 66294,
  [SMALL_STATE(3187)] = 66403,
  [SMALL_STATE(3188)] = 66464,
  [SMALL_STATE(3189)] = 66525,
  [SMALL_STATE(3190)] = 66634,
  [SMALL_STATE(3191)] = 66741,
  [SMALL_STATE(3192)] = 66856,
  [SMALL_STATE(3193)] = 66931,
  [SMALL_STATE(3194)] = 67038,
  [SMALL_STATE(3195)] = 67101,
  [SMALL_STATE(3196)] = 67174,
  [SMALL_STATE(3197)] = 67235,
  [SMALL_STATE(3198)] = 67296,
  [SMALL_STATE(3199)] = 67357,
  [SMALL_STATE(3200)] = 67466,
  [SMALL_STATE(3201)] = 67575,
  [SMALL_STATE(3202)] = 67636,
  [SMALL_STATE(3203)] = 67699,
  [SMALL_STATE(3204)] = 67808,
  [SMALL_STATE(3205)] = 67869,
  [SMALL_STATE(3206)] = 67978,
  [SMALL_STATE(3207)] = 68043,
  [SMALL_STATE(3208)] = 68104,
  [SMALL_STATE(3209)] = 68181,
  [SMALL_STATE(3210)] = 68246,
  [SMALL_STATE(3211)] = 68319,
  [SMALL_STATE(3212)] = 68386,
  [SMALL_STATE(3213)] = 68447,
  [SMALL_STATE(3214)] = 68516,
  [SMALL_STATE(3215)] = 68627,
  [SMALL_STATE(3216)] = 68736,
  [SMALL_STATE(3217)] = 68799,
  [SMALL_STATE(3218)] = 68860,
  [SMALL_STATE(3219)] = 68929,
  [SMALL_STATE(3220)] = 68990,
  [SMALL_STATE(3221)] = 69099,
  [SMALL_STATE(3222)] = 69174,
  [SMALL_STATE(3223)] = 69235,
  [SMALL_STATE(3224)] = 69296,
  [SMALL_STATE(3225)] = 69405,
  [SMALL_STATE(3226)] = 69472,
  [SMALL_STATE(3227)] = 69533,
  [SMALL_STATE(3228)] = 69642,
  [SMALL_STATE(3229)] = 69751,
  [SMALL_STATE(3230)] = 69860,
  [SMALL_STATE(3231)] = 69969,
  [SMALL_STATE(3232)] = 70084,
  [SMALL_STATE(3233)] = 70145,
  [SMALL_STATE(3234)] = 70254,
  [SMALL_STATE(3235)] = 70335,
  [SMALL_STATE(3236)] = 70444,
  [SMALL_STATE(3237)] = 70513,
  [SMALL_STATE(3238)] = 70580,
  [SMALL_STATE(3239)] = 70689,
  [SMALL_STATE(3240)] = 70798,
  [SMALL_STATE(3241)] = 70861,
  [SMALL_STATE(3242)] = 70970,
  [SMALL_STATE(3243)] = 71085,
  [SMALL_STATE(3244)] = 71146,
  [SMALL_STATE(3245)] = 71255,
  [SMALL_STATE(3246)] = 71364,
  [SMALL_STATE(3247)] = 71431,
  [SMALL_STATE(3248)] = 71540,
  [SMALL_STATE(3249)] = 71649,
  [SMALL_STATE(3250)] = 71716,
  [SMALL_STATE(3251)] = 71777,
  [SMALL_STATE(3252)] = 71838,
  [SMALL_STATE(3253)] = 71903,
  [SMALL_STATE(3254)] = 71968,
  [SMALL_STATE(3255)] = 72035,
  [SMALL_STATE(3256)] = 72096,
  [SMALL_STATE(3257)] = 72205,
  [SMALL_STATE(3258)] = 72314,
  [SMALL_STATE(3259)] = 72423,
  [SMALL_STATE(3260)] = 72532,
  [SMALL_STATE(3261)] = 72601,
  [SMALL_STATE(3262)] = 72710,
  [SMALL_STATE(3263)] = 72817,
  [SMALL_STATE(3264)] = 72932,
  [SMALL_STATE(3265)] = 72993,
  [SMALL_STATE(3266)] = 73102,
  [SMALL_STATE(3267)] = 73162,
  [SMALL_STATE(3268)] = 73226,
  [SMALL_STATE(3269)] = 73300,
  [SMALL_STATE(3270)] = 73412,
  [SMALL_STATE(3271)] = 73518,
  [SMALL_STATE(3272)] = 73578,
  [SMALL_STATE(3273)] = 73676,
  [SMALL_STATE(3274)] = 73736,
  [SMALL_STATE(3275)] = 73796,
  [SMALL_STATE(3276)] = 73856,
  [SMALL_STATE(3277)] = 73930,
  [SMALL_STATE(3278)] = 74086,
  [SMALL_STATE(3279)] = 74192,
  [SMALL_STATE(3280)] = 74298,
  [SMALL_STATE(3281)] = 74402,
  [SMALL_STATE(3282)] = 74476,
  [SMALL_STATE(3283)] = 74548,
  [SMALL_STATE(3284)] = 74612,
  [SMALL_STATE(3285)] = 74718,
  [SMALL_STATE(3286)] = 74816,
  [SMALL_STATE(3287)] = 74926,
  [SMALL_STATE(3288)] = 75032,
  [SMALL_STATE(3289)] = 75092,
  [SMALL_STATE(3290)] = 75166,
  [SMALL_STATE(3291)] = 75264,
  [SMALL_STATE(3292)] = 75420,
  [SMALL_STATE(3293)] = 75480,
  [SMALL_STATE(3294)] = 75636,
  [SMALL_STATE(3295)] = 75740,
  [SMALL_STATE(3296)] = 75820,
  [SMALL_STATE(3297)] = 75926,
  [SMALL_STATE(3298)] = 76004,
  [SMALL_STATE(3299)] = 76070,
  [SMALL_STATE(3300)] = 76136,
  [SMALL_STATE(3301)] = 76200,
  [SMALL_STATE(3302)] = 76260,
  [SMALL_STATE(3303)] = 76326,
  [SMALL_STATE(3304)] = 76392,
  [SMALL_STATE(3305)] = 76458,
  [SMALL_STATE(3306)] = 76518,
  [SMALL_STATE(3307)] = 76578,
  [SMALL_STATE(3308)] = 76734,
  [SMALL_STATE(3309)] = 76840,
  [SMALL_STATE(3310)] = 76900,
  [SMALL_STATE(3311)] = 76960,
  [SMALL_STATE(3312)] = 77026,
  [SMALL_STATE(3313)] = 77086,
  [SMALL_STATE(3314)] = 77192,
  [SMALL_STATE(3315)] = 77274,
  [SMALL_STATE(3316)] = 77372,
  [SMALL_STATE(3317)] = 77432,
  [SMALL_STATE(3318)] = 77502,
  [SMALL_STATE(3319)] = 77616,
  [SMALL_STATE(3320)] = 77730,
  [SMALL_STATE(3321)] = 77886,
  [SMALL_STATE(3322)] = 77946,
  [SMALL_STATE(3323)] = 78102,
  [SMALL_STATE(3324)] = 78190,
  [SMALL_STATE(3325)] = 78294,
  [SMALL_STATE(3326)] = 78366,
  [SMALL_STATE(3327)] = 78446,
  [SMALL_STATE(3328)] = 78538,
  [SMALL_STATE(3329)] = 78598,
  [SMALL_STATE(3330)] = 78692,
  [SMALL_STATE(3331)] = 78790,
  [SMALL_STATE(3332)] = 78892,
  [SMALL_STATE(3333)] = 78966,
  [SMALL_STATE(3334)] = 79042,
  [SMALL_STATE(3335)] = 79152,
  [SMALL_STATE(3336)] = 79258,
  [SMALL_STATE(3337)] = 79368,
  [SMALL_STATE(3338)] = 79440,
  [SMALL_STATE(3339)] = 79546,
  [SMALL_STATE(3340)] = 79620,
  [SMALL_STATE(3341)] = 79726,
  [SMALL_STATE(3342)] = 79834,
  [SMALL_STATE(3343)] = 79940,
  [SMALL_STATE(3344)] = 80046,
  [SMALL_STATE(3345)] = 80106,
  [SMALL_STATE(3346)] = 80166,
  [SMALL_STATE(3347)] = 80244,
  [SMALL_STATE(3348)] = 80326,
  [SMALL_STATE(3349)] = 80410,
  [SMALL_STATE(3350)] = 80470,
  [SMALL_STATE(3351)] = 80536,
  [SMALL_STATE(3352)] = 80596,
  [SMALL_STATE(3353)] = 80656,
  [SMALL_STATE(3354)] = 80742,
  [SMALL_STATE(3355)] = 80898,
  [SMALL_STATE(3356)] = 80988,
  [SMALL_STATE(3357)] = 81048,
  [SMALL_STATE(3358)] = 81140,
  [SMALL_STATE(3359)] = 81236,
  [SMALL_STATE(3360)] = 81296,
  [SMALL_STATE(3361)] = 81402,
  [SMALL_STATE(3362)] = 81488,
  [SMALL_STATE(3363)] = 81552,
  [SMALL_STATE(3364)] = 81658,
  [SMALL_STATE(3365)] = 81814,
  [SMALL_STATE(3366)] = 81886,
  [SMALL_STATE(3367)] = 81948,
  [SMALL_STATE(3368)] = 82104,
  [SMALL_STATE(3369)] = 82164,
  [SMALL_STATE(3370)] = 82224,
  [SMALL_STATE(3371)] = 82328,
  [SMALL_STATE(3372)] = 82398,
  [SMALL_STATE(3373)] = 82472,
  [SMALL_STATE(3374)] = 82542,
  [SMALL_STATE(3375)] = 82616,
  [SMALL_STATE(3376)] = 82676,
  [SMALL_STATE(3377)] = 82782,
  [SMALL_STATE(3378)] = 82842,
  [SMALL_STATE(3379)] = 82902,
  [SMALL_STATE(3380)] = 82962,
  [SMALL_STATE(3381)] = 83022,
  [SMALL_STATE(3382)] = 83128,
  [SMALL_STATE(3383)] = 83188,
  [SMALL_STATE(3384)] = 83248,
  [SMALL_STATE(3385)] = 83348,
  [SMALL_STATE(3386)] = 83410,
  [SMALL_STATE(3387)] = 83470,
  [SMALL_STATE(3388)] = 83530,
  [SMALL_STATE(3389)] = 83590,
  [SMALL_STATE(3390)] = 83650,
  [SMALL_STATE(3391)] = 83724,
  [SMALL_STATE(3392)] = 83800,
  [SMALL_STATE(3393)] = 83906,
  [SMALL_STATE(3394)] = 83966,
  [SMALL_STATE(3395)] = 84072,
  [SMALL_STATE(3396)] = 84132,
  [SMALL_STATE(3397)] = 84192,
  [SMALL_STATE(3398)] = 84306,
  [SMALL_STATE(3399)] = 84412,
  [SMALL_STATE(3400)] = 84472,
  [SMALL_STATE(3401)] = 84578,
  [SMALL_STATE(3402)] = 84642,
  [SMALL_STATE(3403)] = 84710,
  [SMALL_STATE(3404)] = 84770,
  [SMALL_STATE(3405)] = 84830,
  [SMALL_STATE(3406)] = 84890,
  [SMALL_STATE(3407)] = 84988,
  [SMALL_STATE(3408)] = 85048,
  [SMALL_STATE(3409)] = 85162,
  [SMALL_STATE(3410)] = 85222,
  [SMALL_STATE(3411)] = 85330,
  [SMALL_STATE(3412)] = 85390,
  [SMALL_STATE(3413)] = 85450,
  [SMALL_STATE(3414)] = 85510,
  [SMALL_STATE(3415)] = 85572,
  [SMALL_STATE(3416)] = 85678,
  [SMALL_STATE(3417)] = 85738,
  [SMALL_STATE(3418)] = 85798,
  [SMALL_STATE(3419)] = 85868,
  [SMALL_STATE(3420)] = 85974,
  [SMALL_STATE(3421)] = 86078,
  [SMALL_STATE(3422)] = 86140,
  [SMALL_STATE(3423)] = 86210,
  [SMALL_STATE(3424)] = 86270,
  [SMALL_STATE(3425)] = 86330,
  [SMALL_STATE(3426)] = 86428,
  [SMALL_STATE(3427)] = 86534,
  [SMALL_STATE(3428)] = 86594,
  [SMALL_STATE(3429)] = 86654,
  [SMALL_STATE(3430)] = 86728,
  [SMALL_STATE(3431)] = 86790,
  [SMALL_STATE(3432)] = 86860,
  [SMALL_STATE(3433)] = 86924,
  [SMALL_STATE(3434)] = 87032,
  [SMALL_STATE(3435)] = 87100,
  [SMALL_STATE(3436)] = 87214,
  [SMALL_STATE(3437)] = 87273,
  [SMALL_STATE(3438)] = 87332,
  [SMALL_STATE(3439)] = 87391,
  [SMALL_STATE(3440)] = 87450,
  [SMALL_STATE(3441)] = 87509,
  [SMALL_STATE(3442)] = 87568,
  [SMALL_STATE(3443)] = 87631,
  [SMALL_STATE(3444)] = 87696,
  [SMALL_STATE(3445)] = 87761,
  [SMALL_STATE(3446)] = 87820,
  [SMALL_STATE(3447)] = 87883,
  [SMALL_STATE(3448)] = 87948,
  [SMALL_STATE(3449)] = 88007,
  [SMALL_STATE(3450)] = 88066,
  [SMALL_STATE(3451)] = 88131,
  [SMALL_STATE(3452)] = 88196,
  [SMALL_STATE(3453)] = 88255,
  [SMALL_STATE(3454)] = 88320,
  [SMALL_STATE(3455)] = 88385,
  [SMALL_STATE(3456)] = 88450,
  [SMALL_STATE(3457)] = 88509,
  [SMALL_STATE(3458)] = 88568,
  [SMALL_STATE(3459)] = 88627,
  [SMALL_STATE(3460)] = 88686,
  [SMALL_STATE(3461)] = 88751,
  [SMALL_STATE(3462)] = 88828,
  [SMALL_STATE(3463)] = 88897,
  [SMALL_STATE(3464)] = 88956,
  [SMALL_STATE(3465)] = 89015,
  [SMALL_STATE(3466)] = 89080,
  [SMALL_STATE(3467)] = 89143,
  [SMALL_STATE(3468)] = 89202,
  [SMALL_STATE(3469)] = 89265,
  [SMALL_STATE(3470)] = 89324,
  [SMALL_STATE(3471)] = 89383,
  [SMALL_STATE(3472)] = 89442,
  [SMALL_STATE(3473)] = 89501,
  [SMALL_STATE(3474)] = 89560,
  [SMALL_STATE(3475)] = 89619,
  [SMALL_STATE(3476)] = 89678,
  [SMALL_STATE(3477)] = 89741,
  [SMALL_STATE(3478)] = 89800,
  [SMALL_STATE(3479)] = 89859,
  [SMALL_STATE(3480)] = 89918,
  [SMALL_STATE(3481)] = 89981,
  [SMALL_STATE(3482)] = 90040,
  [SMALL_STATE(3483)] = 90099,
  [SMALL_STATE(3484)] = 90158,
  [SMALL_STATE(3485)] = 90217,
  [SMALL_STATE(3486)] = 90276,
  [SMALL_STATE(3487)] = 90335,
  [SMALL_STATE(3488)] = 90394,
  [SMALL_STATE(3489)] = 90453,
  [SMALL_STATE(3490)] = 90516,
  [SMALL_STATE(3491)] = 90579,
  [SMALL_STATE(3492)] = 90656,
  [SMALL_STATE(3493)] = 90715,
  [SMALL_STATE(3494)] = 90774,
  [SMALL_STATE(3495)] = 90841,
  [SMALL_STATE(3496)] = 90900,
  [SMALL_STATE(3497)] = 90959,
  [SMALL_STATE(3498)] = 91022,
  [SMALL_STATE(3499)] = 91085,
  [SMALL_STATE(3500)] = 91144,
  [SMALL_STATE(3501)] = 91203,
  [SMALL_STATE(3502)] = 91266,
  [SMALL_STATE(3503)] = 91325,
  [SMALL_STATE(3504)] = 91390,
  [SMALL_STATE(3505)] = 91455,
  [SMALL_STATE(3506)] = 91514,
  [SMALL_STATE(3507)] = 91577,
  [SMALL_STATE(3508)] = 91636,
  [SMALL_STATE(3509)] = 91695,
  [SMALL_STATE(3510)] = 91758,
  [SMALL_STATE(3511)] = 91823,
  [SMALL_STATE(3512)] = 91882,
  [SMALL_STATE(3513)] = 91941,
  [SMALL_STATE(3514)] = 92000,
  [SMALL_STATE(3515)] = 92059,
  [SMALL_STATE(3516)] = 92122,
  [SMALL_STATE(3517)] = 92181,
  [SMALL_STATE(3518)] = 92240,
  [SMALL_STATE(3519)] = 92303,
  [SMALL_STATE(3520)] = 92370,
  [SMALL_STATE(3521)] = 92429,
  [SMALL_STATE(3522)] = 92488,
  [SMALL_STATE(3523)] = 92553,
  [SMALL_STATE(3524)] = 92612,
  [SMALL_STATE(3525)] = 92671,
  [SMALL_STATE(3526)] = 92730,
  [SMALL_STATE(3527)] = 92789,
  [SMALL_STATE(3528)] = 92848,
  [SMALL_STATE(3529)] = 92907,
  [SMALL_STATE(3530)] = 92972,
  [SMALL_STATE(3531)] = 93031,
  [SMALL_STATE(3532)] = 93096,
  [SMALL_STATE(3533)] = 93155,
  [SMALL_STATE(3534)] = 93214,
  [SMALL_STATE(3535)] = 93273,
  [SMALL_STATE(3536)] = 93332,
  [SMALL_STATE(3537)] = 93391,
  [SMALL_STATE(3538)] = 93450,
  [SMALL_STATE(3539)] = 93509,
  [SMALL_STATE(3540)] = 93574,
  [SMALL_STATE(3541)] = 93633,
  [SMALL_STATE(3542)] = 93694,
  [SMALL_STATE(3543)] = 93753,
  [SMALL_STATE(3544)] = 93812,
  [SMALL_STATE(3545)] = 93871,
  [SMALL_STATE(3546)] = 93930,
  [SMALL_STATE(3547)] = 93989,
  [SMALL_STATE(3548)] = 94054,
  [SMALL_STATE(3549)] = 94113,
  [SMALL_STATE(3550)] = 94172,
  [SMALL_STATE(3551)] = 94231,
  [SMALL_STATE(3552)] = 94290,
  [SMALL_STATE(3553)] = 94349,
  [SMALL_STATE(3554)] = 94408,
  [SMALL_STATE(3555)] = 94467,
  [SMALL_STATE(3556)] = 94526,
  [SMALL_STATE(3557)] = 94585,
  [SMALL_STATE(3558)] = 94644,
  [SMALL_STATE(3559)] = 94703,
  [SMALL_STATE(3560)] = 94762,
  [SMALL_STATE(3561)] = 94821,
  [SMALL_STATE(3562)] = 94880,
  [SMALL_STATE(3563)] = 94945,
  [SMALL_STATE(3564)] = 95004,
  [SMALL_STATE(3565)] = 95063,
  [SMALL_STATE(3566)] = 95122,
  [SMALL_STATE(3567)] = 95181,
  [SMALL_STATE(3568)] = 95240,
  [SMALL_STATE(3569)] = 95299,
  [SMALL_STATE(3570)] = 95358,
  [SMALL_STATE(3571)] = 95417,
  [SMALL_STATE(3572)] = 95476,
  [SMALL_STATE(3573)] = 95535,
  [SMALL_STATE(3574)] = 95594,
  [SMALL_STATE(3575)] = 95653,
  [SMALL_STATE(3576)] = 95712,
  [SMALL_STATE(3577)] = 95771,
  [SMALL_STATE(3578)] = 95830,
  [SMALL_STATE(3579)] = 95889,
  [SMALL_STATE(3580)] = 95948,
  [SMALL_STATE(3581)] = 96007,
  [SMALL_STATE(3582)] = 96066,
  [SMALL_STATE(3583)] = 96125,
  [SMALL_STATE(3584)] = 96188,
  [SMALL_STATE(3585)] = 96247,
  [SMALL_STATE(3586)] = 96314,
  [SMALL_STATE(3587)] = 96373,
  [SMALL_STATE(3588)] = 96432,
  [SMALL_STATE(3589)] = 96491,
  [SMALL_STATE(3590)] = 96550,
  [SMALL_STATE(3591)] = 96609,
  [SMALL_STATE(3592)] = 96668,
  [SMALL_STATE(3593)] = 96727,
  [SMALL_STATE(3594)] = 96802,
  [SMALL_STATE(3595)] = 96861,
  [SMALL_STATE(3596)] = 96928,
  [SMALL_STATE(3597)] = 96987,
  [SMALL_STATE(3598)] = 97046,
  [SMALL_STATE(3599)] = 97105,
  [SMALL_STATE(3600)] = 97164,
  [SMALL_STATE(3601)] = 97223,
  [SMALL_STATE(3602)] = 97282,
  [SMALL_STATE(3603)] = 97341,
  [SMALL_STATE(3604)] = 97400,
  [SMALL_STATE(3605)] = 97459,
  [SMALL_STATE(3606)] = 97518,
  [SMALL_STATE(3607)] = 97577,
  [SMALL_STATE(3608)] = 97638,
  [SMALL_STATE(3609)] = 97697,
  [SMALL_STATE(3610)] = 97756,
  [SMALL_STATE(3611)] = 97815,
  [SMALL_STATE(3612)] = 97874,
  [SMALL_STATE(3613)] = 97933,
  [SMALL_STATE(3614)] = 97992,
  [SMALL_STATE(3615)] = 98051,
  [SMALL_STATE(3616)] = 98110,
  [SMALL_STATE(3617)] = 98169,
  [SMALL_STATE(3618)] = 98228,
  [SMALL_STATE(3619)] = 98289,
  [SMALL_STATE(3620)] = 98350,
  [SMALL_STATE(3621)] = 98413,
  [SMALL_STATE(3622)] = 98471,
  [SMALL_STATE(3623)] = 98529,
  [SMALL_STATE(3624)] = 98587,
  [SMALL_STATE(3625)] = 98645,
  [SMALL_STATE(3626)] = 98703,
  [SMALL_STATE(3627)] = 98761,
  [SMALL_STATE(3628)] = 98819,
  [SMALL_STATE(3629)] = 98877,
  [SMALL_STATE(3630)] = 98935,
  [SMALL_STATE(3631)] = 98993,
  [SMALL_STATE(3632)] = 99089,
  [SMALL_STATE(3633)] = 99147,
  [SMALL_STATE(3634)] = 99205,
  [SMALL_STATE(3635)] = 99263,
  [SMALL_STATE(3636)] = 99321,
  [SMALL_STATE(3637)] = 99379,
  [SMALL_STATE(3638)] = 99437,
  [SMALL_STATE(3639)] = 99495,
  [SMALL_STATE(3640)] = 99553,
  [SMALL_STATE(3641)] = 99611,
  [SMALL_STATE(3642)] = 99669,
  [SMALL_STATE(3643)] = 99727,
  [SMALL_STATE(3644)] = 99785,
  [SMALL_STATE(3645)] = 99847,
  [SMALL_STATE(3646)] = 99905,
  [SMALL_STATE(3647)] = 99963,
  [SMALL_STATE(3648)] = 100021,
  [SMALL_STATE(3649)] = 100083,
  [SMALL_STATE(3650)] = 100143,
  [SMALL_STATE(3651)] = 100201,
  [SMALL_STATE(3652)] = 100259,
  [SMALL_STATE(3653)] = 100329,
  [SMALL_STATE(3654)] = 100391,
  [SMALL_STATE(3655)] = 100449,
  [SMALL_STATE(3656)] = 100507,
  [SMALL_STATE(3657)] = 100565,
  [SMALL_STATE(3658)] = 100623,
  [SMALL_STATE(3659)] = 100729,
  [SMALL_STATE(3660)] = 100787,
  [SMALL_STATE(3661)] = 100845,
  [SMALL_STATE(3662)] = 100907,
  [SMALL_STATE(3663)] = 100965,
  [SMALL_STATE(3664)] = 101023,
  [SMALL_STATE(3665)] = 101085,
  [SMALL_STATE(3666)] = 101143,
  [SMALL_STATE(3667)] = 101203,
  [SMALL_STATE(3668)] = 101261,
  [SMALL_STATE(3669)] = 101321,
  [SMALL_STATE(3670)] = 101379,
  [SMALL_STATE(3671)] = 101437,
  [SMALL_STATE(3672)] = 101495,
  [SMALL_STATE(3673)] = 101553,
  [SMALL_STATE(3674)] = 101611,
  [SMALL_STATE(3675)] = 101669,
  [SMALL_STATE(3676)] = 101727,
  [SMALL_STATE(3677)] = 101785,
  [SMALL_STATE(3678)] = 101843,
  [SMALL_STATE(3679)] = 101901,
  [SMALL_STATE(3680)] = 101967,
  [SMALL_STATE(3681)] = 102025,
  [SMALL_STATE(3682)] = 102127,
  [SMALL_STATE(3683)] = 102185,
  [SMALL_STATE(3684)] = 102243,
  [SMALL_STATE(3685)] = 102301,
  [SMALL_STATE(3686)] = 102363,
  [SMALL_STATE(3687)] = 102469,
  [SMALL_STATE(3688)] = 102527,
  [SMALL_STATE(3689)] = 102585,
  [SMALL_STATE(3690)] = 102643,
  [SMALL_STATE(3691)] = 102701,
  [SMALL_STATE(3692)] = 102759,
  [SMALL_STATE(3693)] = 102821,
  [SMALL_STATE(3694)] = 102879,
  [SMALL_STATE(3695)] = 102981,
  [SMALL_STATE(3696)] = 103039,
  [SMALL_STATE(3697)] = 103101,
  [SMALL_STATE(3698)] = 103159,
  [SMALL_STATE(3699)] = 103217,
  [SMALL_STATE(3700)] = 103275,
  [SMALL_STATE(3701)] = 103333,
  [SMALL_STATE(3702)] = 103391,
  [SMALL_STATE(3703)] = 103449,
  [SMALL_STATE(3704)] = 103507,
  [SMALL_STATE(3705)] = 103565,
  [SMALL_STATE(3706)] = 103637,
  [SMALL_STATE(3707)] = 103695,
  [SMALL_STATE(3708)] = 103753,
  [SMALL_STATE(3709)] = 103811,
  [SMALL_STATE(3710)] = 103869,
  [SMALL_STATE(3711)] = 103927,
  [SMALL_STATE(3712)] = 103989,
  [SMALL_STATE(3713)] = 104047,
  [SMALL_STATE(3714)] = 104109,
  [SMALL_STATE(3715)] = 104167,
  [SMALL_STATE(3716)] = 104225,
  [SMALL_STATE(3717)] = 104283,
  [SMALL_STATE(3718)] = 104341,
  [SMALL_STATE(3719)] = 104399,
  [SMALL_STATE(3720)] = 104457,
  [SMALL_STATE(3721)] = 104527,
  [SMALL_STATE(3722)] = 104585,
  [SMALL_STATE(3723)] = 104647,
  [SMALL_STATE(3724)] = 104705,
  [SMALL_STATE(3725)] = 104763,
  [SMALL_STATE(3726)] = 104821,
  [SMALL_STATE(3727)] = 104879,
  [SMALL_STATE(3728)] = 104957,
  [SMALL_STATE(3729)] = 105033,
  [SMALL_STATE(3730)] = 105113,
  [SMALL_STATE(3731)] = 105197,
  [SMALL_STATE(3732)] = 105283,
  [SMALL_STATE(3733)] = 105341,
  [SMALL_STATE(3734)] = 105431,
  [SMALL_STATE(3735)] = 105525,
  [SMALL_STATE(3736)] = 105583,
  [SMALL_STATE(3737)] = 105681,
  [SMALL_STATE(3738)] = 105781,
  [SMALL_STATE(3739)] = 105839,
  [SMALL_STATE(3740)] = 105911,
  [SMALL_STATE(3741)] = 105985,
  [SMALL_STATE(3742)] = 106043,
  [SMALL_STATE(3743)] = 106103,
  [SMALL_STATE(3744)] = 106163,
  [SMALL_STATE(3745)] = 106221,
  [SMALL_STATE(3746)] = 106281,
  [SMALL_STATE(3747)] = 106351,
  [SMALL_STATE(3748)] = 106409,
  [SMALL_STATE(3749)] = 106479,
  [SMALL_STATE(3750)] = 106581,
  [SMALL_STATE(3751)] = 106639,
  [SMALL_STATE(3752)] = 106745,
  [SMALL_STATE(3753)] = 106803,
  [SMALL_STATE(3754)] = 106861,
  [SMALL_STATE(3755)] = 106919,
  [SMALL_STATE(3756)] = 107021,
  [SMALL_STATE(3757)] = 107117,
  [SMALL_STATE(3758)] = 107175,
  [SMALL_STATE(3759)] = 107233,
  [SMALL_STATE(3760)] = 107305,
  [SMALL_STATE(3761)] = 107377,
  [SMALL_STATE(3762)] = 107435,
  [SMALL_STATE(3763)] = 107493,
  [SMALL_STATE(3764)] = 107551,
  [SMALL_STATE(3765)] = 107653,
  [SMALL_STATE(3766)] = 107723,
  [SMALL_STATE(3767)] = 107781,
  [SMALL_STATE(3768)] = 107839,
  [SMALL_STATE(3769)] = 107905,
  [SMALL_STATE(3770)] = 107998,
  [SMALL_STATE(3771)] = 108091,
  [SMALL_STATE(3772)] = 108186,
  [SMALL_STATE(3773)] = 108281,
  [SMALL_STATE(3774)] = 108374,
  [SMALL_STATE(3775)] = 108467,
  [SMALL_STATE(3776)] = 108538,
  [SMALL_STATE(3777)] = 108631,
  [SMALL_STATE(3778)] = 108724,
  [SMALL_STATE(3779)] = 108781,
  [SMALL_STATE(3780)] = 108840,
  [SMALL_STATE(3781)] = 108933,
  [SMALL_STATE(3782)] = 109002,
  [SMALL_STATE(3783)] = 109095,
  [SMALL_STATE(3784)] = 109188,
  [SMALL_STATE(3785)] = 109281,
  [SMALL_STATE(3786)] = 109352,
  [SMALL_STATE(3787)] = 109409,
  [SMALL_STATE(3788)] = 109480,
  [SMALL_STATE(3789)] = 109537,
  [SMALL_STATE(3790)] = 109600,
  [SMALL_STATE(3791)] = 109657,
  [SMALL_STATE(3792)] = 109728,
  [SMALL_STATE(3793)] = 109797,
  [SMALL_STATE(3794)] = 109890,
  [SMALL_STATE(3795)] = 109983,
  [SMALL_STATE(3796)] = 110040,
  [SMALL_STATE(3797)] = 110103,
  [SMALL_STATE(3798)] = 110196,
  [SMALL_STATE(3799)] = 110289,
  [SMALL_STATE(3800)] = 110346,
  [SMALL_STATE(3801)] = 110439,
  [SMALL_STATE(3802)] = 110496,
  [SMALL_STATE(3803)] = 110589,
  [SMALL_STATE(3804)] = 110652,
  [SMALL_STATE(3805)] = 110713,
  [SMALL_STATE(3806)] = 110806,
  [SMALL_STATE(3807)] = 110899,
  [SMALL_STATE(3808)] = 110992,
  [SMALL_STATE(3809)] = 111049,
  [SMALL_STATE(3810)] = 111114,
  [SMALL_STATE(3811)] = 111207,
  [SMALL_STATE(3812)] = 111300,
  [SMALL_STATE(3813)] = 111393,
  [SMALL_STATE(3814)] = 111486,
  [SMALL_STATE(3815)] = 111579,
  [SMALL_STATE(3816)] = 111672,
  [SMALL_STATE(3817)] = 111739,
  [SMALL_STATE(3818)] = 111796,
  [SMALL_STATE(3819)] = 111853,
  [SMALL_STATE(3820)] = 111910,
  [SMALL_STATE(3821)] = 112003,
  [SMALL_STATE(3822)] = 112096,
  [SMALL_STATE(3823)] = 112153,
  [SMALL_STATE(3824)] = 112210,
  [SMALL_STATE(3825)] = 112303,
  [SMALL_STATE(3826)] = 112396,
  [SMALL_STATE(3827)] = 112467,
  [SMALL_STATE(3828)] = 112524,
  [SMALL_STATE(3829)] = 112581,
  [SMALL_STATE(3830)] = 112644,
  [SMALL_STATE(3831)] = 112737,
  [SMALL_STATE(3832)] = 112801,
  [SMALL_STATE(3833)] = 112895,
  [SMALL_STATE(3834)] = 112951,
  [SMALL_STATE(3835)] = 113007,
  [SMALL_STATE(3836)] = 113063,
  [SMALL_STATE(3837)] = 113133,
  [SMALL_STATE(3838)] = 113203,
  [SMALL_STATE(3839)] = 113259,
  [SMALL_STATE(3840)] = 113323,
  [SMALL_STATE(3841)] = 113397,
  [SMALL_STATE(3842)] = 113491,
  [SMALL_STATE(3843)] = 113547,
  [SMALL_STATE(3844)] = 113603,
  [SMALL_STATE(3845)] = 113673,
  [SMALL_STATE(3846)] = 113747,
  [SMALL_STATE(3847)] = 113803,
  [SMALL_STATE(3848)] = 113859,
  [SMALL_STATE(3849)] = 113951,
  [SMALL_STATE(3850)] = 114007,
  [SMALL_STATE(3851)] = 114063,
  [SMALL_STATE(3852)] = 114119,
  [SMALL_STATE(3853)] = 114177,
  [SMALL_STATE(3854)] = 114233,
  [SMALL_STATE(3855)] = 114327,
  [SMALL_STATE(3856)] = 114383,
  [SMALL_STATE(3857)] = 114477,
  [SMALL_STATE(3858)] = 114571,
  [SMALL_STATE(3859)] = 114627,
  [SMALL_STATE(3860)] = 114721,
  [SMALL_STATE(3861)] = 114777,
  [SMALL_STATE(3862)] = 114833,
  [SMALL_STATE(3863)] = 114889,
  [SMALL_STATE(3864)] = 114983,
  [SMALL_STATE(3865)] = 115055,
  [SMALL_STATE(3866)] = 115111,
  [SMALL_STATE(3867)] = 115167,
  [SMALL_STATE(3868)] = 115223,
  [SMALL_STATE(3869)] = 115295,
  [SMALL_STATE(3870)] = 115351,
  [SMALL_STATE(3871)] = 115407,
  [SMALL_STATE(3872)] = 115463,
  [SMALL_STATE(3873)] = 115519,
  [SMALL_STATE(3874)] = 115575,
  [SMALL_STATE(3875)] = 115631,
  [SMALL_STATE(3876)] = 115723,
  [SMALL_STATE(3877)] = 115779,
  [SMALL_STATE(3878)] = 115835,
  [SMALL_STATE(3879)] = 115891,
  [SMALL_STATE(3880)] = 115947,
  [SMALL_STATE(3881)] = 116003,
  [SMALL_STATE(3882)] = 116059,
  [SMALL_STATE(3883)] = 116115,
  [SMALL_STATE(3884)] = 116171,
  [SMALL_STATE(3885)] = 116227,
  [SMALL_STATE(3886)] = 116321,
  [SMALL_STATE(3887)] = 116377,
  [SMALL_STATE(3888)] = 116471,
  [SMALL_STATE(3889)] = 116527,
  [SMALL_STATE(3890)] = 116583,
  [SMALL_STATE(3891)] = 116639,
  [SMALL_STATE(3892)] = 116695,
  [SMALL_STATE(3893)] = 116751,
  [SMALL_STATE(3894)] = 116807,
  [SMALL_STATE(3895)] = 116863,
  [SMALL_STATE(3896)] = 116935,
  [SMALL_STATE(3897)] = 116997,
  [SMALL_STATE(3898)] = 117053,
  [SMALL_STATE(3899)] = 117109,
  [SMALL_STATE(3900)] = 117165,
  [SMALL_STATE(3901)] = 117221,
  [SMALL_STATE(3902)] = 117277,
  [SMALL_STATE(3903)] = 117333,
  [SMALL_STATE(3904)] = 117389,
  [SMALL_STATE(3905)] = 117445,
  [SMALL_STATE(3906)] = 117501,
  [SMALL_STATE(3907)] = 117573,
  [SMALL_STATE(3908)] = 117629,
  [SMALL_STATE(3909)] = 117723,
  [SMALL_STATE(3910)] = 117817,
  [SMALL_STATE(3911)] = 117873,
  [SMALL_STATE(3912)] = 117929,
  [SMALL_STATE(3913)] = 117985,
  [SMALL_STATE(3914)] = 118079,
  [SMALL_STATE(3915)] = 118135,
  [SMALL_STATE(3916)] = 118191,
  [SMALL_STATE(3917)] = 118261,
  [SMALL_STATE(3918)] = 118317,
  [SMALL_STATE(3919)] = 118373,
  [SMALL_STATE(3920)] = 118429,
  [SMALL_STATE(3921)] = 118485,
  [SMALL_STATE(3922)] = 118579,
  [SMALL_STATE(3923)] = 118635,
  [SMALL_STATE(3924)] = 118691,
  [SMALL_STATE(3925)] = 118747,
  [SMALL_STATE(3926)] = 118841,
  [SMALL_STATE(3927)] = 118897,
  [SMALL_STATE(3928)] = 118953,
  [SMALL_STATE(3929)] = 119009,
  [SMALL_STATE(3930)] = 119065,
  [SMALL_STATE(3931)] = 119121,
  [SMALL_STATE(3932)] = 119177,
  [SMALL_STATE(3933)] = 119233,
  [SMALL_STATE(3934)] = 119289,
  [SMALL_STATE(3935)] = 119345,
  [SMALL_STATE(3936)] = 119417,
  [SMALL_STATE(3937)] = 119473,
  [SMALL_STATE(3938)] = 119567,
  [SMALL_STATE(3939)] = 119661,
  [SMALL_STATE(3940)] = 119755,
  [SMALL_STATE(3941)] = 119811,
  [SMALL_STATE(3942)] = 119867,
  [SMALL_STATE(3943)] = 119923,
  [SMALL_STATE(3944)] = 119979,
  [SMALL_STATE(3945)] = 120073,
  [SMALL_STATE(3946)] = 120129,
  [SMALL_STATE(3947)] = 120193,
  [SMALL_STATE(3948)] = 120249,
  [SMALL_STATE(3949)] = 120343,
  [SMALL_STATE(3950)] = 120399,
  [SMALL_STATE(3951)] = 120455,
  [SMALL_STATE(3952)] = 120549,
  [SMALL_STATE(3953)] = 120605,
  [SMALL_STATE(3954)] = 120699,
  [SMALL_STATE(3955)] = 120759,
  [SMALL_STATE(3956)] = 120815,
  [SMALL_STATE(3957)] = 120871,
  [SMALL_STATE(3958)] = 120927,
  [SMALL_STATE(3959)] = 120983,
  [SMALL_STATE(3960)] = 121038,
  [SMALL_STATE(3961)] = 121127,
  [SMALL_STATE(3962)] = 121182,
  [SMALL_STATE(3963)] = 121241,
  [SMALL_STATE(3964)] = 121332,
  [SMALL_STATE(3965)] = 121391,
  [SMALL_STATE(3966)] = 121500,
  [SMALL_STATE(3967)] = 121589,
  [SMALL_STATE(3968)] = 121648,
  [SMALL_STATE(3969)] = 121719,
  [SMALL_STATE(3970)] = 121778,
  [SMALL_STATE(3971)] = 121849,
  [SMALL_STATE(3972)] = 121904,
  [SMALL_STATE(3973)] = 121963,
  [SMALL_STATE(3974)] = 122022,
  [SMALL_STATE(3975)] = 122081,
  [SMALL_STATE(3976)] = 122140,
  [SMALL_STATE(3977)] = 122231,
  [SMALL_STATE(3978)] = 122324,
  [SMALL_STATE(3979)] = 122413,
  [SMALL_STATE(3980)] = 122468,
  [SMALL_STATE(3981)] = 122527,
  [SMALL_STATE(3982)] = 122620,
  [SMALL_STATE(3983)] = 122691,
  [SMALL_STATE(3984)] = 122750,
  [SMALL_STATE(3985)] = 122809,
  [SMALL_STATE(3986)] = 122864,
  [SMALL_STATE(3987)] = 122957,
  [SMALL_STATE(3988)] = 123026,
  [SMALL_STATE(3989)] = 123085,
  [SMALL_STATE(3990)] = 123174,
  [SMALL_STATE(3991)] = 123229,
  [SMALL_STATE(3992)] = 123284,
  [SMALL_STATE(3993)] = 123393,
  [SMALL_STATE(3994)] = 123482,
  [SMALL_STATE(3995)] = 123575,
  [SMALL_STATE(3996)] = 123666,
  [SMALL_STATE(3997)] = 123721,
  [SMALL_STATE(3998)] = 123810,
  [SMALL_STATE(3999)] = 123869,
  [SMALL_STATE(4000)] = 123960,
  [SMALL_STATE(4001)] = 124015,
  [SMALL_STATE(4002)] = 124076,
  [SMALL_STATE(4003)] = 124131,
  [SMALL_STATE(4004)] = 124196,
  [SMALL_STATE(4005)] = 124267,
  [SMALL_STATE(4006)] = 124322,
  [SMALL_STATE(4007)] = 124386,
  [SMALL_STATE(4008)] = 124446,
  [SMALL_STATE(4009)] = 124530,
  [SMALL_STATE(4010)] = 124614,
  [SMALL_STATE(4011)] = 124704,
  [SMALL_STATE(4012)] = 124776,
  [SMALL_STATE(4013)] = 124866,
  [SMALL_STATE(4014)] = 124920,
  [SMALL_STATE(4015)] = 124984,
  [SMALL_STATE(4016)] = 125044,
  [SMALL_STATE(4017)] = 125104,
  [SMALL_STATE(4018)] = 125168,
  [SMALL_STATE(4019)] = 125222,
  [SMALL_STATE(4020)] = 125282,
  [SMALL_STATE(4021)] = 125372,
  [SMALL_STATE(4022)] = 125432,
  [SMALL_STATE(4023)] = 125504,
  [SMALL_STATE(4024)] = 125570,
  [SMALL_STATE(4025)] = 125630,
  [SMALL_STATE(4026)] = 125684,
  [SMALL_STATE(4027)] = 125744,
  [SMALL_STATE(4028)] = 125798,
  [SMALL_STATE(4029)] = 125852,
  [SMALL_STATE(4030)] = 125906,
  [SMALL_STATE(4031)] = 125996,
  [SMALL_STATE(4032)] = 126050,
  [SMALL_STATE(4033)] = 126110,
  [SMALL_STATE(4034)] = 126172,
  [SMALL_STATE(4035)] = 126226,
  [SMALL_STATE(4036)] = 126279,
  [SMALL_STATE(4037)] = 126346,
  [SMALL_STATE(4038)] = 126401,
  [SMALL_STATE(4039)] = 126460,
  [SMALL_STATE(4040)] = 126531,
  [SMALL_STATE(4041)] = 126620,
  [SMALL_STATE(4042)] = 126685,
  [SMALL_STATE(4043)] = 126752,
  [SMALL_STATE(4044)] = 126819,
  [SMALL_STATE(4045)] = 126906,
  [SMALL_STATE(4046)] = 126995,
  [SMALL_STATE(4047)] = 127066,
  [SMALL_STATE(4048)] = 127131,
  [SMALL_STATE(4049)] = 127230,
  [SMALL_STATE(4050)] = 127317,
  [SMALL_STATE(4051)] = 127369,
  [SMALL_STATE(4052)] = 127427,
  [SMALL_STATE(4053)] = 127479,
  [SMALL_STATE(4054)] = 127531,
  [SMALL_STATE(4055)] = 127583,
  [SMALL_STATE(4056)] = 127651,
  [SMALL_STATE(4057)] = 127703,
  [SMALL_STATE(4058)] = 127789,
  [SMALL_STATE(4059)] = 127841,
  [SMALL_STATE(4060)] = 127893,
  [SMALL_STATE(4061)] = 127979,
  [SMALL_STATE(4062)] = 128065,
  [SMALL_STATE(4063)] = 128127,
  [SMALL_STATE(4064)] = 128213,
  [SMALL_STATE(4065)] = 128297,
  [SMALL_STATE(4066)] = 128349,
  [SMALL_STATE(4067)] = 128401,
  [SMALL_STATE(4068)] = 128489,
  [SMALL_STATE(4069)] = 128541,
  [SMALL_STATE(4070)] = 128593,
  [SMALL_STATE(4071)] = 128645,
  [SMALL_STATE(4072)] = 128733,
  [SMALL_STATE(4073)] = 128785,
  [SMALL_STATE(4074)] = 128865,
  [SMALL_STATE(4075)] = 128945,
  [SMALL_STATE(4076)] = 129031,
  [SMALL_STATE(4077)] = 129083,
  [SMALL_STATE(4078)] = 129135,
  [SMALL_STATE(4079)] = 129221,
  [SMALL_STATE(4080)] = 129289,
  [SMALL_STATE(4081)] = 129341,
  [SMALL_STATE(4082)] = 129425,
  [SMALL_STATE(4083)] = 129485,
  [SMALL_STATE(4084)] = 129537,
  [SMALL_STATE(4085)] = 129623,
  [SMALL_STATE(4086)] = 129675,
  [SMALL_STATE(4087)] = 129727,
  [SMALL_STATE(4088)] = 129779,
  [SMALL_STATE(4089)] = 129847,
  [SMALL_STATE(4090)] = 129899,
  [SMALL_STATE(4091)] = 129979,
  [SMALL_STATE(4092)] = 130035,
  [SMALL_STATE(4093)] = 130115,
  [SMALL_STATE(4094)] = 130167,
  [SMALL_STATE(4095)] = 130219,
  [SMALL_STATE(4096)] = 130271,
  [SMALL_STATE(4097)] = 130323,
  [SMALL_STATE(4098)] = 130403,
  [SMALL_STATE(4099)] = 130483,
  [SMALL_STATE(4100)] = 130569,
  [SMALL_STATE(4101)] = 130657,
  [SMALL_STATE(4102)] = 130709,
  [SMALL_STATE(4103)] = 130761,
  [SMALL_STATE(4104)] = 130813,
  [SMALL_STATE(4105)] = 130899,
  [SMALL_STATE(4106)] = 130951,
  [SMALL_STATE(4107)] = 131019,
  [SMALL_STATE(4108)] = 131099,
  [SMALL_STATE(4109)] = 131151,
  [SMALL_STATE(4110)] = 131231,
  [SMALL_STATE(4111)] = 131311,
  [SMALL_STATE(4112)] = 131391,
  [SMALL_STATE(4113)] = 131443,
  [SMALL_STATE(4114)] = 131523,
  [SMALL_STATE(4115)] = 131609,
  [SMALL_STATE(4116)] = 131697,
  [SMALL_STATE(4117)] = 131777,
  [SMALL_STATE(4118)] = 131832,
  [SMALL_STATE(4119)] = 131893,
  [SMALL_STATE(4120)] = 131948,
  [SMALL_STATE(4121)] = 132001,
  [SMALL_STATE(4122)] = 132076,
  [SMALL_STATE(4123)] = 132163,
  [SMALL_STATE(4124)] = 132230,
  [SMALL_STATE(4125)] = 132285,
  [SMALL_STATE(4126)] = 132346,
  [SMALL_STATE(4127)] = 132421,
  [SMALL_STATE(4128)] = 132488,
  [SMALL_STATE(4129)] = 132543,
  [SMALL_STATE(4130)] = 132598,
  [SMALL_STATE(4131)] = 132653,
  [SMALL_STATE(4132)] = 132718,
  [SMALL_STATE(4133)] = 132779,
  [SMALL_STATE(4134)] = 132834,
  [SMALL_STATE(4135)] = 132889,
  [SMALL_STATE(4136)] = 132944,
  [SMALL_STATE(4137)] = 132999,
  [SMALL_STATE(4138)] = 133102,
  [SMALL_STATE(4139)] = 133169,
  [SMALL_STATE(4140)] = 133224,
  [SMALL_STATE(4141)] = 133281,
  [SMALL_STATE(4142)] = 133338,
  [SMALL_STATE(4143)] = 133437,
  [SMALL_STATE(4144)] = 133540,
  [SMALL_STATE(4145)] = 133607,
  [SMALL_STATE(4146)] = 133658,
  [SMALL_STATE(4147)] = 133715,
  [SMALL_STATE(4148)] = 133818,
  [SMALL_STATE(4149)] = 133869,
  [SMALL_STATE(4150)] = 133952,
  [SMALL_STATE(4151)] = 134003,
  [SMALL_STATE(4152)] = 134072,
  [SMALL_STATE(4153)] = 134171,
  [SMALL_STATE(4154)] = 134246,
  [SMALL_STATE(4155)] = 134301,
  [SMALL_STATE(4156)] = 134356,
  [SMALL_STATE(4157)] = 134455,
  [SMALL_STATE(4158)] = 134512,
  [SMALL_STATE(4159)] = 134563,
  [SMALL_STATE(4160)] = 134658,
  [SMALL_STATE(4161)] = 134733,
  [SMALL_STATE(4162)] = 134826,
  [SMALL_STATE(4163)] = 134917,
  [SMALL_STATE(4164)] = 134982,
  [SMALL_STATE(4165)] = 135033,
  [SMALL_STATE(4166)] = 135132,
  [SMALL_STATE(4167)] = 135219,
  [SMALL_STATE(4168)] = 135322,
  [SMALL_STATE(4169)] = 135421,
  [SMALL_STATE(4170)] = 135508,
  [SMALL_STATE(4171)] = 135581,
  [SMALL_STATE(4172)] = 135670,
  [SMALL_STATE(4173)] = 135755,
  [SMALL_STATE(4174)] = 135806,
  [SMALL_STATE(4175)] = 135877,
  [SMALL_STATE(4176)] = 135930,
  [SMALL_STATE(4177)] = 136013,
  [SMALL_STATE(4178)] = 136074,
  [SMALL_STATE(4179)] = 136157,
  [SMALL_STATE(4180)] = 136244,
  [SMALL_STATE(4181)] = 136323,
  [SMALL_STATE(4182)] = 136379,
  [SMALL_STATE(4183)] = 136461,
  [SMALL_STATE(4184)] = 136513,
  [SMALL_STATE(4185)] = 136595,
  [SMALL_STATE(4186)] = 136677,
  [SMALL_STATE(4187)] = 136727,
  [SMALL_STATE(4188)] = 136811,
  [SMALL_STATE(4189)] = 136893,
  [SMALL_STATE(4190)] = 136999,
  [SMALL_STATE(4191)] = 137049,
  [SMALL_STATE(4192)] = 137127,
  [SMALL_STATE(4193)] = 137177,
  [SMALL_STATE(4194)] = 137261,
  [SMALL_STATE(4195)] = 137339,
  [SMALL_STATE(4196)] = 137389,
  [SMALL_STATE(4197)] = 137441,
  [SMALL_STATE(4198)] = 137519,
  [SMALL_STATE(4199)] = 137575,
  [SMALL_STATE(4200)] = 137681,
  [SMALL_STATE(4201)] = 137735,
  [SMALL_STATE(4202)] = 137785,
  [SMALL_STATE(4203)] = 137841,
  [SMALL_STATE(4204)] = 137891,
  [SMALL_STATE(4205)] = 137945,
  [SMALL_STATE(4206)] = 138051,
  [SMALL_STATE(4207)] = 138129,
  [SMALL_STATE(4208)] = 138185,
  [SMALL_STATE(4209)] = 138269,
  [SMALL_STATE(4210)] = 138337,
  [SMALL_STATE(4211)] = 138421,
  [SMALL_STATE(4212)] = 138480,
  [SMALL_STATE(4213)] = 138557,
  [SMALL_STATE(4214)] = 138606,
  [SMALL_STATE(4215)] = 138683,
  [SMALL_STATE(4216)] = 138768,
  [SMALL_STATE(4217)] = 138817,
  [SMALL_STATE(4218)] = 138894,
  [SMALL_STATE(4219)] = 138969,
  [SMALL_STATE(4220)] = 139046,
  [SMALL_STATE(4221)] = 139101,
  [SMALL_STATE(4222)] = 139178,
  [SMALL_STATE(4223)] = 139227,
  [SMALL_STATE(4224)] = 139304,
  [SMALL_STATE(4225)] = 139381,
  [SMALL_STATE(4226)] = 139458,
  [SMALL_STATE(4227)] = 139515,
  [SMALL_STATE(4228)] = 139592,
  [SMALL_STATE(4229)] = 139667,
  [SMALL_STATE(4230)] = 139716,
  [SMALL_STATE(4231)] = 139807,
  [SMALL_STATE(4232)] = 139866,
  [SMALL_STATE(4233)] = 139957,
  [SMALL_STATE(4234)] = 140042,
  [SMALL_STATE(4235)] = 140091,
  [SMALL_STATE(4236)] = 140166,
  [SMALL_STATE(4237)] = 140219,
  [SMALL_STATE(4238)] = 140284,
  [SMALL_STATE(4239)] = 140361,
  [SMALL_STATE(4240)] = 140410,
  [SMALL_STATE(4241)] = 140469,
  [SMALL_STATE(4242)] = 140546,
  [SMALL_STATE(4243)] = 140595,
  [SMALL_STATE(4244)] = 140672,
  [SMALL_STATE(4245)] = 140749,
  [SMALL_STATE(4246)] = 140826,
  [SMALL_STATE(4247)] = 140877,
  [SMALL_STATE(4248)] = 140954,
  [SMALL_STATE(4249)] = 141031,
  [SMALL_STATE(4250)] = 141108,
  [SMALL_STATE(4251)] = 141183,
  [SMALL_STATE(4252)] = 141260,
  [SMALL_STATE(4253)] = 141323,
  [SMALL_STATE(4254)] = 141372,
  [SMALL_STATE(4255)] = 141449,
  [SMALL_STATE(4256)] = 141498,
  [SMALL_STATE(4257)] = 141547,
  [SMALL_STATE(4258)] = 141596,
  [SMALL_STATE(4259)] = 141645,
  [SMALL_STATE(4260)] = 141722,
  [SMALL_STATE(4261)] = 141799,
  [SMALL_STATE(4262)] = 141848,
  [SMALL_STATE(4263)] = 141929,
  [SMALL_STATE(4264)] = 141978,
  [SMALL_STATE(4265)] = 142059,
  [SMALL_STATE(4266)] = 142108,
  [SMALL_STATE(4267)] = 142157,
  [SMALL_STATE(4268)] = 142220,
  [SMALL_STATE(4269)] = 142269,
  [SMALL_STATE(4270)] = 142318,
  [SMALL_STATE(4271)] = 142399,
  [SMALL_STATE(4272)] = 142480,
  [SMALL_STATE(4273)] = 142529,
  [SMALL_STATE(4274)] = 142606,
  [SMALL_STATE(4275)] = 142683,
  [SMALL_STATE(4276)] = 142760,
  [SMALL_STATE(4277)] = 142809,
  [SMALL_STATE(4278)] = 142858,
  [SMALL_STATE(4279)] = 142917,
  [SMALL_STATE(4280)] = 142994,
  [SMALL_STATE(4281)] = 143043,
  [SMALL_STATE(4282)] = 143109,
  [SMALL_STATE(4283)] = 143193,
  [SMALL_STATE(4284)] = 143281,
  [SMALL_STATE(4285)] = 143371,
  [SMALL_STATE(4286)] = 143437,
  [SMALL_STATE(4287)] = 143485,
  [SMALL_STATE(4288)] = 143559,
  [SMALL_STATE(4289)] = 143607,
  [SMALL_STATE(4290)] = 143655,
  [SMALL_STATE(4291)] = 143703,
  [SMALL_STATE(4292)] = 143751,
  [SMALL_STATE(4293)] = 143851,
  [SMALL_STATE(4294)] = 143925,
  [SMALL_STATE(4295)] = 143995,
  [SMALL_STATE(4296)] = 144053,
  [SMALL_STATE(4297)] = 144101,
  [SMALL_STATE(4298)] = 144175,
  [SMALL_STATE(4299)] = 144243,
  [SMALL_STATE(4300)] = 144315,
  [SMALL_STATE(4301)] = 144391,
  [SMALL_STATE(4302)] = 144469,
  [SMALL_STATE(4303)] = 144551,
  [SMALL_STATE(4304)] = 144605,
  [SMALL_STATE(4305)] = 144659,
  [SMALL_STATE(4306)] = 144741,
  [SMALL_STATE(4307)] = 144789,
  [SMALL_STATE(4308)] = 144837,
  [SMALL_STATE(4309)] = 144933,
  [SMALL_STATE(4310)] = 144985,
  [SMALL_STATE(4311)] = 145037,
  [SMALL_STATE(4312)] = 145133,
  [SMALL_STATE(4313)] = 145185,
  [SMALL_STATE(4314)] = 145275,
  [SMALL_STATE(4315)] = 145367,
  [SMALL_STATE(4316)] = 145419,
  [SMALL_STATE(4317)] = 145511,
  [SMALL_STATE(4318)] = 145563,
  [SMALL_STATE(4319)] = 145615,
  [SMALL_STATE(4320)] = 145667,
  [SMALL_STATE(4321)] = 145741,
  [SMALL_STATE(4322)] = 145821,
  [SMALL_STATE(4323)] = 145915,
  [SMALL_STATE(4324)] = 145967,
  [SMALL_STATE(4325)] = 146019,
  [SMALL_STATE(4326)] = 146111,
  [SMALL_STATE(4327)] = 146163,
  [SMALL_STATE(4328)] = 146215,
  [SMALL_STATE(4329)] = 146269,
  [SMALL_STATE(4330)] = 146321,
  [SMALL_STATE(4331)] = 146411,
  [SMALL_STATE(4332)] = 146507,
  [SMALL_STATE(4333)] = 146597,
  [SMALL_STATE(4334)] = 146693,
  [SMALL_STATE(4335)] = 146773,
  [SMALL_STATE(4336)] = 146825,
  [SMALL_STATE(4337)] = 146883,
  [SMALL_STATE(4338)] = 146953,
  [SMALL_STATE(4339)] = 147045,
  [SMALL_STATE(4340)] = 147113,
  [SMALL_STATE(4341)] = 147203,
  [SMALL_STATE(4342)] = 147297,
  [SMALL_STATE(4343)] = 147393,
  [SMALL_STATE(4344)] = 147483,
  [SMALL_STATE(4345)] = 147555,
  [SMALL_STATE(4346)] = 147613,
  [SMALL_STATE(4347)] = 147679,
  [SMALL_STATE(4348)] = 147729,
  [SMALL_STATE(4349)] = 147779,
  [SMALL_STATE(4350)] = 147829,
  [SMALL_STATE(4351)] = 147917,
  [SMALL_STATE(4352)] = 148009,
  [SMALL_STATE(4353)] = 148087,
  [SMALL_STATE(4354)] = 148173,
  [SMALL_STATE(4355)] = 148267,
  [SMALL_STATE(4356)] = 148315,
  [SMALL_STATE(4357)] = 148391,
  [SMALL_STATE(4358)] = 148475,
  [SMALL_STATE(4359)] = 148572,
  [SMALL_STATE(4360)] = 148625,
  [SMALL_STATE(4361)] = 148678,
  [SMALL_STATE(4362)] = 148731,
  [SMALL_STATE(4363)] = 148828,
  [SMALL_STATE(4364)] = 148881,
  [SMALL_STATE(4365)] = 148978,
  [SMALL_STATE(4366)] = 149039,
  [SMALL_STATE(4367)] = 149092,
  [SMALL_STATE(4368)] = 149187,
  [SMALL_STATE(4369)] = 149262,
  [SMALL_STATE(4370)] = 149359,
  [SMALL_STATE(4371)] = 149456,
  [SMALL_STATE(4372)] = 149553,
  [SMALL_STATE(4373)] = 149632,
  [SMALL_STATE(4374)] = 149729,
  [SMALL_STATE(4375)] = 149790,
  [SMALL_STATE(4376)] = 149843,
  [SMALL_STATE(4377)] = 149900,
  [SMALL_STATE(4378)] = 149953,
  [SMALL_STATE(4379)] = 150006,
  [SMALL_STATE(4380)] = 150103,
  [SMALL_STATE(4381)] = 150152,
  [SMALL_STATE(4382)] = 150249,
  [SMALL_STATE(4383)] = 150302,
  [SMALL_STATE(4384)] = 150349,
  [SMALL_STATE(4385)] = 150402,
  [SMALL_STATE(4386)] = 150499,
  [SMALL_STATE(4387)] = 150552,
  [SMALL_STATE(4388)] = 150599,
  [SMALL_STATE(4389)] = 150696,
  [SMALL_STATE(4390)] = 150769,
  [SMALL_STATE(4391)] = 150822,
  [SMALL_STATE(4392)] = 150897,
  [SMALL_STATE(4393)] = 150994,
  [SMALL_STATE(4394)] = 151091,
  [SMALL_STATE(4395)] = 151138,
  [SMALL_STATE(4396)] = 151213,
  [SMALL_STATE(4397)] = 151310,
  [SMALL_STATE(4398)] = 151363,
  [SMALL_STATE(4399)] = 151460,
  [SMALL_STATE(4400)] = 151533,
  [SMALL_STATE(4401)] = 151628,
  [SMALL_STATE(4402)] = 151701,
  [SMALL_STATE(4403)] = 151798,
  [SMALL_STATE(4404)] = 151895,
  [SMALL_STATE(4405)] = 151942,
  [SMALL_STATE(4406)] = 152039,
  [SMALL_STATE(4407)] = 152112,
  [SMALL_STATE(4408)] = 152165,
  [SMALL_STATE(4409)] = 152240,
  [SMALL_STATE(4410)] = 152337,
  [SMALL_STATE(4411)] = 152434,
  [SMALL_STATE(4412)] = 152531,
  [SMALL_STATE(4413)] = 152628,
  [SMALL_STATE(4414)] = 152681,
  [SMALL_STATE(4415)] = 152746,
  [SMALL_STATE(4416)] = 152799,
  [SMALL_STATE(4417)] = 152874,
  [SMALL_STATE(4418)] = 152923,
  [SMALL_STATE(4419)] = 153020,
  [SMALL_STATE(4420)] = 153117,
  [SMALL_STATE(4421)] = 153170,
  [SMALL_STATE(4422)] = 153267,
  [SMALL_STATE(4423)] = 153364,
  [SMALL_STATE(4424)] = 153461,
  [SMALL_STATE(4425)] = 153534,
  [SMALL_STATE(4426)] = 153609,
  [SMALL_STATE(4427)] = 153662,
  [SMALL_STATE(4428)] = 153759,
  [SMALL_STATE(4429)] = 153856,
  [SMALL_STATE(4430)] = 153931,
  [SMALL_STATE(4431)] = 154028,
  [SMALL_STATE(4432)] = 154125,
  [SMALL_STATE(4433)] = 154222,
  [SMALL_STATE(4434)] = 154319,
  [SMALL_STATE(4435)] = 154416,
  [SMALL_STATE(4436)] = 154481,
  [SMALL_STATE(4437)] = 154578,
  [SMALL_STATE(4438)] = 154653,
  [SMALL_STATE(4439)] = 154750,
  [SMALL_STATE(4440)] = 154847,
  [SMALL_STATE(4441)] = 154920,
  [SMALL_STATE(4442)] = 155017,
  [SMALL_STATE(4443)] = 155070,
  [SMALL_STATE(4444)] = 155123,
  [SMALL_STATE(4445)] = 155196,
  [SMALL_STATE(4446)] = 155293,
  [SMALL_STATE(4447)] = 155372,
  [SMALL_STATE(4448)] = 155445,
  [SMALL_STATE(4449)] = 155542,
  [SMALL_STATE(4450)] = 155639,
  [SMALL_STATE(4451)] = 155736,
  [SMALL_STATE(4452)] = 155789,
  [SMALL_STATE(4453)] = 155883,
  [SMALL_STATE(4454)] = 155929,
  [SMALL_STATE(4455)] = 156023,
  [SMALL_STATE(4456)] = 156095,
  [SMALL_STATE(4457)] = 156183,
  [SMALL_STATE(4458)] = 156277,
  [SMALL_STATE(4459)] = 156371,
  [SMALL_STATE(4460)] = 156429,
  [SMALL_STATE(4461)] = 156521,
  [SMALL_STATE(4462)] = 156609,
  [SMALL_STATE(4463)] = 156695,
  [SMALL_STATE(4464)] = 156755,
  [SMALL_STATE(4465)] = 156815,
  [SMALL_STATE(4466)] = 156861,
  [SMALL_STATE(4467)] = 156907,
  [SMALL_STATE(4468)] = 157001,
  [SMALL_STATE(4469)] = 157047,
  [SMALL_STATE(4470)] = 157141,
  [SMALL_STATE(4471)] = 157187,
  [SMALL_STATE(4472)] = 157279,
  [SMALL_STATE(4473)] = 157325,
  [SMALL_STATE(4474)] = 157371,
  [SMALL_STATE(4475)] = 157417,
  [SMALL_STATE(4476)] = 157511,
  [SMALL_STATE(4477)] = 157569,
  [SMALL_STATE(4478)] = 157661,
  [SMALL_STATE(4479)] = 157753,
  [SMALL_STATE(4480)] = 157811,
  [SMALL_STATE(4481)] = 157903,
  [SMALL_STATE(4482)] = 157995,
  [SMALL_STATE(4483)] = 158083,
  [SMALL_STATE(4484)] = 158175,
  [SMALL_STATE(4485)] = 158263,
  [SMALL_STATE(4486)] = 158335,
  [SMALL_STATE(4487)] = 158429,
  [SMALL_STATE(4488)] = 158507,
  [SMALL_STATE(4489)] = 158561,
  [SMALL_STATE(4490)] = 158607,
  [SMALL_STATE(4491)] = 158701,
  [SMALL_STATE(4492)] = 158761,
  [SMALL_STATE(4493)] = 158855,
  [SMALL_STATE(4494)] = 158927,
  [SMALL_STATE(4495)] = 158999,
  [SMALL_STATE(4496)] = 159087,
  [SMALL_STATE(4497)] = 159181,
  [SMALL_STATE(4498)] = 159273,
  [SMALL_STATE(4499)] = 159367,
  [SMALL_STATE(4500)] = 159439,
  [SMALL_STATE(4501)] = 159523,
  [SMALL_STATE(4502)] = 159615,
  [SMALL_STATE(4503)] = 159709,
  [SMALL_STATE(4504)] = 159781,
  [SMALL_STATE(4505)] = 159863,
  [SMALL_STATE(4506)] = 159955,
  [SMALL_STATE(4507)] = 160001,
  [SMALL_STATE(4508)] = 160059,
  [SMALL_STATE(4509)] = 160131,
  [SMALL_STATE(4510)] = 160209,
  [SMALL_STATE(4511)] = 160289,
  [SMALL_STATE(4512)] = 160339,
  [SMALL_STATE(4513)] = 160433,
  [SMALL_STATE(4514)] = 160525,
  [SMALL_STATE(4515)] = 160617,
  [SMALL_STATE(4516)] = 160711,
  [SMALL_STATE(4517)] = 160757,
  [SMALL_STATE(4518)] = 160835,
  [SMALL_STATE(4519)] = 160923,
  [SMALL_STATE(4520)] = 160993,
  [SMALL_STATE(4521)] = 161087,
  [SMALL_STATE(4522)] = 161181,
  [SMALL_STATE(4523)] = 161227,
  [SMALL_STATE(4524)] = 161321,
  [SMALL_STATE(4525)] = 161387,
  [SMALL_STATE(4526)] = 161465,
  [SMALL_STATE(4527)] = 161559,
  [SMALL_STATE(4528)] = 161611,
  [SMALL_STATE(4529)] = 161683,
  [SMALL_STATE(4530)] = 161777,
  [SMALL_STATE(4531)] = 161851,
  [SMALL_STATE(4532)] = 161945,
  [SMALL_STATE(4533)] = 162021,
  [SMALL_STATE(4534)] = 162113,
  [SMALL_STATE(4535)] = 162205,
  [SMALL_STATE(4536)] = 162265,
  [SMALL_STATE(4537)] = 162359,
  [SMALL_STATE(4538)] = 162405,
  [SMALL_STATE(4539)] = 162485,
  [SMALL_STATE(4540)] = 162531,
  [SMALL_STATE(4541)] = 162591,
  [SMALL_STATE(4542)] = 162685,
  [SMALL_STATE(4543)] = 162779,
  [SMALL_STATE(4544)] = 162825,
  [SMALL_STATE(4545)] = 162907,
  [SMALL_STATE(4546)] = 162993,
  [SMALL_STATE(4547)] = 163085,
  [SMALL_STATE(4548)] = 163177,
  [SMALL_STATE(4549)] = 163261,
  [SMALL_STATE(4550)] = 163347,
  [SMALL_STATE(4551)] = 163441,
  [SMALL_STATE(4552)] = 163487,
  [SMALL_STATE(4553)] = 163575,
  [SMALL_STATE(4554)] = 163623,
  [SMALL_STATE(4555)] = 163715,
  [SMALL_STATE(4556)] = 163761,
  [SMALL_STATE(4557)] = 163855,
  [SMALL_STATE(4558)] = 163927,
  [SMALL_STATE(4559)] = 164019,
  [SMALL_STATE(4560)] = 164065,
  [SMALL_STATE(4561)] = 164125,
  [SMALL_STATE(4562)] = 164219,
  [SMALL_STATE(4563)] = 164307,
  [SMALL_STATE(4564)] = 164395,
  [SMALL_STATE(4565)] = 164487,
  [SMALL_STATE(4566)] = 164581,
  [SMALL_STATE(4567)] = 164673,
  [SMALL_STATE(4568)] = 164719,
  [SMALL_STATE(4569)] = 164807,
  [SMALL_STATE(4570)] = 164895,
  [SMALL_STATE(4571)] = 164941,
  [SMALL_STATE(4572)] = 164987,
  [SMALL_STATE(4573)] = 165081,
  [SMALL_STATE(4574)] = 165175,
  [SMALL_STATE(4575)] = 165221,
  [SMALL_STATE(4576)] = 165309,
  [SMALL_STATE(4577)] = 165403,
  [SMALL_STATE(4578)] = 165463,
  [SMALL_STATE(4579)] = 165555,
  [SMALL_STATE(4580)] = 165647,
  [SMALL_STATE(4581)] = 165693,
  [SMALL_STATE(4582)] = 165785,
  [SMALL_STATE(4583)] = 165873,
  [SMALL_STATE(4584)] = 165919,
  [SMALL_STATE(4585)] = 165987,
  [SMALL_STATE(4586)] = 166079,
  [SMALL_STATE(4587)] = 166147,
  [SMALL_STATE(4588)] = 166213,
  [SMALL_STATE(4589)] = 166283,
  [SMALL_STATE(4590)] = 166357,
  [SMALL_STATE(4591)] = 166451,
  [SMALL_STATE(4592)] = 166527,
  [SMALL_STATE(4593)] = 166607,
  [SMALL_STATE(4594)] = 166689,
  [SMALL_STATE(4595)] = 166735,
  [SMALL_STATE(4596)] = 166781,
  [SMALL_STATE(4597)] = 166865,
  [SMALL_STATE(4598)] = 166959,
  [SMALL_STATE(4599)] = 167005,
  [SMALL_STATE(4600)] = 167091,
  [SMALL_STATE(4601)] = 167137,
  [SMALL_STATE(4602)] = 167197,
  [SMALL_STATE(4603)] = 167291,
  [SMALL_STATE(4604)] = 167337,
  [SMALL_STATE(4605)] = 167401,
  [SMALL_STATE(4606)] = 167447,
  [SMALL_STATE(4607)] = 167535,
  [SMALL_STATE(4608)] = 167599,
  [SMALL_STATE(4609)] = 167645,
  [SMALL_STATE(4610)] = 167739,
  [SMALL_STATE(4611)] = 167797,
  [SMALL_STATE(4612)] = 167889,
  [SMALL_STATE(4613)] = 167935,
  [SMALL_STATE(4614)] = 168001,
  [SMALL_STATE(4615)] = 168093,
  [SMALL_STATE(4616)] = 168141,
  [SMALL_STATE(4617)] = 168235,
  [SMALL_STATE(4618)] = 168323,
  [SMALL_STATE(4619)] = 168417,
  [SMALL_STATE(4620)] = 168511,
  [SMALL_STATE(4621)] = 168603,
  [SMALL_STATE(4622)] = 168667,
  [SMALL_STATE(4623)] = 168737,
  [SMALL_STATE(4624)] = 168795,
  [SMALL_STATE(4625)] = 168889,
  [SMALL_STATE(4626)] = 168935,
  [SMALL_STATE(4627)] = 169029,
  [SMALL_STATE(4628)] = 169123,
  [SMALL_STATE(4629)] = 169217,
  [SMALL_STATE(4630)] = 169263,
  [SMALL_STATE(4631)] = 169355,
  [SMALL_STATE(4632)] = 169401,
  [SMALL_STATE(4633)] = 169447,
  [SMALL_STATE(4634)] = 169541,
  [SMALL_STATE(4635)] = 169615,
  [SMALL_STATE(4636)] = 169691,
  [SMALL_STATE(4637)] = 169737,
  [SMALL_STATE(4638)] = 169828,
  [SMALL_STATE(4639)] = 169919,
  [SMALL_STATE(4640)] = 170010,
  [SMALL_STATE(4641)] = 170101,
  [SMALL_STATE(4642)] = 170192,
  [SMALL_STATE(4643)] = 170283,
  [SMALL_STATE(4644)] = 170374,
  [SMALL_STATE(4645)] = 170465,
  [SMALL_STATE(4646)] = 170556,
  [SMALL_STATE(4647)] = 170647,
  [SMALL_STATE(4648)] = 170738,
  [SMALL_STATE(4649)] = 170829,
  [SMALL_STATE(4650)] = 170920,
  [SMALL_STATE(4651)] = 171011,
  [SMALL_STATE(4652)] = 171102,
  [SMALL_STATE(4653)] = 171193,
  [SMALL_STATE(4654)] = 171284,
  [SMALL_STATE(4655)] = 171375,
  [SMALL_STATE(4656)] = 171466,
  [SMALL_STATE(4657)] = 171557,
  [SMALL_STATE(4658)] = 171602,
  [SMALL_STATE(4659)] = 171693,
  [SMALL_STATE(4660)] = 171784,
  [SMALL_STATE(4661)] = 171875,
  [SMALL_STATE(4662)] = 171966,
  [SMALL_STATE(4663)] = 172057,
  [SMALL_STATE(4664)] = 172148,
  [SMALL_STATE(4665)] = 172237,
  [SMALL_STATE(4666)] = 172328,
  [SMALL_STATE(4667)] = 172419,
  [SMALL_STATE(4668)] = 172510,
  [SMALL_STATE(4669)] = 172601,
  [SMALL_STATE(4670)] = 172692,
  [SMALL_STATE(4671)] = 172773,
  [SMALL_STATE(4672)] = 172864,
  [SMALL_STATE(4673)] = 172945,
  [SMALL_STATE(4674)] = 173036,
  [SMALL_STATE(4675)] = 173127,
  [SMALL_STATE(4676)] = 173218,
  [SMALL_STATE(4677)] = 173309,
  [SMALL_STATE(4678)] = 173400,
  [SMALL_STATE(4679)] = 173491,
  [SMALL_STATE(4680)] = 173582,
  [SMALL_STATE(4681)] = 173673,
  [SMALL_STATE(4682)] = 173764,
  [SMALL_STATE(4683)] = 173855,
  [SMALL_STATE(4684)] = 173942,
  [SMALL_STATE(4685)] = 174033,
  [SMALL_STATE(4686)] = 174078,
  [SMALL_STATE(4687)] = 174169,
  [SMALL_STATE(4688)] = 174250,
  [SMALL_STATE(4689)] = 174341,
  [SMALL_STATE(4690)] = 174432,
  [SMALL_STATE(4691)] = 174523,
  [SMALL_STATE(4692)] = 174614,
  [SMALL_STATE(4693)] = 174705,
  [SMALL_STATE(4694)] = 174796,
  [SMALL_STATE(4695)] = 174887,
  [SMALL_STATE(4696)] = 174978,
  [SMALL_STATE(4697)] = 175033,
  [SMALL_STATE(4698)] = 175114,
  [SMALL_STATE(4699)] = 175205,
  [SMALL_STATE(4700)] = 175296,
  [SMALL_STATE(4701)] = 175387,
  [SMALL_STATE(4702)] = 175478,
  [SMALL_STATE(4703)] = 175569,
  [SMALL_STATE(4704)] = 175660,
  [SMALL_STATE(4705)] = 175751,
  [SMALL_STATE(4706)] = 175842,
  [SMALL_STATE(4707)] = 175933,
  [SMALL_STATE(4708)] = 176004,
  [SMALL_STATE(4709)] = 176085,
  [SMALL_STATE(4710)] = 176176,
  [SMALL_STATE(4711)] = 176267,
  [SMALL_STATE(4712)] = 176358,
  [SMALL_STATE(4713)] = 176449,
  [SMALL_STATE(4714)] = 176540,
  [SMALL_STATE(4715)] = 176631,
  [SMALL_STATE(4716)] = 176722,
  [SMALL_STATE(4717)] = 176793,
  [SMALL_STATE(4718)] = 176838,
  [SMALL_STATE(4719)] = 176929,
  [SMALL_STATE(4720)] = 177000,
  [SMALL_STATE(4721)] = 177091,
  [SMALL_STATE(4722)] = 177182,
  [SMALL_STATE(4723)] = 177273,
  [SMALL_STATE(4724)] = 177364,
  [SMALL_STATE(4725)] = 177435,
  [SMALL_STATE(4726)] = 177526,
  [SMALL_STATE(4727)] = 177617,
  [SMALL_STATE(4728)] = 177708,
  [SMALL_STATE(4729)] = 177789,
  [SMALL_STATE(4730)] = 177880,
  [SMALL_STATE(4731)] = 177971,
  [SMALL_STATE(4732)] = 178062,
  [SMALL_STATE(4733)] = 178117,
  [SMALL_STATE(4734)] = 178208,
  [SMALL_STATE(4735)] = 178299,
  [SMALL_STATE(4736)] = 178390,
  [SMALL_STATE(4737)] = 178477,
  [SMALL_STATE(4738)] = 178568,
  [SMALL_STATE(4739)] = 178659,
  [SMALL_STATE(4740)] = 178750,
  [SMALL_STATE(4741)] = 178841,
  [SMALL_STATE(4742)] = 178932,
  [SMALL_STATE(4743)] = 179023,
  [SMALL_STATE(4744)] = 179104,
  [SMALL_STATE(4745)] = 179195,
  [SMALL_STATE(4746)] = 179286,
  [SMALL_STATE(4747)] = 179377,
  [SMALL_STATE(4748)] = 179468,
  [SMALL_STATE(4749)] = 179559,
  [SMALL_STATE(4750)] = 179650,
  [SMALL_STATE(4751)] = 179741,
  [SMALL_STATE(4752)] = 179832,
  [SMALL_STATE(4753)] = 179923,
  [SMALL_STATE(4754)] = 180014,
  [SMALL_STATE(4755)] = 180097,
  [SMALL_STATE(4756)] = 180188,
  [SMALL_STATE(4757)] = 180279,
  [SMALL_STATE(4758)] = 180370,
  [SMALL_STATE(4759)] = 180461,
  [SMALL_STATE(4760)] = 180508,
  [SMALL_STATE(4761)] = 180599,
  [SMALL_STATE(4762)] = 180690,
  [SMALL_STATE(4763)] = 180781,
  [SMALL_STATE(4764)] = 180872,
  [SMALL_STATE(4765)] = 180963,
  [SMALL_STATE(4766)] = 181054,
  [SMALL_STATE(4767)] = 181145,
  [SMALL_STATE(4768)] = 181199,
  [SMALL_STATE(4769)] = 181249,
  [SMALL_STATE(4770)] = 181327,
  [SMALL_STATE(4771)] = 181413,
  [SMALL_STATE(4772)] = 181459,
  [SMALL_STATE(4773)] = 181503,
  [SMALL_STATE(4774)] = 181547,
  [SMALL_STATE(4775)] = 181591,
  [SMALL_STATE(4776)] = 181641,
  [SMALL_STATE(4777)] = 181699,
  [SMALL_STATE(4778)] = 181769,
  [SMALL_STATE(4779)] = 181839,
  [SMALL_STATE(4780)] = 181917,
  [SMALL_STATE(4781)] = 181987,
  [SMALL_STATE(4782)] = 182057,
  [SMALL_STATE(4783)] = 182101,
  [SMALL_STATE(4784)] = 182187,
  [SMALL_STATE(4785)] = 182237,
  [SMALL_STATE(4786)] = 182307,
  [SMALL_STATE(4787)] = 182357,
  [SMALL_STATE(4788)] = 182407,
  [SMALL_STATE(4789)] = 182465,
  [SMALL_STATE(4790)] = 182509,
  [SMALL_STATE(4791)] = 182559,
  [SMALL_STATE(4792)] = 182603,
  [SMALL_STATE(4793)] = 182647,
  [SMALL_STATE(4794)] = 182691,
  [SMALL_STATE(4795)] = 182741,
  [SMALL_STATE(4796)] = 182819,
  [SMALL_STATE(4797)] = 182869,
  [SMALL_STATE(4798)] = 182913,
  [SMALL_STATE(4799)] = 182989,
  [SMALL_STATE(4800)] = 183075,
  [SMALL_STATE(4801)] = 183151,
  [SMALL_STATE(4802)] = 183201,
  [SMALL_STATE(4803)] = 183245,
  [SMALL_STATE(4804)] = 183289,
  [SMALL_STATE(4805)] = 183333,
  [SMALL_STATE(4806)] = 183381,
  [SMALL_STATE(4807)] = 183451,
  [SMALL_STATE(4808)] = 183495,
  [SMALL_STATE(4809)] = 183553,
  [SMALL_STATE(4810)] = 183623,
  [SMALL_STATE(4811)] = 183667,
  [SMALL_STATE(4812)] = 183711,
  [SMALL_STATE(4813)] = 183755,
  [SMALL_STATE(4814)] = 183799,
  [SMALL_STATE(4815)] = 183843,
  [SMALL_STATE(4816)] = 183913,
  [SMALL_STATE(4817)] = 183999,
  [SMALL_STATE(4818)] = 184049,
  [SMALL_STATE(4819)] = 184093,
  [SMALL_STATE(4820)] = 184163,
  [SMALL_STATE(4821)] = 184207,
  [SMALL_STATE(4822)] = 184285,
  [SMALL_STATE(4823)] = 184355,
  [SMALL_STATE(4824)] = 184399,
  [SMALL_STATE(4825)] = 184443,
  [SMALL_STATE(4826)] = 184521,
  [SMALL_STATE(4827)] = 184565,
  [SMALL_STATE(4828)] = 184609,
  [SMALL_STATE(4829)] = 184697,
  [SMALL_STATE(4830)] = 184743,
  [SMALL_STATE(4831)] = 184787,
  [SMALL_STATE(4832)] = 184857,
  [SMALL_STATE(4833)] = 184901,
  [SMALL_STATE(4834)] = 184979,
  [SMALL_STATE(4835)] = 185041,
  [SMALL_STATE(4836)] = 185089,
  [SMALL_STATE(4837)] = 185167,
  [SMALL_STATE(4838)] = 185211,
  [SMALL_STATE(4839)] = 185261,
  [SMALL_STATE(4840)] = 185347,
  [SMALL_STATE(4841)] = 185391,
  [SMALL_STATE(4842)] = 185435,
  [SMALL_STATE(4843)] = 185487,
  [SMALL_STATE(4844)] = 185545,
  [SMALL_STATE(4845)] = 185589,
  [SMALL_STATE(4846)] = 185633,
  [SMALL_STATE(4847)] = 185677,
  [SMALL_STATE(4848)] = 185721,
  [SMALL_STATE(4849)] = 185771,
  [SMALL_STATE(4850)] = 185823,
  [SMALL_STATE(4851)] = 185871,
  [SMALL_STATE(4852)] = 185941,
  [SMALL_STATE(4853)] = 186003,
  [SMALL_STATE(4854)] = 186047,
  [SMALL_STATE(4855)] = 186099,
  [SMALL_STATE(4856)] = 186149,
  [SMALL_STATE(4857)] = 186235,
  [SMALL_STATE(4858)] = 186279,
  [SMALL_STATE(4859)] = 186323,
  [SMALL_STATE(4860)] = 186367,
  [SMALL_STATE(4861)] = 186445,
  [SMALL_STATE(4862)] = 186489,
  [SMALL_STATE(4863)] = 186574,
  [SMALL_STATE(4864)] = 186617,
  [SMALL_STATE(4865)] = 186702,
  [SMALL_STATE(4866)] = 186787,
  [SMALL_STATE(4867)] = 186834,
  [SMALL_STATE(4868)] = 186919,
  [SMALL_STATE(4869)] = 186966,
  [SMALL_STATE(4870)] = 187035,
  [SMALL_STATE(4871)] = 187078,
  [SMALL_STATE(4872)] = 187163,
  [SMALL_STATE(4873)] = 187232,
  [SMALL_STATE(4874)] = 187301,
  [SMALL_STATE(4875)] = 187348,
  [SMALL_STATE(4876)] = 187417,
  [SMALL_STATE(4877)] = 187502,
  [SMALL_STATE(4878)] = 187571,
  [SMALL_STATE(4879)] = 187618,
  [SMALL_STATE(4880)] = 187703,
  [SMALL_STATE(4881)] = 187746,
  [SMALL_STATE(4882)] = 187789,
  [SMALL_STATE(4883)] = 187832,
  [SMALL_STATE(4884)] = 187875,
  [SMALL_STATE(4885)] = 187918,
  [SMALL_STATE(4886)] = 188003,
  [SMALL_STATE(4887)] = 188050,
  [SMALL_STATE(4888)] = 188119,
  [SMALL_STATE(4889)] = 188162,
  [SMALL_STATE(4890)] = 188205,
  [SMALL_STATE(4891)] = 188248,
  [SMALL_STATE(4892)] = 188291,
  [SMALL_STATE(4893)] = 188334,
  [SMALL_STATE(4894)] = 188377,
  [SMALL_STATE(4895)] = 188422,
  [SMALL_STATE(4896)] = 188465,
  [SMALL_STATE(4897)] = 188550,
  [SMALL_STATE(4898)] = 188635,
  [SMALL_STATE(4899)] = 188720,
  [SMALL_STATE(4900)] = 188767,
  [SMALL_STATE(4901)] = 188810,
  [SMALL_STATE(4902)] = 188895,
  [SMALL_STATE(4903)] = 188980,
  [SMALL_STATE(4904)] = 189027,
  [SMALL_STATE(4905)] = 189074,
  [SMALL_STATE(4906)] = 189143,
  [SMALL_STATE(4907)] = 189190,
  [SMALL_STATE(4908)] = 189281,
  [SMALL_STATE(4909)] = 189324,
  [SMALL_STATE(4910)] = 189381,
  [SMALL_STATE(4911)] = 189450,
  [SMALL_STATE(4912)] = 189493,
  [SMALL_STATE(4913)] = 189536,
  [SMALL_STATE(4914)] = 189579,
  [SMALL_STATE(4915)] = 189624,
  [SMALL_STATE(4916)] = 189667,
  [SMALL_STATE(4917)] = 189710,
  [SMALL_STATE(4918)] = 189795,
  [SMALL_STATE(4919)] = 189838,
  [SMALL_STATE(4920)] = 189923,
  [SMALL_STATE(4921)] = 189970,
  [SMALL_STATE(4922)] = 190013,
  [SMALL_STATE(4923)] = 190060,
  [SMALL_STATE(4924)] = 190145,
  [SMALL_STATE(4925)] = 190188,
  [SMALL_STATE(4926)] = 190231,
  [SMALL_STATE(4927)] = 190284,
  [SMALL_STATE(4928)] = 190327,
  [SMALL_STATE(4929)] = 190412,
  [SMALL_STATE(4930)] = 190455,
  [SMALL_STATE(4931)] = 190498,
  [SMALL_STATE(4932)] = 190555,
  [SMALL_STATE(4933)] = 190640,
  [SMALL_STATE(4934)] = 190725,
  [SMALL_STATE(4935)] = 190768,
  [SMALL_STATE(4936)] = 190811,
  [SMALL_STATE(4937)] = 190858,
  [SMALL_STATE(4938)] = 190943,
  [SMALL_STATE(4939)] = 191028,
  [SMALL_STATE(4940)] = 191113,
  [SMALL_STATE(4941)] = 191156,
  [SMALL_STATE(4942)] = 191241,
  [SMALL_STATE(4943)] = 191326,
  [SMALL_STATE(4944)] = 191411,
  [SMALL_STATE(4945)] = 191454,
  [SMALL_STATE(4946)] = 191539,
  [SMALL_STATE(4947)] = 191582,
  [SMALL_STATE(4948)] = 191625,
  [SMALL_STATE(4949)] = 191710,
  [SMALL_STATE(4950)] = 191753,
  [SMALL_STATE(4951)] = 191796,
  [SMALL_STATE(4952)] = 191839,
  [SMALL_STATE(4953)] = 191924,
  [SMALL_STATE(4954)] = 191967,
  [SMALL_STATE(4955)] = 192010,
  [SMALL_STATE(4956)] = 192056,
  [SMALL_STATE(4957)] = 192134,
  [SMALL_STATE(4958)] = 192180,
  [SMALL_STATE(4959)] = 192226,
  [SMALL_STATE(4960)] = 192304,
  [SMALL_STATE(4961)] = 192360,
  [SMALL_STATE(4962)] = 192406,
  [SMALL_STATE(4963)] = 192490,
  [SMALL_STATE(4964)] = 192536,
  [SMALL_STATE(4965)] = 192582,
  [SMALL_STATE(4966)] = 192666,
  [SMALL_STATE(4967)] = 192744,
  [SMALL_STATE(4968)] = 192790,
  [SMALL_STATE(4969)] = 192868,
  [SMALL_STATE(4970)] = 192922,
  [SMALL_STATE(4971)] = 192968,
  [SMALL_STATE(4972)] = 193014,
  [SMALL_STATE(4973)] = 193070,
  [SMALL_STATE(4974)] = 193116,
  [SMALL_STATE(4975)] = 193162,
  [SMALL_STATE(4976)] = 193208,
  [SMALL_STATE(4977)] = 193259,
  [SMALL_STATE(4978)] = 193336,
  [SMALL_STATE(4979)] = 193413,
  [SMALL_STATE(4980)] = 193492,
  [SMALL_STATE(4981)] = 193571,
  [SMALL_STATE(4982)] = 193648,
  [SMALL_STATE(4983)] = 193727,
  [SMALL_STATE(4984)] = 193806,
  [SMALL_STATE(4985)] = 193885,
  [SMALL_STATE(4986)] = 193964,
  [SMALL_STATE(4987)] = 194043,
  [SMALL_STATE(4988)] = 194120,
  [SMALL_STATE(4989)] = 194199,
  [SMALL_STATE(4990)] = 194282,
  [SMALL_STATE(4991)] = 194359,
  [SMALL_STATE(4992)] = 194438,
  [SMALL_STATE(4993)] = 194515,
  [SMALL_STATE(4994)] = 194594,
  [SMALL_STATE(4995)] = 194671,
  [SMALL_STATE(4996)] = 194750,
  [SMALL_STATE(4997)] = 194833,
  [SMALL_STATE(4998)] = 194912,
  [SMALL_STATE(4999)] = 194991,
  [SMALL_STATE(5000)] = 195070,
  [SMALL_STATE(5001)] = 195149,
  [SMALL_STATE(5002)] = 195228,
  [SMALL_STATE(5003)] = 195305,
  [SMALL_STATE(5004)] = 195388,
  [SMALL_STATE(5005)] = 195465,
  [SMALL_STATE(5006)] = 195548,
  [SMALL_STATE(5007)] = 195627,
  [SMALL_STATE(5008)] = 195706,
  [SMALL_STATE(5009)] = 195785,
  [SMALL_STATE(5010)] = 195864,
  [SMALL_STATE(5011)] = 195943,
  [SMALL_STATE(5012)] = 196026,
  [SMALL_STATE(5013)] = 196103,
  [SMALL_STATE(5014)] = 196186,
  [SMALL_STATE(5015)] = 196265,
  [SMALL_STATE(5016)] = 196344,
  [SMALL_STATE(5017)] = 196423,
  [SMALL_STATE(5018)] = 196490,
  [SMALL_STATE(5019)] = 196569,
  [SMALL_STATE(5020)] = 196648,
  [SMALL_STATE(5021)] = 196727,
  [SMALL_STATE(5022)] = 196806,
  [SMALL_STATE(5023)] = 196873,
  [SMALL_STATE(5024)] = 196952,
  [SMALL_STATE(5025)] = 197031,
  [SMALL_STATE(5026)] = 197108,
  [SMALL_STATE(5027)] = 197187,
  [SMALL_STATE(5028)] = 197266,
  [SMALL_STATE(5029)] = 197345,
  [SMALL_STATE(5030)] = 197424,
  [SMALL_STATE(5031)] = 197501,
  [SMALL_STATE(5032)] = 197580,
  [SMALL_STATE(5033)] = 197659,
  [SMALL_STATE(5034)] = 197738,
  [SMALL_STATE(5035)] = 197817,
  [SMALL_STATE(5036)] = 197884,
  [SMALL_STATE(5037)] = 197963,
  [SMALL_STATE(5038)] = 198030,
  [SMALL_STATE(5039)] = 198109,
  [SMALL_STATE(5040)] = 198191,
  [SMALL_STATE(5041)] = 198239,
  [SMALL_STATE(5042)] = 198315,
  [SMALL_STATE(5043)] = 198391,
  [SMALL_STATE(5044)] = 198467,
  [SMALL_STATE(5045)] = 198543,
  [SMALL_STATE(5046)] = 198587,
  [SMALL_STATE(5047)] = 198663,
  [SMALL_STATE(5048)] = 198715,
  [SMALL_STATE(5049)] = 198797,
  [SMALL_STATE(5050)] = 198873,
  [SMALL_STATE(5051)] = 198949,
  [SMALL_STATE(5052)] = 199025,
  [SMALL_STATE(5053)] = 199107,
  [SMALL_STATE(5054)] = 199155,
  [SMALL_STATE(5055)] = 199231,
  [SMALL_STATE(5056)] = 199307,
  [SMALL_STATE(5057)] = 199383,
  [SMALL_STATE(5058)] = 199459,
  [SMALL_STATE(5059)] = 199535,
  [SMALL_STATE(5060)] = 199581,
  [SMALL_STATE(5061)] = 199657,
  [SMALL_STATE(5062)] = 199733,
  [SMALL_STATE(5063)] = 199809,
  [SMALL_STATE(5064)] = 199885,
  [SMALL_STATE(5065)] = 199961,
  [SMALL_STATE(5066)] = 200037,
  [SMALL_STATE(5067)] = 200113,
  [SMALL_STATE(5068)] = 200195,
  [SMALL_STATE(5069)] = 200247,
  [SMALL_STATE(5070)] = 200328,
  [SMALL_STATE(5071)] = 200409,
  [SMALL_STATE(5072)] = 200490,
  [SMALL_STATE(5073)] = 200571,
  [SMALL_STATE(5074)] = 200652,
  [SMALL_STATE(5075)] = 200733,
  [SMALL_STATE(5076)] = 200814,
  [SMALL_STATE(5077)] = 200895,
  [SMALL_STATE(5078)] = 200976,
  [SMALL_STATE(5079)] = 201057,
  [SMALL_STATE(5080)] = 201138,
  [SMALL_STATE(5081)] = 201219,
  [SMALL_STATE(5082)] = 201300,
  [SMALL_STATE(5083)] = 201381,
  [SMALL_STATE(5084)] = 201462,
  [SMALL_STATE(5085)] = 201543,
  [SMALL_STATE(5086)] = 201624,
  [SMALL_STATE(5087)] = 201705,
  [SMALL_STATE(5088)] = 201786,
  [SMALL_STATE(5089)] = 201867,
  [SMALL_STATE(5090)] = 201948,
  [SMALL_STATE(5091)] = 202029,
  [SMALL_STATE(5092)] = 202110,
  [SMALL_STATE(5093)] = 202191,
  [SMALL_STATE(5094)] = 202272,
  [SMALL_STATE(5095)] = 202353,
  [SMALL_STATE(5096)] = 202434,
  [SMALL_STATE(5097)] = 202515,
  [SMALL_STATE(5098)] = 202596,
  [SMALL_STATE(5099)] = 202677,
  [SMALL_STATE(5100)] = 202758,
  [SMALL_STATE(5101)] = 202839,
  [SMALL_STATE(5102)] = 202920,
  [SMALL_STATE(5103)] = 203001,
  [SMALL_STATE(5104)] = 203082,
  [SMALL_STATE(5105)] = 203163,
  [SMALL_STATE(5106)] = 203244,
  [SMALL_STATE(5107)] = 203325,
  [SMALL_STATE(5108)] = 203406,
  [SMALL_STATE(5109)] = 203487,
  [SMALL_STATE(5110)] = 203568,
  [SMALL_STATE(5111)] = 203649,
  [SMALL_STATE(5112)] = 203730,
  [SMALL_STATE(5113)] = 203811,
  [SMALL_STATE(5114)] = 203892,
  [SMALL_STATE(5115)] = 203973,
  [SMALL_STATE(5116)] = 204054,
  [SMALL_STATE(5117)] = 204135,
  [SMALL_STATE(5118)] = 204216,
  [SMALL_STATE(5119)] = 204297,
  [SMALL_STATE(5120)] = 204378,
  [SMALL_STATE(5121)] = 204459,
  [SMALL_STATE(5122)] = 204540,
  [SMALL_STATE(5123)] = 204621,
  [SMALL_STATE(5124)] = 204702,
  [SMALL_STATE(5125)] = 204783,
  [SMALL_STATE(5126)] = 204864,
  [SMALL_STATE(5127)] = 204945,
  [SMALL_STATE(5128)] = 205026,
  [SMALL_STATE(5129)] = 205107,
  [SMALL_STATE(5130)] = 205188,
  [SMALL_STATE(5131)] = 205269,
  [SMALL_STATE(5132)] = 205350,
  [SMALL_STATE(5133)] = 205431,
  [SMALL_STATE(5134)] = 205512,
  [SMALL_STATE(5135)] = 205593,
  [SMALL_STATE(5136)] = 205674,
  [SMALL_STATE(5137)] = 205755,
  [SMALL_STATE(5138)] = 205836,
  [SMALL_STATE(5139)] = 205917,
  [SMALL_STATE(5140)] = 205998,
  [SMALL_STATE(5141)] = 206079,
  [SMALL_STATE(5142)] = 206160,
  [SMALL_STATE(5143)] = 206241,
  [SMALL_STATE(5144)] = 206322,
  [SMALL_STATE(5145)] = 206403,
  [SMALL_STATE(5146)] = 206484,
  [SMALL_STATE(5147)] = 206565,
  [SMALL_STATE(5148)] = 206646,
  [SMALL_STATE(5149)] = 206727,
  [SMALL_STATE(5150)] = 206808,
  [SMALL_STATE(5151)] = 206889,
  [SMALL_STATE(5152)] = 206964,
  [SMALL_STATE(5153)] = 207039,
  [SMALL_STATE(5154)] = 207120,
  [SMALL_STATE(5155)] = 207201,
  [SMALL_STATE(5156)] = 207282,
  [SMALL_STATE(5157)] = 207363,
  [SMALL_STATE(5158)] = 207444,
  [SMALL_STATE(5159)] = 207525,
  [SMALL_STATE(5160)] = 207606,
  [SMALL_STATE(5161)] = 207687,
  [SMALL_STATE(5162)] = 207768,
  [SMALL_STATE(5163)] = 207843,
  [SMALL_STATE(5164)] = 207924,
  [SMALL_STATE(5165)] = 208005,
  [SMALL_STATE(5166)] = 208080,
  [SMALL_STATE(5167)] = 208161,
  [SMALL_STATE(5168)] = 208204,
  [SMALL_STATE(5169)] = 208285,
  [SMALL_STATE(5170)] = 208366,
  [SMALL_STATE(5171)] = 208440,
  [SMALL_STATE(5172)] = 208518,
  [SMALL_STATE(5173)] = 208592,
  [SMALL_STATE(5174)] = 208662,
  [SMALL_STATE(5175)] = 208736,
  [SMALL_STATE(5176)] = 208774,
  [SMALL_STATE(5177)] = 208852,
  [SMALL_STATE(5178)] = 208922,
  [SMALL_STATE(5179)] = 208996,
  [SMALL_STATE(5180)] = 209070,
  [SMALL_STATE(5181)] = 209144,
  [SMALL_STATE(5182)] = 209222,
  [SMALL_STATE(5183)] = 209296,
  [SMALL_STATE(5184)] = 209374,
  [SMALL_STATE(5185)] = 209452,
  [SMALL_STATE(5186)] = 209522,
  [SMALL_STATE(5187)] = 209600,
  [SMALL_STATE(5188)] = 209678,
  [SMALL_STATE(5189)] = 209748,
  [SMALL_STATE(5190)] = 209826,
  [SMALL_STATE(5191)] = 209896,
  [SMALL_STATE(5192)] = 209974,
  [SMALL_STATE(5193)] = 210012,
  [SMALL_STATE(5194)] = 210086,
  [SMALL_STATE(5195)] = 210164,
  [SMALL_STATE(5196)] = 210242,
  [SMALL_STATE(5197)] = 210316,
  [SMALL_STATE(5198)] = 210394,
  [SMALL_STATE(5199)] = 210472,
  [SMALL_STATE(5200)] = 210550,
  [SMALL_STATE(5201)] = 210624,
  [SMALL_STATE(5202)] = 210702,
  [SMALL_STATE(5203)] = 210776,
  [SMALL_STATE(5204)] = 210854,
  [SMALL_STATE(5205)] = 210924,
  [SMALL_STATE(5206)] = 211002,
  [SMALL_STATE(5207)] = 211072,
  [SMALL_STATE(5208)] = 211146,
  [SMALL_STATE(5209)] = 211224,
  [SMALL_STATE(5210)] = 211294,
  [SMALL_STATE(5211)] = 211361,
  [SMALL_STATE(5212)] = 211428,
  [SMALL_STATE(5213)] = 211495,
  [SMALL_STATE(5214)] = 211568,
  [SMALL_STATE(5215)] = 211641,
  [SMALL_STATE(5216)] = 211708,
  [SMALL_STATE(5217)] = 211781,
  [SMALL_STATE(5218)] = 211854,
  [SMALL_STATE(5219)] = 211927,
  [SMALL_STATE(5220)] = 212000,
  [SMALL_STATE(5221)] = 212067,
  [SMALL_STATE(5222)] = 212134,
  [SMALL_STATE(5223)] = 212207,
  [SMALL_STATE(5224)] = 212274,
  [SMALL_STATE(5225)] = 212341,
  [SMALL_STATE(5226)] = 212408,
  [SMALL_STATE(5227)] = 212469,
  [SMALL_STATE(5228)] = 212536,
  [SMALL_STATE(5229)] = 212603,
  [SMALL_STATE(5230)] = 212664,
  [SMALL_STATE(5231)] = 212731,
  [SMALL_STATE(5232)] = 212798,
  [SMALL_STATE(5233)] = 212865,
  [SMALL_STATE(5234)] = 212906,
  [SMALL_STATE(5235)] = 212973,
  [SMALL_STATE(5236)] = 213040,
  [SMALL_STATE(5237)] = 213113,
  [SMALL_STATE(5238)] = 213180,
  [SMALL_STATE(5239)] = 213247,
  [SMALL_STATE(5240)] = 213308,
  [SMALL_STATE(5241)] = 213375,
  [SMALL_STATE(5242)] = 213442,
  [SMALL_STATE(5243)] = 213509,
  [SMALL_STATE(5244)] = 213576,
  [SMALL_STATE(5245)] = 213643,
  [SMALL_STATE(5246)] = 213710,
  [SMALL_STATE(5247)] = 213777,
  [SMALL_STATE(5248)] = 213838,
  [SMALL_STATE(5249)] = 213905,
  [SMALL_STATE(5250)] = 213972,
  [SMALL_STATE(5251)] = 214039,
  [SMALL_STATE(5252)] = 214106,
  [SMALL_STATE(5253)] = 214173,
  [SMALL_STATE(5254)] = 214240,
  [SMALL_STATE(5255)] = 214307,
  [SMALL_STATE(5256)] = 214374,
  [SMALL_STATE(5257)] = 214441,
  [SMALL_STATE(5258)] = 214507,
  [SMALL_STATE(5259)] = 214573,
  [SMALL_STATE(5260)] = 214639,
  [SMALL_STATE(5261)] = 214705,
  [SMALL_STATE(5262)] = 214771,
  [SMALL_STATE(5263)] = 214837,
  [SMALL_STATE(5264)] = 214875,
  [SMALL_STATE(5265)] = 214941,
  [SMALL_STATE(5266)] = 215007,
  [SMALL_STATE(5267)] = 215073,
  [SMALL_STATE(5268)] = 215139,
  [SMALL_STATE(5269)] = 215205,
  [SMALL_STATE(5270)] = 215271,
  [SMALL_STATE(5271)] = 215337,
  [SMALL_STATE(5272)] = 215403,
  [SMALL_STATE(5273)] = 215469,
  [SMALL_STATE(5274)] = 215535,
  [SMALL_STATE(5275)] = 215601,
  [SMALL_STATE(5276)] = 215667,
  [SMALL_STATE(5277)] = 215732,
  [SMALL_STATE(5278)] = 215797,
  [SMALL_STATE(5279)] = 215862,
  [SMALL_STATE(5280)] = 215927,
  [SMALL_STATE(5281)] = 215992,
  [SMALL_STATE(5282)] = 216057,
  [SMALL_STATE(5283)] = 216122,
  [SMALL_STATE(5284)] = 216187,
  [SMALL_STATE(5285)] = 216252,
  [SMALL_STATE(5286)] = 216317,
  [SMALL_STATE(5287)] = 216382,
  [SMALL_STATE(5288)] = 216447,
  [SMALL_STATE(5289)] = 216512,
  [SMALL_STATE(5290)] = 216577,
  [SMALL_STATE(5291)] = 216642,
  [SMALL_STATE(5292)] = 216707,
  [SMALL_STATE(5293)] = 216772,
  [SMALL_STATE(5294)] = 216837,
  [SMALL_STATE(5295)] = 216902,
  [SMALL_STATE(5296)] = 216967,
  [SMALL_STATE(5297)] = 217032,
  [SMALL_STATE(5298)] = 217097,
  [SMALL_STATE(5299)] = 217162,
  [SMALL_STATE(5300)] = 217227,
  [SMALL_STATE(5301)] = 217292,
  [SMALL_STATE(5302)] = 217357,
  [SMALL_STATE(5303)] = 217422,
  [SMALL_STATE(5304)] = 217487,
  [SMALL_STATE(5305)] = 217552,
  [SMALL_STATE(5306)] = 217617,
  [SMALL_STATE(5307)] = 217681,
  [SMALL_STATE(5308)] = 217745,
  [SMALL_STATE(5309)] = 217809,
  [SMALL_STATE(5310)] = 217873,
  [SMALL_STATE(5311)] = 217937,
  [SMALL_STATE(5312)] = 218001,
  [SMALL_STATE(5313)] = 218064,
  [SMALL_STATE(5314)] = 218127,
  [SMALL_STATE(5315)] = 218188,
  [SMALL_STATE(5316)] = 218251,
  [SMALL_STATE(5317)] = 218314,
  [SMALL_STATE(5318)] = 218377,
  [SMALL_STATE(5319)] = 218440,
  [SMALL_STATE(5320)] = 218501,
  [SMALL_STATE(5321)] = 218552,
  [SMALL_STATE(5322)] = 218615,
  [SMALL_STATE(5323)] = 218678,
  [SMALL_STATE(5324)] = 218739,
  [SMALL_STATE(5325)] = 218802,
  [SMALL_STATE(5326)] = 218863,
  [SMALL_STATE(5327)] = 218914,
  [SMALL_STATE(5328)] = 218977,
  [SMALL_STATE(5329)] = 219040,
  [SMALL_STATE(5330)] = 219103,
  [SMALL_STATE(5331)] = 219166,
  [SMALL_STATE(5332)] = 219229,
  [SMALL_STATE(5333)] = 219290,
  [SMALL_STATE(5334)] = 219351,
  [SMALL_STATE(5335)] = 219412,
  [SMALL_STATE(5336)] = 219475,
  [SMALL_STATE(5337)] = 219538,
  [SMALL_STATE(5338)] = 219601,
  [SMALL_STATE(5339)] = 219652,
  [SMALL_STATE(5340)] = 219715,
  [SMALL_STATE(5341)] = 219777,
  [SMALL_STATE(5342)] = 219839,
  [SMALL_STATE(5343)] = 219901,
  [SMALL_STATE(5344)] = 219963,
  [SMALL_STATE(5345)] = 220025,
  [SMALL_STATE(5346)] = 220099,
  [SMALL_STATE(5347)] = 220161,
  [SMALL_STATE(5348)] = 220223,
  [SMALL_STATE(5349)] = 220265,
  [SMALL_STATE(5350)] = 220307,
  [SMALL_STATE(5351)] = 220369,
  [SMALL_STATE(5352)] = 220423,
  [SMALL_STATE(5353)] = 220485,
  [SMALL_STATE(5354)] = 220547,
  [SMALL_STATE(5355)] = 220621,
  [SMALL_STATE(5356)] = 220695,
  [SMALL_STATE(5357)] = 220757,
  [SMALL_STATE(5358)] = 220819,
  [SMALL_STATE(5359)] = 220872,
  [SMALL_STATE(5360)] = 220925,
  [SMALL_STATE(5361)] = 220978,
  [SMALL_STATE(5362)] = 221025,
  [SMALL_STATE(5363)] = 221078,
  [SMALL_STATE(5364)] = 221125,
  [SMALL_STATE(5365)] = 221178,
  [SMALL_STATE(5366)] = 221231,
  [SMALL_STATE(5367)] = 221284,
  [SMALL_STATE(5368)] = 221333,
  [SMALL_STATE(5369)] = 221380,
  [SMALL_STATE(5370)] = 221433,
  [SMALL_STATE(5371)] = 221486,
  [SMALL_STATE(5372)] = 221539,
  [SMALL_STATE(5373)] = 221592,
  [SMALL_STATE(5374)] = 221645,
  [SMALL_STATE(5375)] = 221698,
  [SMALL_STATE(5376)] = 221751,
  [SMALL_STATE(5377)] = 221804,
  [SMALL_STATE(5378)] = 221857,
  [SMALL_STATE(5379)] = 221910,
  [SMALL_STATE(5380)] = 221941,
  [SMALL_STATE(5381)] = 221994,
  [SMALL_STATE(5382)] = 222046,
  [SMALL_STATE(5383)] = 222080,
  [SMALL_STATE(5384)] = 222132,
  [SMALL_STATE(5385)] = 222166,
  [SMALL_STATE(5386)] = 222214,
  [SMALL_STATE(5387)] = 222264,
  [SMALL_STATE(5388)] = 222304,
  [SMALL_STATE(5389)] = 222342,
  [SMALL_STATE(5390)] = 222382,
  [SMALL_STATE(5391)] = 222432,
  [SMALL_STATE(5392)] = 222470,
  [SMALL_STATE(5393)] = 222508,
  [SMALL_STATE(5394)] = 222546,
  [SMALL_STATE(5395)] = 222584,
  [SMALL_STATE(5396)] = 222628,
  [SMALL_STATE(5397)] = 222680,
  [SMALL_STATE(5398)] = 222732,
  [SMALL_STATE(5399)] = 222784,
  [SMALL_STATE(5400)] = 222828,
  [SMALL_STATE(5401)] = 222872,
  [SMALL_STATE(5402)] = 222916,
  [SMALL_STATE(5403)] = 222968,
  [SMALL_STATE(5404)] = 223012,
  [SMALL_STATE(5405)] = 223062,
  [SMALL_STATE(5406)] = 223096,
  [SMALL_STATE(5407)] = 223148,
  [SMALL_STATE(5408)] = 223200,
  [SMALL_STATE(5409)] = 223252,
  [SMALL_STATE(5410)] = 223304,
  [SMALL_STATE(5411)] = 223356,
  [SMALL_STATE(5412)] = 223408,
  [SMALL_STATE(5413)] = 223460,
  [SMALL_STATE(5414)] = 223512,
  [SMALL_STATE(5415)] = 223564,
  [SMALL_STATE(5416)] = 223608,
  [SMALL_STATE(5417)] = 223642,
  [SMALL_STATE(5418)] = 223692,
  [SMALL_STATE(5419)] = 223742,
  [SMALL_STATE(5420)] = 223794,
  [SMALL_STATE(5421)] = 223838,
  [SMALL_STATE(5422)] = 223890,
  [SMALL_STATE(5423)] = 223942,
  [SMALL_STATE(5424)] = 223986,
  [SMALL_STATE(5425)] = 224030,
  [SMALL_STATE(5426)] = 224074,
  [SMALL_STATE(5427)] = 224118,
  [SMALL_STATE(5428)] = 224170,
  [SMALL_STATE(5429)] = 224220,
  [SMALL_STATE(5430)] = 224270,
  [SMALL_STATE(5431)] = 224322,
  [SMALL_STATE(5432)] = 224374,
  [SMALL_STATE(5433)] = 224418,
  [SMALL_STATE(5434)] = 224462,
  [SMALL_STATE(5435)] = 224506,
  [SMALL_STATE(5436)] = 224576,
  [SMALL_STATE(5437)] = 224628,
  [SMALL_STATE(5438)] = 224678,
  [SMALL_STATE(5439)] = 224728,
  [SMALL_STATE(5440)] = 224780,
  [SMALL_STATE(5441)] = 224832,
  [SMALL_STATE(5442)] = 224876,
  [SMALL_STATE(5443)] = 224920,
  [SMALL_STATE(5444)] = 224964,
  [SMALL_STATE(5445)] = 225016,
  [SMALL_STATE(5446)] = 225060,
  [SMALL_STATE(5447)] = 225098,
  [SMALL_STATE(5448)] = 225136,
  [SMALL_STATE(5449)] = 225174,
  [SMALL_STATE(5450)] = 225212,
  [SMALL_STATE(5451)] = 225250,
  [SMALL_STATE(5452)] = 225294,
  [SMALL_STATE(5453)] = 225346,
  [SMALL_STATE(5454)] = 225390,
  [SMALL_STATE(5455)] = 225434,
  [SMALL_STATE(5456)] = 225468,
  [SMALL_STATE(5457)] = 225512,
  [SMALL_STATE(5458)] = 225564,
  [SMALL_STATE(5459)] = 225596,
  [SMALL_STATE(5460)] = 225642,
  [SMALL_STATE(5461)] = 225686,
  [SMALL_STATE(5462)] = 225730,
  [SMALL_STATE(5463)] = 225774,
  [SMALL_STATE(5464)] = 225818,
  [SMALL_STATE(5465)] = 225862,
  [SMALL_STATE(5466)] = 225906,
  [SMALL_STATE(5467)] = 225950,
  [SMALL_STATE(5468)] = 226000,
  [SMALL_STATE(5469)] = 226044,
  [SMALL_STATE(5470)] = 226088,
  [SMALL_STATE(5471)] = 226132,
  [SMALL_STATE(5472)] = 226176,
  [SMALL_STATE(5473)] = 226226,
  [SMALL_STATE(5474)] = 226270,
  [SMALL_STATE(5475)] = 226314,
  [SMALL_STATE(5476)] = 226366,
  [SMALL_STATE(5477)] = 226418,
  [SMALL_STATE(5478)] = 226470,
  [SMALL_STATE(5479)] = 226522,
  [SMALL_STATE(5480)] = 226574,
  [SMALL_STATE(5481)] = 226626,
  [SMALL_STATE(5482)] = 226678,
  [SMALL_STATE(5483)] = 226722,
  [SMALL_STATE(5484)] = 226774,
  [SMALL_STATE(5485)] = 226818,
  [SMALL_STATE(5486)] = 226870,
  [SMALL_STATE(5487)] = 226920,
  [SMALL_STATE(5488)] = 226990,
  [SMALL_STATE(5489)] = 227042,
  [SMALL_STATE(5490)] = 227094,
  [SMALL_STATE(5491)] = 227138,
  [SMALL_STATE(5492)] = 227208,
  [SMALL_STATE(5493)] = 227260,
  [SMALL_STATE(5494)] = 227312,
  [SMALL_STATE(5495)] = 227356,
  [SMALL_STATE(5496)] = 227408,
  [SMALL_STATE(5497)] = 227467,
  [SMALL_STATE(5498)] = 227526,
  [SMALL_STATE(5499)] = 227585,
  [SMALL_STATE(5500)] = 227644,
  [SMALL_STATE(5501)] = 227703,
  [SMALL_STATE(5502)] = 227762,
  [SMALL_STATE(5503)] = 227821,
  [SMALL_STATE(5504)] = 227880,
  [SMALL_STATE(5505)] = 227939,
  [SMALL_STATE(5506)] = 227998,
  [SMALL_STATE(5507)] = 228043,
  [SMALL_STATE(5508)] = 228102,
  [SMALL_STATE(5509)] = 228161,
  [SMALL_STATE(5510)] = 228222,
  [SMALL_STATE(5511)] = 228281,
  [SMALL_STATE(5512)] = 228340,
  [SMALL_STATE(5513)] = 228399,
  [SMALL_STATE(5514)] = 228458,
  [SMALL_STATE(5515)] = 228517,
  [SMALL_STATE(5516)] = 228576,
  [SMALL_STATE(5517)] = 228635,
  [SMALL_STATE(5518)] = 228694,
  [SMALL_STATE(5519)] = 228753,
  [SMALL_STATE(5520)] = 228812,
  [SMALL_STATE(5521)] = 228871,
  [SMALL_STATE(5522)] = 228930,
  [SMALL_STATE(5523)] = 228989,
  [SMALL_STATE(5524)] = 229050,
  [SMALL_STATE(5525)] = 229087,
  [SMALL_STATE(5526)] = 229146,
  [SMALL_STATE(5527)] = 229205,
  [SMALL_STATE(5528)] = 229264,
  [SMALL_STATE(5529)] = 229323,
  [SMALL_STATE(5530)] = 229382,
  [SMALL_STATE(5531)] = 229441,
  [SMALL_STATE(5532)] = 229502,
  [SMALL_STATE(5533)] = 229539,
  [SMALL_STATE(5534)] = 229576,
  [SMALL_STATE(5535)] = 229635,
  [SMALL_STATE(5536)] = 229672,
  [SMALL_STATE(5537)] = 229709,
  [SMALL_STATE(5538)] = 229768,
  [SMALL_STATE(5539)] = 229827,
  [SMALL_STATE(5540)] = 229864,
  [SMALL_STATE(5541)] = 229893,
  [SMALL_STATE(5542)] = 229952,
  [SMALL_STATE(5543)] = 230011,
  [SMALL_STATE(5544)] = 230072,
  [SMALL_STATE(5545)] = 230131,
  [SMALL_STATE(5546)] = 230190,
  [SMALL_STATE(5547)] = 230249,
  [SMALL_STATE(5548)] = 230308,
  [SMALL_STATE(5549)] = 230367,
  [SMALL_STATE(5550)] = 230426,
  [SMALL_STATE(5551)] = 230463,
  [SMALL_STATE(5552)] = 230492,
  [SMALL_STATE(5553)] = 230521,
  [SMALL_STATE(5554)] = 230580,
  [SMALL_STATE(5555)] = 230639,
  [SMALL_STATE(5556)] = 230698,
  [SMALL_STATE(5557)] = 230759,
  [SMALL_STATE(5558)] = 230818,
  [SMALL_STATE(5559)] = 230877,
  [SMALL_STATE(5560)] = 230936,
  [SMALL_STATE(5561)] = 230995,
  [SMALL_STATE(5562)] = 231054,
  [SMALL_STATE(5563)] = 231113,
  [SMALL_STATE(5564)] = 231172,
  [SMALL_STATE(5565)] = 231231,
  [SMALL_STATE(5566)] = 231290,
  [SMALL_STATE(5567)] = 231349,
  [SMALL_STATE(5568)] = 231408,
  [SMALL_STATE(5569)] = 231467,
  [SMALL_STATE(5570)] = 231526,
  [SMALL_STATE(5571)] = 231559,
  [SMALL_STATE(5572)] = 231618,
  [SMALL_STATE(5573)] = 231677,
  [SMALL_STATE(5574)] = 231736,
  [SMALL_STATE(5575)] = 231773,
  [SMALL_STATE(5576)] = 231802,
  [SMALL_STATE(5577)] = 231831,
  [SMALL_STATE(5578)] = 231860,
  [SMALL_STATE(5579)] = 231889,
  [SMALL_STATE(5580)] = 231948,
  [SMALL_STATE(5581)] = 232007,
  [SMALL_STATE(5582)] = 232066,
  [SMALL_STATE(5583)] = 232095,
  [SMALL_STATE(5584)] = 232154,
  [SMALL_STATE(5585)] = 232183,
  [SMALL_STATE(5586)] = 232242,
  [SMALL_STATE(5587)] = 232271,
  [SMALL_STATE(5588)] = 232300,
  [SMALL_STATE(5589)] = 232329,
  [SMALL_STATE(5590)] = 232388,
  [SMALL_STATE(5591)] = 232447,
  [SMALL_STATE(5592)] = 232506,
  [SMALL_STATE(5593)] = 232537,
  [SMALL_STATE(5594)] = 232566,
  [SMALL_STATE(5595)] = 232625,
  [SMALL_STATE(5596)] = 232678,
  [SMALL_STATE(5597)] = 232737,
  [SMALL_STATE(5598)] = 232766,
  [SMALL_STATE(5599)] = 232825,
  [SMALL_STATE(5600)] = 232854,
  [SMALL_STATE(5601)] = 232883,
  [SMALL_STATE(5602)] = 232942,
  [SMALL_STATE(5603)] = 233001,
  [SMALL_STATE(5604)] = 233034,
  [SMALL_STATE(5605)] = 233093,
  [SMALL_STATE(5606)] = 233122,
  [SMALL_STATE(5607)] = 233159,
  [SMALL_STATE(5608)] = 233188,
  [SMALL_STATE(5609)] = 233247,
  [SMALL_STATE(5610)] = 233306,
  [SMALL_STATE(5611)] = 233365,
  [SMALL_STATE(5612)] = 233424,
  [SMALL_STATE(5613)] = 233483,
  [SMALL_STATE(5614)] = 233512,
  [SMALL_STATE(5615)] = 233571,
  [SMALL_STATE(5616)] = 233600,
  [SMALL_STATE(5617)] = 233629,
  [SMALL_STATE(5618)] = 233688,
  [SMALL_STATE(5619)] = 233747,
  [SMALL_STATE(5620)] = 233802,
  [SMALL_STATE(5621)] = 233831,
  [SMALL_STATE(5622)] = 233890,
  [SMALL_STATE(5623)] = 233945,
  [SMALL_STATE(5624)] = 234000,
  [SMALL_STATE(5625)] = 234033,
  [SMALL_STATE(5626)] = 234070,
  [SMALL_STATE(5627)] = 234101,
  [SMALL_STATE(5628)] = 234160,
  [SMALL_STATE(5629)] = 234219,
  [SMALL_STATE(5630)] = 234272,
  [SMALL_STATE(5631)] = 234325,
  [SMALL_STATE(5632)] = 234388,
  [SMALL_STATE(5633)] = 234449,
  [SMALL_STATE(5634)] = 234510,
  [SMALL_STATE(5635)] = 234569,
  [SMALL_STATE(5636)] = 234628,
  [SMALL_STATE(5637)] = 234687,
  [SMALL_STATE(5638)] = 234720,
  [SMALL_STATE(5639)] = 234779,
  [SMALL_STATE(5640)] = 234819,
  [SMALL_STATE(5641)] = 234865,
  [SMALL_STATE(5642)] = 234917,
  [SMALL_STATE(5643)] = 234981,
  [SMALL_STATE(5644)] = 235027,
  [SMALL_STATE(5645)] = 235091,
  [SMALL_STATE(5646)] = 235143,
  [SMALL_STATE(5647)] = 235175,
  [SMALL_STATE(5648)] = 235239,
  [SMALL_STATE(5649)] = 235279,
  [SMALL_STATE(5650)] = 235343,
  [SMALL_STATE(5651)] = 235407,
  [SMALL_STATE(5652)] = 235447,
  [SMALL_STATE(5653)] = 235487,
  [SMALL_STATE(5654)] = 235527,
  [SMALL_STATE(5655)] = 235571,
  [SMALL_STATE(5656)] = 235635,
  [SMALL_STATE(5657)] = 235675,
  [SMALL_STATE(5658)] = 235715,
  [SMALL_STATE(5659)] = 235755,
  [SMALL_STATE(5660)] = 235807,
  [SMALL_STATE(5661)] = 235835,
  [SMALL_STATE(5662)] = 235863,
  [SMALL_STATE(5663)] = 235903,
  [SMALL_STATE(5664)] = 235943,
  [SMALL_STATE(5665)] = 235995,
  [SMALL_STATE(5666)] = 236047,
  [SMALL_STATE(5667)] = 236099,
  [SMALL_STATE(5668)] = 236163,
  [SMALL_STATE(5669)] = 236227,
  [SMALL_STATE(5670)] = 236267,
  [SMALL_STATE(5671)] = 236295,
  [SMALL_STATE(5672)] = 236323,
  [SMALL_STATE(5673)] = 236387,
  [SMALL_STATE(5674)] = 236419,
  [SMALL_STATE(5675)] = 236471,
  [SMALL_STATE(5676)] = 236511,
  [SMALL_STATE(5677)] = 236551,
  [SMALL_STATE(5678)] = 236591,
  [SMALL_STATE(5679)] = 236643,
  [SMALL_STATE(5680)] = 236683,
  [SMALL_STATE(5681)] = 236735,
  [SMALL_STATE(5682)] = 236787,
  [SMALL_STATE(5683)] = 236827,
  [SMALL_STATE(5684)] = 236879,
  [SMALL_STATE(5685)] = 236919,
  [SMALL_STATE(5686)] = 236971,
  [SMALL_STATE(5687)] = 237011,
  [SMALL_STATE(5688)] = 237051,
  [SMALL_STATE(5689)] = 237091,
  [SMALL_STATE(5690)] = 237131,
  [SMALL_STATE(5691)] = 237159,
  [SMALL_STATE(5692)] = 237203,
  [SMALL_STATE(5693)] = 237255,
  [SMALL_STATE(5694)] = 237283,
  [SMALL_STATE(5695)] = 237315,
  [SMALL_STATE(5696)] = 237367,
  [SMALL_STATE(5697)] = 237419,
  [SMALL_STATE(5698)] = 237465,
  [SMALL_STATE(5699)] = 237517,
  [SMALL_STATE(5700)] = 237581,
  [SMALL_STATE(5701)] = 237633,
  [SMALL_STATE(5702)] = 237673,
  [SMALL_STATE(5703)] = 237701,
  [SMALL_STATE(5704)] = 237753,
  [SMALL_STATE(5705)] = 237781,
  [SMALL_STATE(5706)] = 237833,
  [SMALL_STATE(5707)] = 237885,
  [SMALL_STATE(5708)] = 237937,
  [SMALL_STATE(5709)] = 238001,
  [SMALL_STATE(5710)] = 238065,
  [SMALL_STATE(5711)] = 238105,
  [SMALL_STATE(5712)] = 238137,
  [SMALL_STATE(5713)] = 238201,
  [SMALL_STATE(5714)] = 238251,
  [SMALL_STATE(5715)] = 238303,
  [SMALL_STATE(5716)] = 238355,
  [SMALL_STATE(5717)] = 238383,
  [SMALL_STATE(5718)] = 238435,
  [SMALL_STATE(5719)] = 238499,
  [SMALL_STATE(5720)] = 238551,
  [SMALL_STATE(5721)] = 238579,
  [SMALL_STATE(5722)] = 238613,
  [SMALL_STATE(5723)] = 238649,
  [SMALL_STATE(5724)] = 238701,
  [SMALL_STATE(5725)] = 238741,
  [SMALL_STATE(5726)] = 238783,
  [SMALL_STATE(5727)] = 238815,
  [SMALL_STATE(5728)] = 238859,
  [SMALL_STATE(5729)] = 238887,
  [SMALL_STATE(5730)] = 238939,
  [SMALL_STATE(5731)] = 238987,
  [SMALL_STATE(5732)] = 239027,
  [SMALL_STATE(5733)] = 239073,
  [SMALL_STATE(5734)] = 239125,
  [SMALL_STATE(5735)] = 239182,
  [SMALL_STATE(5736)] = 239239,
  [SMALL_STATE(5737)] = 239284,
  [SMALL_STATE(5738)] = 239329,
  [SMALL_STATE(5739)] = 239356,
  [SMALL_STATE(5740)] = 239413,
  [SMALL_STATE(5741)] = 239446,
  [SMALL_STATE(5742)] = 239491,
  [SMALL_STATE(5743)] = 239524,
  [SMALL_STATE(5744)] = 239567,
  [SMALL_STATE(5745)] = 239612,
  [SMALL_STATE(5746)] = 239639,
  [SMALL_STATE(5747)] = 239684,
  [SMALL_STATE(5748)] = 239729,
  [SMALL_STATE(5749)] = 239756,
  [SMALL_STATE(5750)] = 239783,
  [SMALL_STATE(5751)] = 239810,
  [SMALL_STATE(5752)] = 239837,
  [SMALL_STATE(5753)] = 239864,
  [SMALL_STATE(5754)] = 239891,
  [SMALL_STATE(5755)] = 239936,
  [SMALL_STATE(5756)] = 239981,
  [SMALL_STATE(5757)] = 240008,
  [SMALL_STATE(5758)] = 240035,
  [SMALL_STATE(5759)] = 240080,
  [SMALL_STATE(5760)] = 240125,
  [SMALL_STATE(5761)] = 240170,
  [SMALL_STATE(5762)] = 240197,
  [SMALL_STATE(5763)] = 240224,
  [SMALL_STATE(5764)] = 240269,
  [SMALL_STATE(5765)] = 240296,
  [SMALL_STATE(5766)] = 240323,
  [SMALL_STATE(5767)] = 240368,
  [SMALL_STATE(5768)] = 240395,
  [SMALL_STATE(5769)] = 240452,
  [SMALL_STATE(5770)] = 240497,
  [SMALL_STATE(5771)] = 240524,
  [SMALL_STATE(5772)] = 240551,
  [SMALL_STATE(5773)] = 240578,
  [SMALL_STATE(5774)] = 240605,
  [SMALL_STATE(5775)] = 240632,
  [SMALL_STATE(5776)] = 240659,
  [SMALL_STATE(5777)] = 240704,
  [SMALL_STATE(5778)] = 240747,
  [SMALL_STATE(5779)] = 240792,
  [SMALL_STATE(5780)] = 240819,
  [SMALL_STATE(5781)] = 240846,
  [SMALL_STATE(5782)] = 240895,
  [SMALL_STATE(5783)] = 240940,
  [SMALL_STATE(5784)] = 240985,
  [SMALL_STATE(5785)] = 241018,
  [SMALL_STATE(5786)] = 241063,
  [SMALL_STATE(5787)] = 241120,
  [SMALL_STATE(5788)] = 241165,
  [SMALL_STATE(5789)] = 241210,
  [SMALL_STATE(5790)] = 241255,
  [SMALL_STATE(5791)] = 241282,
  [SMALL_STATE(5792)] = 241309,
  [SMALL_STATE(5793)] = 241336,
  [SMALL_STATE(5794)] = 241385,
  [SMALL_STATE(5795)] = 241430,
  [SMALL_STATE(5796)] = 241475,
  [SMALL_STATE(5797)] = 241532,
  [SMALL_STATE(5798)] = 241563,
  [SMALL_STATE(5799)] = 241608,
  [SMALL_STATE(5800)] = 241653,
  [SMALL_STATE(5801)] = 241698,
  [SMALL_STATE(5802)] = 241731,
  [SMALL_STATE(5803)] = 241776,
  [SMALL_STATE(5804)] = 241803,
  [SMALL_STATE(5805)] = 241832,
  [SMALL_STATE(5806)] = 241865,
  [SMALL_STATE(5807)] = 241900,
  [SMALL_STATE(5808)] = 241957,
  [SMALL_STATE(5809)] = 242002,
  [SMALL_STATE(5810)] = 242039,
  [SMALL_STATE(5811)] = 242078,
  [SMALL_STATE(5812)] = 242105,
  [SMALL_STATE(5813)] = 242150,
  [SMALL_STATE(5814)] = 242205,
  [SMALL_STATE(5815)] = 242246,
  [SMALL_STATE(5816)] = 242289,
  [SMALL_STATE(5817)] = 242334,
  [SMALL_STATE(5818)] = 242379,
  [SMALL_STATE(5819)] = 242406,
  [SMALL_STATE(5820)] = 242433,
  [SMALL_STATE(5821)] = 242462,
  [SMALL_STATE(5822)] = 242489,
  [SMALL_STATE(5823)] = 242516,
  [SMALL_STATE(5824)] = 242561,
  [SMALL_STATE(5825)] = 242606,
  [SMALL_STATE(5826)] = 242640,
  [SMALL_STATE(5827)] = 242678,
  [SMALL_STATE(5828)] = 242726,
  [SMALL_STATE(5829)] = 242768,
  [SMALL_STATE(5830)] = 242798,
  [SMALL_STATE(5831)] = 242824,
  [SMALL_STATE(5832)] = 242876,
  [SMALL_STATE(5833)] = 242906,
  [SMALL_STATE(5834)] = 242932,
  [SMALL_STATE(5835)] = 242966,
  [SMALL_STATE(5836)] = 243002,
  [SMALL_STATE(5837)] = 243054,
  [SMALL_STATE(5838)] = 243088,
  [SMALL_STATE(5839)] = 243114,
  [SMALL_STATE(5840)] = 243150,
  [SMALL_STATE(5841)] = 243186,
  [SMALL_STATE(5842)] = 243216,
  [SMALL_STATE(5843)] = 243264,
  [SMALL_STATE(5844)] = 243298,
  [SMALL_STATE(5845)] = 243334,
  [SMALL_STATE(5846)] = 243362,
  [SMALL_STATE(5847)] = 243388,
  [SMALL_STATE(5848)] = 243414,
  [SMALL_STATE(5849)] = 243440,
  [SMALL_STATE(5850)] = 243474,
  [SMALL_STATE(5851)] = 243500,
  [SMALL_STATE(5852)] = 243536,
  [SMALL_STATE(5853)] = 243562,
  [SMALL_STATE(5854)] = 243588,
  [SMALL_STATE(5855)] = 243614,
  [SMALL_STATE(5856)] = 243662,
  [SMALL_STATE(5857)] = 243696,
  [SMALL_STATE(5858)] = 243722,
  [SMALL_STATE(5859)] = 243748,
  [SMALL_STATE(5860)] = 243778,
  [SMALL_STATE(5861)] = 243804,
  [SMALL_STATE(5862)] = 243830,
  [SMALL_STATE(5863)] = 243860,
  [SMALL_STATE(5864)] = 243912,
  [SMALL_STATE(5865)] = 243938,
  [SMALL_STATE(5866)] = 243972,
  [SMALL_STATE(5867)] = 243998,
  [SMALL_STATE(5868)] = 244036,
  [SMALL_STATE(5869)] = 244090,
  [SMALL_STATE(5870)] = 244128,
  [SMALL_STATE(5871)] = 244180,
  [SMALL_STATE(5872)] = 244214,
  [SMALL_STATE(5873)] = 244252,
  [SMALL_STATE(5874)] = 244290,
  [SMALL_STATE(5875)] = 244316,
  [SMALL_STATE(5876)] = 244364,
  [SMALL_STATE(5877)] = 244390,
  [SMALL_STATE(5878)] = 244428,
  [SMALL_STATE(5879)] = 244480,
  [SMALL_STATE(5880)] = 244518,
  [SMALL_STATE(5881)] = 244544,
  [SMALL_STATE(5882)] = 244570,
  [SMALL_STATE(5883)] = 244604,
  [SMALL_STATE(5884)] = 244642,
  [SMALL_STATE(5885)] = 244668,
  [SMALL_STATE(5886)] = 244702,
  [SMALL_STATE(5887)] = 244739,
  [SMALL_STATE(5888)] = 244782,
  [SMALL_STATE(5889)] = 244807,
  [SMALL_STATE(5890)] = 244856,
  [SMALL_STATE(5891)] = 244905,
  [SMALL_STATE(5892)] = 244942,
  [SMALL_STATE(5893)] = 244985,
  [SMALL_STATE(5894)] = 245034,
  [SMALL_STATE(5895)] = 245083,
  [SMALL_STATE(5896)] = 245132,
  [SMALL_STATE(5897)] = 245181,
  [SMALL_STATE(5898)] = 245228,
  [SMALL_STATE(5899)] = 245265,
  [SMALL_STATE(5900)] = 245302,
  [SMALL_STATE(5901)] = 245339,
  [SMALL_STATE(5902)] = 245376,
  [SMALL_STATE(5903)] = 245417,
  [SMALL_STATE(5904)] = 245446,
  [SMALL_STATE(5905)] = 245495,
  [SMALL_STATE(5906)] = 245544,
  [SMALL_STATE(5907)] = 245587,
  [SMALL_STATE(5908)] = 245624,
  [SMALL_STATE(5909)] = 245657,
  [SMALL_STATE(5910)] = 245706,
  [SMALL_STATE(5911)] = 245755,
  [SMALL_STATE(5912)] = 245792,
  [SMALL_STATE(5913)] = 245841,
  [SMALL_STATE(5914)] = 245884,
  [SMALL_STATE(5915)] = 245921,
  [SMALL_STATE(5916)] = 245958,
  [SMALL_STATE(5917)] = 246001,
  [SMALL_STATE(5918)] = 246038,
  [SMALL_STATE(5919)] = 246069,
  [SMALL_STATE(5920)] = 246118,
  [SMALL_STATE(5921)] = 246167,
  [SMALL_STATE(5922)] = 246216,
  [SMALL_STATE(5923)] = 246265,
  [SMALL_STATE(5924)] = 246314,
  [SMALL_STATE(5925)] = 246343,
  [SMALL_STATE(5926)] = 246384,
  [SMALL_STATE(5927)] = 246415,
  [SMALL_STATE(5928)] = 246464,
  [SMALL_STATE(5929)] = 246491,
  [SMALL_STATE(5930)] = 246540,
  [SMALL_STATE(5931)] = 246577,
  [SMALL_STATE(5932)] = 246626,
  [SMALL_STATE(5933)] = 246663,
  [SMALL_STATE(5934)] = 246706,
  [SMALL_STATE(5935)] = 246743,
  [SMALL_STATE(5936)] = 246792,
  [SMALL_STATE(5937)] = 246823,
  [SMALL_STATE(5938)] = 246860,
  [SMALL_STATE(5939)] = 246891,
  [SMALL_STATE(5940)] = 246928,
  [SMALL_STATE(5941)] = 246964,
  [SMALL_STATE(5942)] = 247000,
  [SMALL_STATE(5943)] = 247032,
  [SMALL_STATE(5944)] = 247064,
  [SMALL_STATE(5945)] = 247096,
  [SMALL_STATE(5946)] = 247128,
  [SMALL_STATE(5947)] = 247160,
  [SMALL_STATE(5948)] = 247192,
  [SMALL_STATE(5949)] = 247224,
  [SMALL_STATE(5950)] = 247256,
  [SMALL_STATE(5951)] = 247288,
  [SMALL_STATE(5952)] = 247320,
  [SMALL_STATE(5953)] = 247352,
  [SMALL_STATE(5954)] = 247384,
  [SMALL_STATE(5955)] = 247416,
  [SMALL_STATE(5956)] = 247440,
  [SMALL_STATE(5957)] = 247464,
  [SMALL_STATE(5958)] = 247488,
  [SMALL_STATE(5959)] = 247512,
  [SMALL_STATE(5960)] = 247544,
  [SMALL_STATE(5961)] = 247586,
  [SMALL_STATE(5962)] = 247610,
  [SMALL_STATE(5963)] = 247634,
  [SMALL_STATE(5964)] = 247666,
  [SMALL_STATE(5965)] = 247706,
  [SMALL_STATE(5966)] = 247738,
  [SMALL_STATE(5967)] = 247762,
  [SMALL_STATE(5968)] = 247794,
  [SMALL_STATE(5969)] = 247820,
  [SMALL_STATE(5970)] = 247844,
  [SMALL_STATE(5971)] = 247868,
  [SMALL_STATE(5972)] = 247892,
  [SMALL_STATE(5973)] = 247916,
  [SMALL_STATE(5974)] = 247962,
  [SMALL_STATE(5975)] = 247986,
  [SMALL_STATE(5976)] = 248010,
  [SMALL_STATE(5977)] = 248034,
  [SMALL_STATE(5978)] = 248058,
  [SMALL_STATE(5979)] = 248082,
  [SMALL_STATE(5980)] = 248106,
  [SMALL_STATE(5981)] = 248138,
  [SMALL_STATE(5982)] = 248162,
  [SMALL_STATE(5983)] = 248194,
  [SMALL_STATE(5984)] = 248226,
  [SMALL_STATE(5985)] = 248250,
  [SMALL_STATE(5986)] = 248274,
  [SMALL_STATE(5987)] = 248298,
  [SMALL_STATE(5988)] = 248322,
  [SMALL_STATE(5989)] = 248346,
  [SMALL_STATE(5990)] = 248370,
  [SMALL_STATE(5991)] = 248394,
  [SMALL_STATE(5992)] = 248418,
  [SMALL_STATE(5993)] = 248442,
  [SMALL_STATE(5994)] = 248466,
  [SMALL_STATE(5995)] = 248494,
  [SMALL_STATE(5996)] = 248518,
  [SMALL_STATE(5997)] = 248542,
  [SMALL_STATE(5998)] = 248566,
  [SMALL_STATE(5999)] = 248590,
  [SMALL_STATE(6000)] = 248614,
  [SMALL_STATE(6001)] = 248638,
  [SMALL_STATE(6002)] = 248662,
  [SMALL_STATE(6003)] = 248694,
  [SMALL_STATE(6004)] = 248734,
  [SMALL_STATE(6005)] = 248758,
  [SMALL_STATE(6006)] = 248794,
  [SMALL_STATE(6007)] = 248826,
  [SMALL_STATE(6008)] = 248862,
  [SMALL_STATE(6009)] = 248894,
  [SMALL_STATE(6010)] = 248926,
  [SMALL_STATE(6011)] = 248950,
  [SMALL_STATE(6012)] = 248974,
  [SMALL_STATE(6013)] = 248998,
  [SMALL_STATE(6014)] = 249030,
  [SMALL_STATE(6015)] = 249062,
  [SMALL_STATE(6016)] = 249086,
  [SMALL_STATE(6017)] = 249122,
  [SMALL_STATE(6018)] = 249146,
  [SMALL_STATE(6019)] = 249178,
  [SMALL_STATE(6020)] = 249202,
  [SMALL_STATE(6021)] = 249226,
  [SMALL_STATE(6022)] = 249258,
  [SMALL_STATE(6023)] = 249290,
  [SMALL_STATE(6024)] = 249322,
  [SMALL_STATE(6025)] = 249346,
  [SMALL_STATE(6026)] = 249382,
  [SMALL_STATE(6027)] = 249418,
  [SMALL_STATE(6028)] = 249442,
  [SMALL_STATE(6029)] = 249466,
  [SMALL_STATE(6030)] = 249490,
  [SMALL_STATE(6031)] = 249514,
  [SMALL_STATE(6032)] = 249546,
  [SMALL_STATE(6033)] = 249578,
  [SMALL_STATE(6034)] = 249610,
  [SMALL_STATE(6035)] = 249642,
  [SMALL_STATE(6036)] = 249666,
  [SMALL_STATE(6037)] = 249702,
  [SMALL_STATE(6038)] = 249731,
  [SMALL_STATE(6039)] = 249774,
  [SMALL_STATE(6040)] = 249807,
  [SMALL_STATE(6041)] = 249836,
  [SMALL_STATE(6042)] = 249871,
  [SMALL_STATE(6043)] = 249900,
  [SMALL_STATE(6044)] = 249929,
  [SMALL_STATE(6045)] = 249964,
  [SMALL_STATE(6046)] = 249993,
  [SMALL_STATE(6047)] = 250028,
  [SMALL_STATE(6048)] = 250063,
  [SMALL_STATE(6049)] = 250102,
  [SMALL_STATE(6050)] = 250129,
  [SMALL_STATE(6051)] = 250164,
  [SMALL_STATE(6052)] = 250193,
  [SMALL_STATE(6053)] = 250232,
  [SMALL_STATE(6054)] = 250267,
  [SMALL_STATE(6055)] = 250302,
  [SMALL_STATE(6056)] = 250335,
  [SMALL_STATE(6057)] = 250378,
  [SMALL_STATE(6058)] = 250411,
  [SMALL_STATE(6059)] = 250440,
  [SMALL_STATE(6060)] = 250475,
  [SMALL_STATE(6061)] = 250510,
  [SMALL_STATE(6062)] = 250539,
  [SMALL_STATE(6063)] = 250574,
  [SMALL_STATE(6064)] = 250609,
  [SMALL_STATE(6065)] = 250644,
  [SMALL_STATE(6066)] = 250683,
  [SMALL_STATE(6067)] = 250722,
  [SMALL_STATE(6068)] = 250757,
  [SMALL_STATE(6069)] = 250790,
  [SMALL_STATE(6070)] = 250823,
  [SMALL_STATE(6071)] = 250858,
  [SMALL_STATE(6072)] = 250897,
  [SMALL_STATE(6073)] = 250926,
  [SMALL_STATE(6074)] = 250969,
  [SMALL_STATE(6075)] = 251008,
  [SMALL_STATE(6076)] = 251043,
  [SMALL_STATE(6077)] = 251078,
  [SMALL_STATE(6078)] = 251113,
  [SMALL_STATE(6079)] = 251146,
  [SMALL_STATE(6080)] = 251179,
  [SMALL_STATE(6081)] = 251208,
  [SMALL_STATE(6082)] = 251241,
  [SMALL_STATE(6083)] = 251270,
  [SMALL_STATE(6084)] = 251299,
  [SMALL_STATE(6085)] = 251334,
  [SMALL_STATE(6086)] = 251377,
  [SMALL_STATE(6087)] = 251406,
  [SMALL_STATE(6088)] = 251449,
  [SMALL_STATE(6089)] = 251484,
  [SMALL_STATE(6090)] = 251513,
  [SMALL_STATE(6091)] = 251548,
  [SMALL_STATE(6092)] = 251591,
  [SMALL_STATE(6093)] = 251624,
  [SMALL_STATE(6094)] = 251659,
  [SMALL_STATE(6095)] = 251692,
  [SMALL_STATE(6096)] = 251721,
  [SMALL_STATE(6097)] = 251750,
  [SMALL_STATE(6098)] = 251783,
  [SMALL_STATE(6099)] = 251812,
  [SMALL_STATE(6100)] = 251841,
  [SMALL_STATE(6101)] = 251874,
  [SMALL_STATE(6102)] = 251917,
  [SMALL_STATE(6103)] = 251946,
  [SMALL_STATE(6104)] = 251981,
  [SMALL_STATE(6105)] = 252010,
  [SMALL_STATE(6106)] = 252043,
  [SMALL_STATE(6107)] = 252086,
  [SMALL_STATE(6108)] = 252125,
  [SMALL_STATE(6109)] = 252160,
  [SMALL_STATE(6110)] = 252195,
  [SMALL_STATE(6111)] = 252230,
  [SMALL_STATE(6112)] = 252265,
  [SMALL_STATE(6113)] = 252298,
  [SMALL_STATE(6114)] = 252341,
  [SMALL_STATE(6115)] = 252376,
  [SMALL_STATE(6116)] = 252409,
  [SMALL_STATE(6117)] = 252438,
  [SMALL_STATE(6118)] = 252473,
  [SMALL_STATE(6119)] = 252508,
  [SMALL_STATE(6120)] = 252543,
  [SMALL_STATE(6121)] = 252578,
  [SMALL_STATE(6122)] = 252621,
  [SMALL_STATE(6123)] = 252654,
  [SMALL_STATE(6124)] = 252683,
  [SMALL_STATE(6125)] = 252722,
  [SMALL_STATE(6126)] = 252754,
  [SMALL_STATE(6127)] = 252786,
  [SMALL_STATE(6128)] = 252824,
  [SMALL_STATE(6129)] = 252854,
  [SMALL_STATE(6130)] = 252876,
  [SMALL_STATE(6131)] = 252900,
  [SMALL_STATE(6132)] = 252934,
  [SMALL_STATE(6133)] = 252974,
  [SMALL_STATE(6134)] = 253004,
  [SMALL_STATE(6135)] = 253038,
  [SMALL_STATE(6136)] = 253072,
  [SMALL_STATE(6137)] = 253106,
  [SMALL_STATE(6138)] = 253136,
  [SMALL_STATE(6139)] = 253158,
  [SMALL_STATE(6140)] = 253188,
  [SMALL_STATE(6141)] = 253218,
  [SMALL_STATE(6142)] = 253252,
  [SMALL_STATE(6143)] = 253290,
  [SMALL_STATE(6144)] = 253322,
  [SMALL_STATE(6145)] = 253356,
  [SMALL_STATE(6146)] = 253386,
  [SMALL_STATE(6147)] = 253420,
  [SMALL_STATE(6148)] = 253446,
  [SMALL_STATE(6149)] = 253478,
  [SMALL_STATE(6150)] = 253508,
  [SMALL_STATE(6151)] = 253548,
  [SMALL_STATE(6152)] = 253586,
  [SMALL_STATE(6153)] = 253620,
  [SMALL_STATE(6154)] = 253660,
  [SMALL_STATE(6155)] = 253700,
  [SMALL_STATE(6156)] = 253740,
  [SMALL_STATE(6157)] = 253778,
  [SMALL_STATE(6158)] = 253810,
  [SMALL_STATE(6159)] = 253848,
  [SMALL_STATE(6160)] = 253886,
  [SMALL_STATE(6161)] = 253924,
  [SMALL_STATE(6162)] = 253954,
  [SMALL_STATE(6163)] = 253992,
  [SMALL_STATE(6164)] = 254032,
  [SMALL_STATE(6165)] = 254072,
  [SMALL_STATE(6166)] = 254112,
  [SMALL_STATE(6167)] = 254152,
  [SMALL_STATE(6168)] = 254192,
  [SMALL_STATE(6169)] = 254230,
  [SMALL_STATE(6170)] = 254262,
  [SMALL_STATE(6171)] = 254294,
  [SMALL_STATE(6172)] = 254324,
  [SMALL_STATE(6173)] = 254362,
  [SMALL_STATE(6174)] = 254392,
  [SMALL_STATE(6175)] = 254430,
  [SMALL_STATE(6176)] = 254468,
  [SMALL_STATE(6177)] = 254508,
  [SMALL_STATE(6178)] = 254546,
  [SMALL_STATE(6179)] = 254576,
  [SMALL_STATE(6180)] = 254608,
  [SMALL_STATE(6181)] = 254640,
  [SMALL_STATE(6182)] = 254678,
  [SMALL_STATE(6183)] = 254708,
  [SMALL_STATE(6184)] = 254740,
  [SMALL_STATE(6185)] = 254764,
  [SMALL_STATE(6186)] = 254794,
  [SMALL_STATE(6187)] = 254834,
  [SMALL_STATE(6188)] = 254874,
  [SMALL_STATE(6189)] = 254914,
  [SMALL_STATE(6190)] = 254944,
  [SMALL_STATE(6191)] = 254974,
  [SMALL_STATE(6192)] = 255004,
  [SMALL_STATE(6193)] = 255030,
  [SMALL_STATE(6194)] = 255062,
  [SMALL_STATE(6195)] = 255094,
  [SMALL_STATE(6196)] = 255134,
  [SMALL_STATE(6197)] = 255166,
  [SMALL_STATE(6198)] = 255198,
  [SMALL_STATE(6199)] = 255236,
  [SMALL_STATE(6200)] = 255276,
  [SMALL_STATE(6201)] = 255314,
  [SMALL_STATE(6202)] = 255344,
  [SMALL_STATE(6203)] = 255366,
  [SMALL_STATE(6204)] = 255396,
  [SMALL_STATE(6205)] = 255426,
  [SMALL_STATE(6206)] = 255456,
  [SMALL_STATE(6207)] = 255496,
  [SMALL_STATE(6208)] = 255526,
  [SMALL_STATE(6209)] = 255564,
  [SMALL_STATE(6210)] = 255596,
  [SMALL_STATE(6211)] = 255628,
  [SMALL_STATE(6212)] = 255658,
  [SMALL_STATE(6213)] = 255688,
  [SMALL_STATE(6214)] = 255718,
  [SMALL_STATE(6215)] = 255748,
  [SMALL_STATE(6216)] = 255788,
  [SMALL_STATE(6217)] = 255820,
  [SMALL_STATE(6218)] = 255860,
  [SMALL_STATE(6219)] = 255900,
  [SMALL_STATE(6220)] = 255930,
  [SMALL_STATE(6221)] = 255952,
  [SMALL_STATE(6222)] = 255992,
  [SMALL_STATE(6223)] = 256022,
  [SMALL_STATE(6224)] = 256052,
  [SMALL_STATE(6225)] = 256092,
  [SMALL_STATE(6226)] = 256130,
  [SMALL_STATE(6227)] = 256168,
  [SMALL_STATE(6228)] = 256200,
  [SMALL_STATE(6229)] = 256233,
  [SMALL_STATE(6230)] = 256268,
  [SMALL_STATE(6231)] = 256303,
  [SMALL_STATE(6232)] = 256336,
  [SMALL_STATE(6233)] = 256369,
  [SMALL_STATE(6234)] = 256402,
  [SMALL_STATE(6235)] = 256435,
  [SMALL_STATE(6236)] = 256472,
  [SMALL_STATE(6237)] = 256505,
  [SMALL_STATE(6238)] = 256530,
  [SMALL_STATE(6239)] = 256563,
  [SMALL_STATE(6240)] = 256590,
  [SMALL_STATE(6241)] = 256617,
  [SMALL_STATE(6242)] = 256642,
  [SMALL_STATE(6243)] = 256669,
  [SMALL_STATE(6244)] = 256704,
  [SMALL_STATE(6245)] = 256737,
  [SMALL_STATE(6246)] = 256772,
  [SMALL_STATE(6247)] = 256797,
  [SMALL_STATE(6248)] = 256824,
  [SMALL_STATE(6249)] = 256859,
  [SMALL_STATE(6250)] = 256894,
  [SMALL_STATE(6251)] = 256927,
  [SMALL_STATE(6252)] = 256966,
  [SMALL_STATE(6253)] = 256999,
  [SMALL_STATE(6254)] = 257032,
  [SMALL_STATE(6255)] = 257065,
  [SMALL_STATE(6256)] = 257100,
  [SMALL_STATE(6257)] = 257133,
  [SMALL_STATE(6258)] = 257158,
  [SMALL_STATE(6259)] = 257193,
  [SMALL_STATE(6260)] = 257226,
  [SMALL_STATE(6261)] = 257265,
  [SMALL_STATE(6262)] = 257290,
  [SMALL_STATE(6263)] = 257319,
  [SMALL_STATE(6264)] = 257352,
  [SMALL_STATE(6265)] = 257385,
  [SMALL_STATE(6266)] = 257414,
  [SMALL_STATE(6267)] = 257447,
  [SMALL_STATE(6268)] = 257480,
  [SMALL_STATE(6269)] = 257513,
  [SMALL_STATE(6270)] = 257542,
  [SMALL_STATE(6271)] = 257569,
  [SMALL_STATE(6272)] = 257608,
  [SMALL_STATE(6273)] = 257641,
  [SMALL_STATE(6274)] = 257668,
  [SMALL_STATE(6275)] = 257701,
  [SMALL_STATE(6276)] = 257728,
  [SMALL_STATE(6277)] = 257757,
  [SMALL_STATE(6278)] = 257784,
  [SMALL_STATE(6279)] = 257813,
  [SMALL_STATE(6280)] = 257842,
  [SMALL_STATE(6281)] = 257867,
  [SMALL_STATE(6282)] = 257900,
  [SMALL_STATE(6283)] = 257935,
  [SMALL_STATE(6284)] = 257968,
  [SMALL_STATE(6285)] = 258001,
  [SMALL_STATE(6286)] = 258034,
  [SMALL_STATE(6287)] = 258071,
  [SMALL_STATE(6288)] = 258104,
  [SMALL_STATE(6289)] = 258139,
  [SMALL_STATE(6290)] = 258178,
  [SMALL_STATE(6291)] = 258211,
  [SMALL_STATE(6292)] = 258244,
  [SMALL_STATE(6293)] = 258283,
  [SMALL_STATE(6294)] = 258316,
  [SMALL_STATE(6295)] = 258345,
  [SMALL_STATE(6296)] = 258380,
  [SMALL_STATE(6297)] = 258413,
  [SMALL_STATE(6298)] = 258446,
  [SMALL_STATE(6299)] = 258481,
  [SMALL_STATE(6300)] = 258514,
  [SMALL_STATE(6301)] = 258547,
  [SMALL_STATE(6302)] = 258576,
  [SMALL_STATE(6303)] = 258612,
  [SMALL_STATE(6304)] = 258648,
  [SMALL_STATE(6305)] = 258668,
  [SMALL_STATE(6306)] = 258704,
  [SMALL_STATE(6307)] = 258734,
  [SMALL_STATE(6308)] = 258770,
  [SMALL_STATE(6309)] = 258790,
  [SMALL_STATE(6310)] = 258816,
  [SMALL_STATE(6311)] = 258852,
  [SMALL_STATE(6312)] = 258888,
  [SMALL_STATE(6313)] = 258918,
  [SMALL_STATE(6314)] = 258938,
  [SMALL_STATE(6315)] = 258958,
  [SMALL_STATE(6316)] = 258978,
  [SMALL_STATE(6317)] = 259014,
  [SMALL_STATE(6318)] = 259050,
  [SMALL_STATE(6319)] = 259076,
  [SMALL_STATE(6320)] = 259112,
  [SMALL_STATE(6321)] = 259148,
  [SMALL_STATE(6322)] = 259168,
  [SMALL_STATE(6323)] = 259204,
  [SMALL_STATE(6324)] = 259240,
  [SMALL_STATE(6325)] = 259276,
  [SMALL_STATE(6326)] = 259306,
  [SMALL_STATE(6327)] = 259326,
  [SMALL_STATE(6328)] = 259352,
  [SMALL_STATE(6329)] = 259388,
  [SMALL_STATE(6330)] = 259424,
  [SMALL_STATE(6331)] = 259450,
  [SMALL_STATE(6332)] = 259486,
  [SMALL_STATE(6333)] = 259516,
  [SMALL_STATE(6334)] = 259546,
  [SMALL_STATE(6335)] = 259572,
  [SMALL_STATE(6336)] = 259602,
  [SMALL_STATE(6337)] = 259622,
  [SMALL_STATE(6338)] = 259644,
  [SMALL_STATE(6339)] = 259674,
  [SMALL_STATE(6340)] = 259710,
  [SMALL_STATE(6341)] = 259746,
  [SMALL_STATE(6342)] = 259766,
  [SMALL_STATE(6343)] = 259802,
  [SMALL_STATE(6344)] = 259822,
  [SMALL_STATE(6345)] = 259848,
  [SMALL_STATE(6346)] = 259884,
  [SMALL_STATE(6347)] = 259910,
  [SMALL_STATE(6348)] = 259940,
  [SMALL_STATE(6349)] = 259960,
  [SMALL_STATE(6350)] = 259986,
  [SMALL_STATE(6351)] = 260017,
  [SMALL_STATE(6352)] = 260044,
  [SMALL_STATE(6353)] = 260079,
  [SMALL_STATE(6354)] = 260114,
  [SMALL_STATE(6355)] = 260149,
  [SMALL_STATE(6356)] = 260180,
  [SMALL_STATE(6357)] = 260207,
  [SMALL_STATE(6358)] = 260238,
  [SMALL_STATE(6359)] = 260265,
  [SMALL_STATE(6360)] = 260300,
  [SMALL_STATE(6361)] = 260319,
  [SMALL_STATE(6362)] = 260350,
  [SMALL_STATE(6363)] = 260377,
  [SMALL_STATE(6364)] = 260406,
  [SMALL_STATE(6365)] = 260425,
  [SMALL_STATE(6366)] = 260454,
  [SMALL_STATE(6367)] = 260489,
  [SMALL_STATE(6368)] = 260518,
  [SMALL_STATE(6369)] = 260545,
  [SMALL_STATE(6370)] = 260576,
  [SMALL_STATE(6371)] = 260605,
  [SMALL_STATE(6372)] = 260634,
  [SMALL_STATE(6373)] = 260655,
  [SMALL_STATE(6374)] = 260680,
  [SMALL_STATE(6375)] = 260713,
  [SMALL_STATE(6376)] = 260736,
  [SMALL_STATE(6377)] = 260767,
  [SMALL_STATE(6378)] = 260792,
  [SMALL_STATE(6379)] = 260811,
  [SMALL_STATE(6380)] = 260844,
  [SMALL_STATE(6381)] = 260863,
  [SMALL_STATE(6382)] = 260890,
  [SMALL_STATE(6383)] = 260919,
  [SMALL_STATE(6384)] = 260954,
  [SMALL_STATE(6385)] = 260979,
  [SMALL_STATE(6386)] = 261014,
  [SMALL_STATE(6387)] = 261049,
  [SMALL_STATE(6388)] = 261078,
  [SMALL_STATE(6389)] = 261113,
  [SMALL_STATE(6390)] = 261144,
  [SMALL_STATE(6391)] = 261163,
  [SMALL_STATE(6392)] = 261190,
  [SMALL_STATE(6393)] = 261225,
  [SMALL_STATE(6394)] = 261260,
  [SMALL_STATE(6395)] = 261287,
  [SMALL_STATE(6396)] = 261318,
  [SMALL_STATE(6397)] = 261337,
  [SMALL_STATE(6398)] = 261364,
  [SMALL_STATE(6399)] = 261391,
  [SMALL_STATE(6400)] = 261418,
  [SMALL_STATE(6401)] = 261445,
  [SMALL_STATE(6402)] = 261476,
  [SMALL_STATE(6403)] = 261501,
  [SMALL_STATE(6404)] = 261526,
  [SMALL_STATE(6405)] = 261557,
  [SMALL_STATE(6406)] = 261586,
  [SMALL_STATE(6407)] = 261621,
  [SMALL_STATE(6408)] = 261648,
  [SMALL_STATE(6409)] = 261683,
  [SMALL_STATE(6410)] = 261708,
  [SMALL_STATE(6411)] = 261741,
  [SMALL_STATE(6412)] = 261774,
  [SMALL_STATE(6413)] = 261801,
  [SMALL_STATE(6414)] = 261826,
  [SMALL_STATE(6415)] = 261861,
  [SMALL_STATE(6416)] = 261890,
  [SMALL_STATE(6417)] = 261917,
  [SMALL_STATE(6418)] = 261946,
  [SMALL_STATE(6419)] = 261977,
  [SMALL_STATE(6420)] = 262012,
  [SMALL_STATE(6421)] = 262043,
  [SMALL_STATE(6422)] = 262070,
  [SMALL_STATE(6423)] = 262101,
  [SMALL_STATE(6424)] = 262130,
  [SMALL_STATE(6425)] = 262157,
  [SMALL_STATE(6426)] = 262192,
  [SMALL_STATE(6427)] = 262219,
  [SMALL_STATE(6428)] = 262254,
  [SMALL_STATE(6429)] = 262279,
  [SMALL_STATE(6430)] = 262314,
  [SMALL_STATE(6431)] = 262341,
  [SMALL_STATE(6432)] = 262366,
  [SMALL_STATE(6433)] = 262391,
  [SMALL_STATE(6434)] = 262422,
  [SMALL_STATE(6435)] = 262441,
  [SMALL_STATE(6436)] = 262476,
  [SMALL_STATE(6437)] = 262501,
  [SMALL_STATE(6438)] = 262526,
  [SMALL_STATE(6439)] = 262561,
  [SMALL_STATE(6440)] = 262588,
  [SMALL_STATE(6441)] = 262615,
  [SMALL_STATE(6442)] = 262640,
  [SMALL_STATE(6443)] = 262671,
  [SMALL_STATE(6444)] = 262698,
  [SMALL_STATE(6445)] = 262729,
  [SMALL_STATE(6446)] = 262760,
  [SMALL_STATE(6447)] = 262785,
  [SMALL_STATE(6448)] = 262812,
  [SMALL_STATE(6449)] = 262839,
  [SMALL_STATE(6450)] = 262874,
  [SMALL_STATE(6451)] = 262903,
  [SMALL_STATE(6452)] = 262928,
  [SMALL_STATE(6453)] = 262955,
  [SMALL_STATE(6454)] = 262988,
  [SMALL_STATE(6455)] = 263015,
  [SMALL_STATE(6456)] = 263046,
  [SMALL_STATE(6457)] = 263071,
  [SMALL_STATE(6458)] = 263097,
  [SMALL_STATE(6459)] = 263129,
  [SMALL_STATE(6460)] = 263155,
  [SMALL_STATE(6461)] = 263179,
  [SMALL_STATE(6462)] = 263201,
  [SMALL_STATE(6463)] = 263225,
  [SMALL_STATE(6464)] = 263247,
  [SMALL_STATE(6465)] = 263269,
  [SMALL_STATE(6466)] = 263291,
  [SMALL_STATE(6467)] = 263315,
  [SMALL_STATE(6468)] = 263339,
  [SMALL_STATE(6469)] = 263369,
  [SMALL_STATE(6470)] = 263393,
  [SMALL_STATE(6471)] = 263415,
  [SMALL_STATE(6472)] = 263445,
  [SMALL_STATE(6473)] = 263469,
  [SMALL_STATE(6474)] = 263493,
  [SMALL_STATE(6475)] = 263521,
  [SMALL_STATE(6476)] = 263545,
  [SMALL_STATE(6477)] = 263569,
  [SMALL_STATE(6478)] = 263591,
  [SMALL_STATE(6479)] = 263621,
  [SMALL_STATE(6480)] = 263643,
  [SMALL_STATE(6481)] = 263665,
  [SMALL_STATE(6482)] = 263689,
  [SMALL_STATE(6483)] = 263711,
  [SMALL_STATE(6484)] = 263735,
  [SMALL_STATE(6485)] = 263759,
  [SMALL_STATE(6486)] = 263781,
  [SMALL_STATE(6487)] = 263803,
  [SMALL_STATE(6488)] = 263833,
  [SMALL_STATE(6489)] = 263863,
  [SMALL_STATE(6490)] = 263887,
  [SMALL_STATE(6491)] = 263917,
  [SMALL_STATE(6492)] = 263941,
  [SMALL_STATE(6493)] = 263963,
  [SMALL_STATE(6494)] = 263985,
  [SMALL_STATE(6495)] = 264009,
  [SMALL_STATE(6496)] = 264039,
  [SMALL_STATE(6497)] = 264063,
  [SMALL_STATE(6498)] = 264087,
  [SMALL_STATE(6499)] = 264113,
  [SMALL_STATE(6500)] = 264139,
  [SMALL_STATE(6501)] = 264163,
  [SMALL_STATE(6502)] = 264186,
  [SMALL_STATE(6503)] = 264213,
  [SMALL_STATE(6504)] = 264244,
  [SMALL_STATE(6505)] = 264271,
  [SMALL_STATE(6506)] = 264298,
  [SMALL_STATE(6507)] = 264325,
  [SMALL_STATE(6508)] = 264356,
  [SMALL_STATE(6509)] = 264387,
  [SMALL_STATE(6510)] = 264418,
  [SMALL_STATE(6511)] = 264449,
  [SMALL_STATE(6512)] = 264480,
  [SMALL_STATE(6513)] = 264511,
  [SMALL_STATE(6514)] = 264542,
  [SMALL_STATE(6515)] = 264573,
  [SMALL_STATE(6516)] = 264604,
  [SMALL_STATE(6517)] = 264627,
  [SMALL_STATE(6518)] = 264658,
  [SMALL_STATE(6519)] = 264681,
  [SMALL_STATE(6520)] = 264712,
  [SMALL_STATE(6521)] = 264739,
  [SMALL_STATE(6522)] = 264766,
  [SMALL_STATE(6523)] = 264789,
  [SMALL_STATE(6524)] = 264812,
  [SMALL_STATE(6525)] = 264843,
  [SMALL_STATE(6526)] = 264864,
  [SMALL_STATE(6527)] = 264885,
  [SMALL_STATE(6528)] = 264908,
  [SMALL_STATE(6529)] = 264939,
  [SMALL_STATE(6530)] = 264966,
  [SMALL_STATE(6531)] = 264993,
  [SMALL_STATE(6532)] = 265024,
  [SMALL_STATE(6533)] = 265055,
  [SMALL_STATE(6534)] = 265082,
  [SMALL_STATE(6535)] = 265113,
  [SMALL_STATE(6536)] = 265144,
  [SMALL_STATE(6537)] = 265175,
  [SMALL_STATE(6538)] = 265198,
  [SMALL_STATE(6539)] = 265225,
  [SMALL_STATE(6540)] = 265252,
  [SMALL_STATE(6541)] = 265279,
  [SMALL_STATE(6542)] = 265300,
  [SMALL_STATE(6543)] = 265331,
  [SMALL_STATE(6544)] = 265354,
  [SMALL_STATE(6545)] = 265385,
  [SMALL_STATE(6546)] = 265404,
  [SMALL_STATE(6547)] = 265435,
  [SMALL_STATE(6548)] = 265458,
  [SMALL_STATE(6549)] = 265489,
  [SMALL_STATE(6550)] = 265510,
  [SMALL_STATE(6551)] = 265541,
  [SMALL_STATE(6552)] = 265572,
  [SMALL_STATE(6553)] = 265595,
  [SMALL_STATE(6554)] = 265616,
  [SMALL_STATE(6555)] = 265647,
  [SMALL_STATE(6556)] = 265678,
  [SMALL_STATE(6557)] = 265709,
  [SMALL_STATE(6558)] = 265740,
  [SMALL_STATE(6559)] = 265764,
  [SMALL_STATE(6560)] = 265790,
  [SMALL_STATE(6561)] = 265812,
  [SMALL_STATE(6562)] = 265832,
  [SMALL_STATE(6563)] = 265858,
  [SMALL_STATE(6564)] = 265880,
  [SMALL_STATE(6565)] = 265904,
  [SMALL_STATE(6566)] = 265926,
  [SMALL_STATE(6567)] = 265946,
  [SMALL_STATE(6568)] = 265972,
  [SMALL_STATE(6569)] = 265998,
  [SMALL_STATE(6570)] = 266022,
  [SMALL_STATE(6571)] = 266048,
  [SMALL_STATE(6572)] = 266074,
  [SMALL_STATE(6573)] = 266100,
  [SMALL_STATE(6574)] = 266122,
  [SMALL_STATE(6575)] = 266148,
  [SMALL_STATE(6576)] = 266172,
  [SMALL_STATE(6577)] = 266198,
  [SMALL_STATE(6578)] = 266224,
  [SMALL_STATE(6579)] = 266246,
  [SMALL_STATE(6580)] = 266272,
  [SMALL_STATE(6581)] = 266298,
  [SMALL_STATE(6582)] = 266320,
  [SMALL_STATE(6583)] = 266346,
  [SMALL_STATE(6584)] = 266366,
  [SMALL_STATE(6585)] = 266392,
  [SMALL_STATE(6586)] = 266414,
  [SMALL_STATE(6587)] = 266438,
  [SMALL_STATE(6588)] = 266454,
  [SMALL_STATE(6589)] = 266472,
  [SMALL_STATE(6590)] = 266498,
  [SMALL_STATE(6591)] = 266522,
  [SMALL_STATE(6592)] = 266548,
  [SMALL_STATE(6593)] = 266574,
  [SMALL_STATE(6594)] = 266596,
  [SMALL_STATE(6595)] = 266620,
  [SMALL_STATE(6596)] = 266646,
  [SMALL_STATE(6597)] = 266668,
  [SMALL_STATE(6598)] = 266690,
  [SMALL_STATE(6599)] = 266714,
  [SMALL_STATE(6600)] = 266736,
  [SMALL_STATE(6601)] = 266762,
  [SMALL_STATE(6602)] = 266784,
  [SMALL_STATE(6603)] = 266810,
  [SMALL_STATE(6604)] = 266836,
  [SMALL_STATE(6605)] = 266862,
  [SMALL_STATE(6606)] = 266888,
  [SMALL_STATE(6607)] = 266914,
  [SMALL_STATE(6608)] = 266934,
  [SMALL_STATE(6609)] = 266950,
  [SMALL_STATE(6610)] = 266972,
  [SMALL_STATE(6611)] = 266998,
  [SMALL_STATE(6612)] = 267024,
  [SMALL_STATE(6613)] = 267046,
  [SMALL_STATE(6614)] = 267072,
  [SMALL_STATE(6615)] = 267098,
  [SMALL_STATE(6616)] = 267120,
  [SMALL_STATE(6617)] = 267146,
  [SMALL_STATE(6618)] = 267172,
  [SMALL_STATE(6619)] = 267200,
  [SMALL_STATE(6620)] = 267222,
  [SMALL_STATE(6621)] = 267243,
  [SMALL_STATE(6622)] = 267260,
  [SMALL_STATE(6623)] = 267277,
  [SMALL_STATE(6624)] = 267302,
  [SMALL_STATE(6625)] = 267325,
  [SMALL_STATE(6626)] = 267342,
  [SMALL_STATE(6627)] = 267361,
  [SMALL_STATE(6628)] = 267386,
  [SMALL_STATE(6629)] = 267403,
  [SMALL_STATE(6630)] = 267424,
  [SMALL_STATE(6631)] = 267447,
  [SMALL_STATE(6632)] = 267464,
  [SMALL_STATE(6633)] = 267485,
  [SMALL_STATE(6634)] = 267506,
  [SMALL_STATE(6635)] = 267523,
  [SMALL_STATE(6636)] = 267542,
  [SMALL_STATE(6637)] = 267563,
  [SMALL_STATE(6638)] = 267584,
  [SMALL_STATE(6639)] = 267609,
  [SMALL_STATE(6640)] = 267630,
  [SMALL_STATE(6641)] = 267653,
  [SMALL_STATE(6642)] = 267668,
  [SMALL_STATE(6643)] = 267683,
  [SMALL_STATE(6644)] = 267704,
  [SMALL_STATE(6645)] = 267727,
  [SMALL_STATE(6646)] = 267750,
  [SMALL_STATE(6647)] = 267775,
  [SMALL_STATE(6648)] = 267798,
  [SMALL_STATE(6649)] = 267813,
  [SMALL_STATE(6650)] = 267828,
  [SMALL_STATE(6651)] = 267851,
  [SMALL_STATE(6652)] = 267874,
  [SMALL_STATE(6653)] = 267889,
  [SMALL_STATE(6654)] = 267912,
  [SMALL_STATE(6655)] = 267927,
  [SMALL_STATE(6656)] = 267946,
  [SMALL_STATE(6657)] = 267961,
  [SMALL_STATE(6658)] = 267984,
  [SMALL_STATE(6659)] = 268001,
  [SMALL_STATE(6660)] = 268016,
  [SMALL_STATE(6661)] = 268039,
  [SMALL_STATE(6662)] = 268060,
  [SMALL_STATE(6663)] = 268079,
  [SMALL_STATE(6664)] = 268100,
  [SMALL_STATE(6665)] = 268121,
  [SMALL_STATE(6666)] = 268144,
  [SMALL_STATE(6667)] = 268165,
  [SMALL_STATE(6668)] = 268188,
  [SMALL_STATE(6669)] = 268209,
  [SMALL_STATE(6670)] = 268230,
  [SMALL_STATE(6671)] = 268251,
  [SMALL_STATE(6672)] = 268272,
  [SMALL_STATE(6673)] = 268295,
  [SMALL_STATE(6674)] = 268320,
  [SMALL_STATE(6675)] = 268345,
  [SMALL_STATE(6676)] = 268362,
  [SMALL_STATE(6677)] = 268379,
  [SMALL_STATE(6678)] = 268404,
  [SMALL_STATE(6679)] = 268421,
  [SMALL_STATE(6680)] = 268442,
  [SMALL_STATE(6681)] = 268459,
  [SMALL_STATE(6682)] = 268478,
  [SMALL_STATE(6683)] = 268495,
  [SMALL_STATE(6684)] = 268518,
  [SMALL_STATE(6685)] = 268535,
  [SMALL_STATE(6686)] = 268552,
  [SMALL_STATE(6687)] = 268577,
  [SMALL_STATE(6688)] = 268594,
  [SMALL_STATE(6689)] = 268615,
  [SMALL_STATE(6690)] = 268632,
  [SMALL_STATE(6691)] = 268651,
  [SMALL_STATE(6692)] = 268674,
  [SMALL_STATE(6693)] = 268697,
  [SMALL_STATE(6694)] = 268714,
  [SMALL_STATE(6695)] = 268731,
  [SMALL_STATE(6696)] = 268745,
  [SMALL_STATE(6697)] = 268759,
  [SMALL_STATE(6698)] = 268781,
  [SMALL_STATE(6699)] = 268803,
  [SMALL_STATE(6700)] = 268825,
  [SMALL_STATE(6701)] = 268847,
  [SMALL_STATE(6702)] = 268869,
  [SMALL_STATE(6703)] = 268891,
  [SMALL_STATE(6704)] = 268911,
  [SMALL_STATE(6705)] = 268933,
  [SMALL_STATE(6706)] = 268955,
  [SMALL_STATE(6707)] = 268977,
  [SMALL_STATE(6708)] = 268999,
  [SMALL_STATE(6709)] = 269017,
  [SMALL_STATE(6710)] = 269039,
  [SMALL_STATE(6711)] = 269061,
  [SMALL_STATE(6712)] = 269083,
  [SMALL_STATE(6713)] = 269103,
  [SMALL_STATE(6714)] = 269117,
  [SMALL_STATE(6715)] = 269135,
  [SMALL_STATE(6716)] = 269155,
  [SMALL_STATE(6717)] = 269177,
  [SMALL_STATE(6718)] = 269199,
  [SMALL_STATE(6719)] = 269219,
  [SMALL_STATE(6720)] = 269239,
  [SMALL_STATE(6721)] = 269253,
  [SMALL_STATE(6722)] = 269267,
  [SMALL_STATE(6723)] = 269287,
  [SMALL_STATE(6724)] = 269309,
  [SMALL_STATE(6725)] = 269329,
  [SMALL_STATE(6726)] = 269347,
  [SMALL_STATE(6727)] = 269365,
  [SMALL_STATE(6728)] = 269385,
  [SMALL_STATE(6729)] = 269399,
  [SMALL_STATE(6730)] = 269419,
  [SMALL_STATE(6731)] = 269437,
  [SMALL_STATE(6732)] = 269459,
  [SMALL_STATE(6733)] = 269481,
  [SMALL_STATE(6734)] = 269501,
  [SMALL_STATE(6735)] = 269515,
  [SMALL_STATE(6736)] = 269537,
  [SMALL_STATE(6737)] = 269559,
  [SMALL_STATE(6738)] = 269579,
  [SMALL_STATE(6739)] = 269599,
  [SMALL_STATE(6740)] = 269621,
  [SMALL_STATE(6741)] = 269635,
  [SMALL_STATE(6742)] = 269655,
  [SMALL_STATE(6743)] = 269677,
  [SMALL_STATE(6744)] = 269699,
  [SMALL_STATE(6745)] = 269713,
  [SMALL_STATE(6746)] = 269727,
  [SMALL_STATE(6747)] = 269741,
  [SMALL_STATE(6748)] = 269759,
  [SMALL_STATE(6749)] = 269773,
  [SMALL_STATE(6750)] = 269795,
  [SMALL_STATE(6751)] = 269809,
  [SMALL_STATE(6752)] = 269829,
  [SMALL_STATE(6753)] = 269843,
  [SMALL_STATE(6754)] = 269860,
  [SMALL_STATE(6755)] = 269877,
  [SMALL_STATE(6756)] = 269896,
  [SMALL_STATE(6757)] = 269913,
  [SMALL_STATE(6758)] = 269932,
  [SMALL_STATE(6759)] = 269949,
  [SMALL_STATE(6760)] = 269968,
  [SMALL_STATE(6761)] = 269985,
  [SMALL_STATE(6762)] = 270004,
  [SMALL_STATE(6763)] = 270021,
  [SMALL_STATE(6764)] = 270038,
  [SMALL_STATE(6765)] = 270055,
  [SMALL_STATE(6766)] = 270074,
  [SMALL_STATE(6767)] = 270091,
  [SMALL_STATE(6768)] = 270108,
  [SMALL_STATE(6769)] = 270125,
  [SMALL_STATE(6770)] = 270144,
  [SMALL_STATE(6771)] = 270161,
  [SMALL_STATE(6772)] = 270178,
  [SMALL_STATE(6773)] = 270195,
  [SMALL_STATE(6774)] = 270214,
  [SMALL_STATE(6775)] = 270231,
  [SMALL_STATE(6776)] = 270250,
  [SMALL_STATE(6777)] = 270269,
  [SMALL_STATE(6778)] = 270288,
  [SMALL_STATE(6779)] = 270305,
  [SMALL_STATE(6780)] = 270324,
  [SMALL_STATE(6781)] = 270341,
  [SMALL_STATE(6782)] = 270358,
  [SMALL_STATE(6783)] = 270375,
  [SMALL_STATE(6784)] = 270392,
  [SMALL_STATE(6785)] = 270409,
  [SMALL_STATE(6786)] = 270428,
  [SMALL_STATE(6787)] = 270447,
  [SMALL_STATE(6788)] = 270464,
  [SMALL_STATE(6789)] = 270477,
  [SMALL_STATE(6790)] = 270494,
  [SMALL_STATE(6791)] = 270511,
  [SMALL_STATE(6792)] = 270530,
  [SMALL_STATE(6793)] = 270549,
  [SMALL_STATE(6794)] = 270566,
  [SMALL_STATE(6795)] = 270583,
  [SMALL_STATE(6796)] = 270602,
  [SMALL_STATE(6797)] = 270619,
  [SMALL_STATE(6798)] = 270636,
  [SMALL_STATE(6799)] = 270653,
  [SMALL_STATE(6800)] = 270666,
  [SMALL_STATE(6801)] = 270683,
  [SMALL_STATE(6802)] = 270700,
  [SMALL_STATE(6803)] = 270717,
  [SMALL_STATE(6804)] = 270734,
  [SMALL_STATE(6805)] = 270751,
  [SMALL_STATE(6806)] = 270770,
  [SMALL_STATE(6807)] = 270787,
  [SMALL_STATE(6808)] = 270806,
  [SMALL_STATE(6809)] = 270823,
  [SMALL_STATE(6810)] = 270840,
  [SMALL_STATE(6811)] = 270857,
  [SMALL_STATE(6812)] = 270876,
  [SMALL_STATE(6813)] = 270893,
  [SMALL_STATE(6814)] = 270912,
  [SMALL_STATE(6815)] = 270929,
  [SMALL_STATE(6816)] = 270946,
  [SMALL_STATE(6817)] = 270963,
  [SMALL_STATE(6818)] = 270982,
  [SMALL_STATE(6819)] = 270999,
  [SMALL_STATE(6820)] = 271016,
  [SMALL_STATE(6821)] = 271033,
  [SMALL_STATE(6822)] = 271044,
  [SMALL_STATE(6823)] = 271061,
  [SMALL_STATE(6824)] = 271080,
  [SMALL_STATE(6825)] = 271099,
  [SMALL_STATE(6826)] = 271116,
  [SMALL_STATE(6827)] = 271135,
  [SMALL_STATE(6828)] = 271151,
  [SMALL_STATE(6829)] = 271167,
  [SMALL_STATE(6830)] = 271183,
  [SMALL_STATE(6831)] = 271197,
  [SMALL_STATE(6832)] = 271213,
  [SMALL_STATE(6833)] = 271229,
  [SMALL_STATE(6834)] = 271245,
  [SMALL_STATE(6835)] = 271259,
  [SMALL_STATE(6836)] = 271273,
  [SMALL_STATE(6837)] = 271289,
  [SMALL_STATE(6838)] = 271305,
  [SMALL_STATE(6839)] = 271319,
  [SMALL_STATE(6840)] = 271333,
  [SMALL_STATE(6841)] = 271347,
  [SMALL_STATE(6842)] = 271363,
  [SMALL_STATE(6843)] = 271379,
  [SMALL_STATE(6844)] = 271393,
  [SMALL_STATE(6845)] = 271409,
  [SMALL_STATE(6846)] = 271425,
  [SMALL_STATE(6847)] = 271441,
  [SMALL_STATE(6848)] = 271457,
  [SMALL_STATE(6849)] = 271471,
  [SMALL_STATE(6850)] = 271487,
  [SMALL_STATE(6851)] = 271503,
  [SMALL_STATE(6852)] = 271519,
  [SMALL_STATE(6853)] = 271535,
  [SMALL_STATE(6854)] = 271551,
  [SMALL_STATE(6855)] = 271565,
  [SMALL_STATE(6856)] = 271581,
  [SMALL_STATE(6857)] = 271597,
  [SMALL_STATE(6858)] = 271611,
  [SMALL_STATE(6859)] = 271625,
  [SMALL_STATE(6860)] = 271639,
  [SMALL_STATE(6861)] = 271653,
  [SMALL_STATE(6862)] = 271665,
  [SMALL_STATE(6863)] = 271681,
  [SMALL_STATE(6864)] = 271695,
  [SMALL_STATE(6865)] = 271711,
  [SMALL_STATE(6866)] = 271727,
  [SMALL_STATE(6867)] = 271739,
  [SMALL_STATE(6868)] = 271755,
  [SMALL_STATE(6869)] = 271769,
  [SMALL_STATE(6870)] = 271781,
  [SMALL_STATE(6871)] = 271797,
  [SMALL_STATE(6872)] = 271813,
  [SMALL_STATE(6873)] = 271829,
  [SMALL_STATE(6874)] = 271845,
  [SMALL_STATE(6875)] = 271861,
  [SMALL_STATE(6876)] = 271877,
  [SMALL_STATE(6877)] = 271893,
  [SMALL_STATE(6878)] = 271907,
  [SMALL_STATE(6879)] = 271923,
  [SMALL_STATE(6880)] = 271939,
  [SMALL_STATE(6881)] = 271955,
  [SMALL_STATE(6882)] = 271971,
  [SMALL_STATE(6883)] = 271987,
  [SMALL_STATE(6884)] = 272003,
  [SMALL_STATE(6885)] = 272019,
  [SMALL_STATE(6886)] = 272033,
  [SMALL_STATE(6887)] = 272049,
  [SMALL_STATE(6888)] = 272065,
  [SMALL_STATE(6889)] = 272081,
  [SMALL_STATE(6890)] = 272095,
  [SMALL_STATE(6891)] = 272111,
  [SMALL_STATE(6892)] = 272125,
  [SMALL_STATE(6893)] = 272139,
  [SMALL_STATE(6894)] = 272153,
  [SMALL_STATE(6895)] = 272169,
  [SMALL_STATE(6896)] = 272183,
  [SMALL_STATE(6897)] = 272199,
  [SMALL_STATE(6898)] = 272215,
  [SMALL_STATE(6899)] = 272231,
  [SMALL_STATE(6900)] = 272245,
  [SMALL_STATE(6901)] = 272259,
  [SMALL_STATE(6902)] = 272273,
  [SMALL_STATE(6903)] = 272289,
  [SMALL_STATE(6904)] = 272305,
  [SMALL_STATE(6905)] = 272319,
  [SMALL_STATE(6906)] = 272333,
  [SMALL_STATE(6907)] = 272349,
  [SMALL_STATE(6908)] = 272363,
  [SMALL_STATE(6909)] = 272379,
  [SMALL_STATE(6910)] = 272395,
  [SMALL_STATE(6911)] = 272409,
  [SMALL_STATE(6912)] = 272423,
  [SMALL_STATE(6913)] = 272439,
  [SMALL_STATE(6914)] = 272455,
  [SMALL_STATE(6915)] = 272469,
  [SMALL_STATE(6916)] = 272483,
  [SMALL_STATE(6917)] = 272499,
  [SMALL_STATE(6918)] = 272515,
  [SMALL_STATE(6919)] = 272529,
  [SMALL_STATE(6920)] = 272543,
  [SMALL_STATE(6921)] = 272557,
  [SMALL_STATE(6922)] = 272573,
  [SMALL_STATE(6923)] = 272589,
  [SMALL_STATE(6924)] = 272605,
  [SMALL_STATE(6925)] = 272621,
  [SMALL_STATE(6926)] = 272635,
  [SMALL_STATE(6927)] = 272651,
  [SMALL_STATE(6928)] = 272667,
  [SMALL_STATE(6929)] = 272683,
  [SMALL_STATE(6930)] = 272699,
  [SMALL_STATE(6931)] = 272715,
  [SMALL_STATE(6932)] = 272731,
  [SMALL_STATE(6933)] = 272745,
  [SMALL_STATE(6934)] = 272761,
  [SMALL_STATE(6935)] = 272775,
  [SMALL_STATE(6936)] = 272791,
  [SMALL_STATE(6937)] = 272807,
  [SMALL_STATE(6938)] = 272823,
  [SMALL_STATE(6939)] = 272837,
  [SMALL_STATE(6940)] = 272853,
  [SMALL_STATE(6941)] = 272869,
  [SMALL_STATE(6942)] = 272885,
  [SMALL_STATE(6943)] = 272901,
  [SMALL_STATE(6944)] = 272917,
  [SMALL_STATE(6945)] = 272931,
  [SMALL_STATE(6946)] = 272947,
  [SMALL_STATE(6947)] = 272961,
  [SMALL_STATE(6948)] = 272975,
  [SMALL_STATE(6949)] = 272991,
  [SMALL_STATE(6950)] = 273007,
  [SMALL_STATE(6951)] = 273023,
  [SMALL_STATE(6952)] = 273039,
  [SMALL_STATE(6953)] = 273053,
  [SMALL_STATE(6954)] = 273069,
  [SMALL_STATE(6955)] = 273085,
  [SMALL_STATE(6956)] = 273099,
  [SMALL_STATE(6957)] = 273115,
  [SMALL_STATE(6958)] = 273131,
  [SMALL_STATE(6959)] = 273145,
  [SMALL_STATE(6960)] = 273159,
  [SMALL_STATE(6961)] = 273173,
  [SMALL_STATE(6962)] = 273189,
  [SMALL_STATE(6963)] = 273205,
  [SMALL_STATE(6964)] = 273219,
  [SMALL_STATE(6965)] = 273233,
  [SMALL_STATE(6966)] = 273247,
  [SMALL_STATE(6967)] = 273263,
  [SMALL_STATE(6968)] = 273279,
  [SMALL_STATE(6969)] = 273295,
  [SMALL_STATE(6970)] = 273309,
  [SMALL_STATE(6971)] = 273323,
  [SMALL_STATE(6972)] = 273337,
  [SMALL_STATE(6973)] = 273353,
  [SMALL_STATE(6974)] = 273369,
  [SMALL_STATE(6975)] = 273383,
  [SMALL_STATE(6976)] = 273399,
  [SMALL_STATE(6977)] = 273415,
  [SMALL_STATE(6978)] = 273431,
  [SMALL_STATE(6979)] = 273447,
  [SMALL_STATE(6980)] = 273461,
  [SMALL_STATE(6981)] = 273475,
  [SMALL_STATE(6982)] = 273489,
  [SMALL_STATE(6983)] = 273503,
  [SMALL_STATE(6984)] = 273519,
  [SMALL_STATE(6985)] = 273535,
  [SMALL_STATE(6986)] = 273549,
  [SMALL_STATE(6987)] = 273565,
  [SMALL_STATE(6988)] = 273579,
  [SMALL_STATE(6989)] = 273595,
  [SMALL_STATE(6990)] = 273611,
  [SMALL_STATE(6991)] = 273627,
  [SMALL_STATE(6992)] = 273643,
  [SMALL_STATE(6993)] = 273657,
  [SMALL_STATE(6994)] = 273673,
  [SMALL_STATE(6995)] = 273689,
  [SMALL_STATE(6996)] = 273703,
  [SMALL_STATE(6997)] = 273717,
  [SMALL_STATE(6998)] = 273733,
  [SMALL_STATE(6999)] = 273749,
  [SMALL_STATE(7000)] = 273763,
  [SMALL_STATE(7001)] = 273779,
  [SMALL_STATE(7002)] = 273793,
  [SMALL_STATE(7003)] = 273809,
  [SMALL_STATE(7004)] = 273825,
  [SMALL_STATE(7005)] = 273841,
  [SMALL_STATE(7006)] = 273857,
  [SMALL_STATE(7007)] = 273873,
  [SMALL_STATE(7008)] = 273889,
  [SMALL_STATE(7009)] = 273903,
  [SMALL_STATE(7010)] = 273917,
  [SMALL_STATE(7011)] = 273933,
  [SMALL_STATE(7012)] = 273947,
  [SMALL_STATE(7013)] = 273963,
  [SMALL_STATE(7014)] = 273979,
  [SMALL_STATE(7015)] = 273995,
  [SMALL_STATE(7016)] = 274009,
  [SMALL_STATE(7017)] = 274025,
  [SMALL_STATE(7018)] = 274041,
  [SMALL_STATE(7019)] = 274055,
  [SMALL_STATE(7020)] = 274067,
  [SMALL_STATE(7021)] = 274083,
  [SMALL_STATE(7022)] = 274099,
  [SMALL_STATE(7023)] = 274113,
  [SMALL_STATE(7024)] = 274129,
  [SMALL_STATE(7025)] = 274143,
  [SMALL_STATE(7026)] = 274159,
  [SMALL_STATE(7027)] = 274175,
  [SMALL_STATE(7028)] = 274189,
  [SMALL_STATE(7029)] = 274203,
  [SMALL_STATE(7030)] = 274219,
  [SMALL_STATE(7031)] = 274229,
  [SMALL_STATE(7032)] = 274245,
  [SMALL_STATE(7033)] = 274259,
  [SMALL_STATE(7034)] = 274275,
  [SMALL_STATE(7035)] = 274289,
  [SMALL_STATE(7036)] = 274299,
  [SMALL_STATE(7037)] = 274315,
  [SMALL_STATE(7038)] = 274331,
  [SMALL_STATE(7039)] = 274347,
  [SMALL_STATE(7040)] = 274363,
  [SMALL_STATE(7041)] = 274379,
  [SMALL_STATE(7042)] = 274393,
  [SMALL_STATE(7043)] = 274407,
  [SMALL_STATE(7044)] = 274423,
  [SMALL_STATE(7045)] = 274439,
  [SMALL_STATE(7046)] = 274453,
  [SMALL_STATE(7047)] = 274469,
  [SMALL_STATE(7048)] = 274485,
  [SMALL_STATE(7049)] = 274499,
  [SMALL_STATE(7050)] = 274513,
  [SMALL_STATE(7051)] = 274529,
  [SMALL_STATE(7052)] = 274542,
  [SMALL_STATE(7053)] = 274555,
  [SMALL_STATE(7054)] = 274568,
  [SMALL_STATE(7055)] = 274581,
  [SMALL_STATE(7056)] = 274594,
  [SMALL_STATE(7057)] = 274607,
  [SMALL_STATE(7058)] = 274618,
  [SMALL_STATE(7059)] = 274631,
  [SMALL_STATE(7060)] = 274644,
  [SMALL_STATE(7061)] = 274657,
  [SMALL_STATE(7062)] = 274670,
  [SMALL_STATE(7063)] = 274683,
  [SMALL_STATE(7064)] = 274694,
  [SMALL_STATE(7065)] = 274707,
  [SMALL_STATE(7066)] = 274720,
  [SMALL_STATE(7067)] = 274733,
  [SMALL_STATE(7068)] = 274746,
  [SMALL_STATE(7069)] = 274759,
  [SMALL_STATE(7070)] = 274772,
  [SMALL_STATE(7071)] = 274785,
  [SMALL_STATE(7072)] = 274798,
  [SMALL_STATE(7073)] = 274811,
  [SMALL_STATE(7074)] = 274824,
  [SMALL_STATE(7075)] = 274837,
  [SMALL_STATE(7076)] = 274848,
  [SMALL_STATE(7077)] = 274861,
  [SMALL_STATE(7078)] = 274874,
  [SMALL_STATE(7079)] = 274887,
  [SMALL_STATE(7080)] = 274898,
  [SMALL_STATE(7081)] = 274911,
  [SMALL_STATE(7082)] = 274924,
  [SMALL_STATE(7083)] = 274937,
  [SMALL_STATE(7084)] = 274950,
  [SMALL_STATE(7085)] = 274961,
  [SMALL_STATE(7086)] = 274974,
  [SMALL_STATE(7087)] = 274987,
  [SMALL_STATE(7088)] = 275000,
  [SMALL_STATE(7089)] = 275013,
  [SMALL_STATE(7090)] = 275026,
  [SMALL_STATE(7091)] = 275039,
  [SMALL_STATE(7092)] = 275052,
  [SMALL_STATE(7093)] = 275065,
  [SMALL_STATE(7094)] = 275078,
  [SMALL_STATE(7095)] = 275091,
  [SMALL_STATE(7096)] = 275104,
  [SMALL_STATE(7097)] = 275117,
  [SMALL_STATE(7098)] = 275130,
  [SMALL_STATE(7099)] = 275143,
  [SMALL_STATE(7100)] = 275156,
  [SMALL_STATE(7101)] = 275165,
  [SMALL_STATE(7102)] = 275174,
  [SMALL_STATE(7103)] = 275187,
  [SMALL_STATE(7104)] = 275200,
  [SMALL_STATE(7105)] = 275213,
  [SMALL_STATE(7106)] = 275226,
  [SMALL_STATE(7107)] = 275239,
  [SMALL_STATE(7108)] = 275252,
  [SMALL_STATE(7109)] = 275265,
  [SMALL_STATE(7110)] = 275276,
  [SMALL_STATE(7111)] = 275289,
  [SMALL_STATE(7112)] = 275302,
  [SMALL_STATE(7113)] = 275315,
  [SMALL_STATE(7114)] = 275328,
  [SMALL_STATE(7115)] = 275341,
  [SMALL_STATE(7116)] = 275354,
  [SMALL_STATE(7117)] = 275367,
  [SMALL_STATE(7118)] = 275380,
  [SMALL_STATE(7119)] = 275393,
  [SMALL_STATE(7120)] = 275406,
  [SMALL_STATE(7121)] = 275419,
  [SMALL_STATE(7122)] = 275432,
  [SMALL_STATE(7123)] = 275445,
  [SMALL_STATE(7124)] = 275456,
  [SMALL_STATE(7125)] = 275469,
  [SMALL_STATE(7126)] = 275480,
  [SMALL_STATE(7127)] = 275493,
  [SMALL_STATE(7128)] = 275506,
  [SMALL_STATE(7129)] = 275519,
  [SMALL_STATE(7130)] = 275530,
  [SMALL_STATE(7131)] = 275543,
  [SMALL_STATE(7132)] = 275556,
  [SMALL_STATE(7133)] = 275569,
  [SMALL_STATE(7134)] = 275582,
  [SMALL_STATE(7135)] = 275595,
  [SMALL_STATE(7136)] = 275608,
  [SMALL_STATE(7137)] = 275619,
  [SMALL_STATE(7138)] = 275632,
  [SMALL_STATE(7139)] = 275645,
  [SMALL_STATE(7140)] = 275654,
  [SMALL_STATE(7141)] = 275663,
  [SMALL_STATE(7142)] = 275676,
  [SMALL_STATE(7143)] = 275689,
  [SMALL_STATE(7144)] = 275702,
  [SMALL_STATE(7145)] = 275715,
  [SMALL_STATE(7146)] = 275728,
  [SMALL_STATE(7147)] = 275737,
  [SMALL_STATE(7148)] = 275750,
  [SMALL_STATE(7149)] = 275763,
  [SMALL_STATE(7150)] = 275776,
  [SMALL_STATE(7151)] = 275789,
  [SMALL_STATE(7152)] = 275798,
  [SMALL_STATE(7153)] = 275811,
  [SMALL_STATE(7154)] = 275824,
  [SMALL_STATE(7155)] = 275837,
  [SMALL_STATE(7156)] = 275850,
  [SMALL_STATE(7157)] = 275863,
  [SMALL_STATE(7158)] = 275876,
  [SMALL_STATE(7159)] = 275889,
  [SMALL_STATE(7160)] = 275902,
  [SMALL_STATE(7161)] = 275913,
  [SMALL_STATE(7162)] = 275926,
  [SMALL_STATE(7163)] = 275937,
  [SMALL_STATE(7164)] = 275950,
  [SMALL_STATE(7165)] = 275963,
  [SMALL_STATE(7166)] = 275976,
  [SMALL_STATE(7167)] = 275989,
  [SMALL_STATE(7168)] = 276002,
  [SMALL_STATE(7169)] = 276015,
  [SMALL_STATE(7170)] = 276028,
  [SMALL_STATE(7171)] = 276041,
  [SMALL_STATE(7172)] = 276054,
  [SMALL_STATE(7173)] = 276067,
  [SMALL_STATE(7174)] = 276080,
  [SMALL_STATE(7175)] = 276093,
  [SMALL_STATE(7176)] = 276106,
  [SMALL_STATE(7177)] = 276119,
  [SMALL_STATE(7178)] = 276132,
  [SMALL_STATE(7179)] = 276145,
  [SMALL_STATE(7180)] = 276158,
  [SMALL_STATE(7181)] = 276171,
  [SMALL_STATE(7182)] = 276184,
  [SMALL_STATE(7183)] = 276195,
  [SMALL_STATE(7184)] = 276208,
  [SMALL_STATE(7185)] = 276221,
  [SMALL_STATE(7186)] = 276232,
  [SMALL_STATE(7187)] = 276245,
  [SMALL_STATE(7188)] = 276256,
  [SMALL_STATE(7189)] = 276269,
  [SMALL_STATE(7190)] = 276280,
  [SMALL_STATE(7191)] = 276293,
  [SMALL_STATE(7192)] = 276306,
  [SMALL_STATE(7193)] = 276317,
  [SMALL_STATE(7194)] = 276330,
  [SMALL_STATE(7195)] = 276341,
  [SMALL_STATE(7196)] = 276354,
  [SMALL_STATE(7197)] = 276367,
  [SMALL_STATE(7198)] = 276378,
  [SMALL_STATE(7199)] = 276389,
  [SMALL_STATE(7200)] = 276402,
  [SMALL_STATE(7201)] = 276415,
  [SMALL_STATE(7202)] = 276428,
  [SMALL_STATE(7203)] = 276441,
  [SMALL_STATE(7204)] = 276454,
  [SMALL_STATE(7205)] = 276465,
  [SMALL_STATE(7206)] = 276478,
  [SMALL_STATE(7207)] = 276489,
  [SMALL_STATE(7208)] = 276502,
  [SMALL_STATE(7209)] = 276515,
  [SMALL_STATE(7210)] = 276528,
  [SMALL_STATE(7211)] = 276541,
  [SMALL_STATE(7212)] = 276554,
  [SMALL_STATE(7213)] = 276567,
  [SMALL_STATE(7214)] = 276580,
  [SMALL_STATE(7215)] = 276593,
  [SMALL_STATE(7216)] = 276606,
  [SMALL_STATE(7217)] = 276619,
  [SMALL_STATE(7218)] = 276632,
  [SMALL_STATE(7219)] = 276645,
  [SMALL_STATE(7220)] = 276658,
  [SMALL_STATE(7221)] = 276671,
  [SMALL_STATE(7222)] = 276680,
  [SMALL_STATE(7223)] = 276691,
  [SMALL_STATE(7224)] = 276704,
  [SMALL_STATE(7225)] = 276717,
  [SMALL_STATE(7226)] = 276730,
  [SMALL_STATE(7227)] = 276743,
  [SMALL_STATE(7228)] = 276756,
  [SMALL_STATE(7229)] = 276769,
  [SMALL_STATE(7230)] = 276782,
  [SMALL_STATE(7231)] = 276795,
  [SMALL_STATE(7232)] = 276808,
  [SMALL_STATE(7233)] = 276819,
  [SMALL_STATE(7234)] = 276830,
  [SMALL_STATE(7235)] = 276843,
  [SMALL_STATE(7236)] = 276856,
  [SMALL_STATE(7237)] = 276867,
  [SMALL_STATE(7238)] = 276878,
  [SMALL_STATE(7239)] = 276891,
  [SMALL_STATE(7240)] = 276902,
  [SMALL_STATE(7241)] = 276915,
  [SMALL_STATE(7242)] = 276928,
  [SMALL_STATE(7243)] = 276941,
  [SMALL_STATE(7244)] = 276954,
  [SMALL_STATE(7245)] = 276967,
  [SMALL_STATE(7246)] = 276980,
  [SMALL_STATE(7247)] = 276993,
  [SMALL_STATE(7248)] = 277006,
  [SMALL_STATE(7249)] = 277019,
  [SMALL_STATE(7250)] = 277032,
  [SMALL_STATE(7251)] = 277045,
  [SMALL_STATE(7252)] = 277058,
  [SMALL_STATE(7253)] = 277071,
  [SMALL_STATE(7254)] = 277084,
  [SMALL_STATE(7255)] = 277097,
  [SMALL_STATE(7256)] = 277110,
  [SMALL_STATE(7257)] = 277121,
  [SMALL_STATE(7258)] = 277134,
  [SMALL_STATE(7259)] = 277145,
  [SMALL_STATE(7260)] = 277158,
  [SMALL_STATE(7261)] = 277171,
  [SMALL_STATE(7262)] = 277184,
  [SMALL_STATE(7263)] = 277197,
  [SMALL_STATE(7264)] = 277210,
  [SMALL_STATE(7265)] = 277223,
  [SMALL_STATE(7266)] = 277236,
  [SMALL_STATE(7267)] = 277249,
  [SMALL_STATE(7268)] = 277262,
  [SMALL_STATE(7269)] = 277275,
  [SMALL_STATE(7270)] = 277288,
  [SMALL_STATE(7271)] = 277301,
  [SMALL_STATE(7272)] = 277314,
  [SMALL_STATE(7273)] = 277327,
  [SMALL_STATE(7274)] = 277338,
  [SMALL_STATE(7275)] = 277351,
  [SMALL_STATE(7276)] = 277364,
  [SMALL_STATE(7277)] = 277375,
  [SMALL_STATE(7278)] = 277388,
  [SMALL_STATE(7279)] = 277401,
  [SMALL_STATE(7280)] = 277414,
  [SMALL_STATE(7281)] = 277427,
  [SMALL_STATE(7282)] = 277438,
  [SMALL_STATE(7283)] = 277451,
  [SMALL_STATE(7284)] = 277460,
  [SMALL_STATE(7285)] = 277473,
  [SMALL_STATE(7286)] = 277482,
  [SMALL_STATE(7287)] = 277495,
  [SMALL_STATE(7288)] = 277508,
  [SMALL_STATE(7289)] = 277521,
  [SMALL_STATE(7290)] = 277534,
  [SMALL_STATE(7291)] = 277547,
  [SMALL_STATE(7292)] = 277560,
  [SMALL_STATE(7293)] = 277573,
  [SMALL_STATE(7294)] = 277586,
  [SMALL_STATE(7295)] = 277599,
  [SMALL_STATE(7296)] = 277612,
  [SMALL_STATE(7297)] = 277625,
  [SMALL_STATE(7298)] = 277636,
  [SMALL_STATE(7299)] = 277649,
  [SMALL_STATE(7300)] = 277662,
  [SMALL_STATE(7301)] = 277673,
  [SMALL_STATE(7302)] = 277686,
  [SMALL_STATE(7303)] = 277697,
  [SMALL_STATE(7304)] = 277710,
  [SMALL_STATE(7305)] = 277723,
  [SMALL_STATE(7306)] = 277736,
  [SMALL_STATE(7307)] = 277749,
  [SMALL_STATE(7308)] = 277762,
  [SMALL_STATE(7309)] = 277775,
  [SMALL_STATE(7310)] = 277788,
  [SMALL_STATE(7311)] = 277801,
  [SMALL_STATE(7312)] = 277814,
  [SMALL_STATE(7313)] = 277827,
  [SMALL_STATE(7314)] = 277840,
  [SMALL_STATE(7315)] = 277853,
  [SMALL_STATE(7316)] = 277866,
  [SMALL_STATE(7317)] = 277879,
  [SMALL_STATE(7318)] = 277892,
  [SMALL_STATE(7319)] = 277905,
  [SMALL_STATE(7320)] = 277918,
  [SMALL_STATE(7321)] = 277931,
  [SMALL_STATE(7322)] = 277944,
  [SMALL_STATE(7323)] = 277955,
  [SMALL_STATE(7324)] = 277964,
  [SMALL_STATE(7325)] = 277977,
  [SMALL_STATE(7326)] = 277990,
  [SMALL_STATE(7327)] = 278003,
  [SMALL_STATE(7328)] = 278016,
  [SMALL_STATE(7329)] = 278025,
  [SMALL_STATE(7330)] = 278038,
  [SMALL_STATE(7331)] = 278051,
  [SMALL_STATE(7332)] = 278064,
  [SMALL_STATE(7333)] = 278077,
  [SMALL_STATE(7334)] = 278090,
  [SMALL_STATE(7335)] = 278103,
  [SMALL_STATE(7336)] = 278112,
  [SMALL_STATE(7337)] = 278125,
  [SMALL_STATE(7338)] = 278136,
  [SMALL_STATE(7339)] = 278149,
  [SMALL_STATE(7340)] = 278162,
  [SMALL_STATE(7341)] = 278175,
  [SMALL_STATE(7342)] = 278188,
  [SMALL_STATE(7343)] = 278201,
  [SMALL_STATE(7344)] = 278214,
  [SMALL_STATE(7345)] = 278227,
  [SMALL_STATE(7346)] = 278240,
  [SMALL_STATE(7347)] = 278253,
  [SMALL_STATE(7348)] = 278266,
  [SMALL_STATE(7349)] = 278279,
  [SMALL_STATE(7350)] = 278290,
  [SMALL_STATE(7351)] = 278303,
  [SMALL_STATE(7352)] = 278314,
  [SMALL_STATE(7353)] = 278327,
  [SMALL_STATE(7354)] = 278340,
  [SMALL_STATE(7355)] = 278353,
  [SMALL_STATE(7356)] = 278366,
  [SMALL_STATE(7357)] = 278379,
  [SMALL_STATE(7358)] = 278392,
  [SMALL_STATE(7359)] = 278405,
  [SMALL_STATE(7360)] = 278418,
  [SMALL_STATE(7361)] = 278431,
  [SMALL_STATE(7362)] = 278442,
  [SMALL_STATE(7363)] = 278455,
  [SMALL_STATE(7364)] = 278468,
  [SMALL_STATE(7365)] = 278479,
  [SMALL_STATE(7366)] = 278492,
  [SMALL_STATE(7367)] = 278505,
  [SMALL_STATE(7368)] = 278516,
  [SMALL_STATE(7369)] = 278529,
  [SMALL_STATE(7370)] = 278540,
  [SMALL_STATE(7371)] = 278551,
  [SMALL_STATE(7372)] = 278564,
  [SMALL_STATE(7373)] = 278577,
  [SMALL_STATE(7374)] = 278590,
  [SMALL_STATE(7375)] = 278601,
  [SMALL_STATE(7376)] = 278614,
  [SMALL_STATE(7377)] = 278627,
  [SMALL_STATE(7378)] = 278636,
  [SMALL_STATE(7379)] = 278649,
  [SMALL_STATE(7380)] = 278662,
  [SMALL_STATE(7381)] = 278673,
  [SMALL_STATE(7382)] = 278686,
  [SMALL_STATE(7383)] = 278697,
  [SMALL_STATE(7384)] = 278710,
  [SMALL_STATE(7385)] = 278723,
  [SMALL_STATE(7386)] = 278732,
  [SMALL_STATE(7387)] = 278743,
  [SMALL_STATE(7388)] = 278756,
  [SMALL_STATE(7389)] = 278767,
  [SMALL_STATE(7390)] = 278780,
  [SMALL_STATE(7391)] = 278793,
  [SMALL_STATE(7392)] = 278806,
  [SMALL_STATE(7393)] = 278819,
  [SMALL_STATE(7394)] = 278832,
  [SMALL_STATE(7395)] = 278845,
  [SMALL_STATE(7396)] = 278858,
  [SMALL_STATE(7397)] = 278871,
  [SMALL_STATE(7398)] = 278884,
  [SMALL_STATE(7399)] = 278897,
  [SMALL_STATE(7400)] = 278908,
  [SMALL_STATE(7401)] = 278921,
  [SMALL_STATE(7402)] = 278934,
  [SMALL_STATE(7403)] = 278945,
  [SMALL_STATE(7404)] = 278958,
  [SMALL_STATE(7405)] = 278971,
  [SMALL_STATE(7406)] = 278984,
  [SMALL_STATE(7407)] = 278997,
  [SMALL_STATE(7408)] = 279010,
  [SMALL_STATE(7409)] = 279023,
  [SMALL_STATE(7410)] = 279036,
  [SMALL_STATE(7411)] = 279049,
  [SMALL_STATE(7412)] = 279062,
  [SMALL_STATE(7413)] = 279075,
  [SMALL_STATE(7414)] = 279088,
  [SMALL_STATE(7415)] = 279101,
  [SMALL_STATE(7416)] = 279112,
  [SMALL_STATE(7417)] = 279125,
  [SMALL_STATE(7418)] = 279138,
  [SMALL_STATE(7419)] = 279149,
  [SMALL_STATE(7420)] = 279158,
  [SMALL_STATE(7421)] = 279169,
  [SMALL_STATE(7422)] = 279182,
  [SMALL_STATE(7423)] = 279195,
  [SMALL_STATE(7424)] = 279206,
  [SMALL_STATE(7425)] = 279219,
  [SMALL_STATE(7426)] = 279232,
  [SMALL_STATE(7427)] = 279241,
  [SMALL_STATE(7428)] = 279254,
  [SMALL_STATE(7429)] = 279267,
  [SMALL_STATE(7430)] = 279280,
  [SMALL_STATE(7431)] = 279293,
  [SMALL_STATE(7432)] = 279306,
  [SMALL_STATE(7433)] = 279319,
  [SMALL_STATE(7434)] = 279332,
  [SMALL_STATE(7435)] = 279345,
  [SMALL_STATE(7436)] = 279358,
  [SMALL_STATE(7437)] = 279371,
  [SMALL_STATE(7438)] = 279384,
  [SMALL_STATE(7439)] = 279397,
  [SMALL_STATE(7440)] = 279408,
  [SMALL_STATE(7441)] = 279421,
  [SMALL_STATE(7442)] = 279432,
  [SMALL_STATE(7443)] = 279445,
  [SMALL_STATE(7444)] = 279458,
  [SMALL_STATE(7445)] = 279471,
  [SMALL_STATE(7446)] = 279484,
  [SMALL_STATE(7447)] = 279493,
  [SMALL_STATE(7448)] = 279506,
  [SMALL_STATE(7449)] = 279519,
  [SMALL_STATE(7450)] = 279532,
  [SMALL_STATE(7451)] = 279545,
  [SMALL_STATE(7452)] = 279558,
  [SMALL_STATE(7453)] = 279571,
  [SMALL_STATE(7454)] = 279581,
  [SMALL_STATE(7455)] = 279591,
  [SMALL_STATE(7456)] = 279599,
  [SMALL_STATE(7457)] = 279607,
  [SMALL_STATE(7458)] = 279617,
  [SMALL_STATE(7459)] = 279627,
  [SMALL_STATE(7460)] = 279637,
  [SMALL_STATE(7461)] = 279647,
  [SMALL_STATE(7462)] = 279657,
  [SMALL_STATE(7463)] = 279667,
  [SMALL_STATE(7464)] = 279677,
  [SMALL_STATE(7465)] = 279687,
  [SMALL_STATE(7466)] = 279697,
  [SMALL_STATE(7467)] = 279707,
  [SMALL_STATE(7468)] = 279717,
  [SMALL_STATE(7469)] = 279727,
  [SMALL_STATE(7470)] = 279737,
  [SMALL_STATE(7471)] = 279747,
  [SMALL_STATE(7472)] = 279757,
  [SMALL_STATE(7473)] = 279767,
  [SMALL_STATE(7474)] = 279777,
  [SMALL_STATE(7475)] = 279787,
  [SMALL_STATE(7476)] = 279797,
  [SMALL_STATE(7477)] = 279807,
  [SMALL_STATE(7478)] = 279817,
  [SMALL_STATE(7479)] = 279827,
  [SMALL_STATE(7480)] = 279837,
  [SMALL_STATE(7481)] = 279847,
  [SMALL_STATE(7482)] = 279857,
  [SMALL_STATE(7483)] = 279867,
  [SMALL_STATE(7484)] = 279877,
  [SMALL_STATE(7485)] = 279887,
  [SMALL_STATE(7486)] = 279897,
  [SMALL_STATE(7487)] = 279907,
  [SMALL_STATE(7488)] = 279917,
  [SMALL_STATE(7489)] = 279927,
  [SMALL_STATE(7490)] = 279937,
  [SMALL_STATE(7491)] = 279945,
  [SMALL_STATE(7492)] = 279955,
  [SMALL_STATE(7493)] = 279965,
  [SMALL_STATE(7494)] = 279975,
  [SMALL_STATE(7495)] = 279985,
  [SMALL_STATE(7496)] = 279993,
  [SMALL_STATE(7497)] = 280003,
  [SMALL_STATE(7498)] = 280013,
  [SMALL_STATE(7499)] = 280023,
  [SMALL_STATE(7500)] = 280033,
  [SMALL_STATE(7501)] = 280043,
  [SMALL_STATE(7502)] = 280053,
  [SMALL_STATE(7503)] = 280063,
  [SMALL_STATE(7504)] = 280073,
  [SMALL_STATE(7505)] = 280083,
  [SMALL_STATE(7506)] = 280093,
  [SMALL_STATE(7507)] = 280103,
  [SMALL_STATE(7508)] = 280113,
  [SMALL_STATE(7509)] = 280123,
  [SMALL_STATE(7510)] = 280133,
  [SMALL_STATE(7511)] = 280141,
  [SMALL_STATE(7512)] = 280149,
  [SMALL_STATE(7513)] = 280159,
  [SMALL_STATE(7514)] = 280169,
  [SMALL_STATE(7515)] = 280179,
  [SMALL_STATE(7516)] = 280189,
  [SMALL_STATE(7517)] = 280199,
  [SMALL_STATE(7518)] = 280209,
  [SMALL_STATE(7519)] = 280219,
  [SMALL_STATE(7520)] = 280229,
  [SMALL_STATE(7521)] = 280239,
  [SMALL_STATE(7522)] = 280247,
  [SMALL_STATE(7523)] = 280257,
  [SMALL_STATE(7524)] = 280267,
  [SMALL_STATE(7525)] = 280277,
  [SMALL_STATE(7526)] = 280287,
  [SMALL_STATE(7527)] = 280297,
  [SMALL_STATE(7528)] = 280305,
  [SMALL_STATE(7529)] = 280315,
  [SMALL_STATE(7530)] = 280325,
  [SMALL_STATE(7531)] = 280335,
  [SMALL_STATE(7532)] = 280345,
  [SMALL_STATE(7533)] = 280355,
  [SMALL_STATE(7534)] = 280365,
  [SMALL_STATE(7535)] = 280375,
  [SMALL_STATE(7536)] = 280385,
  [SMALL_STATE(7537)] = 280395,
  [SMALL_STATE(7538)] = 280405,
  [SMALL_STATE(7539)] = 280415,
  [SMALL_STATE(7540)] = 280425,
  [SMALL_STATE(7541)] = 280435,
  [SMALL_STATE(7542)] = 280445,
  [SMALL_STATE(7543)] = 280455,
  [SMALL_STATE(7544)] = 280465,
  [SMALL_STATE(7545)] = 280475,
  [SMALL_STATE(7546)] = 280485,
  [SMALL_STATE(7547)] = 280495,
  [SMALL_STATE(7548)] = 280505,
  [SMALL_STATE(7549)] = 280515,
  [SMALL_STATE(7550)] = 280525,
  [SMALL_STATE(7551)] = 280535,
  [SMALL_STATE(7552)] = 280545,
  [SMALL_STATE(7553)] = 280555,
  [SMALL_STATE(7554)] = 280565,
  [SMALL_STATE(7555)] = 280575,
  [SMALL_STATE(7556)] = 280585,
  [SMALL_STATE(7557)] = 280595,
  [SMALL_STATE(7558)] = 280605,
  [SMALL_STATE(7559)] = 280615,
  [SMALL_STATE(7560)] = 280623,
  [SMALL_STATE(7561)] = 280631,
  [SMALL_STATE(7562)] = 280639,
  [SMALL_STATE(7563)] = 280649,
  [SMALL_STATE(7564)] = 280659,
  [SMALL_STATE(7565)] = 280669,
  [SMALL_STATE(7566)] = 280679,
  [SMALL_STATE(7567)] = 280689,
  [SMALL_STATE(7568)] = 280699,
  [SMALL_STATE(7569)] = 280709,
  [SMALL_STATE(7570)] = 280719,
  [SMALL_STATE(7571)] = 280729,
  [SMALL_STATE(7572)] = 280739,
  [SMALL_STATE(7573)] = 280747,
  [SMALL_STATE(7574)] = 280757,
  [SMALL_STATE(7575)] = 280767,
  [SMALL_STATE(7576)] = 280777,
  [SMALL_STATE(7577)] = 280787,
  [SMALL_STATE(7578)] = 280797,
  [SMALL_STATE(7579)] = 280807,
  [SMALL_STATE(7580)] = 280815,
  [SMALL_STATE(7581)] = 280825,
  [SMALL_STATE(7582)] = 280835,
  [SMALL_STATE(7583)] = 280845,
  [SMALL_STATE(7584)] = 280855,
  [SMALL_STATE(7585)] = 280865,
  [SMALL_STATE(7586)] = 280875,
  [SMALL_STATE(7587)] = 280885,
  [SMALL_STATE(7588)] = 280895,
  [SMALL_STATE(7589)] = 280905,
  [SMALL_STATE(7590)] = 280915,
  [SMALL_STATE(7591)] = 280925,
  [SMALL_STATE(7592)] = 280935,
  [SMALL_STATE(7593)] = 280945,
  [SMALL_STATE(7594)] = 280953,
  [SMALL_STATE(7595)] = 280963,
  [SMALL_STATE(7596)] = 280973,
  [SMALL_STATE(7597)] = 280983,
  [SMALL_STATE(7598)] = 280993,
  [SMALL_STATE(7599)] = 281001,
  [SMALL_STATE(7600)] = 281011,
  [SMALL_STATE(7601)] = 281021,
  [SMALL_STATE(7602)] = 281031,
  [SMALL_STATE(7603)] = 281041,
  [SMALL_STATE(7604)] = 281049,
  [SMALL_STATE(7605)] = 281059,
  [SMALL_STATE(7606)] = 281067,
  [SMALL_STATE(7607)] = 281077,
  [SMALL_STATE(7608)] = 281087,
  [SMALL_STATE(7609)] = 281097,
  [SMALL_STATE(7610)] = 281107,
  [SMALL_STATE(7611)] = 281115,
  [SMALL_STATE(7612)] = 281125,
  [SMALL_STATE(7613)] = 281135,
  [SMALL_STATE(7614)] = 281143,
  [SMALL_STATE(7615)] = 281151,
  [SMALL_STATE(7616)] = 281159,
  [SMALL_STATE(7617)] = 281169,
  [SMALL_STATE(7618)] = 281179,
  [SMALL_STATE(7619)] = 281189,
  [SMALL_STATE(7620)] = 281199,
  [SMALL_STATE(7621)] = 281209,
  [SMALL_STATE(7622)] = 281219,
  [SMALL_STATE(7623)] = 281227,
  [SMALL_STATE(7624)] = 281237,
  [SMALL_STATE(7625)] = 281247,
  [SMALL_STATE(7626)] = 281257,
  [SMALL_STATE(7627)] = 281267,
  [SMALL_STATE(7628)] = 281277,
  [SMALL_STATE(7629)] = 281287,
  [SMALL_STATE(7630)] = 281297,
  [SMALL_STATE(7631)] = 281307,
  [SMALL_STATE(7632)] = 281317,
  [SMALL_STATE(7633)] = 281327,
  [SMALL_STATE(7634)] = 281335,
  [SMALL_STATE(7635)] = 281345,
  [SMALL_STATE(7636)] = 281355,
  [SMALL_STATE(7637)] = 281365,
  [SMALL_STATE(7638)] = 281375,
  [SMALL_STATE(7639)] = 281385,
  [SMALL_STATE(7640)] = 281393,
  [SMALL_STATE(7641)] = 281403,
  [SMALL_STATE(7642)] = 281413,
  [SMALL_STATE(7643)] = 281423,
  [SMALL_STATE(7644)] = 281433,
  [SMALL_STATE(7645)] = 281443,
  [SMALL_STATE(7646)] = 281453,
  [SMALL_STATE(7647)] = 281463,
  [SMALL_STATE(7648)] = 281473,
  [SMALL_STATE(7649)] = 281483,
  [SMALL_STATE(7650)] = 281493,
  [SMALL_STATE(7651)] = 281503,
  [SMALL_STATE(7652)] = 281511,
  [SMALL_STATE(7653)] = 281519,
  [SMALL_STATE(7654)] = 281529,
  [SMALL_STATE(7655)] = 281537,
  [SMALL_STATE(7656)] = 281547,
  [SMALL_STATE(7657)] = 281557,
  [SMALL_STATE(7658)] = 281567,
  [SMALL_STATE(7659)] = 281577,
  [SMALL_STATE(7660)] = 281585,
  [SMALL_STATE(7661)] = 281595,
  [SMALL_STATE(7662)] = 281605,
  [SMALL_STATE(7663)] = 281615,
  [SMALL_STATE(7664)] = 281625,
  [SMALL_STATE(7665)] = 281635,
  [SMALL_STATE(7666)] = 281645,
  [SMALL_STATE(7667)] = 281655,
  [SMALL_STATE(7668)] = 281665,
  [SMALL_STATE(7669)] = 281673,
  [SMALL_STATE(7670)] = 281683,
  [SMALL_STATE(7671)] = 281693,
  [SMALL_STATE(7672)] = 281703,
  [SMALL_STATE(7673)] = 281713,
  [SMALL_STATE(7674)] = 281721,
  [SMALL_STATE(7675)] = 281729,
  [SMALL_STATE(7676)] = 281737,
  [SMALL_STATE(7677)] = 281747,
  [SMALL_STATE(7678)] = 281757,
  [SMALL_STATE(7679)] = 281767,
  [SMALL_STATE(7680)] = 281777,
  [SMALL_STATE(7681)] = 281787,
  [SMALL_STATE(7682)] = 281797,
  [SMALL_STATE(7683)] = 281807,
  [SMALL_STATE(7684)] = 281817,
  [SMALL_STATE(7685)] = 281827,
  [SMALL_STATE(7686)] = 281837,
  [SMALL_STATE(7687)] = 281847,
  [SMALL_STATE(7688)] = 281857,
  [SMALL_STATE(7689)] = 281867,
  [SMALL_STATE(7690)] = 281877,
  [SMALL_STATE(7691)] = 281887,
  [SMALL_STATE(7692)] = 281897,
  [SMALL_STATE(7693)] = 281907,
  [SMALL_STATE(7694)] = 281917,
  [SMALL_STATE(7695)] = 281927,
  [SMALL_STATE(7696)] = 281937,
  [SMALL_STATE(7697)] = 281947,
  [SMALL_STATE(7698)] = 281955,
  [SMALL_STATE(7699)] = 281965,
  [SMALL_STATE(7700)] = 281975,
  [SMALL_STATE(7701)] = 281985,
  [SMALL_STATE(7702)] = 281995,
  [SMALL_STATE(7703)] = 282003,
  [SMALL_STATE(7704)] = 282013,
  [SMALL_STATE(7705)] = 282021,
  [SMALL_STATE(7706)] = 282031,
  [SMALL_STATE(7707)] = 282041,
  [SMALL_STATE(7708)] = 282051,
  [SMALL_STATE(7709)] = 282061,
  [SMALL_STATE(7710)] = 282071,
  [SMALL_STATE(7711)] = 282081,
  [SMALL_STATE(7712)] = 282091,
  [SMALL_STATE(7713)] = 282099,
  [SMALL_STATE(7714)] = 282109,
  [SMALL_STATE(7715)] = 282119,
  [SMALL_STATE(7716)] = 282129,
  [SMALL_STATE(7717)] = 282139,
  [SMALL_STATE(7718)] = 282149,
  [SMALL_STATE(7719)] = 282159,
  [SMALL_STATE(7720)] = 282169,
  [SMALL_STATE(7721)] = 282179,
  [SMALL_STATE(7722)] = 282189,
  [SMALL_STATE(7723)] = 282199,
  [SMALL_STATE(7724)] = 282207,
  [SMALL_STATE(7725)] = 282217,
  [SMALL_STATE(7726)] = 282227,
  [SMALL_STATE(7727)] = 282237,
  [SMALL_STATE(7728)] = 282247,
  [SMALL_STATE(7729)] = 282257,
  [SMALL_STATE(7730)] = 282267,
  [SMALL_STATE(7731)] = 282277,
  [SMALL_STATE(7732)] = 282287,
  [SMALL_STATE(7733)] = 282297,
  [SMALL_STATE(7734)] = 282307,
  [SMALL_STATE(7735)] = 282317,
  [SMALL_STATE(7736)] = 282327,
  [SMALL_STATE(7737)] = 282337,
  [SMALL_STATE(7738)] = 282347,
  [SMALL_STATE(7739)] = 282357,
  [SMALL_STATE(7740)] = 282367,
  [SMALL_STATE(7741)] = 282377,
  [SMALL_STATE(7742)] = 282387,
  [SMALL_STATE(7743)] = 282397,
  [SMALL_STATE(7744)] = 282407,
  [SMALL_STATE(7745)] = 282417,
  [SMALL_STATE(7746)] = 282427,
  [SMALL_STATE(7747)] = 282437,
  [SMALL_STATE(7748)] = 282447,
  [SMALL_STATE(7749)] = 282457,
  [SMALL_STATE(7750)] = 282467,
  [SMALL_STATE(7751)] = 282477,
  [SMALL_STATE(7752)] = 282487,
  [SMALL_STATE(7753)] = 282497,
  [SMALL_STATE(7754)] = 282507,
  [SMALL_STATE(7755)] = 282517,
  [SMALL_STATE(7756)] = 282527,
  [SMALL_STATE(7757)] = 282537,
  [SMALL_STATE(7758)] = 282547,
  [SMALL_STATE(7759)] = 282557,
  [SMALL_STATE(7760)] = 282567,
  [SMALL_STATE(7761)] = 282577,
  [SMALL_STATE(7762)] = 282587,
  [SMALL_STATE(7763)] = 282597,
  [SMALL_STATE(7764)] = 282607,
  [SMALL_STATE(7765)] = 282617,
  [SMALL_STATE(7766)] = 282627,
  [SMALL_STATE(7767)] = 282637,
  [SMALL_STATE(7768)] = 282647,
  [SMALL_STATE(7769)] = 282657,
  [SMALL_STATE(7770)] = 282667,
  [SMALL_STATE(7771)] = 282677,
  [SMALL_STATE(7772)] = 282687,
  [SMALL_STATE(7773)] = 282697,
  [SMALL_STATE(7774)] = 282707,
  [SMALL_STATE(7775)] = 282717,
  [SMALL_STATE(7776)] = 282727,
  [SMALL_STATE(7777)] = 282737,
  [SMALL_STATE(7778)] = 282747,
  [SMALL_STATE(7779)] = 282757,
  [SMALL_STATE(7780)] = 282767,
  [SMALL_STATE(7781)] = 282775,
  [SMALL_STATE(7782)] = 282785,
  [SMALL_STATE(7783)] = 282795,
  [SMALL_STATE(7784)] = 282805,
  [SMALL_STATE(7785)] = 282815,
  [SMALL_STATE(7786)] = 282825,
  [SMALL_STATE(7787)] = 282832,
  [SMALL_STATE(7788)] = 282839,
  [SMALL_STATE(7789)] = 282846,
  [SMALL_STATE(7790)] = 282853,
  [SMALL_STATE(7791)] = 282860,
  [SMALL_STATE(7792)] = 282867,
  [SMALL_STATE(7793)] = 282874,
  [SMALL_STATE(7794)] = 282881,
  [SMALL_STATE(7795)] = 282888,
  [SMALL_STATE(7796)] = 282895,
  [SMALL_STATE(7797)] = 282902,
  [SMALL_STATE(7798)] = 282909,
  [SMALL_STATE(7799)] = 282916,
  [SMALL_STATE(7800)] = 282923,
  [SMALL_STATE(7801)] = 282930,
  [SMALL_STATE(7802)] = 282937,
  [SMALL_STATE(7803)] = 282944,
  [SMALL_STATE(7804)] = 282951,
  [SMALL_STATE(7805)] = 282958,
  [SMALL_STATE(7806)] = 282965,
  [SMALL_STATE(7807)] = 282972,
  [SMALL_STATE(7808)] = 282979,
  [SMALL_STATE(7809)] = 282986,
  [SMALL_STATE(7810)] = 282993,
  [SMALL_STATE(7811)] = 283000,
  [SMALL_STATE(7812)] = 283007,
  [SMALL_STATE(7813)] = 283014,
  [SMALL_STATE(7814)] = 283021,
  [SMALL_STATE(7815)] = 283028,
  [SMALL_STATE(7816)] = 283035,
  [SMALL_STATE(7817)] = 283042,
  [SMALL_STATE(7818)] = 283049,
  [SMALL_STATE(7819)] = 283056,
  [SMALL_STATE(7820)] = 283063,
  [SMALL_STATE(7821)] = 283070,
  [SMALL_STATE(7822)] = 283077,
  [SMALL_STATE(7823)] = 283084,
  [SMALL_STATE(7824)] = 283091,
  [SMALL_STATE(7825)] = 283098,
  [SMALL_STATE(7826)] = 283105,
  [SMALL_STATE(7827)] = 283112,
  [SMALL_STATE(7828)] = 283119,
  [SMALL_STATE(7829)] = 283126,
  [SMALL_STATE(7830)] = 283133,
  [SMALL_STATE(7831)] = 283140,
  [SMALL_STATE(7832)] = 283147,
  [SMALL_STATE(7833)] = 283154,
  [SMALL_STATE(7834)] = 283161,
  [SMALL_STATE(7835)] = 283168,
  [SMALL_STATE(7836)] = 283175,
  [SMALL_STATE(7837)] = 283182,
  [SMALL_STATE(7838)] = 283189,
  [SMALL_STATE(7839)] = 283196,
  [SMALL_STATE(7840)] = 283203,
  [SMALL_STATE(7841)] = 283210,
  [SMALL_STATE(7842)] = 283217,
  [SMALL_STATE(7843)] = 283224,
  [SMALL_STATE(7844)] = 283231,
  [SMALL_STATE(7845)] = 283238,
  [SMALL_STATE(7846)] = 283245,
  [SMALL_STATE(7847)] = 283252,
  [SMALL_STATE(7848)] = 283259,
  [SMALL_STATE(7849)] = 283266,
  [SMALL_STATE(7850)] = 283273,
  [SMALL_STATE(7851)] = 283280,
  [SMALL_STATE(7852)] = 283287,
  [SMALL_STATE(7853)] = 283294,
  [SMALL_STATE(7854)] = 283301,
  [SMALL_STATE(7855)] = 283308,
  [SMALL_STATE(7856)] = 283315,
  [SMALL_STATE(7857)] = 283322,
  [SMALL_STATE(7858)] = 283329,
  [SMALL_STATE(7859)] = 283336,
  [SMALL_STATE(7860)] = 283343,
  [SMALL_STATE(7861)] = 283350,
  [SMALL_STATE(7862)] = 283357,
  [SMALL_STATE(7863)] = 283364,
  [SMALL_STATE(7864)] = 283371,
  [SMALL_STATE(7865)] = 283378,
  [SMALL_STATE(7866)] = 283385,
  [SMALL_STATE(7867)] = 283392,
  [SMALL_STATE(7868)] = 283399,
  [SMALL_STATE(7869)] = 283406,
  [SMALL_STATE(7870)] = 283413,
  [SMALL_STATE(7871)] = 283420,
  [SMALL_STATE(7872)] = 283427,
  [SMALL_STATE(7873)] = 283434,
  [SMALL_STATE(7874)] = 283441,
  [SMALL_STATE(7875)] = 283448,
  [SMALL_STATE(7876)] = 283455,
  [SMALL_STATE(7877)] = 283462,
  [SMALL_STATE(7878)] = 283469,
  [SMALL_STATE(7879)] = 283476,
  [SMALL_STATE(7880)] = 283483,
  [SMALL_STATE(7881)] = 283490,
  [SMALL_STATE(7882)] = 283497,
  [SMALL_STATE(7883)] = 283504,
  [SMALL_STATE(7884)] = 283511,
  [SMALL_STATE(7885)] = 283518,
  [SMALL_STATE(7886)] = 283525,
  [SMALL_STATE(7887)] = 283532,
  [SMALL_STATE(7888)] = 283539,
  [SMALL_STATE(7889)] = 283546,
  [SMALL_STATE(7890)] = 283553,
  [SMALL_STATE(7891)] = 283560,
  [SMALL_STATE(7892)] = 283567,
  [SMALL_STATE(7893)] = 283574,
  [SMALL_STATE(7894)] = 283581,
  [SMALL_STATE(7895)] = 283588,
  [SMALL_STATE(7896)] = 283595,
  [SMALL_STATE(7897)] = 283602,
  [SMALL_STATE(7898)] = 283609,
  [SMALL_STATE(7899)] = 283616,
  [SMALL_STATE(7900)] = 283623,
  [SMALL_STATE(7901)] = 283630,
  [SMALL_STATE(7902)] = 283637,
  [SMALL_STATE(7903)] = 283644,
  [SMALL_STATE(7904)] = 283651,
  [SMALL_STATE(7905)] = 283658,
  [SMALL_STATE(7906)] = 283665,
  [SMALL_STATE(7907)] = 283672,
  [SMALL_STATE(7908)] = 283679,
  [SMALL_STATE(7909)] = 283686,
  [SMALL_STATE(7910)] = 283693,
  [SMALL_STATE(7911)] = 283700,
  [SMALL_STATE(7912)] = 283707,
  [SMALL_STATE(7913)] = 283714,
  [SMALL_STATE(7914)] = 283721,
  [SMALL_STATE(7915)] = 283728,
  [SMALL_STATE(7916)] = 283735,
  [SMALL_STATE(7917)] = 283742,
  [SMALL_STATE(7918)] = 283749,
  [SMALL_STATE(7919)] = 283756,
  [SMALL_STATE(7920)] = 283763,
  [SMALL_STATE(7921)] = 283770,
  [SMALL_STATE(7922)] = 283777,
  [SMALL_STATE(7923)] = 283784,
  [SMALL_STATE(7924)] = 283791,
  [SMALL_STATE(7925)] = 283798,
  [SMALL_STATE(7926)] = 283805,
  [SMALL_STATE(7927)] = 283812,
  [SMALL_STATE(7928)] = 283819,
  [SMALL_STATE(7929)] = 283826,
  [SMALL_STATE(7930)] = 283833,
  [SMALL_STATE(7931)] = 283840,
  [SMALL_STATE(7932)] = 283847,
  [SMALL_STATE(7933)] = 283854,
  [SMALL_STATE(7934)] = 283861,
  [SMALL_STATE(7935)] = 283868,
  [SMALL_STATE(7936)] = 283875,
  [SMALL_STATE(7937)] = 283882,
  [SMALL_STATE(7938)] = 283889,
  [SMALL_STATE(7939)] = 283896,
  [SMALL_STATE(7940)] = 283903,
  [SMALL_STATE(7941)] = 283910,
  [SMALL_STATE(7942)] = 283917,
  [SMALL_STATE(7943)] = 283924,
  [SMALL_STATE(7944)] = 283931,
  [SMALL_STATE(7945)] = 283938,
  [SMALL_STATE(7946)] = 283945,
  [SMALL_STATE(7947)] = 283952,
  [SMALL_STATE(7948)] = 283959,
  [SMALL_STATE(7949)] = 283966,
  [SMALL_STATE(7950)] = 283973,
  [SMALL_STATE(7951)] = 283980,
  [SMALL_STATE(7952)] = 283987,
  [SMALL_STATE(7953)] = 283994,
  [SMALL_STATE(7954)] = 284001,
  [SMALL_STATE(7955)] = 284008,
  [SMALL_STATE(7956)] = 284015,
  [SMALL_STATE(7957)] = 284022,
  [SMALL_STATE(7958)] = 284029,
  [SMALL_STATE(7959)] = 284036,
  [SMALL_STATE(7960)] = 284043,
  [SMALL_STATE(7961)] = 284050,
  [SMALL_STATE(7962)] = 284057,
  [SMALL_STATE(7963)] = 284064,
  [SMALL_STATE(7964)] = 284071,
  [SMALL_STATE(7965)] = 284078,
  [SMALL_STATE(7966)] = 284085,
  [SMALL_STATE(7967)] = 284092,
  [SMALL_STATE(7968)] = 284099,
  [SMALL_STATE(7969)] = 284106,
  [SMALL_STATE(7970)] = 284113,
  [SMALL_STATE(7971)] = 284120,
  [SMALL_STATE(7972)] = 284127,
  [SMALL_STATE(7973)] = 284134,
  [SMALL_STATE(7974)] = 284141,
  [SMALL_STATE(7975)] = 284148,
  [SMALL_STATE(7976)] = 284155,
  [SMALL_STATE(7977)] = 284162,
  [SMALL_STATE(7978)] = 284169,
  [SMALL_STATE(7979)] = 284176,
  [SMALL_STATE(7980)] = 284183,
  [SMALL_STATE(7981)] = 284190,
  [SMALL_STATE(7982)] = 284197,
  [SMALL_STATE(7983)] = 284204,
  [SMALL_STATE(7984)] = 284211,
  [SMALL_STATE(7985)] = 284218,
  [SMALL_STATE(7986)] = 284225,
  [SMALL_STATE(7987)] = 284232,
  [SMALL_STATE(7988)] = 284239,
  [SMALL_STATE(7989)] = 284246,
  [SMALL_STATE(7990)] = 284253,
  [SMALL_STATE(7991)] = 284260,
  [SMALL_STATE(7992)] = 284267,
  [SMALL_STATE(7993)] = 284274,
  [SMALL_STATE(7994)] = 284281,
  [SMALL_STATE(7995)] = 284288,
  [SMALL_STATE(7996)] = 284295,
  [SMALL_STATE(7997)] = 284302,
  [SMALL_STATE(7998)] = 284309,
  [SMALL_STATE(7999)] = 284316,
  [SMALL_STATE(8000)] = 284323,
  [SMALL_STATE(8001)] = 284330,
  [SMALL_STATE(8002)] = 284337,
  [SMALL_STATE(8003)] = 284344,
  [SMALL_STATE(8004)] = 284351,
  [SMALL_STATE(8005)] = 284358,
  [SMALL_STATE(8006)] = 284365,
  [SMALL_STATE(8007)] = 284372,
  [SMALL_STATE(8008)] = 284379,
  [SMALL_STATE(8009)] = 284386,
  [SMALL_STATE(8010)] = 284393,
  [SMALL_STATE(8011)] = 284400,
  [SMALL_STATE(8012)] = 284407,
  [SMALL_STATE(8013)] = 284414,
  [SMALL_STATE(8014)] = 284421,
  [SMALL_STATE(8015)] = 284428,
  [SMALL_STATE(8016)] = 284435,
  [SMALL_STATE(8017)] = 284442,
  [SMALL_STATE(8018)] = 284449,
  [SMALL_STATE(8019)] = 284456,
  [SMALL_STATE(8020)] = 284463,
  [SMALL_STATE(8021)] = 284470,
  [SMALL_STATE(8022)] = 284477,
  [SMALL_STATE(8023)] = 284484,
  [SMALL_STATE(8024)] = 284491,
  [SMALL_STATE(8025)] = 284498,
  [SMALL_STATE(8026)] = 284505,
  [SMALL_STATE(8027)] = 284512,
  [SMALL_STATE(8028)] = 284519,
  [SMALL_STATE(8029)] = 284526,
  [SMALL_STATE(8030)] = 284533,
  [SMALL_STATE(8031)] = 284540,
  [SMALL_STATE(8032)] = 284547,
  [SMALL_STATE(8033)] = 284554,
  [SMALL_STATE(8034)] = 284561,
  [SMALL_STATE(8035)] = 284568,
  [SMALL_STATE(8036)] = 284575,
  [SMALL_STATE(8037)] = 284582,
  [SMALL_STATE(8038)] = 284589,
  [SMALL_STATE(8039)] = 284596,
  [SMALL_STATE(8040)] = 284603,
  [SMALL_STATE(8041)] = 284610,
  [SMALL_STATE(8042)] = 284617,
  [SMALL_STATE(8043)] = 284624,
  [SMALL_STATE(8044)] = 284631,
  [SMALL_STATE(8045)] = 284638,
  [SMALL_STATE(8046)] = 284645,
  [SMALL_STATE(8047)] = 284652,
  [SMALL_STATE(8048)] = 284659,
  [SMALL_STATE(8049)] = 284666,
  [SMALL_STATE(8050)] = 284673,
  [SMALL_STATE(8051)] = 284680,
  [SMALL_STATE(8052)] = 284687,
  [SMALL_STATE(8053)] = 284694,
  [SMALL_STATE(8054)] = 284701,
  [SMALL_STATE(8055)] = 284708,
  [SMALL_STATE(8056)] = 284715,
  [SMALL_STATE(8057)] = 284722,
  [SMALL_STATE(8058)] = 284729,
  [SMALL_STATE(8059)] = 284736,
  [SMALL_STATE(8060)] = 284743,
  [SMALL_STATE(8061)] = 284750,
  [SMALL_STATE(8062)] = 284757,
  [SMALL_STATE(8063)] = 284764,
  [SMALL_STATE(8064)] = 284771,
  [SMALL_STATE(8065)] = 284778,
  [SMALL_STATE(8066)] = 284785,
  [SMALL_STATE(8067)] = 284792,
  [SMALL_STATE(8068)] = 284799,
  [SMALL_STATE(8069)] = 284806,
  [SMALL_STATE(8070)] = 284813,
  [SMALL_STATE(8071)] = 284820,
  [SMALL_STATE(8072)] = 284827,
  [SMALL_STATE(8073)] = 284834,
  [SMALL_STATE(8074)] = 284841,
  [SMALL_STATE(8075)] = 284848,
  [SMALL_STATE(8076)] = 284855,
  [SMALL_STATE(8077)] = 284862,
  [SMALL_STATE(8078)] = 284869,
  [SMALL_STATE(8079)] = 284876,
  [SMALL_STATE(8080)] = 284883,
  [SMALL_STATE(8081)] = 284890,
  [SMALL_STATE(8082)] = 284897,
  [SMALL_STATE(8083)] = 284904,
  [SMALL_STATE(8084)] = 284911,
  [SMALL_STATE(8085)] = 284918,
  [SMALL_STATE(8086)] = 284925,
  [SMALL_STATE(8087)] = 284932,
  [SMALL_STATE(8088)] = 284939,
  [SMALL_STATE(8089)] = 284946,
  [SMALL_STATE(8090)] = 284953,
  [SMALL_STATE(8091)] = 284960,
  [SMALL_STATE(8092)] = 284967,
  [SMALL_STATE(8093)] = 284974,
  [SMALL_STATE(8094)] = 284981,
  [SMALL_STATE(8095)] = 284988,
  [SMALL_STATE(8096)] = 284995,
  [SMALL_STATE(8097)] = 285002,
  [SMALL_STATE(8098)] = 285009,
  [SMALL_STATE(8099)] = 285016,
  [SMALL_STATE(8100)] = 285023,
  [SMALL_STATE(8101)] = 285030,
  [SMALL_STATE(8102)] = 285037,
  [SMALL_STATE(8103)] = 285044,
  [SMALL_STATE(8104)] = 285051,
  [SMALL_STATE(8105)] = 285058,
  [SMALL_STATE(8106)] = 285065,
  [SMALL_STATE(8107)] = 285072,
  [SMALL_STATE(8108)] = 285079,
  [SMALL_STATE(8109)] = 285086,
  [SMALL_STATE(8110)] = 285093,
  [SMALL_STATE(8111)] = 285100,
  [SMALL_STATE(8112)] = 285107,
  [SMALL_STATE(8113)] = 285114,
  [SMALL_STATE(8114)] = 285121,
  [SMALL_STATE(8115)] = 285128,
  [SMALL_STATE(8116)] = 285135,
  [SMALL_STATE(8117)] = 285142,
  [SMALL_STATE(8118)] = 285149,
  [SMALL_STATE(8119)] = 285156,
  [SMALL_STATE(8120)] = 285163,
  [SMALL_STATE(8121)] = 285170,
  [SMALL_STATE(8122)] = 285177,
  [SMALL_STATE(8123)] = 285184,
  [SMALL_STATE(8124)] = 285191,
  [SMALL_STATE(8125)] = 285198,
  [SMALL_STATE(8126)] = 285205,
  [SMALL_STATE(8127)] = 285212,
  [SMALL_STATE(8128)] = 285219,
  [SMALL_STATE(8129)] = 285226,
  [SMALL_STATE(8130)] = 285233,
  [SMALL_STATE(8131)] = 285240,
  [SMALL_STATE(8132)] = 285247,
  [SMALL_STATE(8133)] = 285254,
  [SMALL_STATE(8134)] = 285261,
  [SMALL_STATE(8135)] = 285268,
  [SMALL_STATE(8136)] = 285275,
  [SMALL_STATE(8137)] = 285282,
  [SMALL_STATE(8138)] = 285289,
  [SMALL_STATE(8139)] = 285296,
  [SMALL_STATE(8140)] = 285303,
  [SMALL_STATE(8141)] = 285310,
  [SMALL_STATE(8142)] = 285317,
  [SMALL_STATE(8143)] = 285324,
  [SMALL_STATE(8144)] = 285331,
  [SMALL_STATE(8145)] = 285338,
  [SMALL_STATE(8146)] = 285345,
  [SMALL_STATE(8147)] = 285352,
  [SMALL_STATE(8148)] = 285359,
  [SMALL_STATE(8149)] = 285366,
  [SMALL_STATE(8150)] = 285373,
  [SMALL_STATE(8151)] = 285380,
  [SMALL_STATE(8152)] = 285387,
  [SMALL_STATE(8153)] = 285394,
  [SMALL_STATE(8154)] = 285401,
  [SMALL_STATE(8155)] = 285408,
  [SMALL_STATE(8156)] = 285415,
  [SMALL_STATE(8157)] = 285422,
  [SMALL_STATE(8158)] = 285429,
  [SMALL_STATE(8159)] = 285436,
  [SMALL_STATE(8160)] = 285443,
  [SMALL_STATE(8161)] = 285450,
  [SMALL_STATE(8162)] = 285457,
  [SMALL_STATE(8163)] = 285464,
  [SMALL_STATE(8164)] = 285471,
  [SMALL_STATE(8165)] = 285478,
  [SMALL_STATE(8166)] = 285485,
  [SMALL_STATE(8167)] = 285492,
  [SMALL_STATE(8168)] = 285499,
  [SMALL_STATE(8169)] = 285506,
  [SMALL_STATE(8170)] = 285513,
  [SMALL_STATE(8171)] = 285520,
  [SMALL_STATE(8172)] = 285527,
  [SMALL_STATE(8173)] = 285534,
  [SMALL_STATE(8174)] = 285541,
  [SMALL_STATE(8175)] = 285548,
  [SMALL_STATE(8176)] = 285555,
  [SMALL_STATE(8177)] = 285562,
  [SMALL_STATE(8178)] = 285569,
  [SMALL_STATE(8179)] = 285576,
  [SMALL_STATE(8180)] = 285583,
  [SMALL_STATE(8181)] = 285590,
  [SMALL_STATE(8182)] = 285597,
  [SMALL_STATE(8183)] = 285604,
  [SMALL_STATE(8184)] = 285611,
  [SMALL_STATE(8185)] = 285618,
  [SMALL_STATE(8186)] = 285625,
  [SMALL_STATE(8187)] = 285632,
  [SMALL_STATE(8188)] = 285639,
  [SMALL_STATE(8189)] = 285646,
  [SMALL_STATE(8190)] = 285653,
  [SMALL_STATE(8191)] = 285660,
  [SMALL_STATE(8192)] = 285667,
  [SMALL_STATE(8193)] = 285674,
  [SMALL_STATE(8194)] = 285681,
  [SMALL_STATE(8195)] = 285688,
  [SMALL_STATE(8196)] = 285695,
  [SMALL_STATE(8197)] = 285702,
  [SMALL_STATE(8198)] = 285709,
  [SMALL_STATE(8199)] = 285716,
  [SMALL_STATE(8200)] = 285723,
  [SMALL_STATE(8201)] = 285730,
  [SMALL_STATE(8202)] = 285737,
  [SMALL_STATE(8203)] = 285744,
  [SMALL_STATE(8204)] = 285751,
  [SMALL_STATE(8205)] = 285758,
  [SMALL_STATE(8206)] = 285765,
  [SMALL_STATE(8207)] = 285772,
  [SMALL_STATE(8208)] = 285779,
  [SMALL_STATE(8209)] = 285786,
  [SMALL_STATE(8210)] = 285793,
  [SMALL_STATE(8211)] = 285800,
  [SMALL_STATE(8212)] = 285807,
  [SMALL_STATE(8213)] = 285814,
  [SMALL_STATE(8214)] = 285821,
  [SMALL_STATE(8215)] = 285828,
  [SMALL_STATE(8216)] = 285835,
  [SMALL_STATE(8217)] = 285842,
  [SMALL_STATE(8218)] = 285849,
  [SMALL_STATE(8219)] = 285856,
  [SMALL_STATE(8220)] = 285863,
  [SMALL_STATE(8221)] = 285870,
  [SMALL_STATE(8222)] = 285877,
  [SMALL_STATE(8223)] = 285884,
  [SMALL_STATE(8224)] = 285891,
  [SMALL_STATE(8225)] = 285898,
  [SMALL_STATE(8226)] = 285905,
  [SMALL_STATE(8227)] = 285912,
  [SMALL_STATE(8228)] = 285919,
  [SMALL_STATE(8229)] = 285926,
  [SMALL_STATE(8230)] = 285933,
  [SMALL_STATE(8231)] = 285940,
  [SMALL_STATE(8232)] = 285947,
  [SMALL_STATE(8233)] = 285954,
  [SMALL_STATE(8234)] = 285961,
  [SMALL_STATE(8235)] = 285968,
  [SMALL_STATE(8236)] = 285975,
  [SMALL_STATE(8237)] = 285982,
  [SMALL_STATE(8238)] = 285989,
  [SMALL_STATE(8239)] = 285996,
  [SMALL_STATE(8240)] = 286003,
  [SMALL_STATE(8241)] = 286010,
  [SMALL_STATE(8242)] = 286017,
  [SMALL_STATE(8243)] = 286024,
  [SMALL_STATE(8244)] = 286031,
  [SMALL_STATE(8245)] = 286038,
  [SMALL_STATE(8246)] = 286045,
  [SMALL_STATE(8247)] = 286052,
  [SMALL_STATE(8248)] = 286059,
  [SMALL_STATE(8249)] = 286066,
  [SMALL_STATE(8250)] = 286073,
  [SMALL_STATE(8251)] = 286080,
  [SMALL_STATE(8252)] = 286087,
  [SMALL_STATE(8253)] = 286094,
  [SMALL_STATE(8254)] = 286101,
  [SMALL_STATE(8255)] = 286108,
  [SMALL_STATE(8256)] = 286115,
  [SMALL_STATE(8257)] = 286122,
  [SMALL_STATE(8258)] = 286129,
  [SMALL_STATE(8259)] = 286136,
  [SMALL_STATE(8260)] = 286143,
  [SMALL_STATE(8261)] = 286150,
  [SMALL_STATE(8262)] = 286157,
  [SMALL_STATE(8263)] = 286164,
  [SMALL_STATE(8264)] = 286171,
  [SMALL_STATE(8265)] = 286178,
  [SMALL_STATE(8266)] = 286185,
  [SMALL_STATE(8267)] = 286192,
  [SMALL_STATE(8268)] = 286199,
  [SMALL_STATE(8269)] = 286206,
  [SMALL_STATE(8270)] = 286213,
  [SMALL_STATE(8271)] = 286220,
  [SMALL_STATE(8272)] = 286227,
  [SMALL_STATE(8273)] = 286234,
  [SMALL_STATE(8274)] = 286241,
  [SMALL_STATE(8275)] = 286248,
  [SMALL_STATE(8276)] = 286255,
  [SMALL_STATE(8277)] = 286262,
  [SMALL_STATE(8278)] = 286269,
  [SMALL_STATE(8279)] = 286276,
  [SMALL_STATE(8280)] = 286283,
  [SMALL_STATE(8281)] = 286290,
  [SMALL_STATE(8282)] = 286297,
  [SMALL_STATE(8283)] = 286304,
  [SMALL_STATE(8284)] = 286311,
  [SMALL_STATE(8285)] = 286318,
  [SMALL_STATE(8286)] = 286325,
  [SMALL_STATE(8287)] = 286332,
  [SMALL_STATE(8288)] = 286339,
  [SMALL_STATE(8289)] = 286346,
  [SMALL_STATE(8290)] = 286353,
  [SMALL_STATE(8291)] = 286360,
  [SMALL_STATE(8292)] = 286367,
  [SMALL_STATE(8293)] = 286374,
  [SMALL_STATE(8294)] = 286381,
  [SMALL_STATE(8295)] = 286388,
  [SMALL_STATE(8296)] = 286395,
  [SMALL_STATE(8297)] = 286402,
  [SMALL_STATE(8298)] = 286409,
  [SMALL_STATE(8299)] = 286416,
  [SMALL_STATE(8300)] = 286423,
  [SMALL_STATE(8301)] = 286430,
  [SMALL_STATE(8302)] = 286437,
  [SMALL_STATE(8303)] = 286444,
  [SMALL_STATE(8304)] = 286451,
  [SMALL_STATE(8305)] = 286458,
  [SMALL_STATE(8306)] = 286465,
  [SMALL_STATE(8307)] = 286472,
  [SMALL_STATE(8308)] = 286479,
  [SMALL_STATE(8309)] = 286486,
  [SMALL_STATE(8310)] = 286493,
  [SMALL_STATE(8311)] = 286500,
  [SMALL_STATE(8312)] = 286507,
  [SMALL_STATE(8313)] = 286514,
  [SMALL_STATE(8314)] = 286521,
  [SMALL_STATE(8315)] = 286528,
  [SMALL_STATE(8316)] = 286535,
  [SMALL_STATE(8317)] = 286542,
  [SMALL_STATE(8318)] = 286549,
  [SMALL_STATE(8319)] = 286556,
  [SMALL_STATE(8320)] = 286563,
  [SMALL_STATE(8321)] = 286570,
  [SMALL_STATE(8322)] = 286577,
  [SMALL_STATE(8323)] = 286584,
  [SMALL_STATE(8324)] = 286591,
  [SMALL_STATE(8325)] = 286598,
  [SMALL_STATE(8326)] = 286605,
  [SMALL_STATE(8327)] = 286612,
  [SMALL_STATE(8328)] = 286619,
  [SMALL_STATE(8329)] = 286626,
  [SMALL_STATE(8330)] = 286633,
  [SMALL_STATE(8331)] = 286640,
  [SMALL_STATE(8332)] = 286647,
  [SMALL_STATE(8333)] = 286654,
  [SMALL_STATE(8334)] = 286661,
  [SMALL_STATE(8335)] = 286668,
  [SMALL_STATE(8336)] = 286675,
  [SMALL_STATE(8337)] = 286682,
  [SMALL_STATE(8338)] = 286689,
  [SMALL_STATE(8339)] = 286696,
  [SMALL_STATE(8340)] = 286703,
  [SMALL_STATE(8341)] = 286710,
  [SMALL_STATE(8342)] = 286717,
  [SMALL_STATE(8343)] = 286724,
  [SMALL_STATE(8344)] = 286731,
  [SMALL_STATE(8345)] = 286738,
  [SMALL_STATE(8346)] = 286745,
  [SMALL_STATE(8347)] = 286752,
  [SMALL_STATE(8348)] = 286759,
  [SMALL_STATE(8349)] = 286766,
  [SMALL_STATE(8350)] = 286773,
  [SMALL_STATE(8351)] = 286780,
  [SMALL_STATE(8352)] = 286787,
  [SMALL_STATE(8353)] = 286794,
  [SMALL_STATE(8354)] = 286801,
  [SMALL_STATE(8355)] = 286808,
  [SMALL_STATE(8356)] = 286815,
  [SMALL_STATE(8357)] = 286822,
  [SMALL_STATE(8358)] = 286829,
  [SMALL_STATE(8359)] = 286836,
  [SMALL_STATE(8360)] = 286843,
  [SMALL_STATE(8361)] = 286850,
  [SMALL_STATE(8362)] = 286857,
  [SMALL_STATE(8363)] = 286864,
  [SMALL_STATE(8364)] = 286871,
  [SMALL_STATE(8365)] = 286878,
  [SMALL_STATE(8366)] = 286885,
  [SMALL_STATE(8367)] = 286892,
  [SMALL_STATE(8368)] = 286899,
  [SMALL_STATE(8369)] = 286906,
  [SMALL_STATE(8370)] = 286913,
  [SMALL_STATE(8371)] = 286920,
  [SMALL_STATE(8372)] = 286927,
  [SMALL_STATE(8373)] = 286934,
  [SMALL_STATE(8374)] = 286941,
  [SMALL_STATE(8375)] = 286948,
  [SMALL_STATE(8376)] = 286955,
  [SMALL_STATE(8377)] = 286962,
  [SMALL_STATE(8378)] = 286969,
  [SMALL_STATE(8379)] = 286976,
  [SMALL_STATE(8380)] = 286983,
  [SMALL_STATE(8381)] = 286990,
  [SMALL_STATE(8382)] = 286997,
  [SMALL_STATE(8383)] = 287004,
  [SMALL_STATE(8384)] = 287011,
  [SMALL_STATE(8385)] = 287018,
  [SMALL_STATE(8386)] = 287025,
  [SMALL_STATE(8387)] = 287032,
  [SMALL_STATE(8388)] = 287039,
  [SMALL_STATE(8389)] = 287046,
  [SMALL_STATE(8390)] = 287053,
  [SMALL_STATE(8391)] = 287060,
  [SMALL_STATE(8392)] = 287067,
  [SMALL_STATE(8393)] = 287074,
  [SMALL_STATE(8394)] = 287081,
  [SMALL_STATE(8395)] = 287088,
  [SMALL_STATE(8396)] = 287095,
  [SMALL_STATE(8397)] = 287102,
  [SMALL_STATE(8398)] = 287109,
  [SMALL_STATE(8399)] = 287116,
  [SMALL_STATE(8400)] = 287123,
  [SMALL_STATE(8401)] = 287130,
  [SMALL_STATE(8402)] = 287137,
  [SMALL_STATE(8403)] = 287144,
  [SMALL_STATE(8404)] = 287151,
  [SMALL_STATE(8405)] = 287158,
  [SMALL_STATE(8406)] = 287165,
  [SMALL_STATE(8407)] = 287172,
  [SMALL_STATE(8408)] = 287179,
  [SMALL_STATE(8409)] = 287186,
  [SMALL_STATE(8410)] = 287193,
  [SMALL_STATE(8411)] = 287200,
  [SMALL_STATE(8412)] = 287207,
  [SMALL_STATE(8413)] = 287214,
  [SMALL_STATE(8414)] = 287221,
  [SMALL_STATE(8415)] = 287228,
  [SMALL_STATE(8416)] = 287235,
  [SMALL_STATE(8417)] = 287242,
  [SMALL_STATE(8418)] = 287249,
  [SMALL_STATE(8419)] = 287256,
  [SMALL_STATE(8420)] = 287263,
  [SMALL_STATE(8421)] = 287270,
  [SMALL_STATE(8422)] = 287277,
  [SMALL_STATE(8423)] = 287284,
  [SMALL_STATE(8424)] = 287291,
  [SMALL_STATE(8425)] = 287298,
  [SMALL_STATE(8426)] = 287305,
  [SMALL_STATE(8427)] = 287312,
  [SMALL_STATE(8428)] = 287319,
  [SMALL_STATE(8429)] = 287326,
  [SMALL_STATE(8430)] = 287333,
  [SMALL_STATE(8431)] = 287340,
  [SMALL_STATE(8432)] = 287347,
  [SMALL_STATE(8433)] = 287354,
  [SMALL_STATE(8434)] = 287361,
  [SMALL_STATE(8435)] = 287368,
  [SMALL_STATE(8436)] = 287375,
  [SMALL_STATE(8437)] = 287382,
  [SMALL_STATE(8438)] = 287389,
  [SMALL_STATE(8439)] = 287396,
  [SMALL_STATE(8440)] = 287403,
  [SMALL_STATE(8441)] = 287410,
  [SMALL_STATE(8442)] = 287417,
  [SMALL_STATE(8443)] = 287424,
  [SMALL_STATE(8444)] = 287431,
  [SMALL_STATE(8445)] = 287438,
  [SMALL_STATE(8446)] = 287445,
  [SMALL_STATE(8447)] = 287452,
  [SMALL_STATE(8448)] = 287459,
  [SMALL_STATE(8449)] = 287466,
  [SMALL_STATE(8450)] = 287473,
  [SMALL_STATE(8451)] = 287480,
  [SMALL_STATE(8452)] = 287487,
  [SMALL_STATE(8453)] = 287494,
  [SMALL_STATE(8454)] = 287501,
  [SMALL_STATE(8455)] = 287508,
  [SMALL_STATE(8456)] = 287515,
  [SMALL_STATE(8457)] = 287522,
  [SMALL_STATE(8458)] = 287529,
  [SMALL_STATE(8459)] = 287536,
  [SMALL_STATE(8460)] = 287543,
  [SMALL_STATE(8461)] = 287550,
  [SMALL_STATE(8462)] = 287557,
  [SMALL_STATE(8463)] = 287564,
  [SMALL_STATE(8464)] = 287571,
  [SMALL_STATE(8465)] = 287578,
  [SMALL_STATE(8466)] = 287585,
  [SMALL_STATE(8467)] = 287592,
  [SMALL_STATE(8468)] = 287599,
  [SMALL_STATE(8469)] = 287606,
  [SMALL_STATE(8470)] = 287613,
  [SMALL_STATE(8471)] = 287620,
  [SMALL_STATE(8472)] = 287627,
  [SMALL_STATE(8473)] = 287634,
  [SMALL_STATE(8474)] = 287641,
  [SMALL_STATE(8475)] = 287648,
  [SMALL_STATE(8476)] = 287655,
  [SMALL_STATE(8477)] = 287662,
  [SMALL_STATE(8478)] = 287669,
  [SMALL_STATE(8479)] = 287676,
  [SMALL_STATE(8480)] = 287683,
  [SMALL_STATE(8481)] = 287690,
  [SMALL_STATE(8482)] = 287697,
  [SMALL_STATE(8483)] = 287704,
  [SMALL_STATE(8484)] = 287711,
  [SMALL_STATE(8485)] = 287718,
  [SMALL_STATE(8486)] = 287725,
  [SMALL_STATE(8487)] = 287732,
  [SMALL_STATE(8488)] = 287739,
  [SMALL_STATE(8489)] = 287746,
  [SMALL_STATE(8490)] = 287753,
  [SMALL_STATE(8491)] = 287760,
  [SMALL_STATE(8492)] = 287767,
  [SMALL_STATE(8493)] = 287774,
  [SMALL_STATE(8494)] = 287781,
  [SMALL_STATE(8495)] = 287788,
  [SMALL_STATE(8496)] = 287795,
  [SMALL_STATE(8497)] = 287802,
  [SMALL_STATE(8498)] = 287809,
  [SMALL_STATE(8499)] = 287816,
  [SMALL_STATE(8500)] = 287823,
  [SMALL_STATE(8501)] = 287830,
  [SMALL_STATE(8502)] = 287837,
  [SMALL_STATE(8503)] = 287844,
  [SMALL_STATE(8504)] = 287851,
  [SMALL_STATE(8505)] = 287858,
  [SMALL_STATE(8506)] = 287865,
  [SMALL_STATE(8507)] = 287872,
  [SMALL_STATE(8508)] = 287879,
  [SMALL_STATE(8509)] = 287886,
  [SMALL_STATE(8510)] = 287893,
  [SMALL_STATE(8511)] = 287900,
  [SMALL_STATE(8512)] = 287907,
  [SMALL_STATE(8513)] = 287914,
  [SMALL_STATE(8514)] = 287921,
  [SMALL_STATE(8515)] = 287928,
  [SMALL_STATE(8516)] = 287935,
  [SMALL_STATE(8517)] = 287942,
  [SMALL_STATE(8518)] = 287949,
  [SMALL_STATE(8519)] = 287956,
  [SMALL_STATE(8520)] = 287963,
  [SMALL_STATE(8521)] = 287970,
  [SMALL_STATE(8522)] = 287977,
  [SMALL_STATE(8523)] = 287984,
  [SMALL_STATE(8524)] = 287991,
  [SMALL_STATE(8525)] = 287998,
  [SMALL_STATE(8526)] = 288005,
  [SMALL_STATE(8527)] = 288012,
  [SMALL_STATE(8528)] = 288019,
  [SMALL_STATE(8529)] = 288026,
  [SMALL_STATE(8530)] = 288033,
  [SMALL_STATE(8531)] = 288040,
  [SMALL_STATE(8532)] = 288047,
  [SMALL_STATE(8533)] = 288054,
  [SMALL_STATE(8534)] = 288061,
  [SMALL_STATE(8535)] = 288068,
  [SMALL_STATE(8536)] = 288075,
  [SMALL_STATE(8537)] = 288082,
  [SMALL_STATE(8538)] = 288089,
  [SMALL_STATE(8539)] = 288096,
  [SMALL_STATE(8540)] = 288103,
  [SMALL_STATE(8541)] = 288110,
  [SMALL_STATE(8542)] = 288117,
  [SMALL_STATE(8543)] = 288124,
  [SMALL_STATE(8544)] = 288131,
  [SMALL_STATE(8545)] = 288138,
  [SMALL_STATE(8546)] = 288145,
  [SMALL_STATE(8547)] = 288152,
  [SMALL_STATE(8548)] = 288159,
  [SMALL_STATE(8549)] = 288166,
  [SMALL_STATE(8550)] = 288173,
  [SMALL_STATE(8551)] = 288180,
  [SMALL_STATE(8552)] = 288187,
  [SMALL_STATE(8553)] = 288194,
  [SMALL_STATE(8554)] = 288201,
  [SMALL_STATE(8555)] = 288208,
  [SMALL_STATE(8556)] = 288215,
  [SMALL_STATE(8557)] = 288222,
  [SMALL_STATE(8558)] = 288229,
  [SMALL_STATE(8559)] = 288236,
  [SMALL_STATE(8560)] = 288243,
  [SMALL_STATE(8561)] = 288250,
  [SMALL_STATE(8562)] = 288257,
  [SMALL_STATE(8563)] = 288264,
  [SMALL_STATE(8564)] = 288271,
  [SMALL_STATE(8565)] = 288278,
  [SMALL_STATE(8566)] = 288285,
  [SMALL_STATE(8567)] = 288292,
  [SMALL_STATE(8568)] = 288299,
  [SMALL_STATE(8569)] = 288306,
  [SMALL_STATE(8570)] = 288313,
  [SMALL_STATE(8571)] = 288320,
  [SMALL_STATE(8572)] = 288327,
  [SMALL_STATE(8573)] = 288334,
  [SMALL_STATE(8574)] = 288341,
  [SMALL_STATE(8575)] = 288348,
  [SMALL_STATE(8576)] = 288355,
  [SMALL_STATE(8577)] = 288362,
  [SMALL_STATE(8578)] = 288369,
  [SMALL_STATE(8579)] = 288376,
  [SMALL_STATE(8580)] = 288383,
  [SMALL_STATE(8581)] = 288390,
  [SMALL_STATE(8582)] = 288397,
  [SMALL_STATE(8583)] = 288404,
  [SMALL_STATE(8584)] = 288411,
  [SMALL_STATE(8585)] = 288418,
  [SMALL_STATE(8586)] = 288425,
  [SMALL_STATE(8587)] = 288432,
  [SMALL_STATE(8588)] = 288439,
  [SMALL_STATE(8589)] = 288446,
  [SMALL_STATE(8590)] = 288453,
  [SMALL_STATE(8591)] = 288460,
  [SMALL_STATE(8592)] = 288467,
  [SMALL_STATE(8593)] = 288474,
  [SMALL_STATE(8594)] = 288481,
  [SMALL_STATE(8595)] = 288488,
  [SMALL_STATE(8596)] = 288495,
  [SMALL_STATE(8597)] = 288502,
  [SMALL_STATE(8598)] = 288509,
  [SMALL_STATE(8599)] = 288516,
  [SMALL_STATE(8600)] = 288523,
  [SMALL_STATE(8601)] = 288530,
  [SMALL_STATE(8602)] = 288537,
  [SMALL_STATE(8603)] = 288544,
  [SMALL_STATE(8604)] = 288551,
  [SMALL_STATE(8605)] = 288558,
  [SMALL_STATE(8606)] = 288565,
  [SMALL_STATE(8607)] = 288572,
  [SMALL_STATE(8608)] = 288579,
  [SMALL_STATE(8609)] = 288586,
  [SMALL_STATE(8610)] = 288593,
  [SMALL_STATE(8611)] = 288600,
  [SMALL_STATE(8612)] = 288607,
  [SMALL_STATE(8613)] = 288614,
  [SMALL_STATE(8614)] = 288621,
  [SMALL_STATE(8615)] = 288628,
  [SMALL_STATE(8616)] = 288635,
  [SMALL_STATE(8617)] = 288642,
  [SMALL_STATE(8618)] = 288649,
  [SMALL_STATE(8619)] = 288656,
  [SMALL_STATE(8620)] = 288663,
  [SMALL_STATE(8621)] = 288670,
  [SMALL_STATE(8622)] = 288677,
  [SMALL_STATE(8623)] = 288684,
  [SMALL_STATE(8624)] = 288691,
  [SMALL_STATE(8625)] = 288698,
  [SMALL_STATE(8626)] = 288705,
  [SMALL_STATE(8627)] = 288712,
  [SMALL_STATE(8628)] = 288719,
  [SMALL_STATE(8629)] = 288726,
  [SMALL_STATE(8630)] = 288733,
  [SMALL_STATE(8631)] = 288740,
  [SMALL_STATE(8632)] = 288747,
  [SMALL_STATE(8633)] = 288754,
  [SMALL_STATE(8634)] = 288761,
  [SMALL_STATE(8635)] = 288768,
  [SMALL_STATE(8636)] = 288775,
  [SMALL_STATE(8637)] = 288782,
  [SMALL_STATE(8638)] = 288789,
  [SMALL_STATE(8639)] = 288796,
  [SMALL_STATE(8640)] = 288803,
  [SMALL_STATE(8641)] = 288810,
  [SMALL_STATE(8642)] = 288817,
  [SMALL_STATE(8643)] = 288824,
  [SMALL_STATE(8644)] = 288831,
  [SMALL_STATE(8645)] = 288838,
  [SMALL_STATE(8646)] = 288845,
  [SMALL_STATE(8647)] = 288852,
  [SMALL_STATE(8648)] = 288859,
  [SMALL_STATE(8649)] = 288866,
  [SMALL_STATE(8650)] = 288873,
  [SMALL_STATE(8651)] = 288880,
  [SMALL_STATE(8652)] = 288887,
  [SMALL_STATE(8653)] = 288894,
  [SMALL_STATE(8654)] = 288901,
  [SMALL_STATE(8655)] = 288908,
  [SMALL_STATE(8656)] = 288915,
  [SMALL_STATE(8657)] = 288922,
  [SMALL_STATE(8658)] = 288929,
  [SMALL_STATE(8659)] = 288936,
  [SMALL_STATE(8660)] = 288943,
  [SMALL_STATE(8661)] = 288950,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8656),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5494),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8571),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8560),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7544),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8503),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8087),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8479),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7888),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 8),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8343),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7949),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8564),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 79),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 8),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 79),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6553),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7888),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5468),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7968),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7566),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5250),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6463),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7463),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3368),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5659),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5084),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5085),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5087),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7359),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7724),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8332),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7518),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8478),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(953),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8343),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8345),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7949),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7745),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8572),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8571),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8568),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6625),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7439),
  [551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6841),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3834),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8560),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4998),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1517),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7730),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6511),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6389),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8563),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8564),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1138),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4941),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5319),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7767),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7765),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6361),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6549),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8486),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5423),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8492),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7543),
  [789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2763),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7164),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7519),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8347),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7544),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8326),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8325),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8503),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8491),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7514),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6534),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6433),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8479),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8480),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1119),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6525),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5474),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7841),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7612),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7336),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8205),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7726),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8562),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8330),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7760),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8303),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1514),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7765),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6548),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6361),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8585),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8577),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1202),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6541),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8656),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5494),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7461),
  [1005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5250),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [1026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [1044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6463),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7463),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3368),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5659),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2813),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5084),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5085),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5087),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7442),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7478),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1445),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8584),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7480),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8582),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(964),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8579),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8574),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8573),
  [1128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8572),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8571),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8568),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6625),
  [1146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7439),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6841),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8560),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4998),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7485),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6508),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6420),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8553),
  [1200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8552),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1250),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [1215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4941),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5319),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(935),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [1243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [1246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [1261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6463),
  [1264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7721),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5717),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5084),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5085),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5087),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7359),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7724),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7518),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8478),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(953),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8343),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8345),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7949),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7745),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8572),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8571),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8568),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6625),
  [1351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [1357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7439),
  [1360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6841),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3834),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8560),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4998),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7502),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7730),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1124),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1138),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4941),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5319),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 12),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 12),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [1464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7442),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7478),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7480),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8582),
  [1482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(964),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8579),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8574),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8573),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7503),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8199),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7485),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1250),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [1515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7164),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7519),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7544),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8326),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8325),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8503),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7525),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8491),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7514),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1119),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(932),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3135),
  [1588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7336),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7726),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8562),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8330),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7760),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8303),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7765),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1202),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7087),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8575),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [1699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7087),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7735),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7766),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8575),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8200),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7936),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7728),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8180),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7709),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1144),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8145),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8635),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6694),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2151),
  [2049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(141),
  [2052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1446),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1446),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1164),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(442),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1369),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6463),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7721),
  [2073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(46),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5717),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2113),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7336),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7767),
  [2088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1367),
  [2091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8205),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7726),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(199),
  [2100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8562),
  [2103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(941),
  [2106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8330),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8329),
  [2112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7847),
  [2115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7760),
  [2118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8303),
  [2121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1420),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1115),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8572),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8571),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8568),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6625),
  [2139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4213),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4213),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7439),
  [2148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6841),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3834),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3956),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8513),
  [2160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7502),
  [2163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7765),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1189),
  [2169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1087),
  [2172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1065),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1202),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7487),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1288),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4941),
  [2187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5319),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [2192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2174),
  [2195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(515),
  [2198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(70),
  [2201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7164),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7519),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1242),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8347),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7544),
  [2216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(198),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8140),
  [2222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(952),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8326),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8325),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8503),
  [2234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7525),
  [2237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8491),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7514),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1120),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1119),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1234),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2178),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(278),
  [2264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(35),
  [2267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7359),
  [2270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7724),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1195),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8332),
  [2279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7518),
  [2282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(209),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8478),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(953),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8343),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8345),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7949),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7745),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8429),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7730),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1124),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1138),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1396),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2187),
  [2321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(483),
  [2324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7442),
  [2330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7478),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1445),
  [2336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8584),
  [2339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7480),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(188),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8582),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(964),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8579),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8574),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8573),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7503),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8199),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7485),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1160),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1158),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1250),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2185),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7154),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1363),
  [2387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8333),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7546),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8337),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7628),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2175),
  [2402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(854),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(60),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7087),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7735),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7766),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(202),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8575),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(947),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8202),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8200),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7936),
  [2435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7728),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8180),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7709),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1148),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1144),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1389),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2144),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(141),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1446),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1164),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1164),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1369),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6463),
  [2480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5717),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2113),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8513),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7502),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 7),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7774),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 7),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 161),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2144),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1369),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6463),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2113),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8513),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7502),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2144),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1369),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6463),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2113),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8513),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7502),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [2745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2144),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1369),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6463),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2113),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8513),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7502),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 115),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 115),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 179),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 132),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 169),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 169),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 7),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 86),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 7),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 86),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 132),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 171),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 171),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 24),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 138),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 137),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 129),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 129),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 79),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 128),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 128),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 127),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 127),
  [2963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2172),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1170),
  [2969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6486),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 126),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 126),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 177),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 177),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 122),
  [2990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 162),
  [2994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 163),
  [2998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 164),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 165),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 8),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7692),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 117),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 117),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 176),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 176),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 196),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 112),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 112),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7457),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 207),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 95),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 7),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 23),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 8),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 80),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 79),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 78),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 77),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 76),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 76),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 24),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 23),
  [3166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7756),
  [3169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 8),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 8),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 24),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8509),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5073),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8593),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 8),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 79),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 79),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 8),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3826),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5426),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [3351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7706),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4821),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8510),
  [3360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [3363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5250),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5250),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [3372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2776),
  [3375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3245),
  [3378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [3387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5487),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8509),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6163),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5099),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5098),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5073),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8560),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5016),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6940),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [3447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1592),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8154),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6401),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8593),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8157),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6909),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5473),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7853),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7764),
  [3575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2804),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7038),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1579),
  [3593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6445),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8600),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7840),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5424),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8157),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7547),
  [3625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2794),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [3639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6909),
  [3642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1587),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6444),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8576),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7853),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2208),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1266),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6470),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2183),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1215),
  [3782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6482),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8586),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8580),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8606),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8569),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8603),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(148),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1339),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1470),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1470),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5717),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1662),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(156),
  [4008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1393),
  [4011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1415),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6485),
  [4017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2221),
  [4020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(161),
  [4023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1301),
  [4026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1301),
  [4029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1437),
  [4032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6464),
  [4035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1274),
  [4038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1159),
  [4041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8572),
  [4044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8571),
  [4047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8568),
  [4050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6625),
  [4053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4213),
  [4056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4213),
  [4059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7439),
  [4062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6841),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3834),
  [4068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3956),
  [4071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1198),
  [4074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7487),
  [4077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1197),
  [4080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4952),
  [4083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5319),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7701),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4111] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(229),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [4130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4137] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [4191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2144),
  [4194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [4197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [4200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [4206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [4209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6463),
  [4215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1300),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5717),
  [4223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [4232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8572),
  [4235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8571),
  [4238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8568),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6625),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [4247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7439),
  [4253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6841),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3834),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8513),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6490),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7502),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1288),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4941),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5319),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(240),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [4405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7915),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7791),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7898),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8253),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8223),
  [4474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7850),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7906),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7895),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7844),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7903),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8050),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7901),
  [4499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7857),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7842),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 79),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 189),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7945),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [4568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7811),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7812),
  [4578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7810),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7813),
  [4586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7818),
  [4589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7808),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [4594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7821),
  [4597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7822),
  [4600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7837),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7838),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7801),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7798),
  [4624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7796),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7794),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7807),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7927),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [4656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7929),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7933),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7934),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7938),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [4676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7805),
  [4679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7804),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7803),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8256),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [4817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [4843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(237),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 15),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 14),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 15),
  [4887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 14), REDUCE(sym_template_function, 2, 0, 15),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [4896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [4900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [4903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8440),
  [4906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(250),
  [4909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(250),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1540),
  [4927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(234),
  [4930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(251),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [4961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2284),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [4974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2289),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [4979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(239),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [5031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8425),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [5128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1622),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8460),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [5140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [5147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [5150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1611),
  [5153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 175),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 175),
  [5161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 125),
  [5183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 125),
  [5185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 19),
  [5193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1630),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8365),
  [5207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1635),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8456),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [5226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [5229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [5243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1632),
  [5246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8386),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [5255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7677),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [5262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 12),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(244),
  [5277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 209),
  [5289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [5295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [5301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [5313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 181),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 182),
  [5321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 199),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 198),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 198),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 209),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 195),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 8),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 80),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [5365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 177),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 177),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 79),
  [5373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 182),
  [5377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 199),
  [5381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6923),
  [5391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7476),
  [5394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 181),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 198),
  [5400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 198),
  [5402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3480),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [5417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 195),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [5423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3498),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 129),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 129),
  [5452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 79),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 8),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 128),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 128),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 10),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7717),
  [5498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 10),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 11),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 7),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 10),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 10),
  [5554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7662),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 95),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [5587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 25),
  [5603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7717),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [5636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(234),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(233),
  [5644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [5647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 208),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [5689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [5703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(244),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [5720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(248),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2072),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [5736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 91),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [5774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [5796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 18),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(244),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2547),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1624),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [5829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8596),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [5842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 20),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2557),
  [5869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1624),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8596),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(237),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [5900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [5914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [5917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6878),
  [5920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7465),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [5935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(6017),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 95),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [5982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 85),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 9),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [6000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [6004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [6008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(245),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 7),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [6037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 170),
  [6041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7615),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(8195),
  [6047] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(6017),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2188),
  [6056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7029),
  [6059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7479),
  [6062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [6074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 2, 0, 0),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 135),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [6121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7710),
  [6128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [6131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 118),
  [6135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 172),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [6149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 87),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [6157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [6159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [6163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(233),
  [6166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture_identifier, 1, 0, 0),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2270),
  [6182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6912),
  [6185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7469),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 111),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(244),
  [6209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [6219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120),
  [6223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(244),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [6228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 166),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [6238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 18),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [6244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 119),
  [6246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 119),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [6256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(244),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8385),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [6309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 84),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [6315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [6323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [6326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6931),
  [6329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7470),
  [6332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 15),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 15),
  [6348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 12),
  [6360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 166),
  [6368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 27),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [6404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 154),
  [6420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 26),
  [6424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [6438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 217),
  [6442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 156),
  [6456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 84),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [6462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 157),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [6470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 214),
  [6474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 213),
  [6498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 107),
  [6502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 167),
  [6520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(943),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [6525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 206),
  [6533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 205),
  [6537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [6544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [6547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [6550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8136),
  [6553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7524),
  [6556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [6559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8336),
  [6562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 178),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 193),
  [6594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 192),
  [6598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 190),
  [6602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 18),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2544),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [6639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(234),
  [6646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [6656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [6684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(233),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2657),
  [6710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6990),
  [6713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7481),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [6726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(245),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [6835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [6837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 130),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [6855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8335),
  [6858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8335),
  [6861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7738),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [6876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5821),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [6883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5479),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [6890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [6898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [6904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 121),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [6940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 173),
  [6944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [6963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [7001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(7524),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [7006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6687),
  [7009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(6687),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5419),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [7033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [7079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(958),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8640),
  [7091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(8640),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5763),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [7114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3309),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [7235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [7238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [7241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [7244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7773),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [7250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5986),
  [7264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5495),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [7269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5421),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5383),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [7291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [7297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [7333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5489),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [7342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [7373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 108),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [7379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [7471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7669),
  [7474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(237),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [7483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8450),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [7499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(234),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [7506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(250),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [7529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [7536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [7539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [7542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8136),
  [7545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7524),
  [7548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [7551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8336),
  [7554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [7561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(234),
  [7564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3260),
  [7567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6881),
  [7570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7466),
  [7573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(234),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [7584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 4, 0, 136),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [7762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(233),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [7783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 21), SHIFT(5431),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 120), SHIFT(233),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [7809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [7821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3828),
  [7824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8406),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [7829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3446),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [7834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3828),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [7839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8406),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [7852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [7856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3828),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [7861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8406),
  [7864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3494),
  [7867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6943),
  [7870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7471),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(248),
  [7886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(233),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [7893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [7903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 2, 0, 0),
  [7905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 2, 0, 0),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [8028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(239),
  [8031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4028),
  [8034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4025),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [8047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [8057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [8063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4164),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [8068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8463),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [8075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4164),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [8080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8463),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [8099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [8101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [8129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3969),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5643),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [8166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(251),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [8183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1630),
  [8186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8365),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [8197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1630),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [8202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8365),
  [8205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4164),
  [8208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8463),
  [8211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2106),
  [8214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(8449),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [8221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [8227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2106),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [8232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(8449),
  [8235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4257),
  [8293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8139),
  [8296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [8298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 18),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [8308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [8344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [8348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [8376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [8383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4160),
  [8386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2865),
  [8389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [8392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7463),
  [8395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8596),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [8407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [8414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [8491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [8495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [8505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [8527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [8530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [8533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 176),
  [8535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 176),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [8603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 113),
  [8605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 184),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [8671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 82),
  [8673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1141),
  [8676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 152), SHIFT(1141),
  [8681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 152),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [8695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4874),
  [8698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4886),
  [8701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1810),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4936),
  [8741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4904),
  [8744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1810),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 200),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [8773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [8779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [8807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 160),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 153),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 3, 0, 82),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [8853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 195),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [8865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_initializer, 5, 0, 180),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [8881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [8891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [8914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 188),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [8998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8335),
  [9001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8335),
  [9004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7738),
  [9007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [9015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 201),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [9037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 187),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [9063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [9069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5821),
  [9072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5479),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [9079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [9085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 83),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [9125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(7524),
  [9128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6687),
  [9131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(6687),
  [9134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5419),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [9143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_capture, 1, 0, 0),
  [9145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__lambda_capture, 1, 0, 0),
  [9148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5986),
  [9151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5421),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8368),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [9174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8640),
  [9177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(8640),
  [9180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1872),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [9191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 16), SHIFT(1872),
  [9194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5383),
  [9197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4899),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [9216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 18), SHIFT(4903),
  [9219] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1872),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [9243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1872),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [9266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 18), SHIFT(1872),
  [9269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(1872),
  [9272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 45), SHIFT(4922),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [9277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [9279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 18),
  [9281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 75), SHIFT(1872),
  [9284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 45), SHIFT(1872),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [9305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [9329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 75), SHIFT(4920),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [9352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5495),
  [9355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [9357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8335),
  [9360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8335),
  [9363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7738),
  [9366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [9370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5489),
  [9373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5821),
  [9376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5479),
  [9379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(951),
  [9382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5192),
  [9385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5192),
  [9388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5175),
  [9391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(7524),
  [9394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6687),
  [9397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(6687),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [9406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5419),
  [9409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8640),
  [9416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(8640),
  [9419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5986),
  [9422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5421),
  [9425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4866),
  [9428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 21), SHIFT(5431),
  [9431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 18),
  [9435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5383),
  [9438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5495),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [9471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5489),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7524),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8335),
  [9484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8335),
  [9487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7738),
  [9490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 21), SHIFT(5431),
  [9495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5821),
  [9498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5479),
  [9501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(7524),
  [9504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6687),
  [9507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(6687),
  [9510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5419),
  [9513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8640),
  [9516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(8640),
  [9519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5986),
  [9522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5421),
  [9525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5383),
  [9528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5495),
  [9531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5489),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7021),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [9584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 21), SHIFT(5431),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [9601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [9625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [9647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6908),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 21),
  [9669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 21),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [9685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6545),
  [9699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [9761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5821),
  [9764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5419),
  [9767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5821),
  [9770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5419),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [9775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7243),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [9845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5479),
  [9848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5479),
  [9851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5821),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [9900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [9924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [9988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [9998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [10006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7142),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [10032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [10042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [10054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [10074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [10076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 26),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [10098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [10112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [10120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7738),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [10129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7132),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [10163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6803),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [10177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [10181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [10185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [10199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 123),
  [10201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 123),
  [10203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [10205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [10207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [10223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [10233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 174),
  [10235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 174),
  [10237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [10243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [10249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 172),
  [10257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6837),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [10285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [10287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 21),
  [10289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [10301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [10303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6563),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [10321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [10329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5986),
  [10332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5421),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6799),
  [10339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5986),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [10352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7463),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [10359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5986),
  [10362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5421),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [10381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [10387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7141),
  [10397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [10403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8136),
  [10412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8336),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [10421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5938),
  [10424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6976),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [10430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [10434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 81),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 131),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 85),
  [10456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5495),
  [10459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5495),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [10464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7946),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [10471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [10477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 118),
  [10481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 172),
  [10485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [10491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 22),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [10497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [10505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [10517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5383),
  [10520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 85),
  [10532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 79),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [10546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 170),
  [10554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5489),
  [10557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 170),
  [10561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [10567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [10573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 8),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6791),
  [10583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 85),
  [10587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [10593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [10615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5489),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [10712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5383),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6302),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [10757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 21), SHIFT(5431),
  [10760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [10764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [10768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6816),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 118),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 22),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [10826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 172),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [10850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 8),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [10858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7273),
  [10861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5401),
  [10864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8481),
  [10867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7461),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 8),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [10882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 8),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 79),
  [10900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 79),
  [10902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [10906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [10908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [10910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [10912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [10914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 79),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6617),
  [10928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [10932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 21), SHIFT(5431),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [10939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [10957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [10965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [10999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7044),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6865),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7737),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6844),
  [11071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [11085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7782),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [11109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7784),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [11125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6588),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [11160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [11178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7273),
  [11181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [11195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [11197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 13),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [11209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__lambda_capture_identifier, 1, 0, 0), SHIFT(6017),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6821),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [11241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 56),
  [11243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [11247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [11255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [11267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [11273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [11277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8087),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [11291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [11293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [11303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 66),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [11355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 79),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 128),
  [11377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 128),
  [11379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 177),
  [11381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 177),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [11397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 79),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [11415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 8),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [11431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 80),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [11443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [11445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 8),
  [11447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 129),
  [11457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 129),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [11471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 194),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [11475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116), SHIFT_REPEAT(5418),
  [11478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 116),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [11490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [11502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 88),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [11526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [11532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [11546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [11564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 159),
  [11572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183), SHIFT_REPEAT(5916),
  [11575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 183),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [11585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [11593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [11601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6833),
  [11606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6833),
  [11609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6835),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [11616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [11626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [11650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [11656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215), SHIFT_REPEAT(6123),
  [11659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 215),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 197),
  [11663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 197),
  [11665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 17),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [11671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [11685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6833),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [11691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [11699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [11703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [11707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [11715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [11719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [11729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [11737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 204),
  [11751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [11753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6607),
  [11756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 203),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [11766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [11768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [11774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5660),
  [11776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [11778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [11782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6945),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [11786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 191),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6928),
  [11804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [11808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 211),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7950),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [11826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [11832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [11838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [11842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [11848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [11854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [11862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [11866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [11870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 92),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 155),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [11884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [11886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [11888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6972),
  [11894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [11898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [11904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8599),
  [11906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [11910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [11920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [11926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203), SHIFT_REPEAT(6561),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 203),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8287),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [11945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [11973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 191),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [11981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [11987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7050),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 155),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [11993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [12013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [12055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6235),
  [12058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [12082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [12098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5887),
  [12101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [12105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1044),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [12136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 210),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [12142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [12148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [12151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [12165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [12168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [12190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1621),
  [12193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [12217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 155),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [12231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [12243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [12251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [12254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [12260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5395),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [12265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [12267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8195),
  [12270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [12300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7495),
  [12303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [12309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [12312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [12318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [12334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7611),
  [12337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [12359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(929),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [12380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [12406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [12412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [12426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5827),
  [12429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [12451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [12463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 212),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [12501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 155),
  [12503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [12505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 106),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [12571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 219),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [12581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 219),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [12597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [12635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218), SHIFT_REPEAT(8083),
  [12638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 218),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [12644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6974),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [12650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [12656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [12660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [12662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [12664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(982),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 216),
  [12671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [12679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [12703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [12735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [12741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [12747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 204),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [12751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [12755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [12765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 210),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [12769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [12780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [12790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [12802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 202),
  [12804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116), SHIFT_REPEAT(5185),
  [12807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 116),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [12823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [12877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [12915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 92),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [12919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [12935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [12941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [12949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [12951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [12955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [12963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 158),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [12971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [12973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [12979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 168),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [12983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [12987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [12989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_parameter_pack_expansion, 2, 0, 28),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [12999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 212),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [13011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [13013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [13023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [13031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [13037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [13041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7908),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [13047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [13057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [13061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7894),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [13065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [13071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 177),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [13107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [13115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 80),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [13155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 177),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [13171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 128),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [13187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 79),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [13195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 80),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [13233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [13245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 129),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [13249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 80),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [13287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [13359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 177),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [13363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 128),
  [13365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 128),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [13369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 8),
  [13371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 129),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [13375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 129),
  [13377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 128),
  [13379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 129),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [13435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 80),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [13461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 129),
  [13463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 177),
  [13465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 177),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 128),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [13743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [13755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7947),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [14196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [14238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 80),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [14276] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [14330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_arduino_external_scanner_create(void);
void tree_sitter_arduino_external_scanner_destroy(void *);
bool tree_sitter_arduino_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_arduino_external_scanner_serialize(void *, char *);
void tree_sitter_arduino_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_arduino(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_arduino_external_scanner_create,
      tree_sitter_arduino_external_scanner_destroy,
      tree_sitter_arduino_external_scanner_scan,
      tree_sitter_arduino_external_scanner_serialize,
      tree_sitter_arduino_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
